#include <stdio.h>
#include <iostream>
#include <algorithm>
#include <vector>
#include <limits>

#define ull unsigned long long int

bool is_simple(ull n) {

	ull sqrt_n = ull(std::sqrt(n)) + 3;

	for (ull i = 2; i < sqrt_n; i++) {
		if (n % i == 0 && i > 1 && i < n) {
			return false;
		}
	}

	return true;
}

bool is_one_var(ull n) {

	ull has_one = false;

	ull sqrt_n = ull(std::sqrt(n)) + 3;
	ull curr_n = n;

	for (ull i = 2; i < sqrt_n; i++) {
		if (n % i == 0 && i > 1 && i < n) {
			while (curr_n % i == 0) {
				curr_n /= i;
			}
			if (curr_n != 1) {
				return false;
			}
			else {
				return true;
			}
		}
	}

	return false;
}



int main() {

	ull n;
	std::cin >> n;

	ull sqrt_n = ull(std::sqrt(n)) + 3;




	//printf("%d\n", is_simple(n));
	//printf("%d\n", is_one_var(n));

	if (is_simple(n) || is_one_var(n)) {
		printf("NO\n");
		//getchar();
		//getchar();
		return 0;
	}



	ull q1 = -1;
	ull q2 = -1;

	ull curr_n = n;
	for (ull i = 2; i < sqrt_n; i++) {
		if (n % i == 0) {
			q1 = 1;
			while (curr_n % i == 0) {
				curr_n /= i;
				q1 *= i;
			}
			q2 = curr_n;
			break;
		}
	}

	//printf("TEST: %lld %lld\n", q1, q2);

	printf("YES\n2\n");

	if (q1 >= q2) {
		ull tmp = q1;
		q1 = q2;
		q2 = tmp;
	}

	for (ull i = 0; i < 100000; i++) {
		ull k1 = i;
		ull tmp = n - 1 - k1*q2;
		if (tmp % q1 == 0) {
			ull k2 = tmp / q1;
			printf("%lld %lld\n%lld %lld", k1, q1, k2, q2);
			//getchar();
			//getchar();
			return 0;
		}
	}


	return 0;
}














//#define ull unsigned long long int
//
//int main() {
//	ull t;
//	std::cin >> t;
//	for (ull i = 0; i < t; ++i) {
//		ull k;
//		std::cin >> k;
//		std::pair<int, int> ai[7];
//		for (int j = 0; j < 7; ++j) {
//			std::cin >> ai[j].first;
//		}
//
//		for (int j = 0; j < 7; ++j) {
//			int sum = 0;
//			for (int k = j; k < 7; ++k) {
//				sum += ai[k].first;
//			}
//			ai[j].second = sum;
//		}
//
//		ull min = std::numeric_limits<ull>::max();
//
//		for (int j = 0; j < 7; ++j) {
//			if (ai[i].second > k) {
//				continue;
//			}
//			if (ai[i].second == k) {
//				min = 1;
//				break;
//			}
//
//			ull days = (ull)((double)(k - ai[i].second) / ai[0].second) * 7 + 7 - i;
//			if (days > k) {
//				days -= 7;
//			}
//			int d = 0;
//			while (days < k) {
//				days += ai[d++].first;
//			}
//
//			min = std::min(min, days);
//		}
//
//		printf("%lld\n", min);
//		fflush(stdin);
//	}
//	return 0;
//}