#include <stdio.h>
#include <iostream>
#include <algorithm>
#include <vector>
#include <limits>

#define ull long long int

int main() {

	ull t;
	std::cin >> t;

	for (ull hot_used = 0; hot_used < t; ++hot_used) {

		ull k;
		std::cin >> k;
		ull pairs_in_week = 0;


		std::pair<int, int> ai[7];
		for (int j = 0; j < 7; ++j) {
			std::cin >> ai[j].first;
		}

		for (int j = 0; j < 7; ++j) {
			int sum = 0;
			for (int k = j; k < 7; ++k) {
				sum += ai[k].first;
			}
			ai[j].second = sum;
		}

		for (int j = 0; j < 7; ++j) {
			pairs_in_week += ai[j].first;
		}

		if (k <= 21) {


			// simple

			ull min = 1000000000000000;

			for (int i = 0; i < 7; i++) {

				ull total_days = 0;
				ull cur_day = i;
				ull lessons = 0;

				while (true) {

					lessons += ai[cur_day].first;
					total_days++;
					cur_day = (cur_day + 1) % 7;

					if (lessons == k) {
						break;
					}
				}

				min = std::min(total_days, min);

			}

			printf("%lld\n", min);
			fflush(stdin);
		}
		else {

			// hard

			ull min = 1000000000000000;

			for (int j = 0; j < 7; ++j) {

				ull first = 7 - j;
				ull weeks = ull((double)(k - ai[j].second) / ai[0].second);
				ull days = first + weeks * 7;
				ull lessons = ai[j].second + weeks*ai[0].second;

				days -= 7;
				lessons -= ai[0].second;

				int d = 0;
				while (lessons < k) {
					lessons += ai[(d++) % 7].first;
					++days;
				}

				min = std::min(min, days);
			}

			printf("%lld\n", min);
			fflush(stdin);
		}

	}
	return 0;
}


//#define ull unsigned long long int
//
//int main() {
//
//	ull t;
//	std::cin >> t;
//
//	for (ull hot_used = 0; hot_used < t; ++hot_used) {
//
//		ull k;
//		std::cin >> k;
//
//		std::pair<int, int> ai[7];
//		for (int j = 0; j < 7; ++j) {
//			std::cin >> ai[j].first;
//		}
//
//		for (int j = 0; j < 7; ++j) {
//			int sum = 0;
//			for (int k = j; k < 7; ++k) {
//				sum += ai[k].first;
//			}
//			ai[j].second = sum;
//		}
//
//		ull min = 1000000000000000;
//
//		for (int j = 0; j < 7; ++j) {
//			if (ai[j].second >= k) {
//
//				ull d = 0;
//				ull cur_day = j;
//				ull lessons = 0;
//				while (lessons < k) {
//					lessons += ai[(cur_day)%7].first;
//					++d;
//					cur_day++;
//				}
//
//				min = d;
//				continue;
//			}
//
//			ull first = 7 - j;
//			ull weeks = ull((double)(k - ai[j].second) / ai[0].second);
//			ull days = first + weeks * 7;
//			ull lessons = ai[j].second + weeks*ai[0].second;
//			
//			if (weeks > 0) {
//				days -= 7;
//				lessons -= ai[0].second;
//			}
//			
//			int d = 0;
//			while (lessons < k) {
//				lessons += ai[(d++) % 7].first;
//				++days;
//			}
//
//			min = std::min(min, days);
//		}
//
//		printf("%lld\n", min);
//		fflush(stdin);
//	}
//	return 0;
//}