#pragma warning (disable : 4996)

#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

typedef long long ll;
typedef long double ld;

int week[7];

void solve() {
	ll want;
	cin >> want;

	ll sumw = 0;
	for (int i = 0; i < 7; ++i) {
		cin >> week[i];
		sumw += week[i];
	}

	ll ans = (want / sumw) * 7LL;
	ll rest = want % sumw;

	if (rest == 0) {
		rest += sumw;
		ans -= 7;
	}

	ll best_steps = 1999;
	for (int start = 0; start < 7; ++start) {
		ll cur = 0;

		for (int i = 0; i < 7; ++i) {
			int pos = (start + i) % 7;
			cur += week[pos];
			if (cur >= rest) {
				best_steps = min(best_steps, (ll)i + 1);
				break;
			}
		}
	}

	ans += best_steps;
	cout << ans << '\n';
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
#ifdef MANO
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	int test;
	cin >> test;
	while (test--) solve();

	return 0;
}