#pragma warning (disable : 4996)

#include <iostream>
#include <fstream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

typedef long long ll;
typedef long double ld;

vector<vector<ll>> v;
vector<pair<int, ll>> vp;
vector<ll> vv;

void solve() {
	int n, k;
	cin >> n >> k;
	set<int> need;
	for (int i = 0; i < k; ++i) {
		need.insert(i);
	}
	vp.resize(n);
	v.resize(k);
	for (int i = 0; i < n; ++i) {
		cin >> vp[i].first;
		vp[i].first--;
		need.erase(vp[i].first);
	}
	for (int i = 0; i < n; ++i) {
		cin >> vp[i].second;
	}
	for (int i = 0; i < vp.size(); ++i) {
		v[vp[i].first].push_back(vp[i].second);
	}

	int want = int(need.size());
	for (int i = 0; i < v.size(); ++i) {
		if (!v[i].empty()) {
			sort(v[i].begin(), v[i].end());
			v[i].pop_back();
			for (int j = 0; j < v[i].size(); ++j) {
				vv.push_back(v[i][j]);
			}
		}
	}
	sort(vv.begin(), vv.end());

	ll ans = 0;
	for (int i = 0; i < vv.size() && i < want; ++i) {
		ans += vv[i];
	}

	cout << ans;
}

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

	solve();

	return 0;
} 