#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <queue>
#include <unordered_map>

using namespace std;

vector<pair<int, int>> res;

int main() {
	freopen("input.txt", "rb", stdin);
	freopen("output.txt", "wb", stdout);

	long long n, n1;
	unordered_map<int, int> m;
	vector <int> v;
	cin >> n;
	n1 = n;
	for (int i = 2; i <= sqrt(n) && i <= n1; ++i) {
		int k = n1, num = 1;
		int count = 0;
		while (k % i == 0) {
			k /= i;
			num *= i;
			++count;
		}
		if (count > 0) {
			m[num] = 1;
			n1 /= num;
			v.push_back(num);
		}
	}
	if (n1 != n && n1 != 1)
		v.push_back(n1);

	long long a = n - 1, b = n;
	if (v.size() <= 1) {
		cout << "NO" << endl;
		return 0;
	}
	vector<pair<int, int>> ans;
	for (int i = 0; i < v.size(); ++i) {
		ans.push_back(make_pair(1, v[i]));
		// a == a, b == b, c == 1, d == v[i]
		long long a1 = a * (long long)v[i] - b * (long long)1;
		long long b1 = b * (long long)v[i];
		a1 /= v[i];
		b1 /= v[i];
		a = a1;
		b = b1;
	}

	if (b == n && a > 0) {
		unordered_map<int, int> m1, m2;
		long long n1 = a, n2 = b;
		for (int i = 2; i <= n1 && i <= sqrt(a); ++i) {
			while (n1 % i == 0) {
				m1[i]++;
				n1 /= i;
			}
		}
		for (int i = 2; i <= n2 && i <= sqrt(b); ++i) {
			while (n2 % i == 0) {
				m2[i]++;
				n2 /= i;
			}
		}

		long long a1 = a;
		long long b1 = b;
		for (auto i : m1) {
			for (int j = 0; j < min(m2[i.first], i.second); ++j) {
				a1 /= i.first;
				b1 /= i.first;
			}
		}

		bool found = false;
		for (int i = 0; i < ans.size(); ++i) {
			if (ans[i].second == b1) {
				ans[i].first += a1;
				found = true;
				break;
			}
		}
		if (!found) {
			ans.push_back(make_pair(a1, b1));
		}
	}
	if (b != n && a > 0) {
		ans.push_back(make_pair(a, b));
		_sleep(5000);
	}

	if (ans.size() > 100000) {
		cout << "NO" << endl;
		return 1;
	}

	cout << "YES" << endl;
	cout << ans.size() << endl;
	for (int i = 0; i < ans.size(); ++i) {
		cout << ans[i].first << " " << ans[i].second << "\n";
	}
}