#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

using namespace std;

typedef long long ll;
typedef long double ld;

int solve(){
    int n;
    scanf("%d", &n);

    int k = 0;
    vector<int> mas;
    vector<int> simple(100000, 0);
    for (int i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            mas.push_back(i);
            k++;
            if (n / i != i) {
                k++;
                mas.push_back(n / i);
            }
        }
    }

    for (int i = 2; i < 100000; i++) {
        if (simple[i] == 0) {
            ll pp = i;
            ll k1 = pp * pp;
            while (k1 < 100000) {
                simple[k1] = 1;
                k1 += i;
            }
        }
    }

    if (k != 2 || simple[n] == 0) {
        printf("NO");
        return 0;
    } else {
        if (simple[mas[0]] != 0 || simple[mas[1] != 0]) {
            printf("NO");
            return 0;
        } else {
            int k1 = mas[0], k2 = mas[1];
            int l = 1, r = 1;
            while (k1 + k2 != n - 1) {
                ll sum = k1 * l + k2 * r;
                if (sum == n - 1) break;
                else {
                    if (sum > n - 1 || l > k2) {
                        r++;
                        sum = k1 * l + k2 * r;
                        while (sum > n - 1) {
                            l--;
                            sum = k1 * l + k2 * r;
                            if (l == 0) {
                                printf("NO");
                                return 0;
                            }
                        }
                    } else {
                        l++;
                    }
                }
            }
            if (k1 * l + k2 * r == n - 1) {
                printf("YES \n");
                printf("%d %d \n", r, k1);
                printf("%d %d \n", l, k2);
            }
        }
    }
}

int main() {
    solve();
    return 0;
}