#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

using namespace std;

typedef long long ll;
typedef long double ld;

int solve(){
    int n;
    scanf("%d", &n);

    int k = 0;
    vector<int> mas;
    vector<int> simple(100000, 0);
    for (int i = 2; i * i <= n; i++) {
        if (n % i == 0 && (n/i) != i) {
            if(i % 2 == 1 || (n / i) % 2 == 1) {
                mas.push_back(i);
                mas.push_back(n / i);
                break;
            }
        }
    }

    if(mas.size() != 2){
        printf("NO");
        return 0;
    }

    int k1 = mas[0], k2 = mas[1];
    int l = 1, r = 1;
    while (k1 + k2 != n-1){
        ll sum = k1*l + k2*r;
        if(sum == n-1) break;
        else {
            if(sum > n-1){
                r++;
                sum = k1*l + k2*r;
                while (sum > n-1) {
                    l--;
                    sum = k1*l + k2*r;
                    if(l == 0){
                        printf("NO");
                        return 0;
                    }
                }
            }
            else {
                l++;
            }
        }
    }
    if(k1*l + k2*r == n-1){
        printf("YES \n");
        printf("%d %d \n", r, k1);
        printf("%d %d \n", l, k2);
    }
}

int main() {
    solve();
    return 0;
}