#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

using namespace std;

typedef long long ll;
typedef long double ld;

int solve(){
    ll n;
    scanf("%lld", &n);

    ll k = 0;
    vector<ll> mas;
    for (ll i = 2; i * i <= n; i++) {
        if (n % i == 0 && (n/i) != i) {
            if(i % 2 == 1 || (n / i) % 2 == 1) {
                mas.push_back(i);
                mas.push_back(n / i);
            }
        }
    }

    if(mas.size() < 2){
        printf("NO");
        return 0;
    }
    for(int i = 0; i < mas.size(); i+=2) {

        ll k1 = mas[i], k2 = mas[i+1];
        ll l = 1, r = 1;
        while (k1 + k2 != n - 1) {
            ll sum = k1 * l + k2 * r;
            if (sum == n - 1) break;
            else {
                if (sum > n - 1 || l > k2) {
                    r++;
                    sum = k1 * l + k2 * r;
                    while (sum > n - 1) {
                        l--;
                        sum = k1 * l + k2 * r;
                        if (l == 0) {
                            break;
                        }
                    }
                    if (l == 0) {
                        break;
                    }
                } else {
                    l++;
                }
            }
        }
        if (k1 * l + k2 * r == n - 1) {
            printf("YES \n2 \n");
            printf("%d %d \n", r, k1);
            printf("%d %d \n", l, k2);
            return 0;
        }
    }
    printf("NO");
    return 0;
}

int main() {
    solve();
    return 0;
}