import java.util.ArrayList;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.Scanner;

public class TaskM {

    private static LL[] edges, reverse;
    private static boolean[] used;
    private static ArrayList<Integer> order = new ArrayList<>();
    private static int[] comp;

    private static int component = 1;

    private static String[] template = new String[] {
            ".xxxxxxxxx",
            ".#########",
            "xxxxxxxxx.",
            "#########."
    };

    public static void main(String[] args) throws Exception {
        Scanner in = new Scanner(System.in);

        int n = in.nextInt();

        edges = new LL[n];
        reverse = new LL[n];
        for(int i = 0; i < n; i++) reverse[i] = new LL();

        for(int i = 0; i < n; i++) {
            edges[i] = new LL();
            for(int j = 0; j < n; j++)
                if(in.nextInt() == 1) {
                    edges[i].add(j);
                    reverse[j].add(i);
                }
        }

        used = new boolean[n];
        comp = new int[n];

        for(int i = 0; i < n; i++) {
            if(!used[i]) dfs1(i);
        }

        for(int i = 0; i < n; i++) {
            int v = order.get(n - i - 1);
            if(comp[v] == 0) dfs2(v, component++);
        }

        AL[] a = new AL[component - 1];
        for(int i = 0; i < a.length; i++) a[i] = new AL();

        for(int i = 0; i < n; i++) a[comp[i] - 1].add(i + 1);

        System.out.println("10 1 " + (a.length * 2));
        for(int i = 0; i < a.length; i++) {
            int index = 0;
            if(i % 2 == 1) index = 2;

            char[] c = template[index].toCharArray();
            for(int j = 0, ptr = 0; j < c.length; j++)
                if(c[j] == 'x') {
                    if(ptr >= a[i].size())
                        c[j] = '.';
                    else
                        c[j] = (char)('0' + a[i].get(ptr));
                    ptr++;
                }
            System.out.println(new String(c));
            System.out.println();
            System.out.println(template[index + 1]);
            System.out.println();
        }
    }

    public static void dfs1(int v) {
        used[v] = true;
        for(int u : edges[v])
            if(!used[u]) dfs1(u);
        order.add(v);
    }

    public static void dfs2(int v, int current) {
        comp[v] = current;
        for(int u : reverse[v])
            if(comp[u] == 0) dfs2(u, current);
    }

    public static class LL extends LinkedList<Integer> { }

    public static class AL extends ArrayList<Integer> { }

}
