import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;




public class Lazy {

    static class Task{
        int idler;
        int task;
        int during;



        public int getIdler() {
            return idler;
        }

        public void setIdler(int idler) {
            this.idler = idler;
        }

        public int getTask() {
            return task;
        }

        public void setTask(int task) {
            this.task = task;
        }

        public int getDuring() {
            return during;
        }

        public void setDuring(int during) {
            this.during = during;
        }
    }


    public static void main (String[]args) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        StringTokenizer stringTokenizer = new StringTokenizer(bufferedReader.readLine());


        int numberIdlers = Integer.parseInt(stringTokenizer.nextToken());
        int numberJobs = Integer.parseInt(stringTokenizer.nextToken());
        List<Task> tasks = new ArrayList<>(numberIdlers);
        boolean[] isBusy = new boolean[numberJobs];
        stringTokenizer = new StringTokenizer(bufferedReader.readLine());
        for (int i = 0; i < numberIdlers; i++) {
            Task task = new Task();
            task.setIdler(i + 1);
            int taskVar = Integer.parseInt(stringTokenizer.nextToken());
            isBusy[taskVar - 1] = true;
            task.setTask(taskVar);
            tasks.add(task);
        }

        stringTokenizer = new StringTokenizer(bufferedReader.readLine());
        for (int i = 0; i < numberIdlers; i++) {
            tasks.get(i).setDuring(Integer.parseInt(stringTokenizer.nextToken()));
        }

        Collections.sort(tasks, new Comparator<Task>() {
            @Override
            public int compare(Task o1, Task o2) {
                if (o1.during > o2.during) return 1;
                if (o1.during < o2.during) return -1;
                /*if (o1.during == o2.during) {
                    if (o1.task > o2.task) return 1;
                    if (o1.task < o2.task) return -1;
                }*/
                /*if (o1.task > o2.task) return 1;
                if (o1.task < o2.task) return -1;
                if (o1.task == o2.task) {
                    if (o1.during > o2.during) return 1;
                    if (o1.during < o2.during) return -1;
                }*/
                return 0;
            }
        });

        int time = 0;
        Queue<Integer> indexes = new LinkedList<>();
        for (int i = 0; i < isBusy.length; i++) {
            if (isBusy[i] == false) ((LinkedList<Integer>) indexes).push(i + 1);
        }




        while (!indexes.isEmpty()) {

            for (int i = 0; i < tasks.size(); i++) {
                for (int j = 0; j < tasks.size(); j++) {
                    if(i == j ) continue;
                    if(indexes.isEmpty()){
                        System.out.println(time);
                        return;
                    }
                    if(tasks.get(i).task == tasks.get(j).task){
                        tasks.get(i).setTask(indexes.remove());
                        time += tasks.get(i).during;
                        break;
                    }
                 }

            }
        }
        System.out.println(time);
    }
}
