import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;




public class Lazy2 {

    static class Task{
        int idler;
        int task;
        int during;



        public int getIdler() {
            return idler;
        }

        public void setIdler(int idler) {
            this.idler = idler;
        }

        public int getTask() {
            return task;
        }

        public void setTask(int task) {
            this.task = task;
        }

        public int getDuring() {
            return during;
        }

        public void setDuring(int during) {
            this.during = during;
        }
    }


    public static void main (String[]args) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        StringTokenizer stringTokenizer = new StringTokenizer(bufferedReader.readLine());


        int numberIdlers = Integer.parseInt(stringTokenizer.nextToken());
        int numberJobs = Integer.parseInt(stringTokenizer.nextToken());
        List<Task> tasks = new ArrayList<>();
        stringTokenizer = new StringTokenizer(bufferedReader.readLine());

        boolean[] exists = new boolean[numberIdlers + 1];
        List<Task> duplicates = new ArrayList<>();
        Set<Integer> busy = new HashSet();


        boolean first = true;

        for (int i = 0; i < numberIdlers; i++) {
            Task task = new Task();
            task.setIdler(i + 1);

            int taskVar = Integer.parseInt(stringTokenizer.nextToken());

            task.setTask(taskVar);
            tasks.add(task);

        }






        stringTokenizer = new StringTokenizer(bufferedReader.readLine());
        for (int i = 0; i < numberIdlers; i++) {
            tasks.get(i).setDuring(Integer.parseInt(stringTokenizer.nextToken()));
        }




        Collections.sort(tasks, (o1, o2) ->  {
            if (o1.during > o2.during) {
                return -1;
            } else if (o1.during == o2.during) {
                return 0;
            } else {
                return 1;
            }
        });

        for (int i = 0; i < tasks.size(); i++) {
            Task current = tasks.get(i);
            if (exists[current.task]) {
                duplicates.add(current);
            }

            exists[current.task] = true;
        }

        int a=1;

        if (duplicates.size() == 0) {
            System.out.println(0);
            return;
        }

        Collections.sort(duplicates, (o1, o2) ->  {
            if (o1.during > o2.during) {
                return 1;
            } else if (o1.during == o2.during) {
                return 0;
            } else {
                return -1;
            }
        });


        int len = numberJobs - duplicates.size();

        int sum = 0;

        for (int i = 0; i < len; i++) {
            sum += duplicates.get(i).during;
        }

        System.out.println(sum);

    }
}
