#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>
#include <functional>
using namespace std;
typedef long long ll;
long long n, sz;
vector <long long> a;
map<long long, int> ans;
bool f;
map<long long, bool> used;

inline bool dfs(long long x, long long k) {
	if (!x) {
		sz = k;
		f = true;
		return true;
	}
	if (f || k == 100000) {
		f = true;
		return false;
	}
	used[x] = true;
	for (auto to : a) {
		if (x - to > -1 && !used[x - to]) {
			// cout << x << " " << k << " "<<to<<endl;
			bool ver = dfs(x - to, k + 1);
			if (ver) {
				ans[to]++;
				return true;
			}
		}
	}
	return false;
}

int main() {
	cin >> n;
	// n = (1LL << 24) * 3 * 5;
	for (int i = 2; i <= sqrt(n); ++i) {
		if (n % i == 0) {
			a.push_back(i);
			a.push_back(n / i);
		}
	}
	sort(a.begin(), a.end(), greater<>());
	if (!dfs(n - 1, 0)) {
		cout << "NO";
		return 0;
	}
	cout << "YES\n";
	cout << ans.size() << endl;
	for (auto i : ans) {
			cout << i.second << " "<< n / i.first << endl;
		//cout << i.first<<" "<<i.second << "\n";
	}
	return 0;
}