#include<iostream>
#include<set>
#include<vector>
#include<algorithm>

using namespace std;
using ll = long long;
using P = pair<int, int>;

struct Mem
{
	int a, b;
	vector<P>ans;
	bool ok, was;
};

vector<P>ans;
bool try30(int a, int b)
{
	int A = a, B = b;
	if (a < 75 || a - 6 < b)
		return false;

	static vector<vector<Mem> >mem1(222, vector<Mem>(222));
	if (mem1[a][b].was)
	{
		ans = mem1[a][b].ans;
		return mem1[a][b].ok;
	}

	mem1[A][B].was = true;
	P r1, r2, r3;
	r1.first = r2.first = r3.first = 25;
	a -= 75;
	if (a > 0)
	{
		r1.first += a;
		if (r1.first - 2 > b)
		{
			return mem1[A][B].ok = false;
		}
		r1.second = r1.first - 2;
		b -= r1.second;
		r2.second = min(b, 23);
		b -= min(b, 23);
		r3.second = b;
	}
	else
	{
		r1.second = min(b, 23);
		b -= min(b, 23);
		r2.second = min(b, 23);
		b -= min(b, 23);
		r3.second = min(b, 23);
	}
	ans.push_back(r1);
	ans.push_back(r2);
	ans.push_back(r3);
	mem1[A][B].ans = ans;
	return mem1[A][B].ok = true;
}

bool try31(int a, int b)
{
	int A = a, B = b;

	static vector<vector<Mem> >mem2(222, vector<Mem>(222));
	if (mem2[a][b].was)
	{
		ans = mem2[a][b].ans;
		return mem2[a][b].ok;
	}
	mem2[A][B].was = true;

	for (int i = 0; i < 24; i++)
	{
		if (try30(a - i, b - 25))
		{
			P r4(i, 25);
			ans.insert(ans.begin(), r4);
			mem2[A][B].ans = ans;
			return mem2[A][B].ok = true;
		}
	}

	int i = 24;
	while (i <= a && i + 2 <= b)
	{
		if (try30(a - i, b - i - 2))
		{
			P r4(i, i + 2);
			ans.insert(ans.begin(), r4);
			mem2[A][B].ans = ans;
			return mem2[A][B].ok = true;
		}
		i++;
	}

	return mem2[A][B].ok = false;
}

bool try22(int a, int b)
{
	int AA = a, BB = b;

	static vector<vector<Mem> >mem3(222, vector<Mem>(222));
	if (mem3[a][b].was)
	{
		ans = mem3[a][b].ans;
		return mem3[a][b].ok;
	}
	mem3[AA][BB].was = true;

	P r1, r2, r3, r4;
	r1.first = r3.second = 25;

	a -= 25; b -= 25;
	for (int i = 0; i < 24; i++)
	{
		r1.second = i;
		for (int j = 0; j < 24; j++)
		{
			r3.first = j;

			int A = a - j, B = b - i;
			for (int a1 = 25; a1 <= A; a1++)
			{
				int a2 = A - a1;
				int b2 = 0;
				if (a2 < 24)
					b2 = 25;
				else b2 = a2 + 2;
				if (b2 > B)
					continue;

				int b1 = B - b2;
				if ((a1 == 25 && b1 < 24) || b1 + 2 == a1)
				{
					r2 = P(a1, b1);
					r4 = P(a2, b2);
					ans.push_back(r1);
					ans.push_back(r2);
					ans.push_back(r3);
					ans.push_back(r4);
					mem3[AA][BB].ans = ans;
					return mem3[AA][BB].ok = true;
				}
			}
		}
	}

	return mem3[AA][BB].ok = false;
}

bool try32(int a, int b)
{
	int AA = a, BB = b;

	static vector<vector<Mem> >mem(222, vector<Mem>(222));
	if (mem[a][b].was)
	{
		ans = mem[a][b].ans;
		return mem[a][b].ok;
	}
	mem[AA][BB].was = true;

	for (int i = 0; i < 14; i++)
	{
		if (try22(a - 15, b - i))
		{
			P r4(15, i);
			ans.push_back(r4);
			mem[AA][BB].ans = ans;
			return mem[AA][BB].ok = true;
		}
	}

	int i = 14;
	while (i + 52 <= a && i + 50 <= b)
	{
		if (try22(a - i - 2, b - i))
		{
			P r4(i + 2, i);
			ans.push_back(r4);
			mem[AA][BB].ans = ans;
			return mem[AA][BB].ok = true;
		}
		i++;
	}

	return mem[AA][BB].ok = false;
}

struct Trip
{
	Trip(ll num, int p, int q): num(num), p(p), q(q) {}
	ll num;
	int p, q;
};

int main()
{
	int t;
	cin >> t;
	while (t--)
	{
		ans.clear();
		int a, b;
		cin >> a >> b;

		if (try30(a, b))
		{
			puts("3:0");
			for (int i = 0; i < 3; i++)
				cout << ans[i].first << ":" << ans[i].second << " ";
			puts("");
		}
		else if (try31(a, b))
		{
			puts("3:1");
			for (int i = 0; i < 4; i++)
				cout << ans[i].first << ":" << ans[i].second << " ";
			puts("");
		}
		else if (try32(a, b))
		{
			puts("3:2");
			for (int i = 0; i < 5; i++)
				cout << ans[i].first << ":" << ans[i].second << " ";
			puts("");
		}
		else if (try32(b, a))
		{
			puts("2:3");
			for (int i = 0; i < 5; i++)
				cout << ans[i].second << ":" << ans[i].first << " ";
			puts("");
		}
		else if (try31(b, a))
		{
			puts("1:3");
			for (int i = 0; i < 4; i++)
				cout << ans[i].second << ":" << ans[i].first << " ";
			puts("");
		}
		else if (try30(b, a))
		{
			puts("0:3");
			for (int i = 0; i < 3; i++)
				cout << ans[i].second << ":" << ans[i].first << " ";
			puts("");
		}
		else
			puts("Impossible");
	}

}