#define _CRT_SECURE_NO_WARNINGS
#include <vector>
#include <iostream>
#include <string>
#include <map>
#include <list>
#include <sstream>
#include <fstream>
#include <algorithm>

using namespace std;


void test(string str) {
	auto s = new string(str);
	auto t = new stringstream(str);
	cin.rdbuf(t->rdbuf());
}


//int bruteForse(const string &week2, int &daysToLearn) {
//
//	int tmp, count, min = 14;
//	for (int i = 0; i < 14; ++i) {
//		count = 0;
//		tmp = 14;
//
//		for (int j = i; j < 14 && count < daysToLearn; ++j) {
//			if (week2[i] == '1')
//				count++;
//			tmp = j - i + 1;
//		}
//			
//		if (tmp < min && count == daysToLearn)
//			min = tmp;
//	}
//
//	return min;
//}
//
//int calcDays(const vector <int> &week, int &daysToLearn, int lessonsAtWeek) {
//	int result=0;
//	if (daysToLearn > 2 * lessonsAtWeek) {
//		result += daysToLearn * 7 / lessonsAtWeek;
//		daysToLearn -= result;
//	}
//
//	string week2;
//	for (int i = 0; i < 7; ++i)
//		week2 += to_string(week[i]);
//	for (int i = 0; i < 7; ++i)
//		week2 += to_string(week[i]);
//
//	result += bruteForse(week2, daysToLearn);
//	
//	return result;
//}

int calcDaysOffset(const vector <int> &week, int lessonsToLearn, int lessonsAtWeek, int offset) {
	int result = 0;
	if (lessonsToLearn/lessonsAtWeek > 5) {
		result += (lessonsToLearn / lessonsAtWeek)*7;
		lessonsToLearn -= (lessonsToLearn / lessonsAtWeek) * lessonsAtWeek;
	}
	while (lessonsToLearn > 0) {
		if (week[offset] == 1)
			lessonsToLearn--;
		result++;
		offset = (offset + 1) % 7;
	}
	return result;
}

int calcDays(const vector <int> &week, int lessonsToLearn, int lessonsAtWeek) {
	int mymin = -1;
	for (int i = 0; i < week.size(); i++) {
		auto res = calcDaysOffset(week, lessonsToLearn, lessonsAtWeek, i);
		if (mymin == -1)
			mymin = res;
		else
			mymin = min(mymin, res);
	}
	return mymin;
}


int main() {
	//test("3\n2\n0 1 0 0 0 0 0\n100000000\n1 0 0 0 1 0 1\n1\n 1 0 0 0 0 0 0");
	int n, daysToLearn, lessonsAtWeek;
	cin >> n;
	vector <int> result(n);

	for (int i = 0; i < n; ++i) {
		lessonsAtWeek = 0;
		cin >> daysToLearn;
		vector <int> week(7);
		for (int i = 0; i < 7; ++i) {
			cin >> week[i];
			if (week[i] == 1)
				++lessonsAtWeek;
		}

		result[i] = calcDays(week, daysToLearn, lessonsAtWeek);
	}

	for (auto& i : result)
		cout << i << endl;

	//system("pause");
	return 0;
}