import java.io.*;
import java.util.ArrayList;
import java.util.Collections;
import java.util.StringTokenizer;

public class TaskG {
    public static BufferedReader in;
    public static BufferedWriter out;

    public static void main(String[] args) throws IOException {
        in = new BufferedReader(new InputStreamReader(System.in));
        out = new BufferedWriter(new OutputStreamWriter(System.out));
        solve();
        out.close();
    }

    private static void solve() throws IOException {
        int t = nextInt();
        for (int i = 0; i < t; i++) {
            int n = nextInt();
            int inWeek = 0;
            int[] a = new int[21];
            for (int j = 0; j < 7; j++) {
                int d = nextInt();
                if (d  == 1) {
                    inWeek++;
                    a[j] = d;
                    a[j + 7] = d;
                    a[j + 14] = d;
                }
            }
            int whole = Math.max(n / inWeek - 2, 0);
//            System.out.println("whole " + whole);
            long ans = whole * 7;
            int rest = n - whole * inWeek;
//            System.out.println("rest " + rest);
            int[] suf = new int[21];
            suf[0] = a[0];
            for (int k = 1; k < 21; k++) {
                suf[k] = suf[k - 1] + a[k];
            }
            int l = 0;
            int r = 0;
            int min = 22;
            while ((l < 21) && (r < 21)) {
                int cur = suf[r] - (l > 0 ? suf[l - 1] : 0);
//                System.out.println("cur: " + cur);
                if (cur >= rest) {
                    min = Math.min(r - l + 1, min);
                    l++;
                    if (r < l) {
                        r++;
                    }
                } else {
                    r++;
                }
            }
//            System.out.println("min: " + min);
            ans += min;
            out.write(ans + "\n");
        }
    }

    static StringTokenizer st;
    static String next() throws IOException {
        if (st == null || !st.hasMoreTokens()) {
            st = new StringTokenizer(in.readLine());
        }
        return st.nextToken();
    }
    static int nextInt() throws IOException {
        return Integer.parseInt(next());
    }
}