#include <iostream>
#include <string>
#include <array>

long long f(const std::array<int, 7> &s, long long w, long long d, long long n) {
    long long result = 0;
    long long i = 0, cd = d;
    if (d != 0) for ( ; i < n && cd < 7; i++, cd++) {
        result += s[cd];
    }
    if (i == n) return result;
    cd = 0;
    result += w * ((n - i) / 7);
    i += 7 * ((n - i) / 7); /* ?? */
    for ( ; i < n; i++, cd++) {
        result += s[cd];
    }
    return result;
}

long long fm(const std::array<int, 7> &s, long long w, long long d, long long k) {
    long long l = k - 1, r = 1;
    while (f(s,w,d,r) <= k) r *= 2;
    while (r - l > 1) {
        long long m = l + (r-l)/2;
        if (f(s, w, d, m) < k) l = m; else r = m;
    }
    return r;
}

int main()
{
    int t; std::cin >> t;
    for ( ; t; t--) {
        int k; std::cin >> k;
        std::array<int, 7> s;
        for (int i = 0; i < 7; i++) std::cin >> s[i];
        long long w = 0;
        for (int i = 0; i < 7; i++) w += s[i];

        long long mr = fm(s,w,0,k);
        for (int i = 1; i < 7; i++) {
            long long cr = fm(s, w, i, k);
            if (cr < mr) mr = cr;
        }

        std::cout << mr << std::endl;
    }
}
