#include <iostream>
#include <vector>
#include <set>
#include <queue>
#include <algorithm>

using namespace std;
#define int long long

// E
//int32_t main() {
//	int n;
//	cin >> n;
//	int x = 1, y = 1;
//	cout << "a1 ";
//	for (int i = 0; i < n - 3; ++i)
//	{
//		y += x % 2 ? +1 : -1;			
//		if (y > 8 || y < 1)
//		{
//			++x;
//			y += x % 2 ? +1 : -1;
//		}
//		cout << (char)(y + 'a' - 1) << x << " ";
//	}
//
//	if (y == 8)
//	{
//		x += 1;
//		cout << (char)(y + 'a' - 1) << x << " ";		
//	}
//	else
//	{
//		x = 8;
//		cout << (char)(y + 'a' - 1) << x << " ";
//	}
//	cout << "h8" << endl;
//	return 0;
//}

//// D
//int32_t main() {
//	int n, m;
//	cin >> n >> m;
//	vector<set<int>> g(n + 1);
//	for (int i = 0; i < m; i++) {
//		int f, t;
//		cin >> f >> t;
//		g[f].insert(t);
//	}
//	vector<bool> vis(n + 1);
//	bool exit = false;
//	int ans = 0;
//	for (int i = 1; i <= n; i++) {
//		if (vis[i]) {
//			continue;
//		}
//		queue<int> q;
//		q.push(i);
//		while (!q.empty()) {
//			int v = q.front();
//			q.pop();
//			for (auto u : g[v]) {
//				if (!vis[u]) {
//					vis[u] = true;
//					q.push(u);
//					ans++;
//				}
//			}
//		}
//	}
//	cout << ans;
//}

//L
int32_t main() {
	int n, k;
	cin >> n >> k;
	vector<int> a(n), b(n);
	vector<multiset<int>> c(k + 1);
	vector<bool> conc(k + 1);
	for (auto &e : a) {
		cin >> e;
	}
	for (auto &e : b) {
		cin >> e;
	}
	for (int i = 0; i < n; i++) {
		c[a[i]].insert(b[i]);
		if (c[a[i]].size() > 1) {
			conc[a[i]] = true;
		}
	}
	multiset<int> all;
	int free = 0;
	for (int i = 1; i <= k; i++) {
		if (c[i].empty()) {
			free++;
		}
		if (conc[i]) {
			auto it = c[i].end();
			it--;
			c[i].erase(it);
			for (auto e : c[i]) {
				all.insert(e);
			}
		}
	}
	int ans = 0;
	for (auto t : all) {
		ans += t;
		free--;
		if (free == 0) {
			break;
		}
	}
	cout << ans << endl;
}