#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <queue>
#include <algorithm>
#include <set>

#include <map>
#define pii pair<int, int>
#define ll long long
using namespace std;

struct res {
	pair <int, int> r;
	vector <pair<int, int>> prev;
	res(int a, int b, vector <pair<int, int>> prev1)
	{
		r = { a,b };
		prev = prev1;
	}
};
int ans1, ans2;
map <int, int> aans;
bool compare(res a, res b)
{
	return a.r < b.r;
}
vector <pair<int, int>> sumv(vector <pair<int, int>>& a, vector <pair<int, int>> &b)
{
	vector <pair<int, int>> ans = a;
	for (pair<int, int> i : b)
		ans.push_back(i);
	return ans;
}
vector <res> mul(vector <res>& a, vector <res>& b)
{
	set <pair<int, int>> dp;
	vector <res> ans;
	for (int i = 0; i <a.size(); ++i)
		for (int j = 0; j < b.size(); ++j)
		{

			pair<int, int> s = { a[i].r.first + b[j].r.first ,a[i].r.second + b[j].r.second };
			if (s.first > 250 || s.second > 250 || dp.count(s))
				continue;
			vector <pair<int, int>> prev = sumv(a[i].prev, b[j].prev);
			//if (a[i].r.first + b[j].r.first == ans1 && a[i].r.second + b[j].r.second == ans2)			
			//	aans[ind] = ans.size();			
			ans.push_back({ s.first,s.second,prev });
			dp.insert(s);
		}
	return ans;
}
vector <pii> conv(vector <pii>& a)
{
	vector <pii> ans = a;
	for (int i = 0; i < a.size(); ++i)
		swap(ans[i].first, ans[i].second);
	return ans;
}
vector <res> convert(vector <res> a)
{
	for (int i = 0; i < a.size(); ++i)
	{
		swap(a[i].r.first, a[i].r.second);
		for (int j = 0; j < a[i].prev.size(); ++j)
			swap(a[i].prev[j].first, a[i].prev[j].second);
	}
	return a;
}
int b_s(vector <res>& a, pair<int, int> res)
{
	int l = 0, r = a.size() - 1;
	while (r - l > 0)
	{
		int m = l + (r - l) / 2;
		if (res > a[m].r)
		{
			l = m + 1;
		}
		else
			r = m;
		if (a[r].r == res)
			return r;
	}
	return -1;
}
vector <res> b25, itog3, itog4, itog5, b100;
vector <res> b15, cb25;
vector <res> b50;
vector <pair<int, int>> getitog3(int ind)
{
	vector <pair <int, int>> answer = itog3[ind].prev;
	/*answer.push_back(b25[itog3[ind].ind1].r);
	int ind50 = itog3[ind].ind2;
	answer.push_back(b25[b50[ind50].ind1].r);
	answer.push_back(b25[b50[ind50].ind2].r);*/
	return answer;
}
pair<vector <pii>, pii> solve(int a, int b)
{
	int ind1 = b_s(itog3, { a,b });
	int ind2 = b_s(itog4, { a,b });
	int ind3 = b_s(itog5, { a,b });
	if (ind3 != -1)
	{
		vector <pair <int, int>> answer = itog5[ind3].prev;
		return { conv(answer),{ 2,			3 } };

	}
	if (ind2 != -1)
	{
		vector <pair <int, int>> answer = itog4[ind2].prev;
		return { conv(answer),{ 1,3 } };
	}
	if (ind1 != -1)
	{
		vector <pair <int, int>> answer = itog3[ind1].prev;
		return { conv(answer),{ 0,3 } };
	}
	return { {},{ -1,-1 } };
}
int main() {

	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);


	for (int k = 0; k <= 23; ++k)
		b25.push_back({ 25,k,{ { 25,k } } });
	for (int p = 26; p <= 150; ++p)
		b25.push_back({ p,p - 2,{ { p,p - 2 } } });
	for (int k = 0; k <= 13; ++k)
		b15.push_back({ 15,k,{ { 15,k } } });
	for (int p = 16; p <= 150; ++p)
		b15.push_back({ p,p - 2,{ { p,p - 2 } } });
	b50 = mul(b25, b25);

	itog3 = mul(b50, b25);
	cb25 = convert(b25);
	itog4 = mul(itog3, cb25);
	b100 = mul(b50, convert(b50));

	itog5 = mul(b100, b15);
	sort(itog3.begin(), itog3.end(), compare);
	sort(itog4.begin(), itog4.end(), compare);
	sort(itog5.begin(), itog5.end(), compare);
	int t;
	cin >> t;
	for (int _ = 0; _ < t; ++_)
	{
		int a, b;
		cin >> a >> b;
		bool f = false;
		int ind1 = b_s(itog3, { a,b });
		int ind2 = b_s(itog4, { a,b });
		int ind3 = b_s(itog5, { a,b });

		if (ind1 != -1)
		{
			vector <pair <int, int>> answer = itog3[ind1].prev;
			cout << "3:0" << endl;
			for (pair<int, int> p : answer)
				cout << p.first << ':' << p.second << ' ';
			cout << endl;

			continue;
		}
		if (ind2 != -1)
		{
			vector <pair <int, int>> answer = itog4[ind2].prev;
			swap(answer[0], answer.back());
			cout << "3:1" << endl;

			for (pair<int, int> p : answer)
				cout << p.first << ':' << p.second << ' ';
			cout << endl;
			continue;
		}
		if (ind3 != -1)
		{
			vector <pair <int, int>> answer = itog5[ind3].prev;
			cout << "3:2" << endl;
			for (pair<int, int> p : answer)
				cout << p.first << ':' << p.second << ' ';
			cout << endl;
			continue;
		}
		pair<vector <pii>, pii> answww = solve(b, a);
		if (answww.second.first == -1)
		{
			cout << "Impossible" << endl;
			continue;
		}
		else
		{
			cout << answww.second.first << ':' << answww.second.second << endl;
			for (pii jj : answww.first)
				cout << jj.first << ':' << jj.second << ' ';
			cout << endl;
		}
	}
}