#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <queue>
#include <algorithm>
#define pii pair<int, int>
#define ll long long
using namespace std;


int solve(int k, vector <int>& a)
{
	int suma = 0;
	for (int i = 0; i < 7; ++i)
	{
		suma += a[i];
	}

	int min_ans = 1e9;
	for (int p = 0; p < 7; ++p)
	{
		int weeks = k / suma;
		if (k % suma == 0)
			weeks--;

		int ans = weeks * 7;
		int act_k = weeks * suma;
		for (int i = 0; i < 7 && k - act_k > 0; ++i)
		{
			ans++;
			act_k += a[i];
		}

		min_ans = min(min_ans, ans);

		int a0 = a[0];
		for (int i = 0; i < 6; ++i)
			a[i] = a[i + 1];
		a[6] = a0;
	}

	return min_ans;
}

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

	int t;
	cin >> t;

	for (int q = 0; q < t; ++q)
	{
		vector <int> a(7);
		int k;
		cin >> k;
		for (int i = 0; i < 7; ++i)
			cin >> a[i];
		cout << solve(k, a) << endl;
	}
	return 0;
}