#include <iostream>
#include <math.h>
#include <vector>

using namespace std;

int recursive_function(vector<int> &counts, vector<int> &divs, int pos, int lasts) {
    if (lasts < 0)
        return -1;
    if (lasts - divs[pos] == 0) {
        counts[pos] = 1;
        return 0;
    }
    if (pos == 0) {
        return -1;
    }

    int res;
    counts[pos] = 1;
    res = recursive_function(counts, divs, pos - 1, lasts - divs[pos]);
    if (res != 0) {
        counts[pos] = 0;
        res = recursive_function(counts, divs, pos - 1, lasts);
    }

    return res;
}

int main() {

    int n;
    scanf("%d", &n);
    int lasts = n - 1;

    vector<int> divs = vector<int>();
    for (int i = 2; i < n / 2 + 1; i++) {
        if (n % i == 0)
            divs.push_back(i);
    }
    vector<int> counts = vector<int>(divs.size());
    if (divs.size() > 0) {

        recursive_function(counts, divs, counts.size() - 1, lasts);

        int sum = 0;
        for (int i = 0; i < counts.size(); i++) {
            sum += counts[i];
        }
        if (sum > 0) {
            printf("YES\n%d\n", sum);
            for (int i = 0; i < counts.size(); i++) {
                if (counts[i] > 0)
                    printf("%d %d\n", counts[i], divs[i]);
            }
        } else {
            printf("NO");
        }
    } else {
        printf("NO");
    }

    return 0;
}

