#include<bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const ll N = 300;
const ll mod = 1e9 + 7;

#define fo(i, n) for(ll i = 1; i <= n; ++i)
#define pb push_back


int ok[N][N][5];
pii dp[N][N][5];
pii p[N][N][5];

int qs, qt, q[N* N*5*3];

inline bool better(pii a, pii b) {
    if(a.first - a.second > b.first - b.second) return 1;
    return 0;
}

inline void solve() {
    int x, y;
    cin >> x >> y;
    int fail = 1;
    pii res;
    int cnt = -1;
    for (int i = 1; i <= 5; ++i) {
        if (ok[x][y][i]) {
            if(fail) res = dp[x][y][i], cnt = i;
            else if(better(dp[x][y][i], res)) res = dp[x][y][i], cnt = i;
            fail = 0;
        }
    }
    if(fail == 1) {
        cout << "Impossible\n";
        return;
    }
    vector<pii> ans;
    for(int i = cnt; i > 0; --i) {
        pii w = p[x][y][i];
        x -= w.first, y -= w.second;
        ans.pb(w);
    }
    reverse(ans.begin(), ans.end());
    cout << res.first << ":" <<res.second <<'\n';
    for(auto &x : ans) {
        cout << x.first<<":"<<x.second << " ";
    }
    cout << '\n';
}

vector<pii> a[6];

inline void precalc() {
    for(int i = 0; i <= 200; ++i) {
        for(int j = 0; j <= 200; ++j)
            for(int k = 0; k <= 5; ++k)
            	dp[i][j][k] = {-1e9, 0};
    }
    dp[0][0][0] = {0,0};
    ok[0][0][0] = 1;

    for(int i = 0; i <= 200; ++i)
        for(int j = 0; j <= 200; ++j) {
            if(max(i, j) >= 25) {
                if(max(i, j) == 25 && abs(i - j) > 1 || max(i, j) > 25 && abs(i - j) == 2) {
                    for(int w = 1; w <= 4; ++w)
                        a[w].pb({i, j});
                }
            }
            if(max(i, j) >= 15) {
                if(max(i, j) == 15 && abs(i - j) > 1 || max(i, j) > 25  && abs(i - j) == 2) {
                    for(int w = 5; w <= 5; ++w)
                        a[w].pb({i, j});
                }
            }
        }

    for(int cur = 1; cur <= 5; ++cur) {
        for(int i = 0; i <= 200; ++i)
            for(int j = 0; j <= 200; ++j)
                for(auto &w : a[cur]) {
                    int x = i - w.first;
                    int y = j - w.second;
                    if(x >= 0 && y >= 0 && ok[x][y][cur-1]) {
                        if(dp[x][y][cur-1].first==3||dp[x][y][cur-1].second==3) continue;
                        pii ndp = dp[x][y][cur-1];
                        if(w.first > w.second) ndp.first++;
                        else ndp.second++;
                        if(!ok[i][j][cur] || better(ndp, dp[i][j][cur])) {
                            p[i][j][cur] = w;
                            ok[i][j][cur] = 1;
                            dp[i][j][cur] = ndp;
                        }
                    }
                }
            }
}


int main() {
    ios::sync_with_stdio(0); cin.tie(0);

    precalc();
    int t;
    cin >> t;
    while(t--) solve();

    return 0;
}