#include<bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const ll N = 300;
const ll mod = 1e9 + 7;

#define fo(i, n) for(ll i = 1; i <= n; ++i)
#define pb push_back


int ok[N][N][4][4];
pii p[N][N][4][4];


inline void solve() {
    int x, y;
    cin >> x >> y;
    int c1 = -1, c2 = -1;
    for(int w1 = 0; w1 <= 3; ++w1) {
        for(int w2 = 0; w2 <= 3; ++w2) {
            if(ok[x][y][w1][w2] && max(w1, w2) == 3) {
                if(c1 == -1 || w1 - w2 > c1 - c2)
                    c1 = w1, c2 = w2;
            }
        }
    }
    if(c1 == -1) {
        cout << "Impossible\n";
        return;
    }
    cout << c1<< ":" <<c2 <<'\n';

    vector<pii> ans;
    while(x > 0 || y > 0) {
        pii w = p[x][y][c1][c2];
        c1 -= (w.first > w.second);
        c2 -= (w.first < w.second);
        x -= w.first;
        y -= w.second;
        ans.pb(w);
    }
    reverse(ans.begin(), ans.end());
    for(auto &x : ans) {
        cout << x.first<<":"<<x.second << " ";
    }
    cout << '\n';
}

vector<pii> a[6];

inline void precalc() {
    ok[0][0][0][0] = 1;

    for (int i = 0; i <= 200; ++i)
        for (int j = 0; j <= 200; ++j) {
            if (max(i, j) >= 25) {
                if (max(i, j) == 25 && abs(i - j) > 1 || max(i, j) > 25 && abs(i - j) == 2) {
                    for (int w = 1; w <= 4; ++w)
                        a[w].pb({i, j});
                }
            }
            if (max(i, j) >= 15) {
                if (max(i, j) == 15 && abs(i - j) > 1 || max(i, j) > 25 && abs(i - j) == 2) {
                    for (int w = 5; w <= 5; ++w)
                        a[w].pb({i, j});
                }
            }
        }

    for (int cur = 1; cur <= 5; ++cur) {
        for (int i = 0; i <= 200; ++i)
            for (int j = 0; j <= 200; ++j)
                for (int wi = 0; wi <= cur - 1; ++wi) {
                    int wj = cur - 1 - wi;
                    if (wi == 3 || wj == 3) continue;
                    for (auto &w : a[cur]) {
                        int x = i - w.first;
                        int y = j - w.second;
                        if (x >= 0 && y >= 0 && ok[x][y][wi][wj]) {
                            int ai = w.first > w.second;
                            int aj = w.first < w.second;
                            ok[i][j][wi + ai][wj + aj] = 1;
                            p[i][j][wi + ai][wj + aj] = w;
                        }
                    }
                }
    }
}


int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    precalc();
    int t;
    cin >> t;
    while (t--) solve();

    return 0;
}