#include<bits/stdc++.h>
 
using namespace std;
 
typedef long long ll;
typedef pair<int, int> pii;
 
const int N = 300300;
const int mod = 1e9 + 7;
 
#define fo(i, n) for(int i = 1; i <= n; ++i)
#define sz(x) int(x.size())
#define pb push_back
#define MP make_pair
#define rep(i, a, b) for(int i = a; i < b; ++i)
int n,m, a[155][155];
pii e[N];
typedef vector<int> vi;
typedef vector<double> vd;
typedef vector<vd> vvd;
typedef long double T;
const T eps = 1e-6L, inf = 1/.0;
#define ltj(X) if(s == -1 || MP(X[j], N[j]) < MP(X[s], N[s])) s = j
 
struct LPSolver {
    int n, m;
    vi N, B;
    vvd D;
 
    LPSolver(const vvd& A, const vd& b, const vd& c) :
        m(sz(b)), n(sz(c)), N(n+1), B(m), D(m+2,vd(n+2)) {
        rep(i, 0, m) rep(j, 0, n) D[i][j] = A[i][j];
        rep(i, 0, m) {B[i] = n + i; D[i][n] = -1; D[i][n + 1] = b[i]; }
        rep(j, 0, n) { N[j] = j; D[m][j] = -c[j];}
        N[n] = -1; D[m + 1][n] = 1;
    }
    void pivot(int r, int s) {
        T *a = D[r].data(), inv = 1 / a[s];
        rep(i, 0, m+2) if(i != r && abs(D[i][s]) > eps) {
            T *b = D[i].data(), inv2 = b[s] * inv;
            rep(j,0,n+2) b[j] -= a[j] * inv2;
            b[s] = a[s] * inv2;
        }
        rep(j, 0, n+2) if(j != s) D[r][j] *= inv;
        rep(i, 0, m+2) if(i != r) D[i][s] *= -inv;
        D[r][s] = inv;
        swap(B[r], N[s]);
    }
    bool simplex(int phase) {
        int x = m + phase - 1;
        for(;;) {
            int s = -1;
            rep(j, 0, n + 1) if(N[j] != -phase) ltj(D[x]);
            if(D[x][s] >= -eps) return true;
            int r = -1;
            rep(i, 0, m) {
                if(D[i][s] <= eps) continue;
                if(r == -1 || MP(D[i][n+1] / D[i][s], B[i]) < MP(D[r][n+1] / D[r][s], B[r])) r = i;
            }
            if(r == -1) return false;
            pivot(r, s);
        }
    }
    T solve(vd &x) {
        int r = 0;
        rep(i,1,m) if(D[i][n+1] < D[r][n+1]) r = i;
        if(D[r][n+1] < -eps) {
            pivot(r, n);
            if(!simplex(2) || D[m+1][n+1] < -eps) return -inf;
            rep(i, 0,m) if(B[i]==-1) {
                int s = 0;
                rep(j,1,n+1) ltj(D[i]);
                pivot(i,s);
            }
        }
        bool ok = simplex(1); x = vd(n);
        rep(i, 0, m) if(B[i] < n) x[B[i]] = D[i][n+1];
        return ok ? D[m][n+1] : inf;
    }
};
 
 
inline void solve() {
    cin >> n >> m;
    fo(i, n) {
        string s;
        cin >> s;
        for(int j = 0; j < m; ++j) {
            a[i][j + 1] = s[j] - '0';
        }
    }
    int cnt = 0;
    for(int i = 1; i <= n; ++i) {
        for(int j = 1; j <= m; ++j)
            if(a[i][j]) e[++cnt] = {i, j};
    }
    vector<pii> pr;
    fo(i, cnt) fo(j, cnt) if(i != j && e[i].first == e[j].first && e[i].second != e[j].second) pr.pb({i, j});
    int num = pr.size();
    vvd A;
    vd B;
    vd C;
    for(int i = 0; i < pr.size(); ++i) {
        vd add(num, 0);
        add[i] = 1;
        A.pb(add);
        B.pb(1);
    }
    for(int i = 1; i <= n; ++i) {
        vd add(num, 0);
        for(int j = 0; j < pr.size(); ++j) {
            int e1 = pr[j].first, e2 = pr[j].second;
            if(e[e1].first == i || e[e2].first == i)
                add[j] = 1;
        }
        A.pb(add);
        B.pb(1);
    }
    for(int i = 1; i <= m; ++i) {
        vd add(num, 0);
        for(int j = 0; j < pr.size(); ++j) {
            int e1 = pr[j].first, e2 = pr[j].second;
            if(e[e1].second == i || e[e2].second == i)
                add[j] = 1;
        }
        A.pb(add);
        B.pb(1);
    }
    vd x(num);
    for(int i = 0; i < pr.size(); ++i) C.pb(1);
    T val = LPSolver(A,B,C).solve(x);
    cout << int(val+eps) << '\n';
}
 
int main() {
    ios::sync_with_stdio(0); cin.tie(0);
    int t;
    cin >> t;
    while(t--) solve();
    return 0;
}