#include<bits/stdc++.h>
 
using namespace std;
 
typedef long long ll;
typedef pair<int, int> pii;
 
const int N = 300300;
const int mod = 1e9 + 7;
 
#define fo(i, n) for(int i = 1; i <= n; ++i)
#define pb push_back
int n, m;
vector<int> a[505], g[505];
int alive[N];
int q[N];
int used[N];
int d[N];
int dp[505][505];
int best[N];

inline void bfs(int s) {
	fo(i, n) used[i] = 0, dp[s][i] = 1e9;
	used[s] = 1;
	dp[s][s] = 0;
	int qs = 0, qt = 0;
	q[qt++] = s;
	while(qs < qt) {
		int v = q[qs++];
		for(int u : g[v]) 
			if(!used[u]) 
				used[u] = 1, q[qt++] = u, dp[s][u] = dp[s][v] + 1;
	}
}
 
inline int calc(int root) {
 
    fo(i, n) best[i] = 1e9;
    for(int to : g[root]) {
        if(!alive[to]) continue;
        fo(i, n) best[i] = min(best[i], dp[to][i]);
    }
    int res = 0;
    for(int to : g[root]) {
        if(!alive[to]) continue;
        int cnt = 0;
        fo(i, n) if(alive[i] && dp[to][i] == best[i]) ++cnt;
        res = max(res, cnt);
    }
    return res;
}
 
int ww[N];
 
int main() {
    cin >> n >> m;
    for(int i = 1; i <= m; ++i) {
        int sz;
        cin >> sz;
        a[i].resize(sz);
        for(int j = 0; j < sz; ++j)
            cin >> a[i][j];
        for(int j = 0; j  + 1 < sz; ++j) {
            g[a[i][j]].pb(a[i][j+1]);
            g[a[i][j+1]].pb(a[i][j]);
        }
    }
    fo(i, n) {
    	bfs(i);
    }
    fo(i, n) ww[i] = 1, alive[i] = 1;
    int c = 0;
    int xx = 0;
    while(true) {
        int id = -1;
        fo(i, n) {
            if(alive[i]) {
                if(id == -1 || calc(i) < calc(id)) id = i;
            }
        }
        cout << id << endl;
        ++xx;
        string s;
        cin >> s;
        alive[id] = 0;
        if(s == "FOUND") {
            for(int i = 1; i <= n; ++i)
                alive[i] = 1;
            ++c;
            xx = 0;
            if(c == n) return 0;
            continue;
        }
        if(xx == 10) assert(0);
        int w;
        cin >> w;
        for(int i = 1; i <= n; ++i)
            if(alive[i] && dp[w][i] == best[i]) alive[i] = 1;
            else alive[i] = 0;
    }
 
    return 0;
}