#include <bits/stdc++.h>

#define f first
#define s second

using namespace std;

typedef long long ll;

const int N = 100;
const int mod = int(1e9 + 7);
const double eps = 1e-9;

int n, g[10][10], p[10], etaj[10], de[10];
vector<int> cmp[10], ng[10];
int used[10], c[10];
int t[10][10];

struct custom {
    bool operator() (int x, int y) {
        if (p[x] == p[y]) {
            return x < y;
        }
        return p[x] < p[y];
    }
};

char m[20][10][100];
int x, y, z;

int main() {
    scanf("%d", &n);

    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            scanf("%d", &g[i][j]);
        }
    }

    for (int k = 1; k <= n; k++) {
        for (int i = 1; i <= n; i++) {
            for (int j = 1; j <= n; j++) {
                g[i][j] |= g[i][k] & g[k][j];
            }
        }
    }

    for (int i = 1; i <= n; i++) {
        if (!used[i]) {
            used[i] = 1;
            c[i] = i;
            cmp[i].emplace_back(i);
            for (int j = i + 1; j <= n; j++) {
                if (g[i][j] & g[j][i]) {
                    used[j] = 1;
                    c[j] = i;
                    cmp[i].emplace_back(j);
                }
            }
        }
    }

    for (int i = 1; i <= n; i++) {
        if (c[i] != i) {
            continue;
        }
        for (int j = 1; j <= n; j++) {
            if (c[j] != j) {
                continue;
            }
            if (g[i][j] == 1 && g[j][i] == 0) {
                ng[i].emplace_back(j);
                p[j]++;
            }
        }
    }

    set<int, custom> s;

    for (int i = 1; i <= n; i++) {
        if (c[i] == i) {
            s.insert(i);
        }
    }

    vector<int> srtd;

    while (s.size() > 0) {
        int v = *s.begin();
        s.erase(s.begin());
        srtd.emplace_back(v);
        for (int i : ng[v]) {
            s.erase(i);
            p[i]--;
            s.insert(i);
        }
    }

    for (int i = 0; i < srtd.size(); i++) {
//        printf("------------------------ %d\n", srtd[i]);
        etaj[srtd[i]] = srtd.size() - i;
        de[srtd.size() - i] = srtd[i];
    }

    int tt = 0;
    for (int i = 1; i <= 9; i++) {
        for (int j = i + 1; j <= 9; j++) {
            if (i != j) {
                t[i][j] = t[j][i] = ++tt;
            }
        }
    }

    x = 18; y = 3; z = 72;

    for (int i = 1; i <= x; i++) {
        for (int j = 1; j <= y; j++) {
            for (int k = 1; k <= z; k++) {
                m[i][j][k] = '.';
            }
        }
    }

    for (int i = 1; i <= x; i++) {
        if (i & 1) {
            for (int j = 1; j <= y; j++) {
                for (int k = 1; k <= z; k++) {
                    m[i][j][k] = '#';
                }
            }
        } else {
            for (int j = 1; j <= z; j++) {
                m[i][3][j] = '#';
            }
            for (int j = 1; j <= 36; j++) {
                m[i][2][j + j] = '#';
            }
        }
//        if (i > 1) {
            for (int j = 1; j <= 36; j++) {
                m[i][3][j + j] = '.';
            }
//        }
    }

    for (int i = 2; i <= x; i += 2) {
        for (int j = i + 2; j <= x; j += 2) {
            m[i - 1][3][t[i / 2][j / 2] * 2] = '#';
        }
    }

    for (int i : srtd) {
        int cur_etaj = etaj[i] * 2;
        int id = 1;
        for (int x : cmp[i]) {
            m[cur_etaj][1][id++] = x + 48;
        }
    }

    for (int i = 0; i < srtd.size(); i++) {
        for (int j = 0; j < srtd.size(); j++) {
            if (i != j && g[srtd[i]][srtd[j]] == 1) {
                m[etaj[srtd[j]] * 2][2][t[srtd[i]][srtd[j]] * 2] = '.';
                m[etaj[srtd[i]] * 2][2][t[srtd[i]][srtd[j]] * 2] = '.';
            }
        }
    }

    printf("%d %d %d\n", z, y, x);

    for (int i = x; i >= 1; i--) {
        for (int j = 1; j <= y; j++) {
            for (int k = 1; k <= z; k++) {
                putchar(m[i][j][k]);
            }
            puts("");
        }
        puts("");
    }

    return 0;
}
