#include <stdio.h>
#include <bits/stdc++.h>

using namespace std;

typedef double db;
typedef long long ll;
typedef long double ld;
typedef unsigned int ui;
typedef unsigned long long ull;

typedef pair < db, db > pdd;
typedef pair < db, ld > pdl;
typedef pair < ld, db > pld;
typedef pair < ld, ld > ldp;

typedef pair < ll, ll > pll;
typedef pair < int, ll > pil;
typedef pair < ll, int > pli;
typedef pair < int, int > pii;

#define F first
#define S second

#define en end()
#define bg begin()

#define rev reverse
#define mp make_pair
#define pb push_back

#define y1 y1234567890
#define um unordered_map

#define all(x) x.bg, x.en
#define sz(x) (int)x.size()
#define len(x) (int)strlen(x)

#define sqr(x) ((x + 0ll) * (x))
#define sqrd(x) ((x + 0.0) * (x))

#define forn(i, n) for (int i = 1; i <= n; i++)

const ll inf = (ll)1e18;
const ll mod = (ll)1e9 + 7;

const db eps = (db)1e-9;
const db pi = acos(-1.0);

const int dx[] = {0, 0, 1, 0, -1};
const int dy[] = {0, 1, 0, -1, 0};

const int N = 310;

vector <int> g[N];

int t,n,m, p[N], pr[N], mt[N];
char s[N];

int used[N], pos;

void clear(){
	for(int i = 1; i <= n + m; i++){
		g[i].clear();
		g[n + i].clear();
	}
}

bool kuhn(int v){
	if(used[v] == pos) return 0;
	used[v] = pos;
	for(int to : g[v]){
		if(mt[to] == -1){
			pr[v] = to;
			mt[to] = v;
			return 1;
		}
	}
	for(int to : g[v]){
		if(kuhn(mt[to])){
			pr[v] = to;
			mt[to] = v;
			return 1;
		}
	}
	return 0;
}

int solve(){
    for(int i = 1; i <= n + m; i++){
    	pr[i] = -1;
    	mt[i] = -1;
    }
	for(int i = 1,v; i <= n; i++){
		v = p[i];
		pos++;
		kuhn(v);
		kuhn(v + n);
		if(pr[v + n] == -1){
			if(pr[v]){
				mt[pr[v]] = -1;
				pr[v] = -1;
			}
		}
	}
	int res = 0;
	for(int i = 1; i <= n + m; i++){
		if(mt[i] != -1) res++;
	}
	return res / 2;
}

int main() {
	srand(time(0));
	scanf("%d", &t);
	while(t--){
		scanf("%d%d", &n, &m);
		for(int i = 1; i <= n; i++){
			scanf("\n%s",s + 1);
			for(int j = 1; j <= m; j++){
				if(s[j] == '1'){
					g[i].pb(n + j);
					g[n + i].pb(n + j);
				}
			}
			p[i] = i;
		}
		int ans = 0;
		for(int it = 1; it <= 100; it++){
			ans = max(ans, solve());
		    random_shuffle(p + 1, p + n + 1);
		}
		printf("%d\n", ans);
		clear();
	}
	
	return 0;
}
