#include <stdio.h>
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define F first
#define S second
#define mp make_pair
#define pb push_back

const ll mod = (ll)1e9 + 7;

const int N = 100500;

ll phi(ll n){
    ll m = n;
    for(int i = 2; i * i <= n; i++){
    	if(n % i == 0){
    		while(n % i == 0) n /= i;
    		m -= m / i;
    	}
    }
    if(n > 1){
    	m -= m / n;
    }
    return m;
}

ll modpow(ll a,ll b,ll c){
	ll res = 1;
	while(b){
		if(b & 1) res = res * a % c;
		a = a * a % c;
		b >>= 1;
	}
	return res;
}

bool check(int n){
	for(int i = 2; i * i <= n; i++){
		if(n % i == 0){
			while(n % i == 0){
				 n /= i;
			}
			if(n == 1) return 1;
			return 0;
		}
	}
	return 1;
}

int main() {
	ll n;
	cin >> n;
	if(check(n)){
		cout << "NO";
		return 0;
	}
	ll p = 1, q = 1;
	for(int i = 2; i * i <= n; i++){
		if(n % i == 0){
			while(n % i == 0){
				 n /= i;
				 p *= i;
			}
			q = n;
			break;
		}
	}
	n = p * q - 1;
	ll a = n * modpow(q, phi(p) - 1, p) % p; 
	ll b = (n - a * q) / p;
	puts("YES");
	cout << 2 << endl;
	cout << a << " " << p << endl;
	cout << b << " " << q << endl;
	//cerr << (a * q + b * p) << endl; 
	return 0;         
}
