#include <stdio.h>
#include <bits/stdc++.h>

using namespace std;

typedef double db;
typedef long long ll;
typedef long double ld;
typedef unsigned int ui;
typedef unsigned long long ull;

typedef pair < db, db > pdd;
typedef pair < db, ld > pdl;
typedef pair < ld, db > pld;
typedef pair < ld, ld > ldp;

typedef pair < ll, ll > pll;
typedef pair < int, ll > pil;
typedef pair < ll, int > pli;
typedef pair < int, int > pii;

#define F first
#define S second

#define en end()
#define bg begin()

#define rev reverse
#define mp make_pair
#define pb push_back

#define y1 y1234567890
#define um unordered_map

#define all(x) x.bg, x.en
#define sz(x) (int)x.size()
#define len(x) (int)strlen(x)

#define sqr(x) ((x + 0ll) * (x))
#define sqrd(x) ((x + 0.0) * (x))

#define forn(i, n) for (int i = 1; i <= n; i++)

const ll inf = (ll)1e18;
const ll mod = (ll)1e9 + 7;

const db eps = (db)1e-9;
const db pi = acos(-1.0);

const int dx[] = {0, 0, 1, 0, -1};
const int dy[] = {0, 1, 0, -1, 0};

const int N = 100500;

int n, a[10][10], b[20][100][100], num[10];
bool used[10];
vector <int> comp, tp;
vector <vector <int> > co;

void tps(int v){
	if(used[v])
		return;
	used[v] = 1;
	for(int i = 1; i <= n; ++i)
		if(a[v][i])
			tps(i);
	tp.pb(v);
}

void tps1(int v){
	if(used[v])
		return;
	used[v] = 1;
	comp.pb(v);
	for(int i = 1; i <= n; ++i)
		if(a[i][v])
			tps1(i);
}

int main() {
	//freopen(".in", "r", stdin);
	//freopen(".out", "w", stdout);
	//freopen(".err", "w", stderr);

	//srand(time(NULL));

	//cin.tie(NULL);
	//cout.tie(NULL);
	//ios_base::sync_with_stdio(false);

	//cout << setprecision(10) << fixed;

	cin >> n;

	for(int i = 1; i <= n; ++i)	
	for(int j = 1; j <= n; ++j)
		cin >> a[i][j];

	for(int k = 1; k <= n; ++k)
	for(int i = 1; i <= n; ++i)
	for(int j = 1; j <= n; ++j)
		a[i][j] |= (a[i][k] & a[k][j]);

	for(int i = 1; i <= n; ++i)
		tps(i);

	memset(used, 0, sizeof used);

	for(int i = n - 1; i >= 0; --i){
		int v = tp[i];
		if(used[v])
			continue;
		comp.clear();
		tps1(v);
		co.pb(comp);
		for(auto j : comp)
			num[j] = sz(co);
	}

	int X = 4 * 9;
	int Y = 4 * 9 + 1;
	int Z = sz(co) * 2;

	for(int i = 1; i <= sz(co); ++i)
	for(int j = 1; j <= X; ++j)
	for(int k = 1; k <= Y; ++k)
		b[i + i - 1][j][k] = -1;
	
	for(int i = 1; i <= sz(co); ++i)
	for(int j = 1; j <= 9; ++j)
	for(int k = 1; k <= 9; ++k){
		int xa = (j - 1) * 4 + 2, ya = (k - 1) * 4 + 2;
		for(int xb = -1; xb <= 1; ++xb)
		for(int yb = -1; yb <= 1; ++yb)
			b[i + i][xa + xb][ya + yb] = -1;
	}
	
	for(int i = 1; i <= Z; ++i)
	for(int j = 1; j <= 9; ++j)
	for(int k = 1; k <= 9; ++k){
		int xa = (j - 1) * 4 + 2, ya = (k - 1) * 4 + 2;
		b[i][xa][ya] = 0;
	}

	for(int i = 1; i <= n; ++i)
	for(int j = 1; j <= n; ++j)
		if(a[i][j]){
			int x = sz(co) - num[i] + 1, y = sz(co) - num[j] + 1;
			int xa = (x - 1) * 4 + 2, ya = (y - 1) * 4 + 2;
			if(xa == ya)
				continue;
			assert(xa > ya);
			b[y + y - 1][xa][ya] = -1;
			b[y + y][xa][ya + 1] = 0;
			b[x + x][xa][ya + 1] = 0;
		} 

	for(int i = 1; i <= n; ++i){
		int z = sz(co) - num[i] + 1;
		b[z + z][i][4 * 9 + 1] = i;
	}

	cout << X << " " << Y << " " << Z << endl;
	for(int i = sz(co) * 2; i >= 1; --i, cout << endl << endl)
	for(int j = 1; j <= X; ++j, cout << endl)
	for(int k = 1; k <= Y; ++k){
		if(b[i][j][k] == -1)
			cout << "#";
		else if(b[i][j][k] == 0)
			cout << '.';
		else cout << b[i][j][k];
	}
	  
	//cerr << (clock() + 0.0) / CLOCKS_PER_SEC;
	
	return 0;
}
