#include <bits/stdc++.h>
#pragma GCC optimize("Ofast, no-stack-protector")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")
#define MAXN 1000009
#define MOD 1000000007
#define pb push_back
#define M make_pair
#define F first
#define S second
#define tr(it, c) for(__typeof((c).begin()) it = (c).begin(); it!=(c).end(); it++)
#define all(v) (v).begin(), (v).end

using namespace std;
int const N = 3e5 + 9;
typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> PII;

#define FAST ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

template<class T>
string tostr(T n){
    stringstream ss;
    ss << n;
    string s;
    ss >> s;
    return s;
}
ll modpow(ll a, ll b, ll mod){
    if(b == 0)
        return 1 % mod;
    if(b & 1)
        return a * 1ll * modpow(a, b - 1, mod) % mod;
    ll ret = modpow(a, b >> 1, mod);
    return ret * 1ll * ret % mod;
}

ll phi(ll n){
    ll s = n;
    for(ll i = 2; i * i <= n; i ++)
    if(n % i == 0){
        while(n % i == 0)
            n /= i;
        s -= s / i;
    }
    if(n > 1)
        s -= s / n;
    return s;
}
vector<int> seive(int n){
    vector<bool> b(n + 1, 1);
    b[0] = b[1] = 0;
    for(int i = 2; i * i <= n; i ++)
        if(b[i])
            for(int j = i*i; j <= n; j += i)
                b[j] = 0;
    vi v;
    for(int i = 2; i <= n; i ++)
        if(b[i])
            v.pb(i);
    return v;
}
vector<pair<ll, ll> > mf(int n, ll mod, bool need){
    vector<pair<ll, ll> > p(n + 1);
    p[0].F = p[0].S = 1;
    ll Mod = mod;
//    Mod = phi(Mod) + 1;
    if(need)
    for(int i = 1; i <= n; i ++)
        p[i].F = p[i - 1].F * 1ll * i % mod;
    else
    for(int i = 1; i <= n; i ++)
        {
        p[i].F = p[i - 1].F * 1ll * i % mod;
        p[i].S = modpow(p[i].F, Mod - 2, mod);
    }
    return p;
}

int n,m,k;
int a[N], b[N];
typedef long double LD;
typedef double D;
void euclid(int a, int b, int &x, int &y, int &g){
    if(b == 0){
        x = 1;
        y = 0;
        g = a;
    }else{
        euclid(b, a % b, y, x, g);
        y -= x * (a / b);
    }
}
vector<PII> f(int a, int b){
    int s = b;
    int nn = a * b - 1;
    int ansX = 0, ansY = 0;
    for(int i = 1; ; i ++){
        if((nn - s) % a == 0){
            ansX = i;
            ansY = (nn - s) / a;
            break;
        }
        s += b;
    }
    return {M(ansX, a), M(ansY, b)};
}
int solve(){
    cin >> n;
    ll ans = 0;
    vector<PII> v;
    int A = n;
    for(int i = 2; i * i <= n; i ++)
    if(n % i == 0){
        int cnt = 0;
        while(n % i == 0)
                n /= i, cnt ++;
        v.pb(M(i, cnt));
    }
    if(n > 1)
        v.pb(M(n, 1));
    if(v.size() < 2)
        return puts("NO") * 0;
    int i1 = v.size() - 2, i2 = v.size() - 1;
    vector<PII> g[2];
    //cerr << v[i1].F << ' ' << v[i1].S << endl;
    //cerr << v[i2].F << ' ' << v[i2].S << endl;
    g[0] = f(v[v.size() - 2].F, v[v.size() - 1].F);
    int t = 1;
    for(int i = 1; i < v[i1].S; i ++){
        g[t].clear();//cerr << v[i1].F << ' ' << endl;
        for(int j = 0; j < g[t^1].size(); j ++)
            g[t].pb(M(g[t^1][j].F, g[t^1][j].S * v[i1].F));
        g[t].pb(M(v[i1].F - 1, v[i1].F));
        t ^= 1;
    }

    i1 = i2;
    for(int i = 1; i < v[i1].S; i ++){
        g[t].clear();//cerr << endl << v[i1].F << ' ' << endl;
        for(int j = 0; j < g[t^1].size(); j ++)
            g[t].pb(M(g[t^1][j].F, g[t^1][j].S * v[i1].F));
        g[t].pb(M(v[i1].F - 1, v[i1].F));
        t ^= 1;
    }
    for(int i = 0; i < v.size() - 2;i ++){
        g[t].clear();
        for(int j = 0; j < g[t^1].size(); j ++)
            g[t].pb(M(g[t^1][j].F, g[t^1][j].S * pow(v[i].F, v[i].S)));
        g[t].pb(M(pow(v[i].F, v[i].S) - 1, pow(v[i].F, v[i].S)));
        t ^= 1;
    }
    t^=1;
    cout << "YES\n" << g[t].size() << endl;
    tr(it, g[t])
        cout << it->F << ' ' << it->S << endl;
    return 0;
}
int main(){
    int test = 1;
//    FAST;
//    scanf("%d", &test);
    FAST;
//    cin >> test;
    while(test --){
        solve();
    }
}

