//Wonder Pets!
#include <bits/stdc++.h>

typedef long long ll;

#define pb push_back
#define forn(i, n) for (int i = 1; i <= n; i++)
#define f first
#define s second
#define y1 qewr1234
#define all(x) x.begin(), x.end()

const double PI = acos(-1.0);
const int DIR = 4;
const int X[] = {1, 0, -1, 0};
const int Y[] = {0, 1, 0, -1};

using namespace std;

const int N = 510, inf = 1e9;
vector< int > g[N];
int n, m, dist[N][N];
bool ban[N];
void addE(int v, int u){
	g[v].pb(u);
	g[u].pb(v);
}
void ask(int v){
	string s;
	int w;
	cout << v << endl;
	cin >> s;
	if(s == "FOUND")
		exit(0);
	cin >> w;          	
	for(int i = 1; i <= n; i++)
		if(dist[v][i] != dist[w][i] + 1)
			ban[i] = 1;
}
int main()
{
	//ios_base::sync_with_stdio(0);
	//cin.tie();
	//cout.tie();

	//freopen(".in", "r", stdin);
	//freopen(".out", "w", stdout);
	 
	//cerr << 1.0 * clock() / CLOCKS_PER_SEC << endl;
	cin >> n >> m;
	for(int i = 0; i < m; i++){
		int k;
		cin >> k;
		vector< int > path(k);
		for(int i = 0; i < k; i++)
			cin >> path[i];
		for(int i = 0; i + 1 < k; i++)
			addE(path[i], path[i + 1]);
	}
	for(int i = 1; i <= n; i++){
		for(int j = 1; j <= n; j++)
			dist[i][j] = inf;
		queue< int > q;
		dist[i][i] = 0;
		q.push(i);
		while(!q.empty()){
			int v = q.front();
			q.pop();
			for(auto to : g[v])
				if(dist[i][to] == inf){
					dist[i][to] = dist[i][v] + 1;
					q.push(to);
				}
		}
	}

	while(true){
		pair<int, int> ans = {inf, -1};
		for(int i = 1; i <= n; i++){
			if(ban[i])
				continue;
			int cur = 0;
			for(auto to : g[i]){
				if(ban[to])
					continue;
				int cnt = 0;
				for(int j = 1; j <= n; j++)
					if(!ban[j] && dist[i][j] == dist[to][j] + 1)
						cnt++;	
				cur = max(cnt, cur);
			}
			ans = min(ans, {cur, i});
		}
		ask(ans.s);
	}

	return 0;
} 