//Wonder Pets!
#include <bits/stdc++.h>

typedef long long ll;

#define pb push_back
#define forn(i, n) for (int i = 1; i <= n; i++)
#define f first
#define s second
#define y1 qewr1234
#define all(x) x.begin(), x.end()

const double PI = acos(-1.0);
const int DIR = 4;
const int X[] = {1, 0, -1, 0};
const int Y[] = {0, 1, 0, -1};

const int N = (int)1e6 + 228;

using namespace std;

struct btr{
	ll l, r, m;
	bool operator ==(btr b){
		return l == b.l && r == b.r && m == b.m;
	}

};

int a[N];
btr t[N << 2], emp;

btr Merge(btr a, btr b){
	if(a == emp)
		return b;
	if(b == emp)
		return a;
	if(a.r < b.l)
		return {a.l, b.r, a.m + b.m + b.l - a.r - 1};
    ll val = min(b.m, a.r + (b.r - b.l + 1) - b.r);
    return {a.l, max(b.r, a.r + (b.r - b.l + 1) - val), a.m + b.m - val};
}
void upd(int pos, int v, int tl, int tr, int val)
{
	if (tl == tr)
	{
		if(val == -1)
			t[v] = emp;
		else
			t[v] = {tl, tl + val - 1};
		return;
	}
	int mid = (tl + tr) >> 1;
	if (pos <= mid)
		upd(pos, v << 1, tl, mid, val);
	else
		upd(pos, v << 1 | 1, mid + 1, tr, val);
	t[v] = Merge(t[v << 1], t[v << 1 | 1]); 
}

btr get(int l, int r, int v, int tl, int tr)
{
	if (r < tl || tr < l)
		return emp;
	if (tl >= l && tr <= r)
	{
		return t[v];
	}
	int mid = (tl + tr) >> 1;
	btr x = get(l, r, v << 1, tl, mid);
	btr y = get(l, r, v << 1 | 1, mid + 1, tr);
	return Merge(x, y);
}

int main()
{
	ios_base::sync_with_stdio(0);
	cin.tie();
	cout.tie();

	//freopen(".in", "r", stdin);
	//freopen(".out", "w", stdout);
	 
	//cerr << 1.0 * clock() / CLOCKS_PER_SEC << endl;

	int q;
	cin >> q;
	int n = (int)1e6;
	emp.l = -1;
	emp.r = -1;
	emp.m = -1;
	for(int i = 0; i < (N << 2); i++)
		t[i] = emp;
	forn(i, q)
	{
		char type;
		cin >> type;
		if (type == '+')
		{
			int t, k;
			cin >> t >> k;
			upd(t, 1, 1, n, k);
			a[i] = t;
		}
		else if (type == '-')
		{
			int id;
			cin >> id;
			upd(a[id], 1, 1, n, -1);			
		}
		else
		{
			int t;
			cin >> t;
			cout << max(0ll, get(1, t, 1, 1, n).r - t + 1) << endl;
		}
	}

	return 0;
} 