#include <iostream>
#include <map>
#include <vector>
using namespace std;

typedef pair<int, int> pii;

const pii nulll = {0, 0};
vector<pii> v1, v2; int l1, l2;
map<pii, pii> m[4][4];
vector<pii> soll;

void build() {

    for(int i = 25; i <= 200; i ++) {
        if(i == 25)
        for(int j = 0;j < 24; j ++) {
            //m2[{i, j}] = 1;
            m[1][0][{i, j}] = {i, j};
        }
        else {
//            m2[{i, i - 2}] = 1;
            m[1][0][{i, i - 2}] = {i, i - 2};
        }
    }
    // m1 ok

    for (int i = 25; i <= 200; i ++){
        if(i == 25){
            for (int j = 0; j < 24; j ++){
                for (auto s : m[1][0]){
                    if((s.first.first + i) < 201 && (1*s.first.second + j) < 201)
                        m[2][0][{s.first.first + i, s.first.second + j}] = {i, j};
                }
            }
        } else {
            for (auto s : m[1][0]){
                    if(s.first.first + i < 201 && s.first.second + i - 2 < 201)
                        m[2][0][{s.first.first + i, s.first.second + i - 2}] = {i, i - 2};
                }
        }
    }
    //m2 ok

    for (int i = 25; i <= 200; i ++){
        if(i == 25){
            for (int j = 0; j < 24; j ++){
                for (auto s : m[2][0]){
                    if((s.first.first + i) < 201 && (1*s.first.second + j) < 201)
                        m[3][0][{s.first.first + i, s.first.second + j}] = {i, j};
                }
            }
        } else {
            for (auto s : m[2][0]){
                    if(s.first.first + i < 201 && s.first.second + i - 2 < 201)
                        m[3][0][{s.first.first + i, s.first.second + i - 2}] = {i, i - 2};
                }
        }
    }
    // m3 ok

    for (int i = 25; i <= 200; i ++){
        if(i == 25){
            for (int j = 0; j < 24; j ++){
                for (auto s : m[2][0]){
                    if((s.first.first + i) < 201 && (1*s.first.second + j) < 201)
                        m[2][1][{s.first.first + j, s.first.second + i}] = {j, i};
                }
            }
        } else {
            for (auto s : m[2][0]){
                    if(s.first.first + i - 2 < 201 && s.first.second + i < 201)
                        m[2][1][{s.first.first + i - 2, s.first.second + i}] = {i - 2, i};
                }
        }
    }
    //m21 ok

    for (int i = 25; i <= 200; i ++){
        if(i == 25){
            for (int j = 0; j < 24; j ++){
                for (auto s : m[2][1]){
                    if(s.first.first + j < 201 && s.first.second + i < 201)
                        m[3][1][{s.first.first + i, s.first.second + j}] = {i, j};
                }
            }
        } else {
            for (auto s : m[2][1]){
                    if(s.first.first + i - 2 < 201 && s.first.second + i < 201)
                        m[3][1][{s.first.first + i, s.first.second + i - 2}] = {i, i - 2};
                }
        }
    }
    // m31 ok

    for (int i = 25; i <= 200; i ++){
        if(i == 25){
            for (int j = 0; j < 24; j ++){
                for (auto s : m[2][1]){
                    if(s.first.first + j < 201 && s.first.second + i < 201)
                        m[2][2][{s.first.first + j, s.first.second + i}] = {j, i};
                }
            }
        } else {
            for (auto s : m[2][1]){
                    if(s.first.first + i - 2 < 201 && s.first.second + i < 201)
                        m[2][2][{s.first.first + i - 2, s.first.second + i}] = {i - 2, i};
                }
        }
    }
    //m22 ok

    for (int i = 15; i <= 200; i ++){
        if(i == 15){
            for (int j = 0; j < 14; j ++){
                for (auto s : m[2][2]){
                    if(s.first.first + i < 201 && s.first.second + j < 201)
                        m[3][2][{s.first.first + i, s.first.second + j}] = {i, j};
                }
            }
        } else {
            for (auto s : m[2][2]){
                if(s.first.first + i < 201 && s.first.second + i - 2 < 201)
                    m[3][2][{s.first.first + i, s.first.second + i - 2}] = {i, i - 2};
            }
        }
    }
    // m32 ok
}

void ffind(int a, int b, int x, int y){
    if(y == 3) return;
    if(x == 3){
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            if(x == 3){
                soll.push_back({x, y});
            }
            soll.push_back({sol.first, sol.second});
            ffind(a - sol.first, b - sol.second, x - 1, y);
        } else
            ffind(a, b, x, y + 1);
    } else if(x == 2){
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            soll.push_back({sol.first, sol.second});
            if(y != 0)
                ffind(a - sol.first, b - sol.second, x, y - 1);
            else ffind(a - sol.first, b - sol.second, x - 1, y);
        }
    } else {
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            soll.push_back({sol.first, sol.second});
        }
    }
}

void print(bool ok){
    if(ok){
        cout << soll[0].first << ":" << soll[0].second << endl;
        int y = soll.size();
        for (int i = y - 1; i > 0; i --){
            cout << soll[i].first << ":" << soll[i].second << " ";
        }
    } else {
        cout << soll[0].second << ":" << soll[0].first << endl;
        int y = soll.size();
        for (int i = y - 1; i > 0; i --){
            cout << soll[i].second << ":" << soll[i].first << " ";
        }
    }
    cout << endl;
}

void ffind1(int a, int b, int x, int y){
    if(y == -1 ||  x == 0) return;
    if(x == 3){
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            if(x == 3){
                soll.push_back({x, y});
            }
            soll.push_back({sol.first, sol.second});
            ffind1(a - sol.first, b - sol.second, x - 1, y);
        } else
            ffind1(a, b, x, y - 1);
    } else if(x == 2){
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            soll.push_back({sol.first, sol.second});
            if(y != 0)
                ffind1(a - sol.first, b - sol.second, x, y - 1);
            else ffind1(a - sol.first, b - sol.second, x - 1, y);
        }
    } else {
        pii sol = m[x][y] [{a, b}];
        if(sol != nulll){
            soll.push_back({sol.first, sol.second});
        }
    }
}
void solve() {

    int a, b;
    cin >> a >> b;
    int i, j;
    i = 3; j = 0;
    soll.clear();
    ffind(a, b, i, j);
    bool win = soll.size() > 0;
    if(!win) {
        soll.clear();
        ffind1(b, a, 3, 2);
        if(soll.size() == 0)
            cout << "Impossible" << endl;
        else print(false);
    }
    else {
        print(true);
    }
}

int main() {
    build();
    int t;
    cin >> t;
    while(t --) solve();

}
