

#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;


typedef long long ll;

ll modpow(ll a, ll b, ll m) {

    ll rs = 1;
    while(b) {
        if(b & 1)
            rs = (rs * a) % m;
         a = (a * a) % m;
         b >>= 1;
    }
    return rs;
}


int phi(int x){
    int ans = x;
    for (int i = 2; i * i <= x; i ++){
        if(x % i == 0){
            while (x % i == 0){
                x /= i;

            }
            ans /= i;
            ans *= (i - 1);
        }
    }
    if(x > 1){
        ans /= x;
        ans *= (x - 1);
    }
    return ans;
}


void solve(){
    int n1, n;
    cin >> n;
    n1 = n;
    int d1 = 1 , d2;
    for (int i = 2; i * i <= n; i ++){
        if(n % i == 0){
            while(n % i == 0){
                d1 *= i;
                n /= i;
            }
            break;
        }
    }
    if(n == 1 || d1 == 1){
        cout << "NO";
    } else {
        d2 = n1 / d1;
        //cout << d1 << " "  << d2 << endl;
        int a = (d2 - modpow(d1, phi(d2) - 1, d2)) % d2;
        int b = (d1 - modpow(d2, phi(d1) - 1, d1)) % d1;
        cout << "YES\n";
        cout << 2 << endl;
        cout << a << " " << d2 << endl;
        cout << b << " " << d1 << endl;
    }
}


int main() {
    int t;
     t = 1;
     while (t --) {
        int n;
         solve();
     }

    return 0;
}

/*
3
2
0 1 0 0 0 0 0
100000000
1 0 0 0 1 0 1
1
1 0 0 0 0 0 0

*/
