#include <bits/stdc++.h>

using namespace std;

int n;

bool isPrime(int n) {
	for(int i = 2; i * i <= n; ++i) {
		if(n % i == 0) return 0;
	}
	return 1;
}

inline pair<int, vector<pair <int, int> > > get(vector <int> divs, int need) {
	vector<pair<int,int> > ans;
	for(int b : divs) {
		int cnt = need / (n / b);
		while(cnt > 0) {
			int a = min(cnt, b - 1);
			ans.push_back(make_pair(a, b));
			cnt -= a;			
		}
		need %= n / b;
	}
	return make_pair(need, ans);
}

inline void print(vector <pair<int, int> > ans) {
	cout << "YES\n";
	cout << ans.size() << "\n";
	for(auto it : ans)
		cout << it.first << " " << it.second << "\n";
}

vector <pair <int, int> > recans;
vector<int> divs;
double start;

int S = 50000;

void f(int need, int i) {
	if (recans.size() >= 100000) return;
	if (need == 0) {
		print(recans);
		exit(0);
	}
	/*
	if ((clock() - start) / 1000.0 > 1.5) {
		// cout << (clock() - start) / 1000.0 << endl;
		cout << "NO" << endl;
		exit(0);
	}
	*/
	if (i >= divs.size()) return;

	int cnt = min(need / divs[i], n / divs[i] - 1);

//	for (int j = 1; (n / divs[i]) * j <= need && j < divs[i]; ++j) {
	for (int j = cnt; j >= max(cnt - 100, 1); --j) {
		recans.push_back(make_pair(j, n / divs[i]));
		f(need - divs[i] * j, i + 1);
		recans.pop_back();
	}
	f(need, i + 1);
}

int main() {

	cin >> n;

	if(isPrime(n)) {
		cout << "NO\n";
		return 0;
	}

	for(int i = 2; i * i <= n; ++i) {
		if(n % i == 0) {
			divs.push_back(i);
			if(i * i != n) divs.push_back(n / i);
		}
	}
	sort(divs.begin(), divs.end());
	// if (divs.back() == n) divs.pop_back();

	auto it = get(divs, n - 1);
	int need = it.first;
	auto ans = it.second;
	if(!(need != 0 || ans.size() > 100000)) {
		print(ans);
		return 0;
	}

	start = clock();
	
	divs.clear();
	int k = n;

	for(int i = 2; i * i <= n; ++i) {
		if(n % i == 0) {
			divs.push_back(i);
			while (n % i == 0) n /= i;
		}
	}

	if (n > 1) {
		divs.push_back(n);
	}

	n = k;
	
	reverse(divs.begin(), divs.end());

	f(n - 1, 0);

	cout << "NO" << endl;

	/* reverse(divs.begin(), divs.end());
	it = get(divs, n - 1);
	need = it.first;
	ans = it.second;
	
	if(need != 0 || ans.size() > 100000) {
		cout << "NO\n";
		return 0;
	}*/

	// print(ans);

	return 0;
}