#include <bits/stdc++.h>
#define ll long long

using namespace std;
const int K = 1000002;
struct Vertex{ll maximum; ll finish; int start; ll sum_d;};

bool operator==(Vertex a, Vertex b) {
    return (a.maximum == b.maximum && a.finish == b.finish && a.start == b.start && a.sum_d == b.sum_d);
}

Vertex rmq[4*K];
Vertex kek, tet;
Vertex def = {-1, -1, -1, -1};
Vertex un(Vertex &a, Vertex &b){
    if (a == def) kek = b;
    else if (b == def) kek = a;
    else{
        kek.maximum = max(a.maximum, b.maximum - a.sum_d);
        kek.start = a.start;
        kek.sum_d = a.sum_d + b.sum_d;
        ll s = max(a.finish, (ll) b.start);
        if (b.maximum >= s) kek.finish = b.finish;
        else kek.finish = a.finish + b.sum_d;
    }

}
void add(int i, int l, int r, int ind, int value){
    if (r-l==1){
        rmq[i] = {l, ind+value, l, value};
        return;
    }
    int mid = (l+r)/2;
    if (ind < mid) add(2*i+1, l, mid, ind, value);
    else add(2*i+2, mid, r, ind, value);
    un(rmq[2*i+1], rmq[2*i+2]);
    rmq[i] = kek;
}
void rem(int i, int l, int r, int ind){
    if (r-l==1){
        rmq[i] = def;
        return;
    }
    int mid = (l+r)/2;
    if (ind < mid) rem(2*i+1, l, mid, ind);
    else rem(2*i+2, mid, r, ind);
    un(rmq[2*i+1], rmq[2*i+2]);
    rmq[i] = kek;
}
void ask(int i, int l, int r, int l1, int r1){
    if (l1 >= r1) return;
    if (l==l1 && r==r1){
        un(tet, rmq[i]);
        tet = kek;
    }
    else{
        int mid = (l+r)/2;
        ask(2*i+1, l, mid, l1, min(r1, mid));
        ask(2*i+2, mid, r, max(l1, mid), r1);
    }
}
int main() {
    //freopen("input.txt", "r", stdin);
    for (int i=0; i < 4*K;i++) rmq[i] = def;
    int n;
    cin >> n;
    vector<int> queries;
    for (int i=0; i < n; i++){
        char ch;
        cin >> ch;
        if (ch == '+'){
            int t, d;
            cin >> t >> d;
            queries.push_back(t);
            add(0, 0, K, t-1, d);
        }
        if (ch == '-'){
            int num;
            cin >> num;
            rem(0, 0, K, queries[num-1]-1);
            queries.push_back(-1);
        }
        if (ch == '?'){
            tet = def;
            int num;
            cin >> num;
            num--;
            ask(0, 0, K, 0, num+1);
            //cout << "??" << tet.finish << endl;
            cout << max((ll) 0, tet.finish - (ll) num) << endl;
            queries.push_back(-1);
        }
        //cout << "!!" << rmq[0].finish << endl;
    }
}

