#include <bits/stdc++.h>
#define all(x) (x).begin(), (x).end()
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    vector<vector<int> > v(n);
    vector<pii> e;
    for (int i = 0; i < m; ++i) {
        int k;
        cin >> k;
        int a;
        cin >> a;
        --a;
        for (int j = 1; j < k; ++j) {
            int b;
            cin >> b;
            --b;
            v[a].push_back(b);
            v[b].push_back(a);
            e.emplace_back(a, b);
            a = b;
        }
    }
    vector<vector<int> > d(n, vector<int> (n, -1));
    for (int i = 0; i < n; ++i) {
        queue<int> q;
        q.push(i);
        d[i][i] = 0;
        while (!q.empty()) {
            int u = q.front();
            q.pop();
            for (int j : v[u]) {
                if (d[i][j] == -1) {
                    d[i][j] = d[i][u] + 1;
                    q.push(j);
                }
            }
        }
    }
    for (int yep = 0; yep < n; ++yep) {
        vector<int> w(n, 0);
        while (true) {
            for (auto a : e) {
                if (w[a.first] == -1 || w[a.second] == -1) {
                    continue;
                }
                int k1 = 0;
                int k2 = 0;
                for (int i = 0; i < n; ++i) {
                    if (d[a.first][i] < d[a.second][i]) {
                        ++k1;
                    } else if (d[a.second][i] < d[a.first][i]) {
                        ++k2;
                    }
                }
                w[a.first] = max(w[a.first], k2);
                w[a.second] = max(w[a.second], k1);
            }
            int best_u = -1;
            int best_val = n + 1;
            for (int i = 0; i < n; ++i) {
                if (w[i] != -1 && w[i] < best_val) {
                    best_val = w[i];
                    best_u = i;
                }
            }
            cout << best_u + 1 << endl;
            string cmd;
            cin >> cmd;
            if (cmd == "FOUND") {
                break;
            }
            int next;
            cin >> next;
            --next;
            for (int i = 0; i < e.size(); ++i) {
                if (e[i].second == best_u) {
                    swap(e[i].first, e[i].second);
                }
                if (e[i].first != best_u || e[i].second != next) {
                    continue;
                }
                for (int j = 0; j < n; ++j) {
                    if (d[e[i].first][j] <= d[e[i].second][j]) {
                        w[j] = -1;
                    } else if (w[j] != -1) {
                        w[j] = 0;
                    }
                }
                w[best_u] = -1;
                break;
            }
        }
    }
    return 0;
}
