#include <bits/stdc++.h>
#define all(x) (x).begin(), (x).end()
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

const string route =
"a1 a3 a5 a7 a8 a6 a4 a2 b2 b4 b6 b8 b7 b5 b3 b1 c1 c3 c5 c7 c8 c6 c4 c2 "
"d2 d4 d6 d8 d7 d5 d3 d1 e1 e3 e5 e7 e8 e6 e4 e2 f2 f4 f6 f8 f7 f5 f3 f1 "
"g1 g3 g5 g7 g8 g6 g4 g2 h2 h1 h3 h4 h5 h6 h7 h8";
const string r14 = "a1 a2 a3 a4 a5 a6 a7 a8 b8 c8 d8 e8 f8 g8 h8";
vector<string> moves, m14;

vector<string> parse(string s) {
    stringstream ss;
    vector<string> ans;
    ss << s;
    while (ss >> s)
        ans.push_back(s);
    return ans;
}

int main() {
    ios_base::sync_with_stdio(false);

    int n;
    cin >> n;
    moves = parse(route);
    m14 = parse(r14);
    if (n <= 14) {
        vector<string> ans = m14;
        while (ans.size() > n + 1) {
            for (int i = 0; i < ans.size(); ++i) {
                if (ans[i] != "a1" && ans[i] != "a8" && ans[i] != "h8") {
                    ans.erase(ans.begin() + i);
                    break;
                }
            }
        }
        for (int i = 0; i < (int)ans.size(); ++i)
            cout << (i ? " " : "") << ans[i];
        cout << endl;
        return 0;
    }
    vector<string> ans = moves;
    while (ans.size() > n + 1) {
        for (int i = 1; i + 1 < ans.size(); ++i) {
            if (ans[i - 1][0] == ans[i][0] && ans[i][0] == ans[i + 1][0]) {
                ans.erase(ans.begin() + i);
                break;
            }
        }
    }
    for (int i = 0; i < (int)ans.size(); ++i)
            cout << (i ? " " : "") << ans[i];
        cout << endl;
        return 0;
}
