#define _CRT_SECURE_NO_WARNINGS
#include<cstdio>
#include <algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdlib>
#include<cstring>
#include<ctime>
#include<sstream>
#include<map>
#include<set>
#include<vector>
#include<unordered_map>
#include<unordered_set>
#include<deque>
#include<random>
#include<iostream>
#include<functional>

#pragma comment(linker, "/STACK:64777216")
using namespace std;

using ll = long long;
using dbl = long double;

#ifdef LOCAL
#define dbg(x) {cout << #x << " = " << x << endl;}
#else
#define dbg(x) void(0)
#endif

vector<pair<int, int>> ans[220][220];

void solve() {
	int a, b;
	scanf("%d%d", &a, &b);
	auto& x = ans[a][b];
	if (x.empty()) {
		puts("Impossible");
		return;
	}
	printf("%d:%d\n", x[0].first, x[0].second);
	for (int i = 1; i < x.size(); ++i) {
		printf("%d:%d ", x[i].first, x[i].second);
	}
	puts("");
}

bool try_solve(int a, int b, int x, int y, vector<pair<int, int>>& v, vector<pair<int, int>> score) {
	for (auto x : score) {
		a -= x.first;
		b -= x.second;
	}
	if (a < 0 || b < 0) {
		return false;
	}
	for (auto& x : score) {
		if (x.second == 0) {
			x.second += min(b, x.first - 2);
			b -= x.second;
		}
		else {
			x.first += min(a, x.second - 2);
			a -= x.first;
		}
		if (a > 0 && b > 0) {
			int d = min(a, b);
			x.first += d;
			x.second += d;
			a -= d;
			b -= d;
		}
	}
	if (a != 0 || b != 0) {
		return false;
	}
	v.emplace_back(x, y);
	for (auto x : score) {
		v.push_back(x);
	}
	return true;
}

vector<pair<int, int>> scores[] = {
	{{25, 0}, {25, 0}, {25, 0}},
	{ { 25, 0 }, {0, 25}, { 25, 0 },{ 25, 0 } },
	{ { 25, 0 },{ 25, 0 },{ 0, 25 },{ 0, 25 },{ 15, 0 } },
	{ { 25, 0 },{ 25, 0 },{ 0, 25 },{ 0, 25 },{ 0, 15 } },
	{ { 25, 0 },{ 0, 25 },{ 0, 25 },{ 0, 25 } },
	{ { 0, 25 },{ 0, 25 },{ 0, 25 } },
};

void init() {
	for (int a = 0; a <= 200; ++a) {
		for (int b = 0; b <= 200; ++b) {
			if (a == 75 && b == 0) {
				int o = 0;
			}
			if (try_solve(a, b, 3, 0, ans[a][b], scores[0])) {
				continue;
			}
			if (try_solve(a, b, 3, 1, ans[a][b], scores[1])) {
				continue;
			}
			if (try_solve(a, b, 3, 2, ans[a][b], scores[2])) {
				continue;
			}
			if (try_solve(a, b, 2, 3, ans[a][b], scores[3])) {
				continue;
			}
			if (try_solve(a, b, 1, 3, ans[a][b], scores[4])) {
				continue;
			}
			if (try_solve(a, b, 0, 3, ans[a][b], scores[5])) {
				continue;
			}
		}
	}
}

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	init();
	int t;
	cin >> t;
	while (t--)
	solve();

}