#define _CRT_SECURE_NO_WARNINGS
#include<cstdio>
#include <algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdlib>
#include<cstring>
#include<ctime>
#include<sstream>
#include<map>
#include<set>
#include<vector>
#include<unordered_map>
#include<unordered_set>
#include<deque>
#include<random>
#include<iostream>
#include<functional>

#pragma comment(linker, "/STACK:64777216")
using namespace std;

using ll = long long;
using dbl = long double;

#ifdef LOCAL
#define dbg(x) {cout << #x << " = " << x << endl;}
#else
#define dbg(x) void(0)
#endif
int cnt=0;

void print_cell(int x, int y) {
	++cnt;
	cout << (char)(y + 'a') << x + 1 << " ";
}

void solve(int n) {
	print_cell(0, 0);
	if (n == 2) {
		print_cell(0, 7);
		print_cell(7, 7);
		return;
	}
	for (int i = 0; i < 7; ++i) {
		for (int j = 0; j < 6; ++j) {
			if (i == 0 && j == 0) {
				continue;
			}
			--n;
			int x = i;
			int y = j;
			if (x & 1) {
				y = 6 - j - 1;
			}
			print_cell(x, y);
			if (n == 2) {
				print_cell(i, 7);
				print_cell(7, 7);
				return;
			}
		}
	}
	for (int i = 5; i >= 0; --i) {
		if (n == 1) {
			print_cell(7, 7);
			return;
		}
		if (i == 0 && n == 4) {
			print_cell(7, 6);
			print_cell(6, 6);
			print_cell(6, 7);
			print_cell(7, 7);
			return;
		}
		print_cell(7, i);
		--n;
	}
	if (n == 2) {
		print_cell(7, 6);
		--n;
	}
	if (n == 1) {
		print_cell(7, 7);
		return;
	}
	for (int j = 6; j < 8; ++j) {
		for (int i = 0; i < 8; ++i) {
			if (n == 1 && j == 7) {
				print_cell(7, 7);
				return;
			}
			int y = j;
			int x = i;
			if (j == 6) {
				x = 8 - 1 - i;
			}

			if (n == 2 && j == 6) {
				print_cell(x + 1, 7);
				print_cell(7, 7);
				return;
			}
			print_cell(x, y);
			--n;
		}
	}
}

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	/*for (int i = 2; i < 64; ++i) {
		cnt = 0;
		solve(i);
		dbg(cnt);
	}*/
	int n;
	cin >> n;
	solve(n);
}