#define _CRT_SECURE_NO_WARNINGS
#include<cstdio>
#include <algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdlib>
#include<cstring>
#include<ctime>
#include<sstream>
#include<map>
#include<set>
#include<vector>
#include<unordered_map>
#include<unordered_set>
#include<deque>
#include<random>
#include<iostream>
#include<functional>

#pragma comment(linker, "/STACK:64777216")
using namespace std;

using ll = long long;
using dbl = long double;

#ifdef LOCAL
#define dbg(x) {cout << #x << " = " << x << endl;}
#else
#define dbg(x) void(0)
#endif

ll gcd(ll a, ll b, ll& x, ll& y) {
	if (a == 0) {
		x = 0;
		y = 1;
		return b;
	}
	ll x1, y1;
	ll d = gcd(b % a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}

ll gcd(ll a, ll b) {
	while (a) {
		b %= a;
		swap(a, b);
	}
	return b;
}

bool find_coprime_divs(ll n, ll& a, ll& b) {
	for (a = 2; a * a <= n; ++a) {
		if (n % a == 0) {
			if (gcd(a, n / a) == 1) {
				b = n / a;
				return true;
			}
		}
	}
	return false;
}

void solve() {
	ll n;
	cin >> n;
	ll a, b, x, y;
	if (!find_coprime_divs(n, a, b)) {
		cout << "NO\n";
		return;
	}
	gcd(a, b, x, y);
	x *= n - 1;
	y *= n - 1;
	ll lcm = n;
	while (x <= 0 || y <= 0) {
		if (x <= 0) {
			ll d = abs(x) / (n / a) + 1;
			x += n / a * d;
			y -= n / b * d;
		}
		else {
			ll d = abs(y) / (n / b) + 1;
			x -= n / a * d;
			y += n / b * d;
		}
	}
	cout << "YES\n2\n" << x << " " << b << "\n" << y << " " << a << "\n";
}

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	solve();

}