#define _CRT_SECURE_NO_WARNINGS
#include<cstdio>
#include <algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdlib>
#include<cstring>
#include<ctime>
#include<sstream>
#include<map>
#include<set>
#include<vector>
#include<unordered_map>
#include<unordered_set>
#include<deque>
#include<random>
#include<iostream>
#include<functional>

#pragma comment(linker, "/STACK:64777216")
using namespace std;

using ll = long long;
using dbl = long double;

#ifdef LOCAL
#define dbg(x) {cout << #x << " = " << x << endl;}
#else
#define dbg(x) void(0)
#endif

void solve() {
	int n, k;
	cin >> n >> k;
	vector<int> a(n, 0);
	vector<vector<int>> cnt(k);
	for (int i = 0; i < n; i++) {
		cin >> a[i];
		a[i]--;
	}
	for (int i = 0; i < n; i++) {
		int x;
		cin >> x;
		cnt[a[i]].push_back(x);
	}
	for (int i = 0; i < k; i++) {
		sort(cnt[i].rbegin(), cnt[i].rend());
	}
	vector<int> can;
	int need = 0;
	for (int i = 0; i < k; i++) {
		if (cnt[i].empty()) {
			need++;
		}
		for (int j = 1; j < cnt[i].size(); j++) {
			can.push_back(cnt[i][j]);
		}
	}
	sort(can.begin(), can.end());
	ll ans = 0;
	for (int i = 0; i < need; i++) {
		ans += can[i];
	}
	cout << ans << endl;
} 

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	solve();

}