#include <bits/stdc++.h>

using namespace std;

const int N = 202;
string dp[N][N][4][4];

string getScore(int a, int b) {
    return to_string(a) + ":" + to_string(b);
}

void init() {
    for (int i = 0; i < N; i++) {
        for (int j = 0; j < N; j++) {
            for (int ii = 0; ii < 4; ii++) {
                for (int jj = 0; jj < 4; jj++) {
                    dp[i][j][ii][jj] = "#";
                }
            }
        }
    }

    dp[0][0][0][0] = "";
    for (int a = 0; a < N; a++) {
        for (int b = 0; b < N; b++) {
            for (int na = 0; na <= 2; na++) {
                for (int nb = 0; nb <= 2; nb++) {
                    if (dp[a][b][na][nb] == "#") continue;
                    int mx = (na + nb == 4 ? 15 : 25);

                    for (int i = 0; i <= mx - 2; i++) {
                        int aa = a + 25;
                        int bb = b + i;
                        if (aa < N && bb < N && dp[aa][bb][na + 1][nb] == "#") {
                            dp[aa][bb][na + 1][nb] = dp[a][b][na][nb] + " " + getScore(25, i);
                        }

                        aa = a + i;
                        bb = b + 25;
                        if (aa < N && bb < N && dp[aa][bb][na][nb + 1] == "#") {
                            dp[aa][bb][na][nb + 1] = dp[a][b][na][nb] + " " + getScore(i, 25);
                        }
                    }

                    for (int i = mx + 1; i <= 200; i++) {
                        int aa = a + i;
                        int bb = b + i - 2;
                        if (aa < N && bb < N && dp[aa][bb][na + 1][nb] == "#") {
                            dp[aa][bb][na + 1][nb] = dp[a][b][na][nb] + " " + getScore(i, i - 2);
                        }

                        aa = a + i - 2;
                        bb = b + i;
                        if (aa < N && bb < N && dp[aa][bb][na][nb + 1] == "#") {
                            dp[aa][bb][na][nb + 1] = dp[a][b][na][nb] + " " + getScore(i - 2, i);
                        }
                    }
                }
            }
        }
    }
}

void solve() {
    int a, b;
    cin >> a >> b;

    vector<pair<int, int>> s = {{3,0},{3,1},{3,2},{2,3},{1,3},{0,3}};
    for (int i = 0; i < (int)s.size(); i++) {
        int na = s[i].first;
        int nb = s[i].second;
        if (dp[a][b][na][nb] != "#") {
            string t = dp[a][b][na][nb];
            cout << getScore(na, nb) << "\n" << t.substr(1, (int)t.length() - 1) << "\n";
            return;
        }
    }
    cout << "Impossible\n";
}

int main() {
#ifdef ITMO104
    freopen("a.in", "r", stdin);
#endif // ITMO104
    init();
    int t;
    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
