#include <bits/stdc++.h>
using namespace std;

vector<int> bfs(vector<vector<int>>& gr, int src) {
    deque<int> q;
    q.push_back(src);
    vector<int> d(gr.size(), -1);
    d[src] = 0;
    while (!q.empty()) {
        int u = q.front();
        q.pop_front();
        for (int v : gr[u]) {
            if (d[v] == -1) {
                d[v] = d[u] + 1;
                q.push_back(v);
            }
        }
    }
    return d;
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, m;
    cin >> n >> m;
    vector<vector<int>> gr(n);
    for (int i = 0; i < m; i++) {
        int k;
        cin >> k;
        vector<int> p(k);
        for (int j = 0; j < k; j++) {
            cin >> p[j];
            p[j]--;
        }
        for (int j = 0; j < k - 1; j++) {
            gr[p[j]].push_back(p[j + 1]);
            gr[p[j + 1]].push_back(p[j]);
        }
    }
    vector<vector<int>> d(n);
    for (int i = 0; i < n; i++) {
        d[i] = bfs(gr, i);
    }

    for (int tst = 0; tst < n; tst++) {
        vector<int> cur(n);
        for (int i = 0; i < n; i++) {
            cur[i] = i;
        }

        bool ok = false;
        while (cur.size() > 1) {

            vector<bool> al(n);
            for (int i : cur) {
                al[i] = true;
            }

            int best = -1;
            int bres = n + 1;
            for (int x : cur) {
                int mx = 0;
                for (int y : gr[x]) {
                    int cs = 0;
                    if (!al[y]) continue;
                    for (int z : cur) {
                        if (d[y][z] == d[x][z] - 1) {
                            cs++;
                        }
                    }
                    mx = max(mx, cs);
                }

                if (mx < bres) {
                    best = x;
                    bres = mx;
                }
            }

            cout << best + 1 << endl;
            string ans;
            cin >> ans;
            if (ans == "FOUND") {
                ok = true;
                break;
            }
            int x;
            cin >> x;
            x--;

            vector<int> ncur;
            for (int v : cur) {
                if (d[best][v] == d[x][v] + 1) {
                    ncur.push_back(v);
                }
            }

            cur.swap(ncur);
        }
        if (!ok) {
            cout << cur[0] + 1 << endl;
            string kek;
            cin >> kek;
        }
    }

    return 0;
}
