#include <bits/stdc++.h>

#define fr first

#define sc second

#define m_p make_pair

using namespace std;

typedef long long ll;

const int maxn = 1e5 + 100, inf = 1e9 + 100, sq = 300, mod = 1e9 + 993, X = 239;

int st[maxn];

inline int add(int x, int y) {
    x += y;
    if (x >= mod)
        x -= mod;
    if (x < 0)
        x += mod;
    return x;
}

inline int mul(int x, int y) {
    return (x * (ll)y) % mod;
}

vector<int> gethash(string s) {
    int n = s.size();
    vector<int> q(n + 1);
    int h = 0;
    for (int i = 0; i < s.size(); i++) {
        h = add(mul(h, X), s[i]);
        q[i + 1] = h;
    }
    return q;
}

int geth(vector<int> &q, int l, int r) {
    return add(q[r + 1], -mul(q[l], st[r - l + 1]));
}

bool isdig(char c) {
    return c >= '0' && c <= '9';
}

bool isword(char c) {
    return isdig(c) || c == '$' || c == '_' ||
    (c >= 'a' && c <= 'z') || (c >= 'A' && c <= 'Z');
}

vector<int> getnum(string s) {
    int n = s.size();
    vector<int> q(n + 1);
    for (int i = 0; i < n; i++)
        q[i + 1] = q[i] + isdig(s[i]);
    return q;
}

vector<int> getword(string s) {
    int n = s.size();
    vector<int> q(n + 1);
    for (int i = 0; i < n; i++)
        q[i + 1] = q[i] + isword(s[i]);
    return q;
}

string res[100];

vector<int> hres[100];

int rn;

pair<int, int> get(vector<int> &q, vector<int> &pn, vector<int> &pw,
                   string &s, int l, int r) {
    pair<int, int> ans = m_p(0, 0);
    for (int i = 0; i < rn; i++)
    if (r - l + 1 >= res[i].size() && res[i].size() > ans.fr &&
        geth(q, l, l + res[i].size() - 1) == geth(hres[i], 0, res[i].size() - 1))
            ans = m_p(res[i].size(), i);
    if (isdig(s[l])) {
        int L = l, R = r + 1;
        while (R - L > 1) {
            int m = (L + R) / 2;
            if (pn[m + 1] - pn[l] == m - l + 1)
                L = m;
            else
                R = m;
        }
        ans = max(ans, m_p(L - l + 1, -2));
    } else {
        int L = l, R = r + 1;
        while (R - L > 1) {
            int m = (L + R) / 2;
            if (pw[m + 1] - pw[l] == m - l + 1)
                L = m;
            else
                R = m;
        }
        ans = max(ans, m_p(L - l + 1, -1));
    }
    return ans;
}

string last_s = "a";

string gennext1() {
    string ret = last_s;
    for (int it = last_s.size() - 1; it >= 0; it--)
    if (last_s[it] != 'z') {
        last_s[it]++;
        for (int j = it + 1; j < last_s.size(); j++)
            last_s[j] = 'a';
        return ret;
    }
    for (auto &i : last_s)
        i = 'a';
    last_s.push_back('a');
    return ret;
}

string gennext() {
    while (1) {
        string s = gennext1();
        bool is = 0;
        for (int i = 0; i < rn; i++)
        if (res[i] == s){
            is = 1;
            break;
        }
        if (!is)
            return s;
    }
}

string words[maxn];

string rep[maxn];

pair<int, int> arr[maxn];

int clos[maxn];

void solve(vector<int> &q, vector<int> &pn, vector<int> &pw, string &s, int l, int r) {
    if (l > r)
        return;
    int L = l + arr[l].fr - 1, R = r + 1;
    if (l == 13 && r == 59){
        int kek =1;
    }
    while (R - L > 1) {
        int m = (L + R) / 2;
        if (get(q, pn, pw, s, l, m) == arr[l])
            L = m;
        else
            R = m;
    }
    L = clos[L + 1] - 1;
    for (int i = 0; i < arr[l].fr; i++)
        cout << s[l + i];
    solve(q, pn, pw, s, l + arr[l].fr, L);
    if (L + 1 <= r) {
        cout << ' ';
        solve(q, pn, pw, s, L + 1, r);
    }
}

/// N = 0

int main()
{
    #ifdef ITMO104
    freopen("a.in", "r", stdin);
    freopen("a.out", "w", stdout);
    #endif // ITMO104
    ios::sync_with_stdio(0);
    cin.tie(0);
    st[0] = 1;
    for (int i = 1; i < maxn; i++)
        st[i] = mul(st[i - 1], X);
    cin >> rn;
    for (int i = 0; i < rn; i++)
        cin >> res[i];
    sort(res, res + rn, [&](string &x, string &y) {
         return x.size() > y.size();
         });
    for (int i = 0; i < rn; i++)
        hres[i] = gethash(res[i]);
    int useless;
    cin >> useless;
    string now;
    getline(cin, now);
    vector<pair<string, int> > tok;
    while (getline(cin, now)) {
        for (int i = 0; i < now.size(); i++)
        if (now[i] == '#') {
            now = now.substr(0, i);
            break;
        }
        string snow = now;
        now.clear();
        for (int i1 = 0; i1 <= snow.size(); i1++)
        if (i1 == snow.size() || snow[i1] == ' '){
            int l = 0;
            auto q = gethash(now), qn = getnum(now), qw = getword(now);
            while (l < now.size()) {
                auto w = get(q, qn, qw, now, l, now.size() - 1);
                tok.push_back(m_p(now.substr(l, w.fr), w.sc));
                l += w.fr;
            }
            now.clear();
        } else
            now.push_back(snow[i1]);
    }
    int cnt = 0;
    for (auto &i : tok) {
        if (i.sc == -1) {
            int id = -1;
            for (int j = 0; j < cnt; j++)
            if (words[j] == i.fr) {
                id = j;
                break;
            }
            if (id == -1) {
                id = cnt;
                words[id] = i.fr;
                rep[id] = gennext();
                cnt++;
            }
            i.fr = rep[id];
        }
    }
    string s;
    int l = 0;
    for (auto i : tok) {
        s += i.fr;
        arr[l] = m_p(i.fr.size(), i.sc);
        for (int j = 0; j < i.fr.size(); j++)
            clos[l + j] = l;
        l += i.fr.size();
    }
    clos[s.size()] = s.size();
    auto q = gethash(s), qn = getnum(s), qw = getword(s);
    solve(q, qn, qw, s, 0, s.size() - 1);
}

/// N = 0
