#include <bits/stdc++.h>

using namespace std;

const int N = 34;
vector<int> es[N], eo[N];
int a[N][N];
vector<int> ord;
bool u[N];
int comp[N];
bool go[N][N];

void dfs(int v) {
    if (u[v]) return;
    u[v] = true;

    for (int w: es[v]) {
        dfs(w);
    }

    ord.push_back(v);
}

void dfs_bak(int v, int cm) {
    if (u[v]) return;
    u[v] = true;
    comp[v] = cm;
    for (int w: eo[v]) {
        dfs_bak(w, cm);
    }
}

string f[100][100];

void solve() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        es[i].clear();
        u[i] = false;
        comp[i] = -1;
    }
    ord.clear();

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> a[i][j];
            go[i][j] = false;
            if (a[i][j] == 1) {
                es[i].push_back(j);
                eo[j].push_back(i);
            }
        }
    }

    for (int i = 0; i < n; i++) {
        dfs(i);
    }

    int cmp = 0;
    for (int i = 0; i < n; i++) u[i] = false;
    for (int i = n - 1; i >= 0; i--) {
        int v = ord[i];
        if (u[v]) continue;
        dfs_bak(v, cmp);
        cmp++;
    }

    //for (int i = 0; i < n; i++) cout << comp[i] << " "; cout << "\n";

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            int v1 = comp[i];
            int v2 = comp[j];
            if (v1 != v2 && a[i][j]) {
                go[v1][v2] = true;
                //cout << v1 << " -> " << v2 << "\n";
            }
        }
    }

    int fl = cmp * 2;
    int H = cmp * 2;
    int W = 34;
    string kk;
    for (int i = 0; i < W; i++) kk.push_back('#');
    for (int i = 0; i < fl; i++) for (int j = 0; j < H; j++) f[i][j] = kk;

    for (int c = 0; c < cmp; c++) {
        int num = (cmp - c - 1);
        int flor = num * 2 + 1;
        int x = num * 3;
        int y = num * 2;

        for (int i = x; i < W; i++) f[flor][y][i] = '.';
        int cur = x + 3;
        for (int i = 0; i < n; i++) {
            if (comp[i] == c) {
                f[flor][y][cur] = char('1' + i);
                cur++;
            }
        }

        for (int i = 0; i <= y; i++) {
            f[flor][i][x + 1] = '.';
        }

        for (int i = c + 1; i < n; i++) {
            if (go[c][i]) {
                int depth = (i - c) * 2;
                int yy = (cmp - i - 1) * 2;
                //cout << flor << " " << yy << " " << depth << " dd\n";
                for (int j = 0; j < depth; j++) {
                    f[flor - j][yy][x] = '.';
                }
            }
        }
    }

    cout << W << " " << H << " " << fl << "\n";
    for (int flor = fl - 1; flor >= 0; flor--) {
        for (int h = 0; h < H; h++) {
            cout << f[flor][h] << "\n";
        }
        cout << "\n";
    }
}

int main() {
#ifdef ITMO104
    freopen("a.in", "r", stdin);
#endif // ITMO104
    solve();
    return 0;
}
