#include "bits/stdc++.h"
using namespace std;
int debug_x, debug_y;

void print_result(const vector<pair<int, int>>& v) {
    debug_x = 0;
    debug_y = 0;

    int g_x = 0, g_y = 0;
    for (int i = 0; i < v.size(); ++i) {
        if (g_x == 3 || g_y == 3) {
            throw std::runtime_error("ooops");
        }

        if (v[i].first < 0 || v[i].second < 0) {
            throw std::runtime_error("ooops");
        }

        if (v[i].first > v[i].second) {
            ++g_x;
        } else {
            ++g_y;
        }

        debug_x += v[i].first;
        debug_y += v[i].second;
    }

    cout << g_x << ":" << g_y << '\n';
    for (int i = 0; i < v.size(); ++i) {
        cout << v[i].first << ":" << v[i].second << ' ';
    }
    cout << '\n';
}

int get_x(vector<pair<int, int>>& v, int need) {
    int sum = 0;

    for (int i = 0; i < v.size(); ++i) {
        if (need == 0) {
            return sum;
        }

        if (v[i].first < v[i].second) {
            int have = min(v[i].first, need);
            sum += have;
            need -= have;
            v[i].first -= have;
        }
    }

    return sum;
}

int get_y(vector<pair<int, int>>& v, int need) {
    int sum = 0;

    for (int i = 0; i < v.size(); ++i) {
        if (need == 0) {
            return sum;
        }

        if (v[i].first > v[i].second) {
            int have = min(v[i].second, need);
            sum += have;
            need -= have;
            v[i].second -= have;
        }
    }

    return sum;
}

bool check2(int diff, int X, int Y) {
    // cout << diff << ' ' << X << ' ' << Y  << '\n';

        int games_count = 6 - abs(diff);
        int games_to_win = 3, games_to_lose = games_count - games_to_win;

        // cout << games_to_win << ' ' << games_to_lose << '\n';

        if (diff < 0) {
            swap(games_to_lose, games_to_win);
        }
        vector<pair<int, int>> score;

        for (int i = 0; i < games_to_win - (diff > 0); ++i) {
            int cur_x = min(25, X), need_x = 0;
            int cur_y = min(23, Y);

            if (cur_x != 25) {
                need_x = 25 - cur_x;
                if (need_x != get_x(score, need_x)) {
                    return false;
                }
            }

            X -= cur_x;
            Y -= cur_y;

            score.emplace_back(cur_x + need_x, cur_y);
        }

        for (int i = 0; i < games_to_lose - (diff < 0); ++i) {
            int cur_x = min(23, X);
            int cur_y = min(25, Y), need_y = 0;

            if (cur_y != 25) {
                need_y = 25 - cur_y;
                if (need_y != get_y(score, need_y)) {
                    return false;
                }
            }
            X -= cur_x;
            Y -= cur_y;

            score.emplace_back(cur_x, cur_y + need_y);
        }



        if (X < 0 || Y < 0) {
            throw std::runtime_error("oops");
        }

        /*if (diff == 1) {
            print_result(score);
            cout << X << " " << Y << '\n';
        }*/

        int to_win = (games_count == 5 ? 15 : 25);

        if (diff > 0)
        {
            if (X <= to_win && Y <= to_win - 2) {
                int need_x = to_win - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(to_win, Y);
                print_result(score);
                return true;
            }

            if (X >= Y + 2) {
                int need_y = X - 2 - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;

            } else {
                int need_x = Y + 2 - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(X + need_x, Y);
                print_result(score);
                return true;
            }
        } else {

            if (Y <= to_win && X <= to_win - 2) {
                int need_y = to_win - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;
            }

            if (Y >= X + 2) {
                int need_x = Y - 2 - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(Y - 2, Y);
                print_result(score);
                return true;

            } else {
                int need_y = X + 2 - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;
            }
        }

        throw runtime_error("gg");
}

bool check(int diff, int X, int Y) {
        // cout << diff << ' ' << X << ' ' << Y  << '\n';

        int games_count = 6 - abs(diff);
        int games_to_win = 3, games_to_lose = games_count - games_to_win;

        // cout << games_to_win << ' ' << games_to_lose << '\n';

        if (diff < 0) {
            swap(games_to_lose, games_to_win);
        }
        vector<pair<int, int>> score;

        for (int i = 0; i < games_to_lose - (diff < 0); ++i) {
            int cur_x = min(23, X);
            int cur_y = min(25, Y), need_y = 0;

            if (cur_y != 25) {
                need_y = 25 - cur_y;
                if (need_y != get_y(score, need_y)) {
                    return false;
                }
            }
            X -= cur_x;
            Y -= cur_y;

            score.emplace_back(cur_x, cur_y + need_y);
        }

        for (int i = 0; i < games_to_win - (diff > 0); ++i) {
            int cur_x = min(25, X), need_x = 0;
            int cur_y = min(23, Y);

            if (cur_x != 25) {
                need_x = 25 - cur_x;
                if (need_x != get_x(score, need_x)) {
                    return false;
                }
            }

            X -= cur_x;
            Y -= cur_y;

            score.emplace_back(cur_x + need_x, cur_y);
        }

        if (X < 0 || Y < 0) {
            throw std::runtime_error("oops");
        }

        /*if (diff == 1) {
            print_result(score);
            cout << X << " " << Y << '\n';
        }*/

        int to_win = (games_count == 5 ? 15 : 25);

        if (diff > 0)
        {
            if (X <= to_win && Y <= to_win - 2) {
                int need_x = to_win - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(to_win, Y);
                print_result(score);
                return true;
            }

            if (X >= Y + 2) {
                int need_y = X - 2 - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;

            } else {
                int need_x = Y + 2 - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(X + need_x, Y);
                print_result(score);
                return true;
            }
        } else {

            if (Y <= to_win && X <= to_win - 2) {
                int need_y = to_win - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;
            }

            if (Y >= X + 2) {
                int need_x = Y - 2 - X;

                if (need_x != get_x(score, need_x)) {
                    return false;
                }

                score.emplace_back(Y - 2, Y);
                print_result(score);
                return true;

            } else {
                int need_y = X + 2 - Y;

                if (need_y != get_y(score, need_y)) {
                    return false;
                }

                score.emplace_back(X, Y + need_y);
                print_result(score);
                return true;
            }
        }

        throw runtime_error("gg");
}

void solve() {
    int X, Y;
    cin >> X >> Y;

    for (int diff = 3; diff > 0; --diff) {
        if (check(diff, X, Y)) {
            if (debug_x != X && debug_y != Y) {
                throw std::runtime_error("buck");
            }
            return;
        }
        if (check2(diff, X, Y)) {
            if (debug_x != X && debug_y != Y) {
                throw std::runtime_error("buck");
            }
            return;
        }
    }

    for (int diff = -1; diff >= -3; --diff) {
        if (check(diff, X, Y)) {
            if (debug_x != X && debug_y != Y) {
                throw std::runtime_error("buck");
            }
            return;
        }
        if (check2(diff, X, Y)) {
            if (debug_x != X && debug_y != Y) {
                throw std::runtime_error("buck");
            }
            return;
        }
    }


    if (X > 75 && Y > 75) {
        throw std::runtime_error("wtf");
    }
    cout << "Impossible\n";
}

int main()
{
    // freopen("input.txt", "r", stdin);

    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
     cin >> t;
    for (int i = 0; i < t; ++i) {
        solve();
    }

    return 0;
}
