#include "bits/stdc++.h"
using namespace std;

vector<int> get_primes(int n) {
    vector<int> p;
    for (int i = 2; i * i <= n; ++i) {
        if (n % i == 0) {
            p.push_back(i);
            while (n % i == 0) {
                n /= i;
            }
        }
    }
    if (n != 1) {
        p.push_back(n);
    }
    sort(p.begin(), p.end());

    return p;
}

int main()
{
//     freopen("input.txt", "r", stdin);

    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    if (n == 2) {
        cout << "NO" << endl;
        return 0;
    }

    vector<int> primes = get_primes(n);

    if (primes.size() == 1) {
        cout << "NO" << endl;
    } else {
        int a = primes[0], b = primes[1];
        int x, y;

        for (int i = 0; i < a; ++i) {
            if ((n - 1 - i * b) % a == 0) {
                x = (n - 1 - i * b) / a;
                y = i;
            }
        }

        a = n / a;
        b = n / b;

        vector< pair<int, int> > answer;
        for (int i = 0; i < x / (a - 1); ++i) {
            answer.push_back(make_pair(a - 1, a));
        }
        if (x % (a - 1) != 0) {
            answer.push_back(make_pair(x % (a - 1), a));
        }


        for (int i = 0; i < y / (b - 1); ++i) {
            answer.push_back(make_pair(b - 1, b));
        }
        if (y % (b - 1) != 0) {
//            answer.push_back(make_pair(x % (a - 1), a));
            answer.push_back(make_pair(y % (b - 1), b));
        }

        cout << "YES" << endl;
        cout << answer.size() << endl;
        for (int i = 0; i < answer.size(); ++i) {
            cout << answer[i].first << " " << answer[i].second << endl;
        }
    }


    return 0;
}
