#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <functional>
#include <random>
#include <math.h>
#include <ctime>
#include <iomanip>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fore(i, l, r) for (int i = int(l); i < (int)(r); i++)
#define all(a) (a).begin(), a.end()
#define x first
#define y second
#define vec vector
#define pb push_back
#define mp make_pair

typedef pair<int, int> pt;
typedef long long li;
typedef long double ld;

mt19937 rnd(time(NULL));

const ld PI = acos(-1);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;

const int N = 8;

pt S = { 0, 0 };
pt T = { N - 1, N - 1 };
pt U = { 0, N - 1 };
pt A1 = { 6, 6 };
pt A2 = { 6, 7 };
pt A3 = { 0, 6 };


bool can1(pt a) {
	return a != S && a != T && a != U;
}

bool can2(pt a) {
	int x = a.x, y = a.y;


	if (y <= 5) {
		return (x % 7 != 0);
	}

	if (y == 6) {
		return a != A1 && a != A3;
	}

	return a != T && a != A2;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout << fixed << setprecision(15);

	int n;
	cin >> n;

	vector<pt> path;

	if (n <= 14) {
		forn(i, N) {
			path.push_back({0, i});
		}

		fore(i, 1, N) {
			path.push_back({i, N - 1});
		}

		int rem = 14 - n;
		for (auto it : path) {
			if (can1(it) && rem > 0) {
				rem--;
				continue;
			}

			cout << char(it.y + 'a') << it.x + 1 << ' ';
		}

		return 0;
	}

	forn(col, N - 2) {
		if (col & 1) {
			for (int i = N - 1; i >= 0; --i) {
				path.push_back({i, col});
			}
		}
		else {
			forn(i, N) {
				path.push_back({ i, col });
			}
		}
	}

	for (int i = 0; i <= N - 3; ++i) {
		path.push_back({i, N - 2});
	}

	path.push_back({ 7, 6 });
	path.push_back({6, 6});
	path.push_back({ 6, 7 });

	for (int i = 0; i <= 5; ++i) {
		path.push_back({ i, 7 });
	}

	path.push_back({ 7, 7 });

	int rem = 63 - n;
	for (auto it : path) {
		if (can2(it) && rem > 0) {
			rem--;
			continue;
		}

		cout << char(it.y + 'a') << it.x + 1 << ' ';
	}
}