#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <functional>
#include <random>
#include <math.h>
#include <ctime>
#include <iomanip>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fore(i, l, r) for (int i = int(l); i < (int)(r); i++)
#define all(a) (a).begin(), a.end()
#define x first
#define y second
#define vec vector
#define pb push_back
#define mp make_pair

typedef pair<int, int> pt;
typedef long long li;
typedef long double ld;

mt19937 rnd(time(NULL));

const ld PI = acos(-1);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;

li gcd(li a, li b) {
	return (b == 0 ? a : gcd(b, a % b));
}

li exgcd(li a, li b, li &x, li &y) {
	if (a == 0) {
		x = 0;
		y = 1;
		return 1;
	}

	li xd, yd, g;
	g = exgcd(b % a, a, xd, yd);

	y = xd;
	x = yd - xd * (b / a);
	
	return g;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout << fixed << setprecision(15);

	li n;
	cin >> n;

	int cnt = 0;
	for (li a = 2; a * a <= n; ++a) {
		if (n % a != 0) {
			continue;
		}

		li b = n / a;

		for (li x = 1; x * x <= n; ++x) {
			li y = (n - 1 - a * x) / b;
			if (a * x + b * y == n - 1 && y > 0) {
				cout << "YES\n2\n" << x << ' ' << b << '\n' << y << ' ' << a;
				return 0;
			}

			y = (n - 1 - b * x) / a;
			if (b * x + a * y == n - 1 && y > 0) {
				cout << "YES\n2\n" << x << ' ' << a << '\n' << y << ' ' << b;
				return 0;
			}
		}

		cnt++;

		if (cnt > 1e3) {
			break;
		}
	}

	cout << "NO\n";
}