#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <functional>
#include <random>
#include <math.h>
#include <ctime>
#include <iomanip>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fore(i, l, r) for (int i = l; i < (int)(r); i++)
#define all(a) (a).begin(), a.end()
#define x first
#define y second
#define vec vector
#define pb push_back
#define mp make_pair

typedef pair<int, int> pt;
typedef long long li;
typedef long double ld;

mt19937 rnd(time(NULL));

const ld PI = acos(-1);
const ld EPS = 1e-9;
const int INF = 1e9;
const int INF64 = 1e18;

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout << fixed << setprecision(15);

	int n, k;
	cin >> n >> k;

	vector<int> a(n);
	forn(i, n) {
		cin >> a[i];
		a[i]--;
	}

	vector<int> b(n);
	forn(i, n) {
		cin >> b[i];
	}

	vector<multiset<int>> f(k);
	forn(i, n) {
		f[a[i]].insert(b[i]);
	}

	multiset<int> s;
	forn(i, k) {
		while (f[i].size() > 1) {
			s.insert(*f[i].begin());
			f[i].erase(f[i].begin());
		}
	}

	li ans = 0;
	forn(i, k) {
		if (f[i].empty() && !s.empty()) {
			auto it = s.begin();
			ans += *it;
			s.erase(it);
		}
	}

	cout << ans << endl;
}