#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <cstdio>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <numeric>
#include <queue>
#include <cmath>
#include <string>
#include <cstdlib>
#include <unordered_map>
#include <iomanip>
#include <unordered_map>
#include <unordered_set>
#include <cassert>
#include <functional>

using namespace std;

#define int long long
#define ALL(x) x.begin(), x.end()
#define make(t, a) t a; cin >> a
#define make2(t, a, b) t a, b; cin >> a >> b
#define FORE(i, f, t) for (int i = f; i < t; ++i)
#define FORN(i, n) FORE (i, 0, n)
#define FORIT(x) for (auto it = x.begin(); it != x.end(); ++it)
#define FOR(n) FORN(i, n)
#define VI vector<int>
#define makev(a, n) VI a(n); FOR(n) cin >> a[i]

int gcd(int a, int b, int& x, int& y, int k) {
	if (b == 0) {
		x = k / a;
		y = 0;
		return a;
	}
	int ty = 0;
	int res = gcd(b, a%b, ty, x, k);
	y = ty - x*(a / b);
	if (a*x + b*y != k) throw exception();
	return res;
}

void obr(int a, int b, int& x, int&y) {
	if (x > 0 && y > 0) return;
	if (y <= 0) {
		int q = -y / a + 1;
		y += q*a;
		x -= q*b;
	}
	else {
		obr(b, a, y, x);
	}
}

int gcd(int a, int b) {
	return b ? gcd(b, a%b): a;
}

void solve() {
	/*make2(int, a, b);
	make(int, k);
	int x = 0, y = 0;
	gcd(a, b, x, y, k);
	obr(a, b, x, y);
	cout << x << ' ' << y;
	if (a*x + b*y != k) throw exception();*/

	make(int, n);
	VI dels;
	for (int i = 2; i*i <= n; ++i) {
		if (n % i == 0) {
			dels.emplace_back(i);
			if (i * i != n) dels.emplace_back(n / i);
		}
	}
	for (int i = 0; i < dels.size(); ++i) {
		for (int j = 0; j < dels.size(); ++j) {
			int a = n / dels[i], b = n / dels[j];
			if (a < b) continue;
			if (gcd(a, b) != 1) continue;
			int x = 0, y = 0;
			gcd(a, b, x, y, n - 1);
			obr(a, b, x, y);
			if (a*x + b *y == n - 1) {
				if (x > 0 && x < dels[i] && y > 0 && y < dels[j]) {
					cout << "YES\n2\n";
					cout << x << ' ' << dels[i] << '\n';
					cout << y << ' ' << dels[j] << '\n';
					return;
				}
			}
		}
	}
	cout << "NO";
}



signed main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
#ifdef _SUPER_DEFINE_
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
	while (cin.peek() != EOF) {
		if (isspace(cin.peek())) cin.get();
		else {
			solve();
			string s = "#";
			do getline(cin, s);
			while (!cin.eof() && !s.empty());
			cout << endl << endl;
		}
	}
#else
	solve();
#endif
	return 0;
}