﻿#include <bits/stdc++.h>

using namespace std;

#define mp make_pair
#define pb push_back
using ll = long long;
using ull = unsigned long long;
using dbl = long double;
using pii = pair <int, int>;

const int MAXN = 10;

vector <int> gr[MAXN], tgr[MAXN];
set <int> ngr[MAXN];
vector <int> comp[MAXN];
vector <int> order;
int was[MAXN], num[MAXN], cnt;

int n;

char field[30][300][3]; // height, lenght, width

void load () {
	cin >> n;
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			int a;
			cin >> a;
			if (a) {
				gr[i].pb (j);
				tgr[j].pb (i);
			}
		}
	}
}

void dfs1 (int v) {
	was[v] = 1;
	for (auto to : gr[v]) {
		if (!was[to]) {
			dfs1 (to);
		}
	} 
	order.pb (v);
}

void dfs2 (int v) {
	num[v] = cnt;
	for (auto to : tgr[v]) {
		if (num[to] == -1) {
			dfs2 (to);
		}
	}
}

void css () {
	memset (num, 0xff, sizeof (num));
	memset (was, 0, sizeof (was));
	for (int i = 0; i < n; i++) {
		if (!was[i]) {
			dfs1 (i);
		}
	}
	reverse (order.begin (), order.end ());
	for (auto v : order) {
		if (num[v] == -1) {
			dfs2 (v);
			cnt++;
		}
	}
	for (int i = 0; i < n; i++)
		comp[num[i]].pb (i);
}

void build () {
	css ();
	for (int i = 0; i < n; i++) {
		for (auto to : gr[i]) {
			if (num[i] == num[to]) continue;
			ngr[num[i]].insert (num[to]);
		}
	}
}

void init () {
	for (int i = 0; i < cnt; i++) {
		int tmp = 0;
		for (auto it : comp[i]) {
			field[i * 3][tmp][0] = it + 1 + '0';
			tmp++;
		}
		for (int j = tmp; j < 300; j++)
			field[i * 3][j][0] = '.';
		for (int j = 0; j < 300; j++) {
			field[i * 3][j][1] = field[i * 3][j][2] = '.';
			field[i * 3 + 1][j][0] = field[i * 3 + 1][j][1] = field[i * 3 + 1][j][2] = '#';
			field[i * 3 + 2][j][0] = field[i * 3 + 2][j][1] = field[i * 3 + 2][j][2] = '#';	
		}
	}
}

void solve () {
	build ();
	init ();

	for (int i = 0; i < cnt; i++) {
		for (int j : ngr[i]) {
			for (int i1 = i; i1 < j; i1++) {
				field[i1 * 3 + 1][3 * (i * 9 + j)][2] = '.';
				field[i1 * 3 + 2][3 * (i * 9 + j)][2] = '.';
				if (i1 != i) {
					field[i1 * 3][3 * (i * 9 + j) + 1][2] = '#';
					field[i1 * 3][3 * (i * 9 + j)][1] = '#';
					if (3 * (i * 9 + j) - 1 >= 0)
						field[i1 * 3][3 * (i * 9 + j) - 1][2] = '#';
				}
			}
		}
	}

	cout << 300 << ' ' << 3 << ' ' << 3 * cnt << '\n';
	for (int i = 0; i < cnt; i++) {
		for (int k = 0; k < 3; k++) {
			for (int w = 0; w < 3; w++) {
				for (int j = 0; j < 300; j++) {
					cout << field[i * 3 + k][j][w];
				}
				cout << '\n';		
			}
			cout << '\n';
		}
	}
}

int main () {
	ios_base::sync_with_stdio (false);
	cin.tie (NULL);

#ifdef LOCAL
	freopen ("input.txt", "r", stdin);
	freopen ("output.txt", "w", stdout);
#endif

	load ();
	solve ();

	return 0;
}