#include <bits/stdc++.h>

#define ALL(A) A.begin(),A.end()
#define RALL(A) A.rbegin(),A.rend()
#define SZ(A) int(A.size())
using namespace std;
template <typename T>
T input() {
    T res;
    cin >> res;
    return res;
}

int n;
const int inf = 1e5;

vector<vector<int>> gr;
vector<vector<int>> ngh;

int req(int v) {
    cout << v + 1 << endl;
    if (input<string>() == "FOUND")
        return -1;
    else
        return input<int>() - 1;
}

void work() {
    vector<char> curset(n, 1);

    while (true) {
        //cout << "alive ";
        //for (int i = 0; i < n; ++i)
        //    if (curset[i])
        //        cout << i << " ";
        //cout << endl;

        int bestv = -1;
        int bestval = 1e9;

        vector<int> alive;
        for (int i = 0; i < n; ++i)
            if (curset[i])
                alive.push_back(i);

        for (int v: alive) {
            vector<int> angh;
            for (int u: ngh[v])
                if (curset[u])
                    angh.push_back(u);

            vector<int> cnt(SZ(angh));

            for (int other: alive)
                if (other != v) {
                    for (int i = 0; i < SZ(angh); ++i) {
                        if (gr[other][v] > gr[other][angh[i]]) {
                            cnt[i] += 1;
                        }
                    }
                }

            int mx = 0;
            for (int el: cnt)
                mx = max(mx, el);

            if (mx < bestval) {
                bestval = mx;
                bestv = v;
            }
        }

        assert(bestv != -1);
        auto resp = req(bestv);
        if (resp == -1)
            break;

        for (int i = 0; i < n; ++i)
            if (curset[i] and gr[i][resp] >= gr[i][bestv])
                curset[i] = false;
    }
}

int main() {
    std::iostream::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    n = input<int>();
    int m = input<int>();

    gr.resize(n, vector<int>(n, inf));
    ngh.resize(n);
    for (int t = 0; t != m; ++t) {
        vector<int> a(input<int>());

        for (int& elem: a)
            elem = input<int>() - 1;

        for (int i = 1; i < SZ(a); ++i) {
            ngh[a[i - 1]].push_back(a[i]);
            ngh[a[i]].push_back(a[i - 1]);

            gr[a[i - 1]][a[i]] = 1;
            gr[a[i]][a[i - 1]] = 1;
        }
    }

    for (int i = 0; i < n; ++i)
        gr[i][i] = 0;

    for (int k = 0; k < n; ++k)
        for (int i = 0; i < n; ++i)
            for (int j = 0; j < n; ++j)
                gr[i][j] = min(gr[i][j], gr[i][k] + gr[k][j]);

    for (int session = 0; session != n; ++session)
        work();
}

