#include <bits/stdc++.h>
#define fi first
#define se second

using namespace std;

const int N = 200;

int n;
int col[N];
vector < int > ch[N], ord;
vector < int > v[N], gv[N], nv[N];
bool used[N];

void dfs(int x)
{
	if(used[x]) return;
	used[x] = 1;
	for(int y: v[x]) dfs(y);
	ord.push_back(x);
}

void trace(int x, int c)
{
	if(col[x]) return;
	col[x] = c;
	for(int y: gv[x])trace(y, c);
}

void dfs2(int x)
{
	if(used[x]) return;
	used[x] = 1;
	for(int y: nv[x]) dfs(y);
	ord.push_back(x);
}

bool edge[N][N];

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	cin >> n;
	for(int i = 1; i <= n; i++){
		for(int j = 1; j <= n; j++){
			int x;
			cin >> x;
			if(x && i != j){
				v[i].push_back(j);
				gv[j].push_back(i);
			}
		}
	}
	for(int i = 1; i <= n; i++){
		if(!used[i]){
			dfs(i);
		}
	}
	reverse(ord.begin(), ord.end());
	int G = 0;
	for(int x: ord){
		if(col[x]){
			continue;
		}
		G++;
		trace(x, G);
	}
	for(int i = 1; i <= n; i++){
		for(int j: v[i]){
			if(col[i] == col[j]){
				continue;
			}
			nv[col[i]].push_back(col[j]);
			edge[col[i]][col[j]] = 1;
		}
	}
	for(int i = 1; i <= n; i++)used[i] = 0;
	for(int i = 1; i <= G; i++){
		if(!used[i]){
			dfs2(i);
		}
	}
	vector < vector < vector < char > > > ans(G + G);
	for(int i = 0; i < G + G; i++){
		ans[i].resize(5 * n);
		if(i % 2){
			for(int j = 0; j < 5 * n; j++){
				for(int h = 0; h < 5 * n; h++){
					ans[i][j].push_back('#');
				}
			}
			for(int x = 0; x < G; x++){
				for(int y = 0; y < G; y++){
					if(!edge[ord[x]][ord[y]]){
						continue;
					}
					if(i / 2 != y){
						ans[i][x * 5 + 2][y * 5 + 2] = '.';
					}
				}
			}
		}
		else{
			for(int j = 0; j < 5 * n; j++){
				for(int h = 0; h < 5 * n; h++){
					ans[i][j].push_back('.');
				}
			}
			for(int j = 0; j < ch[i / 2 + 1].size(); j++){
				ans[i][j + 1][1] = char('0' + ch[i / 2 + 1][j]);
			}
			for(int x = 0; x < G; x++){
				for(int y = 0; y < G; y++){
					if(edge[ord[x]][ord[y]]){
						if(i / 2 == x || i / 2 == y)continue;
					}
					ans[i][x * 5][y * 5] = '#';
					ans[i][x * 5][y * 5 + 1] = '#';
					ans[i][x * 5][y * 5 + 2] = '#';
					ans[i][x * 5 + 1][y * 5 + 2] = '#';
					ans[i][x * 5 + 1][y * 5] = '#';
					ans[i][x * 5 + 2][y * 5] = '#';
					ans[i][x * 5 + 2][y * 5 + 1] = '#';
					ans[i][x * 5 + 2][y * 5 + 2] = '#';
				}
			}
		}
	}
	cout << 5 * n << " " << 5 * n << " " << G + G << endl;
	for(int i = 0; i < G + G; i++){
		for(int j = 0; j < 5 * n; j++){
			for(int h= 0 ; h < 5 * n; h++){
				cout << ans[i][j][h];
			}
			cout << endl;
		}
		cout << endl;
	}
}
