#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <map>
#include <cstdint>
#include <queue>
#include <functional>
#include <iterator>
#include <set>
#include <string>
#include <cstring>
#include <numeric>
#include <cmath>
#include <list>
#include <cstdlib>
#include <cstdio>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using vl = vector<ll>;
using mll = map<ll, ll>;

#define fi(n) for(int i = 0; i < int (n); i++)
#define fj(n) for(int j = 0; j < int (n); j++)
#define fk(n) for(int k = 0; k < int (n); k++)
#define f1(n) for(auto &i1 : n)
#define f2(n) for(auto &i2 : n)
#define f3(n) for(auto &i3 : n)
#define all(n) n.begin(), n.end()

pair<int, int> dp[6][501][501];
tuple<int, int, int> pr[6][501][501];

void restore(int a, int b) {
	pair<int, int> mx = { 0, 1000 };
	int mxi = -1;
	for (int games = 1; games <= 5; games++) {
		int awin = dp[games][a][b].first;
		int bwin = dp[games][a][b].second;
		if (max (awin, bwin) == 3 && (awin - bwin) > (mx.first - mx.second)) {
			mx = dp[games][a][b];
			mxi = games;
		}
	}
	if (mx == make_pair (0, 1000)) {
		cout << "Impossible" << endl;
		return;
	}
	int awin = mx.first, bwin = mx.second;
	cout << awin << ':' << bwin << endl;
	vector<pair<int, int> > ans;
	auto p = pr[mxi][a][b];
	do {
		int da = a - get<1>(p);
		int db = b - get<2>(p);
		ans.emplace_back(da, db);

		mxi = get<0>(p);
		a = get<1>(p);
		b = get<2>(p);
		p = pr[mxi][a][b];
	} while (get<0>(p) != -1);
	reverse(all(ans));
	f1(ans) cout << i1.first << ':' << i1.second << ' ';
	cout << endl;
}

int main() {
#ifdef OFFLINE_JUDGE
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	cin.sync_with_stdio(false);
	cout.sync_with_stdio(false);
	cin.tie(nullptr);

	fk(6)fi(501)fj(501) dp[k][i][j] = { 0, 1000 };
	dp[0][0][0] = { 0, 0 };
	pr[0][0][0] = { -1, -1, -1 };

	for (int games = 1; games <= 4; games++) {
		for (int a = 0; a <= 200; a++) {
			for (int b = 0; b <= 200; b++) {
				if (dp[games - 1][a][b].first >= 3 ||
					dp[games - 1][a][b].second >= 3)
					continue;
				{
					int bb = 25;
					for (int aa = 0; aa <= 23; aa++) {
						if (dp[games - 1][a][b].first - dp[games - 1][a][b].second - 1 >
							dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
						{
							dp[games][a + aa][b + bb] = { dp[games-1][a][b].first, dp[games - 1][a][b].second + 1 };
							pr[games][a + aa][b + bb] = { games - 1, a, b };
						}
					}
				}
				{
					int aa = 25;
					for (int bb = 0; bb <= 23; bb++) {
						if (dp[games - 1][a][b].first - dp[games - 1][a][b].second + 1 >
							dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
						{
							dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first + 1, dp[games - 1][a][b].second };
							pr[games][a + aa][b + bb] = { games - 1, a, b };
						}
					}
				}
				{
					int aa = 26;
					int bb = 24;
					while (aa <= 202) {
						if (dp[games - 1][a][b].first - dp[games - 1][a][b].second + 1 >
							dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
						{
							dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first + 1, dp[games - 1][a][b].second };
							pr[games][a + aa][b + bb] = { games - 1, a, b };
						}
						aa++;
						bb++;
					}
				}
				{
					int aa = 24;
					int bb = 26;
					while (bb <= 202) {
						if (dp[games - 1][a][b].first - dp[games - 1][a][b].second - 1 >
							dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
						{
							dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first, dp[games - 1][a][b].second + 1 };
							pr[games][a + aa][b + bb] = { games - 1, a, b };
						}
						aa++;
						bb++;
					}
				}
			}
		}
	}

	int games = 5;
	for (int a = 0; a <= 200; a++) {
		for (int b = 0; b <= 200; b++) {
			if (dp[games - 1][a][b].first >= 3 ||
				dp[games - 1][a][b].second >= 3)
				continue;
			{
				int bb = 15;
				for (int aa = 0; aa <= 13; aa++) {
					if (dp[games - 1][a][b].first - dp[games - 1][a][b].second - 1 >
						dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
					{
						dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first, dp[games - 1][a][b].second + 1 };
						pr[games][a + aa][b + bb] = { games - 1, a, b };
					}
				}
			}
			{
				int aa = 15;
				for (int bb = 0; bb <= 13; bb++) {
					if (dp[games - 1][a][b].first - dp[games - 1][a][b].second + 1 >
						dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
					{
						dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first + 1, dp[games - 1][a][b].second };
						pr[games][a + aa][b + bb] = { games - 1, a, b };
					}
				}
			}
			{
				int aa = 16;
				int bb = 14;
				while (aa <= 202) {
					if (dp[games - 1][a][b].first - dp[games - 1][a][b].second + 1 >
						dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
					{
						dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first + 1, dp[games - 1][a][b].second };
						pr[games][a + aa][b + bb] = { games - 1, a, b };
					}
					aa++;
					bb++;
				}
			}
			{
				int aa = 14;
				int bb = 16;
				while (bb <= 202) {
					if (dp[games - 1][a][b].first - dp[games - 1][a][b].second - 1 >
						dp[games][a + aa][b + bb].first - dp[games][a + aa][b + bb].second)
					{
						dp[games][a + aa][b + bb] = { dp[games - 1][a][b].first, dp[games - 1][a][b].second + 1 };
						pr[games][a + aa][b + bb] = { games - 1, a, b };
					}
					aa++;
					bb++;
				}
			}
		}
	}

	int m; cin >> m;
	while (m--) {
		int a, b;
		cin >> a >> b;
		restore(a, b);
	}

	return 0;
}