#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <map>
#include <cstdint>
#include <queue>
#include <functional>
#include <iterator>
#include <set>
#include <string>
#include <cstring>
#include <numeric>
#include <cmath>
#include <list>
#include <cstdlib>
#include <random>
#include <cstdio>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using vl = vector<ll>;
using mll = map<ll, ll>;

#define fi(n) for(int i = 0; i < int (n); i++)
#define fj(n) for(int j = 0; j < int (n); j++)
#define fk(n) for(int k = 0; k < int (n); k++)
#define f1(n) for(auto &i1 : n)
#define f2(n) for(auto &i2 : n)
#define f3(n) for(auto &i3 : n)
#define all(n) n.begin(), n.end()

int dist[512][512];

int main() {
#ifdef OFFLINE_JUDGE
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	cin.sync_with_stdio(false);
	cout.sync_with_stdio(false);
	cin.tie(nullptr);

	int n, m;
	cin >> n >> m;
	fi(n)fj(n) dist[i][j] = 1000000;
	fi(m) {
		int k; cin >> k;
		int u; cin >> u;
		u--;
		fj(k - 1) {
			int v; cin >> v;
			v--;
			dist[u][v] = 1;
			dist[v][u] = 1;
			u = v;
		}
	}
	fi(n) dist[i][i] = 0;
	fk(n)fi(n)fj(n) dist[i][j] = min(dist[i][j], dist[i][k] + dist[k][j]);
	mt19937 rng(0x1337FEED);
	fi(n) {
		vector<int> candid;
		fi(n) candid.emplace_back(i);
		fi(10) {
			int u = 0;
			int mn_sd = 100000000;
			int mn_sumd = 100000000;
			fj(n) {
				int sd = 0;
				int sumd = 0;
				f1(candid) {
					sd = max(sd, dist[j][i1]);
					sumd += dist[j][i1];
				}
				if (sd < mn_sd) {
					mn_sd = sd;
					mn_sumd = sumd;
					u = j;
				}
				else if (sd == mn_sd && sumd < mn_sumd) {
					mn_sd = sd;
					mn_sumd = sumd;
					u = j;
				}
			}
			cout << u + 1 << endl; cout.flush();
			char buf[32];
			cin >> buf;
			if (buf[0] == 'F')
				break;
			int w; cin >> w;
			w--;
			vector<int> ncandid;
			f1(candid)
				if (i1 != u && dist[i1][w] < dist[i1][u])
					ncandid.emplace_back(i1);
			candid = move(ncandid);
		}
	}

	return 0;
}