#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <map>
#include <cstdint>
#include <queue>
#include <functional>
#include <iterator>
#include <set>
#include <string>
#include <cstring>
#include <numeric>
#include <cmath>
#include <list>
#include <cstdlib>
#include <cstdio>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using vl = vector<ll>;
using mll = map<ll, ll>;

#define fi(n) for(int i = 0; i < int (n); i++)
#define fj(n) for(int j = 0; j < int (n); j++)
#define fk(n) for(int k = 0; k < int (n); k++)
#define f1(n) for(auto &i1 : n)
#define f2(n) for(auto &i2 : n)
#define f3(n) for(auto &i3 : n)
#define all(n) n.begin(), n.end()

ll n, orn;

vector<ll> ans;

void dfs(vector<ll> &v, int i, ll prod = 1) {
	if (prod >= orn)
		return;
	if (i >= int(v.size()))
		return;
	ll score = orn / v[i];
	if (i == int(v.size()) - 1) {
		if ((orn - prod) % score == 0) {
			ans[i] = (orn - prod) / score;

			cout << "YES" << endl;
			cout << v.size() << endl;
			fi(v.size()) {

				cout << ans[i] << ' ' << v[i] << endl;
			}
			exit(0);
		}
	}
	else {
		for (ll num = 0; num < v[i]; num++) {
			ans[i] = num;
			dfs(v, i + 1, prod + score * num);
		}
	}
}

int main() {
#ifdef OFFLINE_JUDGE
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	cin.sync_with_stdio(false);
	cout.sync_with_stdio(false);
	cin.tie(nullptr);

	cin >> n;
	orn = n;
	vector<ll> divs;
	for (ll div = 2; div * div <= n; div++) {
		ll res = 1;
		while (n % div == 0) {
			res *= div;
			n /= div;
		}
		if (res > 1LL)
			divs.emplace_back(res);
	}
	if (n > 1LL)
		divs.emplace_back(n);
	if (divs.size() == 1) {
		cout << "NO";
		return 0;
	}
	sort(all(divs));
	{
		ll b1 = divs[0];
		ll b2 = orn / divs[0];
		for (ll a1 = 1; a1 < b1; a1++) {
			ll a2_num = orn - 1LL - a1 * b2;
			ll a2_denom = b1;
			if (a2_num % a2_denom == 0) {
				ll a2 = a2_num / a2_denom;
				cout << "YES" << endl;
				cout << 2 << endl;
				cout << a1 << ' ' << b1 << endl;
				cout << a2 << ' ' << b2 << endl;
				return 0;
			}
		}
	}
	cout << "NO";
	return 0;

	ans.resize(divs.size());
	dfs(divs, 0);
	cout << "NO";

	return 0;
}