#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <map>
#include <cstdint>
#include <queue>
#include <functional>
#include <iterator>
#include <set>
#include <string>
#include <cstring>
#include <numeric>
#include <cmath>
#include <list>
#include <cstdlib>
#include <cstdio>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using vl = vector<ll>;
using mll = map<ll, ll>;

#define fi(n) for(int i = 0; i < int (n); i++)
#define fj(n) for(int j = 0; j < int (n); j++)
#define fk(n) for(int k = 0; k < int (n); k++)
#define f1(n) for(auto &i1 : n)
#define f2(n) for(auto &i2 : n)
#define f3(n) for(auto &i3 : n)
#define all(n) n.begin(), n.end()



int main() {
#ifdef OFFLINE_JUDGE
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	cin.sync_with_stdio(false);
	cout.sync_with_stdio(false);
	cin.tie(nullptr);

	int n, k; cin >> n >> k;
	vector<int> maxcost(k, -1);
	vector<char> used(k);
	vector<int> nums(n), cost(n);
	fi(n) {
		cin >> nums[i];
		nums[i]--;
	}
	fi(n) {
		cin >> cost[i];
		maxcost[nums[i]] = max(maxcost[nums[i]], cost[i]);
	}
	int need = count(all(maxcost), -1);
	vector<ll> candids;
	fi(n) {
		if (used[nums[i]])
			candids.emplace_back(cost[i]);
		else if (cost[i] == maxcost[nums[i]])
			used[nums[i]] = 1;
		else candids.emplace_back(cost[i]);
	}
	sort(all(candids));
	cout << accumulate(candids.begin(), candids.begin() + need, 0LL);

	return 0;
}