#include <bits/stdc++.h>

#define ll long long

using namespace std;

int get_pr(int n)
{
    for (int i = 2; i * i <= n; i++)
    {
        if (n % i == 0)
            return i;
    }
    return -1;
}

ll pw(ll a, ll p, ll mod)
{
    ll res = 1;
    while (p)
    {
        if (p & 1)
            res = res * a % mod;
        a = a * a % mod;
        p >>= 1;
    }
    return res;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    int p = get_pr(n);
    if (p == -1)
    {
        cout << "NO\n";
        return 0;
    }
    int b = n, a = 0;
    while (b % p == 0)
    {
        a++;
        b /= p;
    }
    if (b == 1)
    {
        cout << "NO\n";
        return 0;
    }
    ll k1 = pw(p, a, n) - pw(b, pw(p, a, n) - pw(p, a - 1, n) - 1, pw(p, a, n));
    ll k2 = (n - 1 - k1 * b) / pw(p, a, n);
    cout << "YES\n";
    cout << 2 << "\n";
    cout << k1 << " " << pw(p, a, n) << "\n";
    cout << k2 << " " << b << "\n";
    return 0;
}
