#include <bits/stdc++.h>

#define ll long long
#define fi first
#define se second
#define sz(a) (int)a.size()
#define rep(i, l, r) for (int i = l; i < r; i++)
#define repb(i, l, r) for (int i = l; i > r; i--)

using namespace std;

vector<string> split_items(string s)
{
    vector<string> res;
    string t;
    rep(i, 0, sz(s))
        if (s[i] != ' ')
        {
            t += s[i];
            if (i + 1 == sz(s) || s[i + 1] == ' ')
            {
                res.push_back(t);
                t = "";
            }
        }
    return res;
}

bool check(int pos, char c)
{
    if (c >= 'a' && c <= 'z' || c >= 'A' && c <= 'Z')
        return true;
    if (c == '_' || c == '$')
        return true;
    if (pos > 0 && c >= '0' && c <= '9')
        return true;
    return false;
}

void parse(string s, set<string> &dict, vector<pair<string, int> > &res)
{
    if (sz(s) == 0)
        return;
    int max_int = 0, max_str = 0;
    while (max_int < sz(s) && s[max_int] >= '0' && s[max_int] <= '9')
        max_int++;
    while (max_str < sz(s) && check(max_str, s[max_str]))
        max_str++;
    int max_res = sz(s);
    while (max_res > 0 && dict.find(s.substr(0, max_res)) == dict.end())
        max_res--;
    int best = max(max(max_int, max_str), max_res);
    if (best == max_res)
        res.push_back({s.substr(0, best), 0});
    else if (best == max_int)
        res.push_back({s.substr(0, best), 1});
    else
        res.push_back({s.substr(0, best), 2});
    parse(s.substr(best), dict, res);
}

int main()
{
    freopen("a.in", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    set<string> dict;
    rep(i, 0, n)
    {
        string s;
        cin >> s;
        dict.insert(s);
    }
    int m;
    cin >> m;
    string s;
    getline(cin, s);
    vector<pair<string, int> > prog;
    rep(i, 0, m)
    {
        string s;
        getline(cin, s);
        cout << s << "\n";
        int p = n;
        rep(i, 0, sz(s))
            if (s[i] == '#')
            {
                p = i;
                break;
            }
        s = s.substr(0, p);
        vector<string> items = split_items(s);
        for (auto it : items)
            cout << it << "\n";
        for (auto it : items)
            parse(it, dict, prog);
    }
    return 0;
    for (auto it : prog)
        cout << it.fi << " " << it.se << "\n";
    return 0;
}
