#define _CRT_SECURE_NO_WARNINGS

#include <cstdio>
#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <cmath>
#include <string>
#include <cstring>
#include <algorithm>

using namespace std;

typedef long long lld;
typedef unsigned long long llu;
typedef unsigned int uint;
typedef pair<lld, lld> pii;

#define forn(i, n) for(int (i) = 0; (i) < (n); (i)++)
#define formn(i, m, n) for(int (i) = (m); (i) < (n); (i)++)
#define foreach(x, c) for(auto (x) : (c))

const int MAXN = 2e5;

lld a[MAXN];
lld b[MAXN];
lld cnt[MAXN];

int main() {
	int n, m;
	scanf("%d%d", &n, &m);
	forn(i, n) {
		scanf("%lld", &a[i]);
		cnt[a[i]]++;
	}
	vector<pii> guys;
	forn(i, n) {
		scanf("%lld", &b[i]);
		guys.emplace_back(b[i], i);
	}
	sort(guys.begin(), guys.end());
	int cur_job = 1;
	lld ans = 0;
	forn(i, guys.size()) {
		while (true) {
			if (cur_job > m) {
				printf("%lld\n", ans);
				return 0;
			}
			if (cnt[cur_job] == 0) {
				break;
			}
			cur_job++;
		}
		//printf("    %d\n", cur_job);
		if (cnt[a[guys[i].second]] <= 1) {
			continue;
		}
		//printf("    %d: %d\n", cur_job, guys[i].second);
		cnt[cur_job]++;
		cnt[a[guys[i].second]]--;
		ans += guys[i].first;
	}
}
/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2

3 3
3 1 2
5 3 4
*/