#include <bits/stdc++.h>

using namespace std;
typedef pair<int, int> PII;
typedef long long i64;

set<int> d;
vector<int> el;
vector<int> ans;

int gcd(int a, int b, int &x, int &y) {
	if (a==0) {
		x = 0; y = 1;
		return b;
	}
	int x1, y1;
	int d = gcd(b%a, a, x1, y1);
	x = y1 - (b/a) * x1;
	y = x1;
	return d;
}

bool sol(int a, int b, int c, int & x0, int &y0, int &g) {
	g = gcd(abs(a), abs(b), x0, y0);
	if (c%g != 0) {
		return false;
	}
	x0 *= c/g;
	y0 *= c/g;
	if (a < 0) x0 *= -1;
	if (b < 0) y0 *= -1;
	return true;
}

int main() {
#ifdef LOCAL
	freopen("z.in", "r+", stdin);
	freopen("z.out", "w+", stdout);
#endif
	
	int n;
	cin >> n;
	for (int i = 2; i*i <= n; ++i) {
		if (n % i ==0) {
			d.insert(i);
			d.insert(n/i);
		}
	}
	
	for (auto k : d) {
		el.push_back(k);
	}
	sort(el.begin(), el.end());
	reverse(el.begin(), el.end());
	if (el.size() <= 1) {
		cout << "NO";
		return 0;
	}
	ans.resize(el.size());
	
	int m = n-1;
	bool f = 0;
	for (int i = 0; i < el.size(); ++i) {
		for (int j = 0; j < el.size(); ++j) {
			for (int c1 = 1; c1 < el[i] && c1*el[i] < m; ++c1) {
				int d1 = m - c1*el[i];
				if (d1%el[j] == 0) {
					cout << "YES\n";
					cout << 2 << '\n';
					
					cout << c1 << ' ' << n/el[i] << '\n' << d1/el[j] << ' ' << n/el[j] << endl;
					return 0;
				}
			}
		}
	}
	if (!f) {
		cout << "NO";
	}
	
 	return 0;
}