#include <bits/stdc++.h>
 
using namespace std;
 
#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)
#define all(a) (a).begin(), (a).end()
 
typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;
 
template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
    return out << "(" << a.x << ", " << a.y << ")";
}
 
template <class A> ostream& operator << (ostream& out, vector<A> &a) {
    out << "[";
    forn(i, sz(a)) {
        if (i) out << ", ";
        out << a[i];
    }
    return out << "]";
}
 
mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));
 
const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;
 
const int N = 210;
const int M = 50010;
const int K = 4;
 
int m;
int qa[M], qb[M];
bool dp[K][K][N][N];
pair<pt, pt> p[K][K][N][N];
 
bool read() {
    if (scanf("%d", &m) != 1)
        return false;
    forn(i, m) scanf("%d%d", &qa[i], &qb[i]);
    return true;
}
 
void solve() {
    memset(dp, 0, sizeof(dp));
    dp[0][0][0][0] = true;
    forn(wa, 3) forn(wb, 3) forn(a, N) forn(b, N) if (dp[wa][wb][a][b]) {
        int mx = 25;
        if (wa == 2 && wb == 2) mx = 15;
        forn(win, 2) {
        	forn(add, mx - 1) {
            	int na = a + (win ? mx : add);
            	int nb = b + (win ? add : mx);
            	if (na >= N || nb >= N)
            		continue;
            	int nwa = wa + (win ? +1 : 0);
            	int nwb = wb + (win ? 0 : +1);
            	if (!dp[nwa][nwb][na][nb]) {
                	dp[nwa][nwb][na][nb] = true;
                	p[nwa][nwb][na][nb] = mp(mp(wa, wb), mp(a, b));
            	}	   
        	}
        	int mx;
        	if (win) {
        		mx = min(N - 1 - a, N - 1 - b + 2);
        	} else {
        		mx = min(N - 1 - a + 2, N - 1 - b);
        	}
        	int start = 26;
        	if (wa == 2 && wb == 2)
        		start = 16;
        	fore(add, start, mx + 1) {
        		int na = a + (win ? add : add - 2);
            	int nb = b + (win ? add - 2 : add);
            	if (na >= N || nb >= N)
            		continue;
            	int nwa = wa + (win ? +1 : 0);
            	int nwb = wb + (win ? 0 : +1);
            	if (!dp[nwa][nwb][na][nb]) {
            		dp[nwa][nwb][na][nb] = true;
            		p[nwa][nwb][na][nb] = mp(mp(wa, wb), mp(a, b));
            	}
        	}
        }
    }
     
    forn(q, m) {
        int a = qa[q];
        int b = qb[q];
        int wa = -1;
        int wb = -1;
        forn(i, 4) forn(j, 4) if (dp[i][j][a][b]) {
            if (max(i, j) == 3 && (wa == -1 || wa - wb < i - j)) {
                wa = i;
                wb = j;
            }
        }
         
        if (wa == -1) {
            puts("Impossible");
            continue;
        }
         
        printf("%d:%d\n", wa, wb);
         
        vector<pt> ans;
        while (wa != 0 || wb != 0) {
            int nwa = p[wa][wb][a][b].x.x;
            int nwb = p[wa][wb][a][b].x.y;
            int na = p[wa][wb][a][b].y.x;
            int nb = p[wa][wb][a][b].y.y;
            ans.pb(mp(a - na, b - nb));
            wa = nwa;
            wb = nwb;
            a = na;
            b = nb;
        }
         
        reverse(all(ans));
        forn(i, sz(ans)) printf("%d:%d ", ans[i].x, ans[i].y);
        puts("");
    }
}
 
int main() {
    cout << fixed << setprecision(10);
    cerr << fixed << setprecision(5);
 
#ifdef _DEBUG
    freopen("input.txt", "r", stdin);
    int tt = clock();
#endif
 
    while (read()) {
        solve();
#ifdef _DEBUG
        cerr << "TIME = " << clock() - tt << endl;
        tt = clock();
#endif
    }
}