#include <bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
	return out << "(" << a.x << ", " << a.y << ")";
}

template <class A> ostream& operator << (ostream& out, vector<A> &a) {
	out << "[";
	forn(i, sz(a)) {
		if (i) out << ", ";
		out << a[i];
	}
	return out << "]";
}

mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));

const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;

int n;

bool read() {
	if (scanf("%d", &n) != 1)
		return false;
	return true;
}

int tot;

void out(int x, int y){
	++tot;
	printf("%c%d ", 'a' + x, y + 1);
}

int get(int x, int y){
	return (x != 7 && y != 7 ? 2 : 1);
}

void fin(int x, int y){
	if (y != 7 && x != 7)
		out(7, y);
	out(7, 7);
}

void solve() {
	if (n == 50){
		puts("a1 b1 c1 d1 e1 f1 f2 e2 d2 c2 b2 a2 a3 b3 c3 d3 e3 f3 f4 e4 d4 c4 b4 a4 a5 b5 c5 d5 e5 f5 f6 e6 d6 c6 b6 a6 a7 b7 c7 d7 e7 f7 f8 e8 d8 c8 b8 g8 g7 h7 h8");
		return;
	}
	
	vector<pt> moves;
	fore(i, 1, 6)
		moves.pb({i, 0});
	fore(i, 1, 8){
		if (i & 1){
			for (int j = 5; j >= 0; --j)
				moves.pb({j, i});
		}
		else{
			forn(j, 6)
				moves.pb({j, i});
		}
	}
	for (int i = 7; i >= 0; --i)
		moves.pb({6, i});
	forn(i, 8)
		moves.pb({7, i});
	
	tot = 0;
	printf("a1 ");
	int cur = 0;
	int x = 0, y = 0;
	while (cur + get(x, y) < n){
		x = moves[cur].x;
		y = moves[cur].y;
		out(x, y);
		++cur;
	}
	fin(x, y);
	puts("");
	
	//cerr << tot << endl;
	//assert(tot == n);
}

int main() {
	cout << fixed << setprecision(10);
	cerr << fixed << setprecision(5);

#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	int tt = clock();
#endif

	while (read()) {
	//fore(i, 2, 64){
		//n = i;
		solve();
#ifdef _DEBUG
		cerr << "TIME = " << clock() - tt << endl;
		tt = clock();
#endif
	}
}