#include <bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)
#define all(a) (a).begin(), (a).end()

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
	return out << "(" << a.x << ", " << a.y << ")";
}

template <class A> ostream& operator << (ostream& out, vector<A> &a) {
	out << "[";
	forn(i, sz(a)) {
		if (i) out << ", ";
		out << a[i];
	}
	return out << "]";
}

mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));

const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;

li n;

bool read() {
	if (scanf("%lld", &n) != 1)
		return false;
	return true;
}

li gcd(li a, li b, li &x, li &y) {
	if (b == 0) {
		x = 1, y = 0;
		return a;
	}
	li x1, y1;
	li g = gcd(b, a % b, x1, y1);
	x = y1;
	y = x1 - a / b * y1;
	return g;
}

li myCeil(li, li);

li myFloor(li a, li b) {
	return (b < 0 ? myFloor(-a, -b) : (a < 0 ? -myCeil(-a, b) : a / b));
}

li myCeil(li a, li b) {
	return (b < 0 ? myCeil(-a, -b) : (a < 0 ? -myFloor(-a, b) : (a + b - 1) / b));
}

bool can(li a, li b, li c, li &x, li &y) {
	li g = gcd(a, b, x, y);
	if (c % g != 0) {
		return false;
	}
	x *= c / g;
	y *= c / g;
	li l = myCeil(-x, b);
	li r = min(myFloor(100 * 1000 - (x + y), b - a), myFloor(y, a));
	if (l <= r) {
		//cerr << a << " " << b << " " << x << " " << y << " " << l << " " << r << endl;
		li xx = x + l * b;
		li yy = y - l * a;
		x = xx;
		y = yy;
		//cerr << xx << " " << yy << endl;
		//assert(x >= 0 && y >= 0 && x + y <= 100 * 1000);
		return true;
	}
	return false;
}

void solve() {
	vector<li> d;
	for (li i = 2; i * i <= n; ++i) {
		if (n % i == 0) {
			d.pb(i);
			if (i != n / i) d.pb(n / i);
		}
	}
	forn(i, sz(d)) forn(j, i) {
		li it = d[j];
		li jt = d[i];
		if (__gcd(it, jt) != 1) continue;
		li x = -1, y = -1;
		if (can(it, jt, n - 1, x, y)) {
			li gx = __gcd(it, n);
			li gy = __gcd(jt, n);
			puts("YES");
			printf("%lld\n", x + y);
			forn(_, x) printf("%lld %lld\n", it / gx, n / gx);
			forn(_, y) printf("%lld %lld\n", jt / gy, n / gy);
			return;
		}
	}
	puts("NO");
}

int main() {
	cout << fixed << setprecision(10);
	cerr << fixed << setprecision(5);

#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	int tt = clock();
#endif

	while (read()) {
		solve();
#ifdef _DEBUG
		cerr << "TIME = " << clock() - tt << endl;
		tt = clock();
#endif
	}
}