#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <stdlib.h>
#include <math.h>
#include <climits>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <queue>
#include <numeric>
#include <algorithm>

#define forn(i,s,e) for(int (i) = (s); (i)<(e); ++(i))
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
typedef vector<int> vi;
typedef vector<vi> vvi;

vector<pii> ans;

bool vashe_check2(int win_a, int win_b, int score_a, int score_b, vector<pii> sets)
{
	if (win_b > 1)
	{
		int d = max(0, min(score_a, sets[sets.size() - 2].second - 2) - sets[sets.size()-2].first);
		sets[sets.size() - 2].first += d;
		score_a -= d;
		d = min(score_a, score_b);
		sets[sets.size() - 2].first += d;
		sets[sets.size() - 2].second += d;
		score_a -= d;
		score_b -= d;
	}

	forn(i, 0, win_a)
	{
		int d = max(0, min(score_b, sets[i].first - 2) - sets[i].second);
		score_b -= d;
		sets[i].second += d;
	}

	forn(i, win_a, sets.size())
	{
		int d = max(0, min(score_a, sets[i].second - 2) - sets[i].first);
		score_a -= d;
		sets[i].first += d;
	}


	if (score_a == score_b && score_a == 0)
	{
		ans = sets;
		return true;
	}
	return false;

}
bool vashe_check(int win_a, int win_b, int score_a, int score_b, vector<pii> sets)
{
	if (win_b != 0)
	{
		int d = max(0, min(score_a, sets.back().second - 2) - sets.back().first);
		sets.back().first += d;
		score_a -= d;
		d = min(score_a, score_b);
		sets.back().first += d;
		sets.back().second += d;
		score_a -= d;
		score_b -= d;
	}

	forn(i, 0, win_a)
	{
		int d = max(0, min(score_b, sets[i].first - 2) - sets[i].second);
		score_b -= d;
		sets[i].second += d;
	}

	forn(i, win_a, sets.size())
	{
		int d = max(0, min(score_a, sets[i].second - 2) - sets[i].first);
		score_a -= d;
		sets[i].first += d;
	}


	if (score_a == score_b && score_a == 0)
	{
		ans = sets;
		return true;
	}
	return false;
}

bool vashe_real_check(int win_a, int win_b, int score_a, int score_b, vector<pii> sets)
{
	if (win_a != 0)
	{
		int d = max(0, min(score_b, sets[win_a - 1].first - 2) - sets[win_a - 1].second);
		sets[win_a - 1].second += d;
		score_b -= d;
		d = min(score_a, score_b);
		sets[win_a - 1].first += d;
		sets[win_a - 1].second += d;
		score_a -= d;
		score_b -= d;
	}

	forn(i, 0, win_a)
	{
		int d = max(0, min(score_b, sets[i].first - 2) - sets[i].second);
		score_b -= d;
		sets[i].second += d;
	}

	forn(i, win_a, sets.size())
	{
		int d = max(0, min(score_a, sets[i].second - 2) - sets[i].first);
		score_a -= d;
		sets[i].first += d;
	}

	if (score_a == score_b && score_a == 0)
	{
		ans = sets;
		return true;
	}
	return false;
}

bool get_ans(int win_a, int win_b, int score_a, int score_b)
{
	bool a_loose = false;
	if (win_a > win_b)
	{
		swap(win_a, win_b);
		swap(score_a, score_b);
		bool ret = get_ans(win_a, win_b, score_a, score_b);
		forn(i, 0, ans.size())
			swap(ans[i].first, ans[i].second);
		return ret;
	}

	vector<pii> sets;
	forn(i, 0, win_a)
	{
		sets.push_back({ 25, 0 });
		score_a -= 25;
	}
	forn(i, 0, win_b)
	{
		if (sets.size() == 4)
		{
			sets.push_back({ 0,15 });
			score_b -= 15;
		}
		else
		{
			sets.push_back({ 0,25 });
			score_b -= 25;
		}
	}
	if (score_a < 0 || score_b < 0)
		return false;

	if (vashe_check2(win_a, win_b, score_a, score_b, sets))
		return true;
	if (vashe_check(win_a, win_b, score_a, score_b, sets))
		return true;
	if (vashe_real_check(win_a, win_b, score_a, score_b, sets))
		return true;
	return false;
}
vector<pii> total_scores = { { 3,0 },{ 3,1 },{ 3,2 },{ 2,3 },{ 1,3 },{ 0,3 } };

void debug_print(int a, int b)
{
	cout << "ERROR: " << a << " " << b << endl;
	forn(t, 0, ans.size())
		cout << ans[t].first << ":" << ans[t].second << " ";
}

set<int> tret;
bool exist_ans(int a, int b)
{
	forn(i, 0, total_scores.size())
	{
		if (get_ans(total_scores[i].first, total_scores[i].second, a, b))
		{
			int ta, tb;
			ta = tb = 0;
			forn(j, 0, ans.size())
			{
				ta += ans[j].first > ans[j].second;
				tb += ans[j].second > ans[j].first;
				if ((ta == 3 || tb == 3) && j != ans.size() - 1)
				{
					cout << "giga ploho" << endl;
					debug_print(a, b);
					exit(0);
				}
				if (ans[j].first == ans[j].second)
				{
					cout << "rovnaya huyna" << endl;
					debug_print(a, b);
					exit(0);
				}
				if (ans[j].first < 0 || ans[j].second < 0)
				{
					cout << "negative number" << endl;
					debug_print(a, b);
					exit(0);
				}
				if (j != 4)
				{
					if ((ans[j].second > 25 || ans[j].first > 25) && abs(ans[j].first - ans[j].second) > 2)
					{
						cout << "huinya" << endl;
						debug_print(a, b);
						exit(0);
					}
				}
				else if (max(ans[j].first, ans[j].second) > 15 && abs(ans[j].first - ans[j].second) > 2)
				{
					cout << "last huinya" << endl;
					debug_print(a, b);
					exit(0);
				}
			}
			if (ta != total_scores[i].first && tb != total_scores[i].second)
			{
				cout << "vashe huynya" << endl;
				debug_print(a, b);
				exit(0);
			}
			tret.insert(abs(a - b));
			return true;
		}
	}
	if (a != 0 && b != 0)
	return false;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	int t;
	cin >> t;
	if (t)
	{
	
		vector<pii> total_scores = { { 3,0 },{ 3,1 },{ 3,2 },{ 2,3 },{ 1,3 },{ 0,3 } };
		while (t--)
		{
			int a, b;
			cin >> a >> b;
			bool fail = true;
			forn(i, 0, total_scores.size())
			{
				if (get_ans(total_scores[i].first, total_scores[i].second, a, b))
				{
					fail = false;
					cout << total_scores[i].first << ":" << total_scores[i].second << endl;
					forn(j, 0, ans.size())
						cout << ans[j].first << ":" << ans[j].second << " ";
					break;
				}
			}
			if (fail)
				cout << "Impossible";
			cout << endl;
		}
	}
	else
	{
		forn(i, 0, 201)
			forn(j, 0, 201)
		{
			if (!exist_ans(i, j))
				cout << i << " " << j << endl;
		}

		cout << endl << " ====================" << endl;
		for (auto t : tret)
			cout << t << endl;
	}


	return 0;
}