def grill():
    max = 100000
    used = [False for _ in range(max + 1)]
    primes = []
    for i in range(2, max):
        if used[i]:
            continue
        primes.append(i)
        k = max // i
        for j in range(2, k + 1):
            used[j * i] = True
    return primes


def solve(n):
    primes = grill()
    mp = []
    for p in primes:
        if n % p == 0:
            mp.append(p)
            if len(mp) == 2:
                break
    if len(mp) == 1:
        return None
    a1 = None
    for j in range(1, mp[1]):
        if (j * mp[0]) % mp[1] == mp[1] - 1:
            a1 = j
            break
    a2 = (n - 1 - a1 * mp[0]) // mp[1]
    return ((a1, mp[1]), (a2, mp[0]))


n = int(input())
s = solve(n)
if s is None:
    print('NO')
    exit(0)
print('YES')
print(2)
print(s[0][0], n // s[1][1])
print(s[1][0], n // s[0][1])


# for n in range(2, 1000):
#     s = solve(n)
#     if s is None:
#         print(n, 'NO')
#         continue
#     print('YES')
#     print(2)
#     print(s[0][0], s[0][1])
#     print(s[1][0], s[1][1])
#     if s[0][0] * s[1][1] + s[1][0] * s[0][1] != n - 1:
#         print('error')
#         break