#include <bits/stdc++.h>

using namespace std;

vector<int> gr[9];

bool used[9];

char c[30][300][30];
bool a[10][10];
int n;
bool dfs(int v, int u) {
    if (v == u)
        return true;
    used[v] = true;
    bool result = false;
    for (int i = 0; i < n; i++)
        if (!used[i] && a[v][i])
            result |= dfs(i, u);
    return result;
}

bool can(int v, int u) {
    memset(used, false, sizeof(used));
    return dfs(v, u);
}

bool added[9];
vector<int> verts[9];
int num = 0;

vector<int> topsort;

void top(int v) {
    used[v] = true;
    for (int x : gr[v])
        if (!used[x])
            top(x);
    topsort.push_back(v);
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);


    cin >> n;
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> a[i][j];
        }
    }


    for (int i = 0; i < n; i++)
        if (!added[i]) {
            added[i] = true;
            verts[num].push_back(i);
            for (int j = 0; j < n; j++)
                if (!added[j])
                    if (can(i, j) && can(j, i)) {
                        verts[num].push_back(j);
                        added[j] = true;
                    }
            num++;
        }

    int width = n * n * 3; //
    int height = 2 * n;
    int len = 2 * n;

    for (int i = 0; i < height; i++)
        for (int j = 0; j < width; j++)
            for (int k = 0; k < len; k++)
                c[i][j][k] = '.';

    for (int i = 0; i < num; i++)
        for (int j = 0; j < num; j++)
            if (i != j) {
                if (can(verts[i].back(), verts[j].back()))
                    gr[i].push_back(j);
            }
    memset(used, false, sizeof(used));
            for (int i = 0; i < num; i++)
                if (!used[i])
                    top(i);
    assert(topsort.size() == num);
    reverse(topsort.begin(), topsort.end());

    auto hei = [](int v) {return 3 * v + 2;};

    for (int i = 0; i < num; i++) {
        for (int j = 0; j < width; j++) {
            c[hei(i)][j][hei(i)] = '#';
        }
    }

    int cnt = 1;

    for (int i = 0; i < num; i++) {
        int v = verts[topsort[i]].back();
        for (int j = i + 1; j < num; j++) {
            int u = verts[topsort[j]].back();
            if (can(v, u)) {
                int from = hei(i);
                int to = hei(j);
                for (int k = from + 1; k <= to; k++) {
                    c[from - 1][cnt - 1][k] = '#';
                    c[from - 2][cnt - 1][k] = '#';
                    c[from - 1][cnt + 1][k] = '#';
                    c[from - 2][cnt + 1][k] = '#';
                }

                for (int k = from; k < to; k++)
                    c[from][cnt][k] = '#';

                cnt += 3;
            }
        }
    }

    for (int i = 0; i < num; i++) {
        int cnt = 0;
        for (int x : verts[topsort[i]])
            c[hei(i) - 1][cnt++][hei(i)] = '0' + x + 1;
    }

    cout << width << " " <<  len << " " << height << "\n";
    for (int i = 0; i < height; i++) {
        for (int j = 0; j < len; j++) {
            for (int k = 0; k < width; k++)
                cout << c[i][k][j];
            cout << "\n";
        }
        cout << "\n";
    }
    return 0;
}

/*
4
 0 1 0 1
 0 0 1 0
 0 1 0 0
 1 0 0 0
 */
