#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;
using vp = vector<pair<int, int> >;

void solve()
{
	ll n;
	cin >> n;

	ll bord = sqrt(n);

	vector<ll> v;

	for (ll i = 2; i <= bord; ++i)
	{
		if (n % i == 0)
		{
			v.push_back(i);
			if (n / i != i)
				v.push_back(n / i);
		}
	}

	sort(v.rbegin(), v.rend());

	if (v.empty())
	{
		cout << "NO";
		return;
	}

	bool odd = false;
	bool ev = false;
	for (auto val : v)
	{
		if (val % 2 == 0) ev = true;
		else odd = true;
	}

	if (!ev || !odd)
	{
		cout << "NO";
		return;
	}

	ll nn = n - 1;
	map<ll, ll> mp;
	for (auto val : v)
	{
		while (nn >= val && nn - val != 1)
		{
			mp[n / val]++;
			nn -= val;
		}
	}
	cout << "YES" << endl;
	cout << mp.size() << endl;
	for (auto& val : mp)
	{
		cout << val.second << " " << val.first << "\n";
	}
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}