#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;
using vp = vector<pair<int, int> >;

void solve()
{
	ll n;
	cin >> n;

	ll bord = sqrt(n);

	vector<ll> odd;
	vector<ll> even;

	for (ll i = 2; i <= bord; ++i)
	{
		if (n % i == 0)
		{
			if (i % 2 == 0)
				even.push_back(i);
			else
				odd.push_back(i);

			ll dv = n / i;
			if (dv != i)
			{
				if (dv % 2 == 0)
					even.push_back(dv);
				else
					odd.push_back(dv);
			}
		}
	}

	sort(odd.rbegin(), odd.rend());
	sort(even.rbegin(), even.rend());

	ll nn = n - 1;
	map<ll, ll> mp;

	for (auto val : odd)
	{
		if (nn % 2 == 0)
			break;
		while (nn >= val)
		{
			if (nn % 2 == 0)
				break;
			mp[n / val]++;
			nn -= val;
		}
	}

	for (auto val : even)
	{
		while (nn >= val)
		{
			mp[n / val]++;
			nn -= val;
		}
	}

	ll ans = 0;
	for (auto& val : mp)
	{
		ans += val.second * (n / val.first);
	}
	//cout << ans << " " << nn << endl;

	if (ans != n - 1 || nn != 0)
	{
		cout << "NO" << endl;
		return;
	}

	cout << "YES" << endl;
	cout << mp.size() << endl;
	for (auto& val : mp)
	{
		cout << val.second << " " << val.first << "\n";
	}
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}