#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>
#include <assert.h>

using namespace std;

using ll = long long;
using vp = vector<pair<int, int> >;

void solve()
{
	ll n;
	cin >> n;

	ll bord = sqrt(n);

	vector<ll> odd;
	vector<ll> even;

	for (ll i = 2; i <= bord; ++i)
	{
		if (n % i == 0)
		{
			if (i % 2 == 0)
				even.push_back(i);
			else
				odd.push_back(i);

			ll dv = n / i;
			if (dv != i)
			{
				if (dv % 2 == 0)
					even.push_back(dv);
				else
					odd.push_back(dv);
			}
		}
	}

	sort(odd.rbegin(), odd.rend());
	sort(even.rbegin(), even.rend());

	ll nn = n - 1;
	map<ll, ll> mp;

	ll last = -1;

	for (auto val : odd)
	{
		ll dv = nn / val;
		if (dv > 0)
		{
			mp[n / val] += dv;
			nn -= val * dv;
			last = val;
		}

		if (nn != 0 && nn % 2 == 0 && val != odd.back() && last != -1)
		{
			mp[n / last]--;
			nn += last;
			if (mp[n / last] == 0)
			{
				mp.erase(n / last);
			}
		}
	}

	for (auto val : even)
	{
		ll dv = nn / val;
		if (dv > 0)
		{
			mp[n / val] += dv;
			nn -= val * dv;
		}
	}

	ll ans = 0;
	for (auto& val : mp)
	{
		ans += val.second * (n / val.first);
		if (val.second >= val.first)
		{
			assert(false);
		}
	}
	if (ans != n - 1 || nn != 0)
	{
		cout << "NO" << endl;
		return;
	}

	if (mp.size() > 100000)
	{
		assert(false);
	}

	cout << "YES" << endl;
	cout << mp.size() << endl;
	for (auto& val : mp)
	{
		cout << val.second << " " << val.first << "\n";
	}
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}