#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;

void solve()
{
	ll n, k;
	cin >> n >> k;
	vector < pair<ll, ll> > v(n);
	vector<ll> jb(k, 0);
	for (ll i = 0; i < n; ++i)
	{
		cin >> v[i].second;
		v[i].second--;
		jb[v[i].second]++;
	}
	for (ll i = 0; i < n; ++i)
	{
		cin >> v[i].first;
	}
	sort(v.begin(), v.end());
	priority_queue<pair<ll, ll>, vector<pair<ll, ll>>, greater<pair<ll, ll>>> q;
	for (ll i = 0; i < n; ++i) {
		if (jb[v[i].second] > 1) q.push({ v[i] });
	}

	ll ans = 0;
	for (ll i = 0; i < k; ++i)
	{
		if (jb[i] == 0)
		{
			while (!q.empty())
			{
				if (jb[q.top().second] == 1) q.pop();
				else break;
			}

			auto tmp = q.top();
			q.pop();
			ans += tmp.first;
			jb[tmp.second]--;
		}
	}
	cout << ans;
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}