#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <iostream>
#include <cmath>
#include <algorithm>

using namespace std;

struct Position {
	int x;
	int y;
	Position() : x(), y() {}
	Position(int _x, int _y) : x(_x), y(_y) {}
};

Position dfs(int x, int y, int direction, int left_moves) {
	printf("%c%d ", (char)((x - 1) + 'a'), y);
	if (left_moves == 0) {
		return Position(x, y);
	}
	int new_x = x;
	int new_direction = direction;
	int new_left_moves = left_moves;
	if (!(x == 1 && y == 1)) {
		if (y == 8) {
			printf("%c%d ", (char)((x - 1 + 1) + 'a'), y);
			if (left_moves == 1) {
				return Position(x, y);
			}
			new_x = x + 1;
			new_direction = 1;
			new_left_moves--;
		}
		if (y == 1) {
			printf("%c%d ", (char)((x - 1 + 1) + 'a'), y);
			if (left_moves == 1) {
				return Position(x, y);
			}
			new_x = x + 1;
			new_direction = 0;
			new_left_moves--;
		}
	}
	if (new_direction == 0) {
		return dfs(new_x, y + 1, new_direction, new_left_moves - 1);
	}
	else {
		return dfs(new_x, y - 1, new_direction, new_left_moves - 1);
	}
}

int n;

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	scanf("%d", &n);
	if (n <= 55) {
		Position final = dfs(1, 1, 0, n - 2);
		if (final.y == 8) {
			printf("g8 ");
			printf("h8");
		}
		else {
			printf("h%d ", final.y);
			printf("h8");
		}
	}
	else {
		if (n <= 60){
			Position final = dfs(1, 1, 0, 53);
			Position final_ = dfs(8, 6, 1, n - 55);
			printf("h8 ");
		}
		else {
			if (n == 61) {
				Position final = dfs(1, 1, 0, 53);
				Position final_ = dfs(8, 6, 1, n - 56);
				printf("h7 ");
				printf("h8");
			}
			else {
				if (n == 62) {
					Position final = dfs(1, 1, 0, 54);
					Position final_ = dfs(8, 7, 1, n - 56);
					printf("h8");
				}
				else {
					Position final = dfs(1, 1, 0, 53);
					Position final_ = dfs(8, 6, 1, n - 58);
					printf("h7 ");
					printf("g7 ");
					printf("g8 ");
					printf("h8");
				}
			}
		}
	}
	return 0;
}