#include<stdio.h>
#include<bits/stdc++.h>

using namespace std;

#define forn(i, n) for(int i = 0; i < (n); ++i)
#define mp make_pair
#define pb push_back
#define fst first
#define snd second
typedef pair<int, int> pii;
typedef vector<int> vi;

const int MAX_CNT = 10, INF = 1e9, MAX_N = 510;

int CNT = 0;
vector<int> lst[MAX_N][MAX_N];
char s[100];

vi edges[MAX_N];
int dist[MAX_N][MAX_N];

inline int query(int a){
	if(++CNT > MAX_CNT)
		assert(0);

	printf("%d\n", a + 1);
	fflush(stdout);
	scanf("%s", s);
	if(!strcmp(s, "FOUND"))
		return -1;
	else{
		int w;
		scanf("%d", &w), --w;
		return w;
	}
}

/*int SECRET;
inline int query(int a){
	printf("secret = %d, query = %d\n", SECRET + 1, a + 1), fflush(stdout);
	if(a == SECRET){
		puts("Guessed!\n"), fflush(stdout);
		--SECRET;
		return -1;
	}
	vi cc;
	for(int u: edges[a])
		if(dist[u][SECRET] < dist[a][SECRET])
			cc.pb(u);
	assert(!cc.empty());
	return cc[rand() % (int)cc.size()];
}*/

int main(){
/*#ifdef LOCAL
	assert(freopen("test.in", "r", stdin));
	assert(freopen("test.out", "w", stdout));
#endif*/

	int V, M;
	scanf("%d%d", &V, &M);
	forn(i, V)
		forn(j, V)
			dist[i][j] = (i == j ? 0 : INF);
	forn(i, M){
		int k;
		scanf("%d", &k);
		int pr = -1;
		forn(j, k){
			int u;
			scanf("%d", &u), --u;
			if(pr != -1)
				edges[u].pb(pr), edges[pr].pb(u), dist[u][pr] = dist[pr][u] = 1;
			pr = u;
		}
	}
	
	forn(k, V)
		forn(i, V)
			forn(j, V)
				dist[i][j] = min(dist[i][j], dist[i][k] + dist[k][j]);
/*	forn(i, V)
		forn(j, V)
			printf("dist[%d][%d] =%d\n", i, j,dist[i][j]);*/
	
//	SECRET = V - 1;
				
	forn(tt, V){
		CNT = 0;

		vector<int> cand;
		forn(i, V)
			cand.pb(i);
		bool guessed = 0;
		while(cand.size() > 1){
			pii chosen = mp(INF, -1);
			forn(u, V){
				pii heChoses = mp(0, -1);
				for(int i: edges[u]){
					lst[u][i].clear();
					for(int c: cand)
						if(dist[i][c] < dist[u][c])
							lst[u][i].pb(c);
					if(!lst[u][i].empty()){
						heChoses = max(heChoses, mp((int)lst[u][i].size(), i));
					}
				}
				chosen = min(chosen, mp(heChoses.fst, u));
			}
			
			assert(chosen.snd >= 0);
			int ans = query(chosen.snd);
			if(ans == -1){
				guessed = 1;
				break;
			}else
				cand = lst[chosen.snd][ans];
		}
		if(!guessed){
			assert(cand.size() == 1);
			int z = query(cand.front());
			assert(z == -1);
		}
	}

	return 0;
}