#define _CRT_SECURE_NO_WARNINGS

#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <memory>
#include <functional>
#include <cassert>
using namespace std;
typedef long long ll;

int dp[201][201][6];
pair<int, int> from[201][201][6];

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

	ios_base::sync_with_stdio(0);
	cin.tie(0);
	for (int i = 0; i <= 200; i++)
		for (int j = 0; j <= 200; j++)
			for (int k = 0; k < 6; k++)
				dp[i][j][k] = -10;

	dp[0][0][0] = 0;
	from[0][0][0] = make_pair(-1, -1);

	for (int i = 0; i <= 200; i++)
		for (int j = 0; j <= 200; j++)
			for (int k = 0; k < 5; k++)
			{
				int a, b, col = k, res = dp[i][j][k];
				b = (col - res) / 2;
				a = col - b;

				if (dp[i][j][k] != -10 && abs(dp[i][j][k]) <= 2 && a <= 2 && b <= 2)
				{
					for (int go_i = 0; go_i <= 200 - i; go_i++)
						for (int go_j = 0; go_j <= 200 - j; go_j++)
						{
							int lim = 0;
							if (k < 4)
								lim = 25;
							else
								lim = 15;

							if (go_i == lim || go_j == lim && max(go_i, go_j) == lim)
							{
								if (abs(go_i - go_j) >= 2)
								{
									if (go_i < go_j)
									{
										if (dp[i + go_i][j + go_j][k + 1] < dp[i][j][k] - 1)
										{
											dp[i + go_i][j + go_j][k + 1] = max(dp[i + go_i][j + go_j][k + 1], dp[i][j][k] - 1);
											from[i + go_i][j + go_j][k + 1] = make_pair(go_i, go_j);
										}
									}
									else
									{
										if (dp[i + go_i][j + go_j][k + 1] < dp[i][j][k] + 1)
										{
											dp[i + go_i][j + go_j][k + 1] = max(dp[i + go_i][j + go_j][k + 1], dp[i][j][k] + 1);
											from[i + go_i][j + go_j][k + 1] = make_pair(go_i, go_j);
										}
									}
								}
							}
							else
								if (go_i > lim || go_j > lim)
								{
									if (abs(go_i - go_j) == 2)
									{
										if (go_i < go_j)
										{
											if (dp[i + go_i][j + go_j][k + 1] < dp[i][j][k] - 1)
											{
												dp[i + go_i][j + go_j][k + 1] = max(dp[i + go_i][j + go_j][k + 1], dp[i][j][k] - 1);
												from[i + go_i][j + go_j][k + 1] = make_pair(go_i, go_j);
											}
										}
										else
										{
											if (dp[i + go_i][j + go_j][k + 1] < dp[i][j][k] + 1)
											{
												dp[i + go_i][j + go_j][k + 1] = max(dp[i + go_i][j + go_j][k + 1], dp[i][j][k] + 1);
												from[i + go_i][j + go_j][k + 1] = make_pair(go_i, go_j);
											}
										}
									}
								}
						}
				}
			}
	int n;
	cin >> n;
	for (int i = 0; i < n; i++)
	{
		int a, b;
		cin >> a >> b;
		int res = -10, col = 0;
		for (int j = 3; j <= 5; j++)
		{
			if (dp[a][b][j] > res)
			{
				int B = (j - max(res, dp[a][b][j])) / 2;
				int A = j - B;
				if (A == 3 || B == 3)
				{
					res = max(res, dp[a][b][j]);
					col = j;
				}
			}
		}
		if (res == -10)
			cout << "Impossible" << endl;
		else
		{
			int B = (col - res) / 2;
			int A = col - B;
			cout << A << ":" << B << '\n';
			int pos_a = a, pos_b = b;
			vector<pair<int, int>> ans;

			while (from[pos_a][pos_b][col].first != -1)
			{
				ans.emplace_back(from[pos_a][pos_b][col].first, from[pos_a][pos_b][col].second);
				int mem_a = pos_a, mem_b = pos_b;
				pos_a -= from[mem_a][mem_b][col].first;
				pos_b -= from[mem_a][mem_b][col].second;
				col--;
			}
			reverse(ans.begin(), ans.end());
			for (int i = 0; i < ans.size(); i++)
				cout << ans[i].first << ':' << ans[i].second << ' ';
			cout << '\n';
		}
	}
}