#define _CRT_SECURE_NO_WARNINGS

#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <memory>
#include <functional>
#include <cassert>
using namespace std;
typedef long long ll;

int dp[201][201][10][10];
pair<int, int> from[201][201][10][10];
int wins[7] = { -3, -2, -1, 0, 1, 2, 3 };

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

	ios_base::sync_with_stdio(0);
	cin.tie(0);
	for (int i = 0; i <= 200; i++)
		for (int j = 0; j <= 200; j++)
			for (int k = 0; k < 6; k++)
				for (int q = 0; q < 7; q++)
					dp[i][j][k][q] = -1;

	dp[0][0][0][3] = 1;
	from[0][0][0][3] = make_pair(-1, -1);

	for (int i = 0; i <= 200; i++)
		for (int j = 0; j <= 200; j++)
			for (int k = 0; k < 5; k++)
				for (int q = 0; q < 7; q++)
				{
					int a, b, col = k, res = abs(wins[q]);
					b = (col - res) / 2;
					a = col - b;

					int lim = 0;
					if (k < 4)
						lim = 25;
					else
						lim = 15;

					if (dp[i][j][k][q] != -1 && a <= 2 && b <= 2)
					{
						for (int go_i = 0; go_i <= 200 - i; go_i++)
						{
							int st = 0;
							if (go_i == lim)
								st = 0;
							else
								st = lim - 2;
							for (int go_j = st; go_j <= 200 - j; go_j++)
							{
								if (go_i > lim && go_j > lim && go_j - go_i > 2)
									break;

								if (go_i < lim && go_j > lim && go_j - go_i > 2)
									break;

								if ((go_i == lim || go_j == lim) && max(go_i, go_j) == lim)
								{
									if (abs(go_i - go_j) >= 2)
									{
										if (go_i < go_j)
										{
											if (q > 0)
												if (dp[i + go_i][j + go_j][k + 1][q - 1] == -1)
												{
													dp[i + go_i][j + go_j][k + 1][q - 1] = 1;
													from[i + go_i][j + go_j][k + 1][q - 1] = make_pair(go_i, go_j);
												}
										}
										else
										{
											if (dp[i + go_i][j + go_j][k + 1][q + 1] == -1)
											{
												dp[i + go_i][j + go_j][k + 1][q + 1] = 1;
												from[i + go_i][j + go_j][k + 1][q + 1] = make_pair(go_i, go_j);
											}
										}
									}
								}
								else
									if (go_i > lim || go_j > lim)
									{
										if (abs(go_i - go_j) == 2)
										{
											if (go_i < go_j)
											{
												if (q > 0)
													if (dp[i + go_i][j + go_j][k + 1][q - 1] == -1)
													{
														dp[i + go_i][j + go_j][k + 1][q - 1] = 1;
														from[i + go_i][j + go_j][k + 1][q - 1] = make_pair(go_i, go_j);
													}
											}
											else
											{
												if (dp[i + go_i][j + go_j][k + 1][q + 1] == -1)
												{
													dp[i + go_i][j + go_j][k + 1][q + 1] = 1;
													from[i + go_i][j + go_j][k + 1][q + 1] = make_pair(go_i, go_j);
												}
											}
										}
									}
							}
						}
					}
				}

	int n;
	cin >> n;
	for (int i = 0; i < n; i++)
	{
		int a, b;
		cin >> a >> b;
		int res = -10, col = 0;
		for (int j = 3; j <= 5; j++)
			for (int q = 6; q >= 0; q--)
			{
				if (dp[a][b][j][q] == 1)
				{
					int B = (j - wins[q]) / 2;
					int A = j - B;
					if ((A == 3 || B == 3) && ((res == -10) || (wins[res] < wins[q])))
					{
						res = max(res, q);
						col = j;
					}
				}
			}
		if (res == -10)
			cout << "Impossible" << '\n';
		else
		{
			int B = (col - wins[res]) / 2;
			int A = col - B;
			cout << A << ":" << B << '\n';
			int pos_a = a, pos_b = b;
			vector<pair<int, int>> ans;

			while (from[pos_a][pos_b][col][res].first != -1)
			{
				ans.emplace_back(from[pos_a][pos_b][col][res].first, from[pos_a][pos_b][col][res].second);
				int mem_a = pos_a, mem_b = pos_b;
				int mem_res = res;
				pos_a -= from[mem_a][mem_b][col][mem_res].first;
				pos_b -= from[mem_a][mem_b][col][mem_res].second;
				if (from[mem_a][mem_b][col][mem_res].first > from[mem_a][mem_b][col][mem_res].second)
					res--;
				else
					res++;
				col--;
	
			}
			reverse(ans.begin(), ans.end());
			for (int i = 0; i < ans.size(); i++)
				cout << ans[i].first << ':' << ans[i].second << ' ';
			cout << '\n';
		}
	}
}