#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <memory>
#include <functional>
using namespace std;
typedef long long ll;

char mark[100][100];

int go_dx[4] = { 0, 1, 0, -1 };
int go_dy[4] = { 1, 0, -1, 0 };

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int n;
	cin >> n;
	cout << "a1" << ' ';

	for (int i = 0; i < 100; i++)
		for (int j = 0; j < 100; j++)
			mark[i][j] = '#';
	for (int i = 1; i <= 8; i++)
		for (int j = 1; j <= 8; j++)
			mark[i][j] = '.';

	mark[8][8] = '#';
	mark[1][1] = '#';

	int row = 1, col = 1;
	int go = 0;

	if (n == 15)
	{
		n--;
		n--;
		n--;
		cout << "a2" << ' ' << "b2" << ' ' << "b1" << ' ';
		row = 1, col = 2;
	}

	while (n > 2)
	{
		bool fl = false;

		while (mark[row + go_dx[go]][col + go_dy[go]] != '#')
		{
			fl = true;
			mark[row + go_dx[go]][col + go_dy[go]] = '#';
			row += go_dx[go];
			col += go_dy[go];
			
			cout << char('a' + (col - 1)) << row << ' ';

			n--;
			if (n == 2)
				break;
		}
		if (!fl)
			break;
		go += 1;
		go %= 4;
	}
	n--;
	if (col != 8)
	{
		mark[8][col] = '#';
		cout << char('a' + col - 1) << 8 << ' ';
	}
	else
	{
		mark[7][col] = '#';
		cout << "h" << 7 << ' ';
	}

	while (n != 1)
	{
		for (int i = 1; i <= 7; i++)
		{
			if (mark[8][i] != '#')
			{
				mark[8][i] = '#';
				cout << char('a' + i - 1) << 8 << ' ';
				n--;
				if (n == 1)
					break;
			}
		}
	}

	cout << "h8";
	
}