#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
pair<ll,ll> euclid_ext(int a,int b){
    if (b==0){
        return {1,0};
    }
    auto it =euclid_ext(b,a%b);
    ll x = it.second;
    ll y = it.first-(a/b)*it.second;
    return {x,y};
}
pair<ll,ll> solve_pair(pair<ll,ll> cur_sol,int d1,int d2){
    assert(d1>d2);
    if (cur_sol.first>=0 && cur_sol.second>=0){
        return cur_sol;
    }
    if (cur_sol.first<0){
        ll cur_need = (abs(cur_sol.first)+d2-1)/d2;
        cur_sol.first+=cur_need*d2;
        cur_sol.second-=cur_need*d1;
        return cur_sol;
    }
    else{

        ll cur_need = (abs(cur_sol.second)+d1-1)/d1;

        cur_sol.first-=cur_need*d2;
        cur_sol.second+=cur_need*d1;
        return cur_sol;
    }
}
int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    set<int> primes;
    int x=n;
    for(int i=2; i*i<=n; ++i){
        while(n%i==0){
            primes.insert(i);
            n/=i;
        }
    }
    if (n!=1){
        primes.insert(n);
    }
    if (primes.size()==1){
        cout<<"NO";
        return 0;
    }
    int p1 = *primes.begin();
    auto it = primes.begin();
    ++it;
    int p2 = *it;
    auto coef = euclid_ext(p2,p1);
    coef.first*=x-1;
    coef.second*=x-1;
    auto z = solve_pair(coef,p2,p1);

    ll d1 = x/p2;
    ll d2 = x/p1;
    ll num1 = z.first/(d1-1);
    ll num2 = z.second/(d2-1);
    ll ost1 = z.first%(d1-1);
    ll ost2 = z.second%(d2-1);

    vector<pair<int,int>> ans;
    for(int i=1; i<=num1; ++i){
        ans.push_back({(d1-1),d1});
    }
    if (ost1){
        ans.push_back({ost1,d1});
    }

    for(int i=1; i<=num2; ++i){
        ans.push_back({(d2-1),d2});
    }
    if (ost2){
        ans.push_back({ost2,d2});
    }
    cout<<"YES\n";
    cout<<ans.size()<<"\n";
    for(auto it:ans){
        cout<<it.first<<" "<<it.second<<"\n";
    }
}
