#include <bits/stdc++.h>

#define all(x) (x).begin(), (x).end()

using li = long long;
using ld = long double;

void solve(bool read);

using namespace std;

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#else
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);
#endif

    solve(true);

#ifdef LOCAL
    cerr << endl << endl << clock() / (double)CLOCKS_PER_SEC << endl;
#endif

    return 0;
}

const int MX = 205;

vector <int> mx_pts = {25, 25, 25, 25, 15};
int d[6][MX][MX];
pair <int, int> p[6][MX][MX];

void upd(int n, int a, int b, int ca, int cb) {
    if (d[n + 1][a + ca][b + cb] < d[n][a][b] + (ca > cb)) {
        d[n + 1][a + ca][b + cb] = max(d[n + 1][a + ca][b + cb],
                                       d[n][a][b] + (ca > cb));
        p[n + 1][a + ca][b + cb] = {a, b};
    }
}

void solve(bool __attribute__((unused)) read) {
    memset(d, -1, sizeof d);
    d[0][0][0] = 0;
    for (int n = 0; n < 5; ++n) {
        for (int a = 0; a < MX; ++a) {
            for (int b = 0; b < MX; ++b) {
                if (d[n][a][b] == -1 || d[n][a][b] >= 3 ||
                    n - d[n][a][b] >= 3)
                    continue;
                for (int ca = 0; ca <= mx_pts[n]; ++ca) {
                    for (int cb = (mx_pts[n] * (ca != mx_pts[n]));
                        cb <= mx_pts[n]; ++cb) {
                        if (abs(ca - cb) <= 1 || a + ca >= MX ||
                                b + cb >= MX)
                            continue;
                        upd(n, a, b, ca, cb);
                    }
                }
                for (int ca = mx_pts[n] + 1; ca < MX; ++ca) {
                    int cb = ca - 2;
                    if (abs(ca - cb) <= 1 || a + ca >= MX ||
                        b + cb >= MX)
                        continue;
                    upd(n, a, b, ca, cb);
                }
                for (int cb = mx_pts[n] + 1; cb < MX; ++cb) {
                    int ca = cb - 2;
                    if (abs(ca - cb) <= 1 || a + ca >= MX ||
                        b + cb >= MX)
                        continue;
                    upd(n, a, b, ca, cb);
                }
            }
        }
    }
//    read = false;
    int m;
    if (read) {
        cin >> m;
    } else {
        m = 1000;
    }
    for (int i = 0; i < m; ++i) {
        int a, b;
        int ans_diff = -100;
        int best_n = -1;
        if (read) {
            cin >> a >> b;
        } else {
            a = rand() % 201;
            b = rand() % 201;
        }
        for (int n = 3; n <= 5; ++n) {
            if (d[n][a][b] != -1 && (d[n][a][b] >= 3 || n - d[n][a][b] >= 3)) {
                ans_diff = max(ans_diff, d[n][a][b] - (n - d[n][a][b]));
                if (d[n][a][b] - (n - d[n][a][b]) == ans_diff) {
                    best_n = n;
                }
            }
        }
        int n = best_n;
        if (n == -1) {
            cout << "Impossible\n";
            continue;
        }
        cout << d[n][a][b] << ":" << n - d[n][a][b] << "\n";
        vector <pair <int, int>> ans;
        while (n != 0) {
            int pa = p[n][a][b].first;
            int pb = p[n][a][b].second;
            ans.push_back({a - pa, b - pb});
            a = pa;
            b = pb;
            --n;
        }
        assert(a == 0 && b == 0);
        reverse(all(ans));
        for (auto p: ans) {
            cout << p.first << ":" << p.second << " ";
        }
        cout << "\n";
    }
}