#include <bits/stdc++.h>

#define all(x) (x).begin(), (x).end()

using li = long long;
using ld = long double;

void solve(bool read);

using namespace std;

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#else
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);
#endif

    solve(true);

#ifdef LOCAL
    cerr << endl << endl << clock() / (double)CLOCKS_PER_SEC << endl;
#endif

    return 0;
}

const int MX = 205;

vector <int> mx_pts = {25, 25, 25, 25, 15};
int d[6][MX][MX][4];
pair <int, int> p[6][MX][MX][4];

void upd(int n, int a, int b, int ca, int cb, int val) {
    int tval = val + (ca > cb);
    if (!d[n + 1][a + ca][b + cb][tval]) {
        d[n + 1][a + ca][b + cb][tval] = 1;
        p[n + 1][a + ca][b + cb][tval] = {a, b};
    }
}

void solve(bool __attribute__((unused)) read) {
    memset(d, 0, sizeof d);
    d[0][0][0][0] = 1;
    for (int n = 0; n < 5; ++n) {
        for (int a = 0; a < MX; ++a) {
            for (int b = 0; b < MX; ++b) {
                for (int val = 0; val < 3; ++val) {
                    if (d[n][a][b][val] == 0 || n - val >= 3)
                        continue;
                    for (int ca = 0; ca <= mx_pts[n]; ++ca) {
                        for (int cb = (mx_pts[n] * (ca != mx_pts[n]));
                             cb <= mx_pts[n]; ++cb) {
                            if (abs(ca - cb) <= 1 || a + ca >= MX ||
                                b + cb >= MX)
                                continue;
                            upd(n, a, b, ca, cb, val);
                        }
                    }
                    for (int ca = mx_pts[n] + 1; ca < MX; ++ca) {
                        int cb = ca - 2;
                        if (abs(ca - cb) <= 1 || a + ca >= MX ||
                            b + cb >= MX)
                            continue;
                        upd(n, a, b, ca, cb, val);
                    }
                    for (int cb = mx_pts[n] + 1; cb < MX; ++cb) {
                        int ca = cb - 2;
                        if (abs(ca - cb) <= 1 || a + ca >= MX ||
                            b + cb >= MX)
                            continue;
                        upd(n, a, b, ca, cb, val);
                    }
                }
            }
        }
    }
//    read = false;
    int m;
    if (read) {
        cin >> m;
    } else {
        m = 50000;
    }
    for (int i = 0; i < m; ++i) {
        int a, b;
        int ans_diff = -100;
        int best_n = -1;
        int best_val = -1;
        if (read) {
            cin >> a >> b;
        } else {
            a = rand() % 201;
            b = rand() % 201;
        }
        for (int n = 3; n <= 5; ++n) {
            for (int val = 0; val <= 3; ++val) {
                if (d[n][a][b][val] && (val == 3 || n - val == 3)) {
                    ans_diff = max(ans_diff, val - (n - val));
                    if (val - (n - val) == ans_diff) {
                        best_n = n;
                        best_val = val;
                    }
                }
            }
        }
        int val = best_val;
        int n = best_n;
        if (n == -1) {
            cout << "Impossible\n";
            continue;
        }
        cout << val << ":" << n - val << "\n";
        vector <pair <int, int>> ans;
        while (n != 0) {
            int pa = p[n][a][b][val].first;
            int pb = p[n][a][b][val].second;
            ans.push_back({a - pa, b - pb});
            val -= (a - pa > b - pb);
            a = pa;
            b = pb;
            --n;
        }
        assert(a == 0 && b == 0);
        reverse(all(ans));
        for (auto p: ans) {
            cout << p.first << ":" << p.second << " ";
        }
        cout << "\n";
    }
}