#include <bits/stdc++.h>

#define all(x) (x).begin(), (x).end()

using li = long long;
using ld = long double;

void solve(bool read);

using namespace std;

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#else
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);
#endif

    solve(true);

#ifdef LOCAL
    cerr << endl << endl << clock() / (double)CLOCKS_PER_SEC << endl;
#endif

    return 0;
}

const int maxn = (int)1e5 + 5;

int n, k;
li a[maxn], b[maxn], used[maxn], c[maxn];

void solve(bool __attribute__((unused)) read) {
    cin >> n >> k;
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        --a[i];
    }
    for (int i = 0; i < n; ++i) {
        cin >> b[i];
        c[i] = -1;
    }
    memset(used, 0, sizeof used);
    for (int i = 0; i < n; ++i) {
        if (c[a[i]] == -1 || b[c[a[i]]] < b[i]) {
            c[a[i]] = i;
        }
    }
    for (int i = 0; i < k; ++i) {
        if (c[i] != -1)
            used[c[i]] = 1;
    }
    vector <li> d;
    for (int i = 0; i < n; ++i) {
        if (!used[i]) {
            d.push_back(b[i]);
        }
    }
    sort(all(d));
    int u = 0;
    li ans = 0;
    for (int i = 0; i < k; ++i) {
        if (c[i] != -1)
            continue;
        ans += d[u++];
    }
    cout << ans << "\n";
}