#include <bits/stdc++.h>

using namespace std;

const int maxN = 505;
const int INF = 1e9;

vector<int> edge[maxN];
int dist[maxN][maxN];

int main() {
    //freopen("input.txt", "r", stdin);

    cin.tie(0);
    ios_base::sync_with_stdio(0);

    int n, m;
    cin >> n >> m;

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) dist[i][j] = INF;
        dist[i][i] = 0;
    }

    for (int i = 0; i < m; i++) {
        int k;
        cin >> k;
        int u;
        cin >> u;
        u--;

        for (int j = 1; j < k; j++) {
            int v;
            cin >> v;
            v--;

            dist[u][v] = dist[v][u] = 1;
            edge[u].push_back(v);
            edge[v].push_back(u);
            u = v;
        }
    }

    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            for (int k = 0; k < n; k++)
                dist[j][k] = min(dist[j][k], dist[j][i] + dist[i][k]);

    for (int q = 0; q < n; q++) {
        vector<int> arr(n);
        for (int i = 0; i < n; i++) arr[i] = i;

        while (true) {
            int bv = -1, bs = INF;
            for (int v = 0; v < n; v++) {
                int val = 0;
                for (int u : edge[v]) {
                    int cnt = 0;
                    for (int w : arr) {
                        if (dist[w][v] > dist[w][u]) {
                            cnt++;
                        }
                    }
                    val = max(val, cnt);
                }
                if (val < bs) {
                    bs = val;
                    bv = v;
                }
            }
            cout << bv + 1 << endl;
            string s;
            cin >> s;
            if (s[0] == 'F') {
                break;
            }
            else {
                int u;
                cin >> u;
                u--;

                vector<int> brr;
                for (int w : arr) {
                    if (dist[w][bv] > dist[w][u]) {
                        brr.push_back(w);
                    }
                }
                arr = brr;
            }
        }
    }

    return 0;
}
