#include <bits/stdc++.h>

using namespace std;

const int MAXN = 10;
const int SZ = 26;
bool gr[MAXN][MAXN], gr1[MAXN][MAXN];
bool was[MAXN], c[MAXN][MAXN];
int color[MAXN];

int n;
void dfs(int v) {
    if (was[v])
        return;
    was[v] = true;
    for (int i = 0; i < n; i++)
        if (gr[v][i])
            dfs(i);
}

vector <vector <int> > w;

void dfs1(int v) {
    if (was[v])
        return;
    was[v] = true;
    w.back().push_back(v);
    for (int i = 0; i < n; i++)
        if (c[v][i])
            dfs1(i);
}

vector <int> q;

int tmp_gr[MAXN][MAXN];

map <int, bool> deleted;

vector <int> get_top_sort() {
    int keki = -1;
    for (int i = 0; i < (int)w.size(); i++) if (!deleted[i]) {
        int kek = 0;
        for (int j = 0; j < (int)w.size(); j++)
            kek += tmp_gr[i][j];
        if (kek == 0) {
            keki = i;
            break;
        }
    }
    if (keki == -1)
        return {};
    for (int i = 0; i < (int)w.size(); i++)
        tmp_gr[i][keki] = tmp_gr[keki][i] = 0;
    deleted[keki] = true;
    vector <int> res = get_top_sort();
    res.push_back(keki);
    return res;
}

void init_was() {
    for (int i = 0; i < MAXN; i++)
        was[i] = false;
}

char res[2 * MAXN][SZ][SZ];

void build(int i, int j, int kek1, int kek2) {
    int num = kek1 * n + kek2 * (kek2 + 1) / 2 + (kek1 - kek2 - 1);
    int curx = (num % 6) * 4 + 1, cury = (num / 6) * 4 + 1;
    for (int h = j; h <= i; h++) {
        res[h][curx][cury] = '.';
        res[h][curx + 1][cury + 1] = '#';
        res[h][curx + 1][cury] = '#';
        res[h][curx + 1][cury - 1] = '#';
        res[h][curx][cury + 1] = '#';
        res[h][curx][cury - 1] = '#';
        res[h][curx - 1][cury + 1] = '#';
        res[h][curx - 1][cury] = '#';
        res[h][curx - 1][cury - 1] = '#';
    }
    res[i][curx][cury + 1] = '.';
}

int main() {
    //freopen("input.txt", "r", stdin);

    cin.tie(0);
    ios_base::sync_with_stdio(0);

    cin >> n;
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            cin >> gr[i][j];

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) if (i != j) {
            init_was();
            dfs(i);
            if (was[j]) {
                init_was();
                dfs(j);
                if (was[i])
                    c[i][j] = true;
            }
        }
    }

    init_was();
    for (int i = 0; i < n; i++) {
        if (!was[i]) {
            w.push_back({});
            dfs1(i);
            for (int j = 0; j < (int)w.back().size(); j++)
                color[w.back()[j]] = w.size() - 1;
        }
    }

    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            if (gr[i][j] && color[i] != color[j]) {
                gr1[color[i]][color[j]] = true;
            }

    for (int i = 0; i < n; i++)
        gr1[i][i] = false;

    for (int i = 0; i < (int)w.size(); i++)
        for (int j = 0; j < (int)w.size(); j++)
            tmp_gr[i][j] = gr1[i][j];
    q = get_top_sort();

    for (int h = 0; h < (int)q.size(); h++) {
        for (int i = 0; i < SZ; i++)
            for (int j = 0; j < SZ; j++) {
                res[2 * h + 1][i][j] = '.';
                res[2 * h][i][j] = '#';
            }
    }

    for (int i = 0; i < (int)q.size(); i++) {
        int curh = i;
        for (int j = 0; j < (int)w[q[i]].size(); j++) {
            int curi = (j % 6) * 4 + 3;
            int curj = (j / 6) * 4 + 3;
            res[2 * curh + 1][curi][curj] = w[q[i]][j] + 1 + '0';
        }
    }

    for (int i = 0; i < (int)q.size(); i++)
        for (int j = i + 1; j < (int)q.size(); j++)
            if (gr1[q[i]][q[j]]) {
                build(2 * j + 1, 2 * i + 2, j, i);
            }

    cout << (int)q.size() * 2 << " " << SZ << " " << SZ << endl;
    for (int i = 0; i < (int)q.size() * 2; i++) {
        for (int j = 0; j < SZ; j++) {
            for (int k = 0; k < SZ; k++) {
                cout << res[i][j][k];
            }
            cout << endl;
        }
        cout << endl;
    }

    return 0;
}
