#include <bits/stdc++.h>

using namespace std;

struct result {
    int a;
    int b;
    vector<pair<int, int>> v;
};

bool operator < (const result& a, const result& b) {
    return (a.a - a.b) < (b.a - b.b);
}

bool solve(int apts, int bpts, int a, int b, int last, result &r) {
    r.a = a;
    r.b = b;
    r.v.clear();

    if (a + b > 5) return false;
    if (a != 3 && b != 3) return false;
    int winner = 0;
    if (a == 3) {
        winner = 1;
        a--;
    } else {
        winner = 2;
        b--;
    }
    vector<int> wa, wb;
    for (int i = 0; i < a; i++) {
        wa.push_back(25);
    }
    for (int i = 0; i < b; i++) {
        wb.push_back(25);
    }
    int winpts = 25;
    if (a + b == 5) {
        winpts = 15;
    }
    if (winner == 1) {
        wa.push_back(winpts);
    } else {
        wb.push_back(winpts);
    }
    for (int i : wa) {
        apts -= i;
    }
    for (int i : wb) {
        bpts -= i;
    }
    if (apts < 0 || bpts < 0) {
        return false;
    }
    if (winner == 2) {
        for (int i : wa) {
            r.v.emplace_back(i, 0);
        }
        for (int i : wb) {
            r.v.emplace_back(0, i);
        }
    } else {
        for (int i : wb) {
            r.v.emplace_back(0, i);
        }
        for (int i : wa) {
            r.v.emplace_back(i, 0);
        }
    }

    if (last) {
        if (winner == 1) {
            bpts -= winpts - 2;
            r.v.back().second = winpts - 2;
        } else {
            apts -= winpts - 2;
            r.v.back().first = winpts - 2;
        }
        if (apts < 0 || bpts < 0) {
            return false;
        }
    }

    if (last) {

        int na = apts - min(apts, bpts);
        int nb = bpts - min(apts, bpts);

        for (int i = 0; i + (last) < r.v.size(); i++) {
            if (r.v[i].first == 0) {
                r.v[i].first += min(na, r.v[i].second - 2);
                na -= r.v[i].first;
            } else if (r.v[i].second == 0) {
                r.v[i].second += min(nb, r.v[i].first - 2);
                nb -= r.v[i].second;
            }
        }
        if (na != 0 || nb != 0) {
            return false;
        }
        if (abs(r.v.back().first - r.v.back().second) != 2) {
            return false;
        }
        r.v.back().first += min(apts, bpts);
        r.v.back().second += min(apts, bpts);
    } else {
        int na = apts;
        int nb = bpts;
        for (int i = 0; i < r.v.size(); i++) {
            if (r.v[i].first == 0) {
                r.v[i].first += min(na, r.v[i].second - 2);
                na -= r.v[i].first;
            } else if (r.v[i].second == 0) {
                r.v[i].second += min(nb, r.v[i].first - 2);
                nb -= r.v[i].second;
            }
        }
        if (na != 0 || nb != 0) {
            return false;
        }
    }

    return true;
}

int main() {
    ios_base::sync_with_stdio(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        int apts, bpts;
        cin >> apts >> bpts;
        result ans;
        ans.a = -12345;
        ans.b = 0;
//        if (1) {
//            int a, b;
//            cin >> a >> b;
//            cout << solve(apts, bpts, a, b, ans) << endl;
//            continue;
//        }
        for (int f = 0; f <= 3; f++) {
            for (int last = 0; last <= 1; last++) {
                for (int s = 0; s <= 3; s++) {
                    result r;
                    if (solve(apts, bpts, f, s, last, r)) {
                        int pa = 0;
                        int pb = 0;
                        for (auto it : r.v) {
                            pa += it.first;
                            pb += it.second;
                        }
                        if (pa != apts || pb != bpts) {
                            assert(false);
                        }
                        if (ans < r) {
                            ans = r;
                        }
                    }
                }
            }
        }
        if (ans.a == -12345) {
            cout << "Impossible\n";
            continue;
        }
        cout << ans.a << ":" << ans.b << endl;
        for (auto it : ans.v) {
            cout << it.first << ":" << it.second << " ";
        }
        cout << endl;
    }
}