#include <bits/stdc++.h>

using namespace std;

struct result {
    int a;
    int b;
    vector<pair<int, int>> v;
};

bool operator < (const result& a, const result& b) {
    return (a.a - a.b) < (b.a - b.b);
}

bool solve(int apts, int bpts, int a, int b, result &r) {
    r.a = a;
    r.b = b;
    r.v.clear();

    if (a + b > 5) return false;
    if (a != 3 && b != 3) return false;
    int winner = 0;
    if (a == 3) {
        winner = 1;
        a--;
    } else {
        winner = 2;
        b--;
    }
    vector<int> wa, wb;
    for (int i = 0; i < a; i++) {
        wa.push_back(25);
    }
    for (int i = 0; i < b; i++) {
        wb.push_back(25);
    }
    int winpts = 25;
    if (a + b == 5) {
        winpts = 15;
    }
    if (winner == 1) {
        wa.push_back(winpts);
    } else {
        wb.push_back(winpts);
    }
    for (int i : wa) {
        apts -= i;
    }
    for (int i : wb) {
        bpts -= i;
    }
    if (apts < 0 || bpts < 0) {
        return false;
    }
    int ca = apts, cb = bpts;
    for (int i : wa) {
        cb -= min(cb, i - 2);
    }
    for (int i : wb) {
        ca -= min(ca, i - 2);
    }
    int cc = max(ca, cb);
    if (cc > min(apts, bpts)) {
        return false;
    }
    if (winner == 2) {
        for (int i : wa) {
            r.v.emplace_back(i, 0);
        }
        for (int i : wb) {
            r.v.emplace_back(0, i);
        }
    } else {
        for (int i : wb) {
            r.v.emplace_back(0, i);
        }
        for (int i : wa) {
            r.v.emplace_back(i, 0);
        }
    }

    int na = apts - cc;
    int nb = bpts - cc;
    for (int i = r.v.size() - 1; i >= 0; i--) {
        if (r.v[i].first == 0) {
            r.v[i].first += min(na, r.v[i].second - 2);
            na -= r.v[i].first;
        } else {
            r.v[i].second += min(nb, r.v[i].first - 2);
            nb -= r.v[i].second;
        }
        if (abs(r.v[i].first - r.v[i].second) == 2) {
            r.v[i].first += cc;
            r.v[i].second += cc;
            cc = 0;
        }
    }

    if (cc != 0) {
        return false;
    }

    return true;
}

int main() {
    ios_base::sync_with_stdio(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        int apts, bpts;
        cin >> apts >> bpts;
        result ans;
        ans.a = -12345;
        ans.b = 0;
        for (int f = 0; f <= 3; f++) {
            for (int s = 0; s <= 3; s++) {
                result r;
                if (solve(apts, bpts, f, s, r)) {
                    if (ans < r) {
                        ans = r;
                    }
                }
            }
        }
        if (ans.a == -12345) {
            cout << "Impossible\n";
            continue;
        }
        cout << ans.a << ":" << ans.b << endl;
        for (auto it : ans.v) {
            cout << it.first << ":" << it.second << " ";
        }
        cout << endl;
    }
}