#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

vector<int> masks[6] = {{1, 1, 1}, {0, 1, 1, 1}, {0, 0, 1, 1, 1},
                        {1, 1, 0, 0, 0}, {1, 0 ,0 ,0}, {0, 0, 0}};

string chet[6] = {"3:0", "3:1", "3:2", "2:3", "1:3", "0:3"};

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}

int main() {
    FastIO();
    int tests;
    cin >> tests;
    for (int test = 0; test < tests; ++test) {
        int a, b;
        cin >> a >> b;
        bool ok = false;
        for (int k = 0; !ok && k < 6; ++k) {
            int n = a, m = b;
            int ansa[5] = {}, ansb[5] = {};
            for (int i = 0; i < masks[k].size(); ++i) {
                int t = (i < 4 ? 25 : 15);
                if (masks[k][i] == 1) {
                    n -= t;
                    ansa[i] = t;
                } else {
                    m -= t;
                    ansb[i] = t;
                }
            }
            if (n < 0 || m < 0) {
                continue;
            }
            for (int i = 0; i < masks[k].size(); ++i) {
                int t = (i < 4 ? 23 : 13);
                if (masks[k][i] == 0) {
                    int q = min(t, n);
                    n -= q;
                    ansa[i] = q;
                    if (q == t) {
                        q = min(n, m);
                        ansa[i] += q;
                        ansb[i] += q;
                        n -= q;
                        m -= q;
                    }
                } else {
                    int q = min(t, m);
                    m -= q;
                    ansb[i] = q;
                    if (q == t) {
                        q = min(n, m);
                        ansa[i] += q;
                        ansb[i] += q;
                        n -= q;
                        m -= q;
                    }
                }
            }
            if (n != 0 || m != 0) {
                continue;
            }
            ansa[0] += n;
            ansb[0] += m;
            cout << chet[k] << "\n";
            for (int i = 0; i < masks[k].size(); ++i) {
                cout << ansa[i] << ":" << ansb[i] << " ";
            }
            cout << "\n";
            ok = true;
        }
        if (!ok) {
            cout << "Impossible\n";
        }
    }
    return 0;
}