#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>

using namespace std;
typedef long long ll;
typedef unsigned long long ull;
constexpr ull MAX = 1000000005;

#ifdef _DEBUG
constexpr ull N = 10000005;
#else
constexpr ull N = 1000005;
#endif

ull n;

//ull sieve[N], minDiv[N];

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif // _DEBUG
	ios_base::sync_with_stdio(false);

	vector<ull> pf;

	cin >> n;

	ull v = n;

	for (ull i = 2; i <= 31623; i++)
	{
		if (v%i == 0) {
			pf.push_back(i);
			v /= i;
			while (v%i == 0) {
				v /= i;
			}
		}
	}

	if (v > 31623) {
		pf.push_back(v);
	}

	if (pf.size() <= 1) {
		cout << "NO";
		return 0;
	}

	ull liekana1 = (n - 1) % pf[1];
	ull kiekis1 = (n - 1) / pf[1];

	while (liekana1 % pf[0] != 0) {
		liekana1 += pf[1];
		kiekis1--;
	}

	ull kiekis2 = liekana1 / pf[0];

	cout << "YES" << endl;
	cout << 2 << endl;
	cout << kiekis1 << ' ' << n / pf[1] << endl;
	cout << kiekis2 << ' ' << n / pf[0] << endl;

	return 0;
}