import java.io.*;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.StringTokenizer;

public class Main {
    private  static final String IMPOSSIBLE = "Impossible";
    public static void main(String[] args) throws IOException {
        FastScanner in = new FastScanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        int m = in.nextInt();
        while (m-->0){
            out.flush();
            int a = in.nextInt();
            int b = in.nextInt();
            boolean needInv = false;
            if(a<b){
                int temp = a;
                a = b;
                b = temp;
                needInv = true;
            }
            if(a<75){
                out.println(IMPOSSIBLE);
                continue;
            }
            if(a-b>75){
                out.println(IMPOSSIBLE);
                continue;
            }
            int first =3;
            int second =0;
            List<Pair> pairList = new ArrayList<>();
            for(int j=0;j<3;j++){
                pairList.add(new Pair(25,0));
            }
            if(a-b<6){
                pairList.add(new Pair(0,25));
                first++;
                second++;
                b-=25;
            }
            a-=75;
            pairList.get(0).b+=Math.min(b,23);
            b-= pairList.get(0).b;
            int d = Math.min(a,b);
            pairList.get(0).add(d);
            a-=d;
            b-=d;
            if(a>0){
                out.println(IMPOSSIBLE);
                continue;
            }
            pairList.get(1).b+=Math.min(b,23);
            b-= pairList.get(1).b;
            pairList.get(2).b+=Math.min(b,23);
            b-= pairList.get(2).b;
            Collections.reverse(pairList);
            if(needInv) {
                out.println(second+":"+first);
                for(Pair pair:pairList){
                    out.print(pair.b+":"+pair.a);
                    out.write(' ');
                }
            }else{
                out.println(first+":"+second);
                for(Pair pair:pairList){
                    out.print(pair.a+":"+pair.b);
                    out.write(' ');
                }
            }
        }
        out.close();
    }
    private static class Pair{
        int a;
        int b;
        Pair(int a,int b){
            this.a = a;
            this.b = b;
        }
        void add(int d){
            this.a+=d;
            this.b+=d;
        }
    }
    private static class FastScanner {
        BufferedReader bufferedReader;
        StringTokenizer stringTokenizer;

        FastScanner(InputStream inputStream) {
            this.bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        }

        String next() throws IOException {
            while (stringTokenizer == null || !stringTokenizer.hasMoreTokens()) {
                String line = bufferedReader.readLine();
                if (line == null) return null;
                stringTokenizer = new StringTokenizer(line);
            }
            return stringTokenizer.nextToken();
        }

        int nextInt() throws IOException {
            return Integer.parseInt(next());
        }
    }
}
