import javax.annotation.processing.SupportedSourceVersion;
import java.io.*;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.StringTokenizer;

public class Solution {
    public static void main(String[] args) throws IOException {
        FastScanner in = new FastScanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        int n= in.nextInt();
        List<Integer> factors = factorize(n);
        Collections.sort(factors);
        for(int j=1;j<factors.size();j++){
            if(factors.get(j)-1==factors.get(j-1)){
                int b1 = n/factors.get(j);
                int a1 = b1 - 1;
                int b2 = n/factors.get(j-1);
                int a2 = 1;
                out.println("YES");
                out.println(2);
                out.println(a1+" "+b1);
                out.println(a2+" "+b2);
                out.close();
                return;
            }
        }
        out.println("NO");
        out.close();
    }

    private static List<Integer> factorize(int n) {
        List<Integer> res = new ArrayList<>();
        int t = 2;
        for (; t * t < n; t++) {
            if (n % t == 0) {
                res.add(t);
                res.add(n / t);
            }
        }
        if (t * t == n) {
            res.add(t);
        }
        return res;
    }

    private static class FastScanner {
        BufferedReader bufferedReader;
        StringTokenizer stringTokenizer;

        FastScanner(InputStream inputStream) {
            this.bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        }

        String next() throws IOException {
            while (stringTokenizer == null || !stringTokenizer.hasMoreTokens()) {
                String line = bufferedReader.readLine();
                if (line == null) return null;
                stringTokenizer = new StringTokenizer(line);
            }
            return stringTokenizer.nextToken();
        }

        int nextInt() throws IOException {
            return Integer.parseInt(next());
        }
    }
}

