import java.io.*;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Scanner;
import java.util.StringTokenizer;

public class Main {

    public static void main(String[] args) throws IOException {
        FastScanner in = new FastScanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        int t = in.nextInt();
        while (t-- > 0) {
            int k = in.nextInt();
            int[] array = new int[8];
            int week = 0;
            for (int j = 1; j < 8; j++) {
                array[j] = in.nextInt();
                if (array[j] == 1) week++;
            }
            int[] mods = new int[k + 1];
            int pointer = 1;
            for (int j = 1; j < 8; j++) {
                if (array[j] == 1) {
                    mods[pointer] = j;
                    pointer++;
                }
            }
            int min = Integer.MAX_VALUE;
            for (int start = 1; start <= 7; start++) {
                int ans = 0;
                int copyK = k;
                for (int j = start; j <= 7; j++) {
                    if (copyK == 0) break;
                    if (array[j] == 1) {
                        copyK--;
                    }
                    ans++;
                }
                if (copyK > week) {
                    ans += (copyK / week) * 7;
                    copyK %= week;
                }
                ans += mods[copyK];
                min = Math.min(min, ans);
                //System.err.println(ans);
            }
            out.println(min);
        }
        out.close();
    }

    private static class FastScanner {
        BufferedReader bufferedReader;
        StringTokenizer stringTokenizer;

        FastScanner(InputStream inputStream) {
            this.bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        }

        String next() throws IOException {
            while (stringTokenizer == null || !stringTokenizer.hasMoreTokens()) {
                String line = bufferedReader.readLine();
                if (line == null) return null;
                stringTokenizer = new StringTokenizer(line);
            }
            return stringTokenizer.nextToken();
        }

        int nextInt() throws IOException {
            return Integer.parseInt(next());
        }
    }
}
