#define _SCL_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_WARNINGS
#pragma comment(linker, "/STACK:256000000")

#define first x
#define second y

#include <cassert>
#include <cctype>
#include <cerrno>
#include <cfloat>
#include <ciso646>
#include <climits>
#include <clocale>
#include <cmath>
#include <csetjmp>
#include <csignal>
#include <cstdarg>
#include <cstddef>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <ccomplex>
#include <cfenv>
#include <cinttypes>
#include <cstdalign>
#include <cstdbool>
#include <cstdint>
#include <ctgmath>
#include <cuchar>
#include <cwchar>
#include <cwctype>
#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>
#include <array>
#include <atomic>
#include <chrono>
#include <codecvt>
#include <condition_variable>
#include <forward_list>
#include <future>
#include <initializer_list>
#include <mutex>
#include <random>
#include <ratio>
#include <regex>
#include <scoped_allocator>
#include <system_error>
#include <thread>
#include <tuple>
#include <typeindex>
#include <type_traits>
#include <unordered_map>
#include <unordered_set>

using namespace std;

char _inf[] =
#ifdef HER
"input.txt"
#else
""
#endif
;

char _ouf[] =
#ifdef HER
""
#else
""
#endif
;

#ifndef HER
#define endl '\n'
#endif

#define all(x) (x).begin(), (x).end()
#define sz(x) (int)(x).size()

using ll = long long;
using ld = long double;

const int N = 201;
pair<int, int> dp[N][N][4][4];


/*const int MAX_N = 15;

int n;
vector<int> g[MAX_N];
vector<int> rg[MAX_N];
vector<int> order;
vector<int> ngg[MAX_N];
bool mt[MAX_N][MAX_N];
bool used[MAX_N];
int cp[MAX_N];
const int SZ_N = 10;
const int SZ_H = 3 * 10;
const int SZ_M = 1000 * 1000 / SZ_N / SZ_H;

char ans[SZ_N][SZ_M][SZ_H];

void dfs(int v) {
	for (int i = 0; i < (int)g[v].size(); ++i) {
		int to = g[v][i];

		if (!used[to]) {
			dfs(to);
		}
	}

	order.push_back(v);
}

void dfs_r(int v, int c) {
	cp[v] = c;
	for (int i = 0; i < (int)rg[v].size(); ++i) {
		int to = rg[v][i];

		if (!used[to]) {
			dfs_r(to, c);
		}
	}
}*/

void _solve() {
	
	/*scanf("%d", &n);

	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			int x;
			scanf("%d", &x);
			if (x) {
				g[i].push_back(j);
				rg[j].push_back(i);
			}
		}
	}

	for (int i = 0; i < n; ++i) {
		if (!used[i]) {
			dfs(i);
		}
	}

	memset(used, 0, sizeof(used));
	reverse(order.begin(), order.end());
	int c = 0;
	for (int i = 0; i < n; ++i) {
		int v = order[i];

		if (!used[v]) {
			dfs_r(v, c++);
		}
	}

	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < (int)g[i].size(); ++j) {
			mt[cp[i]][cp[g[i][j]]] = true;
		}
	}

	for (int i = 0; i < c; ++i) {
		for (int j = 0; j < c; ++j) {
			if (i == j) {
				continue;
			}

			//add_edge(i, j);
		}
	}

	printf("%d %d %d\n", SZ_M, SZ_N, SZ_H);*/



	memset(dp, -1, 8 * N * N * 4 * 4);

	dp[0][0][0][0] = { 0, 0 };
	for (int cx = 0; cx <= 2; ++cx) {
		for (int cy = 0; cy <= 2; ++cy) {
			for (int x = 0; x < N; ++x) {
				for (int y = 0; y < N; ++y) {
					if (dp[x][y][cx][cy].x == -1) {
						continue;
					}

					if (dp[x][y][cx][cy].x > dp[x][y][cx][cy].y) {
						assert(cx);
					} 
					else if (dp[x][y][cx][cy].x < dp[x][y][cx][cy].y) {
						assert(cy);
					}
					else {
						assert(x == 0 && y == 0);
					}

					int CC = 25;
					if (cx == 2 && cy == 2) {
						CC = 15;
					}

					if (x + CC < N) {
						for (int yy = 0; yy <= CC - 2 && y + yy < N; ++yy) {
							dp[x + CC][y + yy][cx + 1][cy] = {CC, yy};
						}
					}

					for (int xx = CC + 1; x + xx < N && y + xx - 2 < N; ++xx) {
						dp[x + xx][y + xx - 2][cx + 1][cy] = { xx, xx - 2 };
					}

					for (int yy = CC + 1; y + yy < N && x + yy - 2 < N; ++yy) {
						dp[x + yy - 2][y + yy][cx][cy + 1] = { yy - 2, yy };
					}

					if (y + CC < N) {
						for (int xx = 0; xx <= CC - 2 && x + xx < N; ++xx) {
							dp[x + xx][y + CC][cx][cy + 1] = { xx, CC };
						}
					}
				}
			}
		}
	}

	int n;
	cin >> n;

	vector<pair<int, int>> vars = { {3, 0}, {3, 1}, {3, 2}, {2, 3}, {1, 3}, {0, 3} };

	for (int i = 0; i < n; ++i) {
		int x, y;
		cin >> x >> y;

		bool hui = true;

		for (auto var : vars) {
			int cx = var.x;
			int cy = var.y;

			if (dp[x][y][cx][cy].x == -1) {
				continue;
			}
			hui = false;

			cout << cx << ":" << cy << endl;
			vector<string> ans;
			while (x || y) {
				//cout << x << " and " << y << " .. " << cx << ":" << cy << " " << dp[x][y][cx][cy].x << " !!! " << dp[x][y][cx][cy].y << endl;

				ans.push_back(to_string(dp[x][y][cx][cy].x) + ":" + to_string(dp[x][y][cx][cy].y));
				int xx = dp[x][y][cx][cy].x;
				int yy = dp[x][y][cx][cy].y;
				x -= xx;
				y -= yy;
				if (xx > yy) {
					--cx;
				}
				else {
					--cy;
				}
			}

			reverse(all(ans));
			for (auto ii : ans) {
				cout << ii << " ";
			}
			cout << endl;
		}

		if (hui) {
			cout << "Impossible" << endl;
		}
	}
}

int main() {
	if(_inf[0])
		freopen(_inf, "r", stdin);
	if (_ouf[0])
		freopen(_ouf, "w", stdout);
	
	cin.tie(nullptr);
	ios_base::sync_with_stdio(false);
	
	_solve();

#ifdef HER
	cout << "\n\nTIME = " << clock() / (ld)CLOCKS_PER_SEC << endl;
	while (1);
#endif
}
