#include <iostream>
#include <algorithm>
#include <vector>
#include <stdio.h>

using namespace std;

pair<int,int> score[5];

bool method(int a, int b, int x, int y, int mask, int mask1)//когда раскидали победы
{
    pair<int, int> s[5];
    for (int i = 0; i < 5; i++)
        s[i] = score[i];

    for (int i = 0; i < x + y; i++) {
        if (mask1 & (1 << i)) {
            if (mask & (1 << i)) {
                a--;
                s[i].first++;
                s[i].second = s[i].first - 2;
                b -= s[i].first - 2;
            } else {
                b--;
                s[i].second++;
                s[i].first = s[i].second - 2;
                a -= s[i].second - 2;
            }
        }
        if(a<0 || b<0)
            return false;
    }

    for (int i = 0; i < x + y; i++) {
        if (a == 0 || b == 0)
            break;
        if (mask1 & (1 << i)) {
            int c = min(a,b);
            a-=c;
            b-=c;
            s[i].first+=c;
            s[i].second+=c;
        }
    }

    for (int i = 0; i < x + y; i++) {
        if(a==0 && b==0)
            break;
        if (mask1 & (1 << i)) {
            continue;
        }
        if (mask & (1 << i)) {
            int c = s[i].first-2-s[i].second;
            c = min(c,b);
            b-=c;
            s[i].second+=c;
        } else {
            int c = s[i].second-2-s[i].first;
            c = min(c,a);
            a-=c;
            s[i].first+=c;
        }
    }

    if(a==0 && b==0)
    {
        for(int i=0;i<5;i++)
            score[i]=s[i];
        return true;
    }
    return false;
}


bool checkMask(int x, int y, int mask)
{
    int a =0, b=0;
    for(int i=0;i<5;i++) {
        if (mask & (1 << i))
            a++;
        else
            b++;
        if(a==3 || b==3)
            break;
    }
    if(a!=x || b!=y)
        return false;
    return true;
}

bool getAns(int a, int b, int x, int y, int mask) {
    if (checkMask(x, y, mask) == false)
        return false;


    for (int i = 0; i < x + y; i++) {
        if (mask & (1 << i)) {
            if (i != 4) {
                score[i] = make_pair(25, 0);
                a -= 25;
            } else {
                score[i] = make_pair(15, 0);
                a -= 15;
            }
        } else {
            if (i != 4) {
                score[i] = make_pair(0, 25);
                b -= 25;
            } else {
                score[i] = make_pair(0, 15);
                b -= 15;
            }
        }
    }

    if (a < 0 || b < 0)
        return false;

    if(a==0 && b==0)
        return true;

    for(int i=0; i<(1<<(x+y));i++)
        if (method(a,b,x,y,mask, i))
            return true;

    return false;
}

void solve() {
    int a, b;
    cin >> a >> b;

    for (int x = 3; x >= 0; x--)
        for (int y = 0; y <= 3; y++) {
            if ((x == 3 && y == 3) || (x != 3 && y != 3))
                continue;

            for(int mask =0; mask<(1<<5);mask++)
                if(getAns(a,b,x,y,mask))
                {
                    cout << x <<":"<<y<<endl;
                    for(int i=0;i<x+y;i++)
                        cout << score[i].first << ":" << score[i].second << " ";
                    cout << endl;
                    return;
                }
        }

    cout << "Impossible" << endl;
}

int main()
{
#ifdef _DEBUG
    freopen("input.txt", "rt", stdin);
    freopen("output.txt", "wt", stdout);
#endif

    cout.sync_with_stdio(false);
    cin.sync_with_stdio(false);
    cin.tie(0);


    int m;
    cin >> m;

    while(m-->0)
        solve();

    /*for(int i=0;i<50000;i++)
        cout << 76 << ' ' << 1 << endl;*/
}