#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <queue>
#include <functional>
using namespace std;
using ll = long long;
using lld = long double;
pair<int, int> ans[5];
bool solve(int a, int b, int i, int j) {
	int aa = a, bb = b;
	if (i + j > 5 || (i < 3 && j < 3))
		return false;
	vector<int> win;
	for (int jj = 0; jj < i; jj++)
		win.push_back(1);
	for (int jj = 0; jj < j; jj++)
		win.push_back(2);
	
	do {
		int ct = 0;
		for (int jj = 0; jj < 5; jj++)
			ans[jj] = { 0 ,0 };
		a = aa, b = bb;
		int ctw1 = 0, ctw2 = 0;
		for (int ii = 0; ii < win.size(); ii++) {
			ct++;
			if (win[ii] == 1) {
				ctw1++;
				if (ii == 4) {
					ans[ii].first = 15;
					a -= 15;
				}
				else {
					ans[ii].first = 25;
					a -= 25;
				}
			}
			else {
				ctw2++;
				if (ii == 4) {
					ans[ii].second = 15;
					b -= 15;
				}
				else {
					ans[ii].second = 25;
					b -= 25;
				}
			}
			if (ctw1 == 3 || ctw2 == 3)
				break;
		}
		if (a < 0 || b < 0 || ct < win.size()) continue;
		for (int jj = 0; jj < win.size(); jj++) {
			if (win[jj] == 1 && b > 23) {
				a += ans[jj].first;
				ans[jj].first = 0;
				int ta = min(b + 2, a);;
				int tb = min(b, a - 2);
				ans[jj] = { ta, tb };
				a -= ta;
				b -= tb;
				break;
			}
		}
		for (int jj = 0; jj < win.size(); jj++) {
			if (win[jj] == 2 && a > 23) {
				b += ans[jj].second;
				ans[jj].second= 0;
				int ta = min(a, b - 2);
				int tb = min(a + 2, b);;
				ans[jj] = { ta, tb };
				a -= ta;
				b -= tb;
				break;
			}
		}
		for (int jj = 0; jj < win.size(); jj++) {
			if (jj == 4) {
				if (win[jj] == 1) {
					if (ans[jj].first == 15) {
						ans[jj].second = min(13, b);
						b -= min(b, 13);
					}
				}
				else {
					if (ans[jj].second == 15) {
						ans[jj].first = min(23, a);
						a -= min(a, 23);
					}
				}
			}
			else {
				if (win[jj] == 1) {
					if (ans[jj].first == 25) {
						ans[jj].second = min(23, b);
						b -= min(b, 23);
					}
				}
				else {
					if(ans[jj].second == 25) {
						ans[jj].first = min(23, a);
						a -= min(a, 23);
					}
				}
			}
		}
		if (a != 0 || b != 0) continue;
		return true;
	} while (std::next_permutation(win.begin(), win.end()));
	return false;
}
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	int m;
	cin >> m;
	for (int i = 0; i < m; i++) {
		int a, b;
		cin >> a >> b;
		bool any = false;
		for (int i = 5; i >= 0 && !any; i--) {
			for (int j = 0; j <= 5 && !any; j++) {
				if (solve(a, b, i, j)) {
					any = true;
					cout << i << ":" << j << endl;
					for (int jj = 0; jj < i + j; jj++)
						cout << ans[jj].first << ":" << ans[jj].second << ' ';
					cout << endl;
				}
			}
		}
		if (!any) {
			cout << "Impossible" << endl;
		}
	}

}