#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <queue>
using namespace std;
using ll = long long;
using lld = long double;

vector<ll> factor(ll n) {
	vector<ll> v;
	for (ll i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			v.push_back(i);
			if (i * i != n)
				v.push_back(n / i);
		}
	}
	return v;
}
void solve1(ll n) {
	auto v = factor(n);
	sort(v.begin(), v.end());
	vector<pair<ll, ll> > ans;
	ll sum = 0;
	for (ll i = 0; i < v.size(); i++) {
		ll ct = (n - sum - 1) / (n / v[i]);
		if (ct > 0) {
			sum += ct * (n / v[i]);
			ans.emplace_back(ct, v[i]);
		}
		if (sum == n - 1)
			break;
	}
	if (sum == n - 1) {
		cout << "YES" << endl;
		cout << ans.size() << endl;
		for (auto &e : ans)
			cout << e.first << ' ' << e.second << endl;
	}
	else {
		cout << "NO" << endl;
	}
}
ll gcd(ll a, ll b) {
	return b ? gcd(b, a % b) : a;
}
void solve2(ll n) {
	auto v = factor(n);
	sort(v.begin(), v.end());
	for (auto x : v) {
		ll gd = gcd((n - x - 1), n);
		if (gd != 1) {
			cout << "YES" << endl;
			cout << 2 << endl;
			cout << 1 << ' ' << n / x << endl;
			cout << (n - x - 1) / gd << ' ' << n / gd << endl;
			return;
		}
	}
	cout << "NO" << endl;
}
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	ll n;
	cin >> n;
	//solve1(n);
	solve2(n);
	return 0;
	if (n % 2 == 0 && n > 4) {
		cout << "YES" << endl;
		cout << 2 << endl;
		cout << 1 << ' ' << 2 << endl;
		cout << (n  / 2 )-1 << ' ' << n << endl;
	}
	else {
		cout << "NO" << endl;
	}
	
}

