#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <queue>
using namespace std;
using ll = long long;
using lld = long double;

vector<ll> factor(ll n) {
	vector<ll> v;
	for (ll i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			v.push_back(i);
			if (i * i != n)
				v.push_back(n / i);
		}
	}
	return v;
}
ll gcd(ll a, ll b) {
	return b ? gcd(b, a % b) : a;
}
vector<ll> v;
vector<pair<ll, ll> > ans;
bool solve2(ll n) {
	if (n < 6) return false;
	for (auto x : v) {
		if (n % x != 0) continue;
		ll gd = gcd((n - x - 1), n);
		if (gd != 1) {
			ans.emplace_back(1, n / x);
			ans.emplace_back((n - x - 1) / gd, n / gd);
			//cout << "YES" << endl;
			//cout << 2 << endl;
			//cout << 1 << ' ' << n / x << endl;
			//cout << (n - x - 1) / gd << ' ' << n / gd << endl;
			return true;
		}
		else {
			if (solve2(n - x - 1)) {
				ans.emplace_back(1, n / x);
				//ans.emplace_back((n - x - 1) / gd, n / gd);
				return true;
			}
		}
	}
	return false;
}
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	ll n;
	cin >> n;
	v = factor(n);
	sort(v.begin(), v.end());
	if (solve2(n)) {
		cout << "YES" << endl;
		cout << ans.size() << endl;
		for (auto &e : ans) {
			cout << e.first << ' ' << e.second << endl;
		}
	}
	else {
		cout << "NO" << endl;
	}
}

