#include <stdio.h>
#include <vector>
#include <algorithm>

int solve(std::vector<int>& d, int k, int n1) {
	int nfw = (k - 1) / n1;
	int ans = nfw * 7;
	int nl = k - nfw * n1;
	for (int i = 0; i < 7 && nl > 0; i++) {
		nl -= d[i];
		ans++;
	}
	return ans;
}

int main() {
	int nt;
	scanf("%d", &nt);
	for (int t = 0; t < nt; t++) {
		int k;
		scanf("%d", &k);
		std::vector < std::vector<int>> d(7, std::vector<int>(7, 0));
		int n1 = 0;
		for (int i = 0; i < 7; i++) {
			int x;
			scanf("%d", &x);
			n1 += x;
			for (int j = 0; j < 7; j++) {
				d[j][(i + j) % 7] = x;
			}
		}
		int ma = k * 7;
		for (int i = 0; i < 7; i++) {
			ma = std::min(ma, solve(d[i], k, n1));
		}
		printf("%d\n", ma);
	}
	return 0;
}