#include <cmath>
#include <climits>
#include <cstdio>
#include <cstring>
#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <string>
#include <algorithm>

using namespace std;

/* static void print_pos(int x, int y) {
	static const char a[] = "abcdefgh";
	printf("%c%i", a[x], y + 1);
}

int main() {
	int n;
	cin >> n;
	int x = 0, y = 0;
	for (int i = 0; i < n; i++) {
	
	}
	return 0;
} */

int main() {
	int n, k;
	cin >> n >> k;
	int a[n];
	for (int i = 0; i < n; i++) {
		cin >> a[i];
		a[i]--;
	}
	int b[n];
	for (int i = 0; i < k; i++) {
		cin >> b[i];
	}
	int c[k];
	for (int i = 0; i < k; i++) {
		c[i] = -1;
	}
	for (int i = 0; i < n; i++) {
		if (c[a[i]] == -1 || b[i] > b[c[a[i]]]) {
			c[a[i]] = i;
		}
	}
	int pending_job_count = 0;
	set<int> not_idle;
	for (int i = 0; i < k; i++) {
		if (c[i] == -1) {
			pending_job_count++;
		} else {
			not_idle.insert(c[i]);
		}
	}
	set<int> idle_times;
	for (int i = 0; i < n; i++) {
		if (not_idle.find(i) != not_idle.end()) {
			idle_times.insert(b[i]);
		}
	}
	long long result = 0;
	for (auto it = idle_times.begin(); it != idle_times.end(); ++it) {
		if (pending_job_count > 0) {
			result += *it;
			pending_job_count--;
		} else {
			break;
		}
	}
	cout << result << endl;
	return 0;
}
