#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <set>
#include <map>
#include <cmath>

#define forn(i, n) for (int i = 0; i < int(n); i++)

typedef long long li;

using namespace std;

const int INF = 1e9;

string g(int a) {
	string q = "";
	if (a == 0) {
		return "0";
	}
	while (a > 0) {
		q += (char)(a % 10 + '0');
		a /= 10;
	}	
	reverse(q.begin(), q.end());
	return q;
}

string ans[201][201][4][4];


void gen(int a, int b, int q, int w, string s) {
	if (a > 200 || b > 200) {
		return;
	}	
	if (q == 3 || w == 3) {	
		string p = "";
		if (s[0] == ' ')
			for (int i = 1; i < s.size(); i++) {
				p += s[i];
			}
		else
			p = s;
		ans[a][b][q][w] = p;
		return;
	}
	if (q == 2 && w == 2) {
		forn(i, 14) {
			if (a + 15 < 201 && b + i < 201 && ans[a + 15][b + i][q + 1][w] == "")
				gen(a + 15, b + i, q + 1, w, s + " 15:" + g(i));
			if (a + i < 201 && b + 15 < 201 && ans[a + i][b + 15][q][w + 1] == "")
				gen(a + i, b + 15, q, w + 1, s + " " + g(i) + ":" + "15");
		}
		return;
	}
	forn(i, 24) {
		if (a + 25 < 201 && b + i < 201  && ans[a + 25][b + i][q + 1][w] == "")
			gen(a + 25, b + i, q + 1, w, s + " 25:" + g(i));
		if (a + i < 201 && b + 25 < 201 && ans[a + i][b + 25][q][w + 1] == "")
			gen(a + i, b + 25, q, w + 1, s + " " + g(i) + ":" + "25");
	}
}

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	
	forn(i, 201) {
		forn(j, 201) {
			forn(q, 4) {
				forn(w, 4) {
					ans[i][j][q][w] = "";
				}
			}			
		}
	}
	
	gen(0, 0, 0, 0, "");
	for (int i = 26; i < 151; i++) {
		gen(i, i - 2, 1, 0, g(i) + ":" + g(i - 2));
		gen(i - 2, i, 0, 1, g(i - 2) + ":" + g(i));
	}


	int t;
	cin >> t;
	forn(q, t) {
		int a, b;
		cin >> a >> b;
		
		
		string p = "";
		if (ans[a][b][3][0] != "") {
			cout << "3:0" << endl;
			p = ans[a][b][3][0];
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		} else
		if (ans[a][b][3][1] != "") {
			cout << "3:1" << endl;
			p = ans[a][b][3][1];		
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		}
		else
		if (ans[a][b][3][2] != "") {
			cout << "3:2" << endl;
			p = ans[a][b][3][2];
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		}
		else
		if (ans[a][b][0][3] != "") {
			cout << "0:3" << endl;
			p = ans[a][b][0][3];
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		}
		else
		if (ans[a][b][1][3] != "") {

			cout << "1:3" << endl;
			p = ans[a][b][1][3];
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		}
		else
		if (ans[a][b][2][3] != "") {
			cout << "2:3" << endl;
			p = ans[a][b][2][3];
			if (p[0] == ' ') {
				p.erase(p.begin());
			}
			cout << p << endl;
		}
		else {
			cout << "Impossible" << endl;
		}
		
	}



	return 0;
}