import java.io.*;
import java.util.*;

public class Main {

    void solve() throws IOException {
        int n = readInt();
        int k = readInt();
        int[] a = new int[n];
        int[] b = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = readInt();
        }
        for (int j = 0; j < n; j++) {
            b[j] = readInt();
        }
        ArrayList<Integer> l [] = new ArrayList[k];
        for(int i=0;i<k;i++){
            l[i] =  new ArrayList<>();
        }
        for(int i=0;i<n;i++){
            l[a[i]-1].add(b[i]);
        }

        for(int i=0;i<k;i++){
            Collections.sort(l[i]);
        }
        PriorityQueue<Integer> q=  new PriorityQueue<>();
        for (int i =0;i<k;i++){
            for(int j=0;j<l[i].size()-1;j++){
                q.add(l[i].get(j));
            }
        }
        long ans = 0;
        int need=0;
        for(int i=0;i<k;i++){
            if(l[i].size()==0){
                need++;
            }
        }
        for(int i=0;i<need;i++){
            ans+=q.poll();
        }
        out.print(ans);
    }

    BufferedReader in;
    PrintWriter out;
    StringTokenizer tok;

    public static void main(String[] args) throws IOException {
        new Main().run();
    }

    Main() {
        try {
            in = new BufferedReader(new FileReader("input.txt"));
            out = new PrintWriter("output.txt");
        } catch (Exception e) {
            in = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);
        }
        tok = new StringTokenizer("");
    }

    void run() throws IOException {
        solve();
        out.close();
    }

    String readLine() throws IOException {
        return in.readLine();
    }

    String delimiter = " ";

    String readString() throws IOException {
        while (!tok.hasMoreTokens()) {
            String nextLine = readLine();
            if (null == nextLine) {
                return null;
            }
            tok = new StringTokenizer(nextLine);
        }
        return tok.nextToken(delimiter);

    }

    int readInt() throws IOException {
        return Integer.parseInt(readString());
    }

    long readLong() throws IOException {
        return Long.parseLong(readString());
    }

    double readDouble() throws IOException {
        return Double.parseDouble(readString());
    }


}
