#include <bits/stdc++.h>
#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

const int dd = 100;

int d[dd][dd], N;
int nD[dd][dd], used[dd], num[dd];
vector<int> top;

void dfs(int v) {
    used[v] = 1;
    for (int to = 0; to < N; ++ to) if (nD[v][to] && !used[to]) {
        dfs(to);
    }
    top.push_back(v);
}

vector<vector<vector<char>>> ans;

void add(int n) {
    ans.push_back(vector<vector<char>>(4, vector<char>(4 * n * n + 3, '#')));
    ans.push_back(vector<vector<char>>(4, vector<char>(4 * n * n + 3, '.')));
    ans.push_back(vector<vector<char>>(4, vector<char>(4 * n * n + 3, '.')));
    for (int i = 3; i < 4 * n * n + 3; i += 4) {
        ans[(int)ans.size() - 3][1][i] = '.';
    }
}

void crash(int I, int J, int N) {
    int i = 1, j = (I * N + J) * 4 + 3;
    ans[(int)ans.size() - 2][i][j - 1] = ans[(int)ans.size() - 2][i][j + 1] =
    ans[(int)ans.size() - 2][i - 1][j] = ans[(int)ans.size() - 2][i + 1][j] = '#';
    ans.back()[i][j - 1] = ans.back()[i][j + 1] = ans.back()[i - 1][j] = ans.back()[i + 1][j] = '#';
}

void pr(int I, int J, int N) {
    int i = 1, j = (I * N + J) * 4 + 3;
    ans[(int)ans.size() - 3][i][j] = '#';
}

void solve() {
    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) for (int j = 0; j < n; ++j) {
        cin >> d[i][j];
    }
    for (int i = 0; i < n; ++i) d[i][i] = 1;
    for (int k = 0; k < n; ++k) {
        for (int i = 0; i < n; ++i) for (int j = 0; j < n; ++j) if (d[i][k] && d[k][j]) {
            d[i][j] = 1;
        }
    }
    vector<vector<int>> ver;
    for (int i = 0; i < n; ++i) if (!used[i]) {
        ver.emplace_back();
        for (int j = 0; j < n; ++j) if (d[i][j] && d[j][i]) {
            ver.back().push_back(j);
            num[j] = (int)ver.size() - 1;
            used[j] = 1;
        }
    }
    N = ver.size();
    for (int i = 0; i < n; ++i) for (int j = 0; j < n; ++j) if (d[i][j]) {
        nD[num[i]][num[j]] = 1;
    }
    for (int i = 0; i < N; ++i) {
        used[i] = 0;
    }
    for (int i = 0; i < N; ++i) if (!used[i]) {
        dfs(i);
    }
    reverse(top.begin(), top.end());
    for (int c : top) {
        add(N);
        int uk = 0;
        for (int i = 0; i < N; ++i) for (int j = 0; j < N; ++j) {
            if (i == j || (i != c && j != c)) {
                crash(i, j, N);
                continue;
            }
            if (i == c && nD[i][j]) {
                continue;
            }
            if (j == c && nD[i][j]) {
                pr(i, j, N);
            }
        }


        for (int i = 0; i < 4; ++i) {
            for (int j = 0; j < 4 * N * N + 3; ++j) {
                if (ans[(int) ans.size() - 2][i][j] == '.' && ans[(int)ans.size() - 3][i][j] == '#') {
                    if (uk < ver[c].size()) {
                        ans[(int)ans.size() - 2][i][j] = '1' + ver[c][uk++];
                    }
                }
            }
        }
    }
    add(N);
    cout << 4 * N * N + 3 << " " << 4 << " " << ans.size() << "\n";
    for (int ii = 0; ii < (int)ans.size(); ii += 3) {
        for (int i = 0; i < 4; ++i) {
            for (char j : ans[ii + 2][i]) {
                cout << j;
            }
            cout << "\n";
        }
        cout << "\n";
        for (int i = 0; i < 4; ++i) {
            for (char j : ans[ii + 1][i]) {
                cout << j;
            }
            cout << "\n";
        }
        cout << "\n";
        for (int i = 0; i < 4; ++i) {
            for (char j : ans[ii][i]) {
                cout << j;
            }
            cout << "\n";
        }
        cout << "\n";
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef SIR
    freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}