#define _CRT_SECURE_NO_WARNINGS


#include <iostream>
#include<vector>
#include<set>
#include <algorithm>
#include<map>
#include <string>
using namespace std;
typedef long long ll;

int gcd(int x, int y)
{
	return x == 0 ? y : gcd(y % x, x);
}

ll n;
ll a_sol, b_sol;

ll gcd(ll a, ll b, ll & x, ll &y)
{
	if (a == 0)
	{
		x = 0, y = 1;
		return b;
	}

	ll x1, y1;
	ll d = gcd(b % a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}


bool find_any(ll a, ll b, ll c, ll & x0, ll & y0)
{
	ll g = gcd(abs(a), abs(b), x0, y0);

	if (c % g != 0)
		return false;


	x0 *= c / g;
	y0 *= c / g;
	if (a < 0)
		x0 *= -1;
	if (b < 0)
		y0 *= -1;
	return true;
}

bool try_solve(ll p, ll q)
{
	if (find_any(p, q, n - 1, a_sol, b_sol))
	{
		if (a_sol < 0)
		{
			ll t = -a_sol / q;
			if (a_sol + t * q > 0)
			{
				if (b_sol - t * p > 0)
				{
					a_sol += t*q;
					b_sol -= t*p;

					return true;
				}
				return false;
			}
			t++;
			if (a_sol + t * q > 0)
			{
				if (b_sol - t * p > 0)
				{
					a_sol += t*q;
					b_sol -= t*p;

					return true;
				}
				return false;
			}
		}
		if (b_sol < 0)
		{
			ll t = -b_sol / p;
			if (b_sol + t * p > 0)
			{
				if (a_sol - t * q > 0)
				{
					a_sol -= t * q;
					b_sol += t * p;
					return true;
				}

				return false;
			}
			t++;
			if (b_sol + t * p > 0)
			{
					if (a_sol - t * q > 0)
					{
						a_sol -= t * q;
						b_sol += t * p;
						return true;
					}

					return false;
			}
		}
		return true ;
	}


	return false;
}

int main()
{
	cin >> n;

	for (int i = 2; i * i <= n; i++)
	{
		if (n % i == 0)
		{
			if (gcd(i, n / i) == 1)
			{
				if (try_solve(i, n / i))
				{
					cout << "YES\n";

					cout << a_sol << " " << n / i << "\n" << b_sol << " "  << i << "\n";
					return 0;
				}
			}
		}
	}

	cout << "NO\n";

 	return 0;
}