#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
using namespace std;

using ill = long long;

void outpos(int x, int y) {
	cout << (char)(x + 'a') << (char)(y + '1') << " ";
}

void solve_() {
	int n;
	cin >> n;
	int x = 0, y = 0;
	outpos(x, y);
	bool right = true;
	for (int i = 0; i < n - 2; ++i) {
		if (y < 6) {
			if (right) {
				++x;
				if (x >= 8) {
					x = 7;
					++y;
					right = false;
				}
			}
			else {
				--x;
				if (x < 0) {
					x = 0;
					++y;
					right = true;
				}
			}
		}
		else {
			if (right) {
				++y;
				if (y >= 8) {
					y = 7;
					++x;
					right = false;
				}
			}
			else {
				--y;
				if (y < 6) {
					y = 6;
					++x;
					right = true;
				}
			}
		}
		outpos(x, y);
	}
	if (x == 7) {
		if (y < 6)
			outpos(x, y + 1);
	}
	else if (y == 7) {
		if (x < 6)
			outpos(x + 1, y);
	}
	outpos(7, 7);
}


void solve() {
	int k, n;
	cin >> n >> k;
	vector<int> a(n), b(n);
	vector<int> asgn(k, -1);
	vector<int> left;

	for (int i = 0; i < n; ++i) {
		cin >> a[i];
		a[i]--;
	}
	for (int i = 0; i < n; ++i) {
		cin >> b[i];
	}

	int asgnd = 0;
	for (int i = 0; i < n; ++i) {
		if (asgn[a[i]] == -1) {
			++asgnd;
			asgn[a[i]] = i;
		}
		else {
			if (b[i] > b[asgn[a[i]]]) {
				left.push_back(b[asgn[a[i]]]);
				asgn[a[i]] = i;
			}
			else {
				left.push_back(b[i]);
			}
		}
	}
	
	sort(left.begin(), left.end());

	ill sumtime = 0;
	for (int i = 0; i < k - asgnd; ++i) {
		sumtime += left[i];
	}

	cout << sumtime << endl;
}



int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	solve();
}
