#include <bits/stdc++.h>
typedef long long ll;
using namespace std;

const int N = 10;

int n;
vector<int> g[N], gr[N];
vector<int> p;
int t[N];
int m;
set<int> gc[N];
vector<int> vc[N];
int pw[N];

void dfs1(int x) {
    t[x] = 1;
    for (int y : g[x]) {
        if (!t[y])
            dfs1(y);
    }
    p.push_back(x);
}

void dfs2(int x, int c) {
    t[x] = c;
    for (int y : gr[x]) {
        if (t[y] == -1)
            dfs2(y, c);
    }
}

int main() {
#ifdef LOCAL_TESTING
    freopen("input.txt", "r", stdin);
#endif
    cin >> n;

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            int x;
            cin >> x;
            if (x == 1) {
                g[i].push_back(j);
                gr[j].push_back(i);
            }
        }
    }

    // Condensation
    fill(t, t + n, 0);
    for (int i = 0; i < n; i++)
        if (t[i] == 0)
            dfs1(i);
    fill(t, t + n, -1);
    m = 0;
    for (int i = n - 1; i >= 0; i--) {
        if (t[p[i]] == -1) {
            dfs2(p[i], m);
            m++;
        }
    }
    for (int x = 0; x < n; x++) {
        vc[t[x]].push_back(x);
        for (int y : g[x]) {
            if (t[x] != t[y])
                gc[t[x]].insert(t[y]);
        }
    }

    /*for (int i = 0; i < m; i++) {
        cerr << i + 1 << ": ";
        for (int x : vc[i])
            cerr << x + 1 << ' ';
        cerr << endl;
    }*/

    for (int x = 0; x < m; x++) {
        for (int y : gc[x]) {
            pw[y]++;
            //cerr << x + 1 << "->" << y + 1 << endl;
        }
    }

    queue<int> q;

    for (int i = 0; i < m; i++)
        if (pw[i] == 0)
            q.push(i);

    cout << n + 2 << ' ' << 2 * m - 1 << ' ' << 3 * m << endl;

    for (int i = 0; i < m; i++) {
        int x = q.front();
        q.pop();
        for (int j = 0; j < 2 * m - 1; j++) {
            for (int k = 0; k < n + 2; k++) {
                if (j % 2 == 1 || k != 1) {
                    cout << '.';
                    continue;
                }
                if (j / 2 == x || gc[x].count(j / 2)) {
                    cout << '.';
                } else {
                    cout << '#';
                }
            }
            cout << endl;
        }
        cout << endl;
        for (int j = 0; j < 2 * m - 1; j++) {
            for (int k = 0; k < n + 2; k++) {
                if (j % 2 == 1) {
                    cout << '.';
                    continue;
                }
                if (j / 2 == x) {
                    if (k < vc[x].size()) {
                        cout << vc[x][k] + 1;
                    } else {
                        cout << '.';
                    }
                } else if (k != 1 || gc[x].count(j / 2)) {
                    cout << '.';
                    pw[j / 2]--;
                    if (pw[j / 2] == 0) {
                        q.push(j / 2);
                    }
                } else {
                    cout << '#';
                }
            }
            cout << endl;
        }
        cout << endl;
        for (int j = 0; j < 2 * m - 1; j++) {
            for (int k = 0; k < n + 2; k++) {
                if (k == 0) {
                    cout << '#';
                    continue;
                }
                if (j % 2 == 1) {
                    cout << '.';
                    continue;
                }
                if (j / 2 == x || k < n + 1) {
                    cout << '#';
                } else {
                    cout << '.';
                }
            }
            cout << endl;
        }
        cout << endl;
    }

    return 0;
}
