#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <algorithm>
#include <string>
#include <cstring>
#include <vector>
#include <utility>
#include <set>
#include <unordered_set>
#include <map>
#include <unordered_map>
#include <bitset>
#include <iomanip>
#include <numeric>
#include <queue>
#include <stack>
#include <deque>

using namespace std;
using ll = long long;
using ld = long double;
using pii = pair<int, int>;
const int N = 1e5 + 5;

pii score;

vector<pii> check(int a, int b, bool& ok) {
	if (a < b) {
		swap(score.first, score.second);
		auto rez = check(b, a, ok);
		swap(score.first, score.second);
		if (ok) {
			for (auto &x : rez) swap(x.first, x.second);
		}
		if (rez.size() == 5) reverse(rez.begin(), rez.end() - 1);
		else reverse(rez.begin(), rez.end());
		return rez;
	}

	int tot = a + b;
	vector<pii> ans(tot);
	pii cur = { 0, 0 };
	for (int i = 0; i < b; ++i) {
		ans[i] = { 0, 25 };
		cur.second += 25;
	}
	for (int i = b; i < tot; ++i) {
		if (i == 4) {
			ans[i].first = 15;
			cur.first += 15;
		}
		else {
			ans[i] = { 25, 0 };
			cur.first += 25;
		}
	}
	if (score.first < cur.first || score.second < cur.second) {
		ok = false;
		return ans;
	}

	//   
	// 
	for (int i = 0; i < tot; ++i) {
		int delta = score.first - cur.first;
		if (ans[i].first + 2 < ans[i].second) {
			ans[i].first = min(delta, ans[i].second - 2);
			cur.first += ans[i].first;
		}
	}

	//
	for (int i = tot - 1; i >= 0; --i) {
		int delta = score.second - cur.second;
		if (ans[i].second + 2 < ans[i].first) {
			ans[i].second = min(delta, ans[i].first - 2);
			cur.second += ans[i].second;
		}
	}

	if (ans[tot - 1].second + 2 == ans[tot - 1].first) {
		int delta = min(score.first - cur.first, score.second - cur.second);
		ans[tot - 1].second += delta;
		ans[tot - 1].first += delta;
		cur.first += delta;
		cur.second += delta;

		for (int i = b; i < tot - 1; ++i) {
			int delta = min(ans[i].second, score.first - cur.first);
			cur.first += delta;
			ans[tot - 1].second += delta;
			ans[tot - 1].first += delta;
			ans[i].second -= delta;
		}
	}

	if (cur.first < score.first) {
		ok = false;
		return ans;
	}


	if (ans[tot - 1].second + 2 == ans[tot - 1].first) {
		for (int i = 0; i < b; ++i) {
			int delta = min(ans[i].first, score.second - cur.second);
			cur.second += delta;
			ans[tot - 1].second += delta;
			ans[tot - 1].first += delta;
			ans[i].first -= delta;
		}
	}

	ok = cur.second == score.second;
	return ans;
}

void solve() {

	scanf("%d%d", &score.first, &score.second);
	int bestDelta = -4;
	pii ansScore;
	vector<pii> ans;
	for (int i = 0; i < 3; ++i) {
		bool ok;
		auto tmp = check(3, i, ok);
		if (ok && 3 - i > bestDelta) {
			ans = tmp;
			ansScore = { 3, i };
			bestDelta = 3 - i;
		}
		tmp = check(i, 3, ok);
		if (ok && i - 3 > bestDelta) {
			ans = tmp;
			ansScore = { i, 3 };
			bestDelta = i - 3;
		}
	}
	if (bestDelta == -4) {
		puts("Impossible");
		return;
	}
	printf("%d:%d\n", ansScore.first, ansScore.second);
	for (auto &x : ans) {
		printf("%d:%d ", x.first, x.second);
	}
	printf("\n");
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	int t;
	scanf("%d", &t);
	while (t--)
		solve();
	return 0;
}