import javafx.util.Pair;

import java.io.PrintWriter;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Main {

    public static void main(String[] args) {

        Scanner scanner = new Scanner(System.in);
        PrintWriter writer = new PrintWriter(System.out);
        int n = scanner.nextInt();
        int k = scanner.nextInt();
        Map<Integer, Pair<Integer, Long>> jobs = new HashMap<>();
        long[] workers = new long[100001];
        int[] a1 = new int[100001];
        long[] a2 = new long[100001];
        for (int i = 0; i < n; i++) {
            int i1 = scanner.nextInt();
            a1[i] = i1;
        }
        for (int i = 0; i < n; i++) {
            long i1 = scanner.nextInt();
            a2[i] = i1;
        }
        for (int i = 0; i < k; i++) {
            if (jobs.containsKey(a1[i])) {
                Long value = jobs.get(a1[i]).getValue();
                if (value < a2[i]) {
                    jobs.put(a1[i], new Pair<>(i, a2[i]));
                }
            } else {
                jobs.put(a1[i], new Pair<>(i, a2[i]));
            }
        }
        jobs.forEach((key, value) -> a2[value.getKey()] = -1);
        Arrays.sort(a2);
        int s = k - jobs.size();
        long sum = 0;
        for (int i = 0; i < a2.length && s > 0; i++) {
            if (a2[i] > 0) {
                sum += a2[i];
                s--;
            }
        }
        writer.write(String.valueOf(sum));
        writer.flush();
    }


    /*int n = scanner.nextInt();
        StringBuilder sb = new StringBuilder("a1 ");
        int[] arr = new int[64];
        for (int i = 0; i < 8; i++) {
            for (int j = 0; j < 8; j++) {
                arr[i] = 0;
            }
        }
        for (int i = 0; i < 8; i++) {
            if (i % 2 == 0) {
                for (int j = 0; j < 8; j++) {
                    if (i * 8 + j < n) {
                        sb.append((char) j + 'a').append(i + 1);
                        if (i * 8 + j == n - 1) {

                        }
                    }
                }
            } else {
                for (int j = 7; j >= 0; j--) {
                    if (i * 8 + j < n) {
                        sb.append((char) j + 'a').append(i + 1);
                        if (i * 8 + j == n - 1) {

                        }
                    }
                }
            }
        }
        sb.append("h8");
        writer.write(sb.toString());
        writer.flush();*/
}
