#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <set>
#include <fstream>
#include <map>
#include <string>
#include <queue>


using namespace std;

typedef long long lol;
#define fi(i, n, k) for (int (i) = (k); (i) < (n); (i)++)

const lol INF = 2e9;
const string Imp = "Impossible";

int a, b, x, y, n;
vector<pair<int, int>> ML;

void printML() {
	for (int i = 0; i < ML.size(); i++) {
		cout << ML[i].first << ":" << ML[i].second << " ";
	}
	return;
}

void solv() {
	cin >> a >> b;
	int dt = a - b;
	ML.clear();
	/*
	if (a < 75 && b < 75) {
		cout << Imp;
		return;
	}
	*/

	if (dt > 75) { // Imp
		cout << Imp;
		return;
	}

	if (dt >= 6) { // 3:0
		int bl = a - 50;
		if (a >= 75) {
			if (bl > 25)
				if (b - (bl - 2) < 0) {
					cout << Imp;
					return;
				}
				else {
					ML.push_back({bl, bl - 2});
					b -= (bl - 2);
				}
			else {
				ML.push_back({ bl, min(b, 23) });
				b -= min(b, 23);
			}
			ML.push_back({ 25, min(b, 23) });
			b -= min(b, 23);
			ML.push_back({ 25, min(b, 23) });
			b -= min(b, 23);
			if (b > 0) {
				cout << Imp;
				return;
			}
			cout << "3:0" << endl;
			printML();
			return;
		}
		else {
			cout << Imp; // chek
			return;
		}
	}

	if (dt >= -19) { // 3:1
		if (a >= 75 && b >= 25) {
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML[0].first = min(a, 23);
			a -= min(a, 23);
			if (a != 0) {
				if (b < a) {
					cout << Imp;
					return;
				}
				else {
					ML[0].first += a;
					ML[0].second += a;
					a = 0;
					b -= a;
				}
			}
			ML[1].second = min(b, 23);
			b -= min(b, 23);
			ML[2].second = min(b, 23);
			b -= min(b, 23);
			ML[3].second = min(b, 23);
			b -= min(b, 23);
			if (b != 0) {
				cout << Imp;
				return;
			}
			cout << "3:1" << endl;
			printML();
			return;
		}
		else {
			cout << Imp;  // chek
			return;
		}
	}

	if (dt >= -44) { // 3:2
		if (a >= 65 && b >= 50) { // b - a >= 20
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 15, 0 });
			a -= 15; //b - a >= 35
			ML[2].second += min(b, 23);
			b -= min(b, 23);
			ML[3].second += min(b, 23);
			b -= min(b, 23);
			ML[4].second += min(b, 13);
			b -= min(b, 13);
			if (b != 0) {
				if (a < b) {
					cout << Imp;
					return;
				}
				else {
					ML[4].second += b;
					ML[4].first += b;
					a -= b;
				}
			}
			ML[0].first += min(a, 23);
			a -= min(a, 23);
			ML[1].first += min(a, 23);
			a -= min(a, 23);
			if (a != 0) {
				cout << Imp;
				return;
			}
			cout << "3:2" << endl;
			printML();
			return;
		}
		else {
			cout << Imp;
			return;
		}
	}

	if (dt >= -61) { // "2:3"
		if (b >= 65 && a >= 50) { // b - a >= 61
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 0, 15 });
			b -= 15; //b - a >= 46
			ML[0].second += min(b, 23);
			b -= min(b, 23);
			ML[1].second += min(b, 23);
			b -= min(b, 23);
			// b - a >= 0
			if (a > b) {
				ML[0].first += b;
				ML[0].second += b;
				a -= b;
				b -= b;
				ML[2].first += min(a, 23);
				a -= min(a, 23);
				ML[3].first += min(a, 23);
				a -= min(a, 23);
				ML[4].first += min(a, 13);
				a -= min(a, 13);
				if (a > 0) {
					cout << Imp;
					return;
				}
			}
			else {
				ML[0].first += a;
				ML[0].second += a;
				b -= a;
				a -= a;
				if (b > 0) {
					cout << Imp;
					return;
				}
			}
			cout << "2:3" << endl;
			printML();
			return;
		}
		else {
			cout << Imp;
			return;
		}
	}

	if (dt >= -73) { // "1:3"
		if (b >= 75 && a >= 25) {
			ML.push_back({ 25, 0 });
			a -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
			ML.push_back({ 0, 25 });
			b -= 25;
		}
		else {
			cout << Imp; // chek;
			return;
		}
	}
}

pair<int, int> order[] = {
	{3, 0}, {3,1}, {3,2}, {2,3}, {1,3}, {0,3}
};
int best_i = 10;
pair<int, int> best_score[5];
bool solve2(int a, int b) {
	
	best_i = 10;
	for (int mask_size = 3; mask_size <= 5; mask_size++)
	{
		int max_mask = 1 << (mask_size );
		for (int mask = 0; mask < max_mask; mask++)
		{
			bool bad = false;
			int a_cnt = 0, b_cnt = 0;
			for (int i = 0; i < mask_size; i++)
			{
				if (mask & (1 << i))
				{
					a_cnt++;
				}
				else
				{
					b_cnt++;
				}

				if (a_cnt == 3 && i != (mask_size - 1))
				{
					bad = true;
				}
				if (b_cnt == 3 && i != (mask_size - 1))
					bad = true;
			}

			if (bad) continue;
			if ((a_cnt == 3 && b_cnt < a_cnt) || (b_cnt == 3 && a_cnt < b_cnt))
			{
				//ok
			}
			else continue;


			int aa[5], bb[5];
			memset(aa, 0, sizeof(aa));
			memset(bb, 0, sizeof(bb));
			int a_left = a, b_left = b;
			int a_cap = 0, b_cap = 0;
			for (int i = 0; i < mask_size; i++)
			{
				int sz = i < 4 ? 25 : 15;
				if (mask & (1 << i))
				{
					a_left -= sz; 
					b_cap += sz - 2;
					aa[i] += sz;
				}
				else
				{
					a_cap += sz - 2;
					b_left -= sz; 
					bb[i] += sz;
				}
			}

			if (a_left < 0 || b_left < 0)
				continue;

			bool ok = false;
			if (a_left <= a_cap && b_left <= b_cap)
			{
				ok = true;
				for (int i = 0; i < mask_size; i++)
				{
					int sz = i < 4 ? 25 : 15;
					if (mask & (1 << i))
					{
						bb[i] += min(b_left, sz - 2);
						b_left -= min(b_left, sz - 2);
					}
					else
					{
						aa[i] += min(a_left, sz - 2);
						a_left -= min(a_left, sz - 2);
					}
				}

				if (a_left > 0 || b_left > 0)
					throw exception();

				if (a_left < 0 || b_left < 0)
					throw exception();
			}

			// fill one to the limit
			for (int i = 0; i < mask_size && !ok; i++)
			{
				int sz = i < 4 ? 25 : 15;
				int newrema, newremb;
				int newcapa, newcapb;
				if (mask & (1 << i))
				{
					newrema = a_left;
					newremb = b_left - sz + 2;
					newcapa = a_cap;
					newcapb = b_cap - sz + 2;
				}
				else
				{
					newremb = b_left;
					newrema = a_left - sz + 2;
					newcapb = b_cap;
					newcapa = a_cap - sz + 2;
				}

				if (newrema < 0 || newremb < 0)
					continue;

				int xxx = min(newrema, newremb);
				newrema -= xxx; newremb -= xxx;
				if (newrema > newcapa || newremb > newcapb)
					continue;
					
				if (mask & (1 << i))
				{
					b_left -= sz - 2;
					bb[i] = sz - 2;
				}
				else
				{
					a_left -= sz - 2;
					aa[i] = sz - 2;
				}

				int xx = min(a_left, b_left);
				aa[i] += xx;
				bb[i] += xx;
				a_left -= xx;
				b_left -= xx;

				for (int j = 0; j < mask_size; j++)
				{
					if (j == i) continue;
					int sz = i < 4 ? 25 : 15;
					if (mask & (1 << i))
					{
						bb[j] += min(b_left, sz - 2);
						b_left -= min(b_left, sz - 2);
					}
					else
					{
						aa[j] += min(a_left, sz - 2);
						a_left -= min(a_left, sz - 2);
					}
				}
				
				/*
				if (a_left > 0 || b_left > 0)
					throw exception();

				if (a_left < 0 || b_left < 0)
					throw exception();
					


				*/

				ok = true;
				break;
			}


			if (!ok)
			{
				continue;
			}


			int my_i = 0;
			for (; my_i < 5; my_i++)
			{
				if (order[my_i].first == a_cnt && order[my_i].second == b_cnt)
					break;
			}

			if (my_i < best_i)
			{
				best_i = my_i;
				for (int j = 0; j < 5; j++)
				{
					best_score[j].first = aa[j];
					best_score[j].second = bb[j];
				}

			}


		}
	}

	return best_i < 10;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif // _DEBUG

	cin.sync_with_stdio(0);
	cin.tie(0);


	cin >> n;

	
	for (int i = 0; i<n;i++)
	{
		int a, b;
		cin >> a >> b;

		if (solve2(a, b))
		{
			cout << order[best_i].first << ":" << order[best_i].second << "\n";

			int tot = order[best_i].first + order[best_i].second;
			for (int i = 0; i < tot; i++)
			{
				cout << best_score[i].first << ":" << best_score[i].second << " ";
			}
			cout << "\n";
		}
		else
		{
			cout << "Impossible\n";
		}
	}

	return (0);
}