#include <bits/stdc++.h>
using namespace std;

bool isPrime(int n) {
    for (int x = 2; x * x <= n; x++) {
        if (n % x == 0) {
            while (n % x == 0) {
                n /= x;
            }
            if (n == 1) return true;
            return false;
        }
    }
    return true;
}

int mod_mult(long long a, long long b, long long md) {
    return (a * b) % md;
}

int pow(int a, int b, int md)
{
    int r = 1;
    while (b) {
        if (b % 2 == 1) {
            r = mod_mult(r, a, md);
        }
        a = mod_mult(a, a, md);
        b /= 2;
    }
    return r;
}

int phi(int N) {
    int res = N;
    for (int x = 2; x * x <= N; x++) {
        if (N % x == 0) {
            res -= res / x;

            while (N % x == 0) {
                N /= x;
            }
        }
    }
    if (N > 1) {
        res -= res / N;
    }
    return res;
}

int main()
{
    int n;
    ignore = scanf("%d", &n);

    if (isPrime(n)) {
        printf("NO\n");
        return 0;
    }
    printf("YES\n");

    int p, q;

    for (int x = 2; x * x <= n; x++) {
        if (n % x == 0) {
            p = 1;
            while (n % x == 0) {
                p *= x;
                n /= x;
            }
            q = n;
            break;
        }
    }

    int a = pow(q, phi(p) - 1, p);
    a = (p - a) % p;

    int b = pow(p, phi(q) - 1, q);
    b = (q - b) % q;

    printf("2\n");
    printf("%d %d\n", a, p);
    printf("%d %d\n", b, q);

    return 0;
}

