#include <bits/stdc++.h>

using namespace std;

const int MX = 9;

int a[MX][MX];

int main() {
    int n;
    ignore = scanf("%d", &n);
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            ignore = scanf("%d", a[i] + j);
            if (i == j) a[i][j] = 1;
        }
    }

    for (int w = 0; w < n; w++)
        for (int u = 0; u < n; u++)
            for (int v = 0; v < n; v++)
                if (a[u][w] + a[w][v] == 2)
                    a[u][v] = 1;

    auto check = [&](int v) {
        for (int i = 0; i < n; i++)
                if (a[i][v] == 1 && a[v][i] == 0)
                    return false;

        return a[v][v] == 1;
    };

    auto getS = [&](char c) {
        (void)c; // TODO
        vector<string> row(2 * n, string(2 * n, '#'));
        for (int i = 0; i < n; i++) row[2 * i][2 * i] = '.';
        return row;
    };

    auto s = [](vector<string> row) {
        string res;
        for (auto str : row) res += str + '\n';
        return res;
    };

    vector<string> ans;
    while (true) {
        int v = 0;
        while (v < n && check(v) == false) v++;
        if (v == n) break;

        auto row = getS('.'), nxt = getS('#');
        vector<int> vec;
        for (int i = 0; i < n; i++)
            if (a[i][v] + a[v][i] == 2) {
                for (int j = 0; j < 2 * n; j++)
                    row[2 * i][j] = row[j][2 * i] = '.';

                row[2 * i][2 * i] = '1' + i;
                nxt[2 * i][2 * i] = '#';

                a[i][i] = 0;

                vec.push_back(i);
            }

        ans.push_back(s(row));

        nxt[2 * v][2 * v + 1] = '.';

        ans.push_back(s(nxt));
        nxt[2 * v][2 * v] = '.';
        ans.push_back(s(nxt));

        row = getS('#');
        ans.push_back(s(row));

        for (int i = 0; i < n; i++) {
            if (a[v][i] == 1 && a[i][v] == 0) {
                for (int ii : vec) a[ii][i] = 0;
                row = getS('#');
                for (int j = 0; j < 2 * n; j++)
                    row[2 * v][j] = row[j][2 * v] = row[2 * i][j] = row[j][2 * i] = '.';

                ans.push_back(s(row));

                row = getS('#');
                row[2 * v][2 * v] = '#';
                row[2 * v][2 * v + 1] = '.';
                ans.push_back(s(row));

                row[2 * v][2 * v] = '.';
                ans.push_back(s(row));

                ans.push_back(s(getS('#')));
            }
        }
    }

    printf("%d %d %d\n", (int)ans.size(), 2 * n, 2 * n);
    for (auto str : ans) printf("%s\n", str.c_str());

    return 0;
}
