#include <bits/stdc++.h>

using namespace std;

int const N = 11;
int d[N][N];
int a[N][N];

int main() {
    int n;
    cin >> n;
    vector<vector<int>> g(n);
    vector<vector<int>> ig(n);

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            int x;
            cin >> x;
            if (x == 1) {
                g[i].push_back(j);
                ig[j].push_back(i);
            }
        }
    }
    vector<bool> was(n);
    vector<int> order;
    function<void(int)> dfs = [&](int v) {
        was[v] = true;
        for (int u : g[v]) {
            if (!was[u]) dfs(u);
        }
        order.push_back(v);
    };
    for (int i = 0; i < n; ++i) {
        if (!was[i]) dfs(i);
    }
    reverse(order.begin(), order.end());
    vector<int> iorder(n);
    for (int i = 0; i < n; ++i) {
        iorder[order[i]] = i;
    }


    vector<vector<int>> comps;
    vector<int> icomps(n);
    fill(was.begin(), was.end(), false);
    function<void(int)> dfs2 = [&](int v){
        was[v] = true;
        comps.back().push_back(v);
        icomps[v] = comps.size() - 1;
        for (int u : ig[v]) {
            if (!was[u]) dfs2(u);
        }
    };

    for (int v : order) {
        if (!was[v]) {
            comps.emplace_back();
            dfs2(v);            
        }
    }

    vector<set<int>> gc(comps.size());
    for (int i = 0; i < n; ++i) {
        for (int u : g[i]) {
            if (icomps[i] != icomps[u]) {
                assert(icomps[i] < icomps[u]);
                gc[icomps[i]].insert(icomps[u]);
            }
        }
    }
    int r = 3;
    int c = 30;
    cout << c << ' ' << r << ' ' << 2 * gc.size() << '\n';

    for (int i = 0; i < 2 * gc.size(); i++) {
        if (i % 2) {
            int comp = i / 2;
            for (int j = 0; j < c; ++j) {
                if (j % 2) cout << '#';
                else cout << (j / 2 == comp ? '#' : '.');
            }
            cout << '\n';
            for (int j = 0; j < c; ++j) cout << '#'; cout << '\n';
            for (int j = 0; j < c; ++j) cout << '#'; cout << '\n';
        } else {
            for (int j = 0; j < c; ++j) cout << (j % 2 ? '#' : '.'); cout << '\n';
            int comp = i / 2;
            for (int j = 0; j < c; ++j) {
                if (j % 2 == 0 && (gc[comp].count(j / 2) || j / 2 == comp)) cout << '.';                
                else cout << '#';
            }
            cout << '\n';
            int cnt = comps[comp].size();
            for (int j = 0; j < c; ++j) {   
                if (cnt > 0) {
                    cnt--;
                    cout << (comps[comp][cnt] + 1);                
                } else cout << '.';
            }
            cout << '\n';
        }
        cout << '\n';
    }       
}