#include <bits/stdc++.h>
using namespace std;

string to_string(bool x) {
	return x ? "true" : "false";
}

string to_string(char x) {
	return string(1, x);
}

string to_string(string s) {
	return '"' + s + '"';
}

string to_string(const char *s) {
	return to_string((string) s);
}

template<typename A, typename B>
string to_string(pair<A, B> p) {
	return "(" + to_string(p.first) + ", " + to_string(p.second) + ")";
}

template<typename A>
string to_string(A v) {
	bool first = true;
	string res = "{";
	for (const auto &x : v) {
		if (!first) {
			res += ", ";
		}
		first = false;
		res += to_string(x);
	}
	res += "}";
	return res;
}

void debug_out() {
	cerr << endl;
}

template<typename Head, typename... Tail>
void debug_out(Head H, Tail... T) {
	cerr << " " << to_string(H);
	debug_out(T...);
}

#ifdef LOCAL
#define debug(...) cerr << "[" << #__VA_ARGS__ << "]:", debug_out(__VA_ARGS__)
#else
#define debug(...) 1
#endif

#define all(x) (x).begin(), (x).end()
#define sz(a) (int) (a).size()
#define pb push_back
#define fi first
#define se second
#define two(a) (1LL << (a))
#define has(mask, i) (((mask) >> (i)) & 1)

using ll = long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;
using vi = vector<int>;
using vll = vector<ll>;
using vvi = vector<vi>;
using vpii = vector<pii>;
using ld = long double;
using vs = vector<string>;

mt19937_64 rnd((unsigned long) chrono::high_resolution_clock::now().time_since_epoch().count());

void solve() {
	int n; cin >> n;
	vector<pii> path;
	for (int j = 0; j <= 5; j++) {
		for (int i = 0; i <= 7; i++) {
			if (j % 2 == 0)
				path.emplace_back(j, i);
			else 	
				path.emplace_back(j, 7 - i);
		}
	}
	for (int i = 0; i <= 5; i++) {
		if (i % 2 == 0) {
			path.emplace_back(6, i);
			path.emplace_back(7, i);
		} else {
			path.emplace_back(7, i);
			path.emplace_back(6, i);
		}
	}                   

	auto printP = [&] (pii p) {
		cout << (char) ('a' + p.se) << (char) ('1' + p.fi) << " ";
	};

	auto print = [&] (int k) {
		for (auto i = 0; i <= k; i++) {
			auto p = path[i];
			cout << (char) ('a' + p.se) << (char) ('1' + p.fi) << " ";
		}
	};

	if (n == 63) {
		path.emplace_back(6, 7);
		path.emplace_back(6, 6);
		path.emplace_back(7, 6);
		path.emplace_back(7, 7);
		print(n);
		return;
	}
	path.emplace_back(6, 6);
	path.emplace_back(6, 7);
	path.emplace_back(7, 7);
	for (int i = 0; i < n; i++) {
		if (i + 2 == n) {
			auto p = path[i];
			if (p.second == 7) {    
				print(n - 2);
				printP(pii(6, 7));    
				printP(pii(7, 7));
				return;
			}
			if (i <= 47) {       
				print(n - 2);
				printP(pii(7, p.se));    
				printP(pii(7, 7));
				return;
			}
			if (p.fi == 6) {
				print(n - 2);
				printP(pii(p.fi, 7));    
				printP(pii(7, 7));
				return;
			}
			if (p.fi == 7) {
				print(n - 2);           
				printP(pii(7, 6));    
				printP(pii(7, 7));
				return;
			}
		}
	}
}

int main() {
#ifdef LOCAL
	freopen("xxx.in", "r", stdin);
	freopen("xxx.out", "w", stdout);
	auto start_time = clock();
#else
	
#endif

	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.setf(ios::fixed | ios::showpoint);
	cerr.setf(ios::fixed | ios::showpoint);
	cout.precision(12);
	cerr.precision(4);

	solve();

#ifdef LOCAL
	auto end_time = clock();
	cerr << "time: " << (end_time - start_time) * 1.0 / CLOCKS_PER_SEC << endl;
#endif
	return 0;
}