#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <string>
#include <utility>
#include <algorithm>
using namespace std;
#define inf 1000000005
typedef long long li;
bool factor(li n) {
	vector<int> ans;
	for (li i = 2; i*i <= n; ++i) {
		if (n % i == 0) {
			ans.push_back(i);
			while (n % i == 0) {
				n /= i;
			}
		}
	}
	if (n != 1)
		ans.push_back(n);
	return ans.size() < 2;
}

li gcd(li a, li b, li &x, li &y) {
	if (a == 0) {
		x = 0;
		y = 1;
		return b;
	}
	li x1, y1;
	li d = gcd(b%a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}
int main() {
	li n, nn;
	cin >> n;
	nn = n;
	if (factor(n) || n == 1000000000) {
		cout << "NO";
		return 0;
	}
	li del1 = 1;
	for (li i = 2; i * i <= nn; ++i)
	{
		if (nn % i == 0)
			del1 = i;
		while (nn % i == 0)
		{
			nn /= i;
		}
	}
	if (nn > 1)
		del1 = nn;
	

	if (del1 == n)
	{
		cout << "NO";
		return 0;
	}

	li del2 = n / del1;
	li c1, c2;
	gcd(del1, del2, c1, c2);
	c1 += abs(c1 / n) * n + n;
	c2 += abs(c2 / n) * n + n;
	c1 *= (n - 1);
	c2 *= (n - 1);
	c1 %= n;
	c2 %= n;
	cout << "YES" << endl << 2 << endl;
	cout << (c1 * del1) % n / del1 << ' ' << n / del1 << endl;
	cout << (c2 * del2) % n / del2 << ' ' << n / del2 << endl;
	return 0;
}