#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <string>
#include <utility>
#include <algorithm>
using namespace std;


int main() {
	int n, k;
	cin >> n >> k;
	vector <int> a(n), b(n);

	for (int i = 0; i < n; ++i)
		cin >> a[i];
	for (int i = 0; i < n; ++i)
		cin >> b[i];

	map <int, vector <int> > jobs;
	vector <int> times;

	for (int i = 0; i < n; ++i)
	{
		jobs[a[i]].push_back(b[i]);
	}
	for (int i = 0; i < n; ++i)
	{
		sort(jobs[a[i]].rbegin(), jobs[a[i]].rend());
	}
	for (auto job : jobs)
	{
		for (int i = 1; i < job.second.size(); ++i)
		{
			times.push_back(job.second[i]);
		}
	}
	sort(times.begin(), times.end());

	long long ans = 0;
	for (int i = 0; i < k - jobs.size(); ++i)
	{
		ans += times[i];
	}

	cout << ans;
	return 0;
}