#include <iostream>
#include <vector>
#include <set>
#include <algorithm>
#include <string>
#define forn(i,n) for(int i = 0; i < (int)(n); i++)
#define fore(i,l,r) for (int i = (int)(l); i < (int)(r); i++)
#define ford(i,n) for (int i = (int)(n-1);i >= 0; i--)
#define mp(i,j) make_pair((i),(j))
#define correct(i,j,n,m) ((int)(i) >= 0 && (int)(i) < n && (int)(j) >= 0 && (int)(j) < m)
#define all(a) (a).begin(),(a).end()
using namespace std;

typedef long long li;

void Fail()
{
	cout << "NO" << endl;
	exit(0);
}

li Gcd(li a, li b, li &x, li &y)
{
	if (!b)
	{
		x = 1;
		y = 0;
		return a;
	}
	li x1, y1;
	li d = Gcd(b, a%b,x1,y1);
	y = x1 - y1*(a/b);
	x = y1;
	return d;
}

li gcd(li a, li b)
{
	return (b ? gcd(b, a%b) : a);
}

bool TwoPrimes(li a,li &p1,li &p2)
{
	p1 = p2 = 0;

	for (int d = 2; d*d <= a; d++)
	{
		if (a % d == 0)
			if (!p1)
				p1 = d;
			else
			{
				p2 = d;
				return 1;
			}
		while (a % d == 0)
			a /= d;
	}
	if(a != 1)
	if (!p1)
		p1 = a;
	else
	{
		p2 = a;
		return 1;
	}
	return 0;
}

int main() 
{
	li n;
	cin >> n;
	li p1, p2;
	if (!TwoPrimes(n, p1, p2))
		Fail();
	li x, y;
	Gcd(p1, p2, x, y);
	x *= -1;
	y *= -1;
	if (x < 0)
		x += n / p1;
	if (y < 0)
		y += n / p2;
	cout << "YES" << endl << 2 << endl;
	cout << x << " " << n / p1 << endl;
	cout << y << " " << n / p2 << endl;
}