#include <bits/stdc++.h>

using namespace std;
//typedef long long ll;

void run();

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
#ifdef LOCAL
    assert(freopen("in.txt", "r", stdin));
//    assert(freopen("out.txt", "w", stdout));
#endif
    run();
}

const int MAX_S = 200;
const int SETS = 5;

// sets, a, b, w1, w2
bool dp[SETS + 1][MAX_S + 1][MAX_S + 1][SETS + 1][SETS + 1];
pair<int, int> score[SETS + 1][MAX_S + 1][MAX_S + 1][SETS + 1][SETS + 1];

void go(int i, int a, int b, int wa, int wb, int sa, int sb) {
    if (a + sa > MAX_S || b + sb > MAX_S) {
        return;
    }
    assert(sa != sb);
    if (sa > sb) {
        dp[i + 1][a + sa][b + sb][wa + 1][wb] = 1;
        score[i + 1][a + sa][b + sb][wa + 1][wb] = {sa, sb};
    } else {
        dp[i + 1][a + sa][b + sb][wa][wb + 1] = 1;
        score[i + 1][a + sa][b + sb][wa][wb + 1] = {sa, sb};
    }
}

void solve() {
    int a, b;
    cin >> a >> b;
    int best_i = -1;
    int best_wa = 0;
    int best_wb = 100;

    for (int i = 0; i <= SETS; i++) {
        for (int wa = 0; wa <= SETS; wa++) {
            for (int wb = 0; wb <= SETS; wb++) {
                if (!dp[i][a][b][wa][wb]) {
                    continue;
                }
                if (wa != 3 && wb != 3) {
                    continue;
                }
                if (wa - wb > best_wa - best_wb) {
                    best_i = i;
                    best_wa = wa;
                    best_wb = wb;
                }
            }
        }
    }

    if (best_wb == 100) {
        cout << "Impossible\n";
        return;
    }

    cout << best_wa << ":" << best_wb << "\n";
    int wa = best_wa;
    int wb = best_wb;
    vector<pair<int, int>> kek;
    for (int i = best_i; i > 0; i--) {
        auto it = score[i][a][b][wa][wb];
//        cout << it.first << ":" << it.second << " ";
        kek.push_back(it);
        a -= it.first;
        b -= it.second;
        if (it.first > it.second) {
            wa--;
        } else {
            wb--;
        }
    }
    reverse(kek.begin(), kek.end());
    for (auto it : kek) {
        cout << it.first << ":" << it.second << " ";
    }
    cout << "\n";
}

void run() {
    dp[0][0][0][0][0] = 1;
    for (int i = 0; i < SETS; i++) {
        int t = 25;
        if (i == SETS - 1) {
            t = 15;
        }
        for (int a = 0; a <= MAX_S; a++) {
            for (int b = 0; b <= MAX_S; b++) {
                for (int wa = 0; wa <= SETS; wa++) {
                    for (int wb = 0; wb <= SETS; wb++) {
                        if (!dp[i][a][b][wa][wb]) {
                            continue;
                        }
                        if (wa == 3 || wb == 3) {
                            continue;
                        }
                        for (int x = 0; x <= t - 2; x++) {
                            go(i, a, b, wa, wb, x, t);
                            go(i, a, b, wa, wb, t, x);
                        }
                        for (int x = t + 1; x <= MAX_S; x++) {
                            go(i, a, b, wa, wb, x, x - 2);
                            go(i, a, b, wa, wb, x - 2, x);
                        }
                    }
                }
            }
        }
    }

    int n;
    cin >> n;
    while (n--) {
        solve();
    }
}
