#include <bits/stdc++.h>

using namespace std;
//typedef long long ll;

void run();

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
#ifdef LOCAL
    assert(freopen("in.txt", "r", stdin));
//    assert(freopen("out.txt", "w", stdout));
#endif
    run();
}

const int N = 64;

int x[N], y[N];
bool used[8][8];
bool dp[N][N];
int from[N][N];
int ptr;

void add(int a, int b) {
    x[ptr] = a;
    y[ptr] = b;
    assert(!used[a][b]);
    used[a][b] = true;
    ptr++;
}

bool ok(int i, int j) {
    return x[i] == x[j] || y[i] == y[j];
}

void run() {
    for (int i = 0; i < 6; i++) {
        if (i % 2 == 0) {
            for (int j = 0; j < 8; j++) {
                add(i, j);
            }
        } else {
            for (int j = 7; j >= 0; j--) {
                add(i, j);
            }
        }
    }
    add(6, 0);
    add(7, 0);
    add(7, 1);
    add(6, 1);
    add(6, 7);
    for (int i = 6; i >= 2; i--) {
        add(6, i);
    }
    for (int i = 2; i <= 7; i++) {
        add(7, i);
    }
    assert(ptr == N);

    dp[0][0] = 1;
    for (int i = 0; i < N; i++) {
        for (int d = 0; d < N - 1; d++) {
            if (!dp[i][d]) continue;
            for (int j = i + 1; j < N; j++) {
                if (ok(i, j)) {
                    dp[j][d + 1] = 1;
                    from[j][d + 1] = i;
                }
            }
        }
    }

    int v = N - 1;

    for (int d = 2; d <= 63; d++) {
        assert(dp[v][d]);
    }

    int n;
    cin >> n;
    vector<int> path = {v};
    for (int i = n; i > 0; i--) {
        v = from[v][i];
        path.push_back(v);
    }
    reverse(path.begin(), path.end());
    for (int i : path) {
        cout << (char)('a' + x[i]) << (char)('1' + y[i]) << " ";
    }
    cout << "\n";
}

/*int dp[300][300][6];

int pa[300][300][6], pb[300][300][6];

void upd(int i, int j, int l, int a, int b) {
    int v = 1;
    if (b > a) {
        v = -1;
    }
    if (i >= a && j >= b && abs(dp[i - a][j - b][l - 1]) < 3 && dp[i - a][j - b][l - 1] + v > dp[i][j][l]) {
        dp[i][j][l] = dp[i - a][j - b][l - 1] + v;
        pa[i][j][l] = a;
        pb[i][j][l] = b;
    }
}

void run() {
    for (int i = 0; i < 300; i++) {
        for (int j = 0; j < 300; j++) {
            for (int l = 0; l < 6; l++) {
                dp[i][j][l] = -1000;
            }
        }
    }
    dp[0][0][0] = 0;
    for (int l = 0; l < 6; l++) {
        for (int i = 0; i <= 200; i++) {
            for (int j = 0; j <= 200; j++) {
                int t = 25;
                if (l == 5) {
                    t = 15;
                }
                for (int a = 0; a < t - 1; a++) {
                    upd(i, j, l, t, a);
                    upd(i, j, l, a, t);
                }
                for (int a = t + 1; a <= 200; a++) {
                    upd(i, j, l, a, a - 2);
                    upd(i, j, l, a - 2, a);
                }
            }
        }
    }
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        int x, y;
        cin >> x >> y;
        int ll = 0;
        for (int j = 0; j < 6; j++) {
            if (dp[x][y][j] > dp[x][y][ll]) {
                ll = j;
            }
        }
        if (dp[x][y][ll] < -3) {
            cout << "Impossible\n";
            continue;
        }
        cout << (ll + dp[x][y][ll]) / 2 << ' ' << (ll - dp[x][y][ll]) / 2 << '\n';
        vector<int> aa, bb;
        int lll = ll;
        while (ll > 0) {
            aa.push_back(pa[x][y][ll]);
            bb.push_back(pb[x][y][ll]);
            int xx = x - pa[x][y][ll];
            int yy = y - pb[x][y][ll];
            x = xx;
            y = yy;
            ll--;
        }
        for (int j = lll - 1; j >= 0; j--) {
            cout << aa[j] << ':' << bb[j] << ' ';
        }
        cout << '\n';
    }
}
 */