#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <memory.h>
#include <algorithm>
#include <climits>

#pragma comment(linker, "/STACK:1000000000")

using namespace std;
using D = double;
using LL = long long;

bool c[7];
int suff_cnt[7], pref_cnt[7];

int main()
{
	int T;
	cin >> T;
	for (int t = 0; t < T; ++t)
	{
		int n, cnt = 0;
		cin >> n;
		for (int i = 0; i < 7; ++i)
		{
			cin >> c[i];
			cnt += c[i];
			pref_cnt[i] = cnt;
		}

		for (int i = 6; i >= 0; --i)
			suff_cnt[i] = (i < 6) * suff_cnt[i + 1] + c[i];

		if (cnt >= n)
		{
			int mn = 7;
			for (int i = 0; i < 7; ++i)
			{
				for (int j = i; j < 7; ++j)
				{
					int sum = 0;
					for (int k = i; k <= j; ++k)
						sum += c[k];
					if (sum >= n)
						mn = min(mn, j - i + 1);
				}
			}

			cout << mn << '\n';
			continue;
		}

		int mn = INT_MAX;

		for (int i = 0; i < 7; ++i)
		{
			int k = n - suff_cnt[i];
			int x = k / cnt;
			k -= cnt * x;
			if (k)
			{
				bool b = 0;
				for (int j = 0; j < 7; ++j)
				{
					if (k == pref_cnt[j])
					{
						b = 1;
						mn = min(mn, (7 - i) + (x * 7) + (j + 1));
					}
				}
				if (b) break;
			}
			else
			{
				for (int j = 6; j >= 0; --j)
				{
					if (suff_cnt[j] != 0)
					{
						mn = min(mn, (7 - i) + (x * 7) - (7 - (j + 1)));
						break;
					}
				}
			}
		}

		cout << mn << '\n';
	}
}