#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <memory.h>
#include <algorithm>
#include <climits>

#pragma comment(linker, "/STACK:1000000000")

using namespace std;
using D = double;
using LL = long long;

const int N = 1e5 + 5;

struct idler
{
	int a, t;
};

int a[N], t[N];

vector<idler> v;
vector<int> tm;

int main()
{
	int n, k;
	cin >> n >> k;
	for (int i = 0; i < n; ++i)
		cin >> a[i];
	for (int i = 0; i < n; ++i)
	{
		cin >> t[i];
		v.push_back({ a[i], t[i] });
	}
	sort(v.begin(), v.end(), [](idler a, idler b) { return a.a == b.a ? a.t > b.t : a.a < b.a; });

	LL sum = 0;
	int cnt = 1;

	for (int i = 1; i < v.size(); ++i)
	{
		if (v[i].a == v[i - 1].a)
		{
			tm.push_back(v[i].t);
			//k--;
		}
		else
		{
			cnt++;
		}
	}

	sort(tm.begin(), tm.end());

	for (int i = 0; i < k - cnt; ++i)
		sum += (LL)tm[i];

	cout << sum;
}