#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>

using namespace std;

int gcd(int a, int b, int &x, int &y) {
	if (!a) {
		x = 0, y = 1;
		return b;
	}
	int x1, y1;
	int d = gcd(b % a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}
int reverse_by_mod(int n, int m) {
	int x, y;
	int g = gcd(n, m, x, y);
	return (x % m + m) % m;
}

bool f(int i, int cur, int target, vector<int> &k, vector<int> &primes, vector<int> &ans) {
	if (i == k.size()) return target == cur;
	for (int j = 0; j < primes[i]; j++) {
		int new_sum = cur + j * k[i];
		if (new_sum > target) break;
		if (f(i + 1, new_sum, target, k, primes, ans)) {
			ans.push_back(j);
			return true;
		}
		else return false;
	}
}

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	int n;
	cin >> n;
	vector<int> primes;
	int temp = n;
	for (int i = 2; i * i <= n; i++) {
		if (temp % i == 0){
			int a = 1;
			while (temp % i == 0) {
				a *= i;
				temp /= i;
			}
			primes.push_back(a);
		}
	}
	if (temp != 1)
		primes.push_back(temp);
	if (primes.size() == 1) {
		cout << "NO" << endl;
		return 0;
	}
	cout << "YES" << endl;
	cout << 2 << endl;
	int b1 = n / primes[0];
	int b2 = primes[0];
	for (int a2 = 1; a2 < b2; a2++) {
		int a1 = (n - 1 - a2 * b1) / b2;
		if (a1 > 0 && a1 < b1 && a1 * b2 + a2 * b1 == n - 1) {
			cout << a1 << " " << b1 << endl;
			cout << a2 << " " << b2 << endl;
			break;
		}
	}
	/*int a = n / primes[0] % primes[0];
	int b1 = reverse_by_mod(primes[0] - 1, primes[0]);
	int b2 = (n - 1 - n / primes[0] * b1) / primes[0];
	cout << b2 << ' ' << n / primes[0] << endl;
	cout << b1 << ' ' << primes[0] << endl;*/
	
	return 0;
}