#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;

#define en '\n'
#define sp ' '
#define ALL(x) begin(x), end(x)
#define ww(x) #x << " = " << x

using ll = long long;
using pii = pair <int, int>;
using ld = long double;
using ull = unsigned long long;
using uint = unsigned int;

template <class K, class T>
using poc_ht = __gnu_pbds::cc_hash_table<K, T>;

template <class T1, class T2>
T1 eqMin (T1 & a, const T2 & b) {
    if (a > (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template <class T1, class T2>
T1 eqMax (T1 & a, const T2 & b) {
    if (a < (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template<class It>
ostream& _out(ostream& os, It b, It e) {
    if(b == e) return os << "{}";
    os << "{" << *b;
    for(; ++b != e; os << ", " << *b);
    return os << "}\n";
}

template<class C>
auto operator << (ostream& os, C const& c)
-> decltype( begin(c), end(c), c.size(), declval<ostream&>()) {
    return _out(os, begin(c), end(c));
}

ostream& operator << (ostream& os, string const& s) {
    return os << s.data();
}

template<class X,class Y>
ostream& operator << (ostream& os, pair<X, Y> const& p) {
    return os << "[" << p.first << ", " << p.second << "]";
}

template <class T>
using row = vector<T>;
template <class T>
using mat = row<row<T>>;

template <class T>
auto make_mat(size_t n, size_t m, T const& val) {
    return mat<T>(n, row<T>(m, val));
}

const int MOD = (int) 1e9 + 7;
const int INF = (int) 2e9;
const ll LINF = (ll) 2e17;
const int MAXN = (int) 1e5+9;

int n, k;
vector<int> bal(MAXN);

int main() {
    ios_base::sync_with_stdio(false);
    cin >> n >> k;
    vector<pii> V;
    int cnt = 0;
    vector<int> a, b;
    for (int i = 0; i < n; i++) {
        int x;
    cin >> x;
    a.push_back(x);
    }
    for (int i = 0; i < n; i++) {
        int x;
    cin >> x;
    b.push_back(x);
    }
    for (int i = 0; i < n; i++) {
            int x= a[i], y = b[i];
        if (bal[x] == 0) {
            cnt++;
        }
        bal[x]++;
        V.push_back({y,x});
    }

    sort(ALL(V));
    ll ans = 0;
    for (int i = 0; i < n && k - cnt;i++) {
        if (bal[V[i].second] > 1) {
            ans+=V[i].first;
            bal[V[i].second]--;
            k--;
        }
    }
    cout << ans << endl;
}
/**
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2

*/
