#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define mp make_pair
#define pb push_back
#define f first
#define s second

const int maxn = 1000500;
const int inf = 2e9;

int tree[4 * maxn + 100];
vector<pair<int, int>> queries;

int max3(int x, int y, int z) {
    return max(x, max(y, z));
}

void Update(int v, int tl, int tr, int pos, int x) {
    if (tl == tr) {
        tree[v] = x;
        return;
    }
    int new_v = v << 1;
    int mid = (tl + tr) >> 1;
    if (pos <= mid)
        Update(new_v, tl, mid, pos, x);
    else
        Update(new_v + 1, mid + 1, tr, pos, x);
    tree[v] = tree[new_v + 1];
    tree[v] = max3(tree[v], tree[new_v], tree[new_v + 1] + tree[new_v] - mid - 1);
}

int GetTime(int v, int tl, int tr, int l, int r) {
    if (l > r) {
        return 0;
    }
    if (tl == l && tr == r) {
        return tree[v];
    }
    int new_v = v << 1;
    int mid = (tl + tr) >> 1;
    auto ans1 = GetTime(new_v, tl, mid, l, min(r, mid));
    auto ans2 = GetTime(new_v + 1, mid + 1, tr, max(l, mid + 1), r);
    auto ans = max(ans1, ans2);
    ans = max(ans, ans2 + ans1 - mid - 1);
    return ans;
}

int main()
{
//    freopen("input.txt", "r", stdin);
//    ifstream cin("input.txt");
//    ofstream cout("output.txt");
    ios_base::sync_with_stdio(false);

//    for (int i = 1; i <= maxn; ++i) {
//        Update(1, 1, maxn, i, i);
//    }
    int q;
    scanf ("%d\n", &q);
    while (q--) {
        char type;
        scanf ("%c", &type);
        if (type == '+') {
            int t, d;
            scanf ("%d%d\n", &t, &d);
            queries.pb(mp(t, d));
            Update(1, 1, maxn, t, max(t, GetTime(1, 1, maxn, 1, t)) + d);
        }
        if (type == '-') {
            int idx;
            scanf ("%d\n", &idx);
            --idx;
            queries.pb(mp(0, 0));
            Update(1, 1, maxn, queries[idx].f, 0);
        }
        if (type == '?') {
            int t;
            scanf ("%d\n", &t);
            queries.pb(mp(0, 0));
            printf("%d\n", max(GetTime(1, 1, maxn, 1, t), t) - t);
        }
    }
    return 0;
}
