#include <iostream>
#include <vector>
#include <set>
#include <fstream>
#include <cassert>
#include <algorithm>

#define pb push_back
#define all(a) (a).begin(), (a).end()
#define sz(a) (int)(a).size()

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const ll n = 201;

//bool dp[4][4][n][n];
pii p[4][4][n][n];

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    //ifstream cin("input.txt");

    //dp[0][0][0][0] = true;

    for (int x = 0; x < 4; ++x) {
        for (int y = 0; y < 4; ++y) {
            for (int s1 = 0; s1 < n; ++s1) {
                for (int s2 = 0; s2 < n; ++s2) {
                    p[x][y][s1][s2] = {-1, -1};
                }
            }
        }
    }
    p[0][0][0][0] = {0, 0};

    for (int x = 0; x <= 3; ++x) {
        for (int y = 0; y <= 3; ++y) {
            if (x + y >= 5) {
                continue;
            }
            if (x >= 3 || y >= 3) {
                continue;
            }
            int rg = 25;
            if (x + y >= 3) {
                rg = 15;
            }
            for (int s1 = 0; s1 < n; ++s1) {
                for (int s2 = 0; s2 < n; ++s2) {
                    if (p[x][y][s1][s2].first == -1) {
                        continue;
                    }
                    for (int a = 0; a <= rg - 2; ++a) {
                        if (s1 + a < n && s2 + rg < n) {
                            p[x][y + 1][s1 + a][s2 + rg] = {a, rg};
                        } else {
                            break;
                        }
                    }
                    for (int a = 0; a <= rg - 2; ++a) {
                        if (s1 + rg < n && s2 + a < n) {
                            p[x + 1][y][s1 + rg][s2 + a] = {rg, a};
                        } else {
                            break;
                        }
                    }
                    for (int a = rg + 1; s1 + a < n; ++a) {
                        int b = a - 2;
                        if (s2 + b < n) {
                            p[x + 1][y][s1 + a][s2 + b] = {a, b};
                        } else {
                            break;
                        }
                    }
                    for (int a = rg + 1; s2 + a < n; ++a) {
                        int b = a - 2;
                        if (s1 + b < n) {
                            p[x][y + 1][s1 + b][s2 + a] = {b, a};
                        } else {
                            break;
                        }
                    }
                }
            }
        }
    }

    int tt;
    cin >> tt;

    while (tt--) {
        int s1, s2;
        cin >> s1 >> s2;
        vector<pii> vct;
        int x = -1, y;
        for (int i = 0; i <= 3; ++i) {
            for (int j = 0; j <= 3; ++j) {
                if (i != 3 && j != 3) {
                    continue;
                }
                if (p[i][j][s1][s2].first != -1) {
                    if (x == -1 || x - y < i - j) {
                        x = i, y = j;
                    }
                }
            }
        }
        if (x == -1) {
            cout << "Impossible\n";
            continue;
        }
        cout << x << ":" << y << "\n";
        while (s1 || s2) {
            pii q = p[x][y][s1][s2];
            vct.pb(q);
            if (q.first > q.second) {
                --x;
            } else {
                --y;
            }
            s1 -= q.first;
            s2 -= q.second;
        }
        reverse(all(vct));
        for (int i = 0; i < sz(vct); ++i) {
            cout << vct[i].first << ":" << vct[i].second << " ";
        }
        cout << "\n";
    }

}
