#include <iostream>
#include <vector>
#include <set>
#include <fstream>
#include <cassert>
#include <algorithm>

#define pb push_back
#define all(a) (a).begin(), (a).end()
#define sz(a) (int)(a).size()

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    //ifstream cin("input.txt");
    //ofstream cout("output.txt");

    int n;
    cin >> n;

    set<int> p;
    int val = n;
    for (int d = 2; d * d <= n; ++d) {
        while (val % d == 0) {
            p.insert(d);
            val /= d;
        }
    }

    if (val != 1) {
        p.insert(val);
    }

    if (sz(p) == 1) {
        cout << "NO\n";
        return 0;
    }

    cout << "YES\n";
    int p1 = *p.begin();
    int p2 = *(++p.begin());

    int a;
    for (int b = 0; b < p1; ++b) {
        int s = n - 1 - b * p2;
        if (s % p1 == 0) {
            a = s / p1;
            break;
        }
    }

    int b = (n - 1 - a * p1) / p2;

    cout << "2\n";
    cout << a << " " << n / p1 << "\n";
    cout << b << " " << n / p2 << "\n";

}
