#include <iostream>
#include <set>
#include <vector>
#include <algorithm>

using namespace std;

int gcd(int a,int b)
{
    if (!b)
        return a;
    return gcd(b,a%b);
}

long long int lcm(int a,int b)
{
    return a*1ll*b/gcd(a,b);
}

int gcd(int a,int b,int &x,int& y)
{
    if (a==0)
    {
        x=0,y=1;
        return b;
    }
    int x1,y1;
    int d=gcd(b%a,a,x1,y1);
    x=y1-(b/a)*x1;
    y=x1;
    return d;
}

vector<int> divisors;

int main()
{
    int n;
    cin >> n;
    for (int i=2;i*i<=n;i++)
    {
        if (n%i==0)
        {
            divisors.push_back(i);
            if (i!=n/i)
            {
                divisors.push_back(n/i);
            }
        }
    }

    for (auto x:divisors)
    {
        int y=n/x;
        if (y==x)
            continue;
        if (lcm(x,y)!=n)
            continue;
        int a,b;
        gcd(x,y,a,b);
        long long int A=a*1ll*(n-1),B=b*1ll*(n-1);
        if (A<0)
        {
            int dA=y,dB=-x;
            long long int w=abs(A)/dA;
            A+=dA*w;
            B+=dB*w;
            while(A<0)
            {
                A+=dA;
                B+=dB;
            }
        }
        if (B<0)
        {
            int dA=-y,dB=x;
            long long int w=abs(B)/dB;
            A+=dA*w;
            B+=dB*w;
            while(B<0)
            {
                A+=dA;
                B+=dB;
            }
        }

        cout << "YES" << endl;
        cout << 2 << endl;
        cout << B << ' ' << x << endl;
        cout << A << ' ' << y << endl;

        return 0;
    }
    cout << "NO";

    return 0;
}
