#include <iostream>
#include <vector>
#include <assert.h>
#include <algorithm>

#include <bitset>

using namespace std;

int mat[11][11];

vector<int> comps[11];
int cnum[11];

int cgr[11][11];

int clr[11];

int c=1;

vector<int> topsort;

void dfs(int u)
{
    clr[u]=1;
    for (int v=1;v<=c;v++)
    {
        if (cgr[u][v]&&!clr[v])
        {
            dfs(v);
        }
    }
    topsort.push_back(u);
}

int pos[11];

int enter[11];

char ans[111][111][111];

void draw(int a)
{
    for (int x=pos[a];x<pos[a]+6;x++)
    {
        for (int y=pos[a];y<pos[a]+6;y++)
        {
            ans[x][y][pos[a]]='#';
        }
    }
    for (int x=pos[a];x<pos[a]+6;x++)
    {
        ans[pos[a]][x][pos[a]+1]='#';
        ans[pos[a]][x][pos[a]+2]='#';

        ans[pos[a]+5][x][pos[a]+1]='#';
        ans[pos[a]+5][x][pos[a]+2]='#';

        ans[x][pos[a]][pos[a]+1]='#';
        ans[x][pos[a]][pos[a]+2]='#';

        ans[x][pos[a]+5][pos[a]+1]='#';
        ans[x][pos[a]+5][pos[a]+2]='#';
    }

    ans[pos[a]][pos[a]+1][pos[a]+1]='.';
    ans[pos[a]][pos[a]+1][pos[a]+2]='.';

    for (int i=0;i<comps[a].size();i++)
    {
        int dx=i%4,dy=i/4;
        ans[pos[a]+1+dx][pos[a]+1+dy][pos[a]+1]=comps[a][i]+'0';
    }

    for (int y=1;y<=pos[a];y++)
    {
        ans[y][pos[a]][pos[a]]='#';
        ans[y][pos[a]+1][pos[a]]='#';
        ans[y][pos[a]+2][pos[a]]='#';
        ans[y][pos[a]][pos[a]+1]='#';
        ans[y][pos[a]+2][pos[a]+1]='#';
        ans[y][pos[a]][pos[a]+2]='#';
        ans[y][pos[a]+2][pos[a]+2]='#';
    }

    for (int v=1;v<=c;v++)
    {
        if (v!=a&&cgr[a][v])
        {
            for (int j=pos[v]+2;j<=pos[a];j++)
            {
                ans[pos[v]+0][j][pos[a]]='#';
                ans[pos[v]+1][j][pos[a]]='#';
                ans[pos[v]+2][j][pos[a]]='#';
                ans[pos[v]+0][j][pos[a]+1]='#';
                ans[pos[v]+2][j][pos[a]+1]='#';
                ans[pos[v]+0][j][pos[a]+2]='#';
                ans[pos[v]+2][j][pos[a]+2]='#';
                ans[pos[v]+1][j][pos[a]+1]='.';
                ans[pos[v]+1][j][pos[a]+2]='.';

            }
        }
    }

}

int main()
{
    int n;
    cin >> n;
    for (int i=0;i<=100;i++)
        for (int j=0;j<=100;j++)
            for (int k=0;k<=100;k++)
                ans[i][j][k]='.';

    for (int i=1;i<=n;i++)
    {
        for (int j=1;j<=n;j++)
        {
            cin >> mat[i][j];
        }
    }

    for (int i=1;i<=n;i++)
    {
        for (int j=1;j<=n;j++)
        {
            if (!mat[i][j])
                mat[i][j]=10000;
        }
        mat[i][i]=0;
    }
    for (int k=1;k<=n;k++)
    {
        for (int i=1;i<=n;i++)
        {
            for (int j=1;j<=n;j++)
            {
                mat[i][j]=min(mat[i][j],mat[i][k]+mat[k][j]);
            }
        }
    }
    for (int i=1;i<=n;i++)
    {
        if (!cnum[i])
        {
            cnum[i]=c;
            comps[c].push_back(i);
            for (int j=1;j<=n;j++)
            {
                if (i==j)
                    continue;
                if (mat[i][j]<10000&&mat[j][i]<10000)
                {
                    cnum[j]=c;
                    comps[c].push_back(j);
                }
            }
            c++;
        }
    }
    --c;

    for (int i=1;i<=n;i++)
    {
        for (int j=1;j<=n;j++)
        {
            if (mat[i][j]<10000)
            {
                cgr[cnum[i]][cnum[j]]=1;
            }
        }
    }

    for (int i=1;i<=n;i++)
    {
        if (!clr[i])
            dfs(i);
    }

    int now=1;
    for (auto a:topsort)
    {
        pos[a]=now;
        enter[a]=now+1;
        now+=6;
        draw(a);
    }

    int sz=6*c;

    cout << sz << ' ' << sz << ' ' << sz << endl;

    for (int z=1;z<=sz;z++)
    {
        for (int i=1;i<=sz;i++)
        {
            for (int j=1;j<=sz;j++)
            {
                cout << char(ans[i][j][z]);
            }
            cout << endl;
        }
        cout << endl;
    }

    return 0;
}
/*

4
0 1 0 1
0 0 1 0
0 1 0 0
1 0 0 0

3
0 0 1
0 0 1
0 0 0

*/
