#include <bits/stdc++.h>

#define mp make_pair
#define ff first
#define ss second
#define val(v) ((v).first - (v).second)

using std::cin;
using std::cout;
using std::endl;
using std::ios_base;
using std::vector;
using std::pair;
using std::make_pair;
using std::reverse;
using std::swap;
using std::max;

const int maxv = 201;
bool can[maxv][maxv][4][4];
int prev[maxv][maxv][4][4];

int needsc[] = {0, 25, 25, 25, 25, 15};

void calc_dp() {
    for (int x = 0; x + 2 < maxv; x++) {
        int sa = max(25, x + 2);
        int sb = x;

        can[sa][sb][1][0] = true;
        prev[sa][sb][1][0] = x + 1;
        can[sb][sa][0][1] = true;
        prev[sb][sa][0][1] = -x - 1;
    }

    for (int x = 0; x < 4; x++) {
        for (int y = 0; y < 4; y++) {
            if (x + y <= 1)
                continue;
            if (x == 3 && y == 3)
                continue;
            for (int a = 0; a < maxv; a++) {
                for (int b = 0; b < maxv; b++) {
                    for (int v = 0; v + 2 < maxv && !can[a][b][x][y]; v++) {
                        if (y < 3 && x > 0) {
                            int sa = max(needsc[x + y], v + 2);
                            int sb = v;

                            if (sa > a || sb > b)
                                continue;
                            if (!can[a][b][x][y] && can[a - sa][b - sb][x - 1][y]) {
                                can[a][b][x][y] = true;
                                prev[a][b][x][y] = v + 1;
                            }
                        }
                        if (x < 3 && y > 0) {
                            int sa = v;
                            int sb = max(needsc[x + y], v + 2);

                            if (sa > a || sb > b)
                                continue;
                            if (!can[a][b][x][y] && can[a - sa][b - sb][x][y - 1]) {
                                can[a][b][x][y] = true;
                                prev[a][b][x][y] = -v - 1;
                            }
                        }
                    }
                }
            }
        }
    }
}


int main() {
    calc_dp();    

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int m;
    cin >> m;
    for (int i = 0; i < m; i++) {
        int a, b;
        cin >> a >> b;

        int bsa = 0, bsb = 4;
        for (int x = 0; x < 4; x++) {
            for (int y = 0; y < 4; y++) {
                if ((x == 3 || y == 3) && can[a][b][x][y] && x - y > bsa - bsb) {
                    bsa = x;
                    bsb = y;
                }
            }
        }

        if (bsb == 4) {
            cout << "Impossible" << endl;
        } else {
            cout << bsa << ":" << bsb << endl;
            vector<pair<int, int> > vec;
            while (bsa + bsb > 0) {                                                                             
                int v = abs(prev[a][b][bsa][bsb]) - 1;
                int sa = max(needsc[bsa + bsb], v + 2);
                int sb = v;
                //cout << a << " " << b << " " << bsa << " " << bsb << " " << v << " " << sa << " " << sb << " " << can[a][b][bsa][bsb] << endl;
                if (prev[a][b][bsa][bsb] < 0)
                    swap(sa, sb);
                vec.push_back(mp(sa, sb));
                a -= sa;
                b -= sb;
                if (sa < sb)
                    bsb--;
                else
                    bsa--;
            }
            reverse(vec.begin(), vec.end());
            for (auto p : vec)
                cout << p.ff << ":" << p.ss << " ";
            cout << endl;
        }
    }
    return 0;
}