#include <bits/stdc++.h>
#define mp make_pair

using namespace std;

int dist[40001];
int pr[40001];
const int INF = 1000000000;

int main() {
    int n;
    cin >> n;
    int N = n;
    int s = n - 1;
    vector<int> d;
    for (int i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            d.push_back(i);
            while (n % i == 0) {
                n /= i;
            }
        }
    }
    if (n > 1) {
        d.push_back(n);
    }
    if (d.size() == 1) {
        cout << "NO\n";
        return 0;
    }
    int b = d[0];

    dist[0] = 0;
    for (int i = 1; i < b; i++) {
        dist[i] = INF;
    }
    set<pair<int, int>> st;
    st.insert(mp(dist[0], 0));
    while (!st.empty()) {
        auto p = *st.begin();
        st.erase(p);
        for (int j = 1; j < (int) d.size(); j++) {
            int d1 = d[j];
            int len = (p.second + d1) / b;
            int to = (p.second + d1) % b;
            if (dist[to] > p.first + len) {
                st.erase(mp(dist[to], to));
                dist[to] = p.first + len;
                pr[to] = d1;
                st.insert(mp(dist[to], to));
            }
        }
    }
    if (s / b < dist[s % b]) {
        cout << "NO";
        return 0;
    }

    vector<int> cnt(d.size());
    cnt[0] = s / b - dist[s % b];
    while (s % b != 0) {
        int d1 = pr[s % b];
        for (int j = 1; j < (int) d.size(); j++) {
            if (d1 == d[j]) {
                cnt[j]++;
            }
        }
        s -= d1;
    }
    vector<pair<int, int>> ans;
    for (int i = 0; i < (int) d.size(); i++) {
        if (cnt[i] != 0) {
            ans.push_back(mp(cnt[i], N / d[i]));
        }
    }
    cout << "YES\n" << ans.size() << "\n";
    for (auto p: ans) {
        cout << p.first << " " << p.second << "\n";
    }
    return 0;
}