#include <bits/stdc++.h>

using namespace std;

int d[10][10];

bool used[10];

int main() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> d[i][j];
        }
    }
    for (int k = 0; k < n; k++) {
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                d[i][j] |= d[i][k] && d[k][j];
            }
        }
    }
    vector<vector<int>> comps;
    for (int i = 0; i < n; i++) {
        if (!used[i]) {
           used[i] = 1;
           comps.push_back({i});
           for (int j = i + 1; j < n; j++) {
               if (d[i][j] && d[j][i]) {
                    used[j] = 1;
                    comps.back().push_back(j);
               }
           }
        }
    }
//    cerr << "Hello\n";
    for (int i = 0; i < comps.size(); i++) {
        for (int j = i + 1; j < comps.size(); j++) {
            if (d[comps[j][0]][comps[i][0]]) {
                swap(comps[i], comps[j]);
            }
        }
    }
  //  cerr << "Hello\n";
    int len = 3 * n;
    int width = 4;
    int depth = 2 * comps.size();
    cout << len << " " << width << " " << depth << "\n";
    for (int i = 0; i < comps.size(); i++) {
        //level 1
        for (int v: comps[i]) {
            cout << v + 1;
        }
        for (int j = comps[i].size(); j < len; j++) {
            cout << ".";
        }
        cout << "\n";
        for (int j = 0; j < comps.size(); j++) {
            if (j < i + 1 || d[comps[i][0]][comps[j][0]]) {
                cout << "...";
            } else {
                cout << "###";
            }
        }
        for (int j = 3 * comps.size(); j < len; j++) {
            cout << ".";
        }
        cout << "\n";
        for (int j = 0; j < comps.size(); j++) {
            if (j < i + 1 || d[comps[i][0]][comps[j][0]]) {
                cout << "...";
            } else {
                cout << "#.#";
            }
        }
        for (int j = 3 * comps.size(); j < len; j++) {
            cout << ".";
        }
        cout << "\n";
        for (int j = 0; j < comps.size(); j++) {
            if (j < i + 1 || d[comps[i][0]][comps[j][0]]) {
                cout << "...";
            } else {
                cout << "###";
            }
        }
        for (int j = 3 * comps.size(); j < len; j++) {
            cout << ".";
        }
        cout << "\n";
        cout << "\n";

        //level 2
        for (int j = 0; j < len; j++) {
            cout << "#";
        }
        cout << "\n";
        for (int j = 0; j < len; j++) {
            cout << "#";
        }
        cout << "\n";
        for (int j = 0; j < comps.size(); j++) {
            if (j >= i + 1 && d[comps[i][0]][comps[j][0]]) {
                cout << "#.#";
            } else {
                cout << "###";
            }
        }
        for (int j = 3 * comps.size(); j < len; j++) {
            cout << "#";
        }
        cout << "\n";
        for (int j = 0; j < len; j++) {
            cout << "#";
        }
        cout << "\n";
        cout << "\n";
    }
    return 0;
}