#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

const int fv = 5;
const int fr = 4;
const int two = 2;
const int M = 210;

vector<pair<int, int> > good[fv][two];
vector<int> mx = {25, 25, 25, 25, 15};

bool dp[fr][fr][M][M];
tuple<int, int, int, int> pr[fr][fr][M][M];
vector<pair<int, int> > ord = {{3, 0}, {3, 1}, {3, 2}, {2, 3}, {1, 3}, {0, 3}};
vector<pair<int, int> > ans;

void gen(int kx, int ky, int x, int y)
{
    if (kx + ky == 0) return;
    int gkx = get<0>(pr[kx][ky][x][y]);
    int gky = get<1>(pr[kx][ky][x][y]);
    int gx = get<2>(pr[kx][ky][x][y]);
    int gy = get<3>(pr[kx][ky][x][y]);
    gen(gkx, gky, gx, gy);
    ans.push_back(make_pair(x - gx, y - gy));
}

bool check(int kx, int ky, int x, int y)
{
    if (dp[kx][ky][x][y])
    {
        ans.clear();
        gen(kx, ky, x, y);
        cout << kx << ":" << ky << "\n";
        for (pair<int, int> t : ans)
            cout << t.first << ":" << t.second << " ";
        cout << "\n";
    }
}

void solve()
{
    int x, y;
    cin >> x >> y;
    for (pair<int, int> t : ord)
        if (check(t.first, t.second, x, y))
            return;
    cout << "Impossible\n";
}

int main()
{
    #ifdef ONPC
        freopen("a.in", "r", stdin);
        freopen("a.out", "w", stdout);
    #endif
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    for (int i = 0; i < 5; i++)
        for (int x = 0; x < M; x++)
            for (int y = 0; y < M; y++)
                if (x > y && x >= mx[i])
                {
                    if (x == mx[i] && y < mx[i] - 1)
                    {
                        good[i][0].push_back(make_pair(x, y));
                        good[i][1].push_back(make_pair(y, x));
                        continue;
                    }
                    if (y == x - 2)
                    {
                        good[i][0].push_back(make_pair(x, y));
                        good[i][1].push_back(make_pair(y, x));
                        continue;
                    }
                }
    memset(dp, 0, sizeof(dp));
    dp[0][0][0][0] = 1;
    for (int i = 0; i < fr; i++)
        for (int j = 0; j < fr; j++)
            for (int x = 0; x < M; x++)
                for (int y = 0; y < M; y++)
                    if (i + j < 5 && dp[i][j][x][y])
                    {
                        if (i < 3)
                            for (pair<int, int> t : good[i + j][0])
                                if (t.first + x < M && t.second + y < M && !dp[i + 1][j][x + t.first][y + t.second])
                                {
                                    dp[i + 1][j][x + t.first][y + t.second] = true;
                                    pr[i + 1][j][x + t.first][y + t.second] = make_tuple(i, j, x, y);
                                }
                        if (j < 3)
                            for (pair<int, int> t : good[i + j][1])
                                if (t.first + x < M && t.second + y < M && !dp[i][j + 1][x + t.first][y + t.second])
                                {
                                    dp[i][j + 1][x + t.first][y + t.second] = true;
                                    pr[i][j + 1][x + t.first][y + t.second] = make_tuple(i, j, x, y);
                                }
                    }

    int T;
    cin >> T;
    while (T--) solve();
    return 0;
}
