#include <bits/stdc++.h>

using namespace std;

double workTime() {
    return clock() / CLOCKS_PER_SEC;
}

void myReturn(int _code = 0) {
#ifdef LOCAL
    printf("\n\nTime = %.3lf\n", workTime());
#endif
    exit(_code);
}

bool dp[201][201][4][4];
pair <int, int> par[201][201][4][4];

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    dp[0][0][0][0] = true;
    for (int a = 0; a <= 200; ++a) {
        for (int b = 0; b <= 200; ++b) {
            for (int i = 0; i < 3; ++i) {
                for (int j = 0; j < 3; ++j) {
                    if (!dp[a][b][i][j]) continue;
                    if (i == 2 && j == 2) {
                        for (int x = 0; x <= 13 && a <= 185 && b + x <= 200; ++x) {
                            dp[a + 15][b + x][i + 1][j] = true;
                            par[a + 15][b + x][i + 1][j] = {a, b};
                        }
                        for (int x = 16; a + x <= 200 && b + x <= 202; ++x) {
                            dp[a + x][b + x - 2][i + 1][j] = true;
                            par[a + x][b + x - 2][i + 1][j] = {a, b};
                        }
                        for (int x = 0; x <= 13 && a + x <= 200 && b <= 185; ++x) {
                            dp[a + x][b + 15][i][j + 1] = true;
                            par[a + x][b + 15][i][j + 1] = {a, b};
                        }
                        for (int x = 16; a + x <= 202 && b + x <= 200; ++x) {
                            dp[a + x - 2][b + x][i][j + 1] = true;
                            par[a + x - 2][b + x][i][j + 1] = {a, b};
                        }
                        continue;
                    }
                    if (i < 3) {
                        for (int x = 0; x <= 23 && a <= 175 && b + x <= 200; ++x) {
                            dp[a + 25][b + x][i + 1][j] = true;
                            par[a + 25][b + x][i + 1][j] = {a, b};
                        }
                        for (int x = 26; a + x <= 200 && b + x <= 202; ++x) {
                            dp[a + x][b + x - 2][i + 1][j] = true;
                            par[a + x][b + x - 2][i + 1][j] = {a, b};
                        }
                    }
                    if (j < 3) {
                        for (int x = 0; x <= 23 && a + x <= 200 && b <= 175; ++x) {
                            dp[a + x][b + 25][i][j + 1] = true;
                            par[a + x][b + 25][i][j + 1] = {a, b};
                        }
                        for (int x = 26; a + x <= 202 && b + x <= 200; ++x) {
                            dp[a + x - 2][b + x][i][j + 1] = true;
                            par[a + x - 2][b + x][i][j + 1] = {a, b};
                        }
                    }
                }
            }
        }
    }

    int CASE;
    cin >> CASE;
    while (CASE-- > 0) {
        int a, b;
        cin >> a >> b;
        bool found = false;
        for (int i = 0; i <= 3 && !found; ++i) {
            for (int j = 0; j <= 3 && !found; ++j) {
                if (max(i, j) != 3) continue;
                if (dp[a][b][i][j]) {
                    int scoreA = i, scoreB = j;
                    vector <pair <int, int> > ans;
                    while (i + j > 0) {
                        int foo = a - par[a][b][i][j].first, bar = b - par[a][b][i][j].second;
                        ans.push_back({foo, bar});
                        a -= foo, b -= bar;
                        if (foo > bar) --i; else --j;
                    }
                    cout << scoreA << ":" << scoreB << "\n";
                    for (int i = scoreA + scoreB - 1; i >= 0; --i) {
                        cout << ans[i].first << ":" << ans[i].second;
                        if (i > 0) {
                            cout << " ";
                        }
                        else {
                            cout << "\n";
                        }
                    }
                    found = true;
                }
            }
        }
        if (!found) {
            cout << "Impossible\n";
        }
    }

    myReturn();
}