#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include<algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdio>
#include<cstring>
#include<ctime>
#include<deque>
#include<functional>
#include<iomanip>
#include<iostream>
#include<map>
#include<queue>
#include<random>
#include<stack>
#include<set>
#include<string>
#include<unordered_map>
#include<unordered_set>
#include<vector>

using namespace std;

typedef long long lint;

#define For(i, n) for (int (i)= 0; (i) < (int)(n); (i)++)
#define sz(x) (int)(x).size()
#define all(v) (v).begin(), (v).end()

//#pragma comment(linker, "/STACK:16777216")

pair<lint, lint> gcd_extended(lint a, lint b)
{
	if (b == 0)
		return { 1, 0 };
	lint x, y;
	tie(x, y) = gcd_extended(b, a % b);
	return { y, x - y * (a / b) };
}

vector<pair<lint, lint>> get_divisors(lint n)
{
	vector<pair<lint, lint>> divisors;
	for (lint i = 2; i * i <= n; ++i)
	{
		if (n % i)
			continue;
		divisors.emplace_back(i, 0);
		while (n % i == 0)
		{
			n /= i;
			divisors.back().second++;
		}
	}
	if (n > 1)
		divisors.emplace_back(n, 1);
	return divisors;
}

lint mod(lint a, lint b)
{
	a %= b;
	if (a < 0)
		a += b;
	return a;
}

lint dv(lint a, lint b)
{
	return (a - mod(a, b)) / b;
}

void solve() {
	lint n;
	cin >> n;
	vector<pair<lint, lint>> divisors = get_divisors(n);
	if (sz(divisors) == 1)
	{
		cout << "NO\n";
		return;
	}
	lint a = 1, b = 1;
	For(i, sz(divisors) - 1)
		For(j, divisors[i].second)
			a *= divisors[i].first;
	For(j, divisors.back().second)
		b *= divisors.back().first;
	lint x, y;
	tie(x, y) = gcd_extended(a, b);
	lint t = dv(x, b);
	x -= t * b;
	y += t * a;
	cout << "YES\n2\n" << b - x << ' ' << b << '\n' << (-y) << ' ' << a << '\n';
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#ifdef LOCAL
	freopen("input.txt", "rt", stdin);
	freopen("output.txt", "wt", stdout);
#endif
	solve();
#ifdef LOCAL
	printf("\n\n%.3lf\n", (double)clock() / CLOCKS_PER_SEC);
#endif
}
