#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include<algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdio>
#include<cstring>
#include<ctime>
#include<deque>
#include<functional>
#include<iomanip>
#include<iostream>
#include<map>
#include<queue>
#include<random>
#include<stack>
#include<set>
#include<string>
#include<unordered_map>
#include<unordered_set>
#include<vector>

using namespace std;

typedef long long lint;

#define For(i, n) for (int (i)= 0; (i) < (int)(n); (i)++)
#define sz(x) (int)(x).size()
#define all(v) (v).begin(), (v).end()

//#pragma comment(linker, "/STACK:16777216")

void solve() {
	int n, k;
	cin >> n >> k;
	vector<int> a(n);
	vector<lint> b(n);
	vector<multiset<lint>> buckets(k);
	For(i, n) {
		cin >> a[i];
		a[i]--;
	}
	For(i, n) {
		cin >> b[i];
	}
	For(i, n) {
		buckets[a[i]].insert(b[i]);
	}

	multiset<lint> free;
	int cnt = 0;
	For(i, k) {
		if (buckets[i].empty())
			cnt++;
		while (buckets[i].size() > 1) {
			free.insert(*buckets[i].begin());
			buckets[i].erase(buckets[i].begin());
		}
	}

	lint ans = 0;
	For(i, cnt) {
		ans += *free.begin();
		free.erase(free.begin());
	}
	cout << ans << endl;
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#ifdef LOCAL
	freopen("input.txt", "rt", stdin);
	freopen("output.txt", "wt", stdout);
#endif
	solve();
#ifdef LOCAL
	printf("\n\n%.3lf\n", (double)clock() / CLOCKS_PER_SEC);
#endif
}
