#define _CRT_SECURE_NO_WARNINGS
#pragma comment(linker, "/STACK:167772160000")
#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cassert>
#include <climits>
#include <cmath>
#include <algorithm>
#include <cstring>
#include <string>
#include <vector>
#include <list>
#include <stack>
#include <set>
#include <bitset>
#include <queue>
#include <map>
#include <sstream>
#include <functional>
#include <unordered_map>
#include <unordered_set>
#include <complex>
#include <random>
#include <chrono>
using namespace std;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
template <typename T> using min_heap = priority_queue<T, vector<T>, greater<T>>;
template <typename T> using max_heap = priority_queue<T, vector<T>, less<T>>;
// prints
#define FAST_IO ios_base::sync_with_stdio(false); cin.tie(NULL)
#define FOR(i, begin, end) for(int i = (begin)-((begin)>(end));i!=(end)-((begin)>(end));i+=1-2*((begin)>(end)))
#define pb push_back

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	int n, k;
	cin >> n >> k;
	vector<int> a(n), b(n);
	vector<vector<int>> pers(k);
	set<int> S;
	FOR(i, 0, k) {
		S.insert(i);
	}
	for (auto& x : a) {
		cin >> x;
		S.erase(x - 1);
	}
	FOR(i, 0, n) {
		cin >> b[i];
		pers[a[i] - 1].pb(b[i]);
	}
	vector<int> avail;
	FOR(i, 0, k) {
		if (pers[i].empty()) continue;
		sort(pers[i].begin(), pers[i].end());
		FOR(j, 0, (int)pers[i].size() - 1) {
			avail.pb(pers[i][j]);
		}
	}
	sort(avail.begin(), avail.end());
	ll s = 0;
	int id = 0;
	while (!S.empty()) {
		s += avail[id++];
		S.erase(*S.begin());
	}
	cout << s << endl;


	return 0;
}