#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef long double ld;
typedef __int128 ell;

const int MAX_N = 1e5 + 9;

int jobs[MAX_N];
int cheliks[MAX_N];

int freeCheliksNum = 0;
int freeCheliks[MAX_N];

void solve() {
    int n, k;
    cin >> n >> k;

    for(int i = 1; i <= n; ++i)
        cin >> cheliks[i];

    for(int i = 1; i <= n; ++i)
    {
        int currentTime;
        cin >> currentTime;

        if(currentTime > jobs[cheliks[i]])
        {
            if(jobs[cheliks[i]] != 0)
                freeCheliks[freeCheliksNum++] = jobs[cheliks[i]];

            jobs[cheliks[i]] = currentTime;
        }
        else
            freeCheliks[freeCheliksNum++] = currentTime;
    }

    sort(freeCheliks, freeCheliks + freeCheliksNum);
/*
    for(int i = 0; i < freeCheliksNum; ++i)
        cout << freeCheliks[i] << " ";
    cout << endl;
*/
    long long int answer = 0;
    for(int i = 1, j = 0; i <= k; ++i)
    {
        //cout << jobs[i] << " " << freeCheliks[j] << "\n";
        if(jobs[i] == 0)
            answer += freeCheliks[j++];
    }

    cout << answer;
}

int main() {
#ifdef ONLY_HERE
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif // ONLY_HERE
    ios_base::sync_with_stdio(false);
    cout.tie(0);
    cin.tie(0);

    int tests = 1;

    while(tests--) {
        solve();
    }

    return 0;
}
