#include <bits/stdc++.h>

#define f first
#define s second
#define fst first
#define snd second
#define pb push_back
#define mp make_pair
#define eb emplace_back
#define all(x) (x).begin(),(x).end()
#define sz(x) ((x).size())

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;

const int maxn = (int) 555;
const int base = (int) 1e9 + 7;
const ld eps = (ld) 1e-7;
const int inf = (int) 1e9 + 5;
const ll llinf = 1e18;

bool cand[maxn];
int d[maxn][maxn];
vector<int> g[maxn];

template<typename T> inline bool upmin(T& a, T b) {
    if (b >= a) return false;
    a = b;
    return true;
}

template<typename T> inline bool upmax(T& a, T b) {
    if (b <= a) return false;
    a = b;
    return true;
}

int main() {
   // freopen("input.txt", "r", stdin);

    ios_base::sync_with_stdio(0);

    int n, m;
    cin >> n >> m;
    for (int i = 0; i < m; i++) {
        int k;
        cin >> k;
        int p = -1;
        for (int i = 0; i < k; i++) {
            int x;
            cin >> x;
            x--;
            if (~p) {
                g[x].pb(p);
                g[p].pb(x);
            }
            p = x;
        }
    }

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) d[i][j] = +inf;
        d[i][i] = 0;
        vector<int> q;
        q.pb(i);
        for (int j = 0; j < sz(q); j++) {
            int cur = q[j];
            for (int to : g[cur]) {
                if (d[i][cur] + 1 < d[i][to]) {
                    d[i][to] = d[i][cur] + 1;
                    q.pb(to);
                }
            }
        }
    }

    string trash;
    getline(cin, trash);


    for (int test = 0; test < n; test++) {
        for (int i = 0; i < n; i++) cand[i] = true;
        for (int i = 0; i < 10; i++) {
            int best = +inf;
            int best_u = -1;
            for (int u = 0; u < n; u++) {
                int worst = 0;
                for (int w : g[u]) {
                    int lft = 0;
                    for (int v = 0; v < n; v++) {
                        lft += (cand[v] && d[v][w] < d[v][u]);
                    }
                    upmax(worst, lft);
                }
                if (upmin(best, worst)) {
                    best_u = u;
                }
            }
            cout << best_u + 1 << endl;
            string resp;
            getline(cin, resp);
            if (resp == "FOUND") break;
            int w = 0;
            for (char c : resp) {
                if (c < '0' || c > '9') continue;
                w = 10 * w + c - '0';
            }
            w--;
            vector<int> kek;
            for (int v = 0; v < n; v++) {
                cand[v] &= (d[v][w] < d[v][best_u]);
                if (cand[v] && sz(kek) < 2) kek.pb(v);
            }
            if (sz(kek) == 1) {
                cout << kek.back() + 1 << endl;
                string resp;
                getline(cin, resp);
                assert(resp == "FOUND");
                break;
            }
        }
    }

    return 0;
}
