#include <bits/stdc++.h>

#define f first
#define s second
#define fst first
#define snd second
#define pb push_back
#define mp make_pair
#define eb emplace_back
#define all(x) (x).begin(),(x).end()
#define sz(x) ((x).size())

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;

const int maxn = (int) 3e5 + 100;
const int base = (int) 1e9 + 7;
const ld eps = (ld) 1e-7;
const ll llinf = 1e18;

int dx[4] = {0, 1, 0, -1};
int dy[4] = {1, 0, -1, 0};

bool us[8][8];
int dir;

void __next(int& x, int& y) {
    int nx = x + dx[dir], ny = y + dy[dir];
    if (nx < 0 || nx >= 7 || ny < 0 || ny > 7 || us[nx][ny]) {
        dir = (dir + 1) % 4;
        nx = x + dx[dir];
        ny = y + dy[dir];
    }

    if (nx < 0 || nx >= 7 || ny < 0 || ny > 7 || us[nx][ny]) {
        x = -1, y = -1;
        return;
    }

    x = nx, y = ny;
    us[x][y] = 1;
}

void solve() {
    int n;
    cin >> n;

    if (n == 2) {
        puts("a1 h1 h8");
        return;
    }

    if (n == 15) {
        puts("a1 a2 a3 a4 a5 a6 a7 a8 b8 b7 b6 b5 b4 b3 h3 h8");
        return;
//        exit(228);
    }

    int x = 0, y = 0;
    int cnt = n - 2;

    vector<pair<int, int> > ans;
    ans.pb(mp(0, 0));
    us[0][0] = 1;

    bool fin = 0;
    while (cnt) {
        int ox = x, oy = y;
        __next(x, y);
        if (x == -1 && y == -1) {
            x = ox, y = oy;
            fin = 1;
            break;
        }
        ans.pb(mp(x, y));
        cnt--;
    }

    if (!fin) {
        if (y == 7) {
            ans.pb(mp(6, 7));
            ans.pb(mp(7, 7));
        } else {
            ans.pb(mp(7, y));
            ans.pb(mp(7, 7));
        }
    } else {
//        cout << x << ' ' << y;
//        cout << "kek";
//        exit(0);
        ans.pb(mp(7, y));
        cnt += 1;
        assert(cnt > 0);

//        cout << cnt;
//        exit(0);

        vector<pair<int, int> > unu;
        for (int i = 7; cnt && i >= 0; i--)
            if (i != y) {
                cnt--;
                unu.pb(mp(7, i));
            }
        reverse(all(unu));
        for (int i = 0; i < unu.size(); i++)
            ans.pb(unu[i]);
//        for (int i = 0; i < 8; i++) {
//            if (i == y) continue;
//            ans.pb(mp(7, i));
//        }
    }

    assert(ans.size() == n + 1);
    for (auto e : ans) {
        char a = e.f + 'a';
        char b = e.s + '1';
        cout << a << b << ' ';
    }
}

int main() {
//    freopen("input.txt", "r", stdin);

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();

    return 0;
}
