#include <bits/stdc++.h>

#define f first
#define s second
#define fst first
#define snd second
#define pb push_back
#define mp make_pair
#define eb emplace_back
#define all(x) (x).begin(),(x).end()
#define sz(x) ((x).size())

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;

const int maxn = (int) 3e5 + 100;
const int base = (int) 1e9 + 7;
const ld eps = (ld) 1e-7;
const int inf = (int) 1e9 + 5;
const ll llinf = 1e18;

vector<int> g[10], gr[10];

bool used[10];

vector<int> order;
void dfs(int v) {
    used[v] = 1;
    for (int to : g[v])
        if (!used[to])
            dfs(to);
    order.pb(v);
}

bool a[10][10], e[10][10];
int cmp[10];
vector<int> vertex[10];

void dfs2(int v, int p) {
    vertex[p].pb(v);
    cmp[v] = p;
    used[v] = 1;

    for (int to : gr[v])
        if (!used[to])
            dfs2(to, p);
}

int id[10][10];

int main() {
//    freopen("input.txt", "r", stdin);

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++) {
            cin >> a[i][j];
            if (a[i][j]) {
                g[i].pb(j);
                gr[j].pb(i);
            }
        }

    for (int i = 0; i < n; i++)
        if (!used[i])
            dfs(i);

    reverse(all(order));

    int cnt = 0;
    memset(used, 0, sizeof(used));
    for (int i = 0; i < order.size(); i++) {
        int v = order[i];
        if (!used[v]) {
            dfs2(v, cnt);
            cnt += 1;
        }
    }

    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++) {
            if (a[i][j] && cmp[i] != cmp[j])
                e[cmp[i]][cmp[j]] = 1;
        }

    for (int i = 0; i < n; i++)
        g[i].clear();
    int cnte = 0;
    for (int i = 0; i < cnt; i++)
        for (int j = 0; j < cnt; j++)
            if (e[i][j]) {
                g[i].pb(j);
                id[i][j] = cnte;
                cnte += 1;
            }
    order.clear();
    memset(used, 0, sizeof(used));
    for (int i = 0; i < cnt; i++)
        if (!used[i])
            dfs(i);

    reverse(all(order));

    vector<string> tmpf, tmpe;
    string full, emp;

    const int sz = 200;

    for (int i = 0; i < sz; i++)
        full += '#', emp += '.';

    for (int i = 0; i < 3; i++) {
        tmpf.pb(full);
        tmpe.pb(emp);
    }
    vector<vector<string> > ans;
    for (int i = 0; i < order.size(); i++) {
        int v = order[i];

        vector<string> cur = tmpe;
        for (int i = 0; i < sz; i++)
            if (i % 2 == 1)
                cur[0][i] = '#';

        for (int j = 0; j < vertex[v].size(); j++) {
            cur[2][j] = char(vertex[v][j] + '1');
        }

        set<int> tr, fn;
        for (int fr = 0; fr < cnt; fr++)
            if (e[fr][v]) {
                int edge = id[fr][v];
                fn.insert(edge);
//                cur[0][edge * 2] = '#';
                /// next 0, edge * 2 = '#'
            }
        for (int nx = 0; nx < cnt; nx++) {
            if (e[v][nx]) {
                int edge = id[v][nx];
                ///
                /// next 0, edge * 2 = '.'
                tr.insert(edge);
            }
        }

        for (int i = 0; i < sz / 2; i++) {
            if (!tr.count(i) && !fn.count(i)) {
                cur[1][i * 2] = '#';
            }
        }

        ans.pb(cur);

        cur = tmpf;
        for (int i = 0; i < sz / 2; i++)
            cur[0][i * 2] = '.';
        for (int i : fn) {
            cur[0][i * 2] = '#';
        }
        ans.pb(cur);
    }

    for (auto e : ans) {
        for (auto s : e)
            cout << s << endl;
        cout << endl;
    }
    return 0;
}
