#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <cstdio>
#include <string>
#include <cassert>

#define mp make_pair
#define pb push_back

typedef long long ll;
typedef long double ld;

using namespace std;

const int nmax = 1000;
const int inf = 1000 * 1000;

int used[nmax], sz[nmax], isused[nmax];
string s;
int n, m;
int top = 1;
vector<int> cur, easy, a[nmax], aa[nmax], tc;

void dfs(int v, int p) {
	used[v] = top;
	cur.pb(v);
	for (auto u : a[v]) {
		if (used[u] == top && u != p) {
			for (int q = (int)cur.size() - 1; q >= 0 && cur[q] != u; q--) {
				easy.pb(cur[q]);
			}
			easy.pb(u);
		}
		else if (used[u] != top && used[u] != top + 1) {
			dfs(u, v);
		}
	}
	used[v] = top + 1;
	cur.pop_back();
}

int cnt = 0;

void dfsa(int v) {
	cnt++;
	sz[v] = 1;
	used[v] = top;
	for (int u : a[v]) {
		if (used[u] != top) {
			dfsa(u);
			sz[v] += sz[u];
		}
	}
}

void dfss(int v) {
	used[v] = 5;
	for (int u : a[v]) {
		if (used[u] != 5) {
			dfss(u);
		}
	}
}

void solve() {
	for (int i = 0; i < n; i++) {
		a[i] = aa[i];
	}
	int root = 0;
	bool f = true;
	int cc = 0;
	while (true) {
		for (int i = 0; i < n; i++) {
			used[i] = 0;
		}
		assert(cc < 10);
		cc++;
		f = false;
		easy.clear();
		tc.clear();
		dfs(root, -1);
		sort(easy.begin(), easy.end());
		easy.resize(unique(easy.begin(), easy.end()) - easy.begin());
		for (int i = 0; i < n; i++) {
			isused[i] = false;
		}
		for (int u : easy) {
			isused[u] = true;
			if (a[u].size() > 2) {
				tc.pb(u);
			}
		}
		for (int i = 0; i < n; i++) {
			used[i] = 0;
		}
		dfss(root);
		for (int i = 0; i < n; i++) {
			if (!isused[i] && used[i] == 5) {
				tc.pb(i);
			}
		}
		for (int i = 0; i < n; i++) {
			used[i] = 0;
		}
		dfsa(root);
		if (cnt == 1) {
			cout << root + 1 << endl;
			getline(cin, s);
			return;
		}
		int bestu = root;
		int bestans = inf;
		for (int u : tc) {
			int curans = cnt - sz[u];
			for (int v : a[u]) {
				if (sz[v] < sz[u]) {
					curans = max(curans, sz[v]);
				}
			}
			if (bestans > curans) {
				bestans = curans;
				bestu = u;
			}
		}
		for (int u : a[bestu]) {
			for (int j = 0; j < (int)a[u].size(); j++) {
				if (a[u][j] == bestu) {
					swap(a[u][j], a[u].back());
					a[u].pop_back();
					break;
				}
			}
		}
		a[bestu].clear();
		cout << bestu + 1 << endl;
		cin >> s;
		if (s == "FOUND") return;
		cin >> root;
		root--;
	}
}

vector<int> p;

int main()
{
	cin >> n >> m;
	for (int i = 0; i < m; i++) {
		int sz;
		cin >> sz;
		p.resize(sz);
		for (int j = 0; j < sz; j++) {
			cin >> p[j];
			p[j]--;
			if (j > 0) {
				aa[p[j - 1]].pb(p[j]);
				aa[p[j]].pb(p[j - 1]);
			}
		}
	}
	for (int i = 0; i < n; i++) {
		solve();
	}
}
