#include <bits/stdc++.h>

using namespace std;

using rl = long double;
using ll = long long;
using uint = unsigned int;

const int MAXN = 509;
int n, m;

struct Vertex{
    vector<int> to;
    int gr;
    int match;
}v[MAXN];

struct SolTree{
    map<int, int> answer;
    int query;
};
vector<SolTree> ss;

int CheckBFS(int a, int b, const vector<int>& lv)
{
    for (auto t : lv)
        v[t].match = 0;
    queue<int> qq;
    v[a].match = 1;
    v[b].match = 2;
    int cnt[3] = {0, 0, 0};
    qq.push(a);
    qq.push(b);
    while (qq.empty() == false)
    {
        int t = qq.front();
        qq.pop();
        cnt[v[t].match]++;
        for (auto te : v[t].to)
        {
            if (v[te].gr != v[t].gr)
                continue;
            if (v[te].match != 0)
                continue;
            v[te].match = v[t].match;
            qq.push(te);
        }
    }
    return cnt[2];
}

int iter;
int Solve(const vector<int>& lv)
{
    ss.push_back({});
    int it = ss.size() - 1;

    if (lv.size() == 1)
    {
        ss[it].query = lv.front();
        return it;
    }

    ++iter;
    for (auto t : lv)
        v[t].gr = iter;

    int bestV = 0, bestMinMaxGr;
    for (auto t : lv)
    {
        int maxGr = 0;
        for (auto te : v[t].to)
        {
            if (v[te].gr != iter)
                continue;
            int grS = CheckBFS(t, te, lv);
            maxGr = max(maxGr, grS);
        }
        if (bestV == 0 || maxGr < bestMinMaxGr)
        {
            bestV = t;
            bestMinMaxGr = maxGr;
        }
    }
    ss[it].query = bestV;
    // bestV atrasta
    for (auto te : v[bestV].to)
    {
        if (v[te].gr != iter)
            continue;
        int grS = CheckBFS(bestV, te, lv);
        vector<int> vertices;
        for (auto t2 : lv)
        {
            if (v[t2].match == 2)
            {
                vertices.push_back(t2);
            }
        }
        ss[it].answer[te] = Solve(vertices);
        ++iter;
        for (auto t : lv)
            v[t].gr = iter;
    }
    return it;
}

char tmp[101];
void DECIDE(int it)
{
    printf("%d\n", ss[it].query);
    fflush(stdout);
    scanf("%s", tmp);
    string t(tmp);
    if (t == "FOUND")
    {
        return;
    }
    int to;
    scanf("%d", &to);
    DECIDE(ss[it].answer[to]);
}

int main()
{
    scanf("%d %d", &n, &m);
    for (int i = 0; i < m; i++)
    {
        int k;
        scanf("%d", &k);
        k--;
        int prev;
        scanf("%d", &prev);
        while (k--)
        {
            int nxt;
            scanf("%d", &nxt);
            v[prev].to.push_back(nxt);
            v[nxt].to.push_back(prev);
            prev = nxt;
        }
    }

    vector<int> st;
    for (int i = 1; i <= n; i++)
        st.push_back(i);
    int root = Solve(st);

    for (int i = 1; i <= n; i++)
    {
        DECIDE(root);
    }

    return 0;
}
