#include <bits/stdc++.h>

using namespace std;

using rl = long double;
using ll = long long;
using uint = unsigned int;

#if 0
#define DEBUG(x) cout << "DEBUG: " << #x << " " << x << endl;
#else
#define DEBUG(x)
#endif // 1

int n, cntSCC;
vector<int> g[10], gt[10];
bool used[10];
int comp[10];
vector<int> order;

int cord[10];
char mm[3][1001];

void dfs1(int v)
{
    used[v] = true;
    for (auto t : g[v])
    {
        if (used[t])
            continue;
        dfs1(t);
    }
    order.push_back(v);
}

void dfs2(int v, int cl)
{
    comp[v] = cl;
    for (auto t : gt[v])
    {
        if (comp[t] != -1)
            continue;
        dfs2(t, cl);
    }
}

vector<int> scc()
{
    memset(used, 0, sizeof(used));
    for (int i = 1; i <= n; i++)
    {
        if (used[i])
            continue;
        dfs1(i);
    }
    memset(comp, -1, sizeof(comp));
    cntSCC = 0;
    for (int i = 1; i <= n; i++)
    {
        int v = order[n - i];
        if (comp[v] == -1)
            dfs2(v, cntSCC++);
    }
}

vector<int> oH;
vector<int> cH;

int main()
{
    scanf("%d", &n);
    for (int i = 1; i <= n; i++)
    {
        for (int j = 1; j <= n; j++)
        {
            int tmp;
            scanf("%d", &tmp);
            if (tmp == 1)
            {
                g[i].push_back(j);
                gt[j].push_back(i);
            }
        }
    }
    scc();
    DEBUG(cntSCC);
    int cid = 0;
    memset(cord, -1, sizeof(cord));
    for (int i = n - 1; i >= 0; i--)
    {
        int idx = order[i];

        if (cord[comp[idx]] == -1)
        {
            cord[comp[idx]] = cid++;
        }
    }
    for (int i = 0; i < cntSCC; i++)
    {
        comp[i] = cord[comp[i]];
    }
    for (int i = 0; i < cntSCC; i++)
    {
        set<int> tc;
        for (int j = 1; j <= n; j++)
        {
            if (comp[j] != i)
                continue;

            for (auto t : g[j])
            {
                if (comp[t] == comp[j])
                    continue;
                tc.insert(comp[t]);
            }
        }
        for (auto t : tc)
        {
            oH.push_back(i);
            cH.push_back(t);
        }
    }
    printf("%d %d %d\n", 3, 1000, 2 * cntSCC);
    for (int cs = 0; cs < cntSCC; cs++)
    {
        memset(mm[0], '.', sizeof(mm[0]));
        memset(mm[1], '#', sizeof(mm[1]));
        memset(mm[2], '#', sizeof(mm[2]));

        // OPEN HOLES
        for (int i = 0; i < oH.size(); i++)
        {
            if (oH[i] == cs || cH[i] == cs)
                mm[1][2 * i] = '.';
            if (oH[i] <= cs && cs <= cH[i])
                mm[2][2 * i] = '.';
        }

        for (int j = 0, i = 1; i <= n; i++)
        {
            if (comp[i] == cs)
            {
                mm[0][j++] = '0' + i;
            }
        }

        for (int i = 0; i < 3; i++)
            mm[i][1000] = '\0', printf("%s\n", mm[i]);
        printf("\n");

        memset(mm, '#', sizeof(mm));

        // OPEN HOLES
        for (int i = 0; i < oH.size(); i++)
        {
            if (oH[i] <= cs && cs < cH[i])
                mm[2][2 * i] = '.';
        }

        for (int i = 0; i < 3; i++)
            mm[i][1000] = '\0', printf("%s\n", mm[i]);
        printf("\n");
    }

    return 0;
}
