#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <set>
using namespace std;

#define mp make_pair

int n;

bool rec(vector<int>&del, int ind, int sum, vector<pair<int, int>> &result) {
	if (ind >= (int)del.size()) {
		if (sum == n - 1) {
			return true;
		}

		return false;
	}

	int k = n - 1 - sum;

	if (k % del[ind] == 0) {
		result.push_back(make_pair(del[ind], k / del[ind]));
		return true;
	}

	if (rec(del, ind + 1, sum, result)) {
		return true;
	}

	if (rec(del, ind + 1, sum + del[ind], result)) {
		result.push_back(make_pair(del[ind], 1));
		return true;
	}
	
	return false;
}

int gcd(int a, int b) {
	while (b) {
		a %= b;
		swap(a, b);
	}

	return a;
}

bool calc(vector<int>&del, int sum, pair<int, pair<int, int>> &res) {
	for (int i = 0; i < (int)del.size(); i++) {
		int val = del[i];
		int rest = sum - val;
		for (int j = 0; j < (int)del.size(); j++) {
			if (rest % del[j] == 0) {
				res =  mp(val, mp(del[j], rest / del[j]));
				return true;
			}
		}
	}

	return false;
}

int main() {
	cin >> n;

	vector<int>del;
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			del.push_back(i);
			del.push_back(n / i);
		}
	}
	sort(del.rbegin(), del.rend());

	pair<int, pair<int, int>>p;
	if (calc(del, n - 1, p)) {
		cout << "YES" << endl;
		cout << 2 << endl;
		cout << "1 " <<  n / p.first << endl;
		int v = p.second.first * p.second.second;
		int vv = gcd(v, n);
		int f1 = v / vv;
		int f2 = n / vv;
		cout << f1 << " " << f2 << endl;
	}
	else {
		cout << "NO" << endl;
	}

	/*vector<pair<int, int>>result;
	if (rec(del, 0, 0, result)) {
		cout << "YES" << endl;
		cout << (int)result.size() << endl;
		int oo = 0;
		for (int j = 0; j < (int)result.size(); j++) {
			int l = result[j].first * result[j].second;
			int v = gcd(l, n);
			int f1 = l / v;
			int f2 = n / v;
			cout << f1 << " " << f2 << endl;
			oo += n / f2 * f1;
		}
		cout << oo << endl;
	}
	else {
		cout << "NO" << endl;
	}*/


	return 0;
}