#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <set>
using namespace std;


int main() {
	int n, k;
	cin >> n >> k;
	vector<pair<int, int>> idl(n + 1, make_pair(0, 0));
	vector<int> wrk(k + 1, 0);

	for (int i = 1; i <= n; i++)
		cin >> idl[i].first;
	for (int i = 1; i <= n; i++)
		cin >> idl[i].second;

	for (int i = 1; i <= n; i++)
	{
		int work = idl[i].first;
		int time = idl[i].second;
		int idler = wrk[work];

		if (idler == 0 || idl[idler].second < time)
		{
			wrk[work] = i;
		}
	}

	multiset<int> free;
	for (int i = 1; i <= n; i++)
	{
		int work = idl[i].first;
		int time = idl[i].second;
		if (wrk[work] != i)
		{
			free.insert(time);
		}
	}

	int needCount = 0;
	for (int i = 1; i <= k; i++)
	{
		if (wrk[i] == 0)
			needCount++;
	}

	long long ans = 0;
	for (multiset<int>::iterator iter = free.begin(); needCount > 0; iter++)
	{
		ans += (*iter);
		needCount--;
	}

	cout << ans << endl;

	return 0;
}