#include<bits/stdc++.h>

using namespace std;

#define all(x) (x).begin(),(x).end()
#define X first
#define Y second
#define cont continue
#define ret return
#define brk break
#define mp make_pair
#define F(i, l, r) for(auto i = (l); i < (r); ++i)
#define E(i, l, r) for(auto i = (l); i <= (r); ++i)
#define DF(i, l, r) for(auto i = (l); i >= (r); --i)
#define I(x, a) for(auto x : (a))
#define ins insert
#define int ll

typedef long long ll;
typedef long double dbl;
typedef pair<int, int> pii;

const int maxn = 1e6 + 42;

int over[4 * maxn], buf[4 * maxn];

void build(int v = 1, int l = 0, int r = maxn) {
    if(r - l == 1) {
        buf[v] = 1;
    } else {
        int m = (l + r) / 2;
        build(2 * v, l, m);
        build(2 * v + 1, m, r);
        buf[v] = buf[2 * v] + buf[2 * v + 1];
    }
}

void upd(int p, int c, int v = 1, int l = 0, int r = maxn) {
    if(r - l == 1) {
        over[v] += c;
        if(buf[v]) {
            buf[v] = 0;
            over[v]--;
        } else if(over[v] < 0) {
            buf[v] = 1;
            over[v] = 0;
        }
    } else {
        int m = (l + r) / 2;
        if(p < m) {
            upd(p, c, 2 * v, l, m);
        } else {
            upd(p, c, 2 * v + 1, m, r);
        }
        over[v] = over[2 * v + 1] + max<int>(over[2 * v] - buf[2 * v + 1], 0);
        buf[v] = buf[2 * v] + max<int>(buf[2 * v + 1] - over[2 * v], 0);
    }
}

tuple<int, int> get(int p, int v = 1, int l = 0, int r = maxn) {
    if(r - l == 1) {
        return {buf[v], over[v]};
    } else {
        int m = (l + r) / 2;
        if(p < m) {
            return get(p, 2 * v, l, m);
        } else {
            auto ri = get(p, 2 * v + 1, m, r);
            return make_tuple(buf[2 * v] + max<int>(get<0>(ri) - over[2 * v], 0),
                              get<1>(ri) + max<int>(over[2 * v] - get<0>(ri), 0));
        }
    }
}

int direct[maxn];

signed main(){
    //freopen("input.txt", "r", stdin);
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	build();
	int q;
	cin >> q;
	int T[q], D[q];
	for(int i = 0; i < q; i++) {
        char t;
        cin >> t;
        if(t == '+') {
            cin >> T[i] >> D[i];
            upd(T[i], D[i]);
            direct[T[i]] += D[i];
        } else if(t == '-') {
            int i;
            cin >> i;
            i--;
            upd(T[i], -D[i]);
            direct[T[i]] -= D[i];
        } else {
            int tt;
            cin >> tt;
            auto ans = get(tt - 1);
            cout << get<1>(ans) + direct[tt] << "\n";
        }
	}
	return 0;
}
