#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <algorithm>
#include <cassert>

using namespace std;

int main() {
    ::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    int n2 = n;
    set <int> divisors;
    for (int val = 2; val * val <= n; ++val) {
        if (n % val == 0) {
            divisors.insert(val);
            while (n % val == 0)
                n /= val;
        }
    }
    divisors.insert(n);
    vector <int> divs;
    divisors.erase(n2);
    divisors.erase(1);
    if (divisors.empty()) {
        cout << "NO";
        return 0;
    }
    if (divisors.size() == 1) {
        cout << "NO";
        return 0;
    }
    int div1 = *divisors.begin();
    divisors.erase(divisors.begin());
    int div2 = *divisors.begin();
    n = n2;
    int cur = n - 1;
    int keep[2] = { 0, 0 };
    while (cur % div1 != 0) {
        cur -= div2;
        ++keep[1];
    }
    keep[0] = cur / div1;
    vector <pair <int, int>> ans;
    cout << "YES" << endl;
    cout << 2 << endl;
    if (keep[0] > 0)
        cout << keep[0] << " " << n / div1 << endl;
    if (keep[1] > 0)
        cout << keep[1] << " " << n / div2 << endl;
    return 0;
}