#include <algorithm>
#include <fstream>
#include <iostream>
#include <map>
#include <unordered_map>
#include <utility>
#include <vector>
#include <string>
#include <set>
#include <unordered_set>
#include <sstream>
#include <fstream>

using ll = long long;
#define var auto
#define endl '\n'

using namespace std;

ll gcd(ll a, ll b, ll& x, ll& y)
{
	if (a == 0)
	{
		x = 0;
		y = 1;
		return b;
	}
	ll x1, y1;
	ll d = gcd(b%a, a, x1, y1);
	x = y1 - (b / a)*x1;
	y = x1;
	return d;
}

ll n;
ll getReversal(ll num, ll mod)
{
	ll x, y;
	gcd(num, mod, x, y);
	return (x + mod) % mod;
}

ll getX(ll input)
{
	return ((n - 1) % input)*(getReversal((n / input) % input, input)) % input;
}

void getFactors(vector<pair <ll, ll>>& primes, vector<ll>& factors)
{
	for (size_t i = 0; i < primes.size(); i++)
	{
		auto cnt = factors.size();
		ll mul = 1;
		for (size_t j = 0; j < primes[i].second; j++)
		{
			mul *= primes[i].first;
			for (size_t k = 0; k < cnt; k++)
			{
				factors.push_back(factors[k] * mul);
			}
		}
	}
}

vector<pair<ll, ll>> factorize(ll n)
{
	unordered_map<ll, ll> fact;
	ll curn = n;
	for (ll i = 2; i * i <= curn; ++i)
	{
		if (curn%i == 0)
		{
			while (curn%i == 0)
			{
				curn /= i;
				fact[i]++;
			}
		}
	}
	if (curn != 1)
		fact[curn]++;
	vector<pair<ll, ll>> returning;
	for (auto a : fact)
		returning.push_back(a);

	return returning;
}

int main()
{
#ifdef HOME
	ifstream in("input.txt");
	cin.rdbuf(in.rdbuf());
#endif

	cin >> n;

	auto primes = factorize(n);

	vector<ll> factors = { 1 };
	getFactors(primes, factors);

	sort(factors.begin(), factors.end());

	/*
	factors.erase(unique(factors.begin(), factors.end()), factors.end());*/

	for (size_t i = 1; i < factors.size() - 1; i++)
	{
		auto num = factors[i];
		auto div = n / num;
		for (int j = 1; j < num; ++j)
		{
			auto left = (n - 1 - div*j);
			ll x, y;

			auto cur = gcd(left, n, x, y);
			if (cur == 1)
			{
				continue;
			}
			else
			{
				cout << "YES" << endl;
				cout << 2 << endl;
				cout << j << " " << num << endl;
				cout << left / cur << " " << n / cur << endl;
				return 0;
			}
		}
	}

	cout << "NO";

	return 0;
}