#pragma comment(linker, "/STACK:134217728")
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <algorithm>
#include <bitset>
#include <cassert>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <deque>
#include <functional>
#include <iomanip>
#include <iostream>
#include <map>
#include <queue>
#include <random>
#include <set>
#include <stack>
#include <string>
#include <unordered_map>
#include <unordered_set>
#include <vector>
using namespace std;

typedef long long ll;

void solve_small(int n)
{
	auto cols = "abcdefgh";
	auto last_col = 0;
	auto last_row = 0;
	auto cnt = 0;
	for (int i = 0; i < 8 && n - cnt > 2; i++)
	{
		if (i % 2 == 0)
		{
			for (int j = 0; j < 8 && n - cnt > 2; j++)
			{
				cout << cols[j] << i + 1 << " ";
				last_col = j;
				last_row = i;
				cnt++;
			}
		}
		else {
			for (int j = 7; j >= 0 && n - cnt > 2; j--)
			{
				cout << cols[j] << i + 1 << " ";
				last_col = j;
				last_row = i;
				cnt++;
			}
		}
	}
	if (last_col == 7)
	{
		cout << cols[last_col] << (last_row + 1) + 1 << " ";
	}
	else
	{
		cout << cols[last_col] << "8" << " ";
	}

	cout << "h8";
}

void solve()
{
	int n;
	cin >> n;
	n++;

	if (n < 40)
	{
		solve_small(n);
		return;
	}

	vector<pair<int, int>> result;

	auto last_col = 0;
	auto last_row = 0;

	result.emplace_back(0, 0);

	for (int i = 0; i < 7; i++)
	{
		if (i % 2 == 0)
		{
			for (int j = 1; j < 8; j++)
			{
				result.emplace_back(i, j);
			}
		}
		else
		{
			for (int j = 7; j > 0; j--)
			{
				result.emplace_back(i, j);
			}
		}
	}
	for (int i = 6; i > 0; i--)
	{
		result.emplace_back(i, 0);
	}
	for (int i = 0; i < 8; i++)
	{
		result.emplace_back(7, i);
	}

	auto cols = "abcdefgh";

	while (result.size() > n)
	{
		for (int i = 1; i < result.size() - 1; i++)
		{
			if ((result[i - 1].first == result[i].first && result[i].first == result[i + 1].first) ||
				(result[i - 1].second == result[i].second && result[i].second == result[i + 1].second))
			{
				result.erase(result.begin() + i);
				break;
			}
		}
	}

	for (const auto& item : result)
	{
		cout << cols[item.second] << item.first + 1 << " ";
	}
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	solve();
	return 0;
}