#pragma comment(linker, "/STACK:134217728")
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <algorithm>
#include <bitset>
#include <cassert>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <deque>
#include <functional>
#include <iomanip>
#include <iostream>
#include <map>
#include <queue>
#include <random>
#include <set>
#include <stack>
#include <string>
#include <unordered_map>
#include <unordered_set>
#include <vector>
using namespace std;

typedef long long ll;

const int MAXN = 100001;
int a[MAXN];
ll b[MAXN];
int used_jobs[MAXN] = {};
vector<pair<ll, int>> c;


void solve() 
{
	int n, k, t;
	int not_used;
	cin >> n >> k;
	not_used = k;
	for (int i = 0; i < n; i++)
	{
		cin >> a[i];
		if (used_jobs[a[i]] == 0)
			not_used--;
		used_jobs[a[i]]++;
	}
	for (int i = 0; i < n; i++) {
		cin >> b[i];
	}

	for (int i = 0; i < n; i++) {
		c.push_back(make_pair(b[i], a[i]));
	}

	sort(c.begin(), c.end());

	ll ans = 0;
	for (int i = 0; i < n; i++) {
		if (used_jobs[c[i].second] > 1 && not_used > 0) {
			ans += c[i].first;
			not_used--;
			used_jobs[c[i].second]--;
		}
	}

	cout << ans;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	solve();
	return 0;
}

/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2
*/