#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

const int maxn = (int) 1e5;
int a[maxn];
int b[maxn];
bool usedGuy[maxn];
bool usedJob[maxn];

int main() {
    int n, k;
    cin >> n >> k;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        a[i]--;
    }
    for (int i = 0; i < n; i++) {
        cin >> b[i];
    }
    vector<pair<int, int>> q(n);
    for (int i = 0; i < n; i++) {
        q[i] = {-b[i], i};
    }
    sort(q.begin(), q.end());
    for (auto &cur : q) {
        if (!usedJob[a[cur.second]]) {
            usedJob[a[cur.second]] = true;
            usedGuy[cur.second] = true;
        }
    }
    vector<int> unusedCosts;
    for (int i = 0; i < n; i++)
        if (!usedGuy[i])
            unusedCosts.push_back(b[i]);
    sort(unusedCosts.begin(), unusedCosts.end());
    long long answer = 0;
    for (int i = 0, j = 0; i < k; i++)
        if (!usedJob[i])
            answer += unusedCosts[j++];
    cout << answer;
}