#include <iostream>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <cstdio>
#include <cstdlib>
#include <functional>
#include <utility>
#include <stack>
#define ll long long

using namespace std;

bool is_prime(int n)
{
	for (int i = 2; i*i <= n; i++)
	{
		if (n%i == 0)
			return 0;
	}

	return 1;
}

int grcd(int a, int b)
{
	while (a*b)
	{
		if (a > b)
		{
			a = a%b;
		}
		else
			b = b%a;
	}
	return a + b;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

#endif // _DEBUG
	int n;
	scanf("%d", &n);

	set<int> del;
	int k = n;
	for (int i = 2; i*i <= n; i++)
	{
		while (!(k%i))
		{
			del.insert(i);
			del.insert(k /= i);
		}
	}

	vector<int> deeel;

	for (auto x : del)
	{
		deeel.push_back(x);
	}
	for (auto x : deeel)
	{
		if (!is_prime(x))
			del.erase(x);
	}
	del.erase(1);

	if (del.size() < 2)
	{
		printf("NO");
		return 0;
	}

	if (n % 2 == 0)
	{
		printf("YES\n");
		del.erase(2);

		int a, b;
		a = *del.begin();
		b = n;
		b /= a;
		printf("1 %d\n",b);

		int c = (n - a - 1);
		int d = grcd(c, n);
		c /= d;
		printf("%d %d",c, n/d);
		return 0;
	}
	
	int a = *del.begin();
	del.erase(a);
	int b = *del.begin();

	k = n-1;
	int c1 = 0, c2=0;
	while (k%a)
	{
		k -=b;
		c1++;
	}
	c2 = k / a;

	printf("YES\n2\n");

	printf("%d %d\n", c1, n/b);

	printf("%d %d\n", c2, n/a);



}