#include <iostream>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <cstdio>
#include <cstdlib>
#include <functional>
#include <utility>
#include <stack>
#define ll long long

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

#endif // _DEBUG
	int n, k;
	ll sum = 0;
	set<int> s;
	int cnt = 0;
	cin >> n >> k;
	vector<pair<ll, ll>> a(n);
	vector<bool> works(n + 1, false);
	for (auto &it : a) cin >> it.second;
	for (auto &it : a) cin >> it.first;

	sort(a.begin(), a.end(), greater<pair<ll, ll>>());

	for(int i = 0; i < n; ++i) 
	{
		if (!works[a[i].second])
		{
			s.insert(i);
			cnt++;
			works[a[i].second] = true;
		}
	}
	for (int i = n - 1; i >= 0; --i)
	{
		if (cnt < k && s.find(i) == s.end())
		{
			sum += a[i].first; 
			cnt++;
		}
	}

	cout << sum << endl;
}