#include <iostream>
#include <algorithm>
#include <set>
#include <map>
#include <ctime>
#include <random>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ldb;

#define forn(i, n) for (int i = 0; i < n; ++i)
#define mp make_pair
#define pii pair<int, int>

int read() {
	int x; cin >> x; return x;
}

string pos(int x, int y) {
	string s = "";
	s += (char)(x + 97);
	s += to_string(y);
	return s;
}

pii do_next_move(int x, int y) {
	if (x == 0 && y == 0) {
		return mp(x + 1, y);
	}
	if (x == 0 || x == 7) {
		return mp(x, y + 1);
	}
	if (y % 2 == 0) {
		return mp(x + 1, y);
	}
	else {
		return mp(x - 1, y);
	}
}

void solve() {
	int n = read();
	
	vector<string> knockturn = { "a1", "h1", "g1", "f1", "e1", "d1", "c1", "b1", "b2", "a2", "c2", "d2", "e2", "f2", "g2", "h2" };
	for (int i = 3; i < 8; i += 2) {
		for (char c = 'h'; c >= 'a'; c--) {
			string s;
			s.push_back(c);
			s.push_back((char)(i + '0'));
			knockturn.push_back(s);
		}
		for (char c = 'a'; c <= 'h'; c++) {
			string s;
			s.push_back(c);
			s.push_back((char)(i + 1 + '0'));
			knockturn.push_back(s);
		}
	}

	vector<string> ans;
	for (int i = 0; i < n - 1; i++) {
		ans.push_back(knockturn[i]);
	}

	if (ans.back()[0] != 'h' && ans.back()[1] != '8') {
		string s = ans.back();
		s[1] = '8';
		ans.push_back(s);
		s[0] = 'h';
		ans.push_back(s);
	}
	else if (ans.back()[1] == '8' && ans.back()[0] != 'g') {
		ans.push_back("g8");
		ans.push_back("h8");
	}
	else if (ans.back()[0] == 'h' && ans.back()[1] != '7') {
		ans.push_back("h7");
		ans.push_back("h8");
	}
	else { // h7 (g8 requires n = 64)
		ans.pop_back();
		ans.pop_back();
		ans.push_back("g7");
		ans.push_back("g8");
		ans.push_back("f8");
		ans.push_back("h8");
	}

	for (int i = 0; i <= n; i++) cout << ans[i] << ' ';
	cout << endl;
}

signed main() {
	int t = 1;
	while (t--) {
		clock_t t = clock();
		solve();
		fprintf(stderr, "Time : %.3f\n", (double)(clock() - t) / CLOCKS_PER_SEC);
	}
}