#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <string>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

vector<pii> seq = {
	{1,0},{2,0},{3,0},{4,0},{5,0},{6,0},{7,0},
	{ 7,1 },{ 7,2 },{ 7,3 },{ 7,4 },{ 7,5 },{ 7,6 },
	{6, 6},{ 6, 5 },{ 6, 4 },{ 6, 3 },{ 6, 2 },{ 6, 1 },
	{5, 1},{ 5, 2 },{ 5, 3 },{ 5, 4 },{ 5, 5 },{ 5, 6 },
	{ 4, 6 },{ 4, 5 },{ 4, 4 },{ 4, 3 },{ 4, 2 },{ 4, 1 },
	{ 3, 1 },{ 3, 2 },{ 3, 3 },{ 3, 4 },{ 3, 5 },{ 3, 6 },
	{ 2, 6 },{ 2, 5 },{ 2, 4 },{ 2, 3 },{ 2, 2 },{ 2, 1 },
	{ 1, 1 },{ 1, 2 },{ 1, 3 },{ 1, 4 },{ 1, 5 },{ 1, 6 },
	{ 0, 6 },{ 0, 5 },{ 0, 4 },{ 0, 3 },{ 0, 2 },{ 0, 1 },
	{ 0,7 },{ 1,7 },{ 2,7 },{ 3,7 },{4,7}, { 5,7 },{ 6,7 },{ 7,7 }
};

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	int n;
	cin >> n;

	int brk = 2;
	if ((n >= 8 && n <= 14) || (n >= 57 && n <= 63)) {
		brk = 1;
	}
	if (n == 15) {
		brk = 3;
	}

	cout << "a1 ";
	pii last;
	for (int i = 0; i < n - brk; ++i) {
		cout << char(seq[i].first + 'a') << seq[i].second + 1 << " ";
		last = seq[i];
	}

	switch (brk) {
	case 1:
		cout << "h8" << endl;
		break;
	case 2:
		cout << char(last.first + 'a') << 8 << " h8" << endl;
		break;
	case 3:
		cout << "g6 g8 h8" << endl;
		break;
	}

	return 0;
}
