#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <string>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;
using pll = pair<ll, ll>;

#define all(x) (x).begin(), (x).end()

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	ll n;
	cin >> n;

	vll frct;

	for (ll j = 2; j * j <= n; ++j) {
		if (n % j == 0) {
			ll sd = n / j;
			frct.push_back(j);
			frct.push_back(sd);
		}
	}

	sort(all(frct));
	frct.resize(unique(all(frct)) - frct.begin());

	ll left = n - 1;
	vector<pll> ans;
	for (auto& x : frct) {
		if (left == 0)
			break;

		ll b = n / x;
		ll a = left / b;

		ans.push_back({ a, x });
		left -= a * b;
	}

	if (left != 0) {
		cout << "NO" << endl;
		return 0;
	}

	cout << "YES" << endl;
	cout << ans.size() << endl;
	for (auto& x : ans) {
		cout << x.first << " " << x.second << "\n";
	}

	return 0;
}
