#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

bool inb(pii v) {
	return v.first >= 0 && v.first < 8 && v.second >= 0 && v.second < 8;
}

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	int n;
	cin >> n;
	for (int i = 0; i < n; i++)
	{
		vi days;
		ll need;
		cin >> need;
		for (int j = 0; j < 7; ++j)
		{
			int a;
			cin >> a;
			if (a)
				days.push_back(j + 1);
		}
		ll ans = 1e9;
		for (int i = 0; i < days.size(); ++i)
		{
			ll tmp = need;
			tmp -= days.size() - i;
			if (tmp < 0)
			{
				ans = min(ans, 1LL*days[i + need] - days[i]);
				continue;
			}
			ll cycles = tmp / (days.size());
			ll rem = tmp % (days.size());
			ll t = cycles * 7 + (7 - days[i] + 1);
			if (rem)
				t += days[rem - 1];
			else 
				t -= (7 - days.back());
			ans = min(t, ans);
		}

		cout << ans << '\n';
	}
    return 0;
}

