#include <bits/stdc++.h>
#include <array>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

const int MX = 206;


vector<pair<int, int> > gen(int x) {
	vector<pair<int, int> > res;
	for (int i = 0; i <= 200; i++) {
		for (int j = 0; j <= 200; j++) {
			if (max(i, j) == x) {
				if (abs(i - j) >= 2) {
					res.emplace_back(i, j);
				}
			}
			else if (max(i, j) > x) {
				if (abs(i - j) == 2) {
					res.emplace_back(i, j);
				}
			}
		}
	}
	return res;
}

vector<pair<int, int> > go[5];

bool can[6][MX][MX][6];
pair<int, int> lst[6][MX][MX][6];

int main() {
#ifdef BZ
	freopen("a.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	for (int i = 0; i < 4; i++) {
		go[i] = gen(25);
	}
	go[4] = gen(15);
	can[0][0][0][0] = true;
	for (int i = 0; i < 5; i++) {
		for (int x = 0; x < MX; x++) {
			for (int y = 0; y < MX; y++) {
				for (int wa = 0; wa <= i; wa++) {
					int wb = i - wa;
					if (wa == 3 || wb == 3) {
						continue;
					}
					if (!can[i][x][y][wa]) {
						continue;
					}
					for (const auto& game : go[i]) {
						int gx = game.first, gy = game.second;
						int win = (gx > gy);

						if (x + gx < MX && y + gy < MX) {
							can[i + 1][x + gx][y + gy][wa + win] = true;
							lst[i + 1][x + gx][y + gy][wa + win] = game;
						}
					}
				}
			}
		}
	}

	int q;
	cin >> q;
	for (int qq = 0; qq < q; qq++) {
		int x, y;
		cin >> x >> y;
		int bst = -100;
		int bx = -1, by = -1;
		for (int i = 1; i <= 5; i++) {
			for (int j = 0; j <= i; j++) {
				int wb = i - j;
				if (can[i][x][y][j] && (j - wb) > bst) {
					bst = j - wb;
					bx = i;
					by = j;
				}
			}
		}
		if (bst == -100) {
			cout << "Impossible\n";
		}
		else {
			cout << by << ":" << bx - by << "\n";
			vector<pair<int, int> > ans;
			int a = bx, d = by;
			while (a > 0) {
				auto cur = lst[a][x][y][d];
				ans.emplace_back(cur);
				if (cur.first > cur.second) {
					d--;
				}
				x -= cur.first;
				y -= cur.second;
				a--;
			}
			reverse(ans.begin(), ans.end());
			for (const auto& x : ans) {
				cout << x.first << ":" << x.second << " ";
			}
			cout << "\n";
		}
	}
}