#include <bits/stdc++.h>
#include <array>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

const int N = 228;

int pl[N][2];
int pr[N];

bool we[N];
bool wo[N];

vector<int> e[N];
vector<int> erev[N];

int block;

bool dfs_odd(int v);
bool dfs_even(int v);

void ass(int l, int r1, int r2) {
	pr[r1] = pr[r2] = l;
	pl[l][0] = r1;
	pl[l][1] = r2;
}

bool dfs_even(int v) {
	if (we[v]) {
		return false;
	}

	we[v] = true;

	for (int l : erev[v]) {
		if (pl[l][0] != -1) {
			continue;
		}

		for (int r : e[l]) {
			if (r == v || r == block) {
				continue;
			}

			if (dfs_odd(r)) {
				ass(l, v, r);
				return true;
			}
		}
	}

	return false;
}

bool dfs_odd(int v) {
	if (pr[v] == -1) {
		return true;
	}

	if (wo[v]) {
		return false;
	}

	wo[v] = true;

	int a = pr[v];
	int b = pl[a][0] ^ pl[a][1];

	if (dfs_even(b)) {
		return true;
	}

	for (int u : e[v]) {
		if (u != a && u != b && u != block && dfs_odd(u)) {
			ass(a, b, u);
			return true;
		}
	}

	return false;
}

void solve() {
	int n, m;
	cin >> n >> m;
	for (int i = 0; i < m; ++i) {
		erev[i].clear();
		pr[i] = -1;
	}

	for (int i = 0; i < n; ++i) {
		e[i].clear();
		pl[i][0] = pl[i][1] = -1;
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			if (s[j] == '1') {
				e[i].push_back(j);
				erev[j].push_back(i);
			}
		}
	}

	int ans = 0;

	for (int i = 0; i < m; ++i) {
		if (pr[i] != -1) {
			continue;
		}

		fill(we, we + m, false);
		fill(wo, wo + m, false);

		block = i;

		if (dfs_even(i)) {
			++ans;
		}
	}

	cout << ans << "\n";
}

int main() {
#ifdef BZ
	freopen("b.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int t;
	cin >> t;
	for (int i = 0; i < t; ++i) {
		solve();
	}
}