#include <bits/stdc++.h>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

int n, m;
string s;

const int MAXN = 210000;

vector<int> eds[MAXN][2];
vector<int> was[MAXN][2];

int get(int x) {
	if (x > 0)
		return (x - 1) * 2;
	else
		return (abs(x) - 1) * 2 + 1;
}

void add(int a, int b) {
	eds[get(a)][1].push_back(get(b));
	eds[get(b)][0].push_back(get(a));
}

int gfl = 0;

int t;

void dfs1(int v, int k) {
	if (was[v][k].size() >= 2)
		return;
	was[v][k].push_back(t);
	for (int u : eds[v][k])
		dfs1(u, k);
}

int used[MAXN];
int cl[MAXN];
vector<int> vv;
void dfs2(int v) {
	used[v] = 1;
	for (int u : eds[v][1])
		if (!used[u])
			dfs2(u);
	vv.push_back(v);
}

void dfs3(int v, int c) {
	cl[v] = c;
	used[v] = 1;
	for (int u : eds[v][0])
		if (!used[u])
			dfs3(u, c);
}

void solve() {
	cin >> n >> m;
	cin >> s;
	vv.clear();
	for (int i = 0; i < 2 * n; ++i)
		for (int j = 0; j < 2; ++j)
			eds[i][j].clear(), was[i][j].clear();
	for (int i = 0; i < m; ++i) {
		int a, b;
		cin >> a >> b;
		add(-a, b);
		add(-b, a);
	}

	fill(used, used + 2 * n, 0);
	for (int i = 0; i < 2 * n; ++i)
		if (!used[i])
			dfs2(i);
	reverse(vv.begin(), vv.end());
	fill(used, used + 2 * n, 0);
	int cc = 0;
	for (int i : vv) {
		if (used[i])
			continue;
		dfs3(i, cc);
		++cc;
	}
	for (int i = 0; i < 2 * n; i += 2)
		if (cl[i] == cl[i + 1]) {
			cout << "FALSE\n";
			return;
		}

	t = 0;
	int fl = 0;
	for (int i = n - 1; i >= 0; --i) {
		++t;
		if (s[i] == 'A') {
			dfs1(2 * i, 1);
			dfs1(2 * i + 1, 0);
			dfs1(2 * i, 0);
			dfs1(2 * i + 1, 1);
		}
		else {
			if (was[2 * i][0].size() && was[2 * i][1].size()) {
				fl = 1;
				break;
			}
		}
	}
	for (int i = 0; i < 2 * n; ++i) {
		for (int j : was[i][0])
			for (int k : was[i][1])
				if (j != k)
					fl = 1;
	}
	if (fl)
		cout << "FALSE\n";
	else
		cout << "TRUE\n";
}

int main() {
#ifdef BZ
	freopen("h.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int tt;
	cin >> tt;
	for (int i = 0; i < tt; ++i)
		solve();
	return 0;
}