#include <bits/stdc++.h>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;


const int N = 401;

const int n = N - 1;

int mod;

ll norm(ll x) {
	x %= mod;
	if (x < 0) {
		x += mod;
	}

	return x;
}

ll f[N];
ll b1[N];
ll b2[N];

ll a[N];
ll g[N];
ll sg[N][N];

ll fact[N];

void add(ll& x, ll y) {
	x = (x + y) % mod;
}

int main() {
#ifdef BZ
	freopen("i.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int t;
	cin >> t >> mod;
	fact[0] = 1;
	for (int i = 1; i < N; ++i) {
		fact[i] = fact[i - 1] * i % mod;
	}

	sg[0][0] = 1;
	sg[1][1] = 1;
	g[1] = 1;
	f[1] = 1;
	b1[1] = 1;
	b2[1] = 1;

	for (int i = 2; i <= n; ++i) {
		for (int l = 2; l < i; ++l) {
			int r = i - l + 1;
			add(g[i], -a[l] * b1[r]);
		}

		for (int j = 0; j < i; ++j) {
			for (int cn = 0; cn <= j; ++cn) {
				add(sg[i][cn + 1], sg[j][cn] * g[i - j]);
			}
		}

		for (int j = 1; j <= i; ++j) {
			add(f[i], sg[i][j] * fact[j]);
		}

		if (i == 2) {
			b1[i] = b2[i] = 1;
		} else {
			b1[i] = b2[i] = 0;
		}

		add(a[i], -2ll * b1[i]);
		add(g[i], -f[i]);
		add(sg[i][1], -f[i]);
		
		for (int l = 1; l < i; ++l) {
			int r = i - l + 1;
			add(a[i], -a[l] * b2[r]);
		}
	}

	for (int i = 0; i < t; ++i) {
		int x;
		cin >> x;
		cout << f[x] << "\n";
	}

	return 0;
}