#include <bits/stdc++.h>
#include <array>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

set<string> tokenz;

bool num(char c) {
	return c >= '0' && c <= '9';
}

bool wrd(char c) {
	if (c >= '0' && c <= '9') {
		return true;
	}
	if (c >= 'a' && c <= 'z') {
		return true;
	}
	if (c >= 'A' && c <= 'Z') {
		return true;
	}
	if (c == '_' || c == '$') {
		return true;
	}
	return false;
}

const int MX = 40 * 80 + 17;

int go[MX];
int pos[MX];

int gow[MX], gon[MX];
vector<int> goop[MX];
int dp[MX], prv[MX];

int fst(int l, int r) {
	int ans = max(gow[l], gon[l]);
	ans = min(ans, r);
	for (int x : goop[l]) {
		if (x <= r) {
			ans = max(ans, x);
		}
	}
	return ans;
}

int main() {
#ifdef BZ
	freopen("j.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int z;
	cin >> z;
	for (int i = 0; i < z; i++) {
		string s;
		cin >> s;
		tokenz.insert(s);
	}
	int m;
	cin >> m;

	{
		string s;
		getline(cin, s);
	}
	string s;
	for (int i = 0; i < m; i++) {
		string c;
		getline(cin, c);
		for (int j = 0; j < c.size(); j++) {
			if (c[j] == '#') {
				c = c.substr(0, j);
				break;
			}
		}
		s += " " + c;
	}

	vector<string> nwords;

	for (char c = 'a'; c <= 'z'; c++) {
		nwords.push_back(string(1, c));
	}
	for (char c = 'a'; c <= 'z'; c++) {
		string s = string(1, c);
		for (char d = 'a'; d <= 'z'; d++) {
			nwords.push_back(s + d);
		}
	}
	for (char c = 'a'; c <= 'z'; c++) {
		string s = string(1, c);
		for (char d = 'a'; d <= 'z'; d++) {
			for (char e = 'a'; e <= 'z'; e++) {
				nwords.push_back(s + d + e);
			}
		}
	}
	{
		vector<string> tmp;
		for (const auto& s : nwords) {
			if (!tokenz.count(s)) {
				tmp.push_back(s);
			}
		}
		nwords = tmp;
	}
	int nptr = 0;

	vector<pair<string, int> > tok;
	map<string, string> conv;

	string text;
	{
		int l = 0;
		while (l < s.size()) {
			if (s[l] == ' ') {
				l++;
			}
			else {
				int r = 0;
				int rt = -1;
				for (int i = l; i < min(int(s.size()), l + 25); i++) {
					if (tokenz.count(s.substr(l, i - l + 1))) {
						if (i > r) {
							r = i;
							rt = 0;
						}
					}
				}
				if (num(s[l])) {
					int ptr = l;
					while (ptr < s.size() && num(s[ptr])) {
						ptr++;
					}
					if (ptr - 1 > r) {
						r = ptr - 1;
						rt = 1;
					}
				}
				else if (wrd(s[l])) {
					int ptr = l;
					while (ptr < s.size() && wrd(s[ptr])) {
						ptr++;
					}
					if (ptr - 1 > r) {
						r = ptr - 1;
						rt = 2;
					}
				}
				if (rt != 2) {
					tok.emplace_back(s.substr(l, r - l + 1), rt);
				} else 
				{
					string cw = s.substr(l, r - l + 1);
					if (!conv.count(cw)) {
						conv[cw] = nwords[nptr++];
					}
					tok.emplace_back(conv[cw], 2);
				}
				l = r + 1;
			}
		}
	}

	string t;
	for (const auto& s : tok) {
		t += s.first;
	}

	for (int i = 0; i < t.size(); i++) {
		gow[i] = -1;
		gon[i] = -1;
		for (const string& op : tokenz) {
			if (t.substr(i, op.size()) == op) {
				goop[i].push_back(i + op.size() - 1);
			}
		}
		if (num(t[i])) {
			gon[i] = i;
			while (gon[i] < t.size() && num(t[gon[i]])) {
				gon[i]++;
			}
			gon[i]--;
		}
		else if (wrd(t[i])) {
			gow[i] = i;
			while (gow[i] < t.size() && wrd(t[gow[i]])) {
				gow[i]++;
			}
			gow[i]--;
		}
	}

	pos[0] = 0;
	for (int i = 1; i <= tok.size(); i++) {
		pos[i] = pos[i - 1] + tok[i - 1].first.size();
	}

	go[tok.size() - 1] = tok.size() - 1;
	for (int i = int(tok.size()) - 2; i >= 0; i--) {
		go[i] = go[i + 1];
		int want = pos[i + 1] - 1;
		while (fst(pos[i], pos[go[i] + 1] - 1) != want) {
			go[i]--;
		}
	}

	for (int i = 0; i < tok.size(); i++) {
		dp[i] = MX;
		for (int j = i; j >= 0; j--) {
			int ncost = 0;
			if (j > 0) {
				ncost = dp[j - 1] + 1;
			}
			if (go[j] >= i && ncost < dp[i]) {
				dp[i] = ncost;
				prv[i] = j - 1;
			}
		}
	}

	vector<pair<int, int> > segs;
	int ptr = tok.size() - 1;
	while (ptr >= 0) {
		segs.emplace_back(prv[ptr] + 1, ptr);
		ptr = prv[ptr];
	}
	reverse(segs.begin(), segs.end());
	for (int i = 0; i < segs.size(); i++) {
		int l = segs[i].first, r = segs[i].second;
		for (int j = l; j <= r; j++) {
			cout << tok[j].first;
		}
		if (i + 1 < segs.size()) {
			cout << " ";
		}
	}
	cout << "\n";
}