#include <bits/stdc++.h>

#define pb push_back
#define mp make_pair
#define F first
#define S second
#define eb emplace_back
#define all(x) x.begin(), x.end()

using namespace std;

typedef long long ll;
typedef vector<int> vi;
typedef long double ld;
typedef pair<int, int> pii;

const int INF = int(1e9);
const ll INFll = ll(1e18);
const int MOD = INF + 7;

bool validate(int a, int b, int x, int y, const vector<pii>& sets) {
    int s1 = 0;
    int s2 = 0;
    for (auto x : sets) {
        s1 += x.F;
        s2 += x.S;
    }
    if (s1 != a)
        return false;
    if (s2 != b)
        return false;
    int x_ = 0;
    int y_ = 0;
    int k = 0;
    for (auto x : sets) {
        int needed = (k == 4) ? 15 : 25;
        k++;
        if (x.F < needed && x.S < needed)
            return false;
        if ((x.F == needed || x.S == needed) && abs(x.F - x.S) < 2)
            return false;
        if ((x.F > needed || x.S > needed) && abs(x.F - x.S) != 2)
            return false;
        if (x.F > x.S)
            x_++;
        else
            y_++;
        if (x_ == 3)
            break;
        if (y_ == 3)
            break;
    }
    if (x_ != x || y_ != y)
        return false;
    return true;
}

vector<pii> ans[4][4][201][201];
bool has[4][4][201][201];

int main() {
    ios_base::sync_with_stdio(false);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif // LOCAL
    int m;
    scanf("%d", &m);
    for (int x = 0; x <= 3; ++x) {
        for (int y = 0; y <= 3; ++y) {
            for (int a = 0; a <= 200; ++a)
                for (int b = 0; b <= 200; ++b)
                    has[x][y][a][b] = false;
        }
    }
    has[0][0][0][0] = true;
    for (int x = 0; x <= 3; ++x) {
        for (int y = 0; y <= 3; ++y) {
            for (int a = 0; a <= 200; ++a)
                for (int b = 0; b <= 200; ++b) {
                    if (x > y && a > b)
                        continue;
                    if (has[x][y][a][b]) {
                        if (x == 3 || y == 3)
                            continue;
                        int needed = (x + y == 4) ? 15 : 25;
                        for (int na = 0; na <= 200 - a; ++na) {
                            int cap = 200 - b;
                            if (na > needed)
                                cap = na + 2;
                            for (int nb = 0; nb <= cap; ++nb) {
                                if (na < needed && nb < needed)
                                    continue;
                                if ((na == needed || nb == needed) && abs(na - nb) < 2)
                                    continue;
                                if ((na > needed || nb > needed) && abs(na - nb) != 2)
                                    continue;
                                int nx = x + (na > nb);
                                int ny = y + (na < nb);
                                if (a + na > 200)
                                    continue;
                                if (b + nb > 200)
                                    continue;
                                has[nx][ny][a + na][b + nb] = true;
                                ans[nx][ny][a + na][b + nb] = ans[x][y][a][b];
                                ans[nx][ny][a + na][b + nb].eb(na, nb);
                            }
                        }
                    }
                }
        }
    }
    for (int x = 0; x <= 3; ++x) {
        for (int y = 0; y <= 3; ++y) {
            for (int a = 0; a <= 200; ++a)
                for (int b = 0; b <= 200; ++b) {
                    if (x > y && a > b) {
                        has[x][y][a][b] = has[y][x][b][a];
                        ans[x][y][a][b] = ans[y][x][b][a];
                        for (auto& x : ans[x][y][a][b])
                            swap(x.F, x.S);
                    }
                }
        }
    }
//    for (int x = 0; x <= 3; ++x) {
//        for (int y = 0; y <= 3; ++y) {
//            for (int a = 0; a <= 200; ++a)
//                for (int b = 0; b <= 200; ++b)
//                    cout << x << " " << y << " " << a << " " << b << " " << has[x][y][a][b] << endl;
//        }
//    }
//    for (int x = 0; x <= 3; ++x) {
//        for (int y = 0; y <= 3; ++y) {
//            for (int a = 0; a <= 200; ++a)
//                for (int b = 0; b <= 200; ++b)
//                    assert(validate(a, b, x, y, ans[x][y][a][b]) == has[x][y][a][b]);
//        }
//    }
    for (int i = 0; i < m; ++i) {
        int a, b;
        scanf("%d %d", &a, &b);
        int best = -5;
        int bx, by;
        vector<pii> bs;
        for (int x = 0; x <= 3; ++x) {
            for (int y = 0; y <= 3; ++y) {
                if (x == 3 && y == 3)
                    continue;
                if (x < 3 && y < 3)
                    continue;
                if (x - y <= best) {
                    continue;
                }
                if (has[x][y][a][b]) {
                    vector<pii> sets = ans[x][y][a][b];
                    bx = x;
                    by = y;
                    bs = sets;
                    best = x - y;
                }
            }
        }
        if (best == -5)
            printf("Impossible\n");
        else {
            printf("%d:%d\n", bx, by);
            for (auto x : bs)
                printf("%d:%d ", x.F, x.S);
            printf("\n");
        }
    }
//    cerr << clock() << endl;
    return 0;
}
