#include <bits/stdc++.h>

using namespace std;

#define fi(a, b) for (int i = a; i <= b; i++) 
#define fj(a, b) for (int j = a; j <= b; j++) 
#define fo(a, b) for (int o = a; o <= b; o++) 
#define fdi(a, b) for (int i = a; i >= b; i--) 
#define fdj(a, b) for (int j = a; j >= b; j--) 
#define fdo(a, b) for (int o = a; o >= b; o--) 
#define sz(x) (int) x.size()
#define pb push_back
#define mp make_pair
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<pii> vpii;
typedef vector<pll> vpll;

template<typename A, typename B>
ostream & operator << (ostream &s, pair<A, B> a) {
	s << "(" << a.first << ", " << a.second << ")";
	return s;
}

template<typename A>
ostream & operator << (ostream &s, vector<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A>
ostream & operator << (ostream &s, set<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A, typename B>
ostream & operator << (ostream &s, map<A, B> a) {
	s << endl;
	for (auto z : a) {
		s << "\t" << z.first << " -> " << z.second << endl;
	}
	return s;
}

#ifdef LOCAL
#define err(...) fprintf(stderr, __VA_ARGS__)
#define dbg(x) {cerr << __LINE__ << "\t" << #x << " : " << x << endl;}
#define dbg0(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 0; ABC < n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#define dbg1(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 1; ABC <= n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#else
#define err(...) while (0) {}
#define dbg(x) while (0) {}
#define dbg0(x, n) while (0) {}
#define dbg1(x, n) while (0) {}
#endif

/////////////////////////

vpii getprimes(int n) {
	vpii res;
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			int deg = 0;
			while (n % i == 0) {
				deg++;
				n /= i;
			}
			res.pb(mp(i, deg));
		}
	}
	if (n != 1) {
		res.pb(mp(n, 1));
	}
	return res;
}

void no() {
	printf("NO\n");
	exit(0);
}

int n;
vpii v;
vi divs;

void rec(int pos, int x) {
	if (pos == sz(v)) {
		if (x != 1 && x != n) {
			divs.pb(x);
		}
		return;
	}
	int cur = x;
	fi(0, v[pos].second) {
		rec(pos + 1, cur);
		cur *= v[pos].first;
	}
}

ll gcd(ll a, ll b, ll &x, ll &y) {
	if (a == 0) {
		x = 0;
		y = 1;
		return b;
	}
	ll x1, y1;
	ll d = gcd(b % a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}

ll gcd(ll a, ll b) {
	if (a == 0) {
		return b;
	}
	return gcd(b % a, a);
}

void solve () {
	v = getprimes(n);
	if (sz(v) == 1) {
		no();
	}
	//dbg(v.back().first);
	/*if (v.back().first > 100000) {
		no();
	}*/
	//rec(0, 1);
	
	/*sort(all(divs));
	dbg(divs);
	dbg(sz(divs));*/
	ll A;
	ll B;
	ll C = n - 1;
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0 && gcd(i, n / i) == 1) {
			A = i;
			B = n / i;
			break;
		}
	}
	ll x;
	ll y;
	gcd(A, B, x, y);
	x *= C;
	y *= C;
	while (x < 0) {
		x += B;
		y -= A;
	}
	while (y < 0) {
		y += A;
		x -= B;
	}
	dbg(mp(A, B));
	printf("YES\n");
	printf("2\n");
	printf("%lld %lld\n", x, n / A);
	printf("%lld %lld\n", y, n / B);
}

int main () {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	scanf("%d", &n);
	solve();

	return 0;
}