#include <bits/stdc++.h>

using namespace std;

#define fi(a, b) for (int i = a; i <= b; i++) 
#define fj(a, b) for (int j = a; j <= b; j++) 
#define fo(a, b) for (int o = a; o <= b; o++) 
#define fdi(a, b) for (int i = a; i >= b; i--) 
#define fdj(a, b) for (int j = a; j >= b; j--) 
#define fdo(a, b) for (int o = a; o >= b; o--) 
#define sz(x) (int) x.size()
#define pb push_back
#define mp make_pair
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<pii> vpii;
typedef vector<pll> vpll;

template<typename A, typename B>
ostream & operator << (ostream &s, pair<A, B> a) {
	s << "(" << a.first << ", " << a.second << ")";
	return s;
}

template<typename A>
ostream & operator << (ostream &s, vector<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A>
ostream & operator << (ostream &s, set<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A, typename B>
ostream & operator << (ostream &s, map<A, B> a) {
	s << endl;
	for (auto z : a) {
		s << "\t" << z.first << " -> " << z.second << endl;
	}
	return s;
}

#ifdef LOCAL
#define err(...) fprintf(stderr, __VA_ARGS__)
#define dbg(x) {cerr << __LINE__ << "\t" << #x << " : " << x << endl;}
#define dbg0(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 0; ABC < n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#define dbg1(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 1; ABC <= n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#else
#define err(...) while (0) {}
#define dbg(x) while (0) {}
#define dbg0(x, n) while (0) {}
#define dbg1(x, n) while (0) {}
#endif

/////////////////////////

const int MAX = 41;

int n;
int matr[MAX][MAX];
int can[MAX][MAX];
vi tout;

string s[5];

void add(int x) {
	s[4] += '.';
	s[3] += '.';
	s[2] += x + '0';
	s[1] += '#';
	s[0] += '.';
}

void bridge() {
	s[4] += "..";
	s[3] += "..";
	s[2] += "..";
	s[1] += "##";
	s[0] += "..";
}

void cliff() {
	s[4] += "..";
	s[3] += ".#";
	s[2] += "#.";
	s[1] += "..";
	s[0] += "..";
}

void empty() {
	s[4] += "..";
	s[3] += "..";
	s[2] += "..";
	s[1] += "..";
	s[0] += "..";
}


void solve () {
	reverse(all(tout));
	add(tout[0]);
	fi(1, sz(tout) - 1) {
		int x = tout[i - 1];
		int y = tout[i];
		if ( can[x][y] &&  can[y][x]) bridge();
		if ( can[x][y] && !can[y][x]) cliff();
		if (!can[x][y] && !can[y][x]) empty();
		if (!can[x][y] &&  can[y][x]) assert(false);
		add(tout[i]);
	}
	printf("%d %d %d\n", sz(s[0]), 1, 5);
	fdi(4, 0) {
		printf("%s\n\n", s[i].c_str());
	}
	
	
}

int u[MAX];

void dfs(int x) {
	u[x] = 1;
	fi(1, n) {
		if (matr[x][i] && !u[i]) {
			dfs(i);
		}
	}
}

int cnt;
int dfs2(int x) {
	u[x] = 1;
	fi(1, n) {
		if (matr[x][i] && !u[i]) {
			dfs2(i);
		}
	}
	cnt++;
	tout.pb(x);
}

void init() {
	fi(1, n) {
		memset(u, 0, sizeof(u));
		dfs(i);
		fj(1, n) {
			can[i][j] = u[j];
		}
	}
	memset(u, 0, sizeof(u));
	fi(1, n) {
		if (!u[i]) {
			dfs2(i);
		}
	}
}

int main () {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	
	scanf("%d", &n);
	fi(1, n) {
		fj(1, n) {
			scanf("%d", &matr[i][j]);
		}
	}
	init();
	solve();

	return 0;
}