#include <bits/stdc++.h>

using namespace std;

#define fi(a, b) for (int i = a; i <= b; i++) 
#define fj(a, b) for (int j = a; j <= b; j++) 
#define fo(a, b) for (int o = a; o <= b; o++) 
#define fdi(a, b) for (int i = a; i >= b; i--) 
#define fdj(a, b) for (int j = a; j >= b; j--) 
#define fdo(a, b) for (int o = a; o >= b; o--) 
#define sz(x) (int) x.size()
#define pb push_back
#define mp make_pair
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<pii> vpii;
typedef vector<pll> vpll;

template<typename A, typename B>
ostream & operator << (ostream &s, pair<A, B> a) {
	s << "(" << a.first << ", " << a.second << ")";
	return s;
}

template<typename A>
ostream & operator << (ostream &s, vector<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A>
ostream & operator << (ostream &s, set<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A, typename B>
ostream & operator << (ostream &s, map<A, B> a) {
	s << endl;
	for (auto z : a) {
		s << "\t" << z.first << " -> " << z.second << endl;
	}
	return s;
}

#ifdef LOCAL
#define err(...) fprintf(stderr, __VA_ARGS__)
#define dbg(x) {cerr << __LINE__ << "\t" << #x << " : " << x << endl;}
#define dbg0(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 0; ABC < n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#define dbg1(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 1; ABC <= n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#else
#define err(...) while (0) {}
#define dbg(x) while (0) {}
#define dbg0(x, n) while (0) {}
#define dbg1(x, n) while (0) {}
#endif

/////////////////////////

const int MAX = 41;

int n;
int matr[MAX][MAX];
int can[MAX][MAX];

char f1[][28] = {
		"##.##.##.##.##.##.##.##.##.",
		"1..##.##.##.##.##.##.##.##.",
		"#####.##.##.##.##.##.##.##.",
		"#####.##.##.##.##.##.##.##.",
		"2.....##.##.##.##.##.##.##.",
		"########.##.##.##.##.##.##.",
		"########.##.##.##.##.##.##.",
		"3........##.##.##.##.##.##.",
		"###########.##.##.##.##.##.",
		"###########.##.##.##.##.##.",
		"4...........##.##.##.##.##.",
		"##############.##.##.##.##.",
		"##############.##.##.##.##.",
		"5..............##.##.##.##.",
		"#################.##.##.##.",
		"#################.##.##.##.",
		"6.................##.##.##.",
		"####################.##.##.",
		"####################.##.##.",
		"7....................##.##.",
		"#######################.##.",
		"#######################.##.",
		"8.......................##.",
		"##########################.",
		"##########################.",
		"9..........................",
		"###########################",
		"###########################",
};

char odd[][28] = {
		"##.##.##.##.##.##.##.##.##.",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		".##########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
		"###########################",
};
char even[][28] = {
		"##?##?##?##?##?##?##?##?##?",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"##.##.##.##.##.##.##.##.##.",
		".?.??.??.??.??.??.??.??.??.",
		"##.##.##.##.##.##.##.##.##.",
		"###########################",
};

void print_odd() {
    fi(0, 26) {
        fj(0, 26) {
            printf("%c", odd[i][j]);
        }
        printf("\n");
    }
    printf("\n");
}

void print_even(int x) {
    fi(0, 26) {
        fj(0, 26) {
            char c = even[i][j];
            if (c == '?') {
            	if (i % 3 == 1) {
                    c = (i / 3 + 1) == x ? '.' : '#';
                } else if (i == 0) {
                	c = can[x][j / 3 + 1] ? '.' : '#';
                } else {
                	assert(false);
                }
            }
            printf("%c", c);
        }
        printf("\n");
    }
    printf("\n");
}

void solve () {
    fi(0, 26) {
        fj(0, 26) {
            char c = f1[i][j];
            if ('0' <= c && c <= '9') {
                if (c - '0' > n) c = '.';
            }
            printf("%c", c);
        }
        printf("\n");
    }
    printf("\n");
	fi(1, n) {
        print_odd();
        print_even(i);
    }
}

int u[MAX];

void dfs(int x) {
    u[x] = 1;
    fi(1, n) {
        if (matr[x][i] && !u[i]) {
            dfs(i);
        }
    }
}

void init() {
    fi(1, n) {
        memset(u, 0, sizeof(u));
        dfs(i);
        fj(1, n) {
            can[i][j] = u[j];
        }
    }
}

int main () {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

    scanf("%d", &n);
    fi(1, n) {
        fj(1, n) {
            scanf("%d", &matr[i][j]);
        }
    }
    init();
    solve();

    return 0;
}