//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define fi first
#define se second
#define mp make_pair
#define sz(x) ((int)(x).size())
#define sqrt(x) sqrt(abs(x))
#define all(x) (x).begin(), (x).end()
#define re return
#define pb push_back
#define y0 y2345234
#define y1 y34534
#define j0 j345345
#define j1 j324534
#define makeunique(x) sort(all(x)), (x).resize(unique(all(x)) - (x).begin())

typedef vector <int> vi;
typedef pair <int, int> ii;
typedef long long ll;
typedef unsigned long long ull;
typedef double D;
typedef long double ld;
typedef vector <ii> vii;
typedef vector <string> vs;
typedef vector <vi> vvi;

template <class T> using _tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <class T> T abs(T x) { re x > 0 ? x : -x; }
template <class T> T sqr(T x) { re x * x; }
template <class T> T sgn(T x) { re x > 0 ? 1 : (x < 0 ? -1 : 0); }
template <class T> T gcd(T a, T b) { re a ? gcd(b % a, a) : b; }

const D pi = acos(-1.0);

int n;
int m;

const int N = 200;

int f[N + 10][N + 10][5][5];
ii p[N + 10][N + 10][5][5];
ii d[N + 10][N + 10][5][5];

void upd(int a, int b, int x, int y, int ca, int cb)
{
    if (a + ca > N || b + cb > N) re;
	f[a + ca][b + cb][x + (cb < ca)][y + (ca < cb)] = 1;
	p[a + ca][b + cb][x + (cb < ca)][y + (ca < cb)] = mp (ca, cb);
	d[a + ca][b + cb][x + (cb < ca)][y + (ca < cb)] = mp (cb < ca, ca < cb);
}

vi game = {25, 25, 25, 25, 15};

void go ()
{
    f[0][0][0][0] = 1;
    for (int x = 0; x < 3; x++)
    for (int y = 0; y < 3; y++)
	for (int a = 0; x + y < 5 && a <= N; a++) {
		for (int b = 0; b <= N; b++) {			
			if (f[a][b][x][y] == 0) continue;
			int cnt = game[x + y];
			for (int ca = 0; ca <= cnt - 2; ca++) {
				upd(a, b, x, y, ca, cnt);
			}
			for (int cb = 0; cb <= cnt - 2; cb++) {
				upd(a, b, x, y, cnt, cb);
			}
			for (int c = cnt - 1; c <= N; c++) {
				upd(a, b, x, y, c, c + 2);
				upd(a, b, x, y, c + 2, c);
			}
		}
	}
}
                    
int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	go ();
	int nt;
	cin >> nt;
	for (int tt = 1; tt <= nt; tt++) {
		vii cert;
		int a, b;
		cin >> a >> b;
		pair <int, ii> res = mp (-1e9, mp (-1, -1));
		for (int i = 0; i <= 3; i++) {
			for (int j = 0; j <= 3; j++) {
				if (f[a][b][i][j]) {
					res = max(res, mp (i - j, mp(i, j)));
				}
			}
		}
		if (res.fi < -3) {
			cout << "Impossible" << endl;
		} else {
			int aa = a, bb = b;
			int i = res.se.fi, j = res.se.se;
			cout << i << ":" << j << endl;
			while (a > 0 || b > 0) {
				ii step = p[a][b][i][j];
				ii step2 = d[a][b][i][j];
				cert.pb(step);
				a -= step.fi;
				b -= step.se;
				i -= step2.fi;
				j -= step2.se;
			}
			reverse(all (cert));
			for (auto x : cert) {
				aa -= x.fi;
				bb -= x.se;
			}
			assert (aa == 0 && bb == 0);
			for (auto x : cert) {
				cout << x.fi << ":" << x.se << " ";
			}
			cout << endl;
		}
	}
	return 0;
}