//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define fi first
#define se second
#define mp make_pair
#define sz(x) ((int)(x).size())
#define sqrt(x) sqrt(abs(x))
#define all(x) (x).begin(), (x).end()
#define re return
#define pb push_back
#define y0 y2345234
#define y1 y34534
#define j0 j345345
#define j1 j324534
#define makeunique(x) sort(all(x)), (x).resize(unique(all(x)) - (x).begin())

typedef vector <int> vi;
typedef pair <int, int> ii;
typedef long long ll;
typedef unsigned long long ull;
typedef double D;
typedef long double ld;
typedef vector <ii> vii;
typedef vector <string> vs;
typedef vector <vi> vvi;

template <class T> using _tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <class T> T abs(T x) { re x > 0 ? x : -x; }
template <class T> T sqr(T x) { re x * x; }
template <class T> T sgn(T x) { re x > 0 ? 1 : (x < 0 ? -1 : 0); }
template <class T> T gcd(T a, T b) { re a ? gcd(b % a, a) : b; }

const D pi = acos(-1.0);

int n;
int m;

const int M = 40;

int ct = 0;
vi topsort;
int was[M], color[M];
vi v[M], g[M];
vi comp[M];
int a[M][M];


void top_sort(int x)
{
    if (was[x]) re ;
    was[x] = true;
	for (auto y : v[x]) {
		top_sort(y);
	}
    topsort.pb(x);
}

void dfs (int x)
{
    if (was[x]) re ;
    was[x] = true;
    color[x] = ct;
    comp[ct].pb(x);
	for (auto y : g[x]) {
		dfs(y);
	}
}

void make_holes(vs & layer, vi to)
{
	for (int i = 0; i < n; i++) {
		if (to[i] == 0) layer[i * 3 + 2][2] = '.';
	}
}

void make_obstacles(vs & layer, vi to)
{
	for (int i = 0; i < sz(to); i++) {
		if (!to[i]) {
			for (int dx = -1; dx <= 1; dx++)
				for (int dy = -1; dy <= 1; dy++)
					layer[i * 3 + 2 + dx][2 + dy] = '#';
			layer[i * 3 + 2][2] = '.';
		}
	}
}

void make_digits(vs & layer, vi cur)
{
	for (auto x : cur) {
		layer[x * 3 + 2][5] = x + '1';
	}
}
                    
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	cin >> n;
	for (int i = 0; i < n; i++)	
		for (int j = 0; j < n; j++) {
			int x;
			cin >> x;
			a[i][j] = x;
			if (x) {
				v[i].pb (j);
				g[j].pb (i);
			}
		}

	for (int i = 0; i < n; i++) top_sort (i);
	memset (was, 0, sizeof (was));
	ct = 0;
	for (int i = n - 1; i >= 0; i--) {
		int x = topsort[i];
		if (!was[x]) {
			dfs(x);
			ct++;
		}
	}
	vector <vs> layers;
	for (int i = 0; i < ct; i++) {
		vi cur = comp[i];
		vi to(n), to2(n);
		for (auto x : cur) to2[x] = 1;
		for (auto x : cur) {
			for (auto y : v[x]) to[y] = 1;
		}
		for (auto x : cur) to[x] = 1;

		vs layer0(M, string(M, '#'));
		vs layer1(M, string(M, '.'));
		vs layer2(M, string(M, '.'));
		make_holes(layer0, to2);
		make_digits(layer1, cur);
		make_obstacles(layer1, to);
		make_obstacles(layer2, to);
		layers.pb(layer2);
		layers.pb(layer1);
		layers.pb(layer0);
	}
	cout << M << " " << M << " " << sz(layers) << endl;
	for (auto & layer : layers) {
		for (auto line : layer) {
			cout << line << endl;
		}
		cout << endl;
	}
	return 0;
}