#include <bits/stdc++.h>
#define pb push_back
#define fr(i, n) for(int i = 0; i < n; i++)
#define frab(i, a, b) for(int i = a; i < b; i++)

typedef long long ll;
typedef long double ld;

const int N = 205;
const int MOD = 1e9 + 7;
const int M = 1e5 + 12;
const ll INF = 1000 * 1000 * 1000;

using namespace std;

int d[N][N][6];
pair<int, int> par[N][N][6];

int d2[N][N][6];
pair<int, int> par2[N][N][6];

int f(int k) {
    if (k == 5)
        return 15;
    return 25;
}

inline void imp(int i1, int j1, int k1, int i, int j, int k, int add) {
    if (i >= N || j >= N) return;
    int x = (k1 + d[i1][j1][k1]) / 2;
    int y = (k1 - d[i1][j1][k1]) / 2;
    if (x == 3 || y == 3) return;
    if (d[i][j][k] < d[i1][j1][k1] + add) {
        d[i][j][k] = d[i1][j1][k1] + add;
        par[i][j][k] = {i1, j1};
        int x = (k + d[i][j][k]) / 2;
        int y = (k - d[i][j][k]) / 2;
        if (x == 3 || y == 3) {
            d2[i][j][k] = d[i][j][k];
            par2[i][j][k] = {i1, j1};
        }
    }
}

void prec() {
    for (int i = 0; i < N; i++)
        for (int j = 0; j < N; j++)
            for (int k = 0; k <= 5; k++)
                d[i][j][k] = d2[i][j][k] = -INF;
    d[0][0][0] = 0;
    for (int i = 0; i < N; i++)
        for (int j = 0; j < N; j++)
            for (int k = 0; k <= 4; k++) {
                if (d[i][j][k] == -INF) continue;
                /// 1
                for (int b1 = 0; b1 <= f(k + 1) - 2; b1++) {
                    imp(i, j, k, i + f(k + 1), j + b1, k + 1, 1);
                }

                /// 2
                for (int a1 = 0; a1 <= f(k + 1) - 2; a1++) {
                    imp(i, j, k, i + a1, j + f(k + 1), k + 1, -1);
                }

                /// 3
                for (int a1 = f(k + 1) + 1; a1 + i < N; a1++)
                    imp(i, j, k, i + a1, j + a1 - 2, k + 1, 1);

                for (int b1 = f(k + 1) + 1; b1 + j < N; b1++)
                    imp(i, j, k, i + b1 - 2, j + b1, k + 1, -1);
            }

//    for (int i = 0; i <= 200; i++)
//        for (int j = 0; j <= 200; j++)
//            for (int k = 5; k <= 5; k++)
//                if (d[i][j][k] == -1)
//                    cout << i << " " << j << " " << k << " " << d[i][j][k] << endl;
}

bool cmp1(pair<int, int> a, pair<int, int> b) {
    return a.first - a.second > b.first - b.second;
}

bool cmp2(pair<int, int> a, pair<int, int> b) {
    return a.first - a.second < b.first - b.second;
}

bool checker(vector<pair<int, int> > ans, int a, int b) {
    int a1 = 0, b1 = 0;
    for (int i = 0; i < ans.size(); i++) {
        a -= ans[i].first;
        b -= ans[i].second;
        assert(abs(ans[i].first - ans[i].second) >= 2);
        if (max(ans[i].first, ans[i].second) > 25)
            assert(abs(ans[i].first - ans[i].second) == 2);
        if (ans[i].first > ans[i].second) {
            a1++;
        } else {
            b1++;
        }
        if (max(a1, b1) == 3) {
            assert(i + 1 == ans.size());
        }
    }
    assert(!a && !b);
    assert(max(a1, b1) == 3);
}

void solve(int a, int b) {
    int bestK = -1;
    for (int k = 3; k <= 5; k++) {
//        if (k == 4)
//            cout << d2[a][b][k] << endl;
        if (d2[a][b][k] == -INF) continue;
        int x = (k + d2[a][b][k]) / 2;
        int y = (k - d2[a][b][k]) / 2;
        //cout << x << " xy " << y << endl;
        if (max(x, y) != 3)
            continue;
        if (bestK == -1 || d2[a][b][bestK] < d2[a][b][k]) {
            bestK = k;
        }
    }
    if (bestK == -1) {
        cout << "Impossible\n";
        return;
    }

    vector<pair<int, int> > answer;
    int a2 = a, b2 = b;
    int cntIt = 0;
    while (a || b) {
        int a1, b1;
        if (cntIt == 0) {
            a1 = a - par2[a][b][bestK].first;
            b1 = b - par2[a][b][bestK].second;
        } else {
            a1 = a - par[a][b][bestK].first;
            b1 = b - par[a][b][bestK].second;
        }
        answer.push_back({a1, b1});
        a -= a1;
        b -= b1;
        bestK--;
        cntIt++;
        //assert(answer.size() <= 5);
    }

    reverse(answer.begin(), answer.end());

    int A1 = 0, B1 = 0;
    for (auto x: answer)
        if (x.first > x.second)
            A1++;
        else
            B1++;
    if (answer.size() == 5) {

    } else {
        if (A1 > B1) {
            sort(answer.begin(), answer.end(), cmp2);
        } else {
            sort(answer.begin(), answer.end(), cmp1);
        }
    }

    checker(answer, a2, b2);

    cout << A1 << ":" << B1 << "\n";
    for (auto x: answer) {
        cout << x.first << ":" << x.second << " ";
    }
    cout << "\n";
}

int main() {
    //freopen("a.in", "r", stdin);
    ios_base::sync_with_stdio(false);
    int m;
    cin >> m;
    prec();
    while (m--) {
        int a, b;
        cin >> a >> b;
        solve(a, b);
    }

//    for (int i = 0; i <= 200; i++)
//    for (int j = 0; j <= 200; j++) {
//        solve(i, j);
//    }
}

