#include <algorithm>
#include <iostream>
#include <vector>
#include <cassert>


using namespace std;

const int N = 505 * 505;
const int M = 505 * 505;

int n , m;

vector < pair<int,int> > g[N];
vector < int > gcycle[N];

vector < vector<int> > G;

bool used[N] , mark[M];
bool color[N];
int parent[N] , ind[N];

int her[N] , hamar[M];

void dfs(int v,int p){
    used[v] = true;
    for(int i=0;i<(int)g[v].size();i++){
        int to = g[v][i].first;
        int id = g[v][i].second;
        if(color[to] || to == p || mark[id])continue;
        if(used[to]){
            vector <int> cycle , ids;
            int gag = v;
            while(gag != to){
                ids.push_back(ind[gag]);
                mark[ind[gag]] = true;
                cycle.push_back(gag);
                gag = parent[gag];
            }
            ids.push_back(id);
            mark[id] = true;
            cycle.push_back(to);
            ///
            for(int j=0;j<(int)ids.size();j++){
                hamar[ids[j]] = (int)G.size();
            }
            ///
            her[(int)G.size()] = to;
            gcycle[to].push_back((int)G.size());
            G.push_back(cycle);
            continue;
        }
        parent[to] = v;
        ind[to] = id;
        dfs(to , v);
    }
}

int mas[N] , timer;
int order[N];
int dp[N];

int A;

int calc(int v,int id,vector <int> &vec,int len,int z){
    int answ = 0;
    int sz = (int)vec.size();
    while(len--){
        id = (id + z + sz) % sz;
        A = (vec[id] == v) ? (timer - order[v]) : order[vec[id]];
        answ += A;
    }
    return answ;
}

void rec(int v,int p){
    mas[++timer] = v;
    order[v] = 1;
    for(int i=0;i<(int)g[v].size();i++){
        int to = g[v][i].first;
        int id = g[v][i].second;
        if(to == p || mark[id] || color[to])continue;
        rec(to , v);
        dp[v] = max(dp[v] , order[to]);
        order[v] += order[to];
    }
    for(int i=0;i<(int)gcycle[v].size();i++){
        int id = gcycle[v][i];
        for(int j=0;j<(int)G[id].size();j++){
            int to = G[id][j];
            if(to == v)continue;
            rec(to , v);
            order[v] += order[to];
        }
        int h = (int)G[id].size() / 2;
        ///
        int s1 = calc(v , (int)G[id].size() - 1 , G[id] , h , -1);
        int s2 = calc(v , (int)G[id].size() - 1 , G[id] , h , 1);
        ///
        if((int)G[id].size() % 2 == 0){
            if(s1 > s2)
                s1 -= A;
            else
                s2 -= A;
        }
        dp[v] = max(dp[v] , s1);
        dp[v] = max(dp[v] , s2);
    }
}

void recup(int v,int p,int f){
    if(f == -1)
        dp[v] = max(dp[v] , timer - order[v]);
    else{
        int h = (int)G[f].size() / 2 , id;
        for(int i=0;i<(int)G[f].size();i++){
            if(G[f][i] == v){
                id = i;
                break;
            }
        }
        ///
        int s1 = calc(p , id , G[f] , h , -1);
        int s2 = calc(p , id , G[f] , h , 1);
        ///
        if((int)G[f].size() % 2 == 0){
            if(s1 > s2)
                s1 -= A;
            else
                s2 -= A;
        }
        dp[v] = max(dp[v] , s1);
        dp[v] = max(dp[v] , s2);
    }
    for(int i=0;i<(int)g[v].size();i++){
        int to = g[v][i].first;
        int id = g[v][i].second;
        if(to == p || mark[id] || color[to])continue;
        recup(to , v , -1);
    }
    for(int i=0;i<(int)gcycle[v].size();i++){
        int id = gcycle[v][i];
        for(int j=0;j<(int)G[id].size();j++){
            int to = G[id][j];
            if(to == v)continue;
            recup(to , v , id);
        }
    }
}

int findcenter(int v){
    timer = 0;
    for(int i=1;i<=n;i++){
        order[i] = 1;
        dp[i] = 0;
    }
    rec(v , -1);
    recup(v , -1 , -1);
    int mn = -1 , answ;
    for(int i=1;i<=timer;i++){
        int v = mas[i];
        if(mn == -1 || dp[v] < mn){
            mn = dp[v];
            answ = v;
        }
    }
    for(int i=timer;i>=1;i--){
        int v = mas[i];
        if(dp[v] == mn){
            answ = v;
            break;
        }
    }
    return answ;
}

int main() {
    scanf("%d%d",&n,&m);
    int it = 0;
    for(int i=1;i<=m;i++){
        int k;
        scanf("%d",&k);
        int b = -1;
        while(k--){
            int a;
            scanf("%d",&a);
            if(b != -1){
                ++it;
                g[a].push_back(make_pair(b , it));
                g[b].push_back(make_pair(a , it));
            }
            b = a;
        }
    }
    int K = n;
    while(K--){
        for(int i=1;i<=n;i++){
            color[i] = false;
        }
        int gag = 1;
        int cnt = 0;
        while(true){
            ///
            G.clear();
            for(int i=1;i<=it;i++){
                mark[i] = false;
                hamar[i] = -1;
            }
            for(int i=1;i<=n;i++){
                used[i] = false;
                gcycle[i].clear();
            }
            ///
            dfs(gag , -1);
            int v = findcenter(gag);
            ///
            if(cnt == 10){
                assert(1 == 0);
            }
            printf("%d\n",v);
            cout.flush();
            string s;
            ++cnt;
            int vert;
            cin>>s;
            if(s[0] == 'G'){
                scanf("%d",&vert);
                gag = vert;
                int id;
                for(int i=0;i<(int)g[v].size();i++){
                    if(g[v][i].first == gag){
                        id = g[v][i].second;
                        break;
                    }
                }
                if(mark[id]){
                    id = hamar[id];
                    int h = (int)G[id].size() / 2;
                    if((int)G[id].size() % 2 == 0) h--;
                    int nid;
                    for(int i=0;i<(int)G[id].size();i++){
                        if(G[id][i] == v){
                            nid = i;
                            break;
                        }
                    }
                    int sz = (int)G[id].size();
                    if(G[id][(nid + 1) % sz] == gag){
                        while(h--){
                            nid = (nid - 1 + sz) % sz;
                            color[G[id][nid]] = true;
                        }
                    }
                    else{
                        while(h--){
                            nid = (nid + 1 + sz) % sz;
                            color[G[id][nid]] = true;
                        }
                    }
                }
            }
            else
                break;
            color[v] = true;
        }
    }
    return 0;
}
