#include <bits/stdc++.h>
#define pii pair<int,int>
#define pll pair<long long,long long>
#define pb push_back
#define f first
#define s second
#define ll long long

using namespace std;

int n, D;
vector<int>d;

int gcd(int a, int b){
    if(a == 0 || b == 0){
        return a + b;
    }
    int r = a % b;
    while(r){
        a = b;
        b = r;
        r = a % b;
    }
    return b;
}

pll exgcd(ll a, ll b){
    ll x0 = 1, x1 = 0, y0 = 0, y1 = 1;
    ll q, r, c;
    while(b != 0){
        q = a / b;
        r = a % b;
        a = b;
        b = r;
        c = x1, x1 = x0 - q * x1, x0 = c;
        c = y1, y1 = y0 - q * y1, y0 = c;
    }
    return {x0, y0};
}

pll solve(int d1, int d2){
    int g = gcd(d1, d2);
    if(n % g != 0){
        return {-1, -1};
    }
    pll cur = exgcd(d1, d2);
    cur.f = cur.f * n;
    cur.s = cur.s * n;
    //cout << cur.f << " " << cur.s <<endl;
    if(cur.f < 0){
        ll inc = d2 / g;
        ll cnt = -cur.f / inc;
        if((-cur.f) % inc != 0){
            cnt++;
        }
        cur.f += (cnt * inc);
        cur.s -= (cnt * (d1 / g));
    }else if(cur.s < 0){
        ll inc = d1 / g;
        ll cnt = -cur.s / inc;
        if((-cur.s) % inc != 0){
            cnt++;
        }
        cur.s += (cnt * inc);
        cur.f -= (cnt * (d2 / g));
    }
    if(cur.f > 0 && cur.s > 0){
        return cur;
    }else{
        return {-1, -1};
    }
}
int main()
{
    cin >> n;
    D = sqrt(1.0 * n);
    for(int i = 2; i <= D; i++){
        if(n % i == 0){
            d.pb(i);
            if(i * i != n){
                d.pb(n / i);
            }
        }
    }
    n--;
    int sz = d.size();
    pll res;
    for(int i = 0; i < sz; i++){
        for(int j = i + 1; j < sz; j++){
            res = solve(d[i], d[j]);
            if(res.f != -1){
                cout << "YES" << endl;
                cout << "2" << endl;
                cout << res.f << " " << (n + 1) / d[i] << endl;
                cout << res.s << " " << (n + 1) / d[j] << endl;
                return 0;
            }
        }
    }
    cout << "NO" << endl;
    return 0;
}
