#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

const int N = 100002;

vector< pair<int, int> > ans(int a, int b, bool e = false) {
	int A[3][2];
	if (b >= 0 && a >= b + 6 && a >= 75 - (e ? 10 : 0)) {
		A[0][0] = A[1][0] = A[2][0] = 25;
		if (e)	A[2][0] = 15;

		if (b >= 23) {	A[0][1] = 23;	b -= 23;		}
		else {
			A[0][1] = b; b = 0;
		}

		if (b >= 23) { A[1][1] = 23;	b -= 23; }
		else {
			A[1][1] = b; b = 0;
		}

		if (b >= 23) { A[2][1] = (e ? 13 : 23);	b -= (e ? 13 : 23); }
		else {
			A[2][1] = b; b = 0;
		}

		if (e)	a += 10;
		a -= 75;

		A[0][0] += a;
		A[0][1] += a;
		b -= a;

		if (A[1][1] + b < 0) {
			b += A[1][1];
			A[1][1] = 0;
		}
		else {
			A[1][1] += b;
			b = 0;
		}

		if (A[2][1] + b < 0) {
			b += A[2][1];
			A[2][1] = 0;
		}
		else {
			A[2][1] += b;
			b = 0;
		}
	}
	else
		return vector< pair<int, int> >();

	if (b != 0) return vector< pair<int, int> >();

	return vector< pair<int, int> > {make_pair(A[0][0], A[0][1]), make_pair(A[1][0], A[1][1]), make_pair(A[2][0], A[2][1])};
}
	


int main() {
	int n;
	cin >> n;
	while (n--) {
		int a, b;
		cin >> a >> b;
		if (a + b < 75 || abs(a - b) > 75) {
			cout << "Impossible" << endl;
			continue;
		}
		auto p = ans(a, b);
		if (p.size()) {
			cout << 3 << ":" << 0 << endl;
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}
		p = ans(a, b - 25);
		if (p.size()) {
			cout << 3 << ":" << 1 << endl;
			cout << 0 << ":" << 25 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}
		p = ans(a, b - 50, true);
		if (p.size()) {
			cout << 3 << ":" << 2 << endl;
			cout << 0 << ":" << 25 << " ";
			cout << 0 << ":" << 25 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}

		int x = b - 46;
		for (int i = x; x <= b; x++) {
			p = ans(x, a - 50, true);
			if (p.size())
				break;
		}
		if (p.size()) {
			x = b - x;
			cout << 2 << ":" << 3 << endl;
			cout << 25 << ":" << x / 2 << " ";
			cout << 25 << ":" << x - x / 2 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}

		x = b - 23;
		for (int i = x; x <= b; x++) {
			p = ans(x, a - 25);
			if (p.size())
				break;
		}
		if (p.size()) {
			x = b - x;
			cout << 1 << ":" << 3 << endl;
			cout << 25 << ":" << x << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}

		p = ans(b, a);
		if (p.size()) {
			cout << 0 << ":" << 3 << endl;
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}
		cout << "Impossible" << endl;
	}
	return 0;
}

/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2
*/