#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

const int N = 100002;

int n;
vector < int > p;
vector < int > ans;

bool rec(int ind, int x) {
	if (x % p[ind] == 0) {
		ans[ind] = x / p[ind];
		return true;
	}
	if (ind == p.size() - 1)
		return false;
	for (int i = 0; i < p[ind+1]; i++)
	{
		int mnac = x - p[ind] * i;
		if (rec(ind + 1, mnac)) {
			ans[ind] = i;
			return true;
		}
	}
	return false;
}

int main() {
	cin >> n;
	int k = n;
	int i = 2;
	while (i*i <= k) {
		if (k%i == 0) {
			p.push_back(i);
			while (k%i == 0) {
				k /= i;
			}
		}
		i++;
	}
	if (k != 1) {
		p.push_back(k);
	}
	if (p.size() == 1) {
		cout << "NO\n";
		return 0;
	}
	ans.resize(p.size());

	if (rec(0, n - 1)) {
		int count = 0;
		for (size_t i = 0; i < p.size(); i++)
		{
			if (ans[i] > 0)
				count++;
		}

		cout << "YES" <<endl<<count<<endl;
		for (size_t i = 0; i < p.size(); i++)
		{
			if (ans[i] > 0) {
				cout << ans[i] << " " << n / p[i] << endl;
			}
		}
	}
	else {
		cout << "NO";
	}
	return 0;
}

/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2
*/