#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <algorithm>

using namespace std;

int bestCase(vector<int> v, int c){
    vector<int> gen(2*v.size());
    for(int i = 0; i < 7; i++){
        gen[i] = gen[i+7] = v[i];
    }
    int ans = 7;
    for(int i = 0; i < 7; i++){
        int counter = 0;
        int anscounter = 0;
        for(int j = i; counter < c; j++){
            anscounter++;
            counter+=gen[j];
        }
        ans = min(ans, anscounter);
    }
    return ans;
}

int main()
{
    int t; cin>>t;
    for(int test = 0; test < t; test ++){
        int n;cin>>n;
        vector<int> week(7);
        int wd = 0;
        for(int i = 0; i<7;i++){
            cin>>week[i]; wd+=week[i];
        }
        int nashti = n % wd, struli = n / wd;
        if(nashti == 0){
            nashti = wd; struli--;
        }
        cout << struli * 7 + bestCase(week, nashti) << endl;
    }

    return 0;
}
