#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <algorithm>
#include <string>

using namespace std;

typedef long long ll;

int main() {

	ios_base::sync_with_stdio(false);
		int n;
		cin >> n;
		vector<vector<int >  > board(8, vector<int>(8));
		vector<pair<int, int> > ans(n + 1);
		ans[0] = make_pair(0, 0);
		pair<int, int> curPos = make_pair(0, 0);
		bool goRight = true;
		bool is64 = false;
		int num = 1;

		while (n-- > 2)
		{
			if (curPos.second < 6) {
				if (goRight) {
					if (curPos.first == 7)
					{
						curPos.second++;
						goRight = false;
						ans[num] = curPos;
						num++;
					}
					else
					{
						curPos.first++;
						ans[num] = curPos;
						num++;
					}
				}
				else
				{
					if (curPos.first == 0)
					{
						curPos.second++;
						goRight = true;
						ans[num] = curPos;
						num++;
					}
					else
					{
						curPos.first--;
						ans[num] = curPos;
						num++;
					}
				}
			}
			else
			{
				if (ans.size() == 64)
				{
					is64 = true;
					break;
				}
				if (curPos.first % 2 == 0)
				{
					if (curPos.second == 6)
					{
						curPos.second++;
						ans[num] = curPos;
						num++;
					}
					else
					{
						curPos.first++;
						ans[num] = curPos;
						num++;
					}
				}
				else
				{
					if (curPos.second == 7)
					{
						curPos.second--;
						ans[num] = curPos;
						++num;
					}
					else
					{
						curPos.first++;
						ans[num] = curPos;
						num++;
					}
				}
			}
		}

		if (!is64) {
			if (curPos.second == 7)
			{
				ans[num] = make_pair(curPos.first + 1, curPos.second);
			}
			else if (curPos.first == 7)
			{
				ans[num] = make_pair(curPos.first, curPos.second + 1);
			}
			else
			{
				ans[num] = make_pair(curPos.first, 7);
			}
			ans[num + 1] = make_pair(7, 7);
		}
		else {
			for (int i = 7; i > 0; --i)
			{
				ans[num] = make_pair(i, 6);
				++num;
			}
			ans[num] = make_pair(1, 7);
			++num;
			ans[num] = make_pair(0, 7);
			++num;
			for (int i = 2; i <= 7; ++i)
			{
				ans[num] = make_pair(i, 7);
				++num;
			}
		}
		for (int i = 0; i < ans.size(); ++i)
			cout << (char)(ans[i].first + 'a') << ans[i].second + 1 << " ";

}