#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <algorithm>
#include <string>

using namespace std;

typedef long long ll;

bool isPrime(ll n)
{
	if (n == 2)
		return true;
	for (int i = 2; i * i <= n; ++i)
		if (n % i == 0)
			return false;

	return true;
}

int main() {

	ios_base::sync_with_stdio(false);
	ll n;
	cin >> n;

	vector<ll> divs2;

	for (int i = 2; i * i <= n; ++i)
	{
		if (n % i == 0)
		{
			if (isPrime(i))
				divs2.push_back(i);
			if (divs2.size() == 2)
				break;
			if (isPrime(n / i))
				divs2.push_back(n / i);
			if (divs2.size() == 2)
				break;
		}
	}

	if (divs2.size() < 2)
	{
		cout << "NO" << endl;
	}
	else {
		ll amount1 = 0, amount2 = 0;
		ll tmp = n - 1;
		while (tmp % divs2[0])
		{
			++amount2;
			tmp -= divs2[1];
		}
		amount1 = tmp / divs2[0];

		cout << "YES" << endl;
		cout << 2 << endl;
		cout << amount1 << " " << n / divs2[0] << endl;
		cout << amount2 << " " << n / divs2[1] << endl;
	}
}