#include <bits/stdc++.h>

#define F first
#define S second
#define MP make_pair
#define PB push_back

using namespace std;

typedef long long ll;
typedef long double ld;

const int max_n = 202, inf = 1000111222;

struct state {
    bool win;
    int a, b;
};

int dp[4][4][max_n][max_n], n;
state to[3][3][max_n][max_n];

void update(int sa, int sb, int a, int b, int nsa, int nsb, int na, int nb) {
    if (dp[sa][sb][a][b] < dp[nsa][nsb][na][nb]) {
        dp[sa][sb][a][b] = dp[nsa][nsb][na][nb];
        to[sa][sb][a][b].win = sa < nsa;
        to[sa][sb][a][b].a = a - na;
        to[sa][sb][a][b].b = b - nb;
    }
}

int main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    for (int sa = 0; sa < 4; ++sa) {
        for (int sb = 0; sb < 4; ++sb) {
            if ((int) (sa == 3) + (int) (sb == 3) == 1) {
                for (int a = 0; a < max_n; ++a) {
                    for (int b = 0; b < max_n; ++b) {
                        if (a == 0 && b == 0) {
                            dp[sa][sb][a][b] = sa - sb;
                        } else {
                            dp[sa][sb][a][b] = -inf;
                        }
                    }
                }
            }
        }
    }
    for (int sum_sets = 4; sum_sets >= 0; --sum_sets) {
        for (int sa = 0; sa <= sum_sets && sa < 3; ++sa) {
            int sb = sum_sets - sa;
            if (sb >= 3) {
                continue;
            }
            for (int a = 0; a <= 200; ++a) {
                for (int b = 0; b <= 200; ++b) {
                    dp[sa][sb][a][b] = -inf;
                    int need = 25;
                    if (sum_sets == 4) {
                        need = 15;
                    }
                    if (a >= need) {
                        for (int i = 0; i + 2 <= need && i <= b; ++i) {
                            update(sa, sb, a, b, sa + 1, sb, a - need, b - i);
                        }
                        for (int x = need + 1; x <= a && x - 2 <= b; ++x) {
                            update(sa, sb, a, b, sa + 1, sb, a - x, b - x + 2);
                        }
                    }
                    if (b >= need) {
                        for (int i = 0; i + 2 <= need && i <= a; ++i) {
                            update(sa, sb, a, b, sa, sb + 1, a - i, b - need);
                        }
                        for (int x = need + 1; x <= b && x - 2 <= a; ++x) {
                            update(sa, sb, a, b, sa, sb + 1, a - x + 2, b - x);
                        }
                    }
                }
            }
        }
    }
    scanf("%d", &n);
    while (n--) {
        int a, b;
        scanf("%d%d", &a, &b);
        if (dp[0][0][a][b] < -10) {
            puts("Impossible");
        } else {
            int sa = 0, sb = 0;
            vector<int> va, vb;
            while (sa != 3 && sb != 3) {
                va.push_back(to[sa][sb][a][b].a);
                vb.push_back(to[sa][sb][a][b].b);
                if (to[sa][sb][a][b].win) {
                    ++sa;
                } else {
                    ++sb;
                }
                a -= va.back();
                b -= vb.back();
            }
            printf("%d:%d\n", sa, sb);
            for (int i = 0; i < va.size(); ++i) {
                printf("%d:%d ", va[i], vb[i]);
            }
            printf("\n");
        }
    }
    return 0;
}
