#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
    class BS {
    public:
        int job;
        int time;
    };

    bool cmp(BS b1, BS b2) {
        return b2.time > b1.time;
    }
int main() {
    int n, k;
    cin >> n >> k;
    vector<int> M(k + 1);
    vector<int> A(n + 1, 0);
    vector<int> B(n + 1, 0);

    for (int i = 1; i <= n; i++) {
        int a;
        cin >> A[i];
        M[A[i]]++;
    }
    for (int i = 1; i <= n; i++) {
        cin >> B[i];
    }
    vector<BS> P;

    for(int i  = 1; i <= n; i++) {
        if (M[A[i]] > 1) {
                BS bs;
                bs.job = A[i];
                bs.time = B[i];
                P.push_back(bs);
        }
    }

    sort(P.begin(), P.end(), cmp);
    int cnt = 0;
    for (int i = 1; i <= k; i++)
        if (!M[i]) cnt++;

    long long sum = 0;
    int x = 0;
    while (cnt) {
        if (M[P[x].job] > 1) {sum += P[x].time; M[P[x].job]--; cnt--;}
        x++;
    }
    cout << sum << endl;
    return 0;
}
