#include <bits/stdc++.h>
using namespace std;
#define INF ((int)(1e5))
int p[INF];

void adjust(int &p1, int &p2) {
    if (p1 < p2) {
        int tmp = p1;
        p1 = p2;
        p2 = tmp;
    }
}

int ff_prime(int n) {
    for (int i=2; i<INF; i++) {
        if (p[i] && (n % i == 0)) return i;
    }
    return -1;
}

void sieve() {
    for (int i=0; i<INF; i++) {
        p[i] = 1;
    }

    for (int i=2; i<INF; i++) {
        if (p[i]) {
            for (int j=2; i*j < INF; j++) {
                p[i*j] = 0;
            }
        }
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    sieve();
    int n; cin >> n;
    int m = n;
    int p1 = ff_prime(m);
    if (p1 == -1) {
        cout << "NO" << endl;
        return 0;
    }

    while (m != 1 && ff_prime(m) == p1) m /= p1;
    if (m == 1) {
        cout << "NO" << endl;
        return 0;
    }
    int p2 = ff_prime(m);
    if (p2 == -1) {
        p2 = n/p1;
    }
    adjust(p1, p2);

    for (int i=1; i<=p2; i++) {
        if (i*p1 % p2 == (n-1) % p2) {
            cout << "YES" << endl;
            cout << 2 << endl;
            cout << i << " " << n/p1 << endl;
            cout << (n-1 - i*p1)/p2 << " " << n/p2 << endl;
            // cout << i << " " << (n-1 -i*p1)/p2 << endl;
            break;
        }
    }
    return 0;
}
