graph = {}
already_found = {}

def BFS(s):
    level = {}
    parent = {}
    parent[s] = None
    frontier = []
    frontier.append(s)
    level[s] = 0
    i = 1
    result = 0
    while frontier:
        next = []
        for u in frontier:
            for v in graph[u]:
                if v not in parent:
                    if v not in already_found:
                        if i not in level:
                            level[i] = 0
                        level[i] += 1
                    parent[v] = u
                    next.append(v)
        frontier = next
        if i in level:
            result += level[i]*i
        i+=1
    already_found[s] = True
    return result



n,m = map(int, input().split())

for i in range(m):
    a,b = map(int, input().split())
    if a not in graph:
        graph[a] = []
    if b not in graph:
        graph[b] = []
    graph[a].append(b)
    graph[b].append(a)

res = 0
for i in graph:
    res+=BFS(i)
print(res)

