#include <iostream>
#include <algorithm>
#include <vector>
#include <cstdlib>
#include <cassert>
using namespace std;

void solve(int a, int b) {
	const int chap[5] = { 25, 25, 25, 25, 15 };
	int bestCount = -10, bestArCount = -1, bestErkCount = -1;
	int bestSets = -10;
	vector <int> bestAr, bestErk;
	for (int sets = 3; sets <= 5; ++sets) {
		for (int mask = 0; mask < (1 << sets); ++mask) {
			for (int ka = 0; ka <= 1; ++ka) {
				int A = a, B = b;
				vector <int> ar(sets, 0);
				vector <int> erk(sets, 0);
				for (int i = 0; i < sets; ++i) {
					if (mask & (1 << i)) {
						ar[i] += chap[i];
						A -= chap[i];
					}
					else {
						erk[i] += chap[i];
						B -= chap[i];
					}
				}
				if (A < 0 || B < 0) continue;
				for (int i = sets - 1; i >= 0; --i) {
					if (ar[i] == 0) {
						int tiv = min(chap[i] - 2, A);
						A -= tiv;
						ar[i] += tiv;
					}
					if (erk[i] == 0) {
						int tiv = min(chap[i] - 2, B);
						B -= tiv;
						erk[i] += tiv;
					}
				}
				if (ka && A != B) {
					int karevor = -1;
					for (int i = sets - 1; i >= 0; --i) {
						if (ar[i] == chap[i] - 2 || erk[i] == chap[i] - 2) {
							karevor = i;
							break;
						}
					}
					if (A < B) {
						for (int i = 0; i < sets; ++i) {
							if (ar[i] < erk[i] && i != karevor) {
								while (ar[i] > 0 && A < B) {
									A++;
									ar[i]--;
								}
							}
						}
					}
					else {
						for (int i = 0; i < sets; ++i) {
							if (erk[i] < ar[i] && i != karevor) {
								while (erk[i] > 0 && B < A) {
									B++;
									erk[i]--;
								}
							}
						}
					}
				}
				if (ka && A == B) {
					for (int i = 0; i < sets; ++i) {
						if (ar[i] == chap[i] - 2 || erk[i] == chap[i] - 2) {
							ar[i] += A;
							erk[i] += B;
							A = 0;
							B = 0;
						}
					}
				}
				//cout << mask << " " << A << " " << B << " " << a << " " << b << endl;
				int count1 = 0, count2 = 0;
				bool vata = false;
				for (int i = 0; i < sets; ++i) {
					if (count1 == 3 || count2 == 3) {
						vata = true;
					}
					if (ar[i] > erk[i]) {
						count1++;
					}
					else {
						count2++;
					}
				}
				//cout << A << " " << B << " " << count1 << " " << count2 << endl;
				if (!vata && A == 0 && B == 0 && (count1 == 3 || count2 == 3)) {
					if (bestCount < count1 - count2) {
						bestSets = sets;
						bestCount = count1 - count2;
						bestArCount = count1;
						bestErkCount = count2;
						bestAr = ar;
						bestErk = erk;
					}
				}
			}
		}
	}
	if (bestCount == -10) {
		cout << "Impossible" << endl;
	}
	else {
		/*if (a - b >= 6)
		{
			if (bestArCount != 3 || bestErkCount != 0) {
				cout << a << " " << b << endl;
			}
		}*/
		cout << bestArCount << ":" << bestErkCount << endl;
		for (int i = 0; i < bestSets; ++i)
			cout << bestAr[i] << ":" << bestErk[i] << " ";
		cout << endl;
	}
}

void solveMain() {
	int test, a, b;
	cin >> test;
	while (test--> 0) {
		cin >> a >> b;
		solve(a, b);
	}
}

void testMain() {
	for (int a = 0; a <= 200; ++a) {
		for (int b = 0; b <= 200; ++b) {
			//cout << a << " " << b << endl;
			solve(a, b);
		}
	}
}

int main() {
	ios::sync_with_stdio(false);
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	solveMain();
	//testMain();
	return 0;
}