#include <bits/stdc++.h>
#define F0(i, n) for (int i = 0; i < n; i++)
using namespace std;
typedef pair<int, int> pii;
typedef pair<pii, pii> quad;
typedef long long ll;
const int N = 200001;
ll gcd(ll x, ll y) {
    return y ? gcd(y, x % y) : x;
}
int n;

set<quad> S;
vector<pii> v;

int b1[201][201];
int b2[201][201];
vector<pii> best[201][201];

int IsClose(pii p) {
    return abs(p.first - p.second) == 2;
}

void go(int score1, int score2, int p1, int p2) {
    quad q(pii(score1, score2), pii(p1, p2));
    if (S.count(q)) return;
    S.insert(q);

    if (score1 == 3 || score2 == 3) {
        int add = 0;
        if (IsClose(v.back())) {
            add = min(200 - p1, 200 - p2);
        }

        for (int j = 0; j <= add; j++) {
            if (b1[p1 + j][p2 + j] - b2[p1 + j][p2 + j] < score1 - score2) {
                b1[p1 + j][p2 + j] = score1;
                b2[p1 + j][p2 + j] = score2;
                v.back().first += j;
                v.back().second += j;
                best[p1 + j][p2 + j] = v;
                v.back().first -= j;
                v.back().second -= j;
            }
        }
        return;
    }

    int target = 25;
    if (score1 == 2 && score2 == 2) target = 15;
    for (int x = 0; x + 2 <= target; x++) {
        v.push_back(pii(target, x));
        go(score1 + 1, score2, p1 + target, p2 + x);
        v.pop_back();

        v.push_back(pii(x, target));
        go(score1, score2 + 1, p1 + x, p2 + target);
        v.pop_back();
    }
}

int main() {
    //freopen("alice-the-fan1.in", "r", stdin);
    int tn;
    cin >> tn;

    F0(i, 201) F0(j, 201) { b1[i][j] = -10000; b2[i][j] = 0; }
    go(0, 0, 0, 0);

    while (tn--) {
        int a, b;
        scanf("%d%d", &a, &b);
        if (b1[a][b] <= -10000) {
            cout << "Impossible" << endl;
        } else {
            cout << b1[a][b] << ":" << b2[a][b] << endl;
            for (int i = 0; i < best[a][b].size(); i++) {
                if (i > 0) cout << " ";
                cout << best[a][b][i].first << ":" << best[a][b][i].second;
            }
            cout << endl;
        }
    }

    return 0;
}