#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

#define ll long long
#define PII pair<int,int>
using namespace std;



void print(vector<vector<PII> > v) {
	for (int i = 0; i < v.size(); i++) {
		for (int j = 0; j < v[i].size(); j++) {
			char c = v[i][j].first - 1 + 'a';
			cout << c << v[i][j].second << " ";
		}
	}
	cout << endl;
}


bool go(vector<vector<PII> > v , int cnt) {
	int i, j, total = 0;
	for (i = 0; i < v.size(); i++) {
		total += v[i].size();
	}

	for (i = 0; i < v.size(); i++) {
		while (v[i].size() > 2 && total > cnt) {
			v[i].erase(v[i].begin() + 1);
			total--;
		}
	}

	if (cnt == total) {
		print(v);
		return true;
	}

	return false;
}

int main() {
	
	int n , i , j;
	cin >> n;
	
	if (n <= 8) {

		for (i = 1; i <= n - 1; i++) {
			cout << 'a' << i << " ";
		}
		cout << 'a' << 8 << " ";
		cout << 'h' << 8 << endl;
		return 0;
	}

	vector<vector<PII> > v1;
	v1.resize(4);
	for (i = 1; i <= 8; i++) v1[0].push_back({ 1 , i });
	for (i = 8; i >= 1; i--) v1[1].push_back({ 2 , i });
	for (i = 1; i <= 8; i++) v1[2].push_back({ 3 , i });
	v1[3].push_back({ 8 , 8 });

	if (go(v1 , n + 1)) return 0;

	vector<vector<PII> > v2(8);
	

	for (i = 1; i <= 8; i++) {
		for (j = 1; j <= 8; j++) {
			if (i % 2 == 1) {
				v2[i - 1].push_back({ i , j });
			}
			else {
				v2[i - 1].push_back({ i , 8 - j + 1 });
			}
		}
	}

	swap(v2[6][7], v2[6][6]);
	swap(v2[7][0], v2[7][1]);
	swap(v2[7][1], v2[7][7]);
	go(v2 , n + 1);

	return 0;
}