#include <iostream>
#include <fstream>
#include <set>
#include <algorithm>
#include <vector>
using namespace std;

long long GCD(long long a, long long b) {
	if (a < b) {
		swap(a, b);
	}
	if (b == 0)return a;
	return GCD(a%b, b);

}

int main() {

	int a, b;
	long long n;
	set<long long> primePowers;
	vector<long long> jeradebi;
	cin >> n;
	long long m = n;

	long long aq=0, bq=0;

	for (long long i = 2; i*i < n; i++) {
		if (!(n%i) && GCD(i,n/i)==1) {
			aq = i;
			bq = n / i;
			break;
		}
	}

	if (!aq && !bq) {
		cout << "NO" << endl;
	//	system("pause");
		return 0;
	}
	
	long long maxx = max(aq, bq);
	long long minn = min(aq, bq);

	long long divv = (n-1) / maxx;
	long long axali = n - 1 - divv*maxx;
	axali /= minn;
	
	cout << "YES" << endl;
	cout << "2" << endl;
	cout << axali << " " << maxx << endl;
	cout << divv << " " << minn << endl;
//	system("pause");
	
}