#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <algorithm>
#include <iomanip>
#include <cstdio>
#include <set>
#include <queue>

#define all(v) v.begin(),v.end()

using namespace std;

int gcd(long long a, long long b) {
	if (a%b == 0)
		return b;
	else
		gcd(b, a%b);
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	long long n;
	cin >> n;
	if (n == 2) {
		cout << "NO";
		return 0;
	}
	if (n == 6) {
		cout << "YES\n2\n1 2\n1 3";
		return 0;
	}
	vector<long long>v;
	for (long long i = 1e7 * 5; i >= 2; i--) {
		if (n%i == 0) 
			v.push_back(i);
	}
	reverse(all(v));
	long long k = n - 1;
	for(int i=0;i<v.size();i++){
		long long b = n / v[i];
		long long a, c, d;
		a = b - 1;
		c = n - 1 - a*n / b;
		if (gcd(c, n) != 1) {
			cout << "YES" << "\n";
			cout <<2<<"\n";
			cout << a << " " << b<<"\n";
			cout << c / gcd(c, n) << " " << n / gcd(c, n)<<"\n";
			return 0;
		}
	}
	cout << "NO";
	return 0;

}