#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <algorithm>
#include <iomanip>
#include <cstdio>
#include <set>
#include <queue>

#define all(v) v.begin(),v.end()

using namespace std;

int gcd(long long a, long long b) {
	if (a%b == 0)
		return b;
	else
		gcd(b, a%b);
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	long long n;
	cin >> n;
	vector<long long>v;
	for (long long i = (long long)sqrt(n) + 1; i >= 2; i--) {
		if (n%i == 0) 
			v.push_back(i);
	}
	long long k = n - 1;
	vector<pair<long long, long long> >ans;
	for(int i=0;i<v.size();i++){
		if (k == 0)
			break;
		if (k >= v[i]) {
			long long a, b;
			a = k / v[i];
			b = n / v[i];
			ans.push_back(make_pair(a/gcd(a,b), b/gcd(a,b)));
			k -= a*v[i];
		}
	}
	if (k != 0) {
		cout << "NO";
		return 0;
	}
	cout << "YES" << "\n"<<ans.size()<<"\n";
	for(int i=0;i<ans.size();i++){
		cout << ans[i].first << " " << ans[i].second<<"\n";
	}
	return 0;

}