#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>

using namespace std;

#pragma warning(disable : 4996)

vector<int> divs(int n) {
	vector<int> b;
	for (int i = 2; i * 1LL * i <= n; i++) {
		if (n % i == 0) {
			b.push_back(i);
			b.push_back(n / i);
		}
	}
	sort(b.begin(), b.end());
	return b;
}

bool ttt(int n, vector<int> d) {
	reverse(d.begin(), d.end());
	int ptr = 0;
	while (n && ptr < d.size()) {
		while (n <= d[ptr]) {
			n -= d[ptr];
		}
		ptr++;
	}
	return n == 0;
}

vector<int> cur;

vector<int> mem;

#pragma comment(linker, "/STACK:166777216")
int sol(int n, int i) {
	if (i >= cur.size())
		return 2;
	if (n == 0)return 1;
	if (mem[n])
		return mem[n];
	int m = n;
	if (sol(n, i + 1) == 1) {
		mem[n] = 1;
		return 1;
	}
	while (m >= cur[i]) {
		m -= cur[i];
		if (sol(m, i) == 1) {
			mem[n] = 1;
			return 1;
		}
	}
	mem[n] = 2;
	return mem[n];
}

pair<int, int> get(int n, int a, int b) {
	int sm = min(a, b);
	int bg = max(a, b);
	int t = sm, cnt = 1;
	bool ok = false;
	while (t < n - 1 && !ok) {
		int left = n - 1 - t;
		if (left % bg == 0) {
			return { cnt, left };
		}
		cnt++;
		t += sm;
	}
	return { -1, -1 };
}

long long gcd(long long a, long long b) {
	while (b) {
		a %= b;
		swap(a, b);
	}
	return a;
}

void check(int a, int b, int c, int d, int x, int y) {
	long long g = 1LL * b * d;
	long long h = 1LL * a * d + 1LL * c * b;
	long long gc = gcd(g, h);
	g /= gc;
	h /= gc;
	cout << h << "/" << g << endl;
}

void solve(int n) {
	cur = divs(n);
	if (cur.size() < 2) {
		cout << "NO\n";
		return;
	}
	if (n % 2 == 0) {
		int cc = -1;
		for (auto val : cur)
			if (val % 2) {
				cc = val;
				break;
			}
		if (cc == -1) {
			cout << "NO\n";
			return;
		}
		int m = n - cc - 1;
		cout << "YES\n2\n";
		cout << "1 " << n / cc << endl;
		cout << m / 2 << " " << n / 2 << endl;
#ifdef _DEBUG
		check(1, n / cc, m / 2, n / 2, 0, 0);
#endif
	}
	else {
		int a = -1;
		int b = -1;
		int l = cur.size();
		pair<int, int> r = { -1, -1 };
		for (int i = 0; i < l; i++) {
			for (int j = i + 1; j < l; j++) {
				if (gcd(cur[i], cur[j]) == 1)
				{
					a = cur[i];
					b = cur[j];
					r = get(n, a, b);
					if (r.first != -1)
						break;
				}
			}
		}
		if (r.first == -1)
			cout << "NO\n";
		else {
			cout << "YES\n";
			cout << r.first << " " << n / a << endl;
			cout << r.second / b << " " << n / b << endl;
#ifdef _DEBUG
			check(r.first, n / a, r.second / b, n / b, 0, 0);
#endif
		}
	}
}

int main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
	freopen("out.txt", "w", stdout);
#endif
	/*for (int i = 180; i < 200; i++) {
		auto t = divs(i);
		cur = t;
		int m = i - 1;
		vector<bool> used(i);
		used[0] = true;
		for (auto val : t) {
			for (int j = 0; j < i; j++) {
				if (used[j]) {
					for (int k = j; k < i; k += val)
						used[k] = true;
				}
			}
		}
		cout << i << ": " << (used[m] ? "ok" : "not ok") << "\t\t";
		mem.assign(i, 0);
		reverse(cur.begin(), cur.end());
		cout << (sol(i - 1, 0) == 1 ? "ok" : "not ok") << endl;
	}*/
	int n;
	while (cin >> n)
		solve(n);
	return 0;
}