#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>

using namespace std;

#pragma warning(disable : 4996)

vector<int> st(7);
const int L = 7;

long long sol(int k) {
#ifdef _DEBUG
	cout << k << ": ";
	for (int i = 0; i < L; i++)
		cout << st[i] << " ";
	cout << endl<<"\t" ;
#endif
	int cnt = 0;
	int last = 0;
	for (int i = 0; i < L; i++) {
		cnt += st[i];
		if (st[i])
			last = i;
	}
	int skip = 0;
	long long ans = 1e18;
	if (k == 1)
		return 1;
	if (k <= cnt) {
		int l = 0;
		while (!st[l])l++;
		int cur = 1, r = l;
		int LL = L * 2;
		st.resize(LL);
		for (int i = L; i < LL; i++)
			st[i] = st[i - L];
		while (l < LL) {
			bool ok = true;
			cur = 1;
			r = l;
			while (cur != k) {
				r++;
				while (r < LL && !st[r])r++;
				cur++;
				if (r >= LL) {
					ok = false;
					break;
				}
			}
			if (!ok)
				break;
			ans = min(ans, 1LL * r - l + 1);
			l++;
			while (l < LL && !st[l])l++;
		}
		return ans;
	}
	for (int i = 0; i < L; i++) {
		long long cans = 0;
		if (st[i]) {
			skip++;
			int left = cnt - skip + 1;
			int tt = k - left;
			cans = L - i;
			int weeks = 0;
			if (tt > 0) {
				weeks = tt / cnt;
				tt -= weeks * cnt;
				if (tt)
					cans += weeks * 7;
				else
					cans += (weeks - 1) * 7 +  last + 1;
			}
			int cur = 0;
			if (tt) {
				while (tt) {
					while (!st[cur]) cur++;
					tt--;
					cur++;
				}
				cans += cur;
			}
			ans = min(cans, ans);
		}
	}
	return ans;
}

int main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
	freopen("out.txt", "w", stdout);
#endif
	int T;
	cin >> T;
	while (T--) {
		int k;
		scanf("%d", &k);
		for (int i = 0; i < L; i++) scanf("%d", &st[i]);
		printf("%lld\n", sol(k));
	}
	return 0;
}