import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;




public class Lazy {

    static class Task{
        int idler;
        int task;
        int during;



        public int getIdler() {
            return idler;
        }

        public void setIdler(int idler) {
            this.idler = idler;
        }

        public int getTask() {
            return task;
        }

        public void setTask(int task) {
            this.task = task;
        }

        public int getDuring() {
            return during;
        }

        public void setDuring(int during) {
            this.during = during;
        }
    }


    public static void main (String[]args) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        StringTokenizer stringTokenizer = new StringTokenizer(bufferedReader.readLine());


        int numberIdlers = Integer.parseInt(stringTokenizer.nextToken());
        int numberJobs = Integer.parseInt(stringTokenizer.nextToken());
        List<Task> tasks = new ArrayList<>(numberIdlers);
        Set<Integer> busy = new HashSet();
        stringTokenizer = new StringTokenizer(bufferedReader.readLine());
        for (int i = 0; i < numberIdlers; i++) {
            Task task = new Task();
            task.setIdler(i + 1);
            int taskVar = Integer.parseInt(stringTokenizer.nextToken());
            busy.add(taskVar-1);
            task.setTask(taskVar);
            tasks.add(task);
        }



        stringTokenizer = new StringTokenizer(bufferedReader.readLine());
        for (int i = 0; i < numberIdlers; i++) {
            tasks.get(i).setDuring(Integer.parseInt(stringTokenizer.nextToken()));

        }

        int lentgh = numberJobs - busy.size();

        Collections.sort(tasks, Comparator.comparingInt(o -> o.during));

        int time = 0;
        int lastI = 0;

        for (int i = lastI; i < tasks.size(); i++) {
            for (int j = i+1; j < tasks.size(); j++) {
                if(lentgh == 0){
                    System.out.println(time);
                    return;
                }
                if(tasks.get(i).task == tasks.get(j).task){
                    lentgh--;
                    time += tasks.get(i).during;
                    lastI = i;
                    break;
                }
            }
        }
        System.out.println(time);
    }
}