#include <iostream>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>
#include <functional>
using namespace std;
typedef long long ll;
long long n, sz;
vector <long long> a;
map<long long, int> ans;
bool f;
map<long long, bool> used;

inline bool dfs(long long x, long long k) {
	if (!x) {
		sz = k;
		f = true;
		return true;
	}
	if (f) {
		return false;
	}
	used[x] = true;
	for (auto to : a) {
		if (x - to > -1 && !used[x - to]) {
			// cout << x << " " << k << " "<<to<<endl;
			bool ver = dfs(x - to, k + 1);
			if (ver) {
				ans[to]++;
				return true;
			}
		}
	}
	return false;
}

int main() {
	cin >> n;
	//  n = (1LL << 24) * 3 * 5;
	for (int i = 2; i <= sqrt(n); ++i) {
		if (n % i == 0) {
			a.push_back(i);
			if (i != n / i) a.push_back(n / i);
		}
	}
	sort(a.begin(), a.end(), greater<>());
	if (!dfs(n - 1, 0)) {
		cout << "NO";
		return 0;
	}
	vector<pair<long long, long long> > res;
	//cout << "YES\n";
	//cout << ans.size() << endl;
	for (auto i : ans) {
		long long t = i.second;
		while (t) {
			long long T = min(t, i.first - 1);
			res.push_back({ T,n / i.first });
			//cout << T << " " << n / i.first << endl;
			t -= T;
		}
		//cout << i.first<<" "<<i.second << "\n";
	}
	if (res.size() < 100001) {
		cout << "YES\n" << res.size() << endl;
		for (auto i : res) {
			cout << i.first << " " << i.second << endl;
		}
	}
	else {
		cout << "NO";
	}
	return 0;
}