#include <iostream>
#define ll long long

using namespace std;

ll gcd (ll a, ll b, ll & x, ll & y) {
    if (a == 0) {
        x = 0; y = 1;
        return b;
    }
    ll x1, y1;
    ll d = gcd (b % a, a, x1, y1);
    x = y1 - (b / a) * x1;
    y = x1;
    return d;
}

bool find_sol (ll a, ll b, ll c, ll & x0, ll & y0, ll & g) {
    g = gcd (abs(a), abs(b), x0, y0);
    if (c % g != 0) return false;
    x0 *= c / g;
    y0 *= c / g;
    if (a < 0) x0 *= -1;
    if (b < 0) y0 *= -1;
    return true;
}

int main() {
    ll n; cin >> n;

    for (int i = 2; i*i < n; ++i) {
        if (n % i != 0) continue;
        ll x, y, g;
        if (gcd (i, n/i, x, y) != 1) continue;
        if (!find_sol(i, n/i, n-1, x, y, g)) continue;

        ll a = i, b = n/i;
        if (x < 0) {
            ll tmp = x/b - 1;
            y += tmp*a;
            x -= tmp*b;
        }
        if (y < 0) {
            ll tmp = y/a - 1;
            y -= tmp*a;
            x += tmp*b;
        }

        //cout << x << " " << y << "\n";

        if (1 <= y && y < i && 1 <= x && x < n/i ){
            cout << "YES\n2\n"<< y << " " << i << "\n" << x << " " << n/i << "\n";
            return 0;
        }

        x += b; y -= a;

        //cout << x << " " << y << "\n";

        if (1 <= y && y < i && 1 <= x && x < n/i ){
            cout << "YES\n2\n"<< y << " " << i << "\n" << x << " " << n/i << "\n";
            return 0;
        }

        x -= 2 * b; y += 2 * a;

        //cout << x << " " << y << "\n";

        if (1 <= y && y < i && 1 <= x && x < n/i ){
            cout << "YES\n2\n"<< y << " " << i << "\n" << x << " " << n/i << "\n";
            return 0;
        }
    }

    cout << "NO\n";
}
