#include <bits/stdc++.h>

using namespace std;

int v[6][4][4][201][201];
pair <int, int> f[6][4][4][201][201], way[6][4][4][201][201];

pair <int, int> func(int party, int points1, int points2, int rest1, int rest2)
{
   // cout << party << "  "<< points1 << " " << points2 << " " << rest1 << " " << rest2 << endl;
    if (v[party][points1][points2][rest1][rest2])
        return f[party][points1][points2][rest1][rest2];

    if (party == 5)
    {
        if (points1 >= 3 && points2 >= 3 || points1 < 3 && points2 < 3 || rest1 || rest2)
            f[party][points1][points2][rest1][rest2] = {-1, -1};
        else
            f[party][points1][points2][rest1][rest2] = {points1, points2};

        way[party][points1][points2][rest1][rest2] = {-1, -1};
        v[party][points1][points2][rest1][rest2] = 1;
        return f[party][points1][points2][rest1][rest2];
    }

    if (points1 == 3 || points2 == 3)
    {
        if (rest1 || rest2)
            f[party][points1][points2][rest1][rest2] = {-1, -1};
        else
            f[party][points1][points2][rest1][rest2] = {points1, points2};

        way[party][points1][points2][rest1][rest2] = {-1, -1};
        v[party][points1][points2][rest1][rest2] = 1;
        return f[party][points1][points2][rest1][rest2];
    }

    pair <int, int> res = {-1, -1}, best_way = {-1, -1};
    int end_points = (party == 4 ? 15 : 25);

    if (rest1 >= end_points)
        for (int i = 0; i <= end_points - 2 && i <= rest2; i++)
        {
            pair <int, int> next_step = func(party + 1, points1 + 1, points2, rest1 - end_points, rest2 - i);

            if (next_step != make_pair(-1, -1) && (res == make_pair(-1, -1) || next_step.first - next_step.second > res.first - res.second))
            {
                res = next_step;
                best_way = {end_points, i};
            }
        }

    if (rest2 >= end_points)
        for (int i = 0; i <= end_points - 2 && i <= rest1; i++)
        {
            pair <int, int> next_step = func(party + 1, points1, points2 + 1, rest1 - i, rest2 - end_points);

            if (next_step != make_pair(-1, -1) && (res == make_pair(-1, -1) || next_step.first - next_step.second > res.first - res.second))
            {
                res = next_step;
                best_way = {i, end_points};
            }
        }

    for (int i = end_points + 1; i <= rest1 && i - 2 <= rest2; i++)
    {
        pair <int, int> next_step = func(party + 1, points1 + 1, points2, rest1 - i, rest2 - (i - 2));

            if (next_step != make_pair(-1, -1) && (res == make_pair(-1, -1) || next_step.first - next_step.second > res.first - res.second))
            {
                res = next_step;
                best_way = {i, i - 2};
            }
    }

    for (int i = end_points + 1; i <= rest2 && i - 2 <= rest1; i++)
    {
        pair <int, int> next_step = func(party + 1, points1, points2 + 1, rest1 - (i - 2), rest2 - i);

            if (next_step != make_pair(-1, -1) && (res == make_pair(-1, -1) || next_step.first - next_step.second > res.first - res.second))
            {
                res = next_step;
                best_way = {i - 2, i};
            }
    }

    f[party][points1][points2][rest1][rest2] = res;
    way[party][points1][points2][rest1][rest2] = best_way;
    v[party][points1][points2][rest1][rest2] = 1;
    return f[party][points1][points2][rest1][rest2];
}

int main()
{
    ios_base::sync_with_stdio(0);
    int m, a, b;
    cin >> m;

    for (int i = 0; i < m; i++)
    {
        cin >> a >> b;
        pair <int, int> ans = func(0, 0, 0, a, b);

        if (ans == make_pair(-1, -1))
        {
            cout << "Impossible\n";
            continue;
        }

        cout << ans.first << ":" << ans.second << endl;
        int party = 0, points1 = 0, points2 = 0, rest1 = a, rest2 = b;

        while (way[party][points1][points2][rest1][rest2] != make_pair(-1, -1))
        {
            pair <int, int> moving = way[party][points1][points2][rest1][rest2];
            cout << moving.first << ":" << moving.second << " ";
            party++;

            if (moving.first > moving.second)
                points1++;
            else
                points2++;

            rest1 -= moving.first;
            rest2 -= moving.second;
        }

        cout << endl;
    }
}
