#include <bits/stdc++.h>

using namespace std;

int len = 1;
int g[10][10];
char f[200][200][24];

int met[100];
vector <int> d[100];
vector <int> tops;

void DFS(int u) {
    if (met[u] == 1) return;

    met[u] = 1;

    for (int v: d[u]) {
        if (!met[v]) DFS(v);
    }

    tops.push_back(u);
}

build_stairs(int u, int v) {
    int x = 0;
    int y = 0;
    int z1 = 2 * u, z2 = 2 * v;

    x += len;
    y += len;

    for (int i = 1; i <= x; ++i) {
        f[i][0][z1] = '.';
    }

    for (int i = z1; i <= z2; ++i) {
        f[x][i - z1 + 1][i] = '.';
        f[x][i - z1 + 2][i] = '.';
    }

    for (int i = 1; i <= x + 1; ++i) {
        f[i][0][z2] = '.';
    }

    for (int i = 1; i <= z2 - z1 + 2; ++i) {
        f[x + 1][i][z2] = '.';
    }

    len += 2;
}

build_lift(int u, int v) {
    int x = 0;
    int y = 0;
    int z1 = 2 * u, z2 = 2 * v;

    x += len;
    y += len;

    for (int i = 1; i <= x; ++i) {
        f[i][0][z1] = '.';
    }

    for (int i = z1; i <= z2; ++i) {
        f[x][1][i] = '.';
    }

    for (int i = 1; i <= x; ++i) {
        f[i][0][z2] = '.';
    }

    for (int i = 1; i <= z2 - z1 + 2; ++i) {
        f[x][i][z2] = '.';
    }

    len += 2;
}

int main()
{

    ios_base::sync_with_stdio(0);

    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            int x;
            cin >> x;

            if (x == 1) {
                g[i][j] = 1;
                d[i].push_back(j);
            }
        }
    }

    for (int i = 0; i < n; ++i) {
        if (!met[i]) DFS(i);
    }

    reverse(tops.begin(), tops.end());

    vector <int> rtops(n);


    for (int i = 0; i < n; ++i) {
        rtops[tops[i]] = i;
    }

    for (int i = 0; i < 200; ++i) {
        for (int j = 0; j < 200; ++j) {
            for (int k = 0; k < 24; ++k) {
                f[i][j][k] = '#';
            }
        }
    }

    for (int i = 0; i < n; ++i) {
        f[0][0][2*i] = '1' + rtops[i];
    }

    for (int u = 0; u < n; ++u) {
        for (int v: d[u]) {
            if (rtops[u] > rtops[v]) {
                build_stairs(rtops[v], rtops[u]);
            }
            else {
                build_lift(rtops[u], rtops[v]);
            }
        }
    }

    for (int i = 0; i < n; ++i) {
        cout << i << " " << tops[i] << "\n";
    }


    cout << "200 200 24\n";
    for (int k = 0; k < 24; ++k) {
        for (int i = 0; i < 200; ++i) {
            for (int j = 0; j < 200; ++j) {
                cout << f[i][j][k];
            }
            cout << "\n";
        }
        cout << "\n\n";
    }


}
