import sys
dprint = lambda *xs: print(*xs, file=sys.stderr)

vs = "12345678"
vsr = "87654321"
hs = "abcdefgh"

seqv = lambda c, s: [ c + n for n in s]
seqh = lambda c, s: [ n + c for n in s]

sols = (
seqv("a", vs) + seqv("b", vsr) + 
seqv("c", vs) + seqv("d", vsr) + 
seqv("e", vs) + seqv("f", vsr) 
)

sols2 = (
seqh("1", "hg") + seqh("2", "gh") +
seqh("3", "hg") + seqh("4", "gh") +
seqh("5", "hg") + seqh("6", "gh")
)

def jmp(cell):
    h, v = cell
    if h == "h":
        return "h7"
    elif h == "g":
        return "g8"
    elif v == "8":
        return "g8"
    else:
        return "h" + v

def solvexxxx(n):
    if n <= 61:
        return sols[:n-1] + [jmp(sols[n-2]), "h8"]
    if n == 62:
        return sols + [jmp(sols[n-2]), "h8"]
    if n == 63:
        return sols

def solve(n):
    if n <= 49:
        return sols[:n-1] + [jmp(sols[n-2]), "h8"]
    elif n <= 61:
        nx = n - 49
        return sols + sols2[:nx] + [jmp(sols2[nx-1]), "h8"]
    if n == 62:
        return sols + sols2[:-1] + ["g8", "g7", "h7", "h8"]
    if n == 63:
        return sols + sols2[:-1] + ["g8", "g7", "h7", "h6", "h8"]

def lintest(s):
    corr = lambda x, y: x[0] == y[0] or x[1] == y[1]
    for i in range(len(s)-1):
        if not corr(s[i], s[i+1]):
            return False
    return True
        
def test():
    for n in range(2, 64):
        s = solve(n)
        l = len(s)
        print(n, l == n + 1, len(set(s)) == l, lintest(s))

# МАМА ЗАБЕРИ МЕНЯ ОТСЮДА

print(" ".join( solve(int(input())) ))
