import java.io.*;
import java.util.StringTokenizer;

public class TaskG {
    public static BufferedReader in;
    public static BufferedWriter out;

    public static void main(String[] args) throws IOException {
        in = new BufferedReader(new InputStreamReader(System.in));
        out = new BufferedWriter(new OutputStreamWriter(System.out));
        solve();
        out.close();
    }

    private static void solve() throws IOException {
        int t = nextInt();
        for (int i = 0; i < t; i++) {
            long n = nextInt();
            int inWeek = 0;
            int[] a = new int[7];
            for (int j = 0; j < 7; j++) {
                int d = nextInt();
                if (d == 1) {
                    inWeek++;
                    a[j] = d;
                }
            }
            long whole = n / inWeek - 1;
            long min = Long.MAX_VALUE;
            for (int d = 0; d < 7; d++) {
                if (a[d] == 0) continue;

                long tr = whole * inWeek;
                long pd = whole * 7;
                int curDay = d;
                while (tr < n) {
                    if (a[curDay % 7] == 1) {
                        tr++;
                    }
                    pd++;
                    curDay++;
                }
                min = Math.min(min, pd);

            }
            out.write(min + "\n");


        }

    }

    static StringTokenizer st;
    static String next() throws IOException {
        if (st == null || !st.hasMoreTokens()) {
            st = new StringTokenizer(in.readLine());
        }
        return st.nextToken();
    }
    static int nextInt() throws IOException {
        return Integer.parseInt(next());
    }
}