import java.io.*;
import java.util.ArrayList;
import java.util.Collections;
import java.util.StringTokenizer;

public class TaskL {
    public static BufferedReader in;
    public static BufferedWriter out;

    public static void main(String[] args) throws IOException {
        in = new BufferedReader(new InputStreamReader(System.in));
        out = new BufferedWriter(new OutputStreamWriter(System.out));
        solve();
        out.close();
    }

    private static void solve() throws IOException {
        int n = nextInt();
        int k = nextInt();
        int[] a, b;
        a = new int[n];
        b = new int[n];
        int[] chouse = new int[k];
        ArrayList<Idler>[] jobs = new ArrayList[k];
        Idler[] idlers = new Idler[n];
        for (int i = 0; i < k; i++) {
            jobs[i] = new ArrayList<>();
        }

        for (int i = 0; i < n; i++) {
            a[i] = nextInt() - 1;
            chouse[a[i]]++;
            idlers[i] = new Idler(i, 0);
            jobs[a[i]].add(idlers[i]);
        }
        for (int i = 0; i < n; i++) {
            b[i] = nextInt();
            idlers[i].m = b[i];
        }
        int c = 0;
        ArrayList<Idler> all = new ArrayList<>();
        for (int i = 0; i < k; i++) {
            if (jobs[i].size() == 0) {
                c++;
            } else if (jobs[i].size() > 1) {
                for (Idler idler: jobs[i]) {
                    all.add(idler);
                }
            }
        }
        Collections.sort(all);
        long ans = 0;
        for (int i = 0; (i < all.size()) && (c > 0); i++) {
            if (chouse[a[all.get(i).i]] > 1) {
                c--;
                chouse[a[all.get(i).i]]--;
                ans += all.get(i).m;
            }
        }
        out.write(ans + "\n");
    }

    static StringTokenizer st;
    static String next() throws IOException {
        if (st == null || !st.hasMoreTokens()) {
            st = new StringTokenizer(in.readLine());
        }
        return st.nextToken();
    }
    static int nextInt() throws IOException {
        return Integer.parseInt(next());
    }
}
class Idler implements Comparable<Idler> {
    public int i;
    public int m;
    public Idler(int i, int m) {
        this.i = i;
        this.m = m;
    }
    public int compareTo(Idler o) {
        return Integer.compare(this.m, o.m);
    }
}
