#include <iostream>
#include <algorithm>
#include <vector>
#include <map>
#include <set>
#include <math.h>
using namespace std;


int main()
{
	int n;
	cin >> n;
	int l = sqrt(n) + 1;
	vector<int> div;
	for (int i = 2; i < l; ++i) {
		if (!(n % i))
			div.push_back(i);
	}
	l = div.size();
	for (int i = l - 1; i > -1; --i)
		div.push_back(n / div[i]);

	l = div.size();
	vector<pair<int, int>> res;
	int num = n - 1;
	for (int i = l - 1; i > -1; --i) {
		if (num / div[i]) {
			res.push_back(make_pair(num / div[i], div[i]));
			num %= div[i];
		}
	}

	int j = res.size() - 1;
	while (num && j > -1) {
		res[j].first--;
		num += res[j].second;
		for (int i = l - 1; i > -1; --i) {
			if (res[j].second != div[i] && num / div[i]) {
				res.push_back(make_pair(num / div[i], div[i]));
				num %= div[i];
			}
		}
		j--;
	}

	if (num)
		cout << "NO";
	else {
		int c = 0;
		for (auto p : res)
			if (p.first && p.second) c++;
		cout << "YES\n";
		cout << c << endl;
		for (auto p : res) {
			if (p.first && p.second) cout << p.first << " " << n / p.second << endl;
		}
	}
	
	return 0;
}

