#include <iostream>
#include <vector>
#include <algorithm>

int main()
{
    int n, k; std::cin >> n >> k;
    std::vector<long long> a(n);
    std::vector<long long> b(n);
    std::vector<std::vector<long long>> jobs(k);

    for (int i = 0; i < n; i++) {
        std::cin >> a[i];
        a[i]--;
        jobs[a[i]].push_back(i);
    }
    for (int i = 0; i < n; i++) {
        std::cin >> b[i];
    }

    std::vector<int> vac;
    int kneed = 0;
    for (int i = 0; i < k; i++) {
        if (jobs[i].size() == 0) {
            kneed++; continue;
        }
        int jm = 0;
        for (int j = 0; j < jobs[i].size(); j++) {
            if (b[jobs[i][j]] > b[jobs[i][jm]]) jm = j;
        }
        for (int j = 0; j < jobs[i].size(); j++) {
            if (j == jm) continue;
            vac.push_back(b[jobs[i][j]]);
        }
    }

    std::sort(vac.begin(), vac.end());

    long long result = 0;
    for (int i = 0; i < kneed; i++) result += vac[i];

    std::cout << result << std::endl;
    return 0;
}
