#pragma comment(linker, "/STACK:256000000")

#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <iostream>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <deque>
#include <stack>
#include <queue>
#include <utility>
#include <algorithm>
#include <ctime>
#include <random>
#include <string>
#include <cstring>
#include <cassert>
#include <bitset>

using namespace std;

typedef long long int64;
typedef pair<int, int> pii;

const int INF = 1e9 + 1e6;
const int64 LINF = 4e18;
const double EPS = 1e-9;

#define ll long long

void solve();

int main()
{
#ifdef _MY_DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif // _MY_DEBUG

	ios_base::sync_with_stdio(false);
	cin.tie(0);

	solve();
}


void solve()
{
	int t;
	cin >> t;
	while (t--) {
		bool rev = false;
		int a, b;
		cin >> a >> b;
		if (a < b) {
			rev = true;
			swap(a, b);
		}

		bool flag = false;
		if (a >= 65 && b >= 50) {
			vector<int> f(5), s(5);
			f[2] = 25, f[3] = 25, f[4] = 15;
			s[0] = 25, s[1] = 25;

			int a1 = a - 65;
			int b1 = b - 50;

			for (int i = 0; i < 2; ++i) {
				int kt = min(23, a1);
				a1 -= kt;
				f[i] = kt;
			}

			for (int i = 2; i < 4; ++i) {
				int kt = min(23, b1);
				b1 -= kt;
				s[i] = kt;
			}

			int kt = min(b1, 13);
			b1 -= kt;
			s[4] = kt;

			if (b1 == a1) {
				s[4] += b1;
				f[4] += b1;

				flag = true;

				if (rev) {
					cout << "2:3" << endl;
					for (int i = 0; i < 5; ++i) {
						cout << s[i] << ":" << f[i] << " ";
					}
				}
				else {
					cout << "3:2" << endl;
					for (int i = 0; i < 5; ++i) {
						cout << f[i] << ":" << s[i] << " ";
					}
				}
				cout << endl;
			}
		}

		if (!flag && a >= 75 && b >= 25) {
			vector<int> f(4), s(4);
			f[1] = 25, f[2] = 25, f[3] = 25;
			s[0] = 25;

			int a1 = a - 75;
			int b1 = b - 25;

			int kt = min(23, a1);
			f[0] = kt;
			a1 -= kt;

			for (int i = 1; i < 4; ++i) {
				int kt = min(b1, 23);
				s[i] = kt;
				b1 -= kt;
			}

			if (a1 == b1) {
				s[3] += b1;
				f[3] += b1;
				flag = true;

				if (rev) {
					cout << "1:3" << endl;
					for (int i = 0; i < 4; ++i) {
						cout << s[i] << ":" << f[i] << " ";
					}
				}
				else {
					cout << "3:1" << endl;
					for (int i = 0; i < 4; ++i) {
						cout << f[i] << ":" << s[i] << " ";
					}
				}
				cout << endl;
			}
		}

		if (!flag && a >= 75) {
			vector<int> f(3), s(3);
			f[0] = 25, f[1] = 25, f[2] = 25;

			int a1 = a - 75;
			int b1 = b;

			for (int i = 0; i < 3; ++i) {
				int kt = min(23, b1);
				b1 -= kt;
				s[i] = kt;
			}

			if (a1 == b1) {
				s[2] += b1;
				f[2] += b1;
				flag = true;

				if (rev) {
					cout << "0:3" << endl;
					for (int i = 0; i < 3; ++i) {
						cout << s[i] << ":" << f[i] << " ";
					}
				}
				else {
					cout << "3:0" << endl;
					for (int i = 0; i < 3; ++i) {
						cout << f[i] << ":" << s[i] << " ";
					}
				}
				cout << endl;
			}
		}

		if (!flag) {
			cout << "Impossible" << endl;
		}
	}
}