#pragma comment(linker, "/STACK:256000000")

#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <iostream>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <deque>
#include <stack>
#include <queue>
#include <utility>
#include <algorithm>
#include <ctime>
#include <random>
#include <string>
#include <cstring>
#include <cassert>
#include <bitset>

using namespace std;

typedef long long int64;
typedef pair<int, int> pii;

const int INF = 1e9 + 1e6;
const int64 LINF = 4e18;
const double EPS = 1e-9;

#define ll long long

void solve();

int main()
{
#ifdef _MY_DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif // _MY_DEBUG

	ios_base::sync_with_stdio(false);
	cin.tie(0);

	solve();
}

int a[7];

void solve()
{
	int t;
	cin >> t;
	while (t--) {
		int k;
		cin >>  k;
		int sum = 0;
		int start = -1;
		for (int i = 0; i < 7; i++) {
			cin >> a[i];
			if (a[i] == 1) {
				if (start == -1) {
					start = i;
				}
				sum++;
			}
		}
		k -= 7;
		int64 ans = 0;
		if (k > 0) {
			ans = (k / sum) * 7;
			k -= (k / sum)*sum;
		}
		k += 7;
		for (int i = start; k != 0; ) {
			ans++;
			if (a[i] == 1) {
				k--;
			}
			i++;
			i %= 7;
		}
		cout << ans << endl;
	}
}