#pragma comment(linker, "/STACK:256000000")

#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <iostream>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <deque>
#include <stack>
#include <queue>
#include <utility>
#include <algorithm>
#include <ctime>
#include <random>
#include <string>
#include <cstring>
#include <cassert>
#include <bitset>

using namespace std;

typedef long long int64;
typedef pair<int, int> pii;

const int INF = 1e9 + 1e6;
const int64 LINF = 4e18;
const double EPS = 1e-9;

#define ll long long

void solve();

int main()
{
#ifdef _MY_DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif // _MY_DEBUG

	ios_base::sync_with_stdio(false);
	cin.tie(0);

	solve();
}

int n;
int p[64][64], p1[64][64];
pii nm[64][64];

pii st(0, 0);

int dx[] = { 1,-1,0,0 };
int dy[] = { 0,0,1,-1 };

int dx1[] = { 0,0,1,-1 };
int dy1[] = { 1,-1,0,0 };

void solve()
{
	p[0][0] = 1;
	p1[0][0] = 1;

	pii pos(0, 0);
	bool flag = false;
	while (true) {

		if (pos.first == 7 && pos.second == 7)
			break;

		if (pos.first == 0 && pos.second == 5) {
			flag = true;
		}

		if (!flag) {
			int x = pos.first;
			int y = pos.second;
			for (int i = 0; i < 4; ++i) {
				int x1 = x + dx[i];
				int y1 = y + dy[i];

				if (x1 < 8 && x1 >= 0 && y1 < 8 && y1 >= 0) {
					if (!p[x1][y1]) {
						nm[x][y] = { x1,y1 };
						pos = { x1,y1 };
						p[x1][y1] = 1;
						break;
					}
				}
			}
		}
		else {
			int x = pos.first;
			int y = pos.second;
			for (int i = 0; i < 4; ++i) {
				int x1 = x + dx1[i];
				int y1 = y + dy1[i];

				if (x1 < 8 && x1 >= 0 && y1 < 8 && y1 >= 0) {
					if (!p[x1][y1]) {
						nm[x][y] = { x1,y1 };
						p[x1][y1] = 1;
						pos = { x1,y1 };
						break;
					}
				}
			}
		}
	}

	cin >> n;

	vector<pii> ans;

	while (true) {
		if (st.first == 5 && st.second == 6) {
			if (n == 4) {
				ans.push_back({ 7,6 });
				ans.push_back({ 6,6 });
				ans.push_back({ 6,7 });
				ans.push_back({ 7,7 });
			}
			else if (n == 3) {
				ans.push_back({ 6,6 });
				ans.push_back({ 6,7 });
				ans.push_back({ 7,7 });
			}
			else if (n == 2) {
				ans.push_back({ 7,6 });
				ans.push_back({ 7,7 });
			}
			break;
		}
		else {
			if (n == 2) {
				if (st.second == 7) {
					ans.push_back({ st.first + 1,st.second });
					ans.push_back({ 7, 7 });
				}
				else if (st.first == 7) {
					ans.push_back({ st.first, st.second + 1 });
					ans.push_back({ 7,7 });
				}
				else {
					if (p1[st.first][7] != 1) {
						ans.push_back({ st.first, 7 });
						ans.push_back({ 7,7 });
					}
					else {
						ans.push_back({ 7, st.second });
						ans.push_back({ 7,7 });
					}
				}
				break;
			}
			else {
				ans.push_back(nm[st.first][st.second]);
				st = nm[st.first][st.second];
				p1[st.first][st.second] = 1;
				n--;
			}
		}
	}
	cout << "a1 ";
	for (auto an : ans) {
		cout << char('a' + an.first) << an.second + 1 << " ";
	}
}