#pragma comment(linker, "/STACK:256000000")

#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES

#include <iostream>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <deque>
#include <stack>
#include <queue>
#include <utility>
#include <algorithm>
#include <ctime>
#include <random>
#include <string>
#include <cstring>
#include <cassert>
#include <bitset>

using namespace std;

typedef long long int64;
typedef pair<int, int> pii;

const int INF = 1e9 + 1e6;
const int64 LINF = 4e18;
const double EPS = 1e-9;

#define ll long long

void solve();

int main()
{
#ifdef _MY_DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif // _MY_DEBUG

	ios_base::sync_with_stdio(false);
	cin.tie(0);

	solve();
}

int64 n;

void solve()
{
	cin >> n;

	set<int64> del;

	for (int64 i = 2; i <= sqrt(n); ++i) {
		if (n%i == 0) {
			del.insert(i);
			del.insert(n / i);
		}
	}

	int64 fg = (n - 1);
	int64 df = n;

	vector<pair<int64, int64>> ans;
	for (auto as : del) {
		int64 kt = n / as;

		int64 ddf = fg / kt;
		ddf = min(ddf, as - 1ll);

		if (ddf > 0) {
			ans.push_back({ ddf,as });
			fg -= ddf*kt;
		}

		if (fg == 0) {
			break;
		}
	}

	if (!fg) {
		cout << "YES" << endl  << ans.size() << endl;
		for (auto we : ans) {
			cout << we.first << " " << we.second << endl;
		}
	}
	else {
		cout << "NO";
	}
}