#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

typedef unsigned long long ull;
typedef long long ll;

vector<ll> d;

void find_div(ull n)
{
    for (int i = 2; i*i <= n; ++i) {
        if (n % i == 0)
        {
            d.push_back(i);
            d.push_back(n / i);
        }
    }
}

void solve(ull n)
{
    find_div(n);
    if (d.size() == 0)
    {
        cout << "NO" << endl;
        return;
    }
    ll a = d[0];

    for (int i = 0; i < d.size(); ++i) {
        ll b = d[i];
        for (int k = 1; k <= b; ++k) {
            if ((n - 1 - a*k) % b == 0)
            {
                cout << "YES" << endl;
                cout << 2 << endl;
                cout << k << " " << n / a << endl;
                cout << (n - 1 - a*k)/b  << " " << n / b << endl;
                return;
            }
        }
    }

    cout << "NO" << endl;
    return;
}

int main() {
    int n;
    cin >> n;
    solve(n);
    return 0;
}