#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

typedef unsigned long long ull;
typedef long long ll;

ll solve()
{
    int n;
    cin >> n;
    int day[7];
    int cnt = 0;
    for (int i = 0; i < 7; ++i) {
        cin >> day[i];
        if (day[i] == 1)
            cnt++;
    }

    ll min = numeric_limits<ll>::max();
    for (int i = 0; i < 7; ++i) {
        int total = (n / cnt) * 7;
        int rem = n % cnt;

        if (rem == 0)
        {
            total -= 7;
            rem += cnt;
        }

        for (int j = 0; j < 7; ++j) {
            if (day[j])
            {
                rem--;
                if (rem == 0)
                {
                    total += j + 1;
                    break;
                }
            }
        }
        if (total < min)
        {
            min = total;
        }
        // shift
        int tmp = day[0];
        for (int j = 0; j < 6; ++j) {
            day[j] = day[j + 1];
        }
        day[6] = tmp;
    }
    cout << min << endl;
}

int main() {

    int t;
    cin >> t;

    for (int i = 0; i < t; ++i) {
        solve();
    }

    return 0;
}