#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

typedef unsigned long long ull;
typedef long long ll;

struct worker {
    int w;
    int t;
};

int mark[100000 + 1];
int selected[100000 + 1];

int main() {

    vector<worker> v;

    int n, k;
    cin >> n >> k;

    v.resize(n);

    for (int i = 0; i < n; ++i) {
        cin >> v[i].w;
    }
    for (int i = 0; i < n; ++i) {
        cin >> v[i].t;
    }

    sort(v.begin(), v.end(), [] (worker a, worker b) {return a.t < b.t;});


    int unselected = k;
    for (int j = n - 1; j >= 0; --j) {
        int w = v[j].w;
        if (!selected[w]) {
            mark[j] = 1;
            selected[w] = 1;
            unselected--;
        }
    }

    ull sum = 0;
    if (unselected > 0) {
        for (int i = 0; i < n; ++i) {
            if (!mark[i]) {
                unselected--;
                sum += v[i].t;
                if (unselected == 0)
                    break;
            }
        }
    }

    cout << sum << endl;

    return 0;
}