#include<bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const int N = 600300;
const int mod = 1e9 + 7;

#define fo(i, n) for(int i = 1; i <= n; ++i)
#define pb push_back

char ty[N];
int q;
int p[N];
int d[N];
struct node {
    ll tout;
    ll tin;
    ll skip;
    int ok;
} t[4*N];
vector<int> all;
inline int get(int x) {
    return lower_bound(all.begin(), all.end(), x) - all.begin() + 1;
}
node empty;

inline node merge(node a, node b) {
    if(!a.ok) return b;
    if(!b.ok) return a;
    node ret;
    ret.ok = 1;
    ret.tin = a.tin;
    if(a.tout <= b.tin) {
        ret.tout = b.tout;
        ret.skip = a.skip + b.skip + b.tin - a.tout;
    } else {
        ll x = a.tout - b.tin;
        ll add = max(0ll, b.skip - x);
        ret.skip = a.skip + add;
        ret.tout = b.tout + x - min(b.skip, x);
    }
    return ret;
}

inline void upd(int v, int tl, int tr, int p, int x) {
    if(tl == tr) {
        t[v].skip = 0;
        t[v].tout = all[tl - 1] + x;
        t[v].tin = all[tl - 1];
        t[v].ok = x > 0;
        return;
    }
    int tm = tl + tr >> 1;
    if(p <= tm)
        upd(v + v, tl, tm, p, x);
    else
        upd(v + v + 1, tm + 1, tr, p, x);
    t[v] = merge(t[v + v], t[v + v + 1]);
}

inline node calc(int v, int tl, int tr, int l, int r) {
    if(l > r) return empty;
    if(tl == l && tr == r) return t[v];
    int tm = tl + tr >> 1;
    return merge(calc(v + v, tl, tm, l, min(r, tm)), calc(v + v + 1, tm + 1, tr, max(tm + 1, l), r));
}

inline ll solve(ll x) {
	ll xx = x;
    x = get(x);
    node w = calc(1, 1, q, 1, x);
    if(!w.ok || w.tout <= x) return 0;
    return w.tout - xx;
}
int main() {
    ios::sync_with_stdio(0); cin.tie(0);
    cin >> q;
    fo(i, q) {
        cin >> ty[i];
        if(ty[i] == '?') {
            cin >> p[i];
            all.pb(p[i]);
        } else if(ty[i] == '+') {
            cin >> p[i] >> d[i];
            all.pb(p[i]);
        } else if(ty[i] == '-') {
            cin >> p[i];
            p[i] = p[p[i]];
        }
    }

    sort(all.begin(), all.end());
    all.resize(unique(all.begin(), all.end()) - all.begin());

    for(int i = 1; i <= q; ++i) {
        if(ty[i] == '?') {
            cout << solve(p[i]) << '\n';
        } else if(ty[i] == '+') {
            upd(1, 1, q, get(p[i]), d[i]);
        } else if(ty[i] == '-') {
            upd(1, 1, q, get(p[i]), 0);
        }
    }

    return 0;
}