#include<bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

const int N = 300300;
const int mod = 1e9 + 7;

#define fo(i, n) for(int i = 1; i <= n; ++i)
#define pb push_back

const int K = 200;

int n;

int a[K][K];
vector<int> g[K], gr[K];
int used[K];
int col;
vector<int> e[K], er[K];
vector<int> order;
int cnt[K];
int pos[K];
int q[N];
int qs, qt;

const int sz = 200;
inline void dfs(int v) {
    used[v] = 1;
    for(int to : g[v])
        if(!used[to]) dfs(to);
    order.pb(v);
}
vector<int> comp[K];
inline void go(int v, int c) {
    used[v] = c;
    comp[c].pb(v);
    for(int to : gr[v])
        if(!used[to]) go(to, c);
}

struct layer {
    char a[sz][sz];
    inline void clear() {
        for(int i = 0; i < sz; ++i)
            for(int j = 0; j < sz; ++j)
                a[i][j] = '.';
    }
    inline void block_all() {
        for(int i = 0; i < sz; ++i)
            for(int j = 0; j < sz; ++j)
                a[i][j] = '#';
    }
    inline void block(int x, int y) {
        a[x][y] = '#';
    }
    inline void unblock(int x, int y) {
        a[x][y] = '.';
    }
    inline void block_nei(int x, int y) {
        for(int i = x - 1; i <= x + 1; ++i)
            for(int j = y - 1; j <= y + 1; ++j)
                if(i != x || j != y) block(i, j);
    }
    inline void print() {
        for(int i = 0; i < sz; ++i, cout << '\n')
            for(int j = 0; j < sz; ++j)
                cout << a[i][j];
        cout << '\n';
    }
};

int was[N];

inline void calc(int v) {
    was[v]=1;
    for(int to : e[v]) {
        if(!was[to]) calc(to);
    }
    order.pb(v);
}
int tmr[N];
layer layers[K];

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cin >> n;
    fo(i, n) fo(j, n) cin >> a[i][j];
    fo(k, n) fo(i, n) fo(j, n) a[i][j] |= (a[i][k] && a[k][j]);
    for (int i = 1; i <= n; ++i)
        for (int j = 1; j <= n; ++j)
            if (a[i][j]) g[i].pb(j), gr[j].pb(i);
    for (int i = 1; i <= n; ++i)
        if (!used[i]) dfs(i);
    memset(used, 0, sizeof used);
    reverse(order.begin(), order.end());
    for (int v : order) {
        if (!used[v]) {
            go(v, ++col);
        }
    }
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j)
            if (a[i][j]) {
                int x = used[i];
                int y = used[j];
                if (x != y) e[x].pb(y);
            }
    }
    fo(i, col) {
        sort(e[i].begin(), e[i].end());
        e[i].resize(unique(e[i].begin(), e[i].end()) - e[i].begin());
        layers[i].clear();
        for (int to : e[i])
            er[to].pb(i), cnt[to]++;
    }
    order.clear();

    memset(was, 0, sizeof was);
    for(int i = 1; i <= col; ++i)
        if(!was[i]) calc(i);

    reverse(order.begin(), order.end());
    for(int i = 0; i < order.size(); ++i)
        pos[order[i]] = i;
    vector<pii> pts;
    for(int i = sz - 1; i >= 0; i -= 2)
        for(int j = sz - 1; j >= 0; j -= 2)
            pts.pb({i, j});
    int pointer = 0;
    int xx = 0, yy = 0;
    for(int i = 0; i <= col; ++i) tmr[i] = 1e9;
    vector<pair<layer, int>  > l;
    for(int i = 0; i < order.size(); ++i) {
        l.pb({layers[order[i]], order[i]});
        layer x;
        x.block_all();
        l.pb({x, 0});
    }
    for(int i = l.size()-1;i>=0;--i) {
        int v = l[i].second;
        if(v == 0) continue;
        int x = 0, y = 0;
        for(int w : comp[v]) {
            l[i].first.a[x][y] = char(w + '0');
            y++;
        }
        for(int to : e[v]) {
            tmr[to] = i;
        }
        for(int j = i + 1; j < l.size(); ++j) {
        	int to = l[j].second;
            if(tmr[to] == i) {
                pii cur = pts[pointer++];
                for(int k = i; k <= j; ++k) {
                    l[k].first.unblock(cur.first, cur.second);
                    if(k != i && k != j) l[k].first.block_nei(cur.first, cur.second);
                }
            }
            
        }    
        }
    /*
for(int i = order.size() - 1; i >= 0; --i) {
int v = order[i];
for(int x : comp[v]) {
      layers[v].a[xx][yy] = char(x+'0');
      if(i+1<order.size()) layers[order[i+1]].block(xx,yy);
      yy++;
      if(yy>=sz) yy=0,xx++;
}
for(int to : e[v]) {
   tmr[to] = i;
}
for(int j = i + 1; j < order.size(); ++j) {
   int to = order[j];
   if(tmr[to] == i) {
       pii cur = pts[pointer++];
       if(j + 1 < order.size())
           layers[order[j + 1]].block(cur.first, cur.second);
       for(int k = i; k <= j; ++k) {
           layers[order[k]].unblock(cur.first, cur.second);
           if(k != i && k != j) layers[order[k]].block_nei(cur.first, cur.second);
       }
   }
}
}         */
cout << sz << ' '<<sz<<' '<<l.size()<<'\n';
assert(sz*1ll*sz*l.size()<=1000000);
    for(auto &x: l)
        x.first.print();

    return 0;
}