#include <bits/stdc++.h>
using namespace std;

#define pb push_back
#define mp make_pair
#define FILE "filename"
#define LOC 1
#define len(x) int(x.size())

typedef long long ll;
typedef unsigned long long ull;

const double EPS = 1e-9;
const int ITER = 300;
const int INF = 1e9+100;
const ll LINF = 1e18+100;

const int MAXN = 1e5 + 5;



int d1[64][64] = {
	{0,   1,  2,  3,  4,  5,  6,  7},
	{15, 14, 13, 12, 11, 10,  9,  8},
	{16, 17, 18, 19, 20, 21, 22, 23},
	{31, 30, 29, 28, 27, 26, 25, 24},
	{32, 33, 34, 35, 36, 37, 38, 39},
	{47, 46, 45, 44, 43, 42, 41, 40},
	{48, 49, 53, 54, 57, 58, 61, 62},
	{51, 50, 52, 55, 56, 59, 60, 63}
};

int d2[64][64] = {
	{0,   1,  2,  3,  4,  5,  6,  7},
	{15, 14, 13, 12, 11, 10,  9,  8},
	{16, 17, 18, 19, 20, 21, 22, 23},
	{31, 30, 29, 28, 27, 26, 25, 24},
	{32, 33, 34, 35, 36, 37, 38, 39},
	{47, 46, 45, 44, 43, 42, 41, 40},
	{48, 51, 52, 55, 56, 59, 60, -1},
	{49, 50, 53, 54, 57, 58, 61, 62}
};
int n;

void find_next1(int &i, int &j) {
	for(int ii = 0; ii < 64; ++ii) {
		for(int jj = 0; jj < 64; ++jj) {
			if(d1[i][j]+1 == d1[ii][jj]){
                i = ii;
                j = jj;
                return;
			}
		}
	}
}

void find_next2(int &i, int &j) {
	for(int ii = 0; ii < 64; ++ii) {
		for(int jj = 0; jj < 64; ++jj) {
			if(d2[i][j]+1 == d2[ii][jj]){
                i = ii;
                j = jj;
                return;
			}
		}
	}
}




void solve() {
	cin >> n;
    if(n <= 56) {
        n -= 2;
        int i = 0, j = 0;
        cout << "a1 ";
        while(n) {
            find_next1(i, j);
            cout << char(j+'a') << (i+1) << ' ';
            --n;
        }
        if(j == 7)
            ++i;
        else
            i = 7;
        cout << char(j+'a') << (i+1) << ' ';
        cout << "h8";
    }
    else if(n == 53 || n == 56 || n == 57 || n == 60 || n == 61) {
        int i = 0, j = 0;
        n -= 1;
        cout << "a1 ";
        while(n) {
            find_next1(i, j);
            cout << char(j+'a') << (i+1) << ' ';
            --n;
        }
        cout << "h8";
    }
    else if(n == 54 || n == 55 || n == 58 || n ==  59 || n == 62) {
        int i = 0, j = 0;
        n -= 1;
        cout << "a1 ";
        while(n) {
            find_next2(i, j);
            cout << char(j+'a') << (i+1) << ' ';
            --n;
        }
        cout << "h8";
    }
	else {
		int i = 0, j = 0;
        cout << "a1 ";
        while(n) {
            find_next1(i, j);
            cout << char(j+'a') << (i+1) << ' ';
            --n;
        }
	}
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);




	int t = 1;
//	cin >> t;
	for(int cs = 0; cs < t; ++cs) {
		solve();
	}
	return 0;
}
