#include <stdio.h>
#include <bits/stdc++.h>

using namespace std;

typedef double db;
typedef long long ll;
typedef long double ld;
typedef unsigned int ui;
typedef unsigned long long ull;

typedef pair < db, db > pdd;
typedef pair < db, ld > pdl;
typedef pair < ld, db > pld;
typedef pair < ld, ld > ldp;

typedef pair < ll, ll > pll;
typedef pair < int, ll > pil;
typedef pair < ll, int > pli;
typedef pair < int, int > pii;

#define f first
#define s second

#define en end()
#define bg begin()

#define rev reverse
#define mp make_pair
#define pb push_back

#define y1 y1234567890
#define um unordered_map

#define all(x) x.bg, x.en
#define sz(x) (int)x.size()
#define len(x) (int)strlen(x)

#define sqr(x) ((x + 0ll) * (x))
#define sqrd(x) ((x + 0.0) * (x))

#define forn(i, n) for (int i = 1; i <= n; i++)

const ll inf = (ll)1e18;
const int mod = (ll)1e9 + 7;

const db eps = (db)1e-9;
const db pi = acos(-1.0);

const int dx[] = {0, 0, 1, 0, -1};
const int dy[] = {0, 1, 0, -1, 0};

const int N = 510;
int n,m;
vector <int> g[N], ver;

int d[N][N], a[N], cnt[N];

pair<int,int> b[N][N];

void otc(int v,int x){
	vector <int> nw;
	for(int i : ver) if(i != v){
		if(b[v][i].f == x || b[v][i].s == x) nw.pb(i);
	}
	ver = nw;
}

bool ask(int v){
	cout << v << endl;
	string s;
	cin >> s;
	if(s == "FOUND") return 1;
	int x;
	cin >> x;
	otc(v,x);
	return 0;
}

int calc(int v){
	memset(cnt, 0, sizeof(cnt));
	for(int i : ver) if(i != v){
		cnt[b[v][i].f]++;
		cnt[b[v][i].s]++;
	}
	int res = 0;
	for(int i : ver){
		res = max(res, cnt[i]);
	}
	return res;
}

void add_edge(int u,int v){
	d[u][v] = 1;
	d[v][u] = 1;
	g[u].pb(v);
	g[v].pb(u);
}

int main() {
	cin >> n >> m;
	for(int i = 1; i <= n; i++){
		for(int j = 1; j <= n; j++){
			d[i][j] = mod;
			if(i == j)
				d[i][j] = 0;
		}
	}
	for(int i = 0,k; i < m; i++){
		cin >> k;
		for(int j = 0; j < k; j++){
			cin >> a[j];
			if(j > 0){
				add_edge(a[j], a[j - 1]);
			}
		}
	}
	for(int k = 1; k <= n; k++){
		for(int i = 1; i <= n; i++){
			for(int j = 1; j <= n; j++){
				d[i][j] = min(d[i][j], d[i][k] + d[k][j]);
			}
		}
	}

	for(int v = 1; v <= n; v++){
		for(int u = 1; u <= n; u++) if(u != v){
			for(int w : g[u]){
				if(d[u][v] > d[w][v]){
					if(!b[u][v].f) b[u][v].f = w;
					else b[u][v].s = w;
				}
			}
		}
		ver.pb(v);
	}

	for(int it = 1; it <= n; it++){
	    ver.clear();
	    for(int v = 1; v <= n; v++) ver.pb(v);
		while(true){
		    if(sz(ver) == 1){
		    	ask(ver[0]);
		    	break;
		    }
		    int v = 0;
		    int res = mod, val = 0;
		    for(int i : ver){
		    	val = calc(i);
		    	if(val < res){
		    		res = val;
		    		v = i;		
		    	}
		    	else if(val == res && (rand() & 1)) v = i;
		    }
		    if(ask(v)){
		    	break;
		    }
		}
	}

	return 0;
}
