#include <bits/stdc++.h>

#define ll long long
#define mp make_pair
#define f first
#define s second
#define pll pair <long, long>
#define pii pair <int, int>
#define vi vector <int>
#define sqr(x) (x) * 1ll * (x)
#define all(v) v.begin(), v.end()
#define sz(v) (int)v.size()
#define pb push_back
#define endl "\n"

using namespace std;


const int N = 20;
const double pi = acos(-1);
const int inf = 1e9 + 100;
const long long INF = 2e18;
const double eps = 1e-6;

int n, a[100][100];
vi g[N], gr[N], order, ngr[N], ng[N], comp[N];
int ans[11][30][200];
int used[N], u[N][N];
int color[N], c;
int val[111][111];

void dfs(int v) {
	used[v] = 1;
	for (int i = 0; i < sz(g[v]); i++) {
	 	int to = g[v][i];
	 	if (!used[to]) {
			dfs(to);
	 	}
	}
	order.pb(v);
}

void paint(int v, int c) {
	color[v] = c;
	comp[c].pb(v);
	for (int i = 0; i < sz(gr[v]); i++) {
	 	int to = gr[v][i];
	 	if (!color[to]) {
	 	 	paint(to, c);
	 	}
	}
}

int h = 1;
int mxw;

void go(int v, int w) {
	used[v] = 1;
	val[h][w] = v;
	if(w > 1) val[h][w - 1] = -1;
	val[h + 1][w] = -1;
	mxw = max(mxw, w);
	h += 2;
	for (int i = 0; i < sz(ngr[v]); i++) {
		int to = ngr[v][i];
		if (!used[to]) {
		 	go(to, w + 1);
		}
	}
}

int main() {
	ios_base::sync_with_stdio(0), cin.tie(0);
	
	cin >> n;
	for (int i = 1; i <= n; i++) {
		for (int j = 1; j <= n; j++) {
		 	cin >> a[i][j];
		 	if (a[i][j]) {
		 	 	g[i].pb(j);
		 	 	gr[j].pb(i);
		 	}
	 	}
	}
	
	for (int i = 1; i <= n; i++) {
	 	if (!used[i]) {
			dfs(i);
	 	}
	}
	
	memset(used, 0, sizeof used);
	reverse(order.begin(), order.end());
	for (int i = 0; i < sz(order); i++) {
	 	int v = order[i];
	 	if (!color[v]) {
	 		c++;
	 	 	paint(v, c);
	 	}
	}
	/*for(int i = 1; i <= n; ++i){
		cerr << color[i] << endl;
	}*/
	
	for (int i = 1; i <= n; i++) {
		for (int j = 1; j <= n; j++) {
		 	if (color[i] != color[j] && a[i][j]) {
				if (!u[color[i]][color[j]]) {
					ng[color[i]].pb(color[j]);
					ngr[color[j]].pb(color[i]);
					u[color[i]][color[j]] = 1;
				}
		 	}
     	}
	}
	
	for (int i = 1; i <= c; i++) {
		if (sz(ng[i]) == 0) {
			ngr[c + 1].pb(i);
			ng[i].pb(c + 1);
		}
	}
	
	go(c + 1, 1);
	h -= 2;
	
	for (int i = 1; i + 2<= h; i++) {
	 	for (int j = 1; j <= mxw; j++) {
	 		val[i][j] = val[i + 2][j];
	 	}
	}
	h -= 2;
	for(int j = 1; j <= mxw; ++j){
		int l = 1, r = h;
		while(r > l) {
			swap(val[l][j], val[r][j]);
			l++, r--;
		}
	}
	/*for (int i = 1; i <= h; i++) {
	 	for (int j = 1; j <= mxw; j++) {
	 		printf("%3d", val[i][j]);
	 	}
	 	cerr << endl;
	}*/
	int depth = 0;

	for(int i = 1; i <= h; ++i){
		int cur = 0;
		for(int j = 1; j <= mxw; ++j){
			if(val[i][j] > 0){
				depth = max(depth, sz(comp[val[i][j]]));
			}	
		}
	}

	for(int i = 1; i <= h; ++i){
		int cur = 0;
		for(int j = 1; j <= mxw; ++j){
			if(val[i][j] > 0){
				cur = max(cur, sz(comp[val[i][j]]));
			}
		}
		for(int j = 1; j <= mxw; ++j){
			if(val[i][j] > 0){
				for(int k = 1; k <= cur; ++k){
					ans[k][i][j] = comp[val[i][j]][k - 1];
				}
			}
			if(val[i][j] < 0){
				ans[1][i][j] = val[i][j];
			}
		}
		
	}
	cout << depth << " " << mxw << " " << h << endl;
	for(int i = 1; i <= h; ++i){
		for(int j = 1; j <= mxw; ++j){
			for(int k = 1; k <= depth; ++k){
				if(ans[k][i][j] == -1) cout << '.';
				else if(ans[k][i][j] == 0) cout << '#';
				else cout << ans[k][i][j];
			}
			cout << endl;
		}
		cout << endl;
	}
}