#include <bits/stdc++.h>

#define pii pair<int,int>
#define f first
#define s second
#define pb push_back
#define mp make_pair
#define sz(v) int(v.size())

using namespace std;

const int N = 222;

int m;

bool u[4][4][N][N];
pair<pii, pii> p[4][4][N][N];

void dfs(int win_a, int win_b, int a, int b) {
    if (a >= N || b >= N) return;
    u[win_a][win_b][a][b] = 1;
    if (win_a == 3 || win_b == 3)
        return;
    int round = win_a + win_b + 1;
    int max_score = (round == 5 ? 15 : 25);
    // wins a
    for (int score_b = 0; score_b < max_score - 1; score_b++) {
        if (!u[win_a + 1][win_b][a + max_score][b + score_b]) {
            p[win_a + 1][win_b][a + max_score][b + score_b] = mp(mp(win_a, win_b), mp(a, b));
            dfs(win_a + 1, win_b, a + max_score, b + score_b);
        }
    }
    // wins b
    for (int score_a = 0; score_a < max_score - 1; score_a++) {
        if (!u[win_a][win_b + 1][a + score_a][b + max_score]) {
            p[win_a][win_b + 1][a + score_a][b + max_score] = mp(mp(win_a, win_b), mp(a, b));
            dfs(win_a, win_b + 1, a + score_a, b + max_score);
        }
    }
    // abs diff = 2
    for (int score_b = max_score - 1; a + score_b + 2 < N && b + score_b < N; score_b++) {
        if (!u[win_a + 1][win_b][a + score_b + 2][b + score_b]) {
            p[win_a + 1][win_b][a + score_b + 2][b + score_b] = mp(mp(win_a, win_b), mp(a, b));
            dfs(win_a + 1, win_b, a + score_b + 2, b + score_b);
        }
    }
    for (int score_a = max_score - 1; a + score_a < N && b + score_a + 2 < N; score_a++) {
        if (!u[win_a][win_b + 1][a + score_a][b + score_a + 2]) {
            p[win_a][win_b + 1][a + score_a][b + score_a + 2] = mp(mp(win_a, win_b), mp(a, b));
            dfs(win_a, win_b + 1, a + score_a, b + score_a + 2);
        }
    }

}
int main() {
    dfs(0, 0, 0, 0);
    cin >> m;
    while (m--) {
        int a, b;
        cin >> a >> b;
        int max_diff = -N;
        for (int win_a = 0; win_a <= 3; win_a++) {
            for (int win_b = 0; win_b <= 3; win_b++) {
                if ((win_a == 3 || win_b == 3) && u[win_a][win_b][a][b]) {
                    max_diff = max(max_diff, win_a - win_b);
                }
            }
        }
        if (max_diff == -N) {
            cout << "Impossible\n";
            continue;
        }
        for (int win_a = 0; win_a <= 3; win_a++) {
            bool f = 0;
            for (int win_b = 0; win_b <= 3; win_b++) {
                if ((win_a == 3 || win_b == 3) && u[win_a][win_b][a][b] && win_a - win_b == max_diff) {
                    pair<pii, pii> cur;
                    vector<pii> scores;
                    printf("%d:%d\n", win_a, win_b);
                    cur = mp(mp(win_a, win_b), mp(a, b));
                    while (cur != mp(mp(0, 0), mp(0, 0))) {
                        scores.pb(mp(cur.s.f - p[cur.f.f][cur.f.s][cur.s.f][cur.s.s].s.f, cur.s.s - p[cur.f.f][cur.f.s][cur.s.f][cur.s.s].s.s));
                        cur = p[cur.f.f][cur.f.s][cur.s.f][cur.s.s];
                    }
                    for (int i = sz(scores) - 1; i >= 0; i--) {
                        cout << scores[i].f << ':' << scores[i].s << " ";
                    }
                    cout << endl;
                    f = 1;
                    break;
                }
            }
            if (f) break;
        }
    }
    return 0;
}
