
#include <bits/stdc++.h>

using namespace std;

//#define fn "easy-chess1"

typedef pair <int, int> pii;
typedef long long ll;
typedef long double ld;

int const inf = (int)1e9 + 7;

#define mp make_pair
#define eb emplace_back
#define x first
#define y second
#define pb push_back

int m;

ll gcd(ll x, ll y) {
	while (y > 0) {
		x %= y;
		swap(x, y);
	}
	return x;
}

ll bp(ll x, ll y, ll mod) {
	if (y == 0)
		return 1;
	if (y == 1)
		return x % mod;
	ll ans = bp(x, y / 2, mod);
	ans = (ans * ans) % mod;
	if (y & 1)
		ans = (ans * x) % mod;
	return ans;
}

void eq(ll a, ll b, ll n, ll &x, ll & y) {
	y = ((n % a) * bp(b, a - 2, a)) % a;
	x = (n - b * y) / a;
	if (y == 0) {
		y += a;
		x -= b;
	}
}

bool test(int a1, int b1, int a2, int b2, int n) {
//	printf("$%d %d %d %d %d$\n", a1, b1, a2, b2, n);
	ll pred1 = a1 * 1ll * b2 + a2 * 1ll * b1;
	ll pred2 = b1 * 1ll * b2;
//	printf("!%I64d %I64d!\n", pred1, pred2);
	ll g = gcd(pred1, pred2);
	pred1 /= g;
	pred2 /= g;
//	printf("!%I64d %I64d!\n", pred1, pred2);
	
	return pred1 == (n - 1) && pred2 == n;
}

void solve(ll n) {
	ll N = n;
	vector <int> v;
	for (int i = 2; i * 1ll * i <= n; i++) {
		if (n % i != 0)
			continue;
		v.push_back(i);
		while (n % i == 0)
			n /= i;
	}
	if (n > 1)
		v.push_back(n);
//	for (int x : v)
//		printf("%d ", x);
//	puts("");
	if (v.size() < 2) {
		puts("NO");
		return;
	}
	n = N;
	ll x = 0, y = 0;
	eq(v[0], v[1], n - 1, x, y);
	puts("YES\n2");
	printf("%d %d\n", x, n / v[0]);
	printf("%d %d\n", y, n / v[1]);
//	assert(test(x, n / v[0], y, n / v[1], n));
}

int main() {
#ifdef fn
    freopen(fn ".in", "r", stdin);
    freopen(fn ".out", "w", stdout);
#endif
	int n;
	scanf("%d", &n);
	solve(n);
}