
#include <bits/stdc++.h>

using namespace std;

//#define fn "guest-student1"

typedef pair <int, int> pii;
typedef long long ll;
typedef long double ld;

int const inf = (int)1e9 + 7;

#define mp make_pair
#define x first
#define y second
#define pb push_back

int m;
int a[10][10], b[10][10], used[10];
vector<int> topsort;

void dfs(int v) {
	if(used[v])
		return;
    used[v] = 1;
	for(int i = 0; i < 10; i ++) {
	    if(a[v][i])
			dfs(i);
	}
	topsort.pb(v);
}

vector<vector<vector<char>>> res(18, vector<vector<char>>(2, vector<char>(9, '.')));

void dfs2(int v, vector<vector<char>>& c, int lvl) {
	if(used[v] != -1) {
//		cout << used[v] << endl;
		res[used[v] * 2 + 1][1][lvl] = '.';
		return;
	}
    used[v] = lvl;
    c[0][v] = v + '0' + 1;
	for(int i = 0; i < 10; i ++) {
	    if(b[v][i])
			dfs2(i, c, lvl);
	}
}

void print(vector<vector<char>>& c) {
	for(int i = 0; i < 2; i ++) {
		for(int j = 0; j < 9; j ++) {
			cout << c[i][j];
		}
		cout << endl;
	}
}

int main() {
#ifdef fn
    freopen(fn ".in", "r", stdin);
    freopen(fn ".out", "w", stdout);
#endif

	cin >> m;
	for(int i = 0; i < m; i ++) {
		for(int j = 0; j < m; j ++) {
			cin >> a[i][j];
			b[j][i] = a[i][j];
		}
	}
	
	for(int i = 0; i < m; i ++)
		dfs(i);

	vector<vector<char>> e{vector<char>(9, '#'), vector<char>(9, '#')};


	for(int k = 0; k < 18; k ++) {
	    if(k % 2 == 0) {
			for(int i = 0; i < 2; i ++) {
				for(int j = 0; j < 9; j ++) {
					res[k][i][j] = '.';
				}
			}
		} else {
			res[k] = e;           
		}
	}

	memset(used, -1, sizeof used);
	int lvl = 0;
	cout << "9 2 18" << "\n";
	for(int j = m - 1; j >= 0; j --) {
		int i = topsort[j];
		if(used[i] == -1) {
			vector<vector<char>>& c = res[lvl];
			dfs2(i, c, lvl / 2);
			lvl += 2;
		}
	}

	for(int i = 0; i < 18; i ++) {
		print(res[i]);
		cout << endl;
	}
}