//Wonder Pets!
#include <bits/stdc++.h>

typedef long long ll;

#define pb push_back
#define forn(i, n) for (int i = 1; i <= n; i++)
#define f first
#define s second
#define y1 qewr1234
#define all(x) x.begin(), x.end()

const double PI = acos(-1.0);
const int DIR = 4;
const int X[] = {1, 0, -1, 0};
const int Y[] = {0, 1, 0, -1};

const int N = (int)1e6 + 228;

using namespace std;

int a[N];
ll t[N << 2];

void build(int v, int tl, int tr)
{
	if (tl == tr)
	{
		t[v] = -1;
		return;
	}
	int mid = (tl + tr) >> 1;
	build(v << 1, tl, mid);
	build(v << 1 | 1, mid + 1, tr);
	t[v] = t[v << 1] + t[v << 1 | 1];
}

void upd(int pos, int v, int tl, int tr, int val)
{
	if (tl == tr)
	{
		t[v] = val;
		return;
	}
	int mid = (tl + tr) >> 1;
	if (pos <= mid)
		upd(pos, v << 1, tl, mid, val);
	else
		upd(pos, v << 1 | 1, mid + 1, tr, val);
	if (t[v << 1 | 1] == -1)
		t[v] = t[v << 1];
	else if (mid + 1 <= tl + t[v << 1] - 1)
		t[v] = t[v << 1] + t[v << 1 | 1];
	else
		t[v] = mid - tl + 1 + t[v << 1 | 1];
}

ll get(int l, int r, int v, int tl, int tr)
{
	if (tl > r || tr < l)
		return -1;
	if (tl >= l && tr <= r)
	{
		return t[v];
	}
	int mid = (tl + tr) >> 1;
	ll x = get(l, r, v << 1, tl, mid);
	ll y = get(l, r, v << 1 | 1, mid + 1, tr);
	if (y == -1)
		return x;
	if (mid + 1 <= tl + x - 1)
		return x + y;
	return mid - tl + 1 + y;
}

int main()
{
	ios_base::sync_with_stdio(0);
	cin.tie();
	cout.tie();

	//freopen(".in", "r", stdin);
	//freopen(".out", "w", stdout);
	 
	//cerr << 1.0 * clock() / CLOCKS_PER_SEC << endl;

	int q;
	cin >> q;
	int n = (int)1e6;
	//build(1, 1, n);
	memset(t, -1, sizeof(t));
	forn(i, q)
	{
		char type;
		cin >> type;
		if (type == '+')
		{
			int t, k;
			cin >> t >> k;
			upd(t, 1, 1, n, k);
			a[i] = t;
		}
		else if (type == '-')
		{
			int id;
			cin >> id;
			upd(a[id], 1, 1, n, -1);			
		}
		else
		{
			int t;
			cin >> t;
			cout << max(0ll, get(1, t, 1, 1, n) - t + 1) << endl;
		}
	}

	return 0;
} 