#include<iostream>
#include <queue>
#include <vector>
using namespace std;

vector<vector<int>>v;
vector<vector<int>>table;
vector<bool>used;

int n, m;

void d(int a) {
	used.clear();
	used.resize(n);
	queue<pair<int,int>>q;
	q.push(make_pair(a,0));
	while (q.size())
	{
		int par = q.front().first;
		int cnt = q.front().second;
		q.pop();
		for (int i = 0; i < v[par].size();i++)
		{
			int child = v[par][i];
			if (!used[child] )
			{
				used[child] = 1;
				q.push(make_pair(child, cnt + 1));
				table[a][child] = cnt + 1;
			}				
		}
	}
}
int main()
{
	cin >> n >> m;
	v.resize(n);
	table.resize(n);
	for (int i = 0; i < m; i++)
	{
		int a, b;
		cin >> a >> b;
		v[a-1].push_back(b-1);
		v[b-1].push_back(a-1);
	}
	int res = 0;
	for (int i = 0; i < n; i++)
	{
		table[i].resize(n);
		d(i);
	}
	for (int i = 0; i < n - 1; i++)
	{
		for (int j = i + 1; j < n; j++)
		{
			res += table[i][j];
		}
	}
	cout << res << endl;
	//system("pause");
}