#include<iostream>
#include <queue>
#include <vector>
#include <algorithm>
using namespace std;

vector<vector<int>>v;
vector<bool>used;

int n, m;

int d(int a) {
	int res = 0;
	used.clear();
	used.resize(n);
	queue<pair<int,int>>q;
	q.push(make_pair(a,0));
	used[a] = 1;
	while (q.size())
	{
		int par = q.front().first;
		int cnt = q.front().second;
		q.pop();
		for (int i = 0; i < v[par].size();i++)
		{
			int child = v[par][i];
			if (!used[child] )
			{
				used[child] = 1;
				q.push(make_pair(child, cnt + 1));
				res += cnt+1;
				//cout<<par+1<<" "<<child+1<<" " << cnt + 1 << endl;
			}				
		}
	}
	return res;
}
int main()
{
	cin >> n >> m;
	v.resize(n);
	for (int i = 0; i < m; i++)
	{
		int a, b;
		cin >> a >> b;
		v[a-1].push_back(b-1);
		v[b-1].push_back(a-1);
	}
	int res = 0;
	for (int i = 0; i < n; i++)
	{
		res+=d(i);
	}
	cout << res/2 << endl;
	//system("pause");
}

