#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;

#define f first
#define s second
#define pii pair < long long, int >
#define mp make_pair
#define pb push_back
#define ll long long

//template <typename T> using ordered_set = tree<T, null_type, std::less<T>, rb_tree_tag, tree_order_statistic_node_update>;

const int N = 1e6 + 11;
int q, st, d;
char tp;
int f[N * 4];
ll t[N * 4];

void build(int v, int tl, int tr){
	if (tl == tr){
		f[v] = 1e7;
		t[v] = -1;
	}
	else{
		int m = (tl + tr) / 2;
		build(v + v, tl, m);
		build(v + v + 1, m + 1, tr);
		f[v] = 1e7;
		t[v] = -1;
	}
}	

pii solve(pii a, pii b){
	pii res;
	if (a.f == -1 && b.f == -1){
			res.f = -1;
			res.s = 1e7;
		}
		else if (a.f != -1 && b.f == -1){
			res.f = a.f;
			res.s = a.s;
		}
		else if (a.f == -1 && b.f != -1){
			res.f = b.f;
			res.s = b.s;			
		}
		else{
			res.s = a.s;
			if (a.f < b.s)
				res.f = b.f;
			else
				res.f = b.f + a.f - b.s + 1;
		}
	return res;
}

void upd(int v, int tl, int tr, int pos, int d){
	if (tl == tr){
		if (d == -1){
			t[v] = -1;
			f[v] = 1e7;
		}
		else{
			t[v] = tl + d - 1;
			f[v] = tl;
		}
	}
	else{
		int m = (tl + tr) / 2;
		if (pos <= m)
			upd(v + v, tl, m, pos, d);
		else
			upd(v + v + 1, m + 1, tr, pos, d);
		pii asd = solve(mp(t[v + v], f[v + v]), mp(t[v + v + 1], f[v + v + 1]));
		t[v] = asd.f;
		f[v] = asd.s;
	}
}

pii get(int v, int tl, int tr, int l, int r){
	if (l > r)
		return mp(-1, 1e7);
	if (l == tl && r == tr)
		return mp(t[v], f[v]);
	int m = (tl + tr) / 2;
	return solve(get(v + v, tl, m, l, min(r, m)),
	get(v + v + 1, m + 1, tr, max(l, m + 1), r));
}

int a[N];

int main (){
	#ifdef LOCAL
		freopen("in", "r", stdin);
		freopen("out", "w", stdout);
	#endif
	scanf("%d", &q);
	int sz = 0;
	build(1, 1, 1e6);
	ll end;
	while (q--){
		scanf(" %c", &tp);
		if (tp == '+'){
			scanf("%d%d", &st, &d);
			a[++sz] = d;
			upd(1, 1, 1e6, st, d);
		}
		else if (tp == '-'){
			scanf("%d", &d);
			upd(1, 1, 1e6, a[d], -1);
		}
		else{
			scanf("%d", &d);
			end = get(1, 1, 1e6, 1, d).f;
			if (end == -1)
				printf("0\n");
			else
				printf("%lld\n", max(0ll, end - d + 1));
		}
	}
	return 0;
}