#include <bits/stdc++.h>

using namespace std;

bool isPrime(int n) {
	for(int i = 2; i * i <= n; ++i) {
		if(n % i == 0) return 0;
	}
	return 1;
}

int main() {

	int n;
	cin >> n;

	if(isPrime(n)) {
		cout << "NO\n";
		return 0;
	}

	vector<int> divs;
	for(int i = 2; i * i <= n; ++i) {
		if(n % i == 0) {
			divs.push_back(i);
			if(i * i != n) divs.push_back(n / i);
		}
	}
	sort(divs.begin(), divs.end());

	int need = n - 1;
	vector<pair<int,int> > ans;
	for(int b : divs) {
		int cnt = need / (n / b);
		while(cnt > 0) {
			int a = min(cnt, b - 1);
			ans.push_back(make_pair(a, b));
			cnt -= a;			
		}
		need %= n / b;
	}

	if(need != 0) {
		cout << "NO\n";
		return 0;
	}
	
	cout << "YES\n";
	cout << ans.size() << "\n";
	for(auto it : ans)
		cout << it.first << " " << it.second << "\n";

	return 0;
}