#include <iostream>
#include <string>
#include <vector>
#include <ctime>
#include <set>
#include <map>
#include <queue>


#define ll long long
#define mp make_pair
#define pb push_back

const int INF = 1e9 + 7;
const int md = 1e9 + 7;

using namespace std;

//int gcd(int a, int b) {
//	return (a ? gcd(b % a, a) : b);
//}

int gcd(int a, int b, int& x, int& y) {
	if (a == 0) {
		x = 0, y = 1;
		return b;
	}
	int x1, y1;
	int d = gcd(b%a, a, x1, y1);
	x = y1 - (b / a) * x1;
	y = x1;
	return d;
}

int main() {
	int n;
	cin >> n;
	vector <int> divs;
	for (int i = 2; i < 35000 && i * i <= n; i++) {
		if (n % i == 0) {
			divs.pb(i);
			divs.pb(n / i);
		}
	}
	bool fl = false;
	for (int i = 0; i < divs.size() && !fl; i++) {
		for (int j = i + 1; j < divs.size() && !fl; j++) {
			int d1 = divs[i];
			int d2 = divs[j];
			int x, y;
			int g = gcd(d1, d2, x, y);
			x *= n - 1;
			y *= n - 1;
			if (g == 1) {
				int k = 0;
				if (x <= 0) {
					k = abs(x) / d2;
					if (x + d2 * k <= 0) {
						k++;
					}
					x += k * d2;
					y -= k * d1;
				}
				else {
					k = abs(y) / d1;
					if (y + d1 * k <= 0) {
						k++;
					}
					y += k * d1;
					x -= k * d2;
				}
				cout << "YES" << endl << 2 << endl;
				cout << x << " " << n / d1 << endl;
				cout << y << " " << n / d2 << endl;
				fl = true;
			}
			else {
				cout << "NO" << endl;
				fl = true;
			}
		}
	}
	if (!fl) {
		cout << "NO" << endl;
	}
	//system("pause");
	return 0;
}