#include <bits/stdc++.h>
#define ll long long

using namespace std;

struct Last {
    int x, y, a, b;
};

const int N = 207;

bool can[4][4][N][N];
Last pred[4][4][N][N];

void precalc() {
    can[0][0][0][0] = true;
    for (int sum = 0; sum <= 5; sum++) {
        for (int i = 0; i < 3; i++) {
            int j = sum - i;
            if (j < 0 || j > 2) continue;
            for (int a = 0; a < N; a++) {
                for (int b = 0; b < N; b++) {
                    if (!can[i][j][a][b]) continue;
                    int Q = 23;
                    if (sum == 4) Q = 13;
                    for (int x = 0; x <= Q; x++) {
                        if (a + Q + 2 < N && b + x < N) {
                            can[i + 1][j][a + Q + 2][b + x] = true;
                            pred[i + 1][j][a + Q + 2][b + x] = {i, j, a, b};
                        }
                        if (a + x < N && b + Q + 2 < N) {
                            can[i][j + 1][a + x][b + Q + 2] = true;
                            pred[i][j + 1][a + x][b + Q + 2] = {i, j, a, b};
                        }
                    }
                    for (int x = Q + 1; x < N; x++) {
                        if (a + x + 2 < N && b + x < N) {
                            can[i + 1][j][a + x + 2][b + x] = true;
                            pred[i + 1][j][a + x + 2][b + x] = {i, j, a, b};
                        }
                        if (a + x < N && b + x + 2 < N) {
                            can[i][j + 1][a + x][b + x + 2] = true;
                            pred[i][j + 1][a + x][b + x + 2] = {i, j, a, b};
                        }
                    }
                }
            }
        }
    }
}

void solve() {
    int a, b;
    cin >> a >> b;
    for (int d = 3; d >= -3; d--) {
        for (int i = 0; i <= 3; i++) {
            int j = i - d;
            if (j > 3 || j < 0) continue;
            if (i != 3 && j != 3) continue;
            if (i == 3 && j == 3) continue;
            if (!can[i][j][a][b]) continue;
            cout << i << ":" << j << "\n";
            vector <pair <int, int> > ma, mb;
            int wina = 0, winb = 0;
            while (i + j > 0) {
                Last now = pred[i][j][a][b];
                if (a - now.a > b - now.b) {
                    wina++;
                    ma.push_back({a - now.a, b - now.b});
                } else {
                    winb++;
                    mb.push_back({a - now.a, b - now.b});
                }
                i = now.x, j = now.y, a = now.a, b = now.b;
            }
            reverse(ma.begin(), ma.end());
            reverse(mb.begin(), mb.end());
            assert(wina == 3 || winb == 3);
            if (wina == 3) {
                swap(ma, mb);
            }
            for (auto t : ma) {
                cout << t.first << ":" << t.second << " ";
            }
            for (auto t : mb) {
                cout << t.first << ":" << t.second << " ";
            }
            cout << "\n";
            return;
        }
    }
    cout << "Impossible\n";
}

int main() {
    //freopen("input.txt", "r", stdin);
    precalc();
    int t;
    cin >> t;
    for (int i = 0; i < t; i++) {
        solve();
    }
}

