#include <bits/stdc++.h>
#define all(x) (x).begin(), (x).end()
using namespace std;
typedef unsigned long long ull;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

int n;
vector<vector<int>> g;
vector<int> mkd;
vector<int> tout;
vector<int> revtout;
int tim = 0;

void dfs(int v){
    mkd[v] = 1;
    for(int i = 0; i < n; ++i){
        if(!mkd[i] && g[v][i]){
            dfs(i);
        }
    }
    tout[v] = tim++;
}
void dfs2(int v, int comp){
    mkd[v] = comp;
    for(int i = 0; i < n; ++i){
        if(mkd[i] == -1 && g[i][v]){
            dfs2(i, comp);
        }
    }
}
int comps = 0;

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n;
    g.resize(n);
    for(int i = 0; i < n; ++i){
        g[i].resize(n);
    }
    mkd.resize(n, 0);
    tout.resize(n, -1);
    revtout.resize(n, 0);
    for(int i = 0; i < n; ++i){
        for(int j = 0; j < n; ++j){
            cin >> g[i][j];
        }
    }
    for(int i = 0; i < n; ++i){
        if(!mkd[i]){
            dfs(i);
        }
    }
    for(int i = 0; i < n; ++i){
        mkd[i] = -1;
        revtout[tout[i]] = i;
    }
    for(int i = n - 1; i >= 0; --i){
        if(mkd[revtout[i]] == -1){
            dfs2(revtout[i], comps);
            ++comps;
        }
    }
   /* for(int i = 0; i < n; ++i){
        cerr << mkd[i] << " ";
    }
    cerr << endl;*/
    set<pii> s;
    for(int i = 0; i < n; ++i){
        for(int j = 0; j < n; ++j){
            if(g[i][j]){
                int c1 = comps - 1 - mkd[i];
                int c2 = comps - 1 - mkd[j];
              //  cerr << c1 << " " << c2 << ")))) " << endl;
                if(c1 == c2){
                    continue;
                }
                s.insert({c1, c2});
            }
        }
    }
    int sum = s.size();
    int width = 5;
    int len = 5 * (sum + 2);
    int hei = comps * 4;
    vector<vector<vector<char>>> v(hei, vector<vector<char>>(width, vector<char>(len, '.')));
    for(int i = 0; i < comps; ++i){
        for(int j = 0; j < width; ++j){
            for(int k = 0; k < len; ++k){
                v[4 * i][j][k] = '#';
            }
        }
    }
    for(int i = 1; i < hei; i += 4){
        for(int k = 12; k < len; k += 5){
            v[i][1][k - 1] = '#';
            v[i][1][k] = '#';
            v[i][1][k + 1] = '#';
            v[i][3][k - 1] = '#';
            v[i][3][k] = '#';
            v[i][3][k + 1] = '#';
            v[i][2][k - 1] = '#';
            v[i][2][k + 1] = '#';

            v[i + 1][1][k - 1] = '#';
            v[i + 1][1][k] = '#';
            v[i + 1][1][k + 1] = '#';
            v[i + 1][3][k - 1] = '#';
            v[i + 1][3][k] = '#';
            v[i + 1][3][k + 1] = '#';
            v[i + 1][2][k - 1] = '#';
            v[i + 1][2][k + 1] = '#';
            v[i - 1][2][k] = '.';
            //cerr << "! " << i - 1 << " 2 " << k << endl;
        }
    }
    int idx = 12;
    for(auto p: s){
        int from = p.first;
        int to = p.second;
        int i = 4 * from + 1;
        int k = idx;
        v[i][1][k - 1] = '.';
        v[i][1][k] = '.';
        v[i][1][k + 1] = '.';
        v[i][3][k - 1] = '.';
        v[i][3][k] = '.';
        v[i][3][k + 1] = '.';
        v[i][2][k - 1] = '.';
        v[i][2][k + 1] = '.';

        v[i + 1][1][k - 1] = '.';
        v[i + 1][1][k] = '.';
        v[i + 1][1][k + 1] = '.';
        v[i + 1][3][k - 1] = '.';
        v[i + 1][3][k] = '.';
        v[i + 1][3][k + 1] = '.';
        v[i + 1][2][k - 1] = '.';
        v[i + 1][2][k + 1] = '.';
        i = 4 * to + 1;
        v[i][1][k - 1] = '.';
        v[i][1][k] = '.';
        v[i][1][k + 1] = '.';
        v[i][3][k - 1] = '.';
        v[i][3][k] = '.';
        v[i][3][k + 1] = '.';
        v[i][2][k - 1] = '.';
        v[i][2][k + 1] = '.';

        v[i + 1][1][k - 1] = '.';
        v[i + 1][1][k] = '.';
        v[i + 1][1][k + 1] = '.';
        v[i + 1][3][k - 1] = '.';
        v[i + 1][3][k] = '.';
        v[i + 1][3][k + 1] = '.';
        v[i + 1][2][k - 1] = '.';
        v[i + 1][2][k + 1] = '.';
        v[i - 1][2][k] = '#';
        idx += 5;
    }
    for(int i = 0; i < n; ++i){
        int comp = comps - 1 - mkd[i];
        v[4 * comp + 1][0][i] = char('0' + i + 1);
    }
    cout << len << " " << width << " " << hei << endl;
    for(int i = hei - 1; i >= 0; --i){
        for(int j = 0; j < width; ++j){
            for(int k = 0; k < len; ++k){
                cout << v[i][j][k];
            }
            cout << "\n";
        }
        if(i){
            cout << "\n";
        }
    }
}
/*
4 0 1 0 1 0 0 1 0 0 1 0 0 1 0 0 0

7
0 0 1 1 1 0 0
0 0 1 1 1 0 0
0 0 0 0 0 0 1
0 0 0 0 0 1 1
0 0 0 0 0 1 0
0 0 0 0 0 0 0
0 0 0 0 0 0 0
*/
