#define _CRT_SECURE_NO_WARNINGS
#include<cstdio>
#include <algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdlib>
#include<cstring>
#include<ctime>
#include<sstream>
#include<map>
#include<set>
#include<vector>
#include<unordered_map>
#include<unordered_set>
#include<deque>
#include<random>
#include<iostream>
#include<functional>

#pragma comment(linker, "/STACK:64777216")
using namespace std;

using ll = long long;
using dbl = long double;

#ifdef LOCAL
#define dbg(x) {cout << #x << " = " << x << endl;}
#else
#define dbg(x) void(0)
#endif

const vector<string> L(180, ".##.##.##.##.##.##.##.##.");

vector<string> get_default_lvl() {
	return vector<string>(180, string(25, '#'));
}


int n;
vector<vector<string>> lvls;
int line;

void add_edge(int i, int j) {
	++line;
	j = j * 3;
	i = i * 3;
	for (int i = 1; i < lvls.size(); ++i) {
		lvls[i][line][j] = '.';
	}
	int d = 1;
	if (i > j) {
		d = -1;
	}
	int lvl = 1;
	while (i != j) {
		lvls[lvl][line][i] = '.';
		lvls[lvl][line][i + d] = '.';
		i += d;
		++lvl;
	}
	++line;
}

int g[10][10];
void solve() {
	cin >> n;
	lvls.push_back(L);
	for (int i = 0; i < n; ++i) {
		lvls[0][0][i * 3] = (char)('1' + i);
	}
	for (int i = 0; i < 180; ++i) {
		lvls.push_back(get_default_lvl());
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			cin >> g[i][j];
			if (g[i][j] == 1) {
				add_edge(i, j);
			}
		}
	}
	cout << lvls[0][0].size() << " " << lvls[0].size() << " " << lvls.size() << "\n";
	for (int i = lvls.size() - 1; i >= 0; --i) {
		for (auto& s : lvls[i]) {
			cout << s << "\n";
		}
		cout << "\n";
	}
}

int main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	solve();

}