#include <iostream>
#include <queue>
#include <vector>
#include <iomanip>
#include <algorithm>
#include <fstream>
#include <set>
#include <map>
#include <assert.h>
#include <string>
using namespace std;

void stress();
int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	stress();
	return 0;
}

#define endl '\n'
//#define int long long

//vector<int> div(int n)
//{
//  vector<int> ans;
//  for (int i = 2; i*i <= n; i++)
//  {
//      if (n%i == 0)
//      {
//          ans.push_back(i);
//          if (n / i != i)
//              ans.push_back(n / i);
//      }
//  }
//  sort(ans.begin(), ans.end());
//  return ans;
//}
//
//vector<int> primes;
//const int MAXN = 1e5;
//int p[MAXN];
//void sieve()
//{
//  for (int i = 2; i < MAXN; i++)
//  {
//      if (!p[i])
//      {
//          if (i*i <= 1e9)
//              primes.push_back(i);
//          for (int j = i*i; j < MAXN; j += i)
//          {
//              p[j] = 1;
//          }
//      }
//  }
//}
//set<int> bad;
//vector<int> divs;
//map<int, int> ans;
//map<int, bool> was;
//bool f(int x)
//{
//  if (x == 0)
//      return 1;
//  if (was.count(x))
//      return was[x];
//  was[x] = false;
//  for (int i = divs.size() - 1; i >= 0; i--)
//  {
//      int it = divs[i];
//      if (it > x)
//          continue;
//      if (x%it == 0)
//      {
//          was[x] = true;
//          ans[it] += x / it;
//          return true;
//      }
//      ans[it]++;
//      if (f(x - it))
//      {
//          was[x] = true;
//          return was[x];
//      }
//      ans[it]--;
//      if (!ans[it])
//          ans.erase(it);
//  }
//  return false;
//
//}
//void solveF(int n)
//{
//
//
//  divs = div(n);
//  if (!divs.size())
//  {
//      cout << "NO" << endl;
//      return;
//  }
//  ans.clear();
//  was.clear();
//  if (!f(n - 1))
//  {
//
//      cout << "NO" << endl;
//      return;
//  }
//
//  vector<pair<int, int>> res;
//
//  for (auto it : ans)
//  {
//      
//      int first = it.second;
//      if (!first)
//          continue;
//      int second = n / it.first;
//      
//      res.push_back({ first,second });
//      if (first >= second)
//      {
//          cout << "NO";
//          return;
//      }
//  }
//  if (res.size() == 0)
//  {
//      cout << "NO";
//      return;
//  }
//      cout << "YES" << endl;
//  cout << res.size() << endl;
//  for (auto it : res)
//      cout << it.first << " " << it.second << endl;
//}
int const N = 205;
int const M = 5;
tuple<int, int, int, int> dp[N][N][M][M];
bool calced[N][N][M][M];


tuple<int, int, int, int> f(int a, int b, int w1, int w2, bool asd)
{
	if (a < 0 || b < 0 || w1 < 0 || w2 < 0)
		return { -1, -1, -1, -1 };

	if (a == 0 && b == 0 && w1 == 0 && w2 == 0)
		return { 0, 0, 0, 0 };

	if (calced[a][b][w1][w2])
		return dp[a][b][w1][w2];
	calced[a][b][w1][w2] = true;
	dp[a][b][w1][w2] = { -1, -1, -1, -1 };

	if (asd)
	{

		int points = (w1 + w2 == 5 ? 15 : 25);

		int prv_a, prv_b;
		{
			prv_a = a - points;

			for (int minus = 0; minus <= points - 2; minus++)
			{
				prv_b = b - minus;
				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1 - 1, w2, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1 - 1, w2 };
						return dp[a][b][w1][w2];
					}
				}
			}


			for (int minus = points + 1; minus <= 200; minus++)
			{
				prv_a = a - minus;
				prv_b = b - minus + 2;

				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1 - 1, w2, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1 - 1, w2 };
						return dp[a][b][w1][w2];
					}
				}
			}
		}

		{
			prv_b = b - points;

			for (int minus = 0; minus <= points - 2; minus++)
			{
				prv_a = a - minus;
				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1, w2 - 1, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1, w2 - 1 };
						return dp[a][b][w1][w2];
					}
				}
			}


			for (int minus = points + 1; minus <= 200; minus++)
			{
				prv_b = b - minus;
				prv_a = a - minus + 2;

				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1, w2 - 1, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1, w2 - 1 };
						return dp[a][b][w1][w2];
					}
				}
			}
		}
	}
	else
	{
		int points = (w1 + w2 == 5 ? 15 : 25);

		int prv_a, prv_b;
		{
			prv_b = b - points;

			for (int minus = 0; minus <= points - 2; minus++)
			{
				prv_a = a - minus;
				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1, w2 - 1, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1, w2 - 1 };
						return dp[a][b][w1][w2];
					}
				}
			}


			for (int minus = points + 1; minus <= 200; minus++)
			{
				prv_b = b - minus;
				prv_a = a - minus + 2;

				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1, w2 - 1, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1, w2 - 1 };
						return dp[a][b][w1][w2];
					}
				}
			}
		}
		{
			prv_a = a - points;

			for (int minus = 0; minus <= points - 2; minus++)
			{
				prv_b = b - minus;
				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1 - 1, w2, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1 - 1, w2 };
						return dp[a][b][w1][w2];
					}
				}
			}


			for (int minus = points + 1; minus <= 200; minus++)
			{
				prv_a = a - minus;
				prv_b = b - minus + 2;

				if (prv_a >= 0 && prv_b >= 0)
				{
					auto val = f(prv_a, prv_b, w1 - 1, w2, asd);
					if (get<0>(val) != -1)
					{
						dp[a][b][w1][w2] = { prv_a, prv_b, w1 - 1, w2 };
						return dp[a][b][w1][w2];
					}
				}
			}
		}


	}
	return { -1, -1, -1, -1 };
}

pair<pair<int, int>, vector<pair<int, int>>> get_ans(int a, int b)
{
	bool flag = false;
	vector<pair<int, int>> ans;
	pair<int, int> score = { -1, -1 };
	for (auto p : vector<pair<int, int>>{ { 3, 0 },{ 3, 1 },{ 3, 2 },{ 2, 3 },{ 1, 3 },{ 0, 3 } })
	{
		int w1 = p.first, w2 = p.second;
		f(a, b, w1, w2, w2<w1);
		if (get<0>(dp[a][b][w1][w2]) != -1)
		{
			flag = true;
			score = { w1, w2 };

			while (a != 0 || b != 0 || w1 != 0 || w2 != 0)
			{
				int nxt_a, nxt_b;
				tie(nxt_a, nxt_b, w1, w2) = dp[a][b][w1][w2];
				ans.push_back({ a - nxt_a, b - nxt_b });
				a = nxt_a, b = nxt_b;
			}
			reverse(ans.begin(), ans.end());

			vector<pair<int, int>> win1;
			vector<pair<int, int>> win2;
			auto last = ans.back();
			for (int i = 0; i<ans.size()-1; i++)
			{
				auto it = ans[i];
				if (it.first > it.second)
					win1.push_back(it);
				else
					win2.push_back(it);
			}

			ans.clear();
			if (p.first < p.second)
			{

				swap(win1, win2);
			}
			for (auto it : win2)
				ans.push_back(it);
			for (auto it : win1)
				ans.push_back(it);
			ans.push_back(last);
			break;
		}
	}
	return { score, ans };
}






void solveA()
{
#ifdef _DEBUG
	ifstream cin("input.txt");
	//ofstream cout("output.txt");
#endif // _DEBUG



	int tests;
	cin >> tests;
	while (tests--)
	{
		int a, b;
		cin >> a >> b;
		bool flag = false;
		auto pp = get_ans(a, b);
		if (pp.first.first != -1)
		{
			flag = true;
			cout << pp.first.first << ":" << pp.first.second << endl;
			for (auto ppp : pp.second)
				cout << ppp.first << ":" << ppp.second << " ";
			cout << endl;
			//break;
		}
		else
			cout << "Impossible" << endl;
	}
}




void stress()
{
	solveA();
	return;
	//sieve();
	//for (int i = 0; i < primes.size(); i++)
	//{
	//  int cur = primes[i] * primes[i];
	//  while (cur <= 1e9)
	//  {
	//      bad.insert(cur);
	//      cur *= primes[i];
	//  }
	//}
	///*int n;
	//cin >> n;
	//solveF(n);*/
	//for (int n = 2; n <= 1e9; n++)

	//{
	//  cout << n << ": ";
	//  solveF(n);
	//  cout << endl;
	//}
}