#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const int maxn = 1e5 + 100, inf = 1e9 + 100;

pair<long long, long long> gcd(long long a, long long b) {
    if (b == 0) {
        return {1, 0}; // gcd = a
    }
    auto p = gcd(b, a % b);
    // b * p.first + (a % b) * p.second = g
    // b * p.first + (a - (a / b) * b) * p.second = g
    // b * p.first + a * p.second + b * (-p.second * (a / b)) = g
    return {p.second, p.first - p.second * (a / b)};
}

pair<long long, long long> solve(long long x, long long y, long long res) {
    auto p = gcd(x, y);
    long long g = p.first * x + p.second * y;
    if (res % g != 0) {
        return {-1, -1}; // you suck
    }
    return {p.first * (res / g), p.second * (res / g)};
}

int main()
{
    #ifdef ITMO104
    freopen("a.in", "r", stdin);
    freopen("a.out", "w", stdout);
    #endif // ITMO104
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    int w = n;
    vector<int> g;
    for (int i = 2; i <= sqrt(w); i++)
    if (w % i == 0) {
        g.push_back(i);
        while (w % i == 0)
            w /= i;
    }
    if (w > 1)
        g.push_back(w);
    if (g.size() < 2) {
        cout << "NO";
        return 0;
    }
    int x = g[0], y = g[1];
    auto pr = solve(x, y, n - 1);
    ll a = pr.first, b = pr.second;
    ll t;
    if (a > 0) {
        t = a / y;
        a -= t * y;
        b += t * x;
    } else {
        t = b / x;
        a += t * y;
        b -= t * x;
    }
    while (a < 0)
        a += y, b -= x;
    while (b < 0)
        a -= y, b += x;
    assert(a > 0 && b > 0);
    cout << "YES\n2\n" << a << ' ' << n / x << '\n'
    << b << ' ' << n / y << '\n';
}
