#include "bits/stdc++.h"
using namespace std;
vector<int> days(7);
int64_t k, lessons_per_week;

bool check(int64_t days_cnt) {
    bool res = false;
    //cout << "check :" << days_cnt << '\n';

    int64_t lost = 0;
    for (int i = 0; i < 7; ++i) {
        int64_t days_spend = days_cnt, ost = 0;
        int64_t lessons = 0;

        if (days_spend < 6 - i + 1) {
            int j = i;
            while (days_spend > 0) {
                lessons += days[j];
                j = (j + 1) % 7;
                --days_spend;
            }
        } else {
            lessons += lessons_per_week - lost;
            days_spend -= 6 - i + 1;
            int64_t full_week = days_spend / 7;
            lessons += full_week * lessons_per_week;
            ost = days_spend % 7;

            for (int j = 0; j < ost; ++j) {
                lessons += days[j];
            }
        }

        //cout << i << ' ' << lessons << '\n';

        if (lessons >= k) {
            // cout << i << ' ' << lessons << '\n';

            return true;
        }

        if (days[i] == 1) {
            ++lost;
        }
    }

    //cout << "niht\n";
    return false;
}

void solve() {
    lessons_per_week = 0;
    cin >> k;
    for (int i = 0; i < 7; ++i) {
        cin >> days[i];
        if (days[i] == 1) {
            ++lessons_per_week;
        }
    }

    int64_t l = 0, r = 7 * k + 1, res = 1'000'000'000;
    while (r - l > 1) {
        int64_t mid = (l + r) >> 1;

        if (check(mid)) {
            r = mid;
            res = min(res, mid);
        } else {
            l = mid;
        }
    }

    cout << r << '\n';
}

int main()
{
    // freopen("input.txt", "r", stdin);

    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    for (int i = 0; i < t; ++i) {
        solve();
    }

    return 0;
}
