#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <functional>
#include <random>
#include <math.h>
#include <ctime>
#include <iomanip>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fore(i, l, r) for (int i = int(l); i < (int)(r); i++)
#define all(a) (a).begin(), a.end()
#define x first
#define y second
#define vec vector
#define pb push_back
#define mp make_pair

typedef pair<int, int> pt;
typedef long long li;
typedef long double ld;

mt19937 rnd(time(NULL));

const ld PI = acos(-1);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;


int a, b;

string get(int a, int b, bool f) {
	if (f) {
		swap(a, b);
	}

	string ans = to_string(a) + ":" + to_string(b);
	return ans;
}

string dif3(bool f) {
	vector<pt> ps(3);
	forn(i, 3) {
		ps[i].x = 25;
		a -= 25;

		if (a < 0) {
			return "-1";
		}
	}

	if (a > 0) {
		b -= 23;
		if (b < 0) {
			return "-1";
		}
		ps[0].y += 23;

		int t = min(a, b);
		ps[0].x += t;
		ps[0].y += t;
		a -= t;
		b -= t;
	}

	forn(i, 3) {
		if (ps[i].y < 23) {
			int t = min(b, 23 - ps[i].y);
			b -= t;
			ps[i].y += t;
		}
	}

	if (b != 0 || a != 0) {
		return "-1";
	}

	string ans = "";
	forn(i, 3) {
		ans += get(ps[i].x, ps[i].y, f) + " ";
	}
	return ans;
}

string dif2(bool f) {
	vector<pt> ps(4);

	ps[0].y = 25;
	b -= 25;
	if (b < 0) {
		return "-1";
	}

	fore(i, 1, 4) {
		ps[i].x = 25;
		a -= 25;

		if (a < 0) {
			return "-1";
		}
	}

	if (a > 0) {
		ps[0].x += min(a, 23);
		a -= min(a, 23);

		if (a > 0) {
			int t = min(a, b);
			ps[0].x += t;
			ps[0].y += t;
			a -= t;
			b -= t;
		}
	}

	fore(i, 1, 4) {
		if (ps[i].y < 23) {
			int t = min(b, 23 - ps[i].y);
			b -= t;
			ps[i].y += t;
		}
	}

	if (b != 0 || a != 0) {
		return "-1";
	}

	string ans = "";
	forn(i, 4) {
		ans += get(ps[i].x, ps[i].y, f) + " ";
	}
	return ans;
}

string dif1(bool f) {
	vector<pt> ps(5);

	forn(i, 2) {
		ps[i].y = 25;
		b -= 25;
	}
	
	if (b < 0) {
		return "-1";
	}

	fore(i, 2, 4) {
		ps[i].x = 25;
		a -= 25;
	}
	ps[4].x = 15;
	a -= 15;
	if (a < 0) {
		return "-1";
	}

	if (a > 0) {
		ps[0].x += min(a, 23);
		a -= min(a, 23);

		if (a > 0) {
			int t = min(a, b);
			ps[0].x += t;
			ps[0].y += t;
			a -= t;
			b -= t;

			if (a > 0) {
				ps[1].x += min(a, 23);
				a -= min(a, 23);

				if (a > 0) {

				}
			}
		}
	}

	fore(i, 2, 4) {
		if (ps[i].y < 23) {
			int t = min(b, 23 - ps[i].y);
			b -= t;
			ps[i].y += t;
		}
	}

	if (ps[4].y < 13) {
		int t = min(b, 13 - ps[4].y);
		b -= t;
		ps[4].y += t;
	}

	if (b != 0 || a != 0) {
		return "-1";
	}

	string ans = "";
	forn(i, 5) {
		ans += get(ps[i].x, ps[i].y, f) + " ";
	}
	return ans;
}


int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout << fixed << setprecision(15);

	int m;
	cin >> m;

	forn(i, m) {
		int a1, b1;
		cin >> a1 >> b1;

		a = a1, b = b1;
		string ans = dif3(0);
		if (ans != "-1") {
			cout << "3:0\n" << ans << '\n';
			continue;
		}

		a = a1, b = b1;
		ans = dif2(0);
		if (ans != "-1") {
			cout << "3:1\n" << ans << '\n';
			continue;
		}

		a = a1, b = b1;
		ans = dif1(0);
		if (ans != "-1") {
			cout << "3:2\n" << ans << '\n';
			continue;
		}

		b = a1, a = b1;
		ans = dif1(1);
		if (ans != "-1") {
			cout << "2:3\n" << ans << '\n';
			continue;
		}

		b = a1, a = b1;
		ans = dif2(1);
		if (ans != "-1") {
			cout << "1:3\n" << ans << '\n';
			continue;
		}

		b = a1, a = b1;
		ans = dif3(1);
		if (ans != "-1") {
			cout << "0:3\n" << ans << '\n';
			continue;
		}

		cout << "Impossible\n";
	}
}