#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <functional>
#include <random>
#include <math.h>
#include <ctime>
#include <iomanip>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fore(i, l, r) for (int i = int(l); i < (int)(r); i++)
#define all(a) (a).begin(), a.end()
#define x first
#define y second
#define vec vector
#define pb push_back
#define mp make_pair

typedef pair<int, int> pt;
typedef long long li;
typedef long double ld;

mt19937 rnd(time(NULL));

const ld PI = acos(-1);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout << fixed << setprecision(15);

	int t;
	cin >> t;

	forn(_, t) {
		li k;
		cin >> k;

		vector<int> a(7);
		int cnt = 0;
		forn(i, 7) {
			cin >> a[i];
			cnt += a[i];
		}

		li ans = INF64;
		forn(start, 7) {
			li d = max(0ll, k / cnt - 1);
			li rem = k - d * cnt;

			li cur = d * 7;
			forn(i, 20) {
				if (rem == 0) {
					break;
				}

				int day = (start + i) % 7;

				rem -= a[day];
				cur++;
			}


			ans = min(ans, cur);
		}

		cout << ans << '\n';
	}
}