﻿#include <bits/stdc++.h>

using namespace std;

#define mp make_pair
#define pb push_back
using ll = long long;
using ull = unsigned long long;
using dbl = long double;
using pii = pair <int, int>;

const int N = 510;

int d[N][N];

int n;
vector<int> g[N];

bool bad[N];

int findC() {
	int alive = 0;
	for (int v = 1; v <= n; v++)
		if (!bad[v])
			alive++;

	for (int v = 1; v <= n; v++) {
		if (bad[v])
			continue;
		int maxsz = 0;
		for (int w : g[v]) {
			if (bad[w])
				continue;
			int cursz = 0;
			for (int u = 1; u <= n; u++) {
				if (bad[u])
					continue;
				if (d[v][u] > d[v][w])
					cursz ++;
			}
			maxsz = max(cursz, maxsz);
		}
		if (maxsz * 2 <= alive)
			return v;
	}
	for (int v = 1; v <= n; v++) {
		if (bad[v])
			continue;
		int maxsz = 0;
		for (int w : g[v]) {
			if (bad[w])
				continue;
			int cursz = 0;
			for (int u = 1; u <= n; u++) {
				if (bad[u])
					continue;
				if (d[v][u] > d[v][w])
					cursz ++;
			}
			maxsz = max(cursz, maxsz);
		}
		if (maxsz * 2 + 1 <= alive)
			return v;
	}

	for (int v = 1; v <= n; v++)
		if (!bad[v])
			return v;
	return 0;
}

void load() {
	int m;
	cin >> n >> m;
	for (int itr = 0; itr < m; itr++) {
		int k, la;
		cin >> k >> la;
		for (int i = 1; i < k; i++) {
			int a;
			cin >> a;
			g[a].pb(la);
			g[la].pb(a);
			d[a][la] = d[la][a] = 1;
			la = a;
		}
	}
}

void solve() {
	for (int i = 1; i <= n; i++) {
		d[i][i] = 0;
	}
	for (int k = 1; k <= n; k++)
	for (int i = 1; i <= n; i++)
	for (int j = 1; j <= n; j++) {
		d[i][j] = min(d[i][j], d[i][k] + d[k][j]);
	}
	for (int itr = 0; itr < n; itr++) {
		memset(bad, 0, sizeof(bad));
		while (true) {
			int v = findC();
			cout << v << endl;
			string ans;
			cin >> ans;
			if (ans == "FOUND")
				break;
			int w;
			cin >> w;
			for (int u = 1; u <= n; u++)
				if (!bad[u] && d[v][u] <= d[w][u])
					bad[u] = true;			
		}
	}

}

int main () {
	ios_base::sync_with_stdio (false);
	cin.tie (NULL);

#ifdef LOCAL
	//freopen ("input.txt", "r", stdin);
	//freopen ("output.txt", "w", stdout);
#endif
	for (int i = 0; i < N; i++)
	for (int j = 0; j < N; j++)
		d[i][j] = 1000000;
    load();
    solve();
	return 0;
}