﻿#include <bits/stdc++.h>

using namespace std;

#define mp make_pair
#define pb push_back
using ll = long long;
using ull = unsigned long long;
using dbl = long double;
using pii = pair <int, int>;

vector<ll> pp;
ll gcd(ll a, ll b, ll &x, ll&y)
{
	if(a == 0)
	{
		x = 0;
		y = 1;
		return b;
	}

	ll x1, y1;
	ll d = gcd(b%a, a, x1, y1);
	x = y1 - (b / a) * x1 ;
	y = x1;
	return d;
}


bool find_any_solution(ll a, ll b, ll c, ll &x0, ll &y0, ll &g)
{
	g = gcd(abs(a), abs(b), x0, y0);
	x0 *= c / g;
	y0 *= c / g;

	if(c % g != 0)
		return 0;

	if(a < 0) x0 *= -1;
	if(b < 0) y0 *= -1;

	ll k = 0;

	if(x0 > 0)
	{
		k = -(x0) / b;		
	}
	else
		k = (-x0 + b - 1) / b;
	

   x0 = x0 + k * b;
   y0 = y0 - k * a;


   	if(y0 > 0)
	{
		k = (y0) / a;		
	}
	else
		k = -(y0 + a - 1) / a;
	

   x0 = x0 + k * b;
   y0 = y0 - k * a;


   if(x0 == 0)
   {
   		k = 1;
		x0 = x0 + k * b;
		y0 = y0 - k * a;  
   }
   return 1; 	 
}

int main () {
	ios_base::sync_with_stdio (false);
	cin.tie (NULL);

#ifdef LOCAL
	freopen ("input.txt", "r", stdin);
	freopen ("output.txt", "w", stdout);
#endif


	int n;

	cin >> n;
	ll c = n-1;
	for(int i = 2; i * i <= n; i++)
	{
		if(n % i == 0)
		{
			ll cur = 1;
			while(n % i == 0)
			{
				n /= i;
				cur *= i;
			}
			pp.push_back(cur);
			pp.push_back(n);
			break;
			
		}
	}
	//if(n != 1)
	//	pp.push_back(n);
	/*if(pp.size() < 2){
	    cout << "NO";
	    return 0;
	} 
	sort(pp.begin(), pp.end());
	ll a = pp[0], b = pp[1];
	*/
	if(pp.size() < 2){
	    cout << "NO";
	    return 0;
	} 


	ll a = pp[0], b = pp[1];
	
	ll x0, y0, g;
	if(find_any_solution(a, b, c, x0, y0, g) == 0)
	{
		cout << "NO";
		return 0;
	}
	//!!
	cerr << "a * x + b * y = c\n";
	cerr << a << " " << x0 << " " << b << " " << y0 <<" " << c << endl;
	if(x0 <= 0 || y0 <=0)
	{
		cout << "NO";
		return 0;
	}
	vector<pair<ll, ll> > ans;
	while(y0 >= a){
		ans.push_back({a-1, a});
		y0 -= (a-1);
	}
	ans.push_back({y0, a});

	while(x0 >= b){
		ans.push_back({b-1, b});
		x0 -= (b-1);
	}
	ans.push_back({x0, b});
    cout << "YES\n";
    cout << ans.size() << endl;
    for(auto x : ans){
    	cout << x.first << " " << x.second << endl;
	}
	return 0;
}