#pragma GCC optimize ("O3")
#pragma GCC target("tune=native")
#include <bits/stdc++.h>

using namespace std;
#define forn(i, n)  for (int i = 0; i < n; i++)
#define sz(a) (int)a.size()
#define fi first
#define se second
#define mp make_pair

typedef long long ll;
vector<pair<int, pair<int, int> > > que;

const int ma = (1<<20);
const ll CMAX = (1LL << 39);
ll seg[2 * ma];

struct node {
    node *l, *r;
    ll sum;
    bool cp;
    node() {
        l = r = NULL;
        sum = cp  = 0;
    }
};

node* root = new node();

vector<pair<node*, pair<ll, bool> > > qq;
vector<pair<ll, ll> > pp;


void otkat(int c, int d) {
    while (sz(qq) > c) {
        qq.back().fi->sum = qq.back().se.fi;
        qq.back().fi->cp = qq.back().se.se;
        qq.pop_back();
    }
    while (sz(pp) > d) {
        auto v = pp.back().fi + ma;
        while (v) {
            seg[v] -= pp.back().se;
            v /= 2;
        }
        pp.pop_back();
    }
}

void make(node* root, ll l, ll r) {
    qq.push_back(mp(root, mp(root->sum, root->cp)));
    root->cp = 1;
    root->sum = r - l;
}
void push(node* a, ll l, ll r) {
    if (a->l == NULL) {
        a->l = new node();
    }
    if (a->r == NULL)
        a->r = new node();
    if (a->cp) {
        make(a->l, l, (l + r) / 2);
        make(a->r, l, (l + r) / 2);
    }
}
void make_ones(node* root, ll l, ll r, ll t, ll& cnt) {
    //cout << l << " " << r << " " << t << " " << cnt << '\n';
    //if (r - l == 2 && l > 4) exit(0);
    if (r <= t || cnt == 0 || root->cp) return;
    if (t <= l && cnt >= r - l - (root->sum)) {
            //cout << "kuka"
        cnt -= (r - l - (root->sum));
        make(root, l, r);
        return;
    }
    push(root, l, r);
    ll mid = (l + r) / 2LL;
    make_ones(root->l, l, mid, t, cnt);
    make_ones(root->r, mid, r, t, cnt);
    qq.push_back(mp(root, mp(root->sum, root->cp)));
    root->sum = ((root->l)->sum) + ((root->r)->sum);

}

void add(int t, ll d) {
    int v = t + ma;
    while (v) {
        seg[v] += d;
        v /= 2;
    }
    pp.push_back(mp(t, d));
    //exit(0);
    make_ones(root, 0, CMAX, t, d);
    //exit(0);
}

ll get_sum(ll l, ll r) {
    if (l > r) return 0;
    if (l % 2)
        return seg[l] + get_sum(l + 1, r);
    if (r % 2 == 0)
        return seg[r] + get_sum(l, r - 1);
    return get_sum(l / 2, r / 2);
}

ll get_pos(node* a, ll l, ll r, ll cnt) {
   // cout << l << " " << r << " " << cnt << "\n";
    if (l + 1 == r) {
        return l;
    }
    push(a, l, r);
    ll mid = (l + r) / 2;
    if (((a->l)->sum) >= cnt)
        return get_pos(a->l, l, mid, cnt);
    return get_pos(a->r, mid, r, cnt - ((a->l)->sum));
}

void solve(int l, int r) {
    if (l + 1 == r) {
        if (que[l].fi == -1) {
            int pos = sz(qq);
            int pos2 = sz(pp);
            ll cp = get_sum(ma, ma + que[l].se.fi);
            ll poss = get_pos(root, 0, CMAX, cp);
            //cout << cp << " " << poss << "\n";
            cout << max(poss - que[l].se.fi + 1, 0LL) << "\n";
            otkat(pos, pos2);
        }
        return;
    }
    int mid = (l + r) / 2;
    int pos = sz(qq);
    int pos2 = sz(pp);
    for (int j = mid; j < r; j++) {
        if (que[j].fi != -1 && que[j].fi < l) {
            add(que[j].se.fi, que[j].se.se);
        }
    }
    solve(l, mid);
    otkat(pos, pos2);
    for (int j = l; j < mid; j++) {
        if (que[j].fi != -1 && que[j].fi >= r) {
            add(que[j].se.fi, que[j].se.se);
        }
    }
    solve(mid, r);
    otkat(pos, pos2);
}

int main() {
    iostream::sync_with_stdio(0), cin.tie(0);
    //freopen("kk.in", "r", stdin);
    int q;
    cin >> q;
    //que.resize(q);
    vector<int> pps;
    forn (i, q) {
        char c;
        int k;
        cin >> c >> k;
        if (c == '+') {
            int d;
            cin >> d;
            pps.push_back(i);
            que.push_back(mp(-1, mp(k, d)));
        } else if (c == '-') {
            k--;
            que[k].fi = i;
            que.push_back(mp(k, que[k].se));
        } else
            que.push_back(mp(-1, mp(k, -1)));
    }
    for (auto v : pps)
        if (que[v].fi == -1) {
            que[v].fi = sz(que);
            //que.push_back(mp(v, que[v].se));
        }
    solve(0, sz(que));

    return 0;
}

