#include <bits/stdc++.h>

#define ALL(A) A.begin(),A.end()
#define RALL(A) A.rbegin(),A.rend()
#define SZ(A) int(A.size())
using namespace std;
template <typename T>
T input() {
    T res;
    cin >> res;
    return res;
}

int a[300][300];
int used[300], mem[300];
int n;
vector<int> arr;
set<pair<int, int> > se;
string mas[300][3];

void dfs(int v)
{
    used[v] = -1;
    for (int i = 0; i < n; i++)
    {
        if (a[v][i] == 1 && used[i] == 0)
            dfs(i);
    }
    arr.push_back(v);
}

void dfs2(int v, int x)
{
    used[v] = x;
    for (int i = 0; i < n; i++)
        if (a[i][v] == 1 && used[i] == -1)
            dfs2(i, x);
}

int main() {
    std::iostream::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    //freopen("M.in", "r", stdin);
    cin >> n;
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            cin >> a[i][j];
    int m = 0;
    for (int i = 0; i < n; i++)
        if (used[i] == 0)
            dfs(i);
    reverse(arr.begin(), arr.end());
    for (int i: arr)
        if (used[i] == -1)
            dfs2(i, m++);
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            if (a[i][j] && used[i] != used[j])
                se.insert({used[i], used[j]});
    int k = max(n, 2 * (int)se.size() + 1);
    string s = "", t = "";
    for (int i = 0; i < k; i++)
    {
        s += '#';
        t += '.';
    }
    for (int i = 0; i < 2 * m - 1; i++)
    {
        mas[i][0] = s;
        if (i % 2)
        {
            mas[i][1] = s;
            mas[i][2] = s;
        }
        else
        {
            mas[i][1] = t;
            mas[i][2] = t;
        }
    }
    for (int i = 0; i < n; i++)
    {
        mas[2 * used[i]][2][mem[used[i]]++] = (char)('0' + i + 1);
    }
    int x = 1;
    for (auto p: se)
    {
        int i = 2 * p.first;
        int j = 2 * p.second;
        for (int q = i; q <= j; q++)
            mas[q][0][x] = '.';
        for (int q = i + 2; q < j; q += 2)
            mas[q][1][x] = '#';
        x += 2;
    }
    cout << k << " 3 " << 2 * m - 1 << endl;
    for (int i = 0; i < 2 * m - 1; i++)
        cout << mas[i][0] << "\n" << mas[i][1] << "\n" << mas[i][2] << "\n\n";
}
