#include <bits/stdc++.h>
#define fi first
#define se second

const int N = 22;

using namespace std;

int n;
vector < int > v[N];
vector < int > g[N];
vector < int > nv[N];
vector < int > ord;
bool used[N];
int col[N];
int place[N];
bool edge[N][N];

void dfs(int x)
{
	if(used[x]){
		return;
	}
	used[x] = 1;
	for(int y: v[x]){
		dfs(y);
	}
	ord.push_back(x);
}

void dfs2(int x)
{
	if(used[x]){
		return;
	}
	used[x] = 1;
	for(int y: nv[x]){
		dfs2(y);
	}
	ord.push_back(x);
}

vector < int > ch[N];
void trace(int x, int c)
{
	if(used[x]){
		return;
	}
	col[x] = c;
	used[x] = 1;
	ch[c].push_back(x);
	for(int y: g[x]){
		trace(y, c);
	}
}

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);

	cin >> n;
	for(int i = 1; i <= n; i++){
		for(int j = 1; j <= n; j++){
			int x;
			cin >> x;
			if(x){
				v[i].push_back(j);
				g[j].push_back(i);
			}
		}
	}
	for(int i = 1; i <= n; i++){
		if(!used[i]){
			dfs(i);
		}
	}
	int G = 0;
	for(int i = 1; i <= n; i++){
		used[i] = 0;
	}
	for(int i = 1; i <= n; i++){
		int x = ord[n - i];
		if(used[x]){
			continue;
		}
		G++;
		trace(x, G);
	}
	ord.clear();
	for(int i = 1; i <= n; i++){
		used[i] = 0;
	}
	for(int i = 1; i <= n; i++){
		for(int j: v[i]){
			if(col[i] == col[j]){
				continue;
			}
			nv[col[i]].push_back(col[j]);
			edge[col[i]][col[j]] = 1;
		}
	}
	ord.clear();
	for(int i = 1; i <= G; i++){
		if(used[i]){
			continue;
		}
		dfs2(i);
	}
	reverse(ord.begin(), ord.end());
	for(int i = 0; i < ord.size(); i++){
		place[ord[i]] = i;
	}
	vector < vector < vector < char > > > ans;
	ans.resize(G + G + 2);
	for(int i = 0; i <= G + G + 1; i++){
		ans[i].resize(5 * n + 2);
		for(int j = 0; j <= 5 * n + 1; j++){
			for(int h = 0; h <= 5 * n + 1; h++){
				if(i % 2){
					ans[i][j].push_back('.');
				}
				else{
					ans[i][j].push_back('#');
				}
			}
		}
		for(int x = 0; x < G; x++){
			for(int y = 0; y < G; y++){
					if(edge[ord[x]][ord[y]]){
						if(y + 1 != i / 2 && i % 2 == 0){
							ans[i][x * 5 + 3][y * 5 + 3] = '.';
						}
						if(x == i / 2 || y == i / 2){
							continue;
						}
					}
					//ans[i][x * 5 + 3][y * 5 + 3] = '.';
					ans[i][x * 5 + 2][y * 5 + 2] = '#';
					ans[i][x * 5 + 2][y * 5 + 3] = '#';
					ans[i][x * 5 + 2][y * 5 + 4] = '#';
					ans[i][x * 5 + 3][y * 5 + 2] = '#';
					ans[i][x * 5 + 3][y * 5 + 4] = '#';
					ans[i][x * 5 + 4][y * 5 + 2] = '#';
					ans[i][x * 5 + 4][y * 5 + 3] = '#';
					ans[i][x * 5 + 4][y * 5 + 4] = '#';
			}
		}
		if(i % 2){
			for(int j = 0; j < ch[i / 2 + 1].size(); j++){
				ans[i][j + 1][1] = ('0' + ch[i / 2 + 1][j]);
			}
		}
	}
	cout << G + G << " " << 5 * n << " " << 5 * n << "\n";
	for(int i = 1; i <= G + G; i++){
		for(int j = 1; j <= 5 * n; j++){
			for(int h = 1; h <= 5 * n; h++){
				cout << ans[i][j][h];
			}
			cout << "\n";
		}
		cout << "\n";
	}
}
