#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <map>
#include <cstdint>
#include <queue>
#include <functional>
#include <iterator>
#include <set>
#include <string>
#include <cstring>
#include <numeric>
#include <cmath>
#include <list>
#include <cstdlib>
#include <cstdio>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using vl = vector<ll>;
using mll = map<ll, ll>;

#define fi(n) for(int i = 0; i < int (n); i++)
#define fj(n) for(int j = 0; j < int (n); j++)
#define fk(n) for(int k = 0; k < int (n); k++)
#define f1(n) for(auto &i1 : n)
#define f2(n) for(auto &i2 : n)
#define f3(n) for(auto &i3 : n)
#define all(n) n.begin(), n.end()

bool dp[6][4][4][501][501];
pair<int, int> pr[6][4][4][501][501];

void restore(int a, int b) {
	pair<int, int> mx = { 0, 1000 };
	int mxi = -1;
	for (int games = 1; games <= 5; games++) {
		for (int awin = 0; awin <= 3; awin++) {
			for (int bwin = 0; bwin <= 3; bwin++) {
				if (!dp[games][awin][bwin][a][b])
					continue;
				if (max(awin, bwin) == 3 && (awin - bwin) > (mx.first - mx.second)) {
					mx = { awin, bwin };
					mxi = games;
				}
			}
		}
	}
	if (mx == make_pair (0, 1000)) {
		cout << "Impossible" << endl;
		return;
	}
	int awin = mx.first, bwin = mx.second;
	cout << mx.first << ':' << mx.second << endl;
	vector<pair<int, int> > ans;
	auto p = pr[mxi][awin][bwin][a][b];
	do {
		//cout << mxi << ' ' << awin << ' ' << bwin << ' ' << a << ' ' << b << endl;
		int da = a - get<0>(p);
		int db = b - get<1>(p);
		ans.emplace_back(da, db);

		mxi--;
		a = get<0>(p);
		b = get<1>(p);
		awin = awin - (da > db);
		bwin = bwin - (db > da);
		p = pr[mxi][awin][bwin][a][b];
	} while (mxi);
	reverse(all(ans));
	f1(ans) cout << i1.first << ':' << i1.second << ' ';
	cout << endl;
}

int main() {
#ifdef OFFLINE_JUDGE
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	cin.sync_with_stdio(false);
	cout.sync_with_stdio(false);
	cin.tie(nullptr);

	fk(6) {
		for (int awin = 0; awin < 4; awin++)
			for (int bwin = 0; bwin < 4; bwin++)
				fi(501)fj(501)
					dp[k][awin][bwin][i][j] = false;
	}
	dp[0][0][0][0][0] = true;
	pr[0][0][0][0][0] = { -1, -1 };

	for (int games = 1; games <= 4; games++) {
		for (int awin = 0; awin < 3; awin++) {
			for (int bwin = 0; bwin < 3; bwin++) {
				for (int a = 0; a <= 200; a++) {
					for (int b = 0; b <= 200; b++) {
						if (!dp[games - 1][awin][bwin][a][b])
							continue;
						{
							int bb = 25;
							for (int aa = 0; aa <= 23; aa++) {
								dp[games][awin][bwin + 1][a + aa][b + bb] = true;
								pr[games][awin][bwin + 1][a + aa][b + bb] = { a, b };
							}
						}
						{
							int aa = 25;
							for (int bb = 0; bb <= 23; bb++) {
								dp[games][awin + 1][bwin][a + aa][b + bb] = true;
								pr[games][awin + 1][bwin][a + aa][b + bb] = { a, b };
							}
						}
						{
							int aa = 26;
							int bb = 24;
							while (aa <= 202) {
								dp[games][awin + 1][bwin][a + aa][b + bb] = true;
								pr[games][awin + 1][bwin][a + aa][b + bb] = { a, b };
								aa++;
								bb++;
							}
						}
						{
							int aa = 24;
							int bb = 26;
							while (bb <= 202) {
								dp[games][awin][bwin + 1][a + aa][b + bb] = true;
								pr[games][awin][bwin + 1][a + aa][b + bb] = { a, b };
								aa++;
								bb++;
							}
						}
					}
				}
			}
		}
	}

	int games = 5;
	for (int awin = 0; awin < 3; awin++) {
		for (int bwin = 0; bwin < 3; bwin++) {
			for (int a = 0; a <= 200; a++) {
				for (int b = 0; b <= 200; b++) {
					if (!dp[games - 1][awin][bwin][a][b])
						continue;
					{
						int bb = 15;
						for (int aa = 0; aa <= 13; aa++) {
							dp[games][awin][bwin + 1][a + aa][b + bb] = true;
							pr[games][awin][bwin + 1][a + aa][b + bb] = { a, b };
						}
					}
					{
						int aa = 15;
						for (int bb = 0; bb <= 13; bb++) {
							dp[games][awin + 1][bwin][a + aa][b + bb] = true;
							pr[games][awin + 1][bwin][a + aa][b + bb] = { a, b };
						}
					}
					{
						int aa = 16;
						int bb = 14;
						while (aa <= 202) {
							dp[games][awin + 1][bwin][a + aa][b + bb] = true;
							pr[games][awin + 1][bwin][a + aa][b + bb] = { a, b };
							aa++;
							bb++;
						}
					}
					{
						int aa = 14;
						int bb = 16;
						while (bb <= 202) {
							dp[games][awin][bwin + 1][a + aa][b + bb] = true;
							pr[games][awin][bwin + 1][a + aa][b + bb] = { a, b };
							aa++;
							bb++;
						}
					}
				}
			}
		}
	}

	int m; cin >> m;
	while (m--) {
		int a, b;
		cin >> a >> b;
		restore(a, b);
	}

	return 0;
}