#include <bits/stdc++.h>

#define ll long long
#define fi first
#define se second
#define sz(a) (int)a.size()
#define rep(i, l, r) for (int i = l; i < r; i++)
#define repb(i, l, r) for (int i = l; i > r; i--)

using namespace std;

const int N = 201;

bool dp[N][N][4][4];
pair<int, int> come[N][N][4][4];

int main()
{
    //freopen("a.in", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    rep(i, 0, N + 1)
        rep(j, 0, N + 1)
            rep(c, 0, 4)
                rep(d, 0, 4)
                    dp[i][j][c][d] = false;
    dp[0][0][0][0] = true;
    rep(i, 0, N + 1)
        rep(j, 0, N + 1)
            rep(c, 0, 4)
                rep(d, 0, 4)
                {
                    if (dp[i][j][c][d] == false || max(c, d) >= 3)
                        continue;
                    int fin = (c + d < 4 ? 25 : 15);
                    if (i + fin < N)
                    {
                        rep(s, 0, fin - 1)
                        {
                            if (j + s >= N)
                                break;
                            if (dp[i + fin][j + s][c + 1][d] == false)
                            {
                                dp[i + fin][j + s][c + 1][d] = true;
                                come[i + fin][j + s][c + 1][d] = {fin, s};
                            }
                        }
                        rep(s, fin + 1, N + 1)
                        {
                            if (i + s >= N)
                                break;
                            if (j + (s - 2) >= N)
                                break;
                            if (dp[i + s][j + (s - 2)][c + 1][d] == false)
                            {
                                dp[i + s][j + (s - 2)][c + 1][d] = true;
                                come[i + s][j + (s - 2)][c + 1][d] = {s, s - 2};
                            }
                        }
                    }
                    if (j + fin < N)
                    {
                        rep(s, 0, fin - 1)
                        {
                            if (i + s >= N)
                                break;
                            if (dp[i + s][j + fin][c][d + 1] == false)
                            {
                                dp[i + s][j + fin][c][d + 1] = true;
                                come[i + s][j + fin][c][d + 1] = {s, fin};
                            }
                        }
                        rep(s, fin + 1, N + 1)
                        {
                            if (j + s >= N)
                                break;
                            if (i + (s - 2) >= N)
                                break;
                            if (dp[i + (s - 2)][j + s][c][d + 1] == false)
                            {
                                dp[i + (s - 2)][j + s][c][d + 1] = true;
                                come[i + (s - 2)][j + s][c][d + 1] = {s - 2, s};
                            }
                        }
                    }
                }
    int q;
    cin >> q;
    while (q--)
    {
        int a, b;
        cin >> a >> b;
        int ba = -1, bb = -1;
        rep(c, 0, 4)
            rep(d, 0, 4)
                if ((c == 3 || d == 3) && dp[a][b][c][d] && (ba == -1 || c - d > ba - bb))
                {
                    ba = c;
                    bb = d;
                }
        if (ba == -1)
        {
            cout << "Impossible\n";
            continue;
        }
        cout << ba << ":" << bb << "\n";
        deque<pair<int, int> > score;
        while (ba > 0 || bb > 0)
        {
            pair<int, int> p = come[a][b][ba][bb];
            score.push_front(p);
            a -= p.fi; b -= p.se;
            if (p.fi > p.se)
                ba--;
            else
                bb--;
        }
        for (auto it : score)
            cout << it.fi << ":" << it.se << " ";
        cout << "\n";
    }
    return 0;
}
