#include <set>
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int g[9][9];
bool vis[9] = {};
int col[9] = {};

vector<vector<int> > cc;
vector<int> ts;

void ts_dfs(int v)
{
	if (vis[v])
		return;
	vis[v] = 1;
	for (int u = 0; u < 9; u++)
		if (g[v][u])
			ts_dfs(u);
	ts.push_back(v);
}

void col_dfs(int v, int c)
{
	if (col[v])
		return;
	col[v] = c + 1;
	cc.back().push_back(v);
	for (int u = 0; u < 9; u++)
		if (g[u][v])
			col_dfs(u, c);
}

const int X = 2 * 9;


char out[18][X][3];

int main()
{
	int n;
	cin >> n;
	for (int i = 0; i < n; i++)
		for (int j = 0; j < n; j++)
			cin >> g[i][j];
	for (int i = 0; i < n; i++)
		ts_dfs(i);

	reverse(ts.begin(), ts.end());
	for (int i : ts)
	{
		if (col[i])
			continue;
		int kek = cc.size();
		cc.push_back({});
		col_dfs(i, kek);
	}

	for (int i = 0; i < cc.size(); i++)
	{
		for (int j = 0; j < X; j++)
			for (int k = 0; k < 3; k++)
				out[2 * i][j][k] = '.';
		for (int j = 0; j < 9; j++)
		{
			out[2 * i][2 * j + 1][0] = '#';
			out[2 * i][2 * j + 1][1] = '#';
			out[2 * i][2 * j][1] = '#';
		}
		for (int v : cc[i])
			for (int j = 0; j < n; j++)
				if (g[v][j])
				{
					int u = col[j] - 1;
					out[2 * i][2 * u][1] = '.';
				}
		out[2 * i][2 * i][1] = '.';
		for (int j = 0; j < cc[i].size(); j++)
			out[2 * i][j][2] = char(cc[i][j] + 1 + '0');
		for (int j = 0; j < X; j++)
			for (int k = 0; k < 3; k++)
				out[2 * i + 1][j][k] = '#';
		for (int j = i + 1; j < cc.size(); j++)
			out[2 * i + 1][2 * j][0] = '.';
	}
	cout << "3 " << X << " " << n << "\n";
	for (int i = 0; i < 2 * n; i++)
	{
		for (int j = 0; j < X; j++)
		{
			for (int k = 0; k < 3; k++)
				cout << out[i][j][k] << " ";
			cout << "\n";
		}
		cout << "\n";
	}
	return 0;
}