#include <bits/stdc++.h>
using namespace std;

#ifdef mypity
#define debug(...) fprintf(stderr, __VA_ARGS__);
#define cdebug(...) cerr << __VA_ARGS__;
#else
#define debug(...) do {} while(false)
#define cdebug(...) do {} while(false)
#endif

using i64 = int64_t;
#define WHOLE(v) v.begin(),v.end()

int n;
vector<vector<int>> chil, newchil;
vector<int> isgood;
vector<int> goods;
vector<pair<int, int>> edges, newedges;
vector<int> score;

vector<int> closest;
queue<int> q;
int bfs(int v1, int v2) {
//  closest.assign(n, -1);
  for (auto v : goods) {
    closest[v] = -1;
  }
  q.push(v1);
  q.push(v2);
  closest[v1] = v1;
  closest[v2] = v2;
  int cnt[2];
  cnt[0] = cnt[1] = 1;
  while (!q.empty()) {
    int v = q.front();
    q.pop();

    for (auto e : chil[v]) {
      for (auto u : {edges[e].first, edges[e].second}) {
        if (closest[u] == -1) {
          closest[u] = closest[v];
          q.push(u);
          cnt[closest[v] == v2]++;
        }
      }
    }
  }
  return min(cnt[0], cnt[1]);
}

void doit() {
  if (goods.size() == 1) {
    cout << 1 + goods[0] << endl;
    string ok;
    cin >> ok;
    assert(ok[0] == 'F');
    return;
  }

  score.clear();
  for (auto ed : edges) {
    int v = ed.first, u = ed.second;
    score.push_back(bfs(v, u));
  }

  int bestScore = -1, bestVertex = -1;
  for (auto i : goods) {
    int worstEdge = -1;
    for (auto e : chil[i]) {
      if (worstEdge == -1 || score[e] < score[worstEdge]) {
        worstEdge = e;
      }
    }
    if (score[worstEdge] > bestScore) {
      bestScore = score[worstEdge];
      bestVertex = i;
    }
  }

  cout << 1 + bestVertex << endl;
  string resp;
  cin >> resp;
  if (resp[0] == 'F') {
    return;
  }
  int neigh;
  cin >> neigh;
  --neigh;
  bfs(bestVertex, neigh);

  newedges.clear();
  for (auto v : goods) {
    newchil[v].clear();
    isgood[v] = false;
  }
  isgood[neigh] = true;
  goods.clear();
  goods.push_back(neigh);
  for (auto ed : edges) {
    if (closest[ed.first] == neigh && closest[ed.second] == neigh) {
      newchil[ed.first].push_back(newedges.size());
      newchil[ed.second].push_back(newedges.size());
      newedges.push_back(ed);
      for (auto v : {ed.first, ed.second}) {
        if (!isgood[v]) {
          isgood[v] = true;
          goods.push_back(v);
        }
      }
    }
  }
  chil.swap(newchil);
  edges.swap(newedges);

  doit();
}

int main() {
  int m;
  cin >> n >> m;

  chil.resize(n);
  newchil.resize(n);
  for (int i = 0; i < m; ++i) {
    int k;
    cin >> k;
    int v;
    cin >> v;
    --v;
    for (int j = 1; j < k; ++j) {
      int u;
      cin >> u;
      --u;
      chil[u].push_back(edges.size());
      chil[v].push_back(edges.size());
      edges.emplace_back(v, u);
      v = u;
    }
  }
  auto initedges = edges;
  auto initchil = chil;
  for (int i = 0; i < n; ++i) {
    isgood.assign(n, 1);
    goods.resize(n);
    iota(WHOLE(goods), 0);

    edges = initedges;
    chil = initchil;

    doit();
  }
}