#include <bits/stdc++.h>
using namespace std;

#ifdef mypity
#define debug(...) fprintf(stderr, __VA_ARGS__);
#define cdebug(...) cerr << __VA_ARGS__;
#else
#define debug(...) do {} while(false)
#define cdebug(...) do {} while(false)
#endif

int n;
int x = 0, y = 0;
bool used[8][8];
vector<pair<int, int>> ans;

void gen() {
  if (n == 0 && x == 7 && y == 7) {
    for (auto an : ans) {
      cout << char('a' + an.first) << an.second + 1 << ' ';
    }
    cout << '\n';
    exit(0);
  }
  if (n == 0) {
    return;
  }

  for (int i = 0; i < 8; ++i) {
    if (!used[i][y]) {
      ans.emplace_back(i, y);
      used[i][y] = true;
      --n;
      swap(x, i);
      gen();
      swap(x, i);
      ++n;
      used[i][y] = false;
      ans.pop_back();
    }
  }


  for (int j = 0; j < 8; ++j) {
    if (!used[x][j]) {
      ans.emplace_back(x, j);
      used[x][j] = true;
      --n;
      swap(y, j);
      gen();
      swap(y, j);
      ++n;
      used[x][j] = false;
      ans.pop_back();
    }
  }
}

int main() {
#ifdef mypity
  freopen("E.in", "r", stdin);
  freopen("E.out", "w", stdout);
#endif

  vector<pair<int, int>> preca;
  int r = 0, c = 0;
  for (int i = 0; i < 6; i += 2) {
    for (; c < 8; ++c) {
      preca.emplace_back(r, c);
    }
    c = 7;
    r++;
    for (; c >= 0; --c) {
      preca.emplace_back(r, c);
    }
    r++;
    c = 0;
  }
  {
    vector<pair<int, int>> manual{
        {6, 0},
        {7, 0},
        {7, 5},
        {6, 5},
        {6, 4},
        {7, 4},
        {7, 3},
        {6, 3},
        {6, 2},
        {7, 2},
        {7, 1},
        {6, 1},
        {6, 7},
        {6, 6},
        {7, 6},
    };
    preca.insert(preca.end(), manual.begin(), manual.end());
  }

  cin >> n;
  memset(used, 0, sizeof used);
  used[0][0] = true;
  ans.emplace_back(0, 0);
  for (int i = 1; n >= 5; --n, ++i) {
    int nx = preca[i].first, ny = preca[i].second;
    assert(x == nx || y == ny);
    assert(!used[nx][ny]);
    x = nx;
    y = ny;
    used[x][y] = true;
    ans.emplace_back(x, y);
  }

  gen();
}