#include <bits/stdc++.h>
using namespace std;

#ifdef mypity
#define debug(...) fprintf(stderr, __VA_ARGS__);
#define cdebug(...) cerr << __VA_ARGS__;
#else
#define debug(...) do {} while(false)
#define cdebug(...) do {} while(false)
#endif
#define int long long

void euclid(int a, int b, int &x, int &y) {
  if (b) {
    euclid(b, a % b, y, x);
    y -= (a / b) * x;
  } else {
    x = 1, y = 0;
  }
}

signed main() {
#ifdef mypity
  freopen("L.in", "r", stdin);
#endif
  int n;
  cin >> n;
  set<int> divs;
  for (long long i = 1; i * i <= n; ++i) {
    if (n % i == 0) divs.insert(i), divs.insert(n / i);
  }
  int p = *(++divs.begin());
  {
    int x = n;
    while (x % p == 0) x /= p;
    if (x == 1) {
      cout << "NO\n" << endl;
      return 0;
    }
  }

  auto it = divs.begin();
  int a = *(++it);
  while (*it % a == 0) ++it;
  int b = *it;
  int x, y;
  euclid(a, b, x, y);
  x *= n - 1;
  y *= n - 1;
  if (x < 0) {
    int k = ((abs(x) + b - 1) / b);
    x += k * b;
    y -= k * a;
  }
  if (y < 0) {
    int k = ((abs(y) + a - 1) / a);
    y += k * a;
    x -= k * b;
  }
  if (x < 0 || y < 0) {
    cout << "NO\n";
    return 0;
  }
  int z1 = n / a;
  int z2 = n / b;
  cout << "YES\n2\n";
  cout << x << " " << z1 << "\n";
  cout << y << " " << z2 << "\n";
  return 0;
}