#include <bits/stdc++.h>
using namespace std;

#ifdef mypity
#define debug(...) fprintf(stderr, __VA_ARGS__);
#define cdebug(...) cerr << __VA_ARGS__;
#else
#define debug(...) do {} while(false)
#define cdebug(...) do {} while(false)
#endif

using i64 = int64_t;
#define WHOLE(v) v.begin(),v.end()

void solve() {
  i64 k;
  cin >> k;
  array<bool, 7> on;
  for (int i = 0; i < 7; ++i) {
    cin >> on[i];
  }

  int weed = accumulate(WHOLE(on), 0);

  auto score = [&] (int start) {
    i64 days = 7 * max(0LL, k / weed - 5);
    i64 left = k - weed * (days / 7);
    for (int i = start; left; i = (i + 1) % 7) {
      ++days;
      left -= on[i];
    }
    return days;
  };

  i64 best = 1LL<<60;
  for (int i = 0; i < 7; ++i) {
    best = min(best, score(i));
  }
  cout << best << '\n';
}

int main() {
#ifdef mypity
  freopen("G.in", "r", stdin);
#endif
  cin.sync_with_stdio(false);
  cin.tie(nullptr);

  int t;
  cin >> t;
  for (; t; --t) {
    solve();
  }
}