#include <bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
	return out << "(" << a.x << ", " << a.y << ")";
}

template <class A> ostream& operator << (ostream& out, vector<A> &a) {
	out << "[";
	forn(i, sz(a)) {
		if (i) out << ", ";
		out << a[i];
	}
	return out << "]";
}

mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));

const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;

int k;
int a[7];

bool read() {
	if (scanf("%d", &k) != 1)
		return false;
	forn(i, 7)
		scanf("%d", &a[i]);
	return true;
}

void solve() {
	int ans = INF;
	int tot = accumulate(a, a + 7, 0);
	
	forn(i, 7){
		int cur = 0;
		int tim = 0;
		
		fore(j, i, 7){
			cur += a[j];
			++tim;
			if (cur == k)
				break;
		}
		
		if (cur == k){
			ans = min(ans, tim);
			continue;
		}
		
		int nk = k - cur;
		tim += (nk - 1) / tot * 7;
		nk -= (nk - 1) / tot * tot;
		
		forn(j, 7){
			nk -= a[j];
			++tim;
			if (nk == 0)
				break;
		}
		
		ans = min(ans, tim);
	}
	
	printf("%d\n", ans);
}

int main() {
	cout << fixed << setprecision(10);
	cerr << fixed << setprecision(5);

#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	int tt = clock();
#endif

	int tc;
	scanf("%d", &tc);
	while (tc--) {
		read();
		solve();
#ifdef _DEBUG
		cerr << "TIME = " << clock() - tt << endl;
		tt = clock();
#endif
	}
}