#include <bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)
#define all(a) (a).begin(), (a).end()

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
	return out << "(" << a.x << ", " << a.y << ")";
}

template <class A> ostream& operator << (ostream& out, vector<A> &a) {
	out << "[";
	forn(i, sz(a)) {
		if (i) out << ", ";
		out << a[i];
	}
	return out << "]";
}

mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));

const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;

const int N = 100 * 1000 + 13;

int n, k;
pt a[N];

bool read() {
	if (scanf("%d%d", &n, &k) != 2)
		return false;
	forn(i, n)
		scanf("%d", &a[i].x);
	forn(i, n)
		scanf("%d", &a[i].y);
	return true;
}

bool used[N];

void solve() {
	memset(used, 0, sizeof(used));
	sort(a, a + n, [](pt a, pt b){
		return a.y > b.y;
	});
	
	li sum = 0;
	vector<int> lft;
	
	forn(i, n){
		if (!used[a[i].x]){
			used[a[i].x] = true;
			--k;
		}
		else{
			lft.pb(a[i].y);
		}
	}
	
	sort(all(lft));
	
	forn(i, k)
		sum += lft[i];
	
	printf("%lld\n", sum);
}

int main() {
	cout << fixed << setprecision(10);
	cerr << fixed << setprecision(5);

#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	int tt = clock();
#endif

	while (read()) {
		solve();
#ifdef _DEBUG
		cerr << "TIME = " << clock() - tt << endl;
		tt = clock();
#endif
	}
}