#include <bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define pb push_back
#define mp make_pair
#define sz(a) int((a).size())
#define sqr(a)) (a) * (a)
#define forn(i, n) for (int i = 0; i < int(n); ++i)
#define fore(i, l, r) for (int i = int(l); i < int(r); ++i)
#define all(a) (a).begin(), (a).end()

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template <class A, class B> ostream& operator << (ostream& out, const pair<A, B> &a) {
	return out << "(" << a.x << ", " << a.y << ")";
}

template <class A> ostream& operator << (ostream& out, vector<A> &a) {
	out << "[";
	forn(i, sz(a)) {
		if (i) out << ", ";
		out << a[i];
	}
	return out << "]";
}

mt19937 rnd(time(NULL));
mt19937 rnd64(time(NULL));

const ld PI = acosl(-1.0);
const ld EPS = 1e-9;
const int INF = 1e9;
const li INF64 = 1e18;
const int MOD = 1e9 + 7;

const int N = 10;
const int M = 310;

int n;
int g[N][N];
int tg[N][N];
int cg[N][N];

bool read() {
	if (!(cin >> n))
		return false;
	forn(i, n) {
		forn(j, n) {
			cin >> g[i][j];
			tg[j][i] = g[i][j];
		}
	}
	return true;
}

int cc = 0;
int c[N];
vector<int> vv[N];
int lvl[N];
bool used[N];
vector<int> ord;

void dfs1(int v, int g[N][N]) {
	used[v] = true;
	forn(i, n) if (!used[i] && g[v][i]) {
		dfs1(i, g);
	}
	ord.pb(v);
}

void dfs2(int v, int g[N][N]) {
	c[v] = cc;
	vv[cc].pb(v);
	forn(i, n) if (c[i] == -1 && g[v][i]) {
		dfs2(i, g);
	}
}

char ans[M][M][M];

void solve() {
	forn(i, N) vv[i].clear();
	memset(used, false, sizeof(used));
	ord.clear();
	forn(i, n) if (!used[i]) {
		dfs1(i, g);
	}
	memset(c, -1, sizeof(c));
	cc = 0;
	for (int i = n - 1; i >= 0; --i) {
		if (c[ord[i]] == -1) {
			dfs2(ord[i], tg);
			++cc;
		}
	}
	forn(i, n) forn(j, n) if (g[i][j] && c[i] != c[j]) {
		cg[c[i]][c[j]] = true;
	}
	ord.clear();
	memset(used, false, sizeof(used));
	forn(i, cc) if (!used[i]) {
		dfs1(i, cg);
	}
	forn(i, cc) lvl[ord[i]] = i;
	int xx = 3;
	int yy = 300;
	int zz = 2 * cc;
	forn(i, 3) forn(j, yy) forn(k, zz) {
		if (i < 2) {
			ans[i][j][k] = '#';
		} else {
			if (j % 3 == 1) {
				ans[i][j][k] = '.';
			} else {
				ans[i][j][k] = '#';
			}
		}
	}
	forn(k, cc) {
		forn(j, yy) {
			ans[0][j][2 * k + 1] = '.';
		}
		forn(j, sz(vv[ord[k]])) {
			ans[0][j][2 * k + 1] = '1' + vv[ord[k]][j];
		}
	}
	forn(v1, cc) forn(v2, cc) {
		if (!cg[v1][v2]) continue;
		int cy = v1 * 10 + v2;
		ans[1][cy * 3 + 1][lvl[v1] * 2 + 1] = '.';
		ans[1][cy * 3 + 1][lvl[v2] * 2 + 1] = '.';
		ans[2][cy * 3 + 1][min(lvl[v1], lvl[v2]) * 2] = '#';
	}
	cout << yy << " " << xx << " " << zz << endl;
	for (int k = zz - 1; k >= 0; --k) {
		forn(i, xx) {
			forn(j, yy) cout << ans[i][j][k];
			cout << endl;
		}
		cout << endl;
	}
}

int main() {
	cout << fixed << setprecision(10);
	cerr << fixed << setprecision(5);

#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	int tt = clock();
#endif

	while (read()) {
		solve();
#ifdef _DEBUG
		cerr << "TIME = " << clock() - tt << endl;
		tt = clock();
#endif
	}
}