#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <iomanip>
#include <stdlib.h>
#include <math.h>
#include <climits>
#include <vector>
#include <string>
#include <set>
#include <map>
#include <queue>
#include <numeric>
#include <algorithm>

#define forn(i,s,e) for(int (i) = (s); (i)<(e); ++(i))
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
typedef vector<int> vi;
typedef vector<vi> vvi;

vector<pii> ans;

bool get_ans(int win_a, int win_b, int score_a, int score_b)
{
	bool a_loose = false;
	if (win_a < win_b)
		a_loose = true;

	vector<pii> sets;
	if (a_loose)
	{
		forn(i, 0, win_a)
		{
			sets.push_back({ 25, 0 });
			score_a -= 25;
		}
		forn(i, 0, win_b)
		{
			if (sets.size() == 4)
			{
				sets.push_back({ 0,15 });
				score_b -= 15;
			}
			else
			{
				sets.push_back({ 0,25 });
				score_b -= 25;
			}
		}
		if (score_a < 0 || score_b < 0)
			return false;
		forn(i, 0, win_a)
		{
			int d = min(sets[i].first - 2, score_b);
			sets[i].second += d;
			score_b -= d;
		}
		forn(i, win_a, sets.size())
		{
			int d = max(0,min(sets[i].second - 2, score_a - score_b));
			sets[i].first += d;
			score_a -= d;
		}
		if (score_a != score_b)
			return false;

		sets[0].first += score_a;
		sets[0].second += score_b;
	}
	else
	{
		forn(i, 0, win_b)
		{
			sets.push_back({ 0,25 });
			score_b -= 25;
		}
		forn(i, 0, win_a)
		{
			if (sets.size() == 4)
			{
				sets.push_back({ 15,0 });
				score_a -= 15;
			}
			else
			{
				sets.push_back({ 25, 0 });
				score_a -= 25;
			}
		}
		if (score_a < 0 || score_b < 0)
			return false;
		forn(i, 0, win_b)
		{
			int d = max(0,min(sets[i].second - 2, score_a));
			sets[i].first += d;
			score_a -= d;
		}
		forn(i, win_b, sets.size())
		{
			int d = max(0,min(sets[i].first - 2, score_b - score_a));
			sets[i].second += d;
			score_b -= d;
		}
		if (score_a != score_b)
			return false;

		sets[0].first += score_a;
		sets[0].second += score_b;
	}
	ans = sets;
	return true;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
	int t;
	cin >> t;
	vector<pii> total_scores = { { 3,0 },{ 3,1 },{ 3,2 },{ 2,3 },{ 1,3 },{ 0,3 } };
	while (t--)
	{
		int a, b;
		cin >> a >> b;
		bool fail = true;
		forn(i, 0, total_scores.size())
		{
			if (get_ans(total_scores[i].first, total_scores[i].second, a, b))
			{
				fail = false;
				cout << total_scores[i].first << ":" << total_scores[i].second << endl;
				forn(j, 0, ans.size())
					cout << ans[j].first << ":" << ans[j].second << " ";
				break;
			}
		}
		if (fail)
			cout << "Impossible";
		cout << endl;
	}

	return 0;
}