def grill():
    max = 100000
    used = [False for _ in range(max + 1)]
    primes = []
    for i in range(2, max):
        if used[i]:
            continue
        primes.append(i)
        k = max // i
        for j in range(2, k + 1):
            used[j * i] = True
    return primes


def solve(n):
    primes = grill()
    mp = []
    for p in primes:
        if n % p == 0:
            mp.append(p)
            if len(mp) == 2:
                break
    if len(mp) < 1:
        return None

    nn = n // mp[0]
    if len(mp) == 1:
        while nn % mp[0] == 0:
            nn //= mp[0]
        if nn >= 100000:
            mp = [nn] + mp
        else:
            return

    if len(mp) == 1 and n != mp[0]:
        mp = [nn // mp[0]] + mp
    a1 = None
    for j in range(1, mp[1]):
        if (j * mp[0]) % mp[1] == mp[1] - 1:
            a1 = j
            break
    a2 = (n - 1 - a1 * mp[0]) // mp[1]
    return ((a1, mp[1]), (a2, mp[0]))


n = int(input())
s = solve(n)
if s is None:
    print('NO')
    exit(0)
print('YES')
print(2)
print(s[0][0], n // s[1][1])
print(s[1][0], n // s[0][1])


# for n in range(1000000000 - 10000, 1000000001):
#     s = solve(n)
#     if s is None:
#         # print(n, 'NO')
#         continue
#     # print()
#     # print(s[0][0], s[0][1])
#     # print(s[1][0], s[1][1])
#     d0 = n // s[1][1]
#     d1 = n // s[0][1]
#     if s[0][0] * s[1][1] + s[1][0] * s[0][1] != n - 1:
#         print('error')
#         break
#     if s[0][0] >= d0 or s[1][0] >= d1:
#         print('error numerator >= denominator')
#         break
#     if d0 == 0 or d1 == 0:
#         print('error zero denom')
#         break
#     if d0 >= n or d1 >= n:
#         print('error denominator >= n')
#         break
#     if n % d0 != 0 or n % d1 != 0:
#         print('fuck')
#         break