n, m = map(int, input().split())
g = [[float('inf') for _ in range(n)] for i in range(n)]
for i in range(n):
    g[i][i] = 0
for i in range(m):
    f, s = map(int, input().split())
    f -= 1
    s -= 1
    g[f][s] = 1
    g[s][f] = 1


def get_shortest(s, n, m, prev):
    path = g[s]
    for j in range(n):
        if g[s][j] == 1 and j not in prev:
            prev.add(j)
            paths = get_shortest(j, n, m, prev)
            prev.remove(j)
            for node, p in enumerate(paths):
                path[node] = min(p + 1, path[node])
                g[node][s] = min(p + 1, path[node])
    return path

for i in range(n):
    get_shortest(i, n, m, set())

s = 0
for i in range(n):
    for j in range(n):
        s += g[i][j]
print(s // 2)

