n, m = map(int, input().split())
g = [[float('inf') for _ in range(n)] for i in range(n)]
for i in range(n):
    g[i][i] = 0
for i in range(m):
    f, s = map(int, input().split())
    f -= 1
    s -= 1
    g[f][s] = 1
    g[s][f] = 1


if m == n - 1:
    def get_shortest(s, n, m, prev):
        path = g[s]
        for j in range(n):
            if g[s][j] == 1 and j not in prev:
                prev.add(j)
                paths = get_shortest(j, n, m, prev)
                prev.remove(j)
                for node, p in enumerate(paths):
                    path[node] = min(p + 1, path[node])
                    g[node][s] = min(p + 1, path[node])
                for v1 in range(n):
                    for v2 in range(n):
                        g[v1][v2] = min(paths[v1] + paths[v2], g[v1][v2])
                        g[v2][v1] = min(paths[v1] + paths[v2], g[v2][v1])
        used.add(s)
        return path

    get_shortest(0, n, m, set())

    s = 0
    for i in range(n):
        for j in range(n):
            s += g[i][j]
    print(s // 2)
else:

    def get_shortest(s, n, m, prev):
        path = g[s]
        for j in range(n):
            if g[s][j] == 1 and j not in prev:
                prev.add(j)
                paths = get_shortest(j, n, m, prev)
                prev.remove(j)
                for node, p in enumerate(paths):
                    path[node] = min(p + 1, path[node])
                    g[node][s] = min(p + 1, path[node])
        return path

    node = 0
    c = n
    for i in range(n):
        if sum(g[i][j] != 0 for j in range(n)) < c:
            node = i
    get_shortest(node, n, m, set())

    for i in range(n):
        if sum(g[i][j] == 1 for j in range(n)) == 1:
            get_shortest(i, n, m, set())

    s = 0
    for i in range(n):
        for j in range(n):
            s += g[i][j]
    print(s // 2)

