#include <bits/stdc++.h>

using namespace std;

int gcd(int a, int b, int &x, int &y) {
    if (a == 0) {
        x = 0; y = 1;
        return b;
    }
    int x1, y1;
    int d = gcd(b % a, a, x1, y1);
    x = y1 - (b / a) * x1;
    y = x1;
    return d;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    vector<int> d;
    int N = n;

    for (int i = 2; i * i <= N; i++) {
        if (N % i == 0) {
            N /= i;
            d.push_back(i);
            while (N % i == 0) {
                d.back() *= i;
                N /= i;
            }
        }
    }
    if (N != 1) {
        d.push_back(N);
    }

    if (d.size() == 1) {
        cout << "NO\n";
        exit(0);
    }

    int p = 1, q = 1;
    for (int i = 0; i < (int) d.size(); i++) {
        if (i == 0) {
            p = d[i];
        } else {
            q *= d[i];
        }
    }

    int x, y;
    int g = gcd(p, q, x, y);

    x *= -1, y *= -1;
    // cerr << p << ' ' << q << " => " << p * x + q * y << "\n";

    if (x < 0) {
        x += q;
    }
    if (y < 0) {
        y += p;
    }

    cout << "YES\n";
    cout << 2 << '\n';
    cout << x << ' ' << q << '\n';
    cout << y << ' ' << p << '\n';

    return 0;
}

/**
36
36
YES
2
2 4
4 9 => -1
3 9
 */