#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;
using vp = vector<pair<int, int> >;

pair<bool, vp> false_ans = { false, vp() };


pair<bool, vp> check1(int a, int b) {
	vector<pair<int, int> > d(3);
	for (int i = 0; i < 3; ++i) {
		if (a < 25) return false_ans;

		d[i].first = 25;
		a -= 25;

		if (b > 0) {
			if (b >= 23) {
				d[i].second = 23;
				b -= 23;
			}
			else {
				d[i].second = b;
				b = 0;
			}
		}
	}

	if (b > 0) {
		if (a == b) {
			d.back().first += a;
			d.back().second += b;
			a = 0;
			b = 0;
		}
		else return false_ans;
	}

	if (a > 0) {
		int ost = (d.back().first + a - d.back().second) - 2;
		d.back().first += a;
		d.back().second += ost;
		for (int i = 0; i < 2; ++i) {
			if (d[i].second >= ost) {
				d[i].second -= ost;
				ost = 0;
			}
			else {
				ost -= d[i].second;
				d[i].second = 0;
			}
		}
		if (ost > 0) return false_ans;
	}

	return { true, d };
}

pair<bool, vp> check2(int a, int b) {
	vector<pair<int, int> > d(4);
	for (int i = 0; i < 3; ++i) {
		if (a < 25) return false_ans;

		d[i].first = 25;
		a -= 25;

		if (b > 0) {
			if (b >= 23) {
				d[i].second = 23;
				b -= 23;
			}
			else {
				d[i].second = b;
				b = 0;
			}
		}
	}

	d[3].first = a;
	int ost = max(a + 2, 25);
	if (b > ost) {
		return false_ans;
	}
	d[3].second = ost;
	ost -= b;

	for (int i = 0; i < 3; ++i) {
		if (ost > 0 && d[i].second > 0) {
			if (d[i].second > ost) {
				d[i].second -= ost;
				ost = 0;
			}
			else {
				ost -= d[i].second;
				d[i].second = 0;
			}
		}
	}

	if (ost != 0) return false_ans;

	swap(d[0], d[3]);
	return { true, d };
}

pair<bool, vp> check3(int a, int b) {
	vector<pair<int, int> > d(5);
	for (int i = 0; i < 2; ++i) {
		if (a < 25) return false_ans;

		d[i].first = 25;
		a -= 25;

		if (b > 0) {
			if (b >= 23) {
				d[i].second = 23;
				b -= 23;
			}
			else {
				d[i].second = b;
				b = 0;
			}
		}
	}

	for (int i = 2; i < 4; ++i) {
		d[i].first = 0;
		d[i].second = 25;

		if (b >= 25) {
			b -= 25;
		}
		else {
			int ost = 25 - b;
			b = 0;
			for (int j = 0; j < 2; ++j) {
				if (d[j].second > 0 && ost > 0) {
					if (d[j].second >= ost) {
						d[j].second -= ost;
						ost = 0;
					}
					else {
						ost -= d[j].second;
						d[j].second = 0;
					}
				}
			}
			if (ost > 0) return false_ans;
		}
	}

	// set last win
	d[4].second = b;
	int ost = max(15, b + 2);
	if (a < ost) return false_ans;

	d[4].first = ost;

	if (a > ost) {
		int cnt = a - ost;
		for (int i = 2; i < 4; ++i) {
			if (cnt >= 23) {
				d[i].first = 23;
				cnt -= 23;
			}
			else {
				d[i].first = cnt;
				cnt = 0;
			}
		}
		if (cnt > 0) return false_ans;
	}

	return { true, d };
}

void solve()
{
	int n;
	cin >> n;
	for (int i = 0; i < n; ++i) {
		int a, b;
		cin >> a >> b;

		// WWW 3:0
		auto res1 = check1(a, b);
		if (res1.first) {
			cout << "3:0" << endl;
			for (int i = 0; i < res1.second.size(); ++i) {
				cout << res1.second[i].first << ":" << res1.second[i].second << " ";
			}
			cout << endl;
			continue;
		}

		// WLWW 3:1
		auto res2 = check2(a, b);
		if (res2.first) {
			cout << "3:1" << endl;
			for (int i = 0; i < res2.second.size(); ++i) {
				cout << res2.second[i].first << ":" << res2.second[i].second << " ";
			}
			cout << endl;
			continue;
		}

		// WLWLW 3:2
		auto res3 = check3(a, b);
		if (res3.first) {
			cout << "3:2" << endl;
			for (int i = 0; i < res3.second.size(); ++i) {
				cout << res3.second[i].first << ":" << res3.second[i].second << " ";
			}
			cout << endl;
			continue;
		}

		// LWLWL 2:3
		auto res4 = check3(b, a);
		if (res4.first) {
			cout << "2:3" << endl;
			for (int i = 0; i < res4.second.size(); ++i) {
				cout << res4.second[i].second << ":" << res4.second[i].first << " ";
			}
			cout << endl;
			continue;
		}

		// WLLL 1:3
		auto res5 = check2(b, a);
		if (res5.first) {
			cout << "1:3" << endl;
			for (int i = 0; i < res5.second.size(); ++i) {
				cout << res5.second[i].second << ":" << res5.second[i].first << " ";
			}
			cout << endl;
			continue;
		}

		// LLL 0:3
		auto res6 = check1(b, a);
		if (res6.first) {
			cout << "0:3" << endl;
			for (int i = 0; i < res6.second.size(); ++i) {
				cout << res6.second[i].second << ":" << res6.second[i].first << " ";
			}
			cout << endl;
			continue;
		}

		cout << "Impossible" << endl;
	}
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}