#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;
using vp = vector<pair<int, int> >;

void solve()
{
	ll n;
	cin >> n;

	ll bord = sqrt(n);

	vector<ll> v;

	for (ll i = 2; i <= bord; ++i)
	{
		if (n % i == 0)
		{
			v.push_back(i);
			if (n / i != i)
				v.push_back(n / i);
		}
	}

	sort(v.rbegin(), v.rend());

	if (v.empty())
	{
		cout << "NO";
		return;
	}

	bool odd = false;
	bool ev = false;
	for (auto val : v)
	{
		if (val % 2 == 0) ev = true;
		else odd = true;
	}

	if (!ev || !odd)
	{
		cout << "NO";
		return;
	}

	ll nn = n - 1;
	vector<ll> ans;
	ans.reserve(100000);
	for (auto val : v)
	{
		if (nn % val != 1)
		{
			while (nn >= val)
			{
				ans.push_back(val);
				nn -= val;
			}
		}
	}
	cout << "YES" << endl;
	cout << ans.size() << endl;
	for (ll i = 0; i < ans.size(); ++i)
	{
		cout << 1 << " " << n / ans[i] << "\n";
	}
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	solve();
}