#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <queue>
#include <functional>

using namespace std;

using ll = long long;

ll v[7];

ll get(int pos, int cnt) {
	ll d = 0;
	while (cnt > 0) {
		for (int i = pos; i < 7; ++i) {
			++d;
			if (v[i] == 1) {
				--cnt;
			}
			if (cnt == 0) break;
		}
		pos = 0;
	}
	return d;
}

void solve()
{
	ll k;
	cin >> k;
	
	ll cnt = 0;
	for (int i = 0; i < 7; ++i) {
		cin >> v[i];
		cnt += v[i] == 1;
	}

	ll min_ans = -1;
	for (int i = 0; i < 7; ++i) {
		if (v[i] == 1) {
			ll cur_ans = 1;
			ll kk = k - 1;
			if (kk < cnt) {
				cur_ans += get(i+1, kk);
			}
			else {
				ll ost = kk % cnt;
				cur_ans += (kk / cnt) * 7;
				cur_ans += get(i+1, ost);
			}
			if (min_ans == -1 || cur_ans < min_ans) min_ans = cur_ans;
		}
	}
	cout << min_ans << endl;
}

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	int t;
	cin >> t;
	while (t--)
	solve();
}