#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <iostream>
#include <cmath>
#include <algorithm>
#include <map>

using namespace std;

const int N = 1e5 + 10;

int n, k;
int works_chosen[N];
int time[N];
int number_taken[N];
map <int, int> jobs[N];
int all_times[N];
int pntr = 0;

int main() {
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	scanf("%d%d", &n, &k);
	for (int i = 0; i < n; i++) {
		scanf("%d", &works_chosen[i]);
		number_taken[works_chosen[i]]++;
	}
	for (int i = 0; i < n; i++) {
		scanf("%d", &time[i]);
		jobs[works_chosen[i]][time[i]]++;
	}
	int jobs_left = 0;
	for (int i = 1; i <= k; i++) {
		if (number_taken[i] == 0) {
			jobs_left++;
		}
	}
	long long result = 0;
	for (int i = 1; i <= k; i++) {
		map <int, int>::iterator it = jobs[i].begin();
		if (jobs[i].size() == 0) {
			continue;
		}
		while (true) {
			if (number_taken[i] == 1) {
				break;
			}
			if (it->second == 0) {
				it++;
			}
			it->second--;
			number_taken[i]--;
			all_times[pntr++] = it->first;
		}
	}
	sort(all_times, all_times + pntr);
	for (int i = 0; i < pntr; i++) {
		if (jobs_left == 0) {
			break;
		}
		result += all_times[i];
		jobs_left--;
	}
	printf("%lld", result);
	return 0;
}