#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <memory>
#include <functional>
#include <cassert>
using namespace std;
typedef long long ll;

ll gcd(ll a, ll b) { return b ? gcd(b, a % b) : a; }
ll n;

void gcd_e(ll a, ll &x, ll b, ll &y)
{
	if (b == 0) {
		x = 1;
		y = 0;
	}
	else {
		ll x1, y1;
		gcd_e(b, x1, a % b, y1);
		x = y1;
		y = x1 - (a / b) * y1;
	}
}

void prll_ans(vector<pair<ll, ll>> v)
{
	cout << "YES\n";
	cout << v.size() << "\n";
	ll nom = 0;
	for (auto p : v) {
		nom += p.first * (n / p.second);
		cout << p.first << " " << p.second << "\n";
	}

	assert(nom == n - 1);
	//cout << n << '\n';
	exit(0);
}

void solve()
{
	cin >> n;
	vector<ll> divs;
	for (ll i = 2; i * i <= n; ++i) {
		if (n % i == 0) {
			divs.push_back(i);
			if (i * i < n) divs.push_back(n / i);
		}
	}

	if (n == 10) {
		n = n;
	}

	for (ll d1 : divs) {
		for (ll d2 : divs) {
			ll a = n / d1;
			ll b = n / d2;
			ll g = gcd(a, b);

			if ((n - 1) % g == 0) {
				ll x, y;
				gcd_e(a, x, b, y);

				x *= (n - 1) / g;
				y *= (n - 1) / g;

				ll dd1 = d1;
				ll dd2 = d2;
				if (y < 0) {
					swap(dd1, dd2);
					swap(a, b);
					swap(x, y);
				}

				if (x < 0) {
					ll t1 = (-x + b - 1) / b;
					x += b * t1;
					y -= a * t1;
				}

				if (y < 0) continue;
				if (x >= dd1 && y >= dd2) continue;

				if (x >= dd1) {
					swap(dd1, dd2);
					swap(a, b);
					swap(x, y);
				}
				
				ll need1 = (dd1 - 1 - x + b - 1) / b;
				ll need2 = (y - dd2 - 1 + a - 1) / a;

				ll t2 = min(need1, need2);

				x += t2 * a;
				y -= t2 * b;

				if (x >= dd1 && y >= dd2) continue;

				prll_ans({ { x, dd1 }, { y, dd2 } });
				return;
			}
		}
	}
	
	cout << "NO";
	//cout << n << "\n";
	return;

	if (n % 2 == 0) {
		for (ll d : divs) {
			if (d % 2 == 0) {
				ll c = n / d;
				if (c % 2 == 1) {
					ll nom = n - c - 1;
					ll denom = n;
					ll g = gcd(nom, denom);

					prll_ans({ { 1, d },{ nom / g, denom / g } });
					return;
				}
			}
		}
	}
	else {
		for (ll d : divs) {
			for (ll d2 : divs) {
				ll c1 = n / d;
				ll c2 = n / d2;
				ll g = gcd(c1, c2);

				if ((n - 1) % g == 0) {
					ll a, b;
					gcd_e(c1, a, c2, b);
					prll_ans({ { a, c1 },{ b, c2 } });
					return;
				}
			}
			//ll c = n / d;
			////if (c == d) continue;
			//ll g = gcd(n - 1 - c, n);
			//if (g != 1) {
			//	prll_ans({ { 1, d },{ (n - 1 - c) / g, n / g } });
			//	return;
			//}
		}
	}

	//cout << n << "\n";
}

int main()
{
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
	ios_base::sync_with_stdio(0);
	cin.tie(0);

	solve();
	return 0;
	
	for (ll i = 2; i < 1e9; ++i) {
		n = i;
		solve();
	}
}