#include <bits/stdc++.h>

using namespace std;

const int N = 9;
const int X = 3 * N;
const int Y = N * N * 2;
const int Z = 3 * N;

int n;
bool g[N][N];
char a[X][Y][Z];

void init() {
    for (int i = 0; i < X; ++i) {
        for (int j = 0; j < Y; ++j) {
            for (int k = 0; k < Z; ++k) {
                a[i][j][k] = '#';
            }
        }
    }
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < Y; ++j) {
            a[3 * i][j][0] = '.';
        }
        a[3 * i][2 * N * i + 2 * i][0] = char('1' + i);
    }
}

void add_edge(int s, int t) {
    if (s < t) {
        for (int i = 3 * s + 1; i <= 3 * t; ++i) {
            a[i][2 * N * s + 2 * t][i - 3 * s] = '.';
            a[i - 1][2 * N * s + 2 * t][i - 3 * s] = '.';
        }
        for (int k = 3 * t - 3 * s; k >= 0; --k) {
            a[3 * t][2 * N * s + 2 * t][k] = '.';
        }
    } else {
        swap(s, t);
        for (int i = 3 * t - 1; i >= 3 * s; --i) {
            a[i][2 * N * t + 2 * s][3 * t - i] = '.';
            a[i + 1][2 * N * t + 2 * s][3 * t - i] = '.';
        }
        for (int k = 3 * t - 3 * s; k >= 0; --k) {
            a[3 * s][2 * N * t + 2 * s][k] = '.';
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin >> n;
    init();
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            cin >> g[i][j];
            if (i != j && g[i][j]) {
                add_edge(i, j);
            }
        }
    }
    cout << X << ' ' << Y << ' ' << Z << '\n';
    for (int k = Z - 1; k >= 0; --k) {
        for (int j = 0; j < Y; ++j) {
            for (int i = 0; i < X; ++i) {
                cout << a[i][j][k];
            }
            cout << '\n';
        }
        cout << '\n';
    }
    return 0;
}
