#include <bits/stdc++.h>

using namespace std;
#define ll long long
const int MX = 202;
const int inf = 1e9;
int dp[MX][MX][6][4];
bool vis[MX][MX][6][4];

int solve(int a, int b, int s, int wins) {
    /// you will win
    if (a < 0 || b < 0)
        return -inf;
    if (a + b == 0 && s == 3 + wins)
        return 0;
    if (s == 5) {
        if (a + b == 0)
            return 0;
        else return -inf;
    }
    if (wins == 3) {
        if (a + b == 0)
            return 0;
        else return -inf;
    }
    int &ans = dp[a][b][s][wins];
    if (vis[a][b][s][wins])
        return ans;
    vis[a][b][s][wins] = 1;
    ans = -9;
    int limit = 25;
    if (s == 4)
        limit = 15;
    for (int i = 0; i <= min(b, limit - 2); i++) {
        if (wins < 3)
            ans = max(ans, 1 + solve(a - limit, b - i, s + 1, wins + 1));
    }
    for (int i = limit + 1, j = limit - 1; i <= a && j <= b; i++, j++) {
        if (wins < 3)
            ans = max(ans, 1 + solve(a - i, b - j, s + 1, wins + 1));
    }
    /// I will lose
    for (int i = 0; i <= min(a, limit - 2); i++) {
        ans = max(ans, -1 + solve(a - i, b - limit, s + 1, wins));
    }
    for (int i = limit - 1, j = limit + 1; i <= a && j <= b; i++, j++) {
        ans = max(ans, -1 + solve(a - i, b - j, s + 1, wins));
    }
    return ans;
}

vector<pair<int, int>> res;

void find(int a, int b, int s, int wins, int ans) {
    if (a < 0 || b < 0)
        return;
    if (a + b == 0 && s == 3 + wins)
        return;
    if (s == 5) {
        if (a + b == 0)
            return ;
        else return ;
    }
    if (wins == 3) {
        if (a + b == 0)
            return ;
        else return ;
    }
    int limit = 25;
    if (s == 4)
        limit = 15;
    for (int i = 0; i <= min(b, limit - 2); i++) {
        if (wins < 3) {
            if (ans == 1 + solve(a - limit, b - i, s + 1, wins + 1)) {
                res.push_back({limit, i});
                return find(a - limit, b - i, s + 1, wins + 1, ans - 1);
            }
        }
    }
    for (int i = limit + 1, j = limit - 1; i <= a && j <= b; i++, j++) {
        if (wins < 3) {
            if (ans == 1 + solve(a - i, b - j, s + 1, wins + 1)) {
                res.push_back({i, j});
                return find(a - i, b - j, s + 1, wins + 1, ans - 1);
            }
        }
    }
    /// I will lose
    for (int i = 0; i <= min(a, limit - 2); i++) {
        if (ans == -1 + solve(a - i, b - limit, s + 1, wins)) {
            res.push_back({i, limit});
            return find(a - i, b - limit, s + 1, wins, ans + 1);
        }
    }
    for (int i = limit - 1, j = limit + 1; i <= a && j <= b; i++, j++) {
        if (ans == -1 + solve(a - i, b - j, s + 1, wins - 1)) {
            res.push_back({i, j});
            return find(a - i, b - j, s + 1, wins, ans + 1);
        }
    }
}

int main() {
    //  freopen("input.txt","r",stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin >> t;
    while (t--) {
        int a, b;
        cin >> a >> b;
        int ans = solve(a, b, 0, 0);
        assert(ans != 0);
        if (ans < -3) {
            cout << "Impossible\n";
        } else {

            res.clear();
            find(a, b, 0, 0, ans);

            if (ans < 0) {
                cout << 3 + ans << ":" << 3 << "\n";
            } else {
                cout << 3 << ":" << 3 - ans << "\n";
            }
            for (auto u : res)
                cout << u.first << ":" << u.second << ' ';
            cout << endl;
        }
    }

    return 0;
}
