#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int g[10][10];
vector<int> strong_comps[10];
int iter;
int same[10][10];
bool used[10];
int comp[10];

void dfs(int v) {
    used[v] = 1;
    strong_comps[iter].push_back(v);
    comp[v] = iter;
    for (int i = 1; i <= 9; ++i) {
        if (!used[i] && same[v][i]) {
            dfs(i);
        }
    }
}

int condensed[10][10];
vector<int> order;

void topsort(int v) {
    used[v] = 1;
    for (int i = 1; i <= iter; ++i) {
        if (condensed[v][i] && !used[i]) {
            topsort(i);
        }
    }
    order.push_back(v);
}

int last[1000][1000];
string maze[20][300];
int cur_lvl[1000];

int main() {
   // freopen("input.txt", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            cin >> g[i][j];
        }
    }
    for (int i = 1; i <= n; ++i) {
        g[i][i] = 1;
    }
    for (int k = 1; k <= n; ++k) {
        for (int i = 1; i <= n; ++i) {
            for (int j = 1; j <= n; ++j) {
                if (g[i][k] && g[k][j]) {
                    g[i][j] = 1;
                }
            }
        }
    }

    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            if (g[i][j] && g[j][i]) {
                same[i][j] = 1;
            }
        }
    }

    for (int i = 1; i <= n; ++i) {
        if (!used[i]) {
            ++iter;
            dfs(i);
        }
    }
//    cout<<iter<<endl;
//    for(int i=1; i<=iter; ++i){
//        for(int el:strong_comps[i]){
//            cout<<el<<" ";
//        }
//        cout<<endl;
//    }
    for (int i = 1; i <= iter; ++i) {
        used[i] = 0;
    }
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            if (g[i][j]) {
                condensed[comp[i]][comp[j]] = 1;
            }
        }
    }
    for (int i = 1; i <= iter; ++i) {
        used[i] = 0;
    }
    for (int i = 1; i <= iter; ++i) {
        if (!used[i]) {
            topsort(i);
        }
    }

    reverse(order.begin(), order.end());
    for (int el: order) {
        for (int i = 1; i <= 9; ++i) {
            if (condensed[el][i]) {
                last[el][i] = 1;
            }
        }
    }
    int z = 2 * iter;
    int y = 300;
    int x = 10;
    int lvl = 0;
    for(int i=0; i<=z; ++i){
        for(int e=0; e<y; ++e){
            maze[i][e]=string(x,'#');
        }
    }
    for(int el :order){
        lvl += 2;
        cur_lvl[el] = lvl;
    }
    for (int el : order) {
        for (int i = 0; i < y; ++i) {
            for (int j = 0; j < x - 2; ++j) {
                maze[cur_lvl[el]][i][j] = '.';
            }
        }

        for (int j = 1; j <= iter; ++j) {
            if (last[el][j] && el != j) {
                int pos = 20 * el + 2 * j;
                int from = cur_lvl[el];
                int to = cur_lvl[j];
                maze[from][pos][x - 2] = '.';
                maze[to][pos][x - 2] = '.';
                for (int e = from; e <= to; ++e) {
                    maze[e][pos][x - 1] = '.';
                }
            }
        }
        for (int i = 0; i < strong_comps[el].size(); ++i) {
            maze[cur_lvl[el]][i][0]=strong_comps[el][i]+'0';
        }
    }
    cout<<x<<" "<<y<<" "<<z<<"\n";
    for(int i=1; i<=z; ++i){
        for(int j=0; j<y; ++j){
            cout<<maze[i][j]<<"\n";
        }
        cout<<endl;
    }
}