#include <bits/stdc++.h>

#define all(x) (x).begin(), (x).end()

using li = long long;
using ld = long double;

void solve(bool read);

using namespace std;

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#else
    cin.tie(nullptr);
    ios_base::sync_with_stdio(false);
#endif

    solve(true);

#ifdef LOCAL
    cerr << endl << endl << clock() / (double)CLOCKS_PER_SEC << endl;
#endif

    return 0;
}

string cell(int x, int y) {
    return string(1, 'a' + x) + string(1, '1' + y);
}

void solve(bool __attribute__((unused)) read) {
    int n;
    cin >> n;

    cout << cell(0, 0);
    n -= 1;
    int y = 0;
    for (int i = 0; i < 7; ++i) {
        if (7 >= n) {
            vector<int> ys;
            for (int j = 0; j < 8; ++j) {
                if (j != 7 && j != y) {
                    ys.push_back(j);
                }
            }
            for (int j = 0; j < n - 1; ++j) {
                cout << " " << cell(i, ys[j]);
            }
            cout << " " << cell(i, 7) << " " << cell(7, 7) << "\n";
            return;
        } else if (8 == n && i < 6) {
            vector<int> ys;
            for (int j = 0; j < 8; ++j) {
                if (j != y) {
                    ys.push_back(j);
                }
            }
            for (int j = 0; j < n - 1; ++j) {
                cout << " " << cell(i, ys[j]);
            }
            cout << " " << cell(i + 1, 7) << " " << cell(7, 7) << "\n";
            return;
        } else {
            vector<int> ys;
            for (int j = 0; j < 8; ++j) {
                if (j != y) {
                    ys.push_back(j);
                }
            }
            reverse(all(ys));
            for (int j = 0; j < 7; ++j) {
                cout << " " << cell(i, ys[j]);
            }
            cout << " " << cell(i + 1, ys.back()) << "\n";
            y = ys.back();
            n -= 8;
        }
    }
    vector<int> ys;
    for (int j = 0; j < 8; ++j) {
        if (j != y) {
            ys.push_back(j);
        }
    }
    for (int j = 0; j < n; ++j) {
        cout << " " << cell(7, ys[j]);
    }
    cout << " " << cell(7, 7) << "\n";
}