#include <iostream>
#include <algorithm>
#include <cstdio>
#include <vector>

using namespace std;

pair <int, int> linear(int a, int b){
    if (!b) return {1, 0};
    auto res = linear(b, a % b);
    return {res.second, res.first - res.second * (a / b)};
}

int main(){
    int n;
    cin >> n;

    int prime = -1;
    for (int p = 2; p * p <= n; p++){
        if (n % p == 0){
            prime = p;
            break;
        }
    }
    if (prime == -1){
        cout << "NO";
        return 0;
    }
    int a = n, b = 1;
    while (a % prime == 0){
        a /= prime;
        b *= prime;
    }
    if (a == 1){
        cout << "NO";
        return 0;
    }

    auto res = linear(a, b);
    res.first = ((res.first % b) + b) % b;
    res.second = ((res.second % a) + a) % a;
    cout << "YES\n2\n" << b - res.first << " " << b << endl << a - res.second << " " << a << endl;

    return 0;
}
