#include<bits/stdc++.h>

using namespace std;

const int MAX = 10;

#define pb push_back

int n;
int low[MAX], timer[MAX], in[MAX], cc;
stack<int> S;
int T, Tn, comp, scc[MAX];

vector<int> adl[MAX];

void dfs(int x){
    low[x] = timer[x] = ++cc;
    S.push(x);
    in[x] = 1;
    for (auto nxt : adl[x]){
        if (timer[nxt] == 0){
            dfs(nxt);
            low[x] = min(low[x], low[nxt]);
        }
        else if (in[nxt]){
            low[x] = min(low[x], timer[nxt]);
        }
    }
    if (low[x] == timer[x]){
        ++comp;
        while (true){
            int node = S.top();
            in[node] = 0;
            S.pop();
            scc[node] = comp;
            if (node == x)
                break;
        }
    }
}
vector< pair<int,int> > vec;
vector<int> done[11];
bool vis[11];
char cube[105][105][105];
int acc[105][105];
bool give[12][12];
int out[11];
int main(){
    memset(acc,-1,sizeof(acc));
    for(int i=0;i<100;i++)
        for(int j=0;j<100;j++)
            for(int z=0;z<100;z++){
                if(i%4)cube[i][j][z]='.';
                else cube[i][j][z]='#';
            }
    cin >> n;
    for (int i=0;i<n;i++){
        for (int j=0;j<n;j++){
            int t; cin >> t;
            if (t){
                adl[i].pb(j);
                vec.push_back({i,j});
            }
        }
    }
    for (int i=0;i<n;i++){
        if (timer[i] == 0)
            dfs(i);
    }
    for(int i=0;i<n;i++){
        done[scc[i]].push_back(i+1);
//        cout<<scc[i]<<endl;
//        cout<<scc[i]<<" "<<i+1<<endl;
    }
    memset(adl,0,sizeof(adl));
    for(auto i : vec){
        if(scc[i.first]==scc[i.second])continue;
        if(give[scc[i.first]][scc[i.second]]==1)continue;
        adl[scc[i.second]].push_back(scc[i.first]);
        out[scc[i.first]]++;
        give[scc[i.first]][scc[i.second]]=1;
//        cout<<scc[i.first]<<" "<<scc[i.second]<<endl;
    }
    queue<int> q;
    for(int i=1;i<=comp;i++){
        if(out[i]==0)q.push(i);
    }
    int flor=0;
    while(!q.empty()){
        int ver=q.front();
        q.pop();
        if(vis[ver])continue;
//        cout<<ver<<endl;
        vis[ver]=1;
//        cout<<ver<<endl;
        for(auto i : adl[ver]){
            q.push(i);
        }
        for(int i=1;i<99;i+=4){
            for(int j=1;j<99;j+=4){
                if(acc[i][j]!=-1){
                    cube[flor][i][j]='.';
                    if(give[ver][acc[i][j]]==0){
                        cube[flor+1][i+1][j]='#';
                        cube[flor+1][i-1][j]='#';
                        cube[flor+1][i][j+1]='#';
                        cube[flor+1][i][j-1]='#';
                        cube[flor+2][i+1][j]='#';
                        cube[flor+2][i-1][j]='#';
                        cube[flor+2][i][j+1]='#';
                        cube[flor+2][i][j-1]='#';
                    }
                }
            }
        }
        bool blo=0;
        for(int i=1;!blo&&i<99;i+=4){
            for(int j=1;!blo&&j<99;j+=4){
                if(acc[i][j]==-1){
                    acc[i][j]=ver;
                    blo=1;
                }
            }
        }
        for(int i=0;!done[ver].empty()&&i<99;i+=4){
            for(int j=0;!done[ver].empty()&&j<99;j+=4){
//                cout<<ver<<endl;
                if(cube[flor][i][j]=='#'&&cube[flor+1][i][j]=='.'){
                    cube[flor][i][j]='0'+done[ver].back();
//                    cout<<ver<<" "<<done[ver].back()<<endl;;
                    done[ver].pop_back();
                }
            }
        }
        flor+=4;
    }
    cout<<55<<" "<<55<<" "<<56<<endl;
    for(int i=55;i>=0;i--){
            for(int j=0;j<55;j++){
                for(int k=0;k<55;k++)cout<<cube[i][j][k];
                cout<<endl;
            }
            cout<<endl;
            cout<<endl;
        }

    return 0;
}

/*

4
0 1 0 1
0 0 1 0
0 1 0 0
1 0 0 0

5
0 0 0 1 1
1 0 0 0 0
0 0 0 1 1
0 1 0 0 0
0 0 1 0 0
*/
