#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}

int main() {
    FastIO();

    int n, paths;
    cin >> n >> paths;
    vector<vector<int> > g(n);

    for (int i = 0; i < paths; ++i) {
        int v_num;
        cin >> v_num;

        int prev_v;
        cin >> prev_v;
        prev_v--;
        for (int i = 1; i < v_num; ++i) {
            int cur_v;
            cin >> cur_v;
            cur_v--;

            g[prev_v].push_back(cur_v);
            g[cur_v].push_back(prev_v);
            prev_v = cur_v;
        }
    }

    vector<bool> used(n, false);
    for (int t_i = 0; t_i < n; ++t_i) {
        int v = -1;
        for (int i = 0; v == -1 && i < n; ++i) {
            if (!used[i]) {
                v = i;
            }
        }
        int q = 0;
        vector<bool> more_used(n, false);
        while (true) {
            cout << v + 1 << endl;
            more_used[v] = true;
            string resp;
            cin >> resp;
            if (resp == "FOUND") {
                used[v] = true;
                break;
            }
            int go;
            cin >> go;
            go--;

            int cur_step = (n >> (++q));

            vector<bool> local_used(n, false);
            local_used[v] = true;

            vector<int> d(n);
            d[go] = 0;
            queue<int> q;
            q.push(go);
            while (!q.empty()) {
                int cur = q.front();
                q.pop();

                for (auto && to : g[cur]) {
                    if (!local_used[to]) {
                        d[to] = d[cur] + 1;
                        q.push(to);
                        local_used[to] = true;
                    }
                }
            }
            int mni = -1;
            for (int i = 0; i < n; ++i) {
                if (!used[i] && !more_used[i] && (mni == -1 || abs(d[i] - cur_step) < abs(d[mni] - cur_step))) {
                    mni = i;
                }
            }
            v = mni;
        }

    }
    return 0;
}