#include <bits/stdc++.h>

using namespace std;

#define pb push_back

typedef long long ll;

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}

bool in (int x, int y) {
    return 0 <= x && x < 8 && 0 <= y && y < 8;
}

vector<pair<int, int> > g;

void print_cell(int x, int y) {
    cout << char('a' + x) << y + 1 << " ";
}

void print(int n) {
    for (int i = 0; i <= n; i++) {
        print_cell(g[i].first, g[i].second);
    }
}
int main() {
    FastIO();

    int n;
    cin >> n;

    g.pb({0, 0});
    g.pb({1, 0});
    g.pb({1, 2});
    g.pb({0, 2});

    g.pb({0, 3});
    g.pb({0, 1});
    g.pb({1, 1});
    g.pb({1, 3});

    g.pb({1, 4});
    g.pb({0, 4});
    g.pb({0, 5});
    g.pb({1, 5});

    g.pb({1, 6});
    g.pb({0, 6});
    g.pb({0, 7});
    g.pb({1, 7});

    int curx = 2;
    int cury = 7;
    int dy = -1;
    while (curx != 7 || cury != 7) {
        g.pb({curx, cury});
        if (in(curx, cury + dy)) {
            cury += dy;
        } else {
            curx++;
            dy *= -1;
        }
    }
    
    if (g[n - 2].first < 7 && g[n - 2].second < 7) {
        print(n - 2);
        print_cell(7, g[n - 2].second);
    } else if (g[n - 2].first == 7) {
        print(n - 2);
        print_cell(g[n - 2].first, g[n - 2].second + 1);
    } else if (g[n - 2].first < 6) {
        print(n - 2);
        print_cell(g[n - 2].first + 1, g[n - 2].second);
    } else {
        assert(n == 50);
        print(n - 4);
        print_cell(7, g[n - 4].second);
        print_cell(7, g[n - 4].second - 1);
        print_cell(7, g[n - 4].second - 2);
    }
    print_cell(7, 7);
    
    
    

    return 0;
}