#include <bits/stdc++.h>

using namespace std;

#define pb push_back
typedef long long ll;

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}
vector<pair<ll, ll> > ans;

pair<ll, ll> euclid(ll a, ll b) {
    if (b == 0) return {1, 0};
    pair<ll, ll> cur = euclid(b, a % b);
    return {cur.second, cur.first - (a / b) * cur.second};
}

ll mod(ll a, ll md) {
    return (a % md + md) % md;
}

void solve(ll n) {
    ans.resize(0);

    ll t = n;
    bool ok = false;
    ll x = 1, y = -1;
    for (ll i = 2; i * i <= n; i++) {
        if (t % i == 0) {

            ok = true;
            while (t % i == 0) {
                t /= i;
                x *= i;
            }

            y = n / x;
            break;
        }
    }
    //cout << x << " " << y << endl;
    if (abs(y) == 1) {
        return;
    }

    pair<ll, ll> res = euclid(x, y);
    //cout << res.first << " " << res.second << endl;

    ll a = mod(res.first * (n - 1), y) ;
    ll b = mod(res.second * (n - 1), x);
   // cout << a << " " << b << endl;
    assert(a * x + b * y == n - 1);
    assert(1 <= a && a < y);
    assert(1 <= b && b < x);
    ans.pb({a, y});
    ans.pb({b, x});

    ll sum = 0;
    for (auto p : ans) {
        sum += p.first * (n / p.second);
    }
    assert(sum == n - 1);
}

int main() {
    FastIO();

    ll n;
    cin >> n;
//    for (ll i = 1; i <= n; i++) {
//        solve(i);
//        cout << i << " " << (ans.size() == 0) << endl;
//    }
    solve(n);
    if ((int) ans.size() == 0) {
        cout << "NO\n";
    } else {
        cout << "YES\n";
        cout << 2 << "\n";
        for (auto p : ans) {
            cout << p.first << " " << p.second << "\n";
        }

    }


    
    return 0;
}