#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}

/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2

 3 3
 3 1 2
 5 3 4
 */

int main() {
    FastIO();

    int n, k;
    cin >> n >> k;

    vector<vector<int> > chosen_by(k);

    int not_chosen = 0;
    for (int i = 0; i < n; ++i) {
        int job_id;
        cin >> job_id;
        chosen_by[job_id - 1].push_back(i);
    }

    vector<int> power(n);
    for (int i = 0; i < n; ++i) {
        cin >> power[i];
    }
//    cerr << "READ ENDED\n";

    vector<int> free;
    for (int i = 0; i < k; ++i) {

        if (chosen_by[i].size() == 0) {
            not_chosen++;
        } else {
            sort(chosen_by[i].begin(), chosen_by[i].end(), [&](int lhs, int rhs) {
                return power[lhs] < power[rhs];
            });

            for (int j = 0; j < chosen_by[i].size() - 1; ++j) {
                free.push_back(power[chosen_by[i][j]]);
            }
        }
    }

    sort(free.begin(), free.end());

    long long ans = 0;
    for (int i = 0; i < not_chosen; ++i) {
        ans += free[i];
    }
    cout << ans << endl;
    return 0;
}