#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define pb push_back
#define WALL -1
#define EMPTY -2

const int M = 10;

void FastIO() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
}

int n;
int g[M][M];
int rg[M][M];
int ans[3][10 * M * M][2 * M];
int used[M];
vector<int> ord;
vector<int> comp[M];
int color[M];

void dfs(int v) {
    used[v] = 1;
    for (int i = 1; i <= n; i++) {
        if (g[v][i] && !used[i]) {
            dfs(i);
        }
    }
    ord.pb(v);
}

void dfs2(int v, int c) {
    used[v] = 1;
    color[v] = c;
    comp[c].pb(v);
    for (int i = 1; i <= n ;i++) {
        if (rg[v][i] && !used[i]) {
            dfs2(i, c);
        }
    }
}

int main() {
    freopen("input.txt", "r", stdin);
    // freopen("output.txt", "w", stdout);
    FastIO();
    cin >> n;

    int e = 0;
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            cin >> g[i][j];
            e += g[i][j];
        }
    }
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            rg[i][j] = g[j][i];
        }
    }

    for (int i = 1; i <= n; i++) {
        if (!used[i]) {
            dfs(i);
        }
    }

    for (int i = 1; i <= n; i++) used[i] = 0;

    int clr = 0;
    for (int i = 0; i < n; i++) {
        int v = ord[n - i - 1];
        if (!used[v]) {
            dfs2(v, clr);
            clr++;
        }
    }

    for (int i = 0; i < clr / 2; i++)  {
        swap(comp[i], comp[clr - 1 - i]);
    }

    for (int i = 1; i <= n; i++) {
        color[i] = clr - color[i] - 1;

        //  cout << "color[" << i << "]=" << color[i] << endl;
    }
    int a = 3;
    int b = max(1, 2 * e - 1);
    int h = 2 * clr - 1;
    cout << a << " " << b << " " << h << endl;
    for (int i = 0; i < a; i++) {
        for (int j = 0; j < b; j++) {
            for (int k = 0; k < h; k++) {
                ans[i][j][k] = WALL;
            }
        }
    }
    for (int k = 0; k < 2 * clr; k += 2) {
        for (int j = 0; j < b; j++) {
            ans[2][j][k] = EMPTY;
        }
        for (int j = 0; j < (int) comp[k / 2].size(); j++) {
            ans[2][j][k] = comp[k / 2][j];
        }
    }

    int p = 0;
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            if (g[i][j]) {
                int c1 = color[i];
                int c2 = color[j];
                // cout << i << " " << j << " " << p << " " << c1 << " " << c2 << endl;
                if (c1 > c2) swap(c1, c2);
                if (c1 != c2) {
                    for (int k = 2 * c1; k <= 2 * c2; k++) {
                        ans[0][p][k] = EMPTY;
                    }
                    ans[1][p][2 * c1] = EMPTY;
                    ans[1][p][2 * c2] = EMPTY;
                }
                p += 2;

            }
        }
    }

    for (int k = h - 1; k >= 0; k--) {
        for (int j = 0; j < b; j++) {
            for (int i = 0; i < a; i++) {
                if (ans[i][j][k] == WALL) {
                    cout << "#";
                } else if (ans[i][j][k] == EMPTY) {
                    cout << ".";
                } else {
                    cout << ans[i][j][k];
                }
            }
            cout << endl;
        }
        cout << endl;

    }

    //cout << 2 << " " << (2 * M * M) << " " << (2 * M);




    return 0;
}
