#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>

using namespace std;
typedef long long ll;
typedef unsigned long long ull;

constexpr ull MAX = 1000000005;

ull n, k;
ull a[100005], b[100005];
ull mx[100005];

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif // _DEBUG
	ios_base::sync_with_stdio(false);
	vector<ull> free;
	
	cin >> n >> k;

	memset(mx, 0, k);

	for (int i = 0; i < n; i++)
	{
		cin >> a[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> b[i];
	}

	for (int i = 0; i < n; i++)
	{
		if (mx[a[i]] == 0) {
			mx[a[i]] = b[i];
		} else if (mx[a[i]] < b[i]) {
			free.push_back(mx[a[i]]);
			mx[a[i]] = b[i];
		}
		else {
			free.push_back(b[i]);
		}
	}

	sort(free.begin(), free.end());

	int takenCnt = 0;
	ull rez = 0;

	for (int i = 1; i <= k; i++)
	{
		if (mx[i] == 0) {
			rez += free[takenCnt];
			takenCnt++;
		}
	}

	cout << rez;

	return 0;
}