import java.io.*;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Scanner;
import java.util.StringTokenizer;

public class Main {

    public static void main(String[] args) throws IOException {
        FastScanner in = new FastScanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        int n = in.nextInt();
        int k= in.nextInt();
        int[] jobs= new int[k+1];
        int[] idlers = new int[n];
        for(int i=0;i<n;i++){
            idlers[i] =in.nextInt();
            jobs[idlers[i]]++;
        }
        int[] b = new int[n];
        for(int i=0;i<n;i++){
            b[i]= in.nextInt();
        }
        Integer[] indexes = new Integer[n];
        for(int i=0;i<n;i++){
            indexes[i] = i;
        }
        int notDone = 0;
        for(int j=1;j<=k;j++){
            if(jobs[j]==0) notDone++;
        }
        Arrays.sort(indexes, new Comparator<Integer>() {
            @Override
            public int compare(Integer o1, Integer o2) {
                return Integer.compare(b[o1],b[o2]);
            }
        });
        long ans = 0;
        int pointer = 0;
        while (notDone>0){
            if(jobs[idlers[indexes[pointer]]]>1){
                jobs[idlers[indexes[pointer]]]--;
                notDone--;
                ans+=b[indexes[pointer]];
            }
            pointer++;
        }
        out.print(ans);
        out.close();
    }

    private static class FastScanner {
        BufferedReader bufferedReader;
        StringTokenizer stringTokenizer;

        FastScanner(InputStream inputStream) {
            this.bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        }

        String next() throws IOException{
            while (stringTokenizer==null||!stringTokenizer.hasMoreTokens()){
                String line = bufferedReader.readLine();
                if(line==null) return null;
                stringTokenizer = new StringTokenizer(line);
            }
            return stringTokenizer.nextToken();
        }

        int nextInt() throws IOException{
            return Integer.parseInt(next());
        }
    }
}
