#define _SCL_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_WARNINGS
#pragma comment(linker, "/STACK:256000000")

#define first x
#define second y

#include <cassert>
#include <cctype>
#include <cerrno>
#include <cfloat>
#include <ciso646>
#include <climits>
#include <clocale>
#include <cmath>
#include <csetjmp>
#include <csignal>
#include <cstdarg>
#include <cstddef>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <ccomplex>
#include <cfenv>
#include <cinttypes>
#include <cstdalign>
#include <cstdbool>
#include <cstdint>
#include <ctgmath>
#include <cuchar>
#include <cwchar>
#include <cwctype>
#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>
#include <array>
#include <atomic>
#include <chrono>
#include <codecvt>
#include <condition_variable>
#include <forward_list>
#include <future>
#include <initializer_list>
#include <mutex>
#include <random>
#include <ratio>
#include <regex>
#include <scoped_allocator>
#include <system_error>
#include <thread>
#include <tuple>
#include <typeindex>
#include <type_traits>
#include <unordered_map>
#include <unordered_set>

using namespace std;

char _inf[] =
#ifdef HER
""
#else
""
#endif
;

char _ouf[] =
#ifdef HER
""
#else
""
#endif
;

#ifndef HER
#define endl '\n'
#endif

#define all(x) (x).begin(), (x).end()
#define sz(x) (int)(x).size()

using ll = long long;
using ld = long double;

/*struct node {
	node *l = nullptr, *r = nullptr;
	int sum = 0;
	bool push = false;
};

const int MEM = 10 * 1000 * 1000;
node _mem[MEM];
int _mem_ptr;

node *new_node() {
	return _mem + _mem_ptr++;
}

node *upd_t(node *v, int l, int r, const int P, int &X) {
	if (r <= P) {
		return v;
	}
	
	if (X == 0) {
		return v;
	}

	if (v->push) {
		return v;
	}

	if (r - l == 1) {
		assert(X == 1);
		auto w = new_node();
		w->sum = 1;
	}
}

const int MAX_N = 300 * 1000 + 5;
struct gg {
	int type;
	int other;
	int t;
	int d;
};

int q;
gg fk[MAX_N];

void build() {

}*/

int ans(int x) {
	cout << x << endl;
	cout.flush();

	string s;
	cin >> s;

	if (s == "FOUND") {
		return -1;
	}

	assert(s == "GO");
	cin >> x;
	return x;
}

const int N = 522;
pair<int, int> clr[N];
bool ok[N];
vector<int> g[N];
vector<int> a;

void set_hui() {
	memset(ok, 0, sizeof ok);
	for (int i : a) {
		ok[i] = true;
	}
}

int q[N];
int dist[N];
int n;

inline pair<int, int> merge_c(pair<int, int> a, pair<int, int> b) {
	if (a.x == -1) {
		assert(false);
	}

	if (a.y == -1) {
		assert(b.y == -1);
		if (a.x == b.x) {
			return{ a.x, -1 };
		}
		else {
			return{ a.x, b.x };
		}
	}

	assert(a == b);
	return a;
}

int f(int v) {
	for (int i : a) {
		clr[i] = { -1, -1 };
		dist[i] = N;
	}

	clr[v] = { 0, -1 };
	dist[v] = 0;
	int ql = 0, qr = 0;
	
	int ptr = 1;
	for (int i : g[v]) {
		if (ok[i]) {
			q[qr++] = i;
			clr[i] = { ptr++, -1 };
			dist[i] = 1;
		}
	}

	while (ql != qr) {
		int v = q[ql];
		++ql;

		for (int i : g[v]) {
			if (ok[i] && dist[i] == N) {
				clr[i] = clr[v];
				dist[i] = dist[v] + 1;
				q[qr++] = i;
			}
			else if (ok[i] && dist[v] + 1 == dist[i]) {
				clr[i] = merge_c(clr[i], clr[v]);
			}
		}
	}

	vector<int> cnt(ptr);
	for (int i : a) {
		++cnt[clr[i].x];
		if (clr[i].y != -1) {
			++cnt[clr[i].y];
		}
	}

	return *max_element(all(cnt));
}

void solve() {
	a.resize(n);
	iota(all(a), 1);

	for (int i = 0; i < 10; ++i) {
		if (sz(a) == 1) {
			int an = ans(a[0]);
			assert(an == -1);
			return;
		}

		set_hui();

		int best_v = -1;
		int best_value = 228228;
		for (int v : a) {
			auto kek = f(v);
			if (kek < best_value) {
				best_value = kek;
				best_v = v;
			}
		}

		int w = ans(best_v);
		if (w == -1) {
			return;
		}
		f(best_v);
		assert(clr[w].y == -1);

		vector<int> b;
		for (int i : a) {
			if (clr[i].x == clr[w].x || clr[i].y == clr[w].x) {
				b.push_back(i);
			}
		}
		a = b;
	}
}


/*ll get(ll t) {

}

void upd(ll t, ll d) {

}

node *cur_root = nullptr;
ll aftr = 0;

void go(int l, int r) {
	if (r - l == 1) {
		if (fk[l].type == 0) {
			printf("%lld\n", get(fk[l].t));
		}
	}
	else {
		int m = (l + r) >> 1;

		node* last_root = cur_root;
		int ff = _mem_ptr;
		ll mem_aftr = aftr;

		int cnt_get = 0;
		for (int i = l; i < m; ++i) {
			if (fk[i].type == 0) {
				++cnt_get;
				break;
			}
		}

		if (cnt_get) {
			for (int i = m; i < r; ++i) {
				if (fk[i].type == -1 && fk[i].other < l) {
					upd(fk[i].t, fk[i].d);
				}
			}
			go(l, m);
		}

		cur_root = last_root;
		_mem_ptr = ff;
		aftr = mem_aftr;

		cnt_get = 0;

		for (int i = m; i < r; ++i) {
			if (fk[i].type == 0) {
				++cnt_get;
				break;
			}
		}

		if (cnt_get) {
			for (int i = l; i < m; ++i) {
				if (fk[i].type == 1 && fk[i].other >= r) {
					upd(fk[i].t, fk[i].d);
				}
			}
			go(m, r);
		}

		cur_root = last_root;
		_mem_ptr = ff;
		aftr = mem_aftr;
	}
}*/

void _solve() {
	int mm;
	cin >> n >> mm;

	for (int i = 0; i < mm; ++i) {
		int d;
		cin >> d;

		vector<int> a(d);
		for (int j = 0; j < d; ++j) {
			cin >> a[j];
			if (j) {
				g[a[j - 1]].push_back(a[j]);
				g[a[j]].push_back(a[j - 1]);
			}
		}
	}

	for (int i = 0; i < n; ++i) {
		solve();
	}

	/*scanf("%d\n", &q);

	for (int i = 0; i < q; ++i) {
		int t, d;
		char c;
		scanf("%c", &c);

		if (c == '+') {
			scanf("%d %d\n", &t, &d);

			fk[i].t = t;
			fk[i].d = d;
			fk[i].type = 1;
			fk[i].other = q + 228;
		}
		else {
			scanf("%d\n", &d);

			if (c == '-') {
				fk[i].other = d - 1;
				fk[i].d = fk[d - 1].d;
				fk[i].t = fk[t - 1].t;
				fk[i].type = -1;
			}
			else {
				fk[i].t = d;
				fk[i].type = 0;
			}
		}
	}

	//cur_root = build();
	go(0, q);*/
}

int main() {
	if(_inf[0])
		freopen(_inf, "r", stdin);
	if (_ouf[0])
		freopen(_ouf, "w", stdout);
	
	cin.tie(nullptr);
	ios_base::sync_with_stdio(false);
	
	_solve();

#ifdef HER
	cout << "\n\nTIME = " << clock() / (ld)CLOCKS_PER_SEC << endl;
	while (1);
#endif
}
