#define _SCL_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_WARNINGS

#include <cassert>
#include <cctype>
#include <cerrno>
#include <cfloat>
#include <ciso646>
#include <climits>
#include <clocale>
#include <cmath>
#include <csetjmp>
#include <csignal>
#include <cstdarg>
#include <cstddef>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <ccomplex>
#include <cfenv>
#include <cinttypes>
#include <cstdalign>
#include <cstdbool>
#include <cstdint>
#include <ctgmath>
#include <cuchar>
#include <cwchar>
#include <cwctype>
#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>
#include <array>
#include <atomic>
#include <chrono>
#include <codecvt>
#include <condition_variable>
#include <forward_list>
#include <future>
#include <initializer_list>
#include <mutex>
#include <random>
#include <ratio>
#include <regex>
#include <scoped_allocator>
#include <system_error>
#include <thread>
#include <tuple>
#include <typeindex>
#include <type_traits>
#include <unordered_map>
#include <unordered_set>

using namespace std;

char _inf[] =
#ifdef HER
"input.txt"
#else
""
#endif
;

char _ouf[] =
#ifdef HER
""
#else
""
#endif
;

#ifndef HER
#define endl '\n'
#endif

#define all(x) (x).begin(), (x).end()
#define sz(x) (int)(x).size()

using ll = long long;
using ld = long double;

int n;
vector<string> ans;

int x = 0;
int y = 0;

const int INF = 1000 * 1000 * 1000 + 57;

int ok[100 * 1000 + 100];

void _solve() {
	
	
	/*cin >> n;


	for (int i = 0; i < 8; ++i) {
		if (i & 1) {
			for (int j = 7; j >= 0; --j) {
				string st = "";
				st += char('a' + i);
				st += char('1' + j);
				ans.push_back(st);
			}
		}
		else {
			for (int j = 0; j < 8; ++j) {
				string st = "";
				st += char('a' + i);
				st += char('1' + j);
				ans.push_back(st);
			}
		}
	}
	++n;

	if (n <= 50) {
		for (int i = 0; i < n - 2; ++i) {
			cout << ans[i] << " ";
		}

		cout << "h" << ans[n - 3][1] << " ";
		cout << "h8";

		cout << "\n";
	}*/
 
	int n, k;
	cin >> n >> k;
	vector<int> job(n), tm(n);

	for (int i = 0; i < n; ++i) {
		cin >> job[i];
	}
	for (int i = 0; i < n; ++i) {
		cin >> tm[i];
	}
	set<int> kek;
	int need = k;
	for (int i = 0; i <= k; ++i) ok[i] = INF;
	for (int i = 0; i < n; ++i) {
		if (ok[job[i]] == INF) {
			--need;
			ok[job[i]] = tm[i];
			
		}
		else if (ok[job[i]] < tm[i]) {
			kek.insert(ok[job[i]]);
			ok[job[i]] = tm[i];
			//kek.insert(tm[i]);
		}
		else {
			kek.insert(tm[i]);
		}
	}
	//cout << need << endl;
	ll ans = 0;
	for (int i = 0; i < need; ++i) {
		ans += *kek.begin();
		kek.erase(kek.begin());
	}
	cout << ans << endl;
}

int main() {
	if(_inf[0])
		freopen(_inf, "r", stdin);
	if (_ouf[0])
		freopen(_ouf, "w", stdout);
	
	cin.tie(nullptr);
	ios_base::sync_with_stdio(false);
	
	_solve();

#ifdef HER
	cout << "\n\nTIME = " << clock() / (ld)CLOCKS_PER_SEC << endl;
	while (1);
#endif
}
