from math import floor

def gcd(a, b):
    if b == 0:
        return (1, 0, a)

    t = gcd(b, a % b)
    x1 = t[0]
    y1 = t[1]
    d = t[2]

    x = y1
    y = x1 - (a // b)*y1

    return (x, y, d)

def getdel(n):
    i = 2
    ans = []

    while i*i <= n:
        if n % i == 0:
            x = i
            y = n // i

            ans.append(x)
            if x != y:
                ans.append(y)
        i += 1

    return ans

def main():
    n = int(input())

    eps = 1e-11

    de = getdel(n)

    for b1 in de:
        for b2 in de:
            a = b2*n
            b = b1*n
            c = (n-1)*b1*b2

            x, y, d = gcd(a, b)

            if c % d:
                continue

            x0 = x * c // d
            y0 = y * c // d

            l0 = -x0*d / b + eps
            r0 = (b1 - x0)*d / b - eps
            l1 = (y0 - b2)*d / a + eps
            r1 = y0*d / a - eps

            l = max(l0, l1)
            r = min(r0, r1)

            if floor(r) - floor(l) > 0:
                t = int(floor(r))

                ansX = x0 + b // d * t
                ansY = y0 - a // d * t

                print("YES\n2\n{0} {1}\n{2} {3}".format(ansX, b1, ansY, b2))
                return

    print("NO")

main()

