#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <queue>
using namespace std;
using ll = long long;
using lld = long double;

int a[100010], b[100010], am[100010];
const int INF = 2e9;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	int i, n, k;
	cin >> n >> k;
	for (i = 1; i <= k; i++) {
		am[i] = INF;
	}
	for (i = 0; i < n; i++) {
		cin >> a[i];
	}
	map<int, int> mp;
	for (i = 0; i < n; i++) {
		cin >> b[i];
		mp[b[i]]++;
		if (am[a[i]] == INF) am[a[i]] = b[i];
		am[a[i]] = max(am[a[i]], b[i]);
	}
	int ct = 0;
	ll sum = 0;
	for (int i = 1; i <= k; i++) {
		if (am[i] != INF)
			mp[am[i]]--;
		else
			ct++;
	}
	for (auto &e : mp) {
		while (e.second > 0 && ct > 0) {
			ct--;
			e.second--;
			sum += e.first;
		}
		if (ct == 0)
			break;
	}
	cout << sum << endl;
}
/*
8 7
1 1 3 1 5 3 7 1
5 7 4 8 1 3 5 2
*/