#ifndef DEBUG
#include <iostream>
#else
#include <fstream>
std::ifstream cin{ "input.txt" };
std::ofstream cout{ "output.txt" };
#endif

#include <vector>
#include <iomanip>
#include <algorithm>
#include <map>
#include <set>
#include <string>

using namespace std;

vector<pair<int, int>>v;
vector<int> order{ 0, 1, 2, 3, 4, 7, 6, 5};
vector<int> normorder{ 0, 1, 2, 3, 4, 5 , 6, 7 };
vector<bool> used;

using ll = long long;

void solve()
{
	int n;
	cin >> n;
	vector<int> answer; 
	int xnow = 0, ynow = 0;
	int xtarget = 7, ytarget = 7;
	vector<pair<int, int>>v;
	v.push_back({ xnow, ynow });
	while (true)
	{
		used.assign(8, false);
		used[ynow] = true;
		if (n == 1)
		{
			if (ynow == 7)
			{
				xnow = 7;
				v.push_back({ xnow, ynow });
			}
			else
			{
				ynow = 7;
				v.push_back({ xnow, ynow });
			}
			break;
		}
		if (n > 8)
		{
			for (int j = 0; j < 8; j++)
			{
				if (!used[order[j]])
				{
					used[order[j]] = true;
					ynow = order[j];
					v.push_back({ xnow, ynow });
					n--;
				}
			}
			if (n == 2)
			{
				xnow = 7;
				v.push_back({ xnow, ynow });
				ynow = 7;
				v.push_back({ xnow, ynow });
				break;
			}
			n--;
			xnow++;
			v.push_back({ xnow, ynow });
		}
		else
		{
			for (int j = 0; j < 8; j++)
			{
				if (xnow == 7 && n == 1)
					break;
				if (xnow != 7 && n == 2)
				{
					ynow = 7;
					v.push_back({ xnow, ynow });
					n--;
					break;
				}
				if (!used[normorder[j]])
				{
					used[normorder[j]] = true;
					ynow = normorder[j];
					v.push_back({ xnow, ynow });
					n--;
				}
			}
		}
	}
	for (auto &i : v)
	{
		cout << (char)('a' + i.second) << i.first + 1 << " ";
	}
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	solve();
	
	/**/
}