import java.io.*;
import java.util.*;

public class Main {

    void solve() throws IOException {
        String str = "a1 b1 c1 d1 e1 f1 g1 g2 g3 g4 g5 g6 f6 f7 e7 d7 c7 b7 a7 a6 a5"+
                " a4 a3 a2 b2 c2 d2 e2 f2 f3 f4 f5 e5 e6 d6 c6 b6 b5 b4 b3 c3 d3 e3 e4 d4 d5 c5 c4"
                +" h4 h1 h2 h3 h5 h6 h7 g7 g8 f8 e8 d8 c8 b8 a8 h8";
        String [] ans = str.split(" ");
        int n=readInt()+1;
        if (n<=50){
            String cur="a1";
            for(int i=0;i<n-2;i++) {
                cur = ans[i];
                out.print(ans[i] + " ");
            }
            out.print("h"+cur.charAt(1)+" ");
            out.print("h8");
            return;
        }
        if(n<57){
            for(int i=0;i<n-1;i++){
                out.print(ans[i]+" ");
            }
            out.print("h8");
            return;
        }
        if (n<59){
            for(int i=0;i<n-4;i++){
                out.print(ans[i]+" ");
            }
            out.print("h7 g7 g8 h8");
            return;
        }
        for(int i=0;i<n-1;i++){
            out.print(ans[i]+" ");
        }
        out.print("h8");
    }

    BufferedReader in;
    PrintWriter out;
    StringTokenizer tok;

    public static void main(String[] args) throws IOException {
        new Main().run();
    }

    Main() {
        try {
            in = new BufferedReader(new FileReader("input.txt"));
            out = new PrintWriter("output.txt");
        } catch (Exception e) {
            in = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);
        }
        tok = new StringTokenizer("");
    }

    void run() throws IOException {
        solve();
        out.close();
    }

    String readLine() throws IOException {
        return in.readLine();
    }

    String delimiter = " ";

    String readString() throws IOException {
        while (!tok.hasMoreTokens()) {
            String nextLine = readLine();
            if (null == nextLine) {
                return null;
            }
            tok = new StringTokenizer(nextLine);
        }
        return tok.nextToken(delimiter);

    }

    int readInt() throws IOException {
        return Integer.parseInt(readString());
    }

    long readLong() throws IOException {
        return Long.parseLong(readString());
    }

    double readDouble() throws IOException {
        return Double.parseDouble(readString());
    }


}
