#include<bits/stdc++.h>
using namespace std;
#define RET(_x) cout << (_x) << '\n'; return;
#define endl "\n"
const int INF = 0x3f3f3f3f;

//.data
vector<int> factors;

void Factorize(int n) {
    if ((n & 1) == 0) {
        factors.push_back(2);
    }
    while ((n & 1) == 0) {
        n >>= 1;
    }
    for (int i = 3; i * i <= n; i += 2) {
        if (n % i == 0) {
            factors.push_back(i);
        }
        while (n % i == 0) {
            n /= i;
        }
    }
    if (n > 1) {
        factors.push_back(n);
    }
}

int ExtGcd(int a, int b, int& x, int& y) {
    if (b == 0) {
        x = 1;
        y = 0;
        return a;
    }
    int g = ExtGcd(b, a % b, y, x);
    y -= a / b * x;
    return g;
}

inline int CeilDiv(int x, int d) {
    return (x - 1LL + d) / d;
}

//.code
void Solve() {
    int n;
    cin >> n;
    Factorize(n);
    if (factors.size() == 1) {
        RET("NO");
    }
    int d = factors[0];
    for (int i = 1; i < (int)factors.size(); ++i) {
        int f = factors[i];
        int x, k;
        ExtGcd(f, d, k, x);
        if (x >= 0) {
            int sh = CeilDiv(x, f);
            x -= sh * f;
            k += sh * d;
        }
        x = -x;
        if (d * x < n) {
            int p = n / f - k;
            cout << "YES" << endl << "2" << endl;
            cout << x << ' ' << n / d << endl;
            cout << p << ' ' << n / f << endl;
            return;
        }
    }
    cout << "NO" endl;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    Solve();
    return 0;
}
