#include <bits/stdc++.h>
#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

pair<int, int> dp[201][201][4][4];

void solve() {

    for (int i = 0; i <= 200; i++) {
        for (int j = 0; j <= 200; j++) {
            for (int cA = 0; cA <= 3; cA++) {
                for (int cB = 0; cB <= 3; cB++) {
                    dp[i][j][cA][cB] = { -1, -1 };
                }
            }
        }
    }

    dp[0][0][0][0] = { 0, 0 };

    for (int sA = 0; sA <= 200; sA++) {
        for (int sB = 0; sB <= 200; sB++) {
            for (int cA = 0; cA < 3; cA++) {
                for (int cB = 0; cB < 3; cB++) if (dp[sA][sB][cA][cB].first != -1) {

                    int maxScore = 25;
                    if (cA + cB == 4) maxScore = 15;

                    for (int scoreA = maxScore; scoreA <= maxScore; scoreA++) {
                        for (int scoreB = 0; scoreB <= maxScore - 2; scoreB++) {
                            if (sA + scoreA <= 200 && sB + scoreB <= 200 &&
                                dp[sA + scoreA][sB + scoreB][cA + 1][cB].first == -1)
                                dp[sA + scoreA][sB + scoreB][cA + 1][cB] = { scoreA, scoreB };
                        }
                    }

                    for (int scoreA = 0; scoreA <= maxScore - 2; scoreA++) {
                        for (int scoreB = maxScore; scoreB <= maxScore; scoreB++) {
                            if (sA + scoreA <= 200 && sB + scoreB <= 200 &&
                                dp[sA + scoreA][sB + scoreB][cA][cB + 1].first == -1)
                                dp[sA + scoreA][sB + scoreB][cA][cB + 1] = { scoreA, scoreB };
                        }
                    }

                    for (int scoreA = maxScore + 1; scoreA + sA <= 200; scoreA++) {
                        int scoreB = scoreA - 2;
                        if (sA + scoreA <= 200 && sB + scoreB <= 200 &&
                            dp[sA + scoreA][sB + scoreB][cA + 1][cB].first == -1)
                            dp[sA + scoreA][sB + scoreB][cA + 1][cB] = { scoreA, scoreB };
                    }


                    for (int scoreB = maxScore + 1; scoreB + sB <= 200; scoreB++) {
                        int scoreA = scoreB - 2;
                        if (sA + scoreA <= 200 && sB + scoreB <= 200 &&
                            dp[sA + scoreA][sB + scoreB][cA][cB + 1].first == -1)
                                dp[sA + scoreA][sB + scoreB][cA][cB + 1] = { scoreA, scoreB };
                    }

                }
            }
        }
    }

    int m; cin >> m;

    while (m--) {
        int a, b; cin >> a >> b;

        int ans = -5;
        int curA = -1, curB = -1;
        for (int cA = 0; cA <= 3; cA++) {
            for (int cB = 0; cB <= 3; cB++) {
                if (dp[a][b][cA][cB].first != -1 && ans < cA - cB && (cA == 3 || cB == 3)) {
                    ans = cA - cB;
                    curA = cA;
                    curB = cB;
                }
            }
        }
        if (curA == -1) {
            cout << "Impossible\n";
        } else {
            //cout << ans << "\n";


            vector<pair<int, int> > ans1;

            cout << curA << ":" << curB << "\n";

            while (a > 0 || b > 0) {
                int fA = dp[a][b][curA][curB].first;
                int fB = dp[a][b][curA][curB].second;

                //cout << fA << ":" << fB << " ";
                ans1.push_back({ fA, fB });

                a -= fA;
                b -= fB;
                curA -= (fA > fB);
                curB -= (fB > fA);
            }
            reverse(ans1.begin(), ans1.end());
            for (auto c : ans1) cout << c.first << ":" << c.second << " ";
            cout << "\n";
        }
    }

}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef SIR
    freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}