#include <bits/stdc++.h>
#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

int cur_best;

int est_best_ans(vector<vector<char> > &E) {
    int n = E.size();
    assert(n > 0);
    int m = E[0].size();
    return min(n, m / 2);
}

void brut(vector<vector<char> > &E, int cur_ans) {
    cur_best = max(cur_best, cur_ans);
    int n = E.size();
    if (n == 0) return;
    int m = E[0].size();
    if (m == 0) return;
    //cerr << n << ' ' << m << endl;
    if (cur_best >= cur_ans + est_best_ans(E)) {
        return;
    }
    vector<int> B(m);
    vector<vector<int> > A(n);
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            if (E[i][j]) A[i].push_back(j);
            B[j] += E[i][j];
        }
    }
    for (int i = 0; i < n; i++) {
        if (A[i].size() == 2) {
            if (B[A[i][0]] + B[A[i][1]] <= 1) {
                vector<vector<char> > NE;
                for (int k = 0; k < n; k++) {
                    if (k == i) continue;
                    NE.push_back(vector<char>());
                    for (int j = 0; j < m; j++) {
                        if (j == A[i][0] || j == A[i][1]) continue;
                        NE.back().push_back(E[k][j]);
                    }
                }
                brut(NE, cur_ans + 1);
                return;
            }
        }
        if (A[i].size() < 2) {
            vector<vector<char> > NE;
            for (int k = 0; k < n; k++) {
                if (k == i) continue;
                NE.push_back(E[k]);
            }
            brut(NE, cur_ans);
            return;
        }
    }
    for (int j = 0; j < m; j++) {
        if (B[j] == 0) {
            vector<vector<char> > NE;
            for (int k = 0; k < n; k++) {
                NE.push_back(vector<char>());
                for (int i = 0; i < m; i++) {
                    if (j == i) continue;
                    NE.back().push_back(E[k][i]);
                }
            }
            brut(NE, cur_ans);
            return;
        }
    }

    int mx = -1;
    int C, L1, L2;
    vector<int> F(m);
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            if (E[i][j]) {
                F[j] += A[i].size();
            }
        }
    }
    for (int i = 0; i < n; i++) {
        vector<pair<int, int> > E;
        for (int j : A[i]) E.push_back({-F[j], j});
        sort(E.begin(), E.end());
        int v = A[i].size() * A[i].size() - E[0].first - E[1].first;
        if (mx < v) {
            mx = v;
            C = i;
            L1 = E[0].second;
            L2 = E[1].second;
        }
    }
    if (rand() % 2) swap(L1, L2);
    if (mx >= 0) {
        vector<vector<char> > NE;
        for (int k = 0; k < n; k++) {
            if (k == C) continue;
            NE.push_back(vector<char>());
            for (int j = 0; j < m; j++) {
                if (j == L1 || j == L2) continue;
                NE.back().push_back(E[k][j]);
            }
        }
        brut(NE, cur_ans + 1);

        NE = E;
        NE[C][L1] = 0;
        brut(NE, cur_ans);
        NE = E;
        NE[C][L2] = 0;
        brut(NE, cur_ans);
    }
}

void solve() {
    int t; cin >> t;
    while (t--) {
        int n, m;
        cin >> n >> m;
        vector<vector<char> > P(n, vector<char>(m));
        for (int i = 0; i < n; i++) {
            string s; cin >> s;
            for (int j = 0; j < m; j++) {
                P[i][j] = s[j] == '1';
            }
        }
        cur_best = 0;
        brut(P, 0);
        cout << cur_best << '\n';
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef SIR
    freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}