#include <bits/stdc++.h>
#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

const int infi = 1e9;

vector<vector<int> > G, dist;
int n, m;

vector<int> bfs(int v) {
    deque<int> D;
    vector<int> L(n, infi);
    L[v] = 0;
    D.push_back(v);
    while (D.size()) {
        int u = D.front();
        D.pop_front();
        for (auto e : G[u]) {
            int l = L[u] + 1;
            if (l < L[e]) {
                L[e] = l;
                D.push_back(e);
            }
        }
    }
    return L;
}

int query(int v) {
    cout << v + 1 << endl;
    string s;
    cin >> s;
    if (s[0] == 'F') exit(0);
    int e;
    cin >> e;
    return e - 1;
}

vector<int> C;

int find_q() {
    int mn = infi;
    int q = -1;
    for (int i = 0; i < n; i++) {
        int mx = 0;
        for (auto u : G[i]) {
            int f = 0;
            for (int c : C) {
                if (dist[i][c] > dist[u][c]) {
                    f++;
                }
            }
            mx = max(mx, f);
        }
        if (mn > mx) {
            mn = mx;
            q = i;
        }
    }
    return q;
}

void solve() {
    cin >> n >> m;
    G.resize(n);
    for (int i = 0; i < m; i++) {
        int k;
        cin >> k;
        int l;
        for (int j = 0; j < k; j++) {
            int v;
            cin >> v;
            v--;
            if (j > 0) {
                G[v].push_back(l);
                G[l].push_back(v);
            }
            l = v;
        }
    }
    dist.resize(n);
    C.resize(n);
    for (int i = 0; i < n; i++) {
        dist[i] = bfs(i);
        C[i] = i;
    }
    for (int it = 0; it < 10; it++) {
        int v = find_q();
        int u = query(v);
        vector<int> NC;
        for (int c : C) {
            if (dist[v][c] > dist[u][c]) {
                NC.push_back(c);
            }
        }
        C = NC;
    }
}

int main() {
    //ios_base::sync_with_stdio(false);
    //cin.tie(nullptr);
#ifdef SIR
   // freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}