#include <bits/stdc++.h>

#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

vector<ll> get(ll n) {
    vector<ll> J;
    for (ll i = 2; i * i <= n; ++i) {
        if (n % i == 0) {
            J.push_back(i);
            J.push_back(n / i);
        }
    }
    sort(J.begin(), J.end());
    return J;
}

map<ll, ll> ans;

void solve() {
    ll n;
    cin >> n;
    vector<ll> G = get(n);
    ll N = 0;
    for (int i = (int)G.size() - 1; i >= 0; --i) {
        while (N + G[i] < n && N + G[i] != n - 2) {
            N += G[i];
            ans[n / G[i]]++;
        }
    }
    if (N == n - 1) {
        cout << "YES\n" << ans.size() << "\n";
        for (auto i : ans) {
            cout << i.second << " " << i.first << "\n";
        }
    } else {
        cout << "NO\n";
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef SIR
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}