#include <bits/stdc++.h>

#ifdef SIR
#define err(...) fprintf(stderr, __VA_ARGS__), fflush(stderr)
#else
#define err(...) 42
#endif
typedef long long ll;

using namespace std;

vector<ll> get(ll n) {
    vector<ll> J;
    for (ll i = 2; i * i <= n; ++i) {
        while (n % i == 0) {
            J.push_back(i);
            n /= i;
        }
    }
    if (n != 1) {
        J.push_back(n);
    }
    sort(J.begin(), J.end());
    J.resize(unique(J.begin(), J.end()) - J.begin());
    return J;
}

map<ll, ll> ans;

void solve() {
    ll n;
    cin >> n;
    vector<ll> G = get(n);
    if (G.back() == n) G.pop_back();
    if ((int)G.size() < 2) {
        cout << "NO\n";
        return;
    }
    ll a = G[G.size() - 2], b = G.back();
    ll N = 0;
    while (N % a != a - 1) {
        N += b;
        ans[n / b]++;
    }
    ans[n / a] += (n - 1 - N) / a;
    vector<pair<ll, ll>> ansS;
    for (auto i : ans) {
        while (i.second >= i.first) {
            ansS.push_back({ i.first - 1, i.first });
            i.second -= i.first - 1;
        }
        if (i.second) ansS.push_back({ i.second, i.first });
    }
    cout << "YES\n" << ansS.size() << "\n";
    for (auto i : ansS) {
        cout << i.first << " " << i.second << "\n";
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef SIR
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    solve();
    return 0;
}