#define _CRT_SECURE_NO_WARNINGS


#include <iostream>
#include<vector>
#include<set>
#include <algorithm>
#include<map>
#include <string>
using namespace std;

pair<int, int> a[8][8][65];
int n;
int used[65][65];

void dfs(int x, int y, int cur)
{
	if (cur >= 64)
		return;
	for (int i = 0; i < 8; i++)
	{
		if (i == x)
			continue;
		if (a[i][y][cur + 1].first == -1 && used[i][y] == 0)
		{
			used[i][y] = 1;
			a[i][y][cur + 1] = { x, y };
			dfs(i, y, cur + 1);
			used[i][y] = 0;
		}
	}

	for (int j = 0; j < 8; j++)
	{
		if (j == y)
			continue;
		if (a[x][j][cur + 1].first == -1 && used[x][j] == 0)
		{
			used[x][j] = 1;
			a[x][j][cur + 1] = { x, y };
			dfs(x, j, cur + 1);
			used[x][j] = 0;
		}
	}
}

int main()
{
	cin >> n;
	for (int i = 0; i < 8; i++)
	{
		for (int j = 0; j < 8; j++)
		{
			for (int k = 0; k < 64; k++)
			{
				a[i][j][k] = { -1,-1 };
				used[i][j] = 0;
			}
		}
	}
	used[0][0] = 1;
	if (n == 56)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 h7 h8";
		return 0;
	}
	if (n == 57)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 h8";
		return 0;
	}
	if (n == 58)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 b8 h8";
		return 0;
	}
	if (n == 59)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 b8 c8 h8";
		return 0;
	}
	if (n == 60)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 b8 c8 d8 h8";
		return 0;
	}
	if (n == 61)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 b8 c8 d8 e8 h8";
		return 0;
	}
	if (n == 62)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 f7 f8 a8 b8 c8 d8 e8 g8 h8";
		return 0;
	}
	if (n == 63)
	{
		cout << "a1 b1 c1 d1 e1 f1 g1 h1 h2 a2 b2 c2 d2 e2 f2 g2 g3 a3 b3 c3 d3 e3 f3 h3 h4 a4 b4 c4 d4 e4 f4 g4 g5 a5 b5 c5 d5 e5 f5 h5 h6 a6 b6 c6 d6 e6 f6 g6 g7 a7 b7 c7 d7 e7 h7 f7 f8 a8 b8 c8 d8 e8 g8 h8";
		return 0;
	}
	dfs(0, 0, 0);
	int i = 7, j = 7, cur = n;
	vector<pair<char, char>> ans;
	ans.push_back({ 'h', '8' });
	while (a[i][j][cur].first != -1)
	{
		ans.push_back({ char(a[i][j][cur].first + 'a'), char(a[i][j][cur].second + '1') });
		int t1 = a[i][j][cur].first, t2 = a[i][j][cur].second;
		i = t1;
		j = t2;
		cur--;
	}
	for (int i = ans.size() - 1; i >= 0; i--)
	{
		cout << ans[i].first << ans[i].second << " ";
	}
 	return 0;
}