#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
using namespace std;

using ill = long long;


ill egcd(ill a, ill b, ill& x, ill& y) {
	if (a == 0) {
		x = 0, y = 1;
		return b;
	}
	ill x1, y1;
	ill g = egcd(b % a, a, x1, y1);
	x = y1 - x1 * (b / a);
	y = x1;
	return g;
}

void solve() {
	int n;
	cin >> n;
	ill a, b;
	ill x, y;
	bool prime = true;
	for (int f = 2; f <= (int)sqrt(n); ++f) {
		if (n % f == 0) {
			a = f;
			b = n / f;
			ill g = egcd(a, b, x, y);
			if (g == 1) {
				prime = false;
				break;
			}
		}
	}
	if (prime) {
		cout << "NO" << endl;
		return;
	}

	x *= n - 1;
	y *= n - 1;

	if (x <= 0) {
		ill mv = (1 - x + b - 1) / b;
		x += mv * b;
		y -= mv * a;
	}
	if (y <= 0) {
		ill mv = (1 - y + a - 1) / a;
		x -= mv * b;
		y += mv * a;
	}

	cout << "YES" << endl;
	cout << 2 << endl;
	cout << y << " " << a << endl;
	cout << x << " " << b << endl;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	solve();
}
