#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define ld long double

int A[] = {25,25,25,25,15};
int B[] = {23,23,23,23,13};

bool can(int mask, int matches)
{
    int winA = 0, winB = 0;

    for(int i=matches-1; i>=0; i--)
        {
            if(1<<i & (mask))winA++;
            else winB++;

            if(winA ==3 || winB ==3)return i==0;
        }
    return 0;
}

int wins(int matches, vector<int>&tA, vector<int>&tB, int a, int b, int mask)
{
    int w = 0;
    for(int i=matches-1; i>=0; i--)
        if(1<<i & (mask))
    {
        a-=A[i];
        tA[i]+=A[i];
        w++;
    }
    else
    {
        b-=A[i];
        tB[i]+=A[i];
    }

    if(a < 0 || b < 0)return -6;

    for(int i=matches-1; i>=0; i--)
        if(1<<i & (mask))
    {
        while(tA[i] - tB[i] > 2 && b > 0)b--,tB[i]++;
        while(a > 0 && b > 0)a--,b--,tA[i]++,tB[i]++;
    }
    else
    {
        while(tB[i] - tA[i] > 2 && a > 0)a--,tA[i]++;
        while(a > 0 && b > 0)a--,b--,tA[i]++,tB[i]++;
    }

    if(a != 0 || b != 0)return -6;
    return w;
}

int main()
{
    ios::sync_with_stdio(0);cin.tie(0);
    int t,a,b;
    cin>>t;
    while(t--)
    {
        cin>>a>>b;
        int maxDiff = -6;
        int matches = 5, winAts = -1;
        vector<int>atsA,atsB,tA,tB;

        for(int mask = 0; mask < 32; mask++)
        for(int j=3; j<=5; j++)
        if(can(mask,j))
        {
            tA.clear();tA.resize(j);
            tB.clear();tB.resize(j);
            int win = wins(j,tA,tB,a,b, mask);
            int opp = j-win;
            if(win-opp > maxDiff)
            {
                maxDiff = win - opp;
                winAts = win;
                matches = j;
                atsA = tA;
                atsB = tB;
            }
        }

        if(winAts < 0)cout<<"Impossible\n";
        else
        {
            cout<<winAts<<":"<<matches-winAts<<"\n";
            for(int i=0; i<atsA.size(); i++)
                cout<<atsA[i]<<":"<<atsB[i]<<(i+1==atsA.size() ? "\n" : " ");
        }
    }
}
