#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <set>
#include <fstream>
#include <map>
#include <string>
#include <queue>


using namespace std;

typedef long long lol;
#define fi(i, n, k) for (int (i) = (k); (i) < (n); (i)++)


bool check(vector<pair<char, int>> moves)
{
	map<int, int> mm;
	pair<char, int> prev_move;
	prev_move.second = -1;
	for (auto it : moves)
	{
		if (prev_move.second != -1)
		{
			if (prev_move.first != it.first && prev_move.second != it.second)
				throw exception();
		}
		prev_move = it;
		int pos = it.first * 256 + it.second;
		if (mm.find(pos) == mm.end())
		{
			mm[pos] = true;
		}
		else
		{
			return false;
		}
	}
}

vector<pair<char, int>> ans;

void go(int n)
{
	if (n == 64)
	{
		for (int p =1;p<=5;p++)
		{
			for (char c = 'a'; c <= 'h'; c++)
			{
				ans.push_back({ c,p });
			}

			p++;
			if (p > 5)
				break;
			for (char c = 'h'; c>='a'; c--)
			{
				ans.push_back({ c,p });
			}
		}

		for (char c = 'h'; c >= 'a'; c--)
		{
			ans.push_back({ c, 6 });
			ans.push_back({ c, 7 });
			c--;
			ans.push_back({ c, 7 });
			ans.push_back({ c, 6 });
		}

		for (char c = 'a'; c <= 'h'; c++)
			ans.push_back({ c, 8 });

		return;
	}
	for (char c = 'a'; c <= 'f'; c++)
	{
		for (int x = 1; x <= 8; x++)
		{
			ans.push_back({ c,x });
		}

		c++;
		for (int x = 8; x >= 1; x--)
		{
			ans.push_back({ c, x });
		}
	}

	char c = 'g';
	for (int p = 1; p <= 8; p++)
	{
		ans.push_back({ c, p });
		ans.push_back({ c + 1, p });
		p++;

		ans.push_back({ c + 1, p });
		ans.push_back({ c, p });
	}

	ans.resize(n - 2);

	auto last = *ans.rbegin();
	if (last.first == 'g')
	{
		ans.push_back({ 'g', 8 });
		ans.push_back({ 'h', 8 });
	}
	else if (last.first == 'h')
	{
		ans.push_back({ 'h',last.second + 1 });
		ans.push_back({ 'h',8 });
	}
	else if (last.second == 8)
	{
		ans.push_back({ last.first + 1, 8 });
		ans.push_back({ 'h', 8 });
	}
	else
	{
		ans.push_back({ 'h', last.second });
		ans.push_back({ 'h', 8 });
	}
}


int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif // _DEBUG

	cin.sync_with_stdio(0);
	cin.tie(0);

	int n;
	cin >> n;

	go(n + 1);
	if (ans.size() != (n + 1) || !check(ans))
		throw exception();
	
	for (auto it : ans)
	{
		cout << it.first << it.second << " ";
	}
	
	return (0);
}