#include <bits/stdc++.h>

using namespace std;

vector < int > g[501];
int n, k;
char blocked[501];
int d[501][501];
char used[501];

void init(){
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++){
            d[i][j] = -1;
        }
        d[i][i] = 0;
        queue < int > q;
        q.push(i);
        while(!q.empty()){
            int v = q.front();
            q.pop();
            for(int to : g[v]){
                if(d[i][to] == -1){
                    d[i][to] = d[i][v] + 1;
                    q.push(to);
                }
            }
        }
    }
}

int root = -1, mx = -1;
int st, ed;

void dfs1(int v, int di){
    used[v] = true;
    if(di > mx){
        mx = di;
        root = v;
    }
    for(int to : g[v]){
        if(!blocked[to] && !used[to]){
            dfs1(to, di + 1);
        }
    }
}

vector < int > path;

void dfs2(int v){
    used[v] = true;
    if(path.empty() || path.back() != ed) path.push_back(v);
    for(int to : g[v]){
        if(!blocked[to] && !used[to]){
            dfs2(to);
        }
    }
    if(path.back() != ed) path.pop_back();
}

int get(){
    memset(used, 0, sizeof(used));
    root = -1;
    mx = -1;
    for(int i = 1; i <= n; i++){
        if(!blocked[i]){
            dfs1(i, 0);
            break;
        }
    }

    int ver = root;
    root = -1;
    mx = -1;
    memset(used, 0, sizeof(used));
    dfs1(ver, 0);

    st = ver, ed = root;
    if(st == -1 || ed == -1) assert(false);
    memset(used, 0, sizeof(used));
    path.clear();
    dfs2(st);

    int sz = path.size();
    assert(sz);//
    if(sz % 2 == 0) return path[sz/2-1];
    return path[sz/2];
}

void change(int u, int w){
    for(int i = 1; i <= n; i++){
        if(d[w][i] >= d[u][i]) blocked[i] = true;
    }
}

int32_t main()
{
    cin >> n >> k;
    for(int i = 0; i < k; i++){
        int sz;
        cin >> sz;
        vector < int > cur(sz);
        for(int j = 0; j < sz; j++){
            cin >> cur[j];
        }
        for(int j = 1; j < sz; j++){
            g[cur[j-1]].push_back(cur[j]);
            g[cur[j]].push_back(cur[j-1]);
        }
    }
    init();
    for(int i = 0; i < n; i++){
        memset(blocked, 0, sizeof(blocked));
        int last = -1;
        int cnt = 0;
        while(true){
            cnt++;
            if(cnt > 10) assert(false);
//            for(int i = 1; i <= n; i++){
//                cout << (int)blocked[i] << ' ';
//            }
//            cout << endl;
            int u = get();
            assert(blocked[u]);
            cout << u << endl;
            string an;
            cin >> an;
            if(an == "FOUND") break;
            else{
                int w;
                cin >> w;
                last = w;
                change(u, w);
            }
        }
    }
}
