#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <string>
#include <utility>
#include <algorithm>

#define inf 1000000005

using namespace std;


int main() {
	int n, k;
	cin >> n >> k;
	vector <int> a(n), b(n);

	for (int i = 0; i < n; ++i)
		cin >> a[i];

	vector <vector <int> > jobs(n + 1);
	set <int> used;
	vector <int> times;

	for (int i = 0; i < n; ++i)
	{
		int b;
		cin >> b;
		used.insert(a[i]);
		jobs[a[i]].push_back(b);
	}
	for (int job : used)
	{
		sort(jobs[job].rbegin(), jobs[job].rend());
		for (int i = 1; i < jobs[job].size(); ++i)
		{
			times.push_back(jobs[job][i]);
		}
	}
	sort(times.begin(), times.end());

	long long ans = 0;
	for (int i = 0; i < k - used.size(); ++i)
	{
		ans += times[i];
	}

	cout << ans;
	return 0;
}