#include <iostream>
#include <vector>
#include <set>
#include <algorithm>
#include <string>
#define forn(i,n) for(int i = 0; i < (int)(n); i++)
#define fore(i,l,r) for (int i = (int)(l); i < (int)(r); i++)
#define ford(i,n) for (int i = (int)(n-1);i >= 0; i--)
#define mp(i,j) make_pair((i),(j))
#define correct(i,j,n,m) ((int)(i) >= 0 && (int)(i) < n && (int)(j) >= 0 && (int)(j) < m)
#define all(a) (a).begin(),(a).end()
using namespace std;

typedef long long li;

void Show(vector<pair<int, int>> g, int a, int b,bool rev = 0)
{
	if(!rev)
		cout << a << ":" << b << endl;
	else
		cout << b << ":" << a << endl;
	forn(i, g.size())
	{
		if (!rev)
			cout << g[i].first << ":" << g[i].second << " ";
		else
			cout << g[i].second << ":" << g[i].first << " ";
	}
	cout << endl;
}

bool Check_3_0(int a, int b,bool rev = 0)
{
	if (a < 75)
		return 0;
	a -= 75;
	vector<pair<int, int>> g(3, mp(25, 0));
	forn(i,3)
		if (b-a < 23)
		{
			g[i].second += b-a;
			b = a;
		}
		else
		{
			b -= 23;
			g[i].second += 23;
		}
	if (a != b)
		return 0;
	g[0].first += a;
	g[0].second += b;
	Show(g, 3, 0, rev);
	return 1;
}

bool Check_3_1(int a,int b,bool rev = 0)
{
	vector<pair<int, int>> g(4, mp(25, 0));
	g[0] = mp(0,25);
	a -= 75;
	b -= 25;
	if (min(a, b) < 0)
		return 0;
	for(int i = 1;i <= 3;i++)
		if (b-a < 23)
		{
			g[i].second += b - a;
			b = a;
		}
		else
		{
			b -= 23;
			g[i].second += 23;
		}
	if (a < b)
		return 0;
	if (a != b)
		if (a - b <= 23)
		{
			g[0].first += a - b;
			a = b;
		}
		else
			return 0;
	g[1].first += a;
	g[1].second += b;
	Show(g, 3, 1,rev);
	return 1;
}

bool Check_3_2(int a, int b,bool rev = 0)
{
	vector<pair<int, int>> g(5, mp(25, 0));
	g[0] = g[1] = mp(0, 25);
	g[4] = mp(15, 0);
	a -= 65;
	b -= 50;
	if (min(a, b) < 0)
		return 0;
	for (int i = 2; i < 4; i++)
		if (b-a < 23)
		{
			g[i].second += b-a;
			b = a;
		}
		else
		{
			b -= 23;
			g[i].second += 23;
		}
	if (b-a < 13)
	{
		g[4].second += b - a;
		b = a;
	}
	else
	{
		b -= 13;
		g[4].second += 13;
	}
	if (a < b)
		return 0;
	if (a != b)
		if (a - b <= 46)
		{
			if (a - b <= 23)
			{
				g[0].first += a - b;
				a = b;
			}
			else
			{
				g[0].first = 23;
				a -= 23;
				g[1].first += a - b;
				a = b;
			}
		}
	else
		return 0;
	g[2].first += a;
	g[2].second += b;
	Show(g, 3, 2, rev);
	return 1;
}

bool Check_2_3(int a, int b)
{
	return Check_3_2(b, a, 1);
}

bool Check_1_3(int a, int b)
{
	return Check_3_1(b, a, 1);
}

bool Check_0_3(int a, int b)
{
	return Check_3_0(b, a, 1);
}

void Solve()
{
	int a, b;
	cin >> a >> b;
	if(Check_3_0(a, b))
		return;
	if (Check_3_1(a, b))
		return;
	if (Check_3_2(a, b))
		return;
	if (Check_2_3(a, b))
		return;
	if (Check_1_3(a, b))
		return;
	if (Check_0_3(a, b))
		return;
	cout << "Impossible" << endl;
}

int main() 
{
	int n;
	cin >> n;
	forn(i, n)
		Solve();
}