#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

#define forn(i,n) for(int i = 0; i < (int)(n); i++)
#define fore(i,l,r) for (int i = (int)(l); i < (int)(r); i++)
#define ford(i,n) for (int i = (int)(n-1);i >= 0; i--)
#define mp(i,j) make_pair((i),(j))
#define correct(i,j,n,m) ((int)(i) >= 0 && (int)(i) < n && (int)(j) >= 0 && (int)(j) < m)
#define all(a) (a).begin(),(a).end()
using namespace std;

typedef long long li;

//#define DEBUG_

int main() 
{
//#ifdef DEBUG_
	//freopen("in.txt"stdin);
//#endif
	ios_base::sync_with_stdio(false);

	int n, k;
	cin >> n >> k;
	vector < set<pair<li, int>>> jobs(k);
	vector<pair<li, int>> workers(n);

	forn(i, n)
	{
		cin >> workers[i].second;
		workers[i].second--;
	}

	forn(i, n)
		cin >> workers[i].first;

	forn(i, n)
		jobs[workers[i].second].insert(mp(workers[i].first, i));

	set<pair<li, int>> st;
	int w = 0;

	forn(i, k)
	{
		if (jobs[i].empty())
		{
			w++;
			continue;
		}
		if (jobs[i].size() == 1)
			continue;
		jobs[i].erase(--jobs[i].end());
		st.insert(all(jobs[i]));
	}

	li res = 0;
	for (auto &p : st)
	{
		if (!w)
			break;
		res += p.first;
		w--;
	}

	cout << res << endl;
}