#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

void run();

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
#ifdef LOCAL
    assert(freopen("in.txt", "r", stdin));
//    assert(freopen("out.txt", "w", stdout));
#endif
    run();
}

ll gcd(ll a, ll b, ll& x, ll &y) {
    if (b == 0) {
        x = 1;
        y = 0;
        return a;
    }
    ll g = gcd(b, a - (a / b) * b, x, y);
    ll nx = y;
    ll ny = x - (a / b) * y;
    x = nx;
    y = ny;
    assert(a * x + b * y == g);
    return g;
}

pair<ll, ll> solve(ll& p, ll& q, ll n) {
    ll x, y;
    gcd(p, q, x, y);
    x *= (n - 1);
    y *= (n - 1);
    if (x < y) {
        swap(x, y);
        swap(p, q);
    }
    assert(p * x + q * y == n - 1);
    if (y <= 0) {
        assert(x >= 0);
        ll t = x / q;
        x -= q * t;
        y += p * t;
    }
    if (y >= n / q) {
        ll t = (y - n / q) / p + 1;
        x += q * t;
        y -= p * t;
    }
    assert(x < n / p);
    assert(y < n / q);
    assert(y >= 0);
    return {x, y};
}

bool kek(ll n, bool out=true) {
    vector<ll> primes;
    ll nn = n;
    for (ll x = 2; x * x <= nn; x++) {
        if (nn % x != 0) continue;
        while (nn % x == 0) nn /= x;
        primes.push_back(x);
    }
    if (nn > 1) {
        primes.push_back(nn);
    }
    if ((int) primes.size() <= 1) {
        if (out) {
            cout << "NO\n";
        }
        return false;
    }
    ll p = primes[0];
    ll q = primes[1];
    auto res = solve(p, q, n);
    if (out) {
        cout << "YES\n";
        cout << "2\n";
        cout << res.first << " " << (n / p) << "\n";
        cout << res.second << " " << (n / q) << "\n";
    }
    return true;
}

bool is_ok(ll n) {
    int cnt = 0;
    for (ll x = 2; x * x <= n; x++) {
        if (n % x != 0) continue;
        while (n % x == 0) {
            n /= x;
        }
        ++cnt;
    }
    if (n > 1) {
        ++cnt;
    }
    cout << "!" << n<< " " << cnt << endl;
    return cnt >= 2;
}

void run() {
    /*for (int n = 2; n <= 100000; n++) {
        cout << n << " " << kek(n, false) << endl;
        assert(kek(n, false) == is_ok(n));
    }*/
    ll n;
    cin >> n;
    kek(n);
}

/*bool dp[300][300][7][5][5];

int pa[300][300][7][5][5], pb[300][300][7][5][5];

void upd(int i, int j, int l, int a, int b, int p1, int p2) {
    int v1 = 1;
    int v2 = 0;
    if (b > a) {
        v1 = 0;
        v2 = 1;
    }
    if (p1 >= v1 && p2 >= v2 && dp[i - a][j - b][l - 1][p1 - v1][p2 - v2]) {
        dp[i][j][l][p1][p2] = 1;
        pa[i][j][l][p1][p2] = a;
        pb[i][j][l][p1][p2] = b;
    }
}

void updd(int i, int j, int l, int a, int b) {
    if (i < a || j < b) {
        return;
    }
    for (int p1 = 0; p1 < min(4, l + 1); p1++) {
        int p2 = l - p1;
        if (p2 <= 3)
            upd(i, j, l, a, b, p1, l - p1);
    }
}

void run() {
    dp[0][0][0][0][0] = 1;
    for (int l = 1; l < 6; l++) {
        for (int i = 0; i <= 200; i++) {
            for (int j = 0; j <= 200; j++) {
                int t = 25;
                if (l == 5) {
                    t = 15;
                }
                for (int a = 0; a < t - 1; a++) {
                    updd(i, j, l, t, a);
                    updd(i, j, l, a, t);
                }
                for (int a = t + 1; a <= 200; a++) {
                    updd(i, j, l, a, a - 2);
                    updd(i, j, l, a - 2, a);
                }
            }
        }
    }
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        int x, y;
        cin >> x >> y;
        int ll = 0;
        int p1 = 0, p2 = 0;
        for (int j = 3; j < 6; j++) {
            if (dp[x][y][j][3][j - 3] && ll == 0) {
                ll = j;
                p1 = 3;
                p2 = j - 3;
            }
        }
        for (int j = 5; j >= 3; j--) {
            if (dp[x][y][j][j - 3][3] && ll == 0) {
                ll = j;
                p1 = j - 3;
                p2 = 3;
            }
        }
        if (ll == 0) {
            cout << "Impossible\n";
            continue;
        }
        cout << p1 << ':' << p2 << '\n';
        vector<int> aa, bb;
        int lll = ll;
        while (ll > 0) {
            aa.push_back(pa[x][y][ll][p1][p2]);
            bb.push_back(pb[x][y][ll][p1][p2]);
            int xx = x - pa[x][y][ll][p1][p2];
            int yy = y - pb[x][y][ll][p1][p2];
            if (x - xx > y - yy) {
                p1--;
            }
            else {
                p2--;
            }
            x = xx;
            y = yy;
            ll--;
        }
        for (int j = lll - 1; j >= 0; j--) {
            cout << aa[j] << ':' << bb[j] << ' ';
        }
        cout << '\n';
    }
}*/
