#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <memory.h>
#include <algorithm>
#include <climits>

#pragma comment(linker, "/STACK:1000000000")

using namespace std;
using D = double;
using LL = long long;

string output[8][8];


int main()
{

	for (int i = 0; i < 8; i++) {
		for (int j = 0; j < 8; j++) {
			string s = "  ";
			s[0] = (char)((int)'a' + j);
			s[1] = (char)((int)'1' + i);
			output[i][j] = s; 
		}
	}

	pair<int, int> curP = make_pair(0, 0);
	int curN = 0;

	int dx = 1, dy = 0;
	int n = 0;
	cin >> n;

	if (n < 55) {
		while (curN < n - 2) {
			curN++;
			cout << output[curP.first][curP.second] << ' ';
			if (curP.first == 7 && dx == 1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = -1;
			}
			else if (curP.first == 0 && dx == -1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = 1;
			}
			else {
				curP = make_pair(curP.first + dx, curP.second);
			}
		}
		cout << output[curP.first][curP.second] << ' ';
		if (curP.first == 7) {
			curP = make_pair(7, 6);
			cout << output[curP.first][curP.second] << ' ';
		}
		else {
			curP = make_pair(curP.first, 7);
			cout << output[curP.first][curP.second] << ' ';
		}
	}

	if (n >= 55 && n != 62) {
		while (curN <= 47) {
			curN++;
			cout << output[curP.first][curP.second] << ' ';
			if (curP.first == 7 && dx == 1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = -1;
			}
			else if (curP.first == 0 && dx == -1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = 1;
			}
			else {
				curP = make_pair(curP.first + dx, curP.second);
			}
		}
		//cout << output[curP.first][curP.second] << ' ';
		curP = make_pair(curP.first, 7);
		cout << output[curP.first][curP.second] << ' ';
		dx = 0, dy = -1;
		while (curN < n - 2) {
			curN++;
			curP = make_pair(curP.first + dx, curP.second + dy);
			cout << output[curP.first][curP.second] << ' ';
			if (dx == 0 && dy == -1) {
				dx = 1;
				dy = 0;
			}
			else if (dx == 1 && dy == 0) {
				dx = 0;
				dy = curP.second == 7 ? -1 : 1;
			}
			else if (dx == 0 && dy == 1) {
				dx = 1;
				dy = 0;
			}
		}
		if (curP.second == 7) {
			curP = make_pair(6, 7);
			cout << output[curP.first][curP.second] << ' ';
		}
		else {
			curP = make_pair(7, curP.second);
			cout << output[curP.first][curP.second] << ' ';
		}
	}

	if (n == 62) {
		while (curN <= 39) {
			curN++;
			cout << output[curP.first][curP.second] << ' ';
			if (curP.first == 7 && dx == 1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = -1;
			}
			else if (curP.first == 0 && dx == -1) {
				curP = make_pair(curP.first, curP.second + 1);
				dx = 1;
			}
			else {
				curP = make_pair(curP.first + dx, curP.second);
			}
		}
		cout << "f8 g8 g7 f7 f6 g6 g5 f5 f4 g4 g3 f3 f2 f1 g1 g2 h2 h3 h4 h5 h6 h7 ";
	}

	cout << output[7][7];

}