


#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;

#define en '\n'
#define sp ' '
#define ALL(x) begin(x), end(x)
#define ww(x) #x << " = " << x

using ll = long long;
using pii = pair <int, int>;
using ld = long double;
using ull = unsigned long long;
using uint = unsigned int;

template <class K, class T>
using poc_ht = __gnu_pbds::cc_hash_table<K, T>;

template <class T1, class T2>
T1 eqMin (T1 & a, const T2 & b) {
    if (a > (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template <class T1, class T2>
T1 eqMax (T1 & a, const T2 & b) {
    if (a < (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template<class It>
ostream& _out(ostream& os, It b, It e) {
    if(b == e) return os << "{}";
    os << "{" << *b;
    for(; ++b != e; os << ", " << *b);
    return os << "}\n";
}

template<class C>
auto operator << (ostream& os, C const& c)
-> decltype( begin(c), end(c), c.size(), declval<ostream&>()) {
    return _out(os, begin(c), end(c));
}

ostream& operator << (ostream& os, string const& s) {
    return os << s.data();
}

template<class X,class Y>
ostream& operator << (ostream& os, pair<X, Y> const& p) {
    return os << "[" << p.first << ", " << p.second << "]";
}

template <class T>
using row = vector<T>;
template <class T>
using mat = row<row<T>>;

template <class T>
auto make_mat(size_t n, size_t m, T const& val) {
    return mat<T>(n, row<T>(m, val));
}

const int MOD = (int) 1e9 + 7;
const int INF = (int) 2e9;
const ll LINF = (ll) 2e17;
const int MAXN = (int) 1e5+9;

int n;
ll m = 1;
vector <int> divs;

void input () {
    cin >> n;
}

void init () {
    int x = n;
    for (int i = 2; i * i <= x; i++) {
        if (x % i == 0) {
            divs.push_back(i);
            m *= i;
        }
        while (x % i == 0) {
            x /= i;
        }
    }
    if (x > 1) {
        divs.push_back(x);
    }
    sort(ALL(divs));
    reverse(ALL(divs));
}

void out (int x, int y, int c) {
    cout << "YES\n";
    vector <pii> v;
    int need = n - 1 - x * c;
    need /= y;
    int b = n / y;
    int ma = b - 1;

    while (need) {
        int cur = min(ma, need) - 1;
        need -= min(ma, need);
        ma = cur;
        v.emplace_back(cur + 1, b);
    }

    need = c;
    ma = n / x - 1;
    while (need) {
        int cur = min(ma, need) - 1;
        need -= min(ma, need);
        ma = cur;
        v.emplace_back(cur + 1, n / x);
    }

    cout << v.size() << endl;
    for (auto it : v) {
        cout << it.first << ' ' << it.second << endl;
    }
    exit(0);
}

bool f (int a, int need) {
    return ((ll) a * (a + 1) / 2 >= need);
}

void solve () {
    for (auto x : divs) {
        ll lim = n / x;
        lim = lim * (lim + 1) / 2;
        lim *= x;
        if (min<ll>(lim, n - 1) / x > 5000000) continue;
        for (int a = x; a <= min<ll>(lim, n - 1); a += x) {
            int need = n - a - 1;
            for (auto y : divs) {
                if (y == x) {
                    continue;
                }
                if (need % y == 0 && f(n / y, need / y)) {
                    out(x, y, a / x);
                }
            }
        }
    }
    cout << "NO";
}

int main() {
    input();
    init();
    solve();
}

//536870912


