


#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;

#define en '\n'
#define sp ' '
#define ALL(x) begin(x), end(x)
#define ww(x) #x << " = " << x

using ll = long long;
using pii = pair <int, int>;
using ld = long double;
using ull = unsigned long long;
using uint = unsigned int;

template <class K, class T>
using poc_ht = __gnu_pbds::cc_hash_table<K, T>;

template <class T1, class T2>
T1 eqMin (T1 & a, const T2 & b) {
    if (a > (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template <class T1, class T2>
T1 eqMax (T1 & a, const T2 & b) {
    if (a < (T1) b) {
        return a = (T1) b;
    }
    return a;
}

template<class It>
ostream& _out(ostream& os, It b, It e) {
    if(b == e) return os << "{}";
    os << "{" << *b;
    for(; ++b != e; os << ", " << *b);
    return os << "}\n";
}

template<class C>
auto operator << (ostream& os, C const& c)
-> decltype( begin(c), end(c), c.size(), declval<ostream&>()) {
    return _out(os, begin(c), end(c));
}

ostream& operator << (ostream& os, string const& s) {
    return os << s.data();
}

template<class X,class Y>
ostream& operator << (ostream& os, pair<X, Y> const& p) {
    return os << "[" << p.first << ", " << p.second << "]";
}

template <class T>
using row = vector<T>;
template <class T>
using mat = row<row<T>>;

template <class T>
auto make_mat(size_t n, size_t m, T const& val) {
    return mat<T>(n, row<T>(m, val));
}

const int MOD = (int) 1e9 + 7;
const int INF = (int) 2e9;
const ll LINF = (ll) 2e17;
const int MAXN = (int) 1e5+9;


int main() {
    ios_base::sync_with_stdio(false);

    int t; cin >> t;
    for(; t--; ) {
        int n; cin >> n;
        row<int> a(7);
        ll num = 0;
        for(auto& x : a) {
            cin >> x;
            num += x;
        }

        ll bst = 1e17;

        for(int ii = 0; ii < 7; ii++) {

            ll we = n / num + (n % num != 0);
            ll ans = we * 7ll;
            ll s = we * num;
            int i;
            for(i = 6; i >= 0 && s > n; i--) {
                s -= a[i];
                ans--;
            }
            for(; i >= 0 && !a[i]; i--) {
                ans--;
            }
            for(int j = 0; j < 7 && !a[j]; j ++) ans--;

            bst = min(bst, ans);

            int tp = a[0];
            a.erase(a.begin());
            a.push_back(tp);
        }

        cout << bst << en;
    }

}
/**
3
2
0 1 0 0 0 0 0
100000000
1 0 0 0 1 0 1
1
1 0 0 0 0 0 0
*/

