#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define mp make_pair
#define pb push_back
#define f first
#define s second

vector<pair<ll, ll>> Decomp(ll x) {
    ll i = 2;
    vector<pair<ll, ll>> res;
    while (i * i <= x) {
        ll cnt = 0;
        while (x % i == 0) {
            ++cnt;
            x /= i;
        }
        if (cnt) {
            res.pb(mp(i, cnt));
        }
        ++i;
    }
    if (x != 1) {
        res.pb(mp(x, 1));
    }
    return res;
}


ll gcd(ll a, ll b) {
    if (!a || !b) return a+b;
    return gcd(b, a%b);
}


int main()
{
//    freopen("input.txt", "r", stdin);
//    ifstream cin("input.txt");
    ios_base::sync_with_stdio(false);
    ll n;
    cin >> n;
    auto res = Decomp(n);
    if (res.size() == 1) {
        cout << "NO";
        return 0;
    }
    cout << "YES\n";
    cout << 2 << '\n';
    ll b = pow(res[0].f, res[0].s);
    ll k = n/b;
    for (int i = 1; i < b; ++i) {
        auto g = gcd(k*(b - i) - 1, k*b);
        if (g != 1) {
            cout << i << ' ' << b << '\n';
            cout << (k*(b - i) - 1)/g << ' ' << k*b/g;
            return 0;
        }
    }
    return 0;
}
