#include <iostream>
#include <vector>
#include <set>
#include <fstream>

#define pb push_back

using namespace std;

typedef long long ll;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    //ifstream cin("input.txt");

    int n, k;
    cin >> n >> k;

    vector<vector<int> > ids(k);
    for (int i = 0; i < n; ++i) {
        int a;
        cin >> a;
        ids[a - 1].pb(i);
    }

    vector<ll> c(n);
    for (int i = 0; i < n; ++i) {
        cin >> c[i];
    }

    auto comp = [&] (int x, int y) {
        if (c[x] != c[y]) {
            return c[x] < c[y];
        }
        return x < y;
    };
    set<int, decltype(comp)> s(comp);
    int need = k;

    for (int i = 0; i < k; ++i) {
        if (ids[i].empty()) {
            continue;
        }
        --need;
        int maxx = -1;
        for (int v : ids[i]) {
            if (maxx == -1 || c[v] > c[maxx]) {
                maxx = v;
            }
        }
        for (int v : ids[i]) {
            if (v == maxx) {
                continue;
            }
            s.insert(v);
        }
    }

    ll ans = 0;
    while (need--) {
        int v = *s.begin();
        s.erase(s.begin());
        ans += c[v];
    }
    cout << ans << "\n";

}
