#include <iostream>
#include <vector>
#include <assert.h>
#include <algorithm>

#include <bitset>
#define char int

using namespace std;

bitset<4> can[201][201][4];
pair<char,char> tra[201][201][4][4];

int main()
{
    can[0][0][0][0]=1;
    for (char sa=0; sa<=3; sa++)
    {
        for (char sb=0; sb<=3; sb++)
        {
            if (sa==3&&sb==3)
            {
                continue;
            }
            if (sa==0&&sb==0)
            {
                continue;
            }
            for (char i=0; i<=200; i++)
            {
                for (char j=0;j<=200;j++)
                {
                    char win=25;
                    if (sa+sb==5)
                        win=15;
                    for (char l=0;l<=198;l++)
                    {
                        char w=max(char(l+2),win);
                        if (sa)
                        {
                            if (i-w>=0&&j-l>=0)
                            {
                                if (can[i-w][j-l][sa-1][sb])
                                {
                                    can[i][j][sa][sb]=1;
                                    tra[i][j][sa][sb]={w,l};
                                }
                            }
                        }
                        if (sb)
                        {
                            if (i-l>=0&&j-w>=0)
                            {
                                if (can[i-l][j-w][sa][sb-1])
                                {
                                    can[i][j][sa][sb]=1;
                                    tra[i][j][sa][sb]={l,w};
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    ios_base::sync_with_stdio(false);

    int m;
    cin >> m;
    while(m--)
    {
        int a,b;
        cin >> a >> b;
        if (can[a][b][3][0])
        {
            cout << "3:0" << endl;
            int x=3,y=0;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        if (can[a][b][3][1])
        {
            cout << "3:1" << endl;
            int x=3,y=1;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        if (can[a][b][3][2])
        {
            cout << "3:2" << endl;
            int x=3,y=2;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        if (can[a][b][2][3])
        {
            cout << "2:3" << endl;
            int x=2,y=3;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        if (can[a][b][1][3])
        {
            cout << "1:3" << endl;
            int x=1,y=3;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        if (can[a][b][0][3])
        {
            cout << "0:3" << endl;
            int x=0,y=3;
            vector<pair<char,char> > ans;
            while(x||y)
            {
                auto p=tra[a][b][x][y];
                ans.push_back(p);
                a-=p.first;
                b-=p.second;
                if (p.first>p.second)
                {
                    --x;
                }
                else
                {
                    --y;
                }
            }
            reverse(ans.begin(),ans.end());
            for (auto p:ans)
            {
                cout << int(p.first) << ':' << int(p.second) << ' ';
            }
            cout << endl;
            continue;
        }
        cout << "Impossible" << endl;
    }

    return 0;
}
