#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <vector>

int ro(const std::vector<int> &v)
{
	for (int i = 0; i < 7; i++) {
		if (v[i] == 1) {
			return i + 1;
		}
	}
}

int countClasses(const std::vector<int> &v)
{
	int cnt = 0;
	for (int i = 0; i < 7; i++) {
		if (v[i] == 1) {
			cnt++;
		}
	}
	return cnt;
}

int compute(const std::vector<int> &v, int k)
{
	return ro(v) + 7 * (k - 1) / countClasses(v);
}

int main()
{
	int t, k, tmp;
	long long min;
	std::vector<int> v;
	scanf("%d", &t);

	while (t--) {
		scanf("%d", &k);
		v.clear();
		min = 1000000000000;
		for (int i = 0; i < 7; i++) {
			scanf("%d", &tmp);
			v.push_back(tmp);
		}

		for (int i = 0; i < 7; i++) {
			tmp = compute(v, k);
			if (min > tmp) {
				min = tmp;
			}
			tmp = v[0];
			for (int i = 1; i < 7; i++) {
				v[i - 1] = v[i];
			}
			v[6] = tmp;
		}
		printf("%d\n", min);
	}
}