#include <bits/stdc++.h>

#define mp make_pair
#define ff first
#define ss second
#define val(v) ((v).first - (v).second)

using std::cin;
using std::cout;
using std::endl;
using std::ios_base;
using std::vector;
using std::pair;
using std::make_pair;
using std::reverse;
using std::swap;
using std::max;

const int maxv = 201;
pair<int, int> best[maxv][maxv][5];
int prev[maxv][maxv][5];

int needsc[] = {25, 25, 25, 25, 15};

void calc_dp() {
    for (int x = 0; x < maxv; x++)
        for (int y = 0; y < maxv; y++)
            best[x][y][0] = mp(-1, -1);
    for (int x = 0; x + 2 < maxv; x++) {
        int sa = (x <= 23 ? 25 : x + 2);
        int sb = x;
        
        best[sa][sb][0] = make_pair(1, 0);
        prev[sa][sb][0] = x + 1;
        best[sb][sa][0] = make_pair(0, 1);
        prev[sb][sa][0] = -x - 1;
    }

    for (int i = 1; i < 5; i++) {
        for (int a = 0; a < maxv; a++) {
            for (int b = 0; b < maxv; b++) {
                best[a][b][i] = mp(-1, -1);
            }
        }
        for (int a = 0; a < maxv; a++) {
            for (int b = 0; b < maxv; b++) {
                for (int x = 0; x + 2 < maxv; x++) {
                    int sa = (x <= needsc[i] - 2 ? needsc[i] : x + 2);
                    int sb = x;

                    if (sa > a || sb > b)
                        break;
                    if (best[a - sa][b - sb][i - 1] == mp(-1, -1))
                        continue;

                    if (best[a][b][i] == mp(-1, -1) || val(best[a][b][i]) < val(best[a - sa][b - sb][i - 1]) + 1) {
                        if (max(best[a - sa][b - sb][i - 1].first, best[a - sa][b - sb][i - 1].second) < 3) {
                            best[a][b][i] = mp(best[a - sa][b - sb][i - 1].ff + 1, best[a - sa][b - sb][i - 1].ss);
                            prev[a][b][i] = x + 1;
                        }
                    }
                }
                for (int x = 0; x + 2 < maxv; x++) {
                    int sb = (x <= needsc[i] - 2 ? needsc[i] : x + 2);
                    int sa = x;

                    if (sa > a || sb > b)
                        break;
                    if (best[a - sa][b - sb][i - 1] == mp(-1, -1))
                        continue;

                    if (best[a][b][i] == mp(-1, -1) || val(best[a][b][i]) < val(best[a - sa][b - sb][i - 1]) - 1) {
                        if (max(best[a - sa][b - sb][i - 1].first, best[a - sa][b - sb][i - 1].second) < 3) {
                            best[a][b][i] = mp(best[a - sa][b - sb][i - 1].ff, best[a - sa][b - sb][i - 1].ss + 1);
                            prev[a][b][i] = -x - 1;
                        }
                    }
                }

            }
        }
    }
}


int main() {
    calc_dp();    

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int m;
    cin >> m;
    for (int i = 0; i < m; i++) {
        int a, b;
        cin >> a >> b;

        int bj = 0;
        for (int j = 1; j < 5; j++) {
            if (best[a][b][j] == mp(-1, -1))
                continue;
            if (max(best[a][b][j].first, best[a][b][j].second) < 3)
                continue;
            if (best[a][b][bj] == mp(-1, -1) || val(best[a][b][bj]) < val(best[a][b][j]))
                bj = j;
        }

        if (best[a][b][bj] == mp(-1, -1)) {
            cout << "Impossible" << endl;
            continue;
        } else {                                                                 
            cout << best[a][b][bj].ff << ":" << best[a][b][bj].ss << endl;

            vector<pair<int, int>> ans;
            for (int j = bj; j >= 0; j--) {
                int x = abs(prev[a][b][j]) - 1;
                int sa = (x <= needsc[j] - 2 ? needsc[j] : x + 2);
                int sb = x;
                if (prev[a][b][j] < 0)
                    swap(sa, sb);
                ans.push_back(mp(sa, sb));                                                                                                
                a -= sa;
                b -= sb;
            }
            reverse(ans.begin(), ans.end());
            for (auto p : ans)
                cout << p.ff << ":" << p.ss << " ";
            cout << endl;
        }
    }
    return 0;
}