#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

const int M = 210;
const int BIG = 1e9 + 239;

int dist[M][M], m, n;
vector<int> v[M];
bitset<M> go[M][M];

int cnt = 0;

int ask(int i)
{
    cnt++;
    if (cnt > 10)
        exit(0);
    cout << (i + 1) << endl;
    string s;
    cin >> s;
    if (s == "FOUND") return n;
    int x;
    cin >> x;
    return (x - 1);
}

bitset<M> st;
int f[M];

void solve()
{
    cnt = 0;
    for (int i = 0; i < n; i++) st[i] = 1;
    while (true)
    {
        int id = -1;
        for (int i = 0; i < n; i++)
            if (st[i])
            {
                int mx = 0;
                for (int x : v[i])
                    if (st[x])
                        mx = max(mx, (int)(go[i][x] & st).count());
                f[i] = mx;
                if (id == -1 || f[id] > f[i]) id = i;
            }
        int t = ask(id);
        if (t == n) break;
        st = (st & go[id][t]);
    }
}

int main()
{
    #ifdef ONPC
    //    freopen("a.in", "r", stdin);
    //    freopen("a.out", "w", stdout);
    #endif
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    cin >> n >> m;
    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++)
            dist[i][j] = BIG;
    for (int i = 0; i < n; i++)
        dist[i][i] = 0;
    for (int i = 0; i < m; i++)
    {
        int k;
        cin >> k;
        vector<int> id;
        for (int t = 0; t < k; t++)
        {
            int x;
            cin >> x;
            x--;
            id.push_back(x);
        }
        for (int i = 0; i < k - 1; i++)
        {
            v[id[i]].push_back(id[i + 1]);
            v[id[i + 1]].push_back(id[i]);
            dist[id[i]][id[i + 1]] = 1;
            dist[id[i + 1]][id[i]] = 1;
        }
    }
    for (int h = 0; h < n; h++)
        for (int i = 0; i < n; i++)
            for (int j = 0; j < n; j++)
                dist[i][j] = min(dist[i][j], dist[i][h] + dist[h][j]);
    for (int i = 0; i < n; i++)
        for (int x : v[i])
            for (int y = 0; y < n; y++)
                if (dist[i][y] == dist[x][y] + 1)
                    go[i][x][y] = 1;
    for (int i = 0; i < n; i++)
        solve();
    return 0;
}


/*
7 4
7 1 2 3 4 5 6 7
2 1 3
2 3 5
2 5 7
*/
