#include <bits/stdc++.h>
using namespace std;
double workTime() {
    return clock()/CLOCKS_PER_SEC;
}
void myReturn(int _code = 0) {
#ifdef LOCAL
    printf("\n\nTime = %.3lf\n", workTime());
#endif
    exit(_code);
}

string makeCell(int x, int y) {
    string ans = "";
    ans.push_back('a' + x);
    ans.push_back('1' + y);
    return ans;
}

const int dx[4] = {0, 1, 0, -1}, dy[4] = {1, 0, -1, 0};
bool used[8][8];
int dir = 0;
void makeMove(int &x, int &y) {
    if (used[x + dx[dir]][y + dy[dir]] || x + dx[dir] < 0 || x + dx[dir] > 6 || y + dy[dir] < 0 || y + dy[dir] > 7) {
        dir = (dir + 1) % 4;
    }
    x += dx[dir];
    y += dy[dir];
    used[x][y] = true;
}

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int n;
    cin >> n;
    if (n == 2) {
        cout << "a1 a8 h8" << endl;
    }
    else if (n == 8) {
        for (int i = 0; i < 8; ++i) {
            cout << makeCell(0, i) << " ";
        }
        cout << "h8" << endl;
    }
    else if (9 <= n && n <= 14) {
        vector <string> ans;
        ans.push_back("a1");
        used[0][0] = true;
        int x = 0, y = 0;
        for (int i = 0; i < n - 2; ++i) {
            makeMove(x, y);
            ans.push_back(makeCell(x, y));
        }
        for (auto it: ans) {
            cout << it << " ";
        }
        cout << "g8 h8" << endl;
    }
    else if (n == 15) {
        for (int j = 0; j < 8; ++j) {
            cout << makeCell(0, j) << " ";
        }
        for (int j = 7; j >= 2; --j) {
            cout << makeCell(1, j) << " ";
        }
        cout << "h3 h8";
    }
    else {
        vector <string> ans;
        ans.push_back("a1");
        used[0][0] = true;
        int x = 0, y = 0;
        for (int i = 0; i < min(n - 2, 55); ++i) {
            makeMove(x, y);
            ans.push_back(makeCell(x, y));
        }
        n -= min(n - 2, 55) + 1;
        ans.push_back(makeCell(7, y));
        used[7][y] = true;
        vector <string> tmp;
        for (int y = 7; y >= 0 && n > 0; --y) {
            if (used[7][y]) continue;
            tmp.push_back(makeCell(7, y));
            --n;
        }
        reverse(tmp.begin(), tmp.end());
        for (auto it: tmp) ans.push_back(it);

        for (auto it: ans) {
            cout << it << " ";
        }
    }

    myReturn();
}