#include <bits/stdc++.h>

using namespace std;

double workTime() {
    return clock() / CLOCKS_PER_SEC;
}

void myReturn(int _code = 0) {
#ifdef LOCAL
    printf("\n\nTime = %.3lf\n", workTime());
#endif
    exit(_code);
}

string makeCell(int x, int y) {
    string ans = "";
    ans.push_back('a' + x);
    ans.push_back('1' + y);
    return ans;
}

const int dx[4] = {0, 1, 0, -1}, dy[4] = {1, 0, -1, 0};
bool used[8][8];
int dir = 0;

void makeMove(int &x, int &y) {
    if (used[x + dx[dir]][y + dy[dir]] || x + dx[dir] < 0 || x + dx[dir] > 6 || y + dy[dir] < 0 || y + dy[dir] > 7) {
        dir = (dir + 1) % 4;
    }
    x += dx[dir];
    y += dy[dir];
    used[x][y] = true;
}


int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int n, s;
    cin >> n;
    s = n;
    vector <int> p;
    for (int i = 2; i*i <= n; ++i) {
        if (s % i == 0) {
            p.push_back(i);
            while (s % i == 0) s /= i;
        }
    }
    if (s > 1) p.push_back(s);

    if (p.size() == 1) {
        cout << "NO" << endl;
    }
    else {
        for (int a2 = 1; a2 <= p[0]; ++a2) {
            if ((n - 1 - a2*p[1]) % p[0] == 0) {
                cout << "YES" << endl << 2 << endl;
                cout << (n - 1 - a2*p[1])/p[0] << " " << n/p[0] << endl;
                cout << a2 << " " << n/p[1] << endl;
                myReturn();
            }
        }
        cout << "NO" << endl;
    }

//    int a, b;
//    int ta[3];
//    int tb[3];
//    int dha = 0;
//    int dhb = 0;
//    bool reverse = false;
//    bool dopHuinya = false;
//    cin >> a >> b;
//    if (a < b) {
//        int t = a;
//        a = b;
//        b = t;
//        reverse = true;
//    }
//    if (a < 75 || a - b < 75) {
//        cout << "Impossible" << endl;
//        return 0;
//    }
//    for (int i = 0; i < 3; i++) {
//        ta[i] = 25;
//        tb[i] = 0;
//    }
//
//    if(a-b<6){
//        dopHuinya = true;
//        dha = 0;
//        dhb = 25;
//    }else {
//        a -= 75;
//        ta[0] += a;
//        tb[0] = ta[0] - 2;
//        b -= tb[0];
//
//        for (int i = 1; i < 3; i++) {
//            int score = min(23, b);
//            tb[i] += score;
//            b -= score;
//        }
//    }

    myReturn();
}