#include <bits/stdc++.h>
using namespace std;
double workTime() {
    return clock()/CLOCKS_PER_SEC;
}
void myReturn(int _code = 0) {
#ifdef LOCAL
    printf("\n\nTime = %.3lf\n", workTime());
#endif
    exit(_code);
}

string makeCell(int x, int y) {
    string ans = "";
    ans.push_back('a' + x);
    ans.push_back('1' + y);
    return ans;
}

int main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int CASE;
    cin >> CASE;
    while (CASE-- > 0) {
        int k, a[7];
        cin >> k;
        for (int i = 0; i < 7; ++i) {
            cin >> a[i];
        }

        int ans = 1000000000;
        for (int i = 0; i < 7; ++i) {
            int ll = -1, rr = 1000000000;
            while (ll + 1 < rr) {
                int mid = (ll + rr)/2;
                long long cnt = 0;
                for (int j = 0; j < 7; ++j) {
                    cnt += a[j]*(mid/7);
                }
                for (int j = 0; j < mid % 7; ++j) {
                    cnt += a[(i + j) % 7];
                }
                if (cnt >= k) {
                    rr = mid;
                }
                else {
                    ll = mid;
                }
            }
            ans = min(ans, rr);
        }
        cout << ans << "\n";
    }

    /*vector <string> ans;
    for (int i = 0; i < 6; ++i) {
        if (i % 2 == 0) {
            for (int j = 0; j < 8; ++j) {
                ans.push_back(makeCell(i, j));
            }
        }
        else {
            for (int j = 7; j >= 0; --j) {
                ans.push_back(makeCell(i, j));
            }
        }
    }
    for (int j = 0; j < 6; ++j) {
        if (j % 2 == 0) {
            ans.push_back(makeCell(6, j));
            ans.push_back(makeCell(7, j));
        }
        else {
            ans.push_back(makeCell(7, j));
            ans.push_back(makeCell(6, j));
        }
    }
    ans.push_back(makeCell(6, 7));
    ans.push_back(makeCell(6, 6));
    ans.push_back(makeCell(7, 6));
    ans.push_back(makeCell(7, 7));

    int n;
    cin >> n;
    while (ans.size() > n + 2) {

    }

    for (auto it: ans) {
        cout << it << " ";
    }*/

    myReturn();
}