#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include<algorithm>
#include<bitset>
#include<cassert>
#include<cmath>
#include<complex>
#include<cstdio>
#include<cstring>
#include<ctime>
#include<deque>
#include<functional>
#include<iomanip>
#include<iostream>
#include<map>
#include<queue>
#include<random>
#include<stack>
#include<set>
#include<string>
#include<unordered_map>
#include<unordered_set>
#include<vector>

using namespace std;

typedef long long lint;

#define For(i, n) for (int (i)= 0; (i) < (int)(n); (i)++)
#define sz(x) (int)(x).size()
#define all(v) (v).begin(), (v).end()

//#pragma comment(linker, "/STACK:16777216")

const lint inf = 1e18;


void solve() {
	lint n;
	cin >> n;
	int k = 7;
	vector<lint> a(k);
	lint s = 0;
	For(i, k) {
		cin >> a[i];
		s += a[i];
	}

	lint best = inf;
	For(i, k) {
		for (int j = i; j < k; j++) {
			lint cur = 0;
			for (int c = i; c <= j; c++) {
				cur += a[c];
			}
			if (cur == n) {
				best = min(best, (lint)j - i + 1);
			}
		}
	}

	For(i, k) {
		lint suff = 0;
		for (int c = i; c < k; c++)
			suff += a[c];
		For(j, k) {
			lint pref = 0;
			for (int c = 0; c <= j; c++) {
				pref += a[c];
			}

			if (suff + pref > n)
				continue;

			lint cur = n - suff - pref;
			if (cur % s != 0)
				continue;

			best = min(best, k - i + j + 1 + (cur / s) * k);
		}
	}

	cout << best << '\n';
}

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#ifdef LOCAL
	freopen("input.txt", "rt", stdin);
	freopen("output.txt", "wt", stdout);
#endif
	int t;
	cin >> t;
	For(i, t) {
		solve();
	}
#ifdef LOCAL
	printf("\n\n%.3lf\n", (double)clock() / CLOCKS_PER_SEC);
#endif
}
