#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdlib>

using namespace std;

typedef pair<int, int> para;
typedef vector<para> res;

int top[210][210]; /// won1 - won2
res ans[210][210];

int main() {
    ios::sync_with_stdio(0);

    res v;

    for(int i=0; i<210; i++)
        for(int j=0; j<210; j++)
            top[i][j] = -100;

    for(int sets = 3; sets<=5; sets++) { ///1
        vector<int> whowon;
        for(int var = 0; var<(1<<sets); var++) { /// 2
            int t = var;
            int won1 = 0, won2 = 0;
            for(int i=0; i<sets; i++) {
                won1+=t%2;
                whowon.push_back(t%2);
                t/=2;
                }
            won2=sets-won1;
            if (max(won1, won2)!=3) continue;

            bool down = 0, up = 0;
            for(int i=0; i+1<sets; i++) {
                if (whowon[i+1]<whowon[i]) down = 1;
                }
            for(int i=0; i+1<sets; i++) {
                if (whowon[i+1]>whowon[i]) up = 1;
                }

            if (up&&down) continue;

            for(int islast=0; islast<2; islast++) { /// 3
                if (islast&&sets!=5) continue;

                int k[5];

                for(k[1]=0; k[1]<=23; k[1]++)
                for(k[2]=0; k[2]<=23; k[2]++)
                for(k[3]=0; k[3]<=23; k[3]++)
                for(k[4]=0; k[4]<=23; k[4]++) { /// 4
                    if (islast==0) {
                        if (k[4]>=13) continue;
                        int x=0;
                        int y=0;
                        for(int i=1; i<sets; i++) {
                            int ttt = 25;
                            if (i==4) ttt=15;
                            if (whowon[i]) {x+=ttt; y+=k[i];} else {y+=ttt; x+=k[i];}
                            }

                        for(int i=0; i<=23; i++) {
                            int tx=x, ty=y;
                            if (whowon[0]) {
                                tx+=25; ty+=i;
                                }
                            else {
                                tx+=i; ty+=25;
                                }
                            if (won1-won2>top[tx][ty]) {
                                top[tx][ty]=won1-won2;
                                v.clear();
                                if (whowon[0]) {
                                    v.push_back(para(25, i));
                                    }
                                else {
                                    v.push_back(para(i, 25));
                                    }
                                for(int i=1; i<sets; i++) {
                                    int ttt = 25;
                                    if (i==4) ttt=15;
                                    if (whowon[i]) {
                                        v.push_back(para(ttt, k[i]));
                                        }
                                    else {
                                        v.push_back(para(k[i], ttt));
                                        }
                                    }
                                ans[tx][ty]=v;
                                }
                            }
                        int tx=x, ty=y;
                        if (whowon[0]) {
                                tx+=25; ty+=23;
                                }
                            else {
                                tx+=23; ty+=25;
                                }
                        for(int i=0; true; i++) {
                            if ((tx+i>205)||(ty+i>205)) break;
                            v.clear();
                            if (won1-won2>top[tx][ty]) {
                                top[tx][ty]=won1-won2;
                                v.clear();
                                if (whowon[0]) {
                                    v.push_back(para(25+i, 23+i));
                                    }
                                else {
                                    v.push_back(para(23+i, 25+i));
                                    }
                                for(int i=1; i<sets; i++) {
                                    int ttt = 25;
                                    if (i==4) ttt=15;
                                    if (whowon[i]) {
                                        v.push_back(para(ttt, k[i]));
                                        }
                                    else {
                                        v.push_back(para(k[i], ttt));
                                        }
                                    }
                                ans[tx][ty]=v;
                                }
                            }
                        }
                    else { ///islast==1
                        int x=0;
                        int y=0;
                        for(int i=0; i+1<sets; i++) {
                            int ttt = 25;
                            if (whowon[i]) {x+=ttt; y+=k[i+1];} else {y+=ttt; x+=k[i+1];}
                            }

                        for(int i=0; i<=13; i++) {
                            int tx=x, ty=y;
                            if (whowon[0]) {
                                tx+=15; ty+=i;
                                }
                            else {
                                tx+=i; ty+=15;
                                }
                            if (won1-won2>top[tx][ty]) {
                                top[tx][ty]=won1-won2;
                                v.clear();
                                if (whowon[0]) {
                                    v.push_back(para(15, i));
                                    }
                                else {
                                    v.push_back(para(i, 15));
                                    }
                                for(int i=0; i+1<sets; i++) {
                                    int ttt = 25;
                                    if (whowon[i]) {
                                        v.push_back(para(ttt, k[i+1]));
                                        }
                                    else {
                                        v.push_back(para(k[i+1], ttt));
                                        }
                                    }
                                ans[tx][ty]=v;
                                }
                            }
                        int tx=x, ty=y;
                        if (whowon[0]) {
                                tx+=15; ty+=13;
                                }
                            else {
                                tx+=13; ty+=15;
                                }
                        for(int i=0; true; i++) {
                            if ((tx+i>205)||(ty+i>205)) break;
                            v.clear();
                            if (won1-won2>top[tx][ty]) {
                                top[tx][ty]=won1-won2;
                                v.clear();
                                if (whowon[0]) {
                                    v.push_back(para(15+i, 13+i));
                                    }
                                else {
                                    v.push_back(para(13+i, 15+i));
                                    }
                                for(int i=0; i+1<sets; i++) {
                                    int ttt = 25;
                                    if (whowon[i]) {
                                        v.push_back(para(ttt, k[i+1]));
                                        }
                                    else {
                                        v.push_back(para(k[i+1], ttt));
                                        }
                                    }
                                ans[tx][ty]=v;
                                }
                            }

                        }
                    }

                }

            }
        }


    int m=0;
    ///cin>>m;

    for(int i=0; i<m; i++) {
        int a, b;
        cin>>a>>b;
        }

    return 0;
}

/*

*/
