#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <string>
#include <vector>
#include <math.h>
#include <algorithm>

using namespace std;

bool solve30(int a, int b, vector<int>& ansA, vector<int>& ansB) {
    ansA.clear(); ansB.clear();
    ansA.resize(3); ansB.resize(3);
    if (a < 75) return false;
    ansA[0] = ansA[1] = ansA[2] = 25;
    a -= 75;
    ansA[0] += a;
    for (int i(0); i < 3; i++) {
        ansB[i] = min(b, ansA[i] - 2);
        b -= min(b, ansA[i] - 2);
    }
    if (b > 0 || (ansA[0] > 25 && ansA[0] - 2 != ansB[0])) {
        return false;
    }
    return true;
}

bool solve31(int a, int b, vector<int>& ansA, vector<int>& ansB) {
    ansA.clear(); ansB.clear();
    ansA.resize(4); ansB.resize(4);
    if (a < 75 || b < 25) return false;
    ansA[3] = ansA[1] = ansA[2] = 25;
    ansB[0] = 25;
    a -= 75;
    b -= 25;
    
    ansA[0] = min(23, a);
    a -= min(23, a);
    for (int i(1); i < 4; i++) {
        ansB[i] = min(b, 23);
        b -= min(b, 23);
    }
    int c;
    if (a > b) {
        c = 0;
    }
    else {
        c = 1;
    }

    while (a > 0 && b > 0) {
        ansA[c]++;ansB[c]++;
        a--; b--;
    }
     
    while (a > 0) {
        int f = -1;
        for (int i(1); i < 4; i++) {
            if (ansB[i] > 0) {
                f = i;
                break;
            }
        }
        if (f == -1) return false;
        ansA[c]++;
        ansB[c]++;
        ansB[f]--;
        a--;
    } 

    while (b > 0) { 
        if (ansA[0] == 0) {
            return false;
        } 
        ansA[c]++;
        ansB[c]++;
        ansA[0]--;
        b--;
    }

    return a == 0 && b == 0;
}

bool solve32(int a, int b, vector<int>& ansA, vector<int>& ansB) {
    ansA.clear(); ansB.clear();
    ansA.resize(5); ansB.resize(5);
    if (a < 65 || b < 50) return false;
    ansA[3] = ansA[2] = 25;
    ansA[4] = 15;
    ansB[0] = 25; ansB[1] = 25;
    a -= 65;
    b -= 50;

    for (int i(0); i < 2; i++) {
        ansA[i] = min(a, ansB[i] - 2);
        a -= min(a, ansB[i] - 2);
    }
    for (int i(2); i < 5; i++) {
        ansB[i] = min(b, ansA[i] - 2);
        b -= min(b, ansA[i] - 2);
    }
    int c;
    if (a > b) {
        c = 0;
    }
    else {
        c = 2;
    }
    while (a > 0 && b > 0) {
        ansA[c]++;
        ansB[c]++;
        a--; b--;
    }

    while (a > 0) {
        int f = -1;
        for (int i(2); i < 5; i++) {
            if (ansB[i] > 0) {
                f = i;
                break;
            }
        }
        if (f == -1) return false;
        ansA[c]++;
        ansB[c]++;
        ansB[f]--;
        a--;
    }

    while (b > 0) {
        int f = -1;
        for (int i(0); i < 2; i++) {
            if (ansA[i] > 0) {
                f = i;
                break;
            }
        }
        if (f == -1) return false;
        ansA[c]++;
        ansB[c]++;
        ansA[f]--;
        b--;
    } 

    return a == 0 && b == 0;
}

void pprint(vector<int>& ansA, vector<int>& ansB, const string& ans, int f) {
    cout << ans << "\n";
    for (int i(0); i < ansA.size(); i++) {
        if (f == 2) {
            swap(ansA[i], ansB[i]);
        }
        cout << ansA[i] << ":" << ansB[i] << " ";
    }
    cout << "\n";
}

 

int main() {
//    freopen("input.txt", "r", stdin);
//    freopen("output.txt", "w", stdout);

    int t;
    cin >> t;
    while (t-- > 0) {
        int a, b;
        cin >> a >> b;
        vector<int> ansA;
        vector<int> ansB;
        if (solve30(a, b, ansA, ansB)) {
            pprint(ansA, ansB, "3:0", 1); continue;
        }
        if (solve31(a, b, ansA, ansB)) {
            pprint(ansA, ansB, "3:1", 1); continue;
        }
        if (solve32(a, b, ansA, ansB)) {
            pprint(ansA, ansB, "3:2", 1); continue;
        }

        if (solve32(b, a, ansA, ansB)) {
            pprint(ansA, ansB, "2:3", 2); continue;
        }
        if (solve31(b, a, ansA, ansB)) {
            pprint(ansA, ansB, "1:3", 2); continue;
        }
        if (solve30(b, a, ansA, ansB)) {
            pprint(ansA, ansB, "0:3", 2); continue;
        }
        cout << "Impossible\n";
    }
}