#define _CRT_SECURE_NO_WARNINGS
#pragma comment(linker, "/STACK:167772160000")
#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cassert>
#include <climits>
#include <cmath>
#include <algorithm>
#include <cstring>
#include <string>
#include <vector>
#include <list>
#include <stack>
#include <set>
#include <bitset>
#include <queue>
#include <map>
#include <sstream>
#include <functional>
#include <unordered_map>
#include <unordered_set>
#include <complex>
#include <random>
#include <chrono>
using namespace std;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
template <typename T> using min_heap = priority_queue<T, vector<T>, greater<T>>;
template <typename T> using max_heap = priority_queue<T, vector<T>, less<T>>;
// prints
#define FAST_IO ios_base::sync_with_stdio(false); cin.tie(NULL)
#define TESTS(t) int NUMBER_OF_TESTS; cin >> NUMBER_OF_TESTS; for(int t = 1; t <= NUMBER_OF_TESTS; t++)
#define FOR(i, begin, end) for(int i = (begin)-((begin)>(end));i!=(end)-((begin)>(end));i+=1-2*((begin)>(end)))
#define pb push_back
const int oo = 2e9;

int solve(vector<int>& days, int k, int startDay, int cnt1, int first1, int last1) {
	int ans = 0;
	FOR(i, startDay, 7) {
		ans++;
		k -= days[i];
		if (k == 0) return ans;
	}
	int howMany = max(0, k / cnt1-1);
	ans += howMany * 7;
	k -= howMany*cnt1;
	while (k > 0) {
		FOR(i, 0, 7) {
			ans++;
			k -= days[i];
			if (k == 0) break;
		}
	}
	return ans;
}

int solve(vector<int>& days, int k) {
	int cnt1 = 0;
	int first1 = -1, last1 = -1;
	FOR(i, 0, 7) {
		if (days[i] == 1) {
			cnt1++;
			last1 = i;
			if (first1 == -1) first1 = i;
		}
	}
	int ans = oo;
	FOR(i, 0, 7) {
		if (days[i] == 1) {
			ans = min(ans, solve(days, k, i, cnt1, first1, last1));
		}
	}
	return ans;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	TESTS(t) {
		int k;
		cin >> k;
		vector<int> a(7);
		for (auto& x : a) cin >> x;
		cout << solve(a, k) << endl;
	}

	return 0;
}