#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <algorithm>

using namespace std;

vector<int> week;

int absind(int i)
{
	i %= 7;
	if (i < 0) i += 7;
	return i;
}

int findend(int i, int c)
{
	if (i == 1)
	{
		return c;
	}
	c++;
	c = absind(c);
	if (week[c]) return findend(i - 1, c);
	return findend(i, c);
}

int finddist(int i, int c) // ,   
{
	int d = 0;
	if (i == 0)
	{
		c--;
		d++;
		c = absind(c);
		while (!week[c])
		{
			c--;
			d++;
			c = absind(c);
		}
		return -d;
	}
	int e = findend(i, c);
	if (e < c)
	{
		e += 7;
	}
	return e - c;
	
}

int main()
{
	int __;
	cin >> __;
	week.resize(7);
	for (int _ = 0; _ < __; ++_)
	{
		int n;
		long long ans = 0;
		cin >> n;
		int s = 0;
		for (int i = 0; i < 7; ++i)
		{
			cin >> week[i];
			if (week[i]) s++;
		}
		ans += (n / s) * 7 + 1;
		n %= s;
		int mind = 100;
		for (int i = 0; i < 7; ++i)
		{
			if (!week[i]) continue;
			int d = finddist(n, i);
			if (d < mind)
				mind = d;
		}
		ans += mind;
		cout << ans << endl;
	}
	return 0;
}

/*
3
2
0 1 0 0 0 0 0
100000000
1 0 0 0 1 0 1
1
1 0 0 0 0 0 0
*/