#include <bits/stdc++.h>

#define f first
#define s second
#define fst first
#define snd second
#define pb push_back
#define mp make_pair
#define eb emplace_back
#define all(x) (x).begin(),(x).end()
#define sz(x) ((x).size())

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;

const int maxn = (int) 3e5 + 100;
const int base = (int) 1e9 + 7;
const ld eps = (ld) 1e-7;
const int inf = (int) 1e9 + 5;
const ll llinf = 1e18;

bool f[6][6][209][209];
pair<int, int> last_set[6][6][209][209];

template<typename T> inline bool upmax(T& a, T b) {
    if (b <= a) return false;
    a = b;
    return true;
}

inline void go(int s, int wa, int a, int b, int aa, int bb) {
    a += aa;
    b += bb;
    if (a > 200 || b > 200) return;

    f[s + 1][wa + (aa > bb)][a][b] = true;
    last_set[s + 1][wa + (aa > bb)][a][b] = mp(aa, bb);
}

int main() {
    //freopen("input.txt", "r", stdin);

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    f[0][0][0][0] = true;

    for (int sets = 0; sets < 5; sets++) {
        for (int wa = 0; wa <= sets; wa++) {
            for (int sa = 0; sa <= 200; sa++) {
                for (int sb = 0; sb <= 200; sb++) {
                    if (!f[sets][wa][sa][sb]) continue;
                    if (wa == 3 || sets - wa == 3) continue; /// game ended

                    if (sets < 4) {
                        /// till 25
                        for (int b = 0; b <= 23; b++) go(sets, wa, sa, sb, 25, b);
                        for (int a = 0; a <= 23; a++) go(sets, wa, sa, sb, a, 25);

                        /// any until difference>=2
                        for (int a = 26; sa + a <= 200; a++) go(sets, wa, sa, sb, a, a - 2);
                        for (int b = 26; sb + b <= 200; b++) go(sets, wa, sa, sb, b - 2, b);

                    } else {
                        /// till 15
                        for (int b = 0; b <= 13; b++) go(sets, wa, sa, sb, 15, b);
                        for (int a = 0; a <= 13; a++) go(sets, wa, sa, sb, a, 15);

                        /// any until difference>=2
                        for (int a = 16; sa + a <= 200; a++) go(sets, wa, sa, sb, a, a - 2);
                        for (int b = 16; sb + b <= 200; b++) go(sets, wa, sa, sb, b - 2, b);
                    }
                }
            }
        }
    }

    int m;
    cin >> m;
    while (m--) {
        int a, b;
        cin >> a >> b;
        int si = -1, sj = -1, kek = -inf;
        for (int i = 0; i <= 5; i++) {
            for (int j = 0; j <= i; j++) {
                if (f[i][j][a][b] && (j >= 3 || i - j >= 3) && upmax(kek, 2 * j - i)) {
                    si = i;
                    sj = j;
                }
            }
        }
        if (kek == -inf) {
            cout << "Impossible\n";
            continue;
        }
        cout << sj << ":" << si - sj << "\n";
        vector<pair<int, int> > ans;
        while (true) {
            if (si == 0) break;
            ans.pb(last_set[si][sj][a][b]);
            int ni = si - 1;
            int nj = sj - (last_set[si][sj][a][b].f > last_set[si][sj][a][b].s);
            int na = a - last_set[si][sj][a][b].f;
            int nb = b - last_set[si][sj][a][b].s;
            si = ni;
            sj = nj;
            a = na;
            b = nb;
        }

        reverse(all(ans));

        for (auto p : ans) {
            cout << p.f << ":" << p.s << " ";
        }
        cout << "\n";
    }

    return 0;
}
