#include <bits/stdc++.h>

#define f first
#define s second
#define fst first
#define snd second
#define pb push_back
#define mp make_pair
#define eb emplace_back
#define all(x) (x).begin(),(x).end()
#define sz(x) ((x).size())

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;

const int maxn = (int) 3e5 + 100;
const int base = (int) 1e9 + 7;
const ld eps = (ld) 1e-7;
const int inf = (int) 1e9 + 5;
const ll llinf = 1e18;

ll gcd(ll a, ll b, ll & x, ll & y) {
    if (a == 0) {
        x = 0; y = 1;
        return b;
    }
    ll x1, y1;
    ll d = gcd(b % a, a, x1, y1);
    x = y1 - (b / a) * x1;
    y = x1;
    return d;
}

bool fas(ll a, ll b, ll c, ll & x0, ll & y0, ll & g) {
    g = gcd(a, b, x0, y0);
    if (c % g != 0) return 0;
    x0 *= c / g;
    y0 *= c / g;
    return 1;
}

void shift(ll & x, ll & y, ll a, ll b, ll cnt) {
    x += cnt * b;
    y -= cnt * a;
}

bool falls(ll a, ll b, ll c, ll minx, ll maxx, ll miny, ll maxy, ll & x, ll & y) {
    ll g;
    if (!fas(a, b, c, x, y, g)) {
        return 0;
    }

    a /= g; b/= g;
    ll sign_a = 1, sign_b = 1;
    shift(x, y, a, b, (minx -x) / b);
    if (x < minx)
        shift(x, y, a, b, sign_b);
    if (x > maxx)
        return 0;
    ll lx1 = x;
    shift(x, y, a, b, (maxx - x) / b);
    if (x > maxx)
        shift(x, y, a, b, - sign_b);
    ll rx1 = x;
    shift(x, y, a, b, -(miny - y) / a);
    if (y < miny)
        shift(x, y, a, b, -sign_a);
    if (y > maxy)
        return 0;

    ll lx2 = x;
    shift(x, y, a, b, -(maxy - y) / a);
    if (y > maxy)
        shift(x, y, a, b, sign_a);
    ll rx2 = x;
    if (lx2 > rx2)
        swap(lx2, rx2);
    ll lx = max(lx1, lx2);
    ll rx = min(rx1, rx2);
    if (lx > rx)
        return 0;
    x = lx;
    y = (c - a * x ) / b;
    return 1;
}

vector<int> getPrimes(int n) {
    vector<int> ans;
    for (int i = 2; 1ll * i * i <= n; i ++) {
        if (n % i == 0) {
            ans.pb(i);
            while(n % i == 0) n /= i;
        }
    }
    if (n > 1) ans.pb(n);
    return ans;
}

void solve(int n) {
    vector<int> pr = getPrimes(n);
    if (sz(pr) <= 1) {
        cout << "NO";
        return ;
    }
    for (int i = 0; i < sz(pr); i ++) {
        for (int j = i + 1; j < sz(pr); j ++) {

            ll A = pr[i], B = pr[j], C = n - 1;
            ll x, y;
            if (falls(A, B, C, 0, n - 1, 0, n - 1, x, y)) {
                cout << "YES\n";
                ll B1 = n / A;
                ll B2 = n / B;
                ll A1 = x;
                ll A2 = y;
                vector<pll> ans;
                while (A1) {
                    ll rem = min(B1 - 1, A1);
                    ans.pb({rem, B1});
                    A1 -= rem;
                }
                while (A2) {
                    ll rem = min(B2 - 1, A2);
                    ans.pb({rem, B2});
                    A2 -= rem;
                }
                cout << sz(ans) << '\n';
                for (auto & p : ans) {
                    cout << p.fst << " " << p.snd << "\n";
                }

//                cout << x << " " << y << " " << n - 1  << " " << A * x + B * y << "\n";
                assert(x >= 0 && x <= n - 1 && y >= 0 && y <= n - 1);
                return ;

            }
        }
    }
    assert(false);
}

int main() {
    //freopen("input.txt", "r", stdin);

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    ll n ; cin >> n;
    solve(n);
    return 0;
}
