#include <bits/stdc++.h>

#define mp make_pair
#define pb push_back

typedef long long ll;
typedef long double ld;

using namespace std;


int prime(int &n)
{
	if (n == 1)
	{
	 	return 1;
	}
	int i = 2;
	while (i * i <= n)
	{
	 	if (n % i == 0)
	 	{
	 		break;
	 	}
	 	i++;
	}

	if (n % i != 0)
	{
		i = n;
	}

	while (n % i == 0)
	{
		n /= i;
	}

	return i;
}

bool is_prime_div(int n, int d)
{
	return n % d == 0 && d != 1 && d != n;
}


int gcd(int a, int b, int& x, int& y)
{
	if (a == 0)
	{
		x = 0, y = 1;
		return b;
	}
	else
	{
		int nx, ny;
		int g = gcd(b % a, a, nx, ny);
		x = ny - (b / a) * nx;
		y = nx;
		return g;
	}
}

int main()
{
    ios_base::sync_with_stdio(false);	
	int n;
	cin >> n;

    int nn = n;
    int p1 = prime(nn);
    int p2 = prime(nn);

    if (!is_prime_div(n, p1) || !is_prime_div(n, p2))
    {
    	cout << "NO\n";
    	return 0;
    }

    int x, y;
    int g = gcd(p1, p2, x, y);

    assert(g == 1);

    x = -x, y = -y;

    if (x <= 0)
    {
    	x += n / p1;
    }
    else
    {
    	y += n / p2;
    }

    assert(x > 0 && x < n / p1);
    assert(y > 0 && y < n / p2);

    cout << "YES\n";
    cout << "2\n";
    cout << x << ' ' << n / p1 << '\n';
    cout << y << ' ' << n / p2 << '\n'; 


}
