#include <bits/stdc++.h>

using namespace std;

using rl = long double;
using ll = long long;
using uint = unsigned int;

int gcd(ll a, ll b, ll &x, ll &y)
{
    if (a == 0) {
        x = 0;
        y = 1;
        return b;
    }
    ll x1, y1;
    ll d = gcd(b % a, a, x1, y1);
    x = y1 - (b / a) * x1;
    y = x1;
    return d;
}

int main()
{
    int n;
    scanf("%d", &n);

    ll fpart = 1;
    {
        ll ppart = 1;
        int tn = n;
        for (int i = 2; i * i <= tn; i++)
        {
            if (tn % i == 0)
            {
                while (tn % i == 0)
                    tn /= i, ppart *= i;
                if (fpart == 1 || ppart <= n / ppart)
                    fpart = ppart;
            }
        }
    }

    if (fpart == 1 || fpart == n)
    {
        printf("NO\n");
        return 0;
    }

    // Solve equation
    ll x, y;
    ll a = fpart;
    ll b = n / fpart;
    gcd(a, b, x, y);
    x *= (n - 1);
    y *= (n - 1);

    if (y <= 0)
    {
        ll k = -((-y + a - 1) / a);
        x = x + k * b;
        y = y - k * a;
    }
    if (x <= 0)
    {
        ll k = (-x + b - 1) / b;
        x = x + k * b;
        y = y - k * a;
    }

    cout << "YES" << "\n";
    cout << 2 << "\n";
    cout << x << " " << n / a << "\n";
    cout << y << " " << n / b << "\n";
    return 0;
}
