#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <set>
using namespace std;

int n;

bool rec(vector<int>&del, int ind, int sum, vector<int> &result) {
	if (ind >= (int)del.size()) {
		if (sum == n - 1) {
			return true;
		}

		return false;
	}
	if (rec(del, ind + 1, sum, result)) {
		return true;
	}

	if (rec(del, ind + 1, sum + del[ind], result)) {
		result.push_back(del[ind]);
		return true;
	}
	
	return false;
}

int main() {
	cin >> n;

	vector<int>del;
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			del.push_back(i);
			del.push_back(n / i);
		}
	}
	sort(del.begin(), del.end());

	vector<int>result;
	if (rec(del, 0, 0, result)) {
		cout << "YES" << endl;
		cout << (int)result.size() << endl;
		for (int j = 0; j < (int)result.size(); j++) {
			int v = n / result[j];
			cout << "1 " << v << endl;
		}
	}
	else {
		cout << "NO" << endl;
	}


	return 0;
}