#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <set>
using namespace std;

#define mp make_pair

int n;

bool rec(vector<int>&del, int ind, int sum, vector<pair<int, int>> &result) {
	if (ind >= (int)del.size()) {
		if (sum == n - 1) {
			return true;
		}

		return false;
	}

	int k = n - 1 - sum;

	if (k % del[ind] == 0) {
		result.push_back(make_pair(del[ind], k / del[ind]));
		return true;
	}

	if (rec(del, ind + 1, sum, result)) {
		return true;
	}

	if (rec(del, ind + 1, sum + del[ind], result)) {
		result.push_back(make_pair(del[ind], 1));
		return true;
	}
	
	return false;
}

int gcd(int a, int b) {
	while (b) {
		a %= b;
		swap(a, b);
	}

	return a;
}

int main() {
	cin >> n;

	vector<int>del;
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0) {
			del.push_back(i);
			del.push_back(n / i);
		}
	}
	sort(del.rbegin(), del.rend());

	vector<pair<int, int>>result;
	if (rec(del, 0, 0, result)) {
		cout << "YES" << endl;
		cout << (int)result.size() << endl;
		for (int j = 0; j < (int)result.size(); j++) {
			int l = result[j].first * result[j].second;
			int v = gcd(l, n);
			int f1 = l / v;
			int f2 = n / v;
			cout << f1 << " " << f2 << endl;
		}
	}
	else {
		cout << "NO" << endl;
	}


	return 0;
}