#include <fstream>
#include <iostream>
#include <map>
#include <unordered_map>
#include <utility>


using ll = long long;
#define var auto
#define endl '\n'

using namespace std;

int gcd(int a, int b, int& x, int& y)
{
	if (a == 0)
	{
		x = 0;
		y = 1;
		return b;
	}
	int x1, y1;
	int d = gcd(b%a, a, x1, y1);
	x = y1 - (b / a)*x1;
	y = x1;
	return d;
}


int n;
ll getReversal(ll num, ll mod)
{
	int x, y;
	gcd(num, mod, x, y);
	return (x + mod) % mod;
}

ll getX(ll input)
{
	return ((n - 1) % input)*(getReversal((n / input)%input , input)) % input;
}

int main()
{
#ifdef HOME
	ifstream in("input.txt");
	cin.rdbuf(in.rdbuf());
#endif
	
	cin >> n;
	unordered_map<int, int> fact;
	int curn = n;
	for (int i = 2; i * i <= curn; ++i)
	{
		if (curn%i == 0)
		{
			fact[i] = 1;
			while (curn%i == 0)
			{
				curn /= i;
				fact[i] *= i;
			}
		}
	}
	if (curn != 1)
		fact[curn] = curn;

	ll answer = 0;
	vector<pair<ll, ll>> answers;
	for (auto a : fact)
	{
		if (a.second == n)
			continue;
		var s = a.second;
		var x = ((getX(a.second)) % a.second);
		if (x != 0)
			answers.push_back({ x, a.second });
		answer += (n / a.second)*x;
	}
	if (answer == n - 1)
	{
		cout << "YES"<<endl;
		cout << answers.size()<<endl;
		for (auto a : answers)
			cout << a.first << " " << a.second << endl;
	}
	else
	{
		cout << "NO";
	}
    return 0;
}