#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <sstream>
#include <iomanip>
#include <cmath>
#include <queue>
#include <algorithm>
using namespace std;
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef long long ll;
typedef pair<int, int> pii;
#define pb push_back
#define mp pake_pair
#define int long long
#define all(x) (x).begin(),(x).end()
int inf = int(1e9 + 7);
ll powm(ll a, ll b, ll mod) {
	if (b == 0) return 1;
	if (b % 2 == 1) {
		return (a*powm(a, b - 1, mod)) % mod;
	}
	if (b % 2 == 0) {
		ll c = powm(a, b / 2, mod);
		return (c*c) % mod;
	}
}
int32_t main()
{
	ios_base::sync_with_stdio(false);
	cout << fixed << setprecision(10);
	cin.tie(0);


#ifdef _DEBUG
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif
	ll n; cin >> n;
	int d1, d2;
	int k = n;
	vector<int> p;
	for (int i = 2; i*i < n; i++) {
		if (k%i == 0) {
			while (k % i == 0) {
				k /= i;
			}
			p.push_back(i);
		}
	}
	if (k != n && k!=1) p.push_back(k);
	if (p.size() < 2) return cout << "NO", 0;
	d2 = p[p.size() - 1]; d1 = p[p.size() - 2];
	ll o = powm(d2, d1 - 1, d1);
	int j = ((n - 1)*powm(d2%d1, d1 - 2, d1))%d1;
	int u = (n - 1 - j*d2) / d1;
	vector<int> df, ds;
	int l = n / (d1*d2);
	d1 *= l; d2 *= l;
	while (j > 0) {
		df.push_back(min(d1 - 1, j));
		j -= (min(d1 - 1, j));
	}
	while (u > 0) {
		ds.push_back(min(d2 - 1, u));
		u -= min(d2 - 1, u);
	}
	cout << "YES" << endl;
	cout << df.size() + ds.size() << endl;
	for (int i = 0; i < df.size(); i++) {
		cout << df[i] << " " << d1 << endl;
	}
	for (int i = 0; i < ds.size(); i++) cout << ds[i] << " " << d2 << endl;
}
