#include <iostream>
#include <algorithm>
#include <set>
#include <map>
#include <ctime>
#include <random>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ldb;

#define forn(i, n) for (int i = 0; i < n; ++i)
#define mp make_pair
#define pii pair<int, int>

int read() {
	int x; cin >> x; return x;
}

void solve() {
	int k = read();
	vector<int> study(7);
	for (auto& v : study) v = read();

	int cnt = 0;
	for (auto v : study) cnt += v;

	int res = 1e9;
	forn(i, 7)
		if (study[i]) {
			vector<int> study_new;
			for (int j = i; j < 7; j++) study_new.push_back(study[j]);
			for (int j = 0; j < i; j++) study_new.push_back(study[j]);

			if (k % cnt == 0) {
				int zero = 0;
				int pos = 6;
				while (study_new[pos] == 0) pos--, zero++;
				res = min(res, (k / cnt) * 7 - zero);
			}
			else {
				int ans = k / cnt * 7;
				int rem = k - (k / cnt) * cnt;
				int taken = 0, pos = 0;
				while (rem) {
					if (study_new[pos]) {
						rem--;
					}
					pos++;
					ans++;
				}
				res = min(res, ans);
			}
		}
	cout << res << endl;
}

signed main() {
	int t = read();
	while (t--) {
		clock_t t = clock();
		solve();
		fprintf(stderr, "Time : %.3f\n", (double)(clock() - t) / CLOCKS_PER_SEC);
	}
}