#include <iostream>
#include <algorithm>
#include <set>
#include <map>
#include <ctime>
#include <random>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ldb;

#define forn(i, n) for (int i = 0; i < n; ++i)
#define mp make_pair
#define pii pair<int, int>

int read() {
	int x; cin >> x; return x;
}

void solve() {
	int n = read();
	int k = read();

	vector<pair<int, int>> data(n);

	for (int i = 0; i < n; i++) cin >> data[i].first;
	for (int i = 0; i < n; i++) cin >> data[i].second;

	vector<int> lazyjob(k);
	vector<int> persuade;

	for (int i = 0; i < n; i++) {
		if (data[i].second > lazyjob[data[i].first - 1]) {
			if (lazyjob[data[i].first - 1] > 0) persuade.push_back(lazyjob[data[i].first - 1]);
			lazyjob[data[i].first - 1] = data[i].second;
		}
		else persuade.push_back(data[i].second);
	}

	sort(persuade.begin(), persuade.end());
	int tl = 0;
	for (int i = 0; i < k; i++) if (lazyjob[i] == 0) tl++;

	ll ans = 0;
	for (int i = 0; i < tl; i++) ans += persuade[i];

	cout << ans << endl;
}

signed main() {
	int t = 1;
	while (t--) {
		clock_t t = clock();
		solve();
		fprintf(stderr, "Time : %.3f\n", (double)(clock() - t) / CLOCKS_PER_SEC);
	}
}