#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;

#define all(x) (x).begin(), (x).end()

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	ll n, k;
	cin >> n >> k;

	vll j(n);
	for (auto& x : j) {
		cin >> x;
	}

	vll p(n);
	for (auto& x : p) {
		cin >> x;
	}

	map<ll, vll> m;
	
	set<ll> met;

	for (int i = 0; i < n; ++i) {
		m[j[i]].push_back(p[i]);
		met.insert(j[i]);
	}

	vi movable;

	for (auto& x : m) {
		sort(all(x.second));
		for (int i = 0; i < ((int)x.second.size()) - 1; ++i) {
			movable.push_back(x.second[i]);
		}
	}

	sort(all(movable));

	ll ans = 0;
	for (int i = 0; i < k - met.size(); ++i) {
		ans += movable[i];
	}

	cout << ans << endl;

    return 0;
}

