#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <string>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

void print(int a, int b, vector<pii> ans)
{
	cout << a << ":" << b << endl;
	for (auto& x : ans)
		cout << x.first << ":" << x.second << " ";
	cout << endl;
}

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	int qq;
	cin >> qq;
	while (qq--) {
		int ia, ib;
		cin >> ia >> ib;
		bool found = false;
		int dif = -100;
		int A, B;
		vector<pii> bestans;

		for (int w = 3; w >= 0; --w)
		{
			for (int s = 3; s <= 5; ++s)
			{
				if (!(w == 3 || s - w == 3))
					continue;
				int a = ia, b = ib;
				vector<pii> ans(s);

				if (s == 5) {
					// 5
					if (w == 3)
					{ // a won
						if (25 * (w - 1) + 15 > a || 25 * (s - w) + 13 > b)
							continue;

						int af = 0, bf = 0;
						if (a > 25 * (w - 1) + 15 + 23 * (s - w)
							|| b >= 25 * (s - w) + 23 * (w - 1) + 13)
						{
							af = 25;
							a -= 25;
							bf = 23;
							b -= 23;

							while (a > 25 * (w - 2) + 15 + 23 * (s - w)
								|| b > 25 * (s - w) + 23 * (w - 2) + 13)
							{
								a--, b--;
								af++, bf++;
							}
						}

						if (af == 0)
							a -= 25;
						a -= 25 * (w - 2) + 15;
						b -= 25 * (s - w);

						if (a < 0 || b < 0) continue;

						for (int i = s - 1, j = 0; j < 3; --i, ++j) {
							if (j == 1 && af != 0)
							{
								ans[i].first = af;
								ans[i].second = bf;
							}
							else if (j == 0)
							{
								ans[i].first = 15;
								ans[i].second = min(13, b);
								b -= min(13, b);
							}
							else
							{
								ans[i].first = 25;
								ans[i].second = min(23, b);
								b -= min(23, b);
							}
						}
						for (int i = 0; i < s - w; ++i) {
							ans[i].second = 25;
							ans[i].first = min(23, a);
							a -= min(23, a);
						}

						if (a == 0 && b == 0 && w - (s - w) > dif)
						{
							dif = w - (s - w);
							bestans = ans;
							A = w, B = s - w;
						}
					}
					else {
						if (25 * (w - 1) + 13 > a || 25 * (s - w - 1) + 15 > b) {
							continue;

							int af = 0, bf = 0;
							if (a > 25 * (w)+23 * (s - w - 1) + 13
								|| b >= 25 * (s - w - 1) + 15 + 23 * (w))
							{
								bf = 25;
								b -= 25;
								af = 23;
								a -= 23;

								while (a > 25 * (w)+23 * (s - w - 2) + 13
									|| b > 25 * (s - w - 2) + 15 + 23 * (w))
								{
									a--, b--;
									af++, bf++;
								}
							}

							a -= 25 * (w);
							b -= 25 * (s - w - 1);
							if (bf == 0)
								b -= 25;

							if (a < 0 || b < 0) continue;

							for (int i = 0; i < s - w; ++i) {
								ans[i].first = 25;
								ans[i].second = min(23, b);
								b -= min(23, b);
							}
							for (int i = s - 1, j = 0; j < 3; --i, ++j) {
								if (j == 1 && bf != 0)
								{
									ans[i].first = af;
									ans[i].second = bf;
								}
								else if (j == 0)
								{
									ans[i].second = 15;
									ans[i].first = min(13, a);
									a -= min(13, a);
								}
								else
								{
									ans[i].second = 25;
									ans[i].first = min(23, a);
									a -= min(23, a);
								}
							}
							if (a == 0 && b == 0 && w - (s-w) > dif)
							{
								dif = w - (s - w);
								bestans = ans;
								A = w, B = s - w;
							}
						}

					}
				}
				else {
					// 3
					if (25 * w > a || 25 * (s - w) > b) {
						continue;
					}
					if (w == 3) { // a won

						int af = 0, bf = 0;
						if (a > 25 * (w)+23 * (s - w)
							|| b > 25 * (s - w) + 23 * w)
						{
							af = 25;
							a -= 25;
							bf = 23;
							b -= 23;

							while (a > 25 * (w - 1) + 23 * (s - w)
								|| b > 25 * (s - w) + 23 * (w - 1))
							{
								a--, b--;
								af++, bf++;
							}
						}

						if (af == 0)
							a -= 25;
						a -= 25 * (w - 1);
						b -= 25 * (s - w);

						if (a < 0 || b < 0) continue;

						for (int i = s - 1, j = 0; j < 3; --i, ++j) {
							if (j == 0 && af != 0)
							{
								ans[i].first = af;
								ans[i].second = bf;
							}
							else
							{
								ans[i].first = 25;
								ans[i].second = min(23, b);
								b -= min(23, b);
							}
						}
						for (int i = 0; i < s - w; ++i) {
							ans[i].second = 25;
							ans[i].first = min(23, a);
							a -= min(23, a);
						}

						if (a == 0 && b == 0 && w - (s - w) > dif)
						{
							dif = w - (s - w);
							bestans = ans;
							A = w, B = s - w;
						}
					}
					else {
						int af = 0, bf = 0;
						if (a > 25 * (w)+23 * (s - w)
							|| b > 25 * (s - w) + 23 * (w))
						{
							bf = 25;
							b -= 25;
							af = 23;
							a -= 23;

							while (a > 25 * (w)+23 * (s - w - 1)
								|| b > 25 * (s - w - 1) + 23 * (w))
							{
								a--, b--;
								af++, bf++;
							}
						}

						a -= 25 * (w);
						b -= 25 * (s - w - 1);
						if (bf == 0)
							b -= 25;

						if (a < 0 || b < 0) continue;

						for (int i = 0; i < s - w; ++i) {
							ans[i].first = 25;
							ans[i].second = min(23, b);
							b -= min(23, b);
						}
						for (int i = s - 1, j = 0; j < 3; --i, ++j) {
							if (j == 0 && bf != 0)
							{
								ans[i].first = af;
								ans[i].second = bf;
							}
							else
							{
								ans[i].second = 25;
								ans[i].first = min(23, a);
								a -= min(23, a);
							}
						}
						if (a == 0 && b == 0 && w - (s - w) > dif)
						{
							dif = w - (s - w);
							bestans = ans;
							A = w, B = s - w;
						}
					}
				}
			}
			if (found)
				break;
		}

		if (dif == -100)
			cout << "Impossible\n";
		else
			print(A, B, bestans);
	}

	return 0;
}
