#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <string>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	ll n;
	cin >> n;

	if (n % 2 != 0) {
		cout << "NO" << endl;
		return 0;
	}

	ll cd = -1, nd = -1;

	for (ll j = 2; j * j <= n; ++j) {
		if (n % j == 0) {
			ll sd = n / j;
			if (j % 2 != sd % 2) {
				if (j % 2 == 0) {
					cd = j;
					nd = sd;
				}
				else {
					nd = j;
					cd = sd;
				}
			}
		}
	}

	if (cd == -1 || nd == -1) {
		cout << "NO" << endl;
		return 0;
	}

	cout << "YES\n2" << endl;

	for (ll x = 1;; ++x) {
		if (((n - 1) - cd * x) % nd == 0) {
			cout << x << " " << cd << endl;
			cout << ((n - 1) - cd * x) / nd << " " << nd << endl;
			return 0;
		}
	}

	return 0;
}
