#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <string>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	ll n;
	cin >> n;

	ll cd = -1, nd = -1;

	for (ll j = 2; j * j <= n; ++j) {
		if (n % j == 0) {
			ll sd = n / j;
			if (n % 2 == 0) {
				if (j % 2 != sd % 2) {
					nd = j;
					cd = sd;
				}
			}
			else {
				cd = j;
				nd = sd;
			}
		}
	}

	if (cd == -1 || nd == -1) {
		cout << "NO" << endl;
		return 0;
	}

	for (ll x = 1; (n - 1) - cd * x > 0; ++x) {
		ll y = ((n - 1) - cd * x) / nd;
		ll rem = ((n - 1) - cd * x) % nd;
		if (rem == 0 && x < cd && y < nd) {
			cout << "YES\n2" << endl;
			cout << x << " " << cd << endl;
			cout << y << " " << nd << endl;
			return 0;
		}
	}

	cout << "NO" << endl;

	return 0;
}
