#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <queue>

using namespace std;

using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

#define all(x) (x).begin(), (x).end()

bool inb(pii v) {
	return v.first >= 0 && v.first < 8 && v.second >= 0 && v.second < 8;
}

int main()
{
	cin.tie(0);
	ios_base::sync_with_stdio(0);

	int qq;
	cin >> qq;

	while (qq--) {
		ll n;
		cin >> n;
		vi week(7);
		ll wsum = 0;
		for (auto& x : week) {
			cin >> x;
			wsum += x;
		}

		ll ans = 1e9;
		for (int b = 0; b < 7; ++b) {
			ll t = n;
			ll currans = 0;
			for (int j = b; j < 7 && t; ++j) {
				if (week[j]) {
					t--;
				}
				currans++;
			}
			
			ll wcyc = t / wsum;
			ll rem = t % wsum;

			if (wcyc == 0 && rem == 0) {
				ans = min(ans, currans);
				continue;
			}

			if (rem == 0) {
				wcyc--;
				rem = wsum;
			}

			currans += wcyc * 7;

			for (int j = 0; j < 7 && rem; ++j) {
				if (week[j]) {
					rem--;
				}
				currans++;
			}

			ans = min(ans, currans);
		}

		cout << ans << "\n";
	}

    return 0;
}

