#include <bits/stdc++.h>
#include <array>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

const int N = 228;

int pl[N][2];
int pr[N];

bool w[N];
vector<int> e[N];
vector<int> erev[N];

int block;

bool dfs(int v) {
	if (w[v]) {
		return false;
	}
	
	w[v] = true;

	for (int l : erev[v]) {
		if (pl[l][0] != -1) {
			continue;
		}

		for (int r : e[l]) {
			if (r == v || r == block) {
				continue;
			}

			if (pr[r] == -1) {
				pr[v] = l;
				pl[l][0] = v;
				pr[r] = l;
				pl[l][1] = r;
				return true;
			}
		}

		for (int r : e[l]) {
			if (r == v || r == block) {
				continue;
			}

			int a = pr[r];
			int b = pl[a][0] ^ pl[a][1] ^ r;
			if (dfs(b)) {
				pr[v] = l;
				pl[l][0] = v;
				pr[r] = l;
				pl[l][1] = r;
				return true;
			}
		}
	}

	return false;
}


void solve() {
	int n, m;
	cin >> n >> m;
	for (int i = 0; i < m; ++i) {
		erev[i].clear();
		pr[i] = -1;
	}

	for (int i = 0; i < n; ++i) {
		e[i].clear();
		pl[i][0] = pl[i][1] = -1;
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			if (s[j] == '1') {
				e[i].push_back(j);
				erev[j].push_back(i);
			}
		}
	}

	int ans = 0;

	for (int i = 0; i < m; ++i) {
		if (pr[i] != -1) {
			continue;
		}

		fill(w, w + m, false);
		block = i;

		if (dfs(i)) {
			++ans;
		}
	}

	cout << ans << "\n";
}

int main() {
#ifdef BZ
	freopen("b.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int t;
	cin >> t;
	for (int i = 0; i < t; ++i) {
		solve();
	}
}