#include <bits/stdc++.h>
#include <array>
#include <cassert>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

const int N = 228;

int pl[N][2];
int pr[N];

bool we[N];
bool wo[N];

vector<int> e[N];
vector<int> erev[N];

int block;

bool dfs_odd(int v);
bool dfs_even(int v);

void tl(bool expr) {
	if (!expr) {
		for (;;);
	}
}

int used[N];
int usedl[N];

void ass(int l, int r1, int r2) {
	pr[r1] = pr[r2] = l;
	pl[l][0] = r1;
	pl[l][1] = r2;
}

bool dfs_even(int v) {
	if (we[v] || used[v]) {
		return false;
	}

	used[v] = true;
	we[v] = true;

	for (int l : erev[v]) {
		if (usedl[l]) {
			continue;
		}

		if (pl[l][0] != -1) {
			continue;
		}

		usedl[l] = true;

		for (int r : e[l]) {
			if (r == v || r == block) {
				continue;
			}

			if (dfs_odd(r)) {
				ass(l, v, r);
				return true;
			}
		}

		usedl[l] = false;
	}

	used[v] = false;
	return false;
}

bool dfs_odd(int v) {
	if (pr[v] == -1) {
		return true;
	}

	if (wo[v] || used[v]) {
		return false;
	}

	used[v] = true;
	wo[v] = true;

	int a = pr[v];
	if (usedl[a]) {
		return false;
	}

	usedl[a] = true;
	int b = pl[a][0] ^ pl[a][1] ^ v;

	if (dfs_even(b)) {
		pl[a][0] = pl[a][1] = -1;
		return true;
	}

	for (int u : e[a]) {
		if (u != v && u != b && u != block && dfs_odd(u)) {
			ass(a, b, u);
			return true;
		}
	}

	usedl[a] = false;
	used[v] = false;
	return false;
}

using Vec = vector<tuple<int*, int, int>>;

Vec asses;
bool w[N];

template <int Ind>
void make_ass(const Vec& vec) {
	for (auto& val : vec) {
		*get<0>(val) = get<Ind>(val);
	}
}

void add_ass(int& data, int x) {
	asses.emplace_back(&data, x, data);
}

void dfs_kek(int v, int prev) {
	if (v == -1) {
		throw 0;
	}

	if (w[v]) {
		return;
	}

	w[v] = true;

	for (int u : e[v]) {
		add_ass(pr[u], v);
		add_ass(pl[v][pl[v][0] != prev], u);
		dfs_kek(pr[u], u);
		asses.pop_back();
		asses.pop_back();
	}
}

int n, m;

Vec kek(int v) {
	try {
		asses.clear();
		fill(w, w + n, false);
		dfs_kek(v, -1);
	}
	catch (int) {
		return asses;
	}

	return { };
}



void check(int ans) {
	int cnt = 0;

	for (int i = 0; i < n; ++i) {
		assert((pl[i][0] == -1) == (pl[i][1] == -1));

		if (pl[i][0] != -1) {
			++cnt;
			for (int x : pl[i]) {
				assert(x < m);
				assert(pr[x] == i);
			}
		}
	}

	assert(cnt == ans);

	for (int i = 0; i < m; ++i) {
		if (pr[i] != -1) {
			assert(pr[i] < n);
			assert(pl[pr[i]][0] != -1);
		}
	}
}

void solve() {

	cin >> n >> m;
	for (int i = 0; i < m; ++i) {
		erev[i].clear();
		pr[i] = -1;
	}

	for (int i = 0; i < n; ++i) {
		e[i].clear();
		pl[i][0] = pl[i][1] = -1;
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			if (s[j] == '1') {
				e[i].push_back(j);
				erev[j].push_back(i);
			}
		}
	}

	int ans = 0;
	int old = -1;
	while (old != ans) {
		old = ans;

		for (int i = 0; i < m; ++i) {
			if (pr[i] != -1) {
				continue;
			}

			fill(we, we + m, false);
			fill(wo, wo + m, false);
			fill(used, used + m, 0);
			fill(usedl, usedl + n, 0);

			block = i;

			if (dfs_even(i)) {
				++ans;
			}

			check(ans);
		}

		for (int i = 0; i < n; ++i) {
			if (pl[i][0] != -1) {
				continue;
			}

			auto fs = kek(i);
			if (fs.empty()) {
				continue;
			}

			make_ass<1>(fs);
			
			auto sc = kek(i);
			if (sc.empty()) {
				make_ass<2>(fs);
			}
			else {
				make_ass<1>(sc);
				++ans;
			}
		}
	}

	cout << ans << "\n";
}

int main() {
#ifdef BZ
	freopen("b.txt", "r", stdin);
#endif
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	int t;
	cin >> t;
	for (int i = 0; i < t; ++i) {
		solve();
	}
}