#include <bits/stdc++.h>
using namespace std;
using ll = int64_t;
using ull = uint64_t;
using ld = long double;

const int MAXN = 510;
const int INF = 1e9;



int n, m;
vector<pair<int, int>> ed;
vector<int> eds[MAXN];

int go[MAXN];

int dd[MAXN][MAXN];

int ask(int x) {
	cout << x + 1 << "\n";
	cout.flush();
	string s;
	cin >> s;
	if (s[0] == 'F') {
		return -1;
	}
	cin >> x;
	--x;
	return x;
}


int main() {
	ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr); cout.setf(ios::fixed); cout.precision(20);
	cin >> n >> m;
	for (int i = 0; i < m; ++i) {
		int k;
		cin >> k;
		vector<int> vv;
		for (int j = 0; j < k; ++j) {
			int x;
			cin >> x;
			--x;
			vv.push_back(x);
		}
		for (int j = 0; j + 1 < k; ++j) {
			eds[vv[j]].push_back(vv[j + 1]);
			eds[vv[j + 1]].push_back(vv[j]);
			ed.emplace_back(vv[j], vv[j + 1]);
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j)
			dd[i][j] = INF;
		dd[i][i] = 0;
		queue<int> qu;
		qu.push(i);
		while (!qu.empty()) {
			int x = qu.front();
			qu.pop();
			for (int j : eds[x]) {
				if (dd[i][j] > dd[i][x] + 1)
					dd[i][j] = dd[i][x] + 1, qu.push(j);
			}
		}
	}
	for (int it = 0; it < n; ++it) {
		vector<int> av;
		for (int i = 0; i < n; ++i)
			av.push_back(i);
		int fl = 0;
		while (av.size() > 1) {
			for (int i = 0; i < n; ++i)
				go[i] = 0;
			for (int i : av)
				go[i] = 1;
			for (auto e : ed) {
				int cl = 0;
				int cr = 0;
				for (int i : av)
					if (dd[i][e.first] > dd[i][e.second])
						++cl;
					else if (dd[i][e.first] < dd[i][e.second])
						++cr;
				go[e.first] = max(go[e.first], cl);
				go[e.second] = max(go[e.second], cr);
			}
			int bst = 0;
			for (int i = 0; i < n; ++i) {
				if (go[i] < go[bst])
					bst = i;
			}
			int x = ask(bst);
			if (x == -1) {
				fl = 1;
				break;
			}
			else {
				vector<int> tmp;
				for (int i : av)
					if (dd[i][x] < dd[i][bst])
						tmp.push_back(i);
				av = tmp;
			}
		}
		if (!fl) {
			ask(av[0]);
		}
	}
	return 0;
}