#define _USE_MATH_DEFINES
#include <iostream>
#include <algorithm>
#include <unordered_map>
#include <map>
#include <unordered_set>
#include <set>
#include <vector>
#include <string>
#include <queue>
#include <list>
#include <stack>
#include <ctime>
#include <bitset>
#include <climits>
using namespace std;
#define speed ios_base::sync_with_stdio(0); cin.tie(); cout.tie()
#define ll long long
#define eps 1e-8
#define inf INT_MAX

int r;
vector<int> v;

void req(int cur, vector<int>& coef, int pos) {
	if (cur == r - 1) {
		int cnt = 0;
		for (int i = 0; i < coef.size(); ++i)
			if (coef[i])
				++cnt;
		if (cnt != 2)
			return;
		cout << "SUCCESS" << "\n";
		for (int i = 0; i < coef.size(); ++i) {
			cout << v[i] << " coef is " << coef[i] << endl;
		}
		return;
	}
	else if (cur > r - 1 || pos == v.size()) {
		return;
	}
	if (coef.size() <= pos)
		coef.emplace_back(0);
	for (int i = 0; i < r / v[pos]; ++i) {
		req(cur, coef, pos + 1);
		cur += v[pos];
		coef[pos]++;
	}
	coef[pos] = 0;
}

int main() {
	speed;
	int n;
	cin >> n;
	r = n;
	int al = sqrt(n);
	for (int i = 2; i < n; ++i) {
		int vl = 1;
		while (n % i == 0) {
			vl *= i;
			n /= i;
		}
		if (vl != 1)
			v.emplace_back(vl);
	}
	if (n != 1)
		v.emplace_back(n);
	//req(0, vector<int>(), 0);
	if (v.size() == 1)
		cout << "NO";
	else {
		int vl = v.back();
		int vll = v[v.size() - 2];
		for (int k = 1; k <= sqrt(r); ++k) {
			if (k >= r / vl)
				break;
			int ost = r - 1 - k * vl;
			if (ost % vll == 0) {
				int dv = ost / vll;
				if (dv >= r / vll)
					continue;
				cout << "YES\n2\n";
				cout << k << ' ' << r / vl << endl;
				cout << dv << ' ' << r / vll << endl;
				//system("pause");
				return 0;
			}
		}
		cout << "NO";
	}
	//system("pause");
}