#include <bits/stdc++.h>

using namespace std;

#define fi(a, b) for (int i = a; i <= b; i++) 
#define fj(a, b) for (int j = a; j <= b; j++) 
#define fo(a, b) for (int o = a; o <= b; o++) 
#define fdi(a, b) for (int i = a; i >= b; i--) 
#define fdj(a, b) for (int j = a; j >= b; j--) 
#define fdo(a, b) for (int o = a; o >= b; o--) 
#define sz(x) (int) x.size()
#define pb push_back
#define mp make_pair
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<pii> vpii;
typedef vector<pll> vpll;

template<typename A, typename B>
ostream & operator << (ostream &s, pair<A, B> a) {
	s << "(" << a.first << ", " << a.second << ")";
	return s;
}

template<typename A>
ostream & operator << (ostream &s, vector<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A>
ostream & operator << (ostream &s, set<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A, typename B>
ostream & operator << (ostream &s, map<A, B> a) {
	s << endl;
	for (auto z : a) {
		s << "\t" << z.first << " -> " << z.second << endl;
	}
	return s;
}

#ifdef LOCAL
#define err(...) fprintf(stderr, __VA_ARGS__)
#define dbg(x) {cerr << __LINE__ << "\t" << #x << " : " << x << endl;}
#define dbg0(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 0; ABC < n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#define dbg1(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 1; ABC <= n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#else
#define err(...) while (0) {}
#define dbg(x) while (0) {}
#define dbg0(x, n) while (0) {}
#define dbg1(x, n) while (0) {}
#endif

/////////////////////////

const int MAX = 441;

int a, b;

bool f[6][6][MAX][MAX];
vpii d[6][6][MAX][MAX];

vpii moves[2];

bool win(pii x) {
	return x.first > x.second;
}

vpii st;

void rec(int a, int b, int g, int w) {	
	if (f[g][w][a][b]) return;
	//err("%d %d %d %d\n", a, b, g, w);
	f[g][w][a][b] = 1;
	d[g][w][a][b] = st;
	//dbg(st);
	int l = (g - w);
	if (w == 3 || l == 3) return;	
	int flag = (g == 4 ? 1 : 0);
	for (auto z : moves[flag]) {
		int a2 = a + z.first;
		int b2 = b + z.second;
		int g2 = g + 1;
		int w2 = w + win(z);
		if (a2 > 200 || b2 > 200) continue;		
		st.pb(z);
		rec(a2, b2, g2, w2);
		st.pop_back();
	}
}

vpii getbest(int a, int b) {
	vpii res;
	int bv = -11414;
	fi(0, 5) {
		fj(0, 5) {
			if (!f[i][j][a][b]) continue;
			int w = j;
			int l = i - j;
			if (w != 3 && l != 3) {
				continue;
			}
			int bal = w - l;		
			if (bal > bv) {
				bv = bal;
				res = d[i][j][a][b];
			}
		}
	}
	return res;
}

void print(int a, int b) {
	vpii resp = getbest(a, b);
	//vpii resp = d[3][3][a][b];
	if (sz(resp) == 0) {
		printf("Impossible\n");
	} else {
		int w = 0;
		int l = 0;
		for (auto z : resp) {
			if (win(z)) {
				w++;
			} else {
				l++;
			}
		}
		printf("%d:%d\n", w, l);
		//return; // todo !!!!!!!!!!!!!!!!!!!!!!!!!!
		for (auto z : resp) {
			printf("%d:%d ", z.first, z.second);
		}
		printf("\n");		
	}
}

void init() {
	fi(0, 23) {
		moves[0].pb(mp(25, i));
		moves[0].pb(mp(i, 25));
	}
	fi(0, 13) {
		moves[1].pb(mp(15, i));
		moves[1].pb(mp(i, 15));
	}
	fi(25, 200) {
		moves[0].pb(mp(i, i - 2));
		moves[0].pb(mp(i - 2, i));		
	}
	fi(15, 200) {
		moves[1].pb(mp(i, i - 2));
		moves[1].pb(mp(i - 2, i));		
	}
	rec(0, 0, 0, 0);
}


int main () {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	init();
	
	int t;
	scanf("%d", &t);
#ifdef LOCAL
	fi(0, 200) {
		fj(0, 200) {
			print(i, j);
		}
	}
#else
	fo(1, t) {
		scanf("%d %d", &a, &b);
		print(a, b);		
	}
#endif
	return 0;
}