#include <bits/stdc++.h>

using namespace std;

#define fi(a, b) for (int i = a; i <= b; i++) 
#define fj(a, b) for (int j = a; j <= b; j++) 
#define fo(a, b) for (int o = a; o <= b; o++) 
#define fdi(a, b) for (int i = a; i >= b; i--) 
#define fdj(a, b) for (int j = a; j >= b; j--) 
#define fdo(a, b) for (int o = a; o >= b; o--) 
#define sz(x) (int) x.size()
#define pb push_back
#define mp make_pair
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef vector<int> vi;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef vector<pii> vpii;
typedef vector<pll> vpll;

template<typename A, typename B>
ostream & operator << (ostream &s, pair<A, B> a) {
	s << "(" << a.first << ", " << a.second << ")";
	return s;
}

template<typename A>
ostream & operator << (ostream &s, vector<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A>
ostream & operator << (ostream &s, set<A> a) {
	for (auto z : a) {
		s << z << " ";
	}
	return s;
}

template<typename A, typename B>
ostream & operator << (ostream &s, map<A, B> a) {
	s << endl;
	for (auto z : a) {
		s << "\t" << z.first << " -> " << z.second << endl;
	}
	return s;
}

#ifdef LOCAL
#define err(...) fprintf(stderr, __VA_ARGS__)
#define dbg(x) {cerr << __LINE__ << "\t" << #x << " : " << x << endl;}
#define dbg0(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 0; ABC < n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#define dbg1(x, n) {cerr << __LINE__ << "\t" << #x << " : "; for (int ABC = 1; ABC <= n; ABC++) cerr << x[ABC] << " "; cerr << endl;}
#else
#define err(...) while (0) {}
#define dbg(x) while (0) {}
#define dbg0(x, n) while (0) {}
#define dbg1(x, n) while (0) {}
#endif

/////////////////////////

const int MAX = 505;
const int INF = 1000 * 1000 * 1000 + 41;

int n, m;

vi e[MAX];

int matr[MAX][MAX];

char buff[MAX];

int q;

vector<int> cand;

int calc(int x) {
	int b = -INF;	
	for (auto y : e[x]) {
		int res = 0;		
		for (auto z : cand) {
			if (z == x) continue;
			if (matr[x][z] <= matr[y][z]) continue;
			res++;
		}
		b = max(b, res);
	}
	return b;
}

int bestCand() {
	int b = -1;
	int bv = INF;
	for (int z : cand) {
		int tmp = calc(z);
		if (tmp < bv) {
			bv = tmp;
			b = z;
		}
	}
	return b;
}

void trim(int x, int y) {
	vector<int> cand2;
	for (int z : cand) {
		if (matr[x][z] <= matr[y][z]) {
			//toDel.pb(z);
		} else {
			cand2.pb(z);
		}
	}
	cand = cand2;
	dbg(cand);
}

int query(int x) {
	dbg(x);
	printf("%d\n", x);
	fflush(stdout);
	scanf("%s", buff);
	if (buff[0] == 'F') {
		q++;
		if (q == n) exit(0);
		return 0;
	}
	int t;
	scanf("%d", &t);
	return t;
}

void solve () {
	fi(1, n) {
		cand.pb(i);
	}
	while (true) {
		int x = bestCand();
		dbg(x);
		int t = query(x);
		dbg(t);
		if (t == 0) break;
		trim(x, t);
	}
}

void addv(int a, int b) {
	e[a].pb(b);
	e[b].pb(a);
	matr[a][b] = matr[b][a] = 1;
}

void init() {
	fi(1, n) {
		matr[i][i] = 0;
	}
	fo(1, n) {
		fi(1, n) {
			fj(1, n) {
				matr[i][j] = min(matr[i][j], matr[i][o] + matr[o][j]);
			}
		}
	}
}

int main () {
/*#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif*/
	memset(matr, 0x3f, sizeof(matr));
	scanf("%d %d", &n, &m);
	fi(1, m) {
		int k;
		scanf("%d", &k);
		int prv = -1;
		fi(1, k) {
			int t;
			scanf("%d", &t);
			if (prv != -1) {
				addv(prv, t);
			}
			prv = t;
		}
	}
	dbg1(e, n);
	init();
	while (true) {
		solve();
	}
	return 0;
}