//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define fi first
#define se second
#define mp make_pair
#define sz(x) ((int)(x).size())
#define sqrt(x) sqrt(abs(x))
#define all(x) (x).begin(), (x).end()
#define re return
#define pb push_back
#define y0 y2345234
#define y1 y34534
#define j0 j345345
#define j1 j324534
#define makeunique(x) sort(all(x)), (x).resize(unique(all(x)) - (x).begin())

typedef vector <int> vi;
typedef pair <int, int> ii;
typedef long long ll;
typedef unsigned long long ull;
typedef double D;
typedef long double ld;
typedef vector <ii> vii;
typedef vector <string> vs;
typedef vector <vi> vvi;

template <class T> using _tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <class T> T abs(T x) { re x > 0 ? x : -x; }
template <class T> T sqr(T x) { re x * x; }
template <class T> T sgn(T x) { re x > 0 ? 1 : (x < 0 ? -1 : 0); }
template <class T> T gcd(T a, T b) { re a ? gcd(b % a, a) : b; }

const D pi = acos(-1.0);

int n;
int m;
vi g[600];
vii v[100000];
int vto[100000];

int query(int x) {
	cout << x + 1 << endl;
	fflush(stdout);
	string s;
	cin >> s;
	if (s == "FOUND") {
		re -1;
	} else {
		int p;
		scanf("%d", &p); p--;
		re p;
	}
}

const int inf = 1e9;

vvi find_from(vi & good, int x)
{
    vvi comp(n);
    vi is_good(n);
    for (auto x : good) is_good[x] = 1;
    vi q;
    int l = 0;
    vi d(n, inf), from(n, -1);
    d[x] = 0; 
    for (auto y : g[x]) { if (is_good[y]) { q.pb(y); d[y] = 1; from[y] = y; } }
	while (l < sz(q)) {
		int cur = q[l]; l++;
		for (auto y : g[cur]) {
			if (!is_good[y]) continue;
			if (d[y] == inf) {
				q.pb(y);
			}
			if (d[y] >= d[cur] + 1) {
				comp[from[cur]].pb(y);
				from[y] = from[cur];
				d[y] = d[cur] + 1;
			}
		}
	}
	re comp;
}

map <vi, int> paths;

int solve(vi & a, int h, vi path)
{
//    cout << sz (a) << " " << h << " " << sz (path) << endl;
	vvi res_comp;
	int best = 1e9;
	int id = -1;
	for (auto y : a) {
	    vvi comp = find_from(a, y);
		int res = 0;
		for (int i = 0; i < n; i++) res = max(sz(comp[i]), res);
		if (res < best) {
			res_comp = comp;
			id = y;
			best = res;
		}
	}
//	cout << "here" << endl;
	if (sz(a) == 1) {
		id = a[0];
	}
	path.pb(id);

	int cnt = sz(paths), idh;
	if (paths.count(path)) idh = paths[path];
	else idh = paths[path] = cnt;
	
	for (int i = 0; i < n; i++) {
		if (sz(res_comp[i])) {
			int to = solve(res_comp[i], h + 1, path);
			v[idh].pb(mp (i, to));
		}
	}
	vto[idh] = id;
	re idh;
}
                    
int main()
{
    /*ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);*/
    cin >> n >> m;
	for (int i = 0; i < m; i++) {
		int x;
		cin >> x;
		int last = -1;
		for (int j = 0; j < x; j++) {
			int p;
			cin >> p;
			if (last != -1) {
				g[p - 1].pb(last - 1);
				g[last - 1].pb(p - 1);
			}
			last = p;
		}
	}
	vi p(n);
	for (int i = 0; i < n; i++) p.pb(i);
	int id = solve(p, 0, {});

	for (int tt = 1; tt <= n; tt++) {
		int cur = vto[id], prv = cur;
		while ((cur = query (cur)) != -1) {
			for (auto y : v[prv]) {
				if (y.fi == cur) {
					cur = vto[y.se];
					break;
				}
			}
			prv = cur;
		}
	}									
	return 0;
}