//#pragma GCC optimize("unroll-loops")
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define fi first
#define se second
#define mp make_pair
#define sz(x) ((int)(x).size())
#define sqrt(x) sqrt(abs(x))
#define all(x) (x).begin(), (x).end()
#define re return
#define pb push_back
#define y0 y2345234
#define y1 y34534
#define j0 j345345
#define j1 j324534
#define makeunique(x) sort(all(x)), (x).resize(unique(all(x)) - (x).begin())

typedef vector <int> vi;
typedef pair <int, int> ii;
typedef long long ll;
typedef unsigned long long ull;
typedef double D;
typedef long double ld;
typedef vector <ii> vii;
typedef vector <string> vs;
typedef vector <vi> vvi;

template <class T> using _tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <class T> T abs(T x) { re x > 0 ? x : -x; }
template <class T> T sqr(T x) { re x * x; }
template <class T> T sgn(T x) { re x > 0 ? 1 : (x < 0 ? -1 : 0); }
template <class T> T gcd(T a, T b) { re a ? gcd(b % a, a) : b; }

const D pi = acos(-1.0);

int n;
int m;

vii calc(int i, int j)
{
	if (i == 7 && j == 7) re {};
	if (i == 7 || j == 7) re {{7, 7}};
	re {{i, 7}, {7, 7}};
}

string pos_tos(int i, int j)
{
	re string(1, i + 'a') + string(1, j + '1');
}

bool check (vii & cert, int x, int y)
{
	vii cur = calc(x, y);
	cert.pb(mp (x, y));
	if (sz(cert) + sz(cur) == n + 1) {
		if (sz(cur) > 0) cert.pb(cur[0]);
		if (sz(cur) > 1) cert.pb(cur[1]);
		re true;
	}
	re false;
}

vii solve1(int K)
{
	int k = 0;
	int x = 0, y = 0;
	int dx = 1;
	vii cert;
	bool ok = false;
	for (int i = 0; i < 8 && !ok; i++)	{
		for (int j = 0; j < 8; j++)	{
			vii cur = calc(x, y);
//			cout << x << " " << y << " " << sz(cert) + sz(cur) << endl;
			cert.pb(mp (x, y));
			if (sz(cert) > K) re cert;
			if (sz(cert) + sz(cur) == n + 1) {
				if (sz(cur) > 0) cert.pb(cur[0]);
				if (sz(cur) > 1) cert.pb(cur[1]);
				ok = true;
				break;
			}
			if (j == 0 && x == 7) {
				vii cur = calc(x, y + 1);
//				cout << x << " " << y << " " << sz(cert) + sz(cur) << endl;
				cert.pb(mp (x, y + 1));
				if (sz(cert) + sz(cur) == n + 1) {
					if (sz(cur) > 0) cert.pb(cur[0]);
					if (sz(cur) > 1) cert.pb(cur[1]);
					ok = true;
					break;
				}
				cert.pop_back();
			}
			x += dx;
		}
		y ++;
		x -= dx;
		dx *= -1;
	}
	re cert;
}
                    
int main()
{
	cin >> n;
	vii cert = solve1(56);
	if (sz(cert) != n + 1) {
		cert = solve1(47);
		if (!check(cert, 0, 6))
		if (!check(cert, 0, 7))
		if (!check(cert, 1, 7))
		if (!check(cert, 1, 6))

		if (!check(cert, 7, 6))
		if (!check(cert, 6, 6))
		if (!check(cert, 5, 6))
		if (!check(cert, 4, 6))
		if (!check(cert, 3, 6))
		if (!check(cert, 2, 6))

		if (!check(cert, 2, 7))
		if (!check(cert, 3, 7))
		if (!check(cert, 4, 7))
		if (!check(cert, 5, 7))
		if (!check(cert, 6, 7))
		if (!check(cert, 7, 7))
		{
		
		}
	}
	assert (sz (cert) == n + 1);
	vvi was(8, vi(8));
	for (auto c : cert) {
		assert (was[c.fi][c.se] == 0);
		was[c.fi][c.se] = 1;
	}
	for (auto x : cert) cout << pos_tos(x.fi, x.se) << " ";
	cout << endl;
	return 0;
}