#include <bits/stdc++.h>
#define pb push_back
#define fr(i, n) for(int i = 0; i < n; i++)
#define frab(i, a, b) for(int i = a; i < b; i++)

typedef long long ll;
typedef long double ld;

const int N = 100;
const int MOD = 1e9 + 7;
const int M = 1e5 + 12;
const ll INF = 1000 * 1000 * 1000;

using namespace std;

int ans[N][N][N];

vector<int> g[N];

bool used[N];
vector<int> topsort;

void dfs(int v) {
    used[v] = true;
    for (auto u: g[v])
        if (!used[u])
            dfs(u);
    topsort.push_back(v);
}

int root[N];

int H = 50;
int d[N][N];

int main() {
    //freopen("a.in", "r", stdin);
    ios_base::sync_with_stdio(false);

    int n;
    cin >> n;
    fill(root, root + n, -1);
    fr(i, n)
        fr(j, n)
            cin >> d[i][j];

    fr(k, n)
        fr(i, n)
            fr(j, n)
                if (d[i][k] && d[k][j])
                    d[i][j] = 1;

    fr(i, N)
        fr(j, N)
            fr(k, N)
                ans[i][j][k] = -1;

    vector<bool> ost(n, false);
    fr(i, n) {
        bool fnd = false;
        for (int j = 0; j < i; j++)
            if (d[i][j] && d[j][i]) {
                fnd = true;
                root[i] = j;
                break;
            }
        if (!fnd)
            ost[i] = true;
    }

    fr(i, n)
        if (ost[i])
            fr(j, n)
                if (ost[j] && d[i][j])
                    g[i].push_back(j);
    fr(i, n)
        if (ost[i] && !used[i])
            dfs(i);
    reverse(topsort.begin(), topsort.end());

    int h = H - 1;

    vector<int> hs(n, 0);

    for (int i = 0; i < topsort.size(); i++) {
        ans[topsort[i] * 2][topsort[i] * 2][h] = topsort[i];
        //cout << topsort[i] * 2 << " " << h << " " << topsort[i] << endl;

        hs[topsort[i]] = h;
        h -= 2;
    }

    for (int i = 0; i < n; i++)
        if (!ost[i]) {
            ans[i * 2][i * 2][hs[root[i]]] = i;
            hs[i] = hs[root[i]];
        }

    for (int i = 0; i < n; i++)
        for (int j = H; j >= hs[i]; j--)
            if (ans[2 * i][2 * i][j] == -1)
                ans[2 * i][2 * i][j] = -2;

    for (int i = 0; i < n; i++)
        for (int j = 0; j < n; j++) {
            if (!d[i][j]) continue;
            int i1 = min(i, j);
            int j1 = max(i, j);
            for (int k = 2 * i1; k <= 2 * j1; k++)
                if (ans[2 * i1][k][hs[i]] == -1)
                    ans[2 * i1][k][hs[i]] = -2;
            for (int k = 2 * i1; k <= 2 * j1; k++)
                if (ans[k][2 * j1][hs[i]] == -1)
                    ans[k][2 * j1][hs[i]] = -2;
        }

    cout << n * 2 << " " << n * 2 << " " << H << endl;
    for (int h = H - 1; h >= 0; h--) {
        for (int i = 0; i < 2 * n; i++) {
            for (int j = 0; j < 2 * n; j++) {
                if (ans[i][j][h] == -1)
                    cout << "#";
                else if (ans[i][j][h] == -2)
                    cout << ".";
                else
                    cout << ans[i][j][h] + 1;
            }
            cout << endl;
        }
        cout << endl;
    }

}

