#include <bits/stdc++.h>
#define f first
#define s second
#define pb emplace_back
#define all(x) x.begin(),x.end()
#define forn(i,n) for(int i=0;i<(n);++i)
#ifdef LOCAL
#define dbg(...) _dbg(#__VA_ARGS__,__VA_ARGS__)
#else
#define dbg(...)
#endif // LOCAL
using namespace std;
template<typename T> void _dbg(const char * s, T t){
    cerr<<s<<" = "<<t<<"\n";
}
template<typename T, typename... Ts>
void _dbg(const char * s, T t,Ts...ts){
    int b=0;
    while(((b+=*s=='(')-=*s==')')!=0||*s!=',')
        cerr<<*s++;
    cerr<<" = "<<t<<',';
    _dbg(s+1,ts...);
}
struct init{
    init(){
        ios::sync_with_stdio(0);
        cin.tie(0);
        cout<<fixed<<setprecision(10);
        cerr<<fixed<<setprecision(5);
    }
} init;
using ll=long long;
using pii=pair<int,int>;
using pll=pair<ll,ll>;

const int fen_size = 1000500;
ll fen[fen_size];
void add(int pos, ll d) {
    pos = fen_size - pos - 1;
    for (; pos < fen_size; pos |= pos + 1)
        fen[pos] += d;
    return;
}
ll get_sum(int pos) {
    pos = fen_size - pos - 1;
    ll ans = 0;
    for (; pos >= 0; pos = (pos & (pos + 1)) - 1)
        ans += fen[pos];
    return ans;
}
const int tree_size = 1e6 + 6;
ll tree_mx[4000500];
ll add1[4000500];
const ll infl = 1e18;
void build(int i, int tl, int tr) {
    tree_mx[i] = -infl;
    add1[i] = 0;
    if (tl == tr)
        return;
    int mid = (tl + tr) / 2;
    build(i * 2, tl, mid);
    build(i * 2 + 1, mid + 1, tr);
}


void add(int i, int tl, int tr, int l, int r, ll d) {
    if (l > r)
        return;
    if (l == tl && r == tr) {
        add1[i] += d;
        return;
    }
    int mid = (tl + tr) / 2;
    add(i * 2, tl, mid, l, min(r, mid), d);
    add(i * 2 + 1, mid + 1, tr, max(l, mid + 1), r, d);
    tree_mx[i] = max(tree_mx[i * 2] + add1[i * 2],
                     tree_mx[i * 2 + 1]+ add1[i * 2 + 1]);
}
void set_val(int i, int tl, int tr, int pos, ll d) {
    d -= add1[i];
    if (tl == tr) {
        tree_mx[i] = d;
        return;
    }
    int mid = (tl + tr) / 2;
    if (pos <= mid)
        set_val(i * 2, tl, mid, pos, d);
    else
        set_val(i * 2 + 1, mid + 1, tr, pos, d);
    tree_mx[i] = max(tree_mx[i * 2] + add1[i * 2],
                     tree_mx[i * 2 + 1]+ add1[i * 2 + 1]);
}
ll get_max(int i, int tl, int tr, int l, int r) {
    if (l > r)
        return -infl;
    if (l == tl && r == tr) {
        return tree_mx[i] + add1[i];
    }
    int mid = (tl + tr) / 2;
    ll mx = max(get_max(i * 2, tl, mid, l, min(mid, r)),
                get_max(i * 2 + 1, mid + 1, tr, max(l, mid + 1), r));
    return mx + add1[i];
}

set<pll> kn;

pii buf[300500];


int main() {
    int n;
    cin >> n;
    build(1, 0, tree_size);
    int cnt = 0;
    forn(i, n) {
        char t;
        cin >> t;
        //cerr << t << endl;
        if (t == '?') {
            ll x;
            cin >> x;

            auto it = kn.upper_bound({x, infl});
            if (it == kn.begin()) {
                cout << 0 << '\n';
                // cerr << "asd" << endl;
                continue;
            }
            --it;
            //cerr << "qwe" << endl;
            ll y = get_max(1, 0, tree_size, 0, it->f - 1);

            y -= get_sum(it->f + 1);
            y = max(y, it->f + it->s);
            //cerr << y << endl;
            cout << max(y -x, 0LL) << '\n';
            //cerr << "asd" << endl;
        } else if (t == '+') {
            ll tm, d;
            cin >> tm >> d;
            buf[i] = {tm, d};
            add(tm, d);
           // cerr << "q1" << endl;
            ll s = get_sum(tm);
           // cerr << "q2" << endl;
            set_val(1, 0, tree_size, tm, s + tm);
            //cerr << "q3" << endl;
            add(1,0, tree_size, 0, tm - 1, d);
           // cerr << "q4" << endl;
            kn.insert({tm, d});
           // cerr << "q5" << endl;
        } else {
            int num;
            cin >> num;
            --num;
            set_val(1, 0, tree_size, buf[num].f, -infl);
            add(1, 0, tree_size, 0, buf[num].f - 1, -buf[num].s);
            add(buf[num].f, -buf[num].s);
            kn.erase(buf[num]);
        }
    }

    return 0;
}
/*
2
+ 2 2
? 3

19
? 3
+ 2 2
? 3
? 4
+ 5 2
? 5
? 6
+ 1 2
? 2
? 3
? 4
? 5
? 6
? 7
? 9
- 8
? 2
? 3
? 6
*/

