/*#include <algorithm>
#include <iostream>
#include <vector>


using namespace std;

const int N = 505;
const int M = 505 * 505;

int n , m;
bool guessed[N];

vector < pair<int,int> > g[N];
vector < int > gcycle[N];

vector < vector<int> > G;

bool used[N] , mark[M];
bool color[N];
int parent[N] , ind[N];

void dfs(int v,int p){
    used[v] = true;
    for(int i=0;i<(int)g[v].size();i++){
        int to = g[v][i].first;
        int id = g[v][i].second;
        if(color[to] || to == p || mark[id])continue;
        if(used[to]){
            vector <int> cycle;
            int gag = v;
            while(gag != to){
                mark[ind[gag]] = true;
                cycle.push_back(gag);
                gag = parent[gag];
            }
            mark[id] = true;
            cycle.push_back(to);
            ///
            g[to].push_back((int)G.size());
            G.push_back(cycle);
            continue;
        }
        parent[to] = v;
        ind[to] = id;
        dfs(to , v);
    }
}

int mas[N] , timer;
int order[N];
int dp[N] , dpup[N];

void rec(int v,int p){
    mas[++timer] = v;
    order[v] = 1;
    for(int i=0;i<(int)g[v].size();i++){
        int to = g[v][i].first;
        int id = g[v][i].second;
        if(to == p || mark[id] || color[to])continue;
        rec(to , v);
        dp[v] = max(dp[v] , order[to]);
        order[v] += order[to];
    }
    for(int i=0;i<(int)gcycle[v].size();i++){
        int id = gcycle[v][i];
        for(int j=0;j<(int)G[id].size();j++){
            int to = G[id][j];
            if(to == v)continue;
            rec(to , v);
            order[v] += order[to];
        }
        int h = (int)G[id].size() / 2;
        int s = 0;
        for(int j=0;j<h;j++){
            int to = G[id][j];
            s += order[to];
        }
        dp[v] = max(dp[v] , s);
        s = 0;
        for(int j=h-1;j<(int)G[id].size() - 1;j++){
            int to = G[id][j];
            s += order[to];
        }
        dp[v] = max(dp[v] , s);
    }
}

int findcenter(int v){
    timer = 0;
    for(int i=1;i<=n;i++){
        order[i] = 1;
    }
    rec(1 , -1);
    recup(1 , -1);
    int mx = -1 , answ;
    for(int i=1;i<=timer;i++){
        int v = mas[i];
        int s = max(dp[v] , dpup[v]);
        if(s > mx){
            mx = s;
            answ = v;
        }
    }
    return answ;
}

int main() {
    scanf("%d%d",&n,&m);
    int it = 0;
    for(int i=1;i<=m;i++){
        int k;
        scanf("%d",&k);
        int b = -1;
        while(k--){
            int a;
            scanf("%d",&a);
            if(b != -1){
                ++it;
                g[a].push_back(make_pair(b , it));
                g[b].push_back(make_pair(a , it));
            }
            b = a;
        }
    }
    dfs(1 , -1);
    while(true){
        bool flag = true;
        for(int i=1;i<=n;i++){
            if(guessed[i] == false){
                flag = false;
                break;
            }
        }
        if(flag)break;
        for(int i=1;i<=n;i++){
            used[i] = true;
        }
        int gag = 1;
        while(true){
            ///
            G.clear();
            for(int i=1;i<=n;i++){
                used[i] = false;
                gcycle[i].clear();
            }
            ///
            dfs(gag , -1);
            int v = findcenter(gag);
            ///
            printf("%d\n",v);
            cout.flush();
            string s;
            int vert;
            cin>>s;
            if(s[0] == 'G'){
                scanf("%d",&vert);
                gag = vert;
            }
            else{
                guessed[v] = true;
                break;
            }
            color[v] = true;
        }
    }
    return 0;
}*/
#include <iostream>
#include <cstdio>
#include <vector>
using namespace std;
bool mark[202][202][6][4];
int het[202][202][6][4];
int score1[502];
int score2[502];
int qan = 0;
int scorevat1[502];
int scorevat2[502];
int qanvat = 0;
int lavx[10] = {3, 3, 3, 2, 1, 0};
int lavy[10] = {0, 1, 2, 3, 3, 3};
int main() {
    for (int i = 0; i <= 199; i++) {
        score1[qan] = max(i + 2, 25);
        score2[qan++] = i;
    }
    for (int i = 0; i <= 199; i++) {
        score2[qan] = max(i + 2, 25);
        score1[qan++] = i;
    }
    mark[0][0][0][0] = true;
    for (int i = 1; i <= 4; i++) {
        for (int k = 0; k < qan; k++) {
            int av = 0;
            if (score1[k] > score2[k]) {
                av = 1;
            }
            int mn = min(av, i - 3), mx = min(i, 3);
            for (int a = score1[k]; a <= 200; a++) {
                for (int b = score2[k]; b <= 200; b++) {
                    for (int kr = mn; kr <= mx; kr++) {
                        if (mark[a - score1[k]][b - score2[k]][i - 1][kr - av]) {
                            mark[a][b][i][kr] = true;
                            het[a][b][i][kr] = k;
                        }
                    }
                }
            }
        }
    }
    for (int i = 0; i <= 199; i++) {
        scorevat1[qanvat] = max(i + 2, 15);
        scorevat2[qanvat++] = i;
    }
    for (int i = 0; i <= 199; i++) {
        scorevat2[qanvat] = max(i + 2, 15);
        scorevat1[qanvat++] = i;
    }
    int i = 5;
    for (int k = 0; k < qanvat; k++) {
        int av = 0;
        if (scorevat1[k] > scorevat2[k]) {
            av = 1;
        }
        int mn = min(av, i - 3), mx = min(i, 3);
        for (int a = scorevat1[k]; a <= 200; a++) {
            for (int b = scorevat2[k]; b <= 200; b++) {
                for (int kr = mn; kr <= mx; kr++) {
                    if (mark[a - scorevat1[k]][b - scorevat2[k]][i - 1][kr - av]) {
                        mark[a][b][i][kr] = true;
                        het[a][b][i][kr] = k;
                    }
                }
            }
        }
    }
    int n;
    scanf("%d", &n);
    while (n--) {
        int a, b;
        scanf("%d%d", &a, &b);
        bool exela = false;
        for (int ind = 0; ind < 6; ind++) {
            if (mark[a][b][lavx[ind] + lavy[ind]][lavx[ind]]) {
                exela = true;
                printf("%d:%d\n", lavx[ind], lavy[ind]);
                int gm = lavx[ind] + lavy[ind];
                vector<pair<int, int> > v;
                int kr = lavx[ind], ha = a, hb = b;
                while (gm) {
                    int sc1, sc2;
                    if (gm == 5) {
                        sc1 = scorevat1[het[ha][hb][gm][kr]];
                        sc2 = scorevat2[het[ha][hb][gm][kr]];
                    } else {
                        sc1 = score1[het[ha][hb][gm][kr]];
                        sc2 = score2[het[ha][hb][gm][kr]];
                    }
                    v.push_back(make_pair(sc1, sc2));
                    if (sc1 > sc2) {
                        kr--;
                    }
                    ha -= sc1;
                    hb -= sc2;
                    gm--;
                }
                for (int ll = v.size() - 1; ll >= 0; ll--) {
                    printf("%d:%d", v[ll].first , v[ll].second);
                    if (ll != 0)
                        printf(" ");
                }
                printf("\n");
                break;
            }
        }
        if (!exela) {
            printf("Impossible\n");
        }
    }
    return 0;
}
