#include<bits/stdc++.h>
using namespace std;

struct node{
    long long ext;
    int free;
    node *l,*r;
    node(){
        ext = 0;
        free = 1;
        l = r = nullptr;
    }
};
node *root = nullptr;
const int N = 1000005;
int tim[N];
int dur[N];

void up(node *&t, int l,int r,int ti,int d) {
    if (t == nullptr) {
        t = new node();
    }
    if (l+1==r) {
        if (d == 0) {
            t->free = 1;
            t->ext = 0;
        } else {
            t->free = 0;
            t->ext = d - 1;
        }
        return;
    }
    int m = (l+r)/2;
    if (ti<m) {
        up(t->l,l,m,ti,d);
    } else {
        up(t->r,m,r,ti,d);
    }

    long long lex = t->l ? t->l->ext : 0;
    long long rex = t->r ? t->r->ext : 0;
    int lfr = t->l ? t->l->free : m-l;
    int rfr = t->r ? t->r->free : r-m;

    if (rfr < lex) {
        rex += lex - rfr;
        rfr = 0;
    }
    t->free = lfr + rfr;
    t->ext = rex;
   // cout <<l<<" "<<r<<" "<<t->free<<" "<<t->ext<<endl;
}

pair<int,long long> calc(node *t, int l,int r,int ti) {
    if (t == nullptr) {
       // cout <<l<<" "<<r<<" "<<min(r,ti)-l<<" "<<0<<endl;
        return {min(r-1,ti)-l+1, 0ll};
    }



    int m = (l+r)/2;
    if (r-1 <= ti) {
       // cout <<l<<" "<<r<<" "<<t->free<<" "<<t->ext<<endl;
        return {t->free,t->ext};
    }
    if (ti < m) return calc(t->l,l,m,ti);

    auto A =  calc(t->l,l,m,ti);
    auto B =  calc(t->r,m,r,ti);

    if (B.first < A.second) {
        B.second +=  A.second - B.first;
        B.first = 0;
    }

   // cout <<l<<" "<<r<<" "<<A.first+B.first<<" "<< B.second<<endl;
    return {A.first+B.first, B.second};
}

int main() {
    int q;
    cin >> q;
    for (int i = 1; i <= q; i++){
        char c;
        cin >> c;
        if (c == '+') {
            int t,d;
            cin >> t>> d;
            up(root,0,N,t,d);
            tim[i] = t;
            dur[t] = d;
        }
        if (c == '-') {
            int t;
            cin >> t;
            up(root,0,N,tim[t],0);
            dur[tim[t]] = 0;
            tim[t] = 0;
        }
        if (c == '?') {
            int t;
            cin >> t;
            cout<<calc(root,0,N,t-1).second + dur[t]<<endl;
        }



    }

    return 0;
}
