#include <bits/stdc++.h>

#define ll long long
using namespace std;

ll n;
vector<ll> d;

pair<ll, ll> solve(ll a, ll b, ll c) {
    ll y_bound = c / b;
    ll x_bound = c / a;
    if (y_bound < x_bound) {
        for (ll y = 1; y <= y_bound; y++) {
            if ((c - b * y) % a == 0 && (c - b * y) / a > 0) {
                return {(c - b * y) / a, y};
            }
        }
    } else {
        for (ll x = 1; x <= x_bound; x++) {
            if ((c - a * x) % b == 0 && (c - a * x) / b > 0) {
                return {x, (c - a * x) / b};
            }
        }
    }
    return {-1, -1};
}

int main() {
    ios::sync_with_stdio(0);
    cout.tie(0);
    cin >> n;
    ll r = sqrt(n), N = n - 1;
    for (ll i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            d.push_back(i);
            d.push_back(n / i);
        }
    }
    ll m = d.size();
    if (r * r == n) {
        m--;
    }
    bool ind = 0;
    ll n1, n2, a1, a2, b1, b2;
    for (int i = 0; i < m; i++) {
        for (int j = i + 1; j < m; j++) {
            pair<ll, ll> ans = solve(d[i], d[j], N);
            if (ans.first != -1) {
                n1 = d[i];
                n2 = d[j];
                a1 = ans.first;
                a2 = ans.second;
                ind = true;
                break;
            }
        }
        if (ind) {
            break;
        }
    }
    if (!ind) {
        cout << "NO";
        return 0;
    }

    b1 = n / n1;
    b2 = n / n2;

    ll cnt = a1 / (b1 - 1), cnt1 = a2 / (b2 - 1);
    vector<pair<ll, ll> > res;
    cout << "YES\n";
    for (ll i = 1; i <= cnt; i++) {
        res.push_back({b1 - 1, b1});
    }
    if (a1 % (b1 - 1) > 0) {
        res.push_back({a1 % (b1 - 1), b1});
    }

    for (ll i = 1; i <= cnt1; i++) {
        res.push_back({b2 - 1, b2});
    }
    if (a2 % (b2 - 1) > 0) {
        res.push_back({a2 % (b2 - 1), b2});
    }
    cout << res.size() << endl;
    for (int i = 0; i < res.size(); i++) {
        cout << res[i].first << ' ' << res[i].second << endl;
    }

    return 0;
}