#include <bits/stdc++.h>


#define db(x) cout << #x << " = " << x << endl;

using namespace std;

typedef long long ll;

const int N = 100*1000+123;

ll n;

bool prime(ll x){
    for(ll i = 2; i*i <= x; i++){
        if(x % i == 0)
            return false;
    }
    return true;
}

vector<ll> getDivs(ll x){
    set<ll> st;
    for(ll i = 2; i*i <= x; i++){
        if(x % i == 0 ){
            if(prime(i))st.insert(i);
            if(prime(x/i))st.insert(x/i);
        }
    }

    vector<ll> res;
    for(ll e : st) res.push_back(e);

    return res;
}

void print_frac(ll a, ll b){
    ll g = __gcd(a,b);
    a /= g;
    b /= g;
    cout << a << ' ' << b <<endl;
}

int main() {
    cin >> n;

    if(prime(n)){
        cout << "NO\n";
        return 0;
    }

    vector<ll> divs = getDivs(n);

    for(ll d : divs){

        ll t = n/d;

        if(__gcd(d - 1, n) != 1){
            cout << "YES\n";
            cout << 2 << endl;
            print_frac(n-d, n);
            print_frac(d-1, n);
            return 0;
        }

    }

    divs = getDivs(n);

    sort(divs.begin(), divs.end());
    reverse(divs.begin(), divs.end());

    ll cur = n-1;

    vector<ll> ans;
    for(ll d : divs) {
        while(cur >= d){
            ans.push_back(d);
            cur -= d;
        }
    }

    // Lava
    if(cur == 0 && ans.size() <= 100*1000){
        cout << "YES\n";

        cout << ans.size() << endl;
        for(ll e : ans){
            print_frac(e,n);
        }
    } else {
        cout << "NO\n";
    }

    return 0;
}

