#include <bits/stdc++.h>


#define db(x) cout << #x << " = " << x << endl;

using namespace std;

typedef long long ll;

const int N = 100*1000+123;

ll n;

bool prime(ll x){
    for(ll i = 2; i*i <= x; i++){
        if(x % i == 0)
            return false;
    }
    return true;
}

vector<ll> getDivs(ll x){
    set<ll> st;
    for(ll i = 2; i*i <= x; i++){
        if(x % i == 0){
            st.insert(i);
            st.insert(x/i);
        }
    }

    vector<ll> res;
    for(ll e : st) res.push_back(e);

    return res;
}

void print_frac(ll a, ll b){
    ll g = __gcd(a,b);
    a /= g;
    b /= g;
    cout << a << ' ' << b <<endl;
}

int main() {
    cin >> n;

    vector<ll> divs = getDivs(n);

    sort(divs.begin(), divs.end());
    reverse(divs.begin(), divs.end());

    ll cur = n-1;

    vector<ll> ans;
    for(ll d : divs) {
        if (cur >= d){
            ans.push_back(cur/d * d);
            cur -= cur/d*d;
        }
    }

    // Lava
    if(cur == 0 && ans.size() <= 100*1000){
        cout << "YES\n";

        cout << ans.size() << endl;
        for(ll e : ans){
            print_frac(e,n);
        }
    } else {
        cout << "NO\n";
    }

    return 0;
}