#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

const int N = 100002;

vector< pair<int, int> > ans(int a, int b, bool e = false) {
	int A[3][2];
	if (b >= 0 && a >= b + 6 && a >= 75 - (e ? 10 : 0)) {
		A[0][0] = A[1][0] = A[2][0] = 25;
		if (e)  A[2][0] = 15;

		if (b >= 23) { A[0][1] = 23;   b -= 23; }
		else {
			A[0][1] = b; b = 0;
		}

		if (b >= 23) { A[1][1] = 23; b -= 23; }
		else {
			A[1][1] = b; b = 0;
		}

		if (!e) {
			if (b >= 23) { A[2][1] = 23;  b -= 23; }
			else {
				A[2][1] = b; b = 0;
			}
		}
		else {
			if (b >= 13) { A[2][1] = 13;  b -= 13; }
			else {
				A[2][1] = b; b = 0;
			}
		}

		if (e)  a += 10;
		a -= 75;

		A[0][0] += a;
		A[0][1] += a;
		b -= a;

		if (A[1][1] + b < 0) {
			b += A[1][1];
			A[1][1] = 0;
		}
		else {
			A[1][1] += b;
			b = 0;
		}

		if (A[2][1] + b < 0) {
			b += A[2][1];
			A[2][1] = 0;
		}
		else {
			A[2][1] += b;
			b = 0;
		}
	}
	else
		return vector< pair<int, int> >();

	if (b != 0) return vector< pair<int, int> >();

	return vector< pair<int, int> > {make_pair(A[0][0], A[0][1]), make_pair(A[1][0], A[1][1]), make_pair(A[2][0], A[2][1])};
}



int main() {
	int n;
	cin >> n;
	while (n--) {
		int a, b;
		cin >> a >> b;
		if (max(a,b) > 64 && a + b < 75 || abs(a - b) > 75) {
			cout << "Impossible" << endl;
			continue;
		}
		auto p = ans(a, b);
		if (p.size()) {
			cout << 3 << ":" << 0 << endl;
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}
		p = ans(a, b - 25);
		if (p.size()) {
			cout << 3 << ":" << 1 << endl;
			cout << 0 << ":" << 25 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}
		p = ans(a, b - 50, true);
		if (p.size()) {
			cout << 3 << ":" << 2 << endl;
			cout << 0 << ":" << 25 << " ";
			cout << 0 << ":" << 25 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].first << ":" << p[i].second << " ";
			cout << endl; continue;
		}

		int x = b - 46, a1, a2, b1, b2;
		for (int i = x; x <= b; x++) {
			p = ans(x, a - 50, true);
			if (p.size()) {
				x = b - x;
				a1 = 25;
				a2 = 25;
				b1 = x / 2;
				b2 = x - x / 2;
				break;
			}
		}

		if (!p.size()) {
			a1 = 25;
			a2 = 25;
			b1 = 23;
			b2 = 23;
			for (int i = 1; i <= a - 50; i++) {
				p = ans(b - 46 - i, a - 50 - i, true);
				if (p.size()) {
					a1 += i;
					b1 += i;
					break;
				}
			}
		}

		if (p.size()) {
			cout << 2 << ":" << 3 << endl;
			cout << a1 << ":" << b1 << " ";
			cout << a2 << ":" << b2 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}

		x = b - 23;
		for (int i = x; x <= b; x++) {
			p = ans(x, a - 25);
			if (p.size()) {
				x = b - x;
				a1 = 25;
				b1 = x;
				break;
			}
		}

		if (!p.size()) {
			a1 = 25;
			b1 = 23;
			for (int i = 1; i <= a - 25; i++) {
				p = ans(b - 23 - i, a - 25 - i);
				if (p.size()) {
					a1 += i;
					b1 += i;
					break;
				}
			}
		}

		if (p.size()) {
			cout << 1 << ":" << 3 << endl;
			cout << a1 << ":" << b1 << " ";
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}

		p = ans(b, a);
		if (p.size()) {
			cout << 0 << ":" << 3 << endl;
			for (int i = 0; i < 3; i++)
				cout << p[i].second << ":" << p[i].first << " ";
			cout << endl; continue;
		}
		cout << "Impossible" << endl;
	}
	return 0;
}