#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <algorithm>
#include <string>

using namespace std;

void addInBusyDiap(vector<pair<long long,long long>>&BusyDiap,pair<long long,long long> diap){
    bool used = false;
    for(int i=0;i<BusyDiap.size() && !used;i++){
        if(diap.first >= BusyDiap[i].first && diap.first <= (BusyDiap[i].first+ BusyDiap[i].second)){
            BusyDiap[i].second += diap.second;
            used = true;
        }else if(diap.first < BusyDiap[i].first){
            if((diap.first + diap.second) < BusyDiap[i].first){
                BusyDiap.push_back(diap);
            }else{
                BusyDiap[i].first = diap.first;
                BusyDiap[i].second += diap.second;
            }
            used = true;
        }
    }
    if(!used){
        BusyDiap.push_back(diap);
    }
    sort(BusyDiap.begin(),BusyDiap.end());
    for(int i=0;i<BusyDiap.size()-1;i++){
        if(BusyDiap[i].first + BusyDiap[i].second >= BusyDiap[i+1].first){
            BusyDiap[i].second += BusyDiap[i+1].second;
            BusyDiap.erase(BusyDiap.begin()+i+1);
        }
    }
}

void BuildBusyDiap(vector<pair<long long,long long>>&BD,vector<pair<long long,long long>>&KA){
    for(int i=0;i<KA.size();i++){
        addInBusyDiap(BD,KA[i]);
    }
}
void RemoveFromKnightArrival(vector<pair<long long,long long>>&KA,pair<long long,long long>&p){
    for(int i=0;i<KA.size();i++){
        if(KA[i] == p){
            i = KA.size();
            KA.erase(KA.begin()+i);
        }
    }
}
int CountTime(vector<pair<long long,long long>>&BD,int time){
    for(int i=0;i<BD.size();i++){
        if(time < BD[i].first){
            return 0;
        }else if(time <= (BD[i].first + BD[i].second)){
            return BD[i].second - (time-BD[i].first);
        }
    }
    return 0;
}
int main(){
    vector<pair<long long,long long>> BusyDiap;
    vector<pair<long long,long long>> KnightArrival;
    vector<pair<long long,long long>> EventList;
    int x;
    cin >> x;
    for(int i=0;i<x;i++){
        char c;
        int t,d;
        cin >> c;
        if(c == '+'){
            cin >> t >> d;
            pair<long long,long long> diap = make_pair(t,d);
            KnightArrival.push_back(diap);
            addInBusyDiap(BusyDiap,diap);
            EventList.push_back(diap);
        }else if(c == '-'){
            cin >> t;
            pair<long long,long long> diap = make_pair(t,0);
            RemoveFromKnightArrival(KnightArrival,EventList[t-1]);
            BuildBusyDiap(BusyDiap,KnightArrival);
            EventList.push_back(diap);
        }else{
            cin >> t;
            pair<long long,long long> diap = make_pair(t,0);
            cout << CountTime(BusyDiap,t) << endl;
            EventList.push_back(diap);
        }

    }
    return 0;
}
