#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <algorithm>
#include <string>

using namespace std;

int main() {

	ios_base::sync_with_stdio(false);

	long long n, k;
	cin >> n >> k;

	map<long long, vector<long long> > mp;
	vector<long long> workers(n);
	for (int i = 0; i < n; ++i)
		cin >> workers[i];

	for (int i = 0; i < n; ++i)
	{
		long long x;
		cin >> x;
		mp[workers[i]].push_back(x);
	}

	vector<long long> duplicates;

	for (map<long long, vector<long long> >::iterator it = mp.begin(); it != mp.end(); ++it)
	{
		sort((*it).second.begin(), (*it).second.end());
		if ((*it).second.size() > 1)
		{
			for (int i = 0; i < (*it).second.size() - 1; ++i)
				duplicates.push_back((*it).second[i]);
		}
	}

	sort(duplicates.begin(), duplicates.end());
	long long ans = 0;

	for (int i = 0; i < k - mp.size(); ++i)
		ans += duplicates[i];

	cout << ans;
}