#include <bits/stdc++.h>

#define F first
#define S second
#define MP make_pair
#define PB push_back

using namespace std;

typedef long long ll;
typedef long double ld;

const int max_n = 505, inf = 1000111222;

int n, m, d[max_n][max_n];
vector<int> g[max_n];

void add_edge(int v1, int v2) {
    g[v1].push_back(v2);
    g[v2].push_back(v1);
    d[v1][v2] = d[v2][v1] = 1;
}

void solve() {
    vector<int> c;
    for (int i = 1; i <= n; ++i) {
        c.push_back(i);
    }
    while (c.size() > 1) {
        pair<int, int> best(inf, inf);
        for (int v = 1; v <= n; ++v) {
            int worst = 0;
            for (int ans : g[v]) {
                int cnt = 0;
                for (int v2 : c) {
                    cnt += (d[ans][v2] < d[v][v2]);
                }
                worst = max(worst, cnt);
            }
            best = min(best, make_pair(worst, v));
        }
        int v = best.second;
        cout << v << endl;
        string res;
        cin >> res;
        if (res == "FOUND") {
            return;
        }
        int ans;
        cin >> ans;
        vector<int> nc;
        for (int v2 : c) {
            if (d[ans][v2] < d[v][v2]) {
                nc.push_back(v2);
                //cout <<"$" << v2 << " " << d[ans][v2] << " " << d[v][v2] << endl;
            }
        }
        c.swap(nc);
    }
    cout << c[0] << endl;
    string res;
    cin >> res;
}

int main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    scanf("%d%d", &n, &m);
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            d[i][j] = inf;
        }
        d[i][i] = 0;
    }
    while (m--) {
        int k;
        scanf("%d", &k);
        int u, v;
        scanf("%d", &u);
        for (int i = 1; i < k; ++i) {
            scanf("%d", &v);
            add_edge(u, v);
            u = v;
        }
    }
    for (int i = 1; i <= n; ++i) {
        sort(g[i].begin(), g[i].end());
    }
    for (int k = 1; k <= n; ++k) {
        for (int i = 1; i <= n; ++i) {
            for (int j = 1; j <= n; ++j) {
                d[i][j] = min(d[i][j], d[i][k] + d[k][j]);
                //d[i][j] = min(d[i][j], d[i][k] + d[j][k]]);
            }
        }
    }
    for (int i = 0; i < n; ++i) {
        solve();
    }
    return 0;
}
