#include <bits/stdc++.h>

#define F first
#define S second
#define MP make_pair
#define PB push_back

using namespace std;

typedef long long ll;
typedef long double ld;

const int max_n = 10, inf = 1000111222;

int n, matr[max_n][max_n], top_sort[max_n], t, comp[max_n], c, used[max_n], sz[max_n];
int x, y, z, a[102][102][102], l[max_n], r[max_n], last_r, lev[max_n], max_lev;
vector<int> v[max_n], cc[max_n];

void dfs_top_sort(int x) {
    used[x] = 1;
    for (int i = 0; i < n; ++i) {
        if (matr[x][i] && !used[i]) {
            dfs_top_sort(i);
        }
    }
    top_sort[t++] = x;
}

void dfs_top_sort2(int x) {
    used[x] = 1;
    for (int i = 0; i < v[x].size(); ++i) {
        if (!used[v[x][i]]) {
            dfs_top_sort2(v[x][i]);
        }
    }
    top_sort[t++] = x;
}

void dfs_comp(int x, int c) {
    comp[x] = c;
    used[x] = 1;
    cc[c].push_back(x);
    ++sz[c];
    for (int i = 0; i < n; ++i) {
        if (matr[i][x] && !used[i]) {
            dfs_comp(i, c);
        }
    }
}

bool debug = 0;

void make_condence() {
    for (int i = 0; i < n; ++i) {
        if (!used[i]) {
            dfs_top_sort(i);
        }
    }
    reverse(top_sort, top_sort + n);
    memset(used, 0, sizeof(used));
    for (int i = 0; i < n; ++i) {
        if (!used[top_sort[i]]) {
            dfs_comp(top_sort[i], c++);
        }
    }
    if (debug) {
        cout << endl << endl;
        for (int i = 0; i < n; ++i) {
            cout << comp[i] << " ";
        }
        cout << endl;
    }
    for (int i = 0; i < n; ++i) {
        for (int q = 0; q < n; ++q) {
            if (matr[i][q] && comp[q] != comp[i]) {
                v[comp[i]].push_back(comp[q]);
            }
        }
    }
    for (int i = 0; i < c; ++i) {
        sort(v[i].begin(), v[i].end());
        v[i].erase(unique(v[i].begin(), v[i].end()), v[i].end());
    }
    if (debug) {
        for (int i = 0; i < c; ++i) {
            cout << i << ":  ";
            for (int q : v[i]) {
                cout << q << " ";
            }
            cout << endl;
        }
        cout << endl;
    }
}

void fll(int l, int r, int yy) {
    for (int i = l; i < r; ++i) {
        for (int q = yy * 2; q < 100; ++q) {
            a[i][yy][q] = -1;
        }
    }
}

void dfs(int x) {
    used[x] = 1;
    for (int i = 0; i < v[x].size(); ++i) {
        if (!used[v[x][i]]) {
            dfs(v[x][i]);
        }
    }
    if (v[x].empty()) {
        l[x] = last_r;
        r[x] = l[x] + n;
        last_r = r[x] + 1;
        lev[x] = 0;
    } else {
        l[x] = 100;
        r[x] = -1;
        lev[x] = 0;
        for (int i = 0; i < v[x].size(); ++i) {
            lev[x] = max(lev[x], lev[v[x][i]]);
            l[x] = min(l[x], l[v[x][i]]);
            r[x] = max(r[x], r[v[x][i]]);
        }
        ++lev[x];
        for (int i = 0; i < v[x].size(); ++i) {
            for (int lv = lev[v[x][i]] + 1; lv < lev[x]; ++lv) {
                fll(l[v[x][i]], r[v[x][i]], lv);
            }
        }
    }
    max_lev = max(max_lev, lev[x]);
    fll(l[x], r[x], lev[x]);
    for (int i = 0; i < cc[x].size(); ++i) {
        a[l[x] + i][lev[x]][lev[x] * 2] = cc[x][i];
    }
}

/*
0 1 1 0
0:  1
1:

0 1
0 0 4 1
1 0 4 0
5 2 3
....#
14..#

....#
#####

23..#
#####
*/

char to_c(int a) {
    if (a == -2) {
        return '#';
    }
    if (a == -1) {
        return '.';
    }
    return a + '1';
}

int main() {
    //freopen("input_m.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    cin >> n;
    for (int i = 0; i < 100; ++i) {
        for (int q = 0; q < 100; ++q) {
            for (int w = 0; w < 100; ++w) {
                a[i][q][w] = -2;
            }
        }
    }
    for (int i = 0; i < n; ++i) {
        for (int q = 0; q < n; ++q) {
            cin >> matr[i][q];
        }
    }
    make_condence();
    memset(used, 0, sizeof(used));
    t = 0;
    for (int i = 0; i < c; ++i) {
        if (!used[i]) {
            dfs_top_sort2(i);
        }
    }
    reverse(top_sort, top_sort + c);
    if (debug) {
        for (int i = 0; i < c; ++i) {
            cout << top_sort[i] << " ";
        } cout << endl;
    }
    memset(used, 0, sizeof(used));
    for (int i = 0; i < c; ++i) {
        if (!used[top_sort[i]]) {
            dfs(top_sort[i]);
        }
        int g = top_sort[i];
       // cout << g << " " << l[g] << " " << r[g] << " " << lev[g] << endl;
    }
    x = last_r;
    y = max_lev + 1;
    z = max_lev * 2 + 1;
    cout << x << " " << y << " " << z << endl;
    for (int i = z - 1; i >= 0; --i) {
        for (int q = 0; q < y; ++q) {
            for (int w = 0; w < x; ++w) {
                printf("%c", to_c(a[w][q][i]));
            }
            printf("\n");
        }
        printf("\n");
    }

    return 0;
}
/*

4
0 1 0 1
0 0 1 0
0 1 0 0
1 0 0 0

*/
