#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

bool solve_3_0(int a, int b, vector<int> &A, vector<int> &B) {
    A.clear();
    B.clear();

    A.resize(3);
    B.resize(3);

    A[0] = a - 50;
    if (A[0] > 25) B[0] = A[0] - 2; else B[0] = min(b, 23);

    a -= A[0];
    b -= B[0];

    A[1] = 25;
    B[1] = min(23, b);

    a -= A[1];
    b -= B[1];

    A[2] = 25;
    B[2] = min(23, b);

    a -= A[2];
    b -= B[2];

    for (int i = 0; i < 3; i++) {
        if (A[i] < 0 || B[i] < 0) return false;
    }

    if (a == 0 && b == 0) {
        return true;
    }
    return false;
}
bool solve_3_1(int a, int b, vector<int> &A, vector<int> &B) {

    for (int i = 0; i <= 23; i++) {
        if (solve_3_0(a - i, b - 25, A, B)) {
            A.push_back(i);
            B.push_back(25);
            return true;
        }
    }
    for (int i = 26; i <= 200; i++) {
        if (solve_3_0(a - (i - 2), b - i, A, B)) {

            A.push_back((i - 2));
            B.push_back(i);
            return true;
        }
    }
    return false;
}

bool solve_3_2(int a, int b, vector<int> &A, vector<int> &B) {

    for (int i = 0; i <= 23; i++) {
        if (solve_3_1(a - i, b - 25, A, B)) {
            A.push_back(i);
            B.push_back(25);
            return true;
        }
    }
    for (int i = 26; i <= 200; i++) {
        if (solve_3_1(a - (i - 2), b - i, A, B)) {

            A.push_back((i - 2));
            B.push_back(i);
            return true;
        }
    }
    return false;
}




int main() {
    int t;
    cin >> t;
    while (t--) {
        int a, b;
        cin >> a >> b;
        vector<int> A;
        vector<int> B;
        bool check = solve_3_0(a, b, A, B);
        if (check) {

            for (int i = 0; i < 3; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }
        check = solve_3_1(a, b, A, B);
        if (check) {

            for (int i = 0; i < 4; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }
        check = solve_3_2(a, b, A, B);
        if (check) {

            for (int i = 0; i < 4; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }





        check = solve_3_2(a, b, A, B);
        if (check) {

            for (int i = 0; i < 3; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }
        check = solve_3_1(a, b, A, B);
        if (check) {

            for (int i = 0; i < 4; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }
        check = solve_3_0(a, b, A, B);
        if (check) {

            for (int i = 0; i < 4; i++) {
                cout <<A[i]<<":"<<B[i]<<" ";
            }
            cout << endl;
            continue;
        }
        cout << "Impossible" << endl;

    }
    return 0;
}
