#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int Acnt(vector<int> &A) {
    int cnt = 0;
    for (auto a : A) if (a) cnt++;
    return cnt;
}

long long solve_for_index(int n, int x, vector<int> &A) {
    int per = n / Acnt(A);
    int rem = n % Acnt(A);
    if (per) {
        per--;
        rem += Acnt(A);
    }
    long long sum = per * 7;
    int i = 0;
    while (rem) {
        int ind = (x + i) % 7;
        sum++;
        if (A[ind]) rem--;
        i++;
    }

    return sum;
}
int main() {
    int T;
    cin >> T;
    while (T) {
        T--;
        int n;
        vector<int> P(7);
        cin >> n;

        for (int i = 0; i < 7; i++) {
            cin >> P[i];
        }

        long long mn = 1e17;

        for (int i = 0; i < 7; i++) {
            mn = min(mn, solve_for_index(n, i, P));
        }
        cout << mn << endl;
    }
}
