#include<iostream>
#include <cstdio>
#include <algorithm>
#include <string>
#include <vector>
#include <sstream>
#include <tuple>
using namespace std;

typedef pair<int, int> state;

int a, b;

void precalc()
{
}

bool read()
{
	return (bool)(cin >> a >> b);
}

pair<int, int> get_state_value(state my_state)
{
	int y, z;
	tie(y, z) = my_state;

	if (y == 3 || y == 0)
		return make_pair(y, 3 - y);
	else
		return make_pair(2 + z, 2 + !z);
}

int max_val(int i)
{
	return i == 4 ? 15 : 25;
}

bool cmp(pair<int, int> a, pair<int, int> b)
{
	return a.first - a.second < b.first - b.second;
}

bool _check(state st, int l, int x)
{
	int aa = a;
	int bb = b;

	int y, z;
	tie(y, z) = st;

	if (x == 2 && (y != 3 || z != 2))
		return false;
	
	if (x > 0)
	{
		aa -= l + 2;
		bb -= l;
	}

	aa -= 25 * y;
	bb -= 25 * z;
	
	if (x == 1)
		aa += 25;

	if (y + z == 5)
	{
		if (y > z)
			aa += 10;
		else
			bb += 10;

		if (x == 2)
		{
			aa += 15;
		}
	}

	if (aa < 0 || bb < 0)
		return false;

	static vector<pair<int, int>> ans;
	ans.resize(0);

	if (x != 0)
		ans.push_back(make_pair(l + 2, l));

	int yy = y;
	int zz = z;
	if (y + z == 5)
	{
		if (y > z)
			yy--;
		else
			zz--;
	}

	for (int i = (x == 1); i < yy; i++)
	{
		int delta = min(bb, 23);
		bb -= delta;
		ans.push_back(make_pair(25, delta));
	}

	for (int i = 0; i < zz; i++)
	{
		int delta = min(aa, 23);
		aa -= delta;
		ans.push_back(make_pair(delta, 25));
	}

	if (y + z == 5)
	{
		for (int i = (x == 2); i < (y > z); i++)
		{
			int delta = min(bb, 13);
			bb -= delta;
			ans.push_back(make_pair(15, delta));
		}

		for (int i = (x == 2); i < (y < z); i++)
		{
			int delta = min(aa, 13);
			aa -= delta;
			ans.push_back(make_pair(delta, 15));
		}
	}

	if (aa != 0 || bb != 0)
		return false;

	if (x == 2)
		reverse(ans.begin(), ans.end());


	auto val = get_state_value(st);

	cout << y << ":" << z << endl;

	int t = (y + z == 5);

	sort(ans.begin(), ans.begin() + ans.size() - t, cmp);
	if(y < z)
		reverse(ans.begin(), ans.begin() + ans.size() - t);

	for (auto p : ans)
	{
		cout << p.first << ":" << p.second << " ";
	}

	cout << endl;
	return true;
}

bool check(state st)
{
	if (_check(st, 0, 0))
		return true;
	for (int i = 1; i <= min(a - 2, b); i++)
		for(int k = 1; k <= 2; k++)
			if (_check(st, i, k))
				return true;
	return false;
}

void solve()
{
	vector<pair<int, state>> states;

	for(int j = 0; j <= 3; j++)
		for (int z = 0; z <= 5 - j && z <= 3; z++)
		{
			if (j < 3 && z < 3)
				continue;
			auto st = state(j, z);
			auto val = get_state_value(st);
			states.push_back( make_pair(z - j, st) );
		}

	sort(states.begin(), states.end());

	for (auto st : states)
	{
		if (check(st.second))
			return;
	}

	cout << "Impossible" << endl;
}

void reset()
{

}

int main() {
#ifdef OLYMP
	freopen("input.txt", "r", stdin);
#endif
	int _;
	cin >> _;
	precalc();
	while (read())
	{
		solve();
		reset();
		// cerr << endl << "************************************************************" << endl;
	}

	return 0;
}
