#include<iostream>
#include <cstdio>
#include <algorithm>
#include <string>
#include <vector>
#include <sstream>
using namespace std;

int n;

bool read()
{
	return (bool)(cin >> n);
}

string get_cell(int i, int j)
{
	string s = "";
	s += 'a' + i;
	s += '1' + j;
	return s;
}

bool check2(int i, int a1)
{
	int b1 = i;
	int b2 = n / i;

	int a2 = n - 1 - a1 * b2;
	if (a2 % b1 == 0)
	{
		a2 /= b1;
	}
	else
	{
		//cout << "NO" << endl;
		return false;
	}

	if (a1 * b2 + a2 * b1 == n - 1 && a1 > 0 && a2 > 0 && a1 < b1 && a2 < b2)
	{
		cout << "YES" << endl << 2 << endl << a1 << ' ' << b1 << endl << a2 << ' ' << b2 << endl;
		return true;
	}
	else
	{
		//cout << "NO" << endl;
		return false;
	}
}


bool check(int i)
{
	for (int q = 1; q < i; q++)
	{
		if (check2(i, q))
			return true;
	}
	return false;
}

void solve()
{
	int i;
	for (i = 2; i * i <= n; i++)
	{
		if (n % i == 0)
		{
			if (check(i))
				return;
			if (check(n / i))
				return;
		}
	}

	cout << "NO" << endl;


}

void reset()
{

}

int main() {
#ifdef OLYMP
	freopen("input.txt", "r", stdin);
#endif

	while (read())
	{
		solve();
		reset();
		cerr << endl << "************************************************************" << endl;
	}

	return 0;
}
