////
//// Created by neerc on 02.12.2018.
////

#include <iostream>
#include <vector>

using  namespace std;

int find(const vector<int >& vect, int elem){
    if(vect.size()==0) return  0;
    for(const auto& val: vect){
        if(val==elem) return 1;
    }
    return 0;
}

int tell(const vector<int >& vect, int elem){
    int cnt=0;
    for(const auto& val: vect){
        if(val==elem) ++cnt;
        if(cnt>1) break;
    }
    return cnt;
}



int magic(vector<int >& a, vector<int >& b){
    int min;
    ssize_t pos=0;
    ssize_t i = 0;

    PROC:
    min=(b[0] == -1) ? 2000000000 : b[0];

    for(i=0;i<b.size();++i){
        if(min>=b[i] && b[i] != -1){
            min=b[i];
            pos=i;
        }
    }
    if(tell(a, a[pos])>1){
        a[pos] = -1;
        b[pos] = -1;
//        a.erase(a.begin() + pos);
//        b.erase(b.begin() + pos);
    }
    else{
        a[pos] = -1;
        b[pos] = -1;
//        a.erase(a.begin() + pos);
//        b.erase(b.begin() + pos);
        goto PROC;
    }
    return min;
}

//8 7
//1 1 3 1 5 3 7 1
//5 7 4 8 1 3 5 2

//8 7
//1 1 3 1 5 3 7 1
//2 7 4 8 1 3 5 2

int main(){

    int nbe, nbp;

    cin>>nbp>>nbe;
    vector<int> a(nbp);
    vector<int> b(nbp);
    int undone=0;
    int inp;

    for(int i=0, ind=0;i<nbp;++i){
        cin>>inp;
        if(!find(a, inp)){
            ++undone;
        }
        a[ind++]=inp;
    }
    for(int i=0;i<nbp;++i){
        cin>>inp;
        b[i]=inp;
    }

    int time=0;
    for (int j = 0; j < nbe-undone; ++j) {

        time+=magic(a,b);
    }
    cout<<time<<endl;

    return 0;
}
