graph = {}
already_found = {}
def buildgraph(n):
    for i in range(1,n+1):
        graph[i] = []

def BFS(s):
    level = {}
    parent = {}
    parent[s] = None
    frontier = []
    frontier.append(s)
    level[s] = 0
    i = 1
    while frontier:
        next = []
        for u in frontier:
            for v in graph[u]:
                if v not in parent:
                    if v not in already_found:
                        if i not in level:
                            level[i] = 0
                        level[i] += 1
                    parent[v] = u
                    next.append(v)
        frontier = next
        i+=1
    already_found[s] = True
    result = 0
    for i in level:
        result += level[i]*i
    return result



n,m = map(int, input().split())

buildgraph(n)
# print(graph)

for i in range(m):
    a,b = map(int, input().split())
    graph[a].append(b)
    graph[b].append(a)

# print(graph)
res = 0
for i in graph:
    res+=BFS(i)
print(res)

