#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

const int a[8][8] = {
	{ 1, 2, 3, 4, 5, 6, 7, 8 },
	{ 16, 15, 14, 13, 12, 11, 10, 9 },
	{ 17, 18, 19, 20, 21, 22, 23, 24 },
	{ 32, 31, 30, 29, 28, 27, 26, 25 },
	{ 33, 34, 35, 36, 37, 38, 39, 40 },
	{ 48, 47, 46, 45, 44, 43, 42, 41 },
	{ 49, 50, 51, 52, 53, 54, 56, 55 },
	{ 63, 62, 61, 60, 59, 58, 57, 63 }
};

pair <char, int> gtnel(int n) {
	for (int i = 0; i < 8; ++i) {
		for (int j = 0; j < 8; ++j) {
			if (a[i][j] == n) {
				return make_pair((char)(j + 'a'), i + 1);
			}
		}
	}
	return make_pair('z', -1);
}

void solve(int n) {
	for (int i = 1; i <= n; ++i) {
		pair <char, int> p = gtnel(i);
		cout << p.first << p.second << " ";
	}
}

int main1(int n) {
	++n;
	if (n <= 9) {
		solve(n - 2);
		cout << "h1 h8" << endl;
		return 0;
	}

	if (n == 57) {
		solve(n - 3);
		cout << "g7 h7 h8" << endl;
		return 0;
	}

	if (n >= 58) {
		solve(n - 1);
		cout << "h8" << endl;
		return 0;
	}
	solve(n - 2);
	pair<char, int> p = gtnel(n - 2);
	if (p.first == 'h') {
		cout << "h7 h8" << endl;
		return 0;
	}
	cout << p.first << "8 h8" << endl;
}

int main() {
	int n;
	cin >> n;
	main1(n);
}