#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

const int N = 100;
const int D = 7;
int a[N];
int pr[N];
int su[N];
int total;

void update(int & res, int val) {
	if (res == -1 || res > val) {
		res = val;
	}
}

int solvefor(int n) {
	for (int i = 1; i <= D; ++i) {
		pr[i] = pr[i - 1] + a[i];
	}
	for (int i = D; i >= 1; --i) {
		su[i] = su[i + 1] + a[i];
	}
	total = pr[D];
	int res = -1;
	for (int i = 1; i <= D; ++i) {
		for (int j = i; j <= D; ++j) {
			if (pr[j] - pr[i - 1] == n) {
				update(res, j - i + 1);
			}
		}
	}
	for (int i = 1; i <= D; ++i) {
		for (int j = 1; j <= D; ++j) {
			int val = su[i] + pr[j];
			if (val <= n && (n-val)%total == 0) {
				int x = (n - val) / total;
				update(res, D - i + 1 + j + x*D);
			}
		}
	}
	return res;
}

int n;
void solve() {
	int T;
	scanf("%d", &T);
	while (T--) {
		int n;
		scanf("%d", &n);
		for (int i = 1; i <= D; ++i) {
			scanf("%d", &a[i]);
		}
		printf("%d\n", solvefor(n));
	}
}

int main() {
//	freopen("input.txt", "r", stdin);
	solve();
	return 0;
}