#include <bits/stdc++.h>
#define F0(i, n) for (int i = 0; i < n; i++)
using namespace std;
typedef pair<int, int> pii;
typedef pair<pii, pii> quad;
typedef long long ll;
const int N = 200001;
ll gcd(ll x, ll y) {
    return y ? gcd(y, x % y) : x;
}
const int M = 16;
int m, n, k, cnt;
int path[1001];
int g[501][501];
int bc[1 << M];
int canMean[501][501][501 / M + 1];
int mask[501];
vector<int> adj[501];

void AddEdge(int i, int j) {
    adj[i].push_back(j);
    adj[j].push_back(i);
    g[i][j] = g[j][i] = 1;
}

int guess;
int Ask2(int i) {
    if (i == guess) return -1;
    vector<int> poss;
    for (int j : adj[guess]) if (g[guess][j] < g[guess][i]) {
        poss.push_back(j);
        //cerr << guess << " and from " << i << "   is " << j << endl;
    }
    if (poss.empty()) throw 12;
    int ret = poss[rand()%poss.size()];
    return ret;
}

int Ask(int i) {
    i++;
    cout << i << endl;
    string s;
    cin >> s;
    if (s == "FOUND") return -1;
    int ret = 0;
    cin >> ret;
    return ret - 1;
}

int main() {
    //freopen("cactus-search1.in", "r", stdin);
    bc[0] = 0;
    F0(i, (1 << M)) if (i) bc[i] = bc[i&(i-1)] + 1;
    cin >> n >> m;
    F0(i, n) F0(j, n) g[i][j] = (i == j) ? 0 : 1e9;
    while (m--) {
        cin >> k;
        vector<int> v;
        F0(i, k) {
            cin >> path[i];
            path[i]--;
        }
        F0(i, k - 1) {
            AddEdge(path[i], path[i + 1]);
        }
    }
    F0(k, n) F0(i, n) F0(j, n) if (g[i][k] + g[k][j] < g[i][j]) g[i][j] = g[i][k] + g[k][j];

    F0(actual, n) F0(i, n) {
        for (int j : adj[i]) if (g[actual][j] < g[actual][i]) {
            canMean[i][j][actual / M] |= (1 << (actual % M));
        }
    }

    F0(tn, n) {
        guess = tn % n;
        int iters = 0;
        F0(i, n / M + 1) {
            mask[i] = 0;
        }
        F0(i, n) mask[i / M] |= (1 << (i % M));
        cnt = n;
        int solved = 0;
        while (cnt > 1) {
            int bestAsk = -1;
            int bestReduced = cnt;
            F0(i, n) {
                int maxPoss = 0;
                F0(j, n) {
                    int total = 0;
                    F0(t, n / M + 1) {
                        int z = mask[t] & canMean[i][j][t];
                        total += bc[z];
                    }
                    maxPoss = max(maxPoss, total);
                }
                if (maxPoss < bestReduced) {
                    bestReduced = maxPoss;
                    bestAsk = i;
                }
            }

            if (bestAsk == -1) {
                cerr << "No reduction" << endl;
                throw 12;
            }

            int i = bestAsk;
            iters++;
            int j = Ask(i);
            if (j == -1) {
                solved = 1;
                cerr << "Guessed1 " << tn << " in " << iters << endl;
                break;
            } else {
                cnt = 0;
                F0(t, n / M + 1) {
                    int z = mask[t] & canMean[i][j][t];
                    mask[t] = z;
                    cnt += bc[z];
                }
            }
        }
        if (!solved) {
            cerr << "Not solved" << endl;
            F0(i, n) if ((1 << (i % M)) & mask[i / M]) {
                int j = Ask(i);
                if (j != -1) {
                    cerr << "Not found" << endl;
                    throw 12;
                }
                cerr << "Guessed2 " << tn << " in " << iters << endl;
                break;
            }
        }
    }

    return 0;
}