#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

#define ll long long
#define PII pair<int,int>
#define VI vector<int>
#define VII vector<VI>
using namespace std;

int a[11][11];
int b[11][11];
int d[11];
int used[11];

const int F = 22;
const int A = 33;
const int B = 33;

int c[F][A][B];

int main() {

	//freopen("a.in", "r", stdin);
	//freopen("a.out", "w", stdout);

	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		d[i] = i;
		for (int j = 0; j < n; j++) {
			cin >> a[i][j];
		}
	}

	for (int k = 0; k < n; k++) {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n; j++) {
				if (a[i][k] && a[k][j]) {
					a[i][j] = 1;
				}
			}
		}
	}

	for (int i = 0; i < n; i++) {
		for (int j = i + 1; j < n; j++) {
			if (a[i][j] && a[j][i]) {
				d[j] = d[i];
			}
		}
	}

	VII layers;
	for (int t = 0; t < n; t++) {
		int x = -1;
		for (int i = 0; i < n; i++) {
			if (used[i]) continue;
			int j = 0;
			for (j = 0; j < n; j++) {
				if (!used[j] && d[i] != d[j] && a[j][i]) {
					break;
				}
			}
			if (j == n) {
				x = i;
				break;
			}
		}
		if (x == -1) {
			break;
		}
		VI cur;
		for (int i = 0; i < n; i++) {
			if (d[i] == d[x]) {
				cur.push_back(i);
				used[i] = 1;
			}
		}
		layers.push_back(cur);
	}

	for (int i = 0; i < F; i++) {
		for (int j = 0; j < A; j++) {
			for (int k = 0; k < B; k++) {
				c[i][j][k] = i < 2 ? 1 : i % 2;
			}
		}
	}

	for (int i = 0; i < layers.size(); i++) {
		for (int j = 0; j < layers[i].size(); j++) {
			int t = layers[i][j];
			c[2 * i + 2][0][j] = -t - 1;
		}
		for (int j = i + 1; j < layers.size(); j++) {
			int x = layers[i][0];
			int y = layers[j][0];
			if (a[x][y]) {
				for (int zz = 2 * i + 3; zz <= 2 * j + 1; zz++) {
					int xx = 3 * i + 3;
					int yy = 3 * j + 3;
					for (int dx = -1; dx <= 1; dx++) {
						for (int dy = -1; dy <= 1; dy++) {
							c[zz][xx + dx][yy + dy] = (dx || dy) ? 1 : 0;
						}
					}
				}
			}
		}
	}

	cout << A << " " << B << " " << F << endl;
	for (int i = 0; i < F; i++) {
		for (int j = 0; j < A; j++) {
			for (int k = 0; k < B; k++) {
				int t = c[i][j][k];
				if (t < 0) {
					cout << (char)(-t + '0');
				}
				else {
					cout << (t ? '#' : '.');
				}
			}
			cout << endl;
		}
		cout << endl;
	}

	return 0;
}