#include <iostream>
#include <iomanip>
#include <vector>
#include <string>
#include <algorithm>
#include <map>

using namespace std;

int find_min(long long* b, int i, int n)
{
  int min = i ;
  for(int j=i+1; j<n; ++j)
    if( b[j] < b[min] ) min = j ;
  return min ;
}

void sorter(long long* b, int* a, int n)
{
  //long long min=b[0] ;
  for(int i=0; i<n; ++i){
    int p = find_min(b,i,n) ;
    long long t = b[i] ;
    b[i] = b[p] ;
    b[p] = t ;
    int k = a[i] ;
    a[i] = a[p] ;
    a[p] = k ;
  }
}

int unique_count( int* a, int n )
{
  int c = 0 ;
  for(int i=0; i<n-1; ++i){
    for(int j=i+1; j<n; ++j){
      if( a[i] == a[j] ){
        ++c ;
        break ;
      }
    }
  }
  return c ;
}

bool repeat(int *a, int i, int n )
{
  for(int j = i+1; j<n; ++j)
    if(a[i] == a[j]) return true ;
  return false ;
}

int main()
{
  int n, k, c=0, p=0 ;
  int a[100000] ;
  long long b[100000] ;
  map<int, long long> t;

  cin >> n >> k ;

  for( int i=0; i<n; ++i )
    cin >> a[i] ;
  for( int i=0; i<n; ++i )
    cin >> b[i] ;

  sorter( b, a, n ) ;

  p = unique_count( a, n ) ;
  //cout << "P: " << p << endl ;

  for( int i=0; i < n; ++i )
    if( ( p < k ) && ( repeat( a, i, n ) ) ){
      c += b[i] ;
      ++p ;
    }

  cout << c << endl ;

  return 0 ;
}
