#include <iostream>
#include <fstream>
#include <set>

using namespace std;

long long GCD(long long a, long long b) {
	if (a < b) {
		swap(a, b);
	}
	if (b == 0)return a;
	return GCD(a%b,b);
	
}

int main() {

	int a, b;
	while (true) {
		cin >> a >> b;
		cout << GCD(a, b) << endl;
	}
	
	cout << GCD(3, 15) << endl;
	cout << GCD(5, 15) << endl;
	long long n;
	set<long long> primePowers;
	cin >> n;
	long long m = n;
	for (long long i = 2; m > 1; i++) {
		bool here = false;
		while (!(m % i)) {
			here = true;
			m /= i;
		}
		if (here) {
			primePowers.insert(i);
		}
	}
	if (primePowers.size() > 1) {
		cout << "NO" << endl;
		return 0;
	}


}